package Data::Password::zxcvbn::RankedDictionaries::English;
use strict;
use warnings;
# VERSION
# ABSTRACT: ranked dictionaries for common words

=head1 DESCRIPTION

This is a data file used by L<<
C<Data::Password::zxcvbn::Match::Dictionary> >>, and is generated by
the L<<
C<build-ranked-dictionaries>|https://bitbucket.org/broadbean/p5-data-password-zxcvbn/src/master/maint/build-ranked-dictionaries
>> program when building the distribution.


=cut

our %ranked_dictionaries = (
  english_female_names => {
                            abbey  => 1465, abbie  => 992, abby   => 672,
                            abigail
                                   => 506, ada    => 306,
                            adah   => 2927, adaline
                                   => 2729,
                            addie  => 499, adela  => 699, adelaida
                                   => 1360,
                            adelaide
                                   => 973, adele  => 510,
                            adelia => 1752, adelina
                                   => 1088,
                            adeline
                                   => 616, adell  => 1322,
                            adella => 1595, adelle => 1934, adena  => 3250, adina  => 1834, adria  => 1717,
                            adriana
                                   => 503, adriane
                                   => 1501,
                            adrianna
                                   => 1401, adrianne
                                   => 1016,
                            adrien => 3182, adriene
                                   => 2728,
                            adrienne
                                   => 387, afton  => 1924,
                            agatha => 1071, agnes  => 216, agnus  => 3622, agripina
                                   => 3021,
                            agueda => 3621, agustina
                                   => 1689,
                            aida   => 543, aide   => 2883, aiko   => 3249, aileen => 663, ailene => 2882,
                            aimee  => 489, aisha  => 880, akiko  => 2252, akilah => 3181, alaina => 1264,
                            alaine => 3698, alana  => 768, alane  => 3327, alanna => 1464, alayna => 3540,
                            alba   => 935, alberta
                                   => 328,
                            albertha
                                   => 1616, albertina
                                   => 2133,
                            albertine
                                   => 1933, albina => 1487,
                            alda   => 1353, alease => 2763, alecia => 1087, aleen  => 2926, aleida => 2425,
                            aleisha
                                   => 3395, alejandra
                                   => 770,
                            alejandrina
                                   => 1991, alena  => 1810,
                            alene  => 1098, alesha => 1500, aleshia
                                   => 2807,
                            alesia => 1453, alessandra
                                   => 3180,
                            aleta  => 1400, aletha => 1178, alethea
                                   => 1858,
                            alethia
                                   => 2200, alexa  => 1158,
                            alexandra
                                   => 389, alexandria
                                   => 723,
                            alexia => 1677, alexis => 446, alfreda
                                   => 875,
                            alfredia
                                   => 3394, alia   => 2074,
                            alica  => 2073, alice  => 51, alicia => 152, alida  => 1670, alina  => 1194,
                            aline  => 812, alisa  => 585, alise  => 2396, alisha => 488, alishia
                                   => 2688,
                            alisia => 2657, alison => 342, alissa => 832, alita  => 2844, alix   => 2513,
                            aliza  => 2727, alla   => 2474, alleen => 2881, allegra
                                   => 2339,
                            allena => 3467, allene => 1000, allie  => 740, alline => 2546, allison
                                   => 226,
                            allyn  => 3782, allyson
                                   => 751,
                            alma   => 195, almeda => 1643, almeta => 2587, alona  => 3781, alpha  => 1234,
                            alta   => 601, altagracia
                                   => 1399,
                            altha  => 2229, althea => 765, alvera => 2424, alverta
                                   => 3123,
                            alvina => 1105, alyce  => 841, alycia => 1572, alysa  => 3179, alyse  => 2369,
                            alysha => 2199, alysia => 1708, alyson => 937, alyssa => 439, amada  => 1751,
                            amal   => 3539, amalia => 867, amanda => 40, amber  => 139, amberly
                                   => 2762,
                            amee   => 3466, amelia => 327, amie   => 764, amiee  => 3465, amina  => 2032,
                            amira  => 3620, ammie  => 2450, amparo => 877, amy    => 32, ana    => 180,
                            anabel => 1452, analisa
                                   => 3326,
                            anamaria
                                   => 3065, anastacia
                                   => 1889,
                            anastasia
                                   => 869, andera => 3248,
                            andra  => 1342, andrea => 81, andree => 2228, andria => 1209, anette => 2132,
                            angela => 29, angele => 2618, angelena
                                   => 2726,
                            angelia
                                   => 639, angelic
                                   => 2368,
                            angelica
                                   => 385, angelika
                                   => 2227,
                            angelina
                                   => 407, angeline
                                   => 632,
                            angelique
                                   => 921, angelita
                                   => 901,
                            angella
                                   => 1792, angelyn
                                   => 3325,
                            angie  => 323, angila => 3780, angla  => 3324, angle  => 2367, anglea => 1766,
                            anika  => 1912, anisa  => 2969, anisha => 2925, anissa => 1313, anita  => 136,
                            anitra => 1669, anja   => 3393, anjanette
                                   => 2177,
                            anjelica
                                   => 3392, ann    => 48,
                            anna   => 33, annabel
                                   => 1688,
                            annabell
                                   => 2299, annabelle
                                   => 780,
                            annalee
                                   => 2545, annalisa
                                   => 2656,
                            annamae
                                   => 2423, annamaria
                                   => 2880,
                            annamarie
                                   => 1321, anne   => 85,
                            anneliese
                                   => 1857, annelle
                                   => 3779,
                            annemarie
                                   => 1167, annett => 2687,
                            annetta
                                   => 1134, annette
                                   => 175,
                            annice => 2512, annie  => 97, annika => 3464, annis  => 2298, annita => 3020,
                            annmarie
                                   => 904, antionette
                                   => 971,
                            antoinette
                                   => 356, antonetta
                                   => 3323,
                            antonette
                                   => 1238, antonia
                                   => 418,
                            antonietta
                                   => 2395, antonina
                                   => 1911,
                            anya   => 2005, apolonia
                                   => 2761,
                            april  => 142, apryl  => 2686, araceli
                                   => 845,
                            aracelis
                                   => 2685, aracely
                                   => 1555,
                            arcelia
                                   => 1875, ardath => 3391,
                            ardelia
                                   => 3778, ardell => 2655,
                            ardella
                                   => 2059, ardelle
                                   => 3463,
                            ardis  => 1499, ardith => 1498, aretha => 1187, argelia
                                   => 2843,
                            ariana => 1294, ariane => 2725, arianna
                                   => 2251,
                            arianne
                                   => 2806, arica  => 3178,
                            arie   => 2724, arielle
                                   => 1740,
                            arla   => 2366, arlean => 3390, arleen => 1021, arlena => 2449, arlene => 223,
                            arletha
                                   => 2842, arletta
                                   => 2276,
                            arlette
                                   => 1932, arlinda
                                   => 3064,
                            arline => 856, arlyne => 3538, armanda
                                   => 2723,
                            armandina
                                   => 2968, armida => 1509,
                            arminda
                                   => 2684, arnetta
                                   => 2106,
                            arnette
                                   => 3462, arnita => 2365,
                            artie  => 1508, arvilla
                                   => 2422,
                            asha   => 1791, ashanti
                                   => 2924,
                            ashely => 1687, ashlea => 3619, ashlee => 752, ashleigh
                                   => 996,
                            ashley => 63, ashli  => 2058, ashlie => 1615, ashly  => 1628, ashlyn => 2544,
                            ashton => 1554, asley  => 3618, assunta
                                   => 2654,
                            astrid => 1377, asuncion
                                   => 2250,
                            athena => 1076, audie  => 2394, audra  => 682, audrea => 2297, audrey => 173,
                            audria => 3777, audrie => 3776, audry  => 1580, augusta
                                   => 864,
                            augustina
                                   => 2296, aundrea
                                   => 2617,
                            aura   => 1228, aurea  => 1765, aurelia
                                   => 862,
                            aurora => 518, aurore => 2879, autumn => 641, ava    => 718, avelina
                                   => 2249,
                            avis   => 739, avril  => 3697, awilda => 1642, ayako  => 3177, ayana  => 2072,
                            ayanna => 2131, ayesha => 1856, azalee => 3389, azucena
                                   => 2616,
                            azzie  => 3247, babara => 2152, babette
                                   => 2130,
                            bambi  => 1437, barabara
                                   => 3696,
                            barb   => 1122, barbar => 2653, barbara
                                   => 4,
                            barbera
                                   => 2586, barbie => 1874,
                            barbra => 692, bari   => 3775, barrie => 2878, basilia
                                   => 3537,
                            beata  => 3019, beatrice
                                   => 170,
                            beatris
                                   => 3388, beatriz
                                   => 627,
                            beaulah
                                   => 3018, bebe   => 3536,
                            becki  => 2841, beckie => 2031, becky  => 283, belen  => 1283, belia  => 2151,
                            belinda
                                   => 301, belkis => 3246,
                            bella  => 1133, belle  => 1012, belva  => 1197, benita => 750, berenice
                                   => 1855,
                            berna  => 3063, bernadette
                                   => 393,
                            bernadine
                                   => 701, bernarda
                                   => 3062,
                            bernardina
                                   => 3535, bernardine
                                   => 2840,
                            berneice
                                   => 2511, bernetta
                                   => 2295,
                            bernice
                                   => 172, berniece
                                   => 1166,
                            bernita
                                   => 1398, berta  => 850,
                            bertha => 156, bertie => 934, beryl  => 906, bess   => 1054, bessie => 219,
                            beth   => 198, bethanie
                                   => 3176,
                            bethann
                                   => 2543, bethany
                                   => 391,
                            bethel => 2004, betsey => 2683, betsy  => 421, bette  => 589, bettie => 541,
                            bettina
                                   => 1179, betty  => 14,
                            bettyann
                                   => 3617, bettye => 688,
                            beula  => 3774, beulah => 355, beverlee
                                   => 2176,
                            beverley
                                   => 951, beverly
                                   => 73,
                            bianca => 686, bibi   => 3017, billi  => 3322, billie => 274, billye => 1975,
                            birdie => 1029, birgit => 2248, blanca => 379, blanch => 1412, blanche
                                   => 317,
                            blondell
                                   => 3016, blossom
                                   => 2839,
                            blythe => 2542, bobbi  => 657, bobbie => 284, bobbye => 1946, bobette
                                   => 3534,
                            bong   => 3245, bonita => 495, bonnie => 88, bonny  => 1425, branda => 2541,
                            brande => 3321, brandee
                                   => 1668,
                            brandi => 316, brandie
                                   => 945,
                            brandy => 272, breana => 3533, breann => 2838, breanna
                                   => 1148,
                            breanne
                                   => 1764, bree   => 1923,
                            brenda => 31, brenna => 1205, briana => 844, brianna
                                   => 714,
                            brianne
                                   => 1050, bridget
                                   => 364,
                            bridgett
                                   => 900, bridgette
                                   => 696,
                            brigette
                                   => 1418, brigid => 2057,
                            brigida
                                   => 2338, brigitte
                                   => 936,
                            brinda => 2682, britany
                                   => 2088,
                            britney
                                   => 923, britni => 2030,
                            britta => 2760, brittaney
                                   => 3320,
                            brittani
                                   => 1564, brittanie
                                   => 3015,
                            brittany
                                   => 186, britteny
                                   => 3773,
                            brittney
                                   => 531, brittni
                                   => 2247,
                            brittny
                                   => 2923, bronwyn
                                   => 2473,
                            brook  => 1352, brooke => 390, bruna  => 3319, brunilda
                                   => 2056,
                            bryanna
                                   => 3772, brynn  => 2615,
                            buena  => 3695, bula   => 3694, bulah  => 3014, bunny  => 2922, burma  => 3693,
                            caitlin
                                   => 544, caitlyn
                                   => 1523,
                            calandra
                                   => 2967, calista
                                   => 3771,
                            callie => 656, camelia
                                   => 2003,
                            camellia
                                   => 3532, cami   => 1750,
                            camie  => 2921, camila => 3692, camilla
                                   => 991,
                            camille
                                   => 475, cammie => 2246,
                            cammy  => 3461, candace
                                   => 338,
                            candance
                                   => 1667, candelaria
                                   => 1430,
                            candi  => 1249, candice
                                   => 357,
                            candida
                                   => 1104, candie => 2029,
                            candis => 1666, candra => 3770, candy  => 558, candyce
                                   => 2448,
                            caprice
                                   => 2198, cara   => 509,
                            caren  => 1064, cari   => 1027, caridad
                                   => 1185,
                            carie  => 1963, carin  => 1651, carina => 1479, carisa => 2585, carissa
                                   => 910,
                            carita => 3175, carla  => 201, carlee => 3318, carleen
                                   => 1472,
                            carlena
                                   => 3769, carlene
                                   => 784,
                            carletta
                                   => 2087, carley => 2447,
                            carli  => 2920, carlie => 2393, carline
                                   => 2175,
                            carlita
                                   => 3691, carlota
                                   => 1739,
                            carlotta
                                   => 1369, carlyn => 1854,
                            carma  => 1734, carman => 1397, carmel => 1150, carmela
                                   => 622,
                            carmelia
                                   => 3531, carmelina
                                   => 2421,
                            carmelita
                                   => 1165, carmella
                                   => 776,
                            carmen => 111, carmina
                                   => 3174,
                            carmon => 2614, carol  => 18, carola => 2837, carolann
                                   => 1809,
                            carole => 271, carolee
                                   => 1540,
                            carolin
                                   => 3013, carolina
                                   => 577,
                            caroline
                                   => 246, caroll => 3768,
                            carolyn
                                   => 42, carolyne
                                   => 2294,
                            carolynn
                                   => 1853, caroyln
                                   => 3173,
                            carri  => 1790, carrie => 129, caryl  => 1526, carylon
                                   => 3616,
                            caryn  => 1004, casandra
                                   => 899,
                            casie  => 2150, casimira
                                   => 3530,
                            cassandra
                                   => 265, cassaundra
                                   => 3061,
                            cassey => 3767, cassi  => 3317, cassie => 550, cassondra
                                   => 3060,
                            cassy  => 3316, catalina
                                   => 717,
                            catarina
                                   => 2584, caterina
                                   => 2446,
                            catharine
                                   => 1196, catherin
                                   => 3529,
                            catherina
                                   => 3766, catherine
                                   => 46,
                            cathern
                                   => 3059, catheryn
                                   => 3528,
                            cathey => 2364, cathi  => 1822, cathie => 1376, cathleen
                                   => 638,
                            cathrine
                                   => 1121, cathryn
                                   => 897,
                            cathy  => 163, catina => 1351, catrice
                                   => 3765,
                            catrina
                                   => 1041, cayla  => 3690,
                            cecelia
                                   => 436, cecila => 2197,
                            cecile => 592, cecilia
                                   => 314,
                            cecille
                                   => 3387, cecily => 1686,
                            celena => 2337, celesta
                                   => 3122,
                            celeste
                                   => 507, celestina
                                   => 2028,
                            celestine
                                   => 1063, celia  => 366,
                            celina => 955, celinda
                                   => 3527,
                            celine => 2129, celsa  => 3315, ceola  => 2805, chae   => 3526, chana  => 1605,
                            chanda => 1387, chandra
                                   => 732,
                            chanel => 1333, chanell
                                   => 3058,
                            chanelle
                                   => 2877, chantal
                                   => 1324,
                            chantay
                                   => 3386, chante => 2420,
                            chantel
                                   => 1067, chantell
                                   => 2363,
                            chantelle
                                   => 1627, chara  => 3460,
                            charis => 3172, charise
                                   => 2445,
                            charissa
                                   => 1656, charisse
                                   => 1411,
                            charita
                                   => 3314, charity
                                   => 625,
                            charla => 1142, charleen
                                   => 1312,
                            charlena
                                   => 3615, charlene
                                   => 218,
                            charlesetta
                                   => 3313, charlette
                                   => 1775,
                            charline
                                   => 1332, charlott
                                   => 3385,
                            charlotte
                                   => 130, charlsie
                                   => 3614,
                            charlyn
                                   => 3244, charmain
                                   => 3459,
                            charmaine
                                   => 800, charolette
                                   => 1789,
                            chasidy
                                   => 3764, chasity
                                   => 838,
                            chassidy
                                   => 3763, chastity
                                   => 1220,
                            chau   => 2681, chaya  => 2002, chelsea
                                   => 400,
                            chelsey
                                   => 970, chelsie
                                   => 1424,
                            cher   => 2804, chere  => 3171, cheree => 2876, cherelle
                                   => 3458,
                            cheri  => 504, cherie => 563, cherilyn
                                   => 2966,
                            cherise
                                   => 1604, cherish
                                   => 2320,
                            cherly => 1525, cherlyn
                                   => 3457,
                            cherri => 1685, cherrie
                                   => 1641,
                            cherryl
                                   => 2472, chery  => 2836,
                            cheryl => 59, cheryle
                                   => 1497,
                            cheryll
                                   => 2362, cheyenne
                                   => 1640,
                            chia   => 3312, chieko => 3456, ching  => 2835, chiquita
                                   => 1245,
                            chrissy
                                   => 1406, christa
                                   => 548,
                            christal
                                   => 1140, christeen
                                   => 2444,
                            christel
                                   => 1579, christen
                                   => 1075,
                            christena
                                   => 2443, christene
                                   => 1945,
                            christi
                                   => 646, christia
                                   => 3613,
                            christiana
                                   => 1676, christiane
                                   => 1788,
                            christie
                                   => 422, christin
                                   => 1097,
                            christina
                                   => 70, christine
                                   => 43,
                            christinia
                                   => 3243, christy
                                   => 256,
                            chrystal
                                   => 807, chun   => 1873,
                            ciara  => 1626, cicely => 2540, ciera  => 2226, cierra => 1614, cinda  => 1639,
                            cinderella
                                   => 3311, cindi  => 1053,
                            cindie => 3762, cindy  => 113, cinthia
                                   => 1486,
                            cira   => 3525, claire => 296, clara  => 144, clare  => 769, claretha
                                   => 3242,
                            claretta
                                   => 3612, claribel
                                   => 1888,
                            clarice
                                   => 629, clarinda
                                   => 3524,
                            clarine
                                   => 2471, claris => 3455,
                            clarisa
                                   => 3310, clarissa
                                   => 720,
                            clarita
                                   => 2613, classie
                                   => 3170,
                            claudette
                                   => 637, claudia
                                   => 232,
                            claudie
                                   => 2759, claudine
                                   => 830,
                            clelia => 3454, clemencia
                                   => 3012,
                            clementina
                                   => 1990, clementine
                                   => 1287,
                            clemmie
                                   => 2361, cleo   => 578,
                            cleopatra
                                   => 2392, cleora => 2583,
                            cleotilde
                                   => 3384, cleta  => 1650,
                            clora  => 2965, clorinda
                                   => 2834,
                            clotilde
                                   => 2293, codi   => 3761,
                            coleen => 878, colene => 3383, coletta
                                   => 2612,
                            colette
                                   => 817, colleen
                                   => 225,
                            collen => 2319, collene
                                   => 3760,
                            collette
                                   => 1311, concepcion
                                   => 724,
                            conception
                                   => 2964, concetta
                                   => 933,
                            concha => 3611, conchita
                                   => 2128,
                            connie => 106, constance
                                   => 230,
                            consuela
                                   => 2127, consuelo
                                   => 559,
                            contessa
                                   => 3382, cora   => 304,
                            coral  => 1471, coralee
                                   => 2803,
                            coralie
                                   => 3121, corazon
                                   => 1910,
                            cordelia
                                   => 1243, cordia => 3381,
                            cordie => 2611, coreen => 2126, corene => 1707, coretta
                                   => 2105,
                            cori   => 1171, corie  => 2318, corina => 874, corine => 805, corinna
                                   => 1463,
                            corinne
                                   => 538, corliss
                                   => 2292,
                            cornelia
                                   => 685, corrie => 1307,
                            corrin => 3689, corrina
                                   => 1808,
                            corrine
                                   => 722, corrinne
                                   => 3380,
                            cortney
                                   => 963, courtney
                                   => 243,
                            creola => 2919, criselda
                                   => 2722,
                            crissy => 2419, crista => 2071, cristal
                                   => 1336,
                            cristen
                                   => 2610, cristi => 1821,
                            cristie
                                   => 2582, cristin
                                   => 1887,
                            cristina
                                   => 428, cristine
                                   => 1553,
                            cristy => 1164, crysta => 3453, crystal
                                   => 102,
                            crystle
                                   => 3610, cyndi  => 1649,
                            cyndy  => 3120, cynthia
                                   => 28,
                            cyrstal
                                   => 3688, cythia => 1886,
                            dacia  => 2802, dagmar => 2317, dagny  => 3759, dahlia => 2125, daina  => 2918,
                            daine  => 3687, daisey => 2149, daisy  => 291, dalene => 3169, dalia  => 1132,
                            dalila => 2148, damaris
                                   => 1195,
                            dana   => 178, danae  => 2510, danelle
                                   => 1331,
                            danette
                                   => 1047, dani   => 1852,
                            dania  => 1962, danica => 1763, daniela
                                   => 1086,
                            daniele
                                   => 1851, daniell
                                   => 2758,
                            daniella
                                   => 1462, danielle
                                   => 150,
                            danika => 2609, danille
                                   => 2801,
                            danita => 1204, dann   => 3452, danna  => 1052, dannette
                                   => 2539,
                            dannielle
                                   => 1872, danuta => 2608,
                            danyel => 2875, danyell
                                   => 2800,
                            danyelle
                                   => 1931, daphine
                                   => 2291,
                            daphne => 600, dara   => 1094, darcel => 3309, darcey => 3523, darci  => 1507,
                            darcie => 1638, darcy  => 774, daria  => 1461, darla  => 459, darleen
                                   => 1279,
                            darlena
                                   => 3057, darlene
                                   => 157,
                            darline
                                   => 1637, davida => 1684,
                            davina => 1613, dawn   => 105, dawna  => 1375, dawne  => 2470, dayle  => 2245,
                            dayna  => 1003, daysi  => 3609, deadra => 3056, deana  => 662, deandra
                                   => 2316,
                            deandrea
                                   => 3379, deane  => 2469,
                            deann  => 944, deanna => 257, deanne => 809, debbi  => 2027, debbie => 141,
                            debbra => 1871, debby  => 1037, debera => 3378, debi   => 1341, debora => 562,
                            deborah
                                   => 25, debra  => 39,
                            debrah => 1306, debroah
                                   => 2225,
                            dede   => 3451, dedra  => 1625, dee    => 674, deeann => 2104, deeanna
                                   => 3522,
                            deedee => 2963, deedra => 3011, deena  => 861, deetta => 3686, deidra => 966,
                            deidre => 837, deirdre
                                   => 842,
                            deja   => 3450, delaine
                                   => 2757,
                            delana => 2196, delcie => 3521, delena => 2581, delfina
                                   => 1272,
                            delia  => 450, delicia
                                   => 2538,
                            delila => 3608, delilah
                                   => 1040,
                            delinda
                                   => 2124, delisa => 2224,
                            dell   => 2275, della  => 371, delma  => 1018, delmy  => 3449, delois => 1116,
                            deloise
                                   => 2962, delora => 1909,
                            deloras
                                   => 3607, delores
                                   => 220,
                            deloris
                                   => 501, delorse
                                   => 3241,
                            delpha => 2652, delphia
                                   => 1787,
                            delphine
                                   => 1049, delsie => 3010,
                            delta  => 2001, demetra
                                   => 1624,
                            demetria
                                   => 1017, demetrice
                                   => 2580,
                            dena   => 554, denae  => 3308, deneen => 1833, denese => 2579, denice => 959,
                            denise => 74, denisha
                                   => 2468,
                            denisse
                                   => 3606, denita => 1974,
                            denna  => 1820, dennise
                                   => 1961,
                            denyse => 3685, deonna => 3055, desirae
                                   => 1908,
                            desire => 2336, desiree
                                   => 417,
                            despina
                                   => 3009, dessie => 976,
                            destiny
                                   => 1020, detra  => 2360,
                            devona => 2195, devora => 2721, devorah
                                   => 2680,
                            dian   => 1366, diana  => 96, diane  => 50, diann  => 909, dianna => 411,
                            dianne => 275, diedra => 2467, diedre => 2578, dierdre
                                   => 3307,
                            digna  => 2274, dimple => 2720, dina   => 565, dinah  => 1085, dinorah
                                   => 3240,
                            dione  => 2335, dionna => 2509, dionne => 903, divina => 3758, dixie  => 468,
                            dodie  => 3605, dollie => 795, dolly  => 670, dolores
                                   => 171,
                            doloris
                                   => 2508, domenica
                                   => 1870,
                            dominga
                                   => 1154, dominica
                                   => 2917,
                            dominique
                                   => 651, dominque
                                   => 2194,
                            domitila
                                   => 2916, domonique
                                   => 2537,
                            dona   => 728, donella
                                   => 3239,
                            donetta
                                   => 2466, donette
                                   => 3520,
                            donita => 1396, donna  => 17, donnetta
                                   => 3306,
                            donnette
                                   => 3305, donya  => 2536,
                            dora   => 247, dorathy
                                   => 2334,
                            dorcas => 1293, doreatha
                                   => 3684,
                            doreen => 415, dorene => 1203, doretha
                                   => 965,
                            dorethea
                                   => 3683, doretta
                                   => 2756,
                            dori   => 1506, doria  => 3238, dorie  => 2577, dorinda
                                   => 1395,
                            dorine => 2055, doris  => 55, dorla  => 3448, dorotha
                                   => 1850,
                            dorothea
                                   => 569, dorothy
                                   => 10,
                            dorris => 1131, dortha => 1335, dorthea
                                   => 1749,
                            dorthey
                                   => 3237, dorthy => 513,
                            dottie => 1011, dotty  => 3119, dovie  => 1213, dreama => 2418, drema  => 2651,
                            drucilla
                                   => 2026, drusilla
                                   => 2333,
                            dulce  => 1346, dulcie => 3168, dung   => 2507, dusti  => 3118, dwana  => 3447,
                            dyan   => 2576, earlean
                                   => 2290,
                            earleen
                                   => 2391, earlene
                                   => 782,
                            earlie => 3167, earline
                                   => 716,
                            earnestine
                                   => 775, eartha => 1733,
                            easter => 1345, eboni  => 1706, ebonie => 2833, ebony  => 479, echo   => 2679,
                            edda   => 2650, edelmira
                                   => 1922,
                            eden   => 1732, edie   => 1436, edith  => 117, edna   => 109, edra   => 3682,
                            edris  => 3304, edwina => 791, edyth  => 3054, edythe => 995, effie  => 514,
                            ehtel  => 3166, eileen => 204, eilene => 2961, eladia => 3604, elaina => 1522,
                            elaine => 127, elana  => 1748, elane  => 3165, elanor => 2607, elayne => 2123,
                            elba   => 940, elda   => 987, eldora => 1819, eleanor
                                   => 148,
                            eleanora
                                   => 1885, eleanore
                                   => 1026,
                            elease => 2086, elena  => 405, elene  => 3519, eleni  => 2359, elenor => 1394,
                            elenora
                                   => 1989, elenore
                                   => 2755,
                            eleonor
                                   => 3377, eleonora
                                   => 3446,
                            eleonore
                                   => 3236, elfreda
                                   => 3518,
                            elfrieda
                                   => 2874, elfriede
                                   => 1731,
                            elia   => 1036, eliana => 2442, elicia => 2273, elida  => 1015, elidia => 3681,
                            elin   => 3303, elina  => 2873, elinor => 771, elinore
                                   => 3008,
                            elisa  => 478, elisabeth
                                   => 542,
                            elise  => 591, elisha => 975, elissa => 1143, eliz   => 3117, eliza  => 694,
                            elizabet
                                   => 3603, elizabeth
                                   => 5,
                            elizbeth
                                   => 2015, elizebeth
                                   => 1365,
                            elke   => 2332, ella   => 209, ellamae
                                   => 3116,
                            ellan  => 3680, ellen  => 126, ellena => 3757, elli   => 3756, ellie  => 1129,
                            elly   => 2506, ellyn  => 2244, elma   => 648, elmira => 1818, elna   => 1612,
                            elnora => 731, elodia => 2054, elois  => 2678, eloisa => 1062, eloise => 433,
                            elouise
                                   => 1193, elsa   => 464,
                            elsie  => 197, elsy   => 3602, elva   => 537, elvera => 1786, elvia  => 840,
                            elvie  => 2315, elvina => 2606, elvira => 449, elwanda
                                   => 3115,
                            elyse  => 1176, elza   => 3235, emelda => 2358, emelia => 1884, emelina
                                   => 3302,
                            emeline
                                   => 3164, emely  => 3053,
                            emerald
                                   => 2799, emerita
                                   => 2832,
                            emiko  => 2314, emilee => 1960, emilia => 749, emilie => 990, emily  => 99,
                            emma   => 134, emmaline
                                   => 3517,
                            emmie  => 2147, emmy   => 2103, emogene
                                   => 1730,
                            enda   => 3755, enedina
                                   => 1603,
                            eneida => 2272, enid   => 889, enola  => 2193, enriqueta
                                   => 1460,
                            epifania
                                   => 2575, erica  => 169,
                            ericka => 729, erika  => 294, erin   => 160, erinn  => 2719, erlene => 2146,
                            erlinda
                                   => 1120, erline => 2535,
                            erma   => 378, ermelinda
                                   => 2505,
                            erminia
                                   => 2718, erna   => 888,
                            ernestina
                                   => 1014, ernestine
                                   => 402,
                            eryn   => 2872, esmeralda
                                   => 754,
                            esperanza
                                   => 572, essie  => 461,
                            esta   => 1959, estefana
                                   => 3601,
                            estela => 712, estell => 2014, estella
                                   => 525,
                            estelle
                                   => 410, ester  => 602,
                            esther => 132, estrella
                                   => 1594,
                            etha   => 2915, ethel  => 125, ethelene
                                   => 2534,
                            ethelyn
                                   => 1602, ethyl  => 2243,
                            etsuko => 3679, etta   => 520, ettie  => 3678, eufemia
                                   => 3052,
                            eugena => 3516, eugenia
                                   => 547,
                            eugenie
                                   => 1907, eula   => 429,
                            eulah  => 3600, eulalia
                                   => 1344,
                            euna   => 2914, eunice => 322, eura   => 3599, eusebia
                                   => 3234,
                            eustolia
                                   => 3301, eva    => 140,
                            evalyn => 1648, evangelina
                                   => 885,
                            evangeline
                                   => 816, eve    => 756,
                            evelia => 1683, evelin => 2504, evelina
                                   => 1958,
                            eveline
                                   => 2013, evelyn => 57,
                            evelyne
                                   => 1988, evelynn
                                   => 3754,
                            evette => 1192, evia   => 3515, evie   => 1442, evita  => 3598, evon   => 1601,
                            evonne => 1485, exie   => 2649, fabiola
                                   => 1320,
                            faith  => 471, fallon => 1944, fannie => 339, fanny  => 930, farah  => 2192,
                            farrah => 1521, fatima => 1024, fatimah
                                   => 3233,
                            faustina
                                   => 2271, faviola
                                   => 3753,
                            fawn   => 1381, fay    => 567, faye   => 305, felecia
                                   => 948,
                            felica => 1729, felice => 1832, felicia
                                   => 279,
                            felicidad
                                   => 2960, felicita
                                   => 1163,
                            felicitas
                                   => 1524, felipa => 1423,
                            felisa => 1883, felisha
                                   => 1505,
                            fermina
                                   => 3677, fern   => 536,
                            fernanda
                                   => 2270, fernande
                                   => 3114,
                            ferne  => 1705, fidela => 3113, fidelia
                                   => 3597,
                            filomena
                                   => 1182, fiona  => 1774,
                            flavia => 2174, fleta  => 3232, flor   => 1191, flora  => 348, florance
                                   => 2173,
                            florence
                                   => 107, florencia
                                   => 1973,
                            florene
                                   => 1623, florentina
                                   => 2053,
                            floretta
                                   => 2648, floria => 3445,
                            florinda
                                   => 2052, florine
                                   => 926,
                            florrie
                                   => 3444, flossie
                                   => 702,
                            floy   => 1292, fonda  => 1593, fran   => 831, francene
                                   => 3007,
                            frances
                                   => 47, francesca
                                   => 922,
                            franchesca
                                   => 3163, francie
                                   => 2647,
                            francina
                                   => 2574, francine
                                   => 500,
                            francisca
                                   => 526, francoise
                                   => 2717,
                            fransisca
                                   => 3676, freda  => 423,
                            fredda => 3376, frederica
                                   => 2172,
                            fredericka
                                   => 2331, fredia => 2223,
                            fredricka
                                   => 3231, freeda => 2171,
                            freida => 894, frida  => 3051, frieda => 633, fumiko => 2503, gabriela
                                   => 610,
                            gabriele
                                   => 1987, gabriella
                                   => 1256,
                            gabrielle
                                   => 640, gail   => 155,
                            gala   => 3375, gale   => 668, galina => 3230, garnet => 1441, garnett
                                   => 2170,
                            gaye   => 1217, gayla  => 979, gayle  => 370, gaylene
                                   => 2605,
                            gaynell
                                   => 1716, gaynelle
                                   => 2798,
                            gearldine
                                   => 2573, gema   => 3752,
                            gemma  => 1578, gena   => 843, genesis
                                   => 3050,
                            geneva => 299, genevie
                                   => 3374,
                            genevieve
                                   => 329, genevive
                                   => 3514,
                            genia  => 2502, genie  => 2313, genna  => 3049, gennie => 2646, genny  => 2959,
                            genoveva
                                   => 1286, georgann
                                   => 3112,
                            georgeann
                                   => 3048, georgeanna
                                   => 3162,
                            georgene
                                   => 2012, georgetta
                                   => 1906,
                            georgette
                                   => 829, georgia
                                   => 229,
                            georgiana
                                   => 1248, georgiann
                                   => 2958,
                            georgianna
                                   => 1291, georgianne
                                   => 3596,
                            georgie
                                   => 1350, georgina
                                   => 693,
                            georgine
                                   => 2312, geraldine
                                   => 161,
                            geralyn
                                   => 1592, gerda  => 1435,
                            geri   => 999, germaine
                                   => 960,
                            gerri  => 1340, gertha => 2441, gertie => 1278, gertrud
                                   => 2169,
                            gertrude
                                   => 206, gertrudis
                                   => 3675,
                            gertude
                                   => 2831, ghislaine
                                   => 3674,
                            gianna => 2797, gidget => 3229, gigi   => 1972, gilberte
                                   => 3751,
                            gilda  => 915, gillian
                                   => 1181,
                            gilma  => 3673, gina   => 212, ginette
                                   => 2871,
                            ginger => 419, ginny  => 1305, giovanna
                                   => 1577,
                            gisela => 1125, gisele => 1647, giselle
                                   => 1496,
                            gita   => 3300, giuseppina
                                   => 3111,
                            gladis => 1682, glady  => 2191, gladys => 103, glayds => 3373, glenda => 240,
                            glendora
                                   => 2168, glenna => 609,
                            glennie
                                   => 2572, glennis
                                   => 2269,
                            glinda => 2268, gloria => 56, glory  => 1728, glynda => 2604, glynis => 2796,
                            golda  => 1600, goldie => 549, grace  => 114, gracia => 2190, gracie => 620,
                            graciela
                                   => 604, grayce => 2830,
                            grazyna
                                   => 3443, gregoria
                                   => 1237,
                            greta  => 704, gretchen
                                   => 435,
                            gretta => 1905, gricelda
                                   => 2870,
                            grisel => 3372, griselda
                                   => 1013,
                            guadalupe
                                   => 300, gudrun => 2417,
                            guillermina
                                   => 1061, gussie => 989,
                            gwen   => 441, gwenda => 2390, gwendolyn
                                   => 260,
                            gwenn  => 2533, gwyn   => 2716, gwyneth
                                   => 3299,
                            hailey => 1563, haley  => 698, halina => 2222, halley => 3228, hallie => 887,
                            hana   => 2085, hanh   => 2645, hannah => 362, hannelore
                                   => 2167,
                            harriet
                                   => 312, harriett
                                   => 745,
                            harriette
                                   => 1184, hassie => 3110,
                            hattie => 311, haydee => 1177, hayley => 1230, hazel  => 138, heather
                                   => 53,
                            hedwig => 1675, hedy   => 2532, heide  => 2051, heidi  => 239, heidy  => 3750,
                            heike  => 3109, helaine
                                   => 3298,
                            helen  => 15, helena => 576, helene => 535, helga  => 914, hellen => 1319,
                            henrietta
                                   => 438, henriette
                                   => 2122,
                            herlinda
                                   => 1233, herma  => 3297,
                            hermelinda
                                   => 1539, hermila
                                   => 3513,
                            hermina
                                   => 2330, hermine
                                   => 2025,
                            herminia
                                   => 953, herta  => 2754,
                            hertha => 3006, hettie => 1591, hiedi  => 3108, hien   => 3442, hilaria
                                   => 2644,
                            hilary => 711, hilda  => 259, hilde  => 2677, hildegard
                                   => 1251,
                            hildegarde
                                   => 2501, hildred
                                   => 2500,
                            hillary
                                   => 763, hilma  => 1957,
                            hiroko => 2121, hisako => 3296, holli  => 1380, hollie => 918, holly  => 185,
                            hortencia
                                   => 1043, hortense
                                   => 1440,
                            hortensia
                                   => 1715, hsiu   => 3512,
                            hulda  => 1693, huong  => 1882, hyacinth
                                   => 2531,
                            hyon   => 2440, hyun   => 2120, ida    => 182, idalia => 1665, idell  => 1956,
                            idella => 1263, iesha  => 2050, ignacia
                                   => 2119,
                            ila    => 703, ilana  => 2416, ilda   => 2499, ileana => 1429, ileen  => 3047,
                            ilene  => 802, iliana => 1727, illa   => 3371, ilona  => 1664, ilse   => 1562,
                            iluminada
                                   => 2643, imelda => 852,
                            imogene
                                   => 605, ina    => 540,
                            indira => 2267, inell  => 2415, ines   => 932, inez   => 324, inga   => 1590,
                            inge   => 1520, ingeborg
                                   => 1576,
                            inger  => 2266, ingrid => 545, inocencia
                                   => 2715,
                            iola   => 1010, iona   => 1055, ione   => 1124, iraida => 3161, irena  => 1663,
                            irene  => 76, irina  => 2357, iris   => 321, irma   => 251, irmgard
                                   => 1955,
                            isabel => 309, isabell
                                   => 1123,
                            isabella
                                   => 952, isabelle
                                   => 593,
                            isadora
                                   => 3595, isaura => 2389,
                            isela  => 1904, isidra => 2714, isis   => 2530, isobel => 2957, iva    => 546,
                            ivana  => 2414, ivelisse
                                   => 2795,
                            ivette => 1074, ivonne => 1229, ivy    => 673, izetta => 3107, izola  => 2913,
                            jacalyn
                                   => 1738, jacelyn
                                   => 2912,
                            jacinda
                                   => 2753, jacinta
                                   => 1611,
                            jackeline
                                   => 1881, jackelyn
                                   => 3441,
                            jacki  => 2102, jackie => 233, jacklyn
                                   => 893,
                            jackqueline
                                   => 3295, jaclyn => 619,
                            jacqualine
                                   => 2388, jacque => 1262,
                            jacquelin
                                   => 1216, jacqueline
                                   => 86,
                            jacquelyn
                                   => 377, jacquelyne
                                   => 2642,
                            jacquelynn
                                   => 2439, jacquetta
                                   => 3160,
                            jacqui => 3440, jacquie
                                   => 2794,
                            jacquiline
                                   => 2676, jacquline
                                   => 1006,
                            jacqulyn
                                   => 2118, jada   => 1561,
                            jade   => 958, jadwiga
                                   => 2571,
                            jaimee => 3294, jaimie => 1519, jaleesa
                                   => 2641,
                            jalisa => 2911, jama   => 3749, jamee  => 3227, jami   => 730, jamie  => 146,
                            jamika => 3511, jamila => 1547, jammie => 1714, jan    => 336, jana   => 440,
                            janae  => 1869, janay  => 2675, jane   => 77, janean => 3293, janee  => 2752,
                            janeen => 1379, janel  => 1077, janell => 931, janella
                                   => 3005,
                            janelle
                                   => 532, janene => 1849,
                            janessa
                                   => 2084, janet  => 45,
                            janeth => 2221, janett => 2166, janetta
                                   => 2024,
                            janette
                                   => 556, janey  => 1817,
                            jani   => 3510, janice => 66, janie  => 332, janiece
                                   => 3370,
                            janina => 1405, janine => 582, janis  => 420, janise => 2793, janita => 2311,
                            jann   => 2498, janna  => 859, jannet => 2751, jannette
                                   => 1304,
                            jannie => 902, janyce => 3594, jaqueline
                                   => 1019,
                            jaquelyn
                                   => 3672, jasmin => 984,
                            jasmine
                                   => 397, jaunita
                                   => 1747,
                            jaye   => 2829, jayme  => 1149, jaymie => 2869, jayna  => 3004, jayne  => 618,
                            jazmin => 1589, jazmine
                                   => 2165,
                            jean   => 58, jeana  => 1330, jeane  => 1518, jeanelle
                                   => 2910,
                            jeanene
                                   => 2387, jeanett
                                   => 3106,
                            jeanetta
                                   => 1447, jeanette
                                   => 190,
                            jeanice
                                   => 2956, jeanie => 742,
                            jeanine
                                   => 630, jeanmarie
                                   => 2828,
                            jeanna => 1039, jeanne => 199, jeannetta
                                   => 3748,
                            jeannette
                                   => 359, jeannie
                                   => 466,
                            jeannine
                                   => 661, jeffie => 3593,
                            jena   => 1034, jenae  => 3369, jene   => 2750, jenee  => 3105, jenell => 2049,
                            jenelle
                                   => 1478, jenette
                                   => 1986,
                            jeneva => 3671, jeni   => 2189, jenice => 2674, jenifer
                                   => 552,
                            jeniffer
                                   => 1393, jenine => 2329,
                            jenise => 2145, jenna  => 442, jennefer
                                   => 2220,
                            jennell
                                   => 3439, jennette
                                   => 1546,
                            jenni  => 1495, jennie => 261, jennifer
                                   => 6,
                            jenniffer
                                   => 1807, jennine
                                   => 3159,
                            jenny  => 278, jeraldine
                                   => 1746,
                            jeri   => 678, jerica => 2909, jerilyn
                                   => 1646,
                            jerlene
                                   => 3509, jerri  => 773,
                            jerrica
                                   => 2749, jerrie => 1538,
                            jesenia
                                   => 2070, jesica => 1299,
                            jessenia
                                   => 2310, jessi  => 2083,
                            jessia => 3592, jessica
                                   => 26,
                            jessie => 214, jessika
                                   => 2908,
                            jestine
                                   => 3591, jesusa => 2640,
                            jesusita
                                   => 3590, jetta  => 2792,
                            jettie => 1806, jewel  => 508, jewell => 566, jill   => 159, jillian
                                   => 568,
                            jina   => 2101, jinny  => 3747, joan   => 62, joana  => 1903, joane  => 3003,
                            joanie => 1456, joann  => 164, joanna => 320, joanne => 147, joannie
                                   => 2748,
                            joaquina
                                   => 3508, jocelyn
                                   => 595,
                            jodee  => 2144, jodi   => 331, jodie  => 643, jody   => 395, joeann => 2413,
                            joella => 2356, joelle => 1242, joellen
                                   => 1470,
                            joetta => 1745, joette => 3368, johana => 2639, johanna
                                   => 473,
                            johanne
                                   => 3226, johna  => 2827,
                            johnetta
                                   => 1744, johnette
                                   => 3104,
                            johnna => 1227, johnsie
                                   => 3292,
                            joie   => 3746, jolanda
                                   => 2638,
                            joleen => 1552, jolene => 606, jolie  => 2082, joline => 3158, jolyn  => 2791,
                            jolynn => 1704, jona   => 2529, jone   => 3002, jonell => 2000, jonelle
                                   => 2048,
                            jong   => 3670, joni   => 597, jonie  => 3103, jonna  => 1662, jonnie => 1374,
                            josefa => 863, josefina
                                   => 465,
                            josefine
                                   => 3438, joselyn
                                   => 2047,
                            josephina
                                   => 1484, josephine
                                   => 121,
                            josette
                                   => 1244, josie  => 527,
                            joslyn => 2265, josphine
                                   => 2790,
                            jovan  => 3437, jovita => 1266, joy    => 228, joya   => 3367, joyce  => 49,
                            joycelyn
                                   => 1422, joye   => 2117,
                            juana  => 358, juanita
                                   => 135,
                            judi   => 969, judie  => 1816, judith => 64, judy   => 69, jule   => 3225,
                            julee  => 2465, julene => 3224, juli   => 1298, julia  => 89, juliana
                                   => 811,
                            juliane
                                   => 2673, juliann
                                   => 1785,
                            julianna
                                   => 1208, julianne
                                   => 789,
                            julie  => 52, julieann
                                   => 3291,
                            julienne
                                   => 2386, juliet => 892,
                            julieta
                                   => 1762, julietta
                                   => 3589,
                            juliette
                                   => 860, julissa
                                   => 1805,
                            jung   => 1175, junie  => 3290, junita => 2528, junko  => 3507, justa  => 3157,
                            justina
                                   => 988, justine
                                   => 647,
                            jutta  => 2164, kacey  => 1743, kaci   => 1930, kacie  => 1880, kacy   => 2438,
                            kaila  => 2747, kaitlin
                                   => 924,
                            kaitlyn
                                   => 994, kala   => 1560,
                            kaleigh
                                   => 3289, kaley  => 2570,
                            kali   => 1985, kallie => 3588, kalyn  => 3366, kamala => 3156, kami   => 1349,
                            kamilah
                                   => 3155, kandace
                                   => 1868,
                            kandi  => 1571, kandice
                                   => 1570,
                            kandis => 2826, kandra => 3506, kandy  => 1703, kanesha
                                   => 3669,
                            kanisha
                                   => 3223, kara   => 376,
                            karan  => 1831, kareen => 3102, karen  => 13, karena => 2907, karey  => 2219,
                            kari   => 409, karie  => 1610, karima => 3436, karin  => 530, karina => 755,
                            karine => 2637, karisa => 3288, karissa
                                   => 1459,
                            karla  => 365, karleen
                                   => 2527,
                            karlene
                                   => 1804, karly  => 2906,
                            karlyn => 3435, karma  => 2412, karmen => 2355, karol  => 1255, karole => 3745,
                            karoline
                                   => 3154, karolyn
                                   => 1504,
                            karon  => 1202, karren => 2023, karri  => 1636, karrie => 1084, karry  => 3668,
                            kary   => 2789, karyl  => 2636, karyn  => 882, kasandra
                                   => 1867,
                            kasey  => 814, kasha  => 3434, kasi   => 3587, kasie  => 2569, kassandra
                                   => 1421,
                            kassie => 2289, kate   => 452, katelin
                                   => 3101,
                            katelyn
                                   => 846, katelynn
                                   => 3001,
                            katerine
                                   => 3586, kathaleen
                                   => 2081,
                            katharina
                                   => 2046, katharine
                                   => 642,
                            katharyn
                                   => 3287, kathe  => 2497,
                            katheleen
                                   => 3286, katherin
                                   => 2188,
                            katherina
                                   => 3667, katherine
                                   => 61,
                            kathern
                                   => 2218, katheryn
                                   => 908,
                            kathey => 2496, kathi  => 978, kathie => 823, kathleen
                                   => 36,
                            kathlene
                                   => 1661, kathline
                                   => 3433,
                            kathlyn
                                   => 1773, kathrin
                                   => 2868,
                            kathrine
                                   => 798, kathryn
                                   => 82,
                            kathryne
                                   => 1803, kathy  => 71,
                            kathyrn
                                   => 1866, kati   => 2069,
                            katia  => 2603, katie  => 192, katina => 905, katlyn => 2354, katrice
                                   => 2568,
                            katrina
                                   => 295, kattie => 2011,
                            katy   => 788, kay    => 268, kayce  => 3153, kaycee => 3365, kaye   => 806,
                            kayla  => 334, kaylee => 1660, kayleen
                                   => 2353,
                            kayleigh
                                   => 2242, kaylene
                                   => 2143,
                            kazuko => 2288, kecia  => 1802, keeley => 3505, keely  => 1494, keena  => 2602,
                            keesha => 2010, keiko  => 1902, keila  => 3000, keira  => 3744, keisha => 607,
                            keitha => 2867, keli   => 1929, kelle  => 2713, kellee => 2264, kelli  => 361,
                            kellie => 455, kelly  => 67, kellye => 2263, kelsey => 539, kelsi  => 2955,
                            kelsie => 1921, kemberly
                                   => 3222,
                            kena   => 2601, kenda  => 2866, kendal => 3221, kendra => 396, kenia  => 2954,
                            kenisha
                                   => 2287, kenna  => 1772,
                            kenya  => 794, kenyatta
                                   => 1815,
                            kenyetta
                                   => 2022, kera   => 3220,
                            keren  => 3046, keri   => 611, kerri  => 522, kerrie => 1161, kerstin
                                   => 2865,
                            kesha  => 1329, keshia => 1343, keturah
                                   => 3100,
                            keva   => 3743, khadijah
                                   => 3585,
                            khalilah
                                   => 3504, kiana  => 2352,
                            kiara  => 1737, kiera  => 2142, kiersten
                                   => 2788,
                            kiesha => 2141, kiley  => 2116, kim    => 118, kimber => 2217, kimberely
                                   => 1726,
                            kimberlee
                                   => 983, kimberley
                                   => 574,
                            kimberli
                                   => 1954, kimberlie
                                   => 2464,
                            kimberly
                                   => 24, kimbery
                                   => 2635,
                            kimbra => 3666, kimi   => 2999, kimiko => 2672, kina   => 3285, kindra => 2163,
                            kira   => 1103, kirsten
                                   => 614,
                            kirstie
                                   => 3432, kirstin
                                   => 1742,
                            kisha  => 1128, kittie => 3219, kitty  => 943, kiyoko => 3099, kizzie => 3218,
                            kizzy  => 1943, klara  => 2825, kori   => 1545, kortney
                                   => 3217,
                            kourtney
                                   => 2068, krishna
                                   => 3742,
                            krissy => 2905, krista => 383, kristal
                                   => 1174,
                            kristan
                                   => 1635, kristeen
                                   => 3503,
                            kristel
                                   => 2495, kristen
                                   => 193,
                            kristi => 315, kristian
                                   => 1865,
                            kristie
                                   => 486, kristin
                                   => 213,
                            kristina
                                   => 286, kristine
                                   => 337,
                            kristle
                                   => 3741, kristy => 350,
                            kristyn
                                   => 1761, krysta => 2385,
                            krystal
                                   => 406, krysten
                                   => 2953,
                            krystin
                                   => 3216, krystina
                                   => 2952,
                            krystle
                                   => 1009, krystyna
                                   => 1634,
                            kyla   => 1271, kylee  => 1702, kylie  => 1139, kymberly
                                   => 2351,
                            kyoko  => 2951, kyong  => 1428, kyra   => 1410, kyung  => 1446, lacey  => 608,
                            lachelle
                                   => 2824, laci   => 1848,
                            lacie  => 1559, lacresha
                                   => 3740,
                            lacy   => 891, ladawn => 3284, ladonna
                                   => 665,
                            lael   => 3431, lahoma => 3283, laila  => 1984, laine  => 3584, lajuana
                                   => 2904,
                            lakeesha
                                   => 3364, lakeisha
                                   => 834,
                            lakendra
                                   => 3215, lakenya
                                   => 3430,
                            lakesha
                                   => 998, lakeshia
                                   => 1434,
                            lakia  => 2950, lakiesha
                                   => 2787,
                            lakisha
                                   => 790, lakita => 3098,
                            lala   => 2823, lamonica
                                   => 3665,
                            lana   => 458, lanell => 2463, lanelle
                                   => 2903,
                            lanette
                                   => 1645, lani   => 1701,
                            lanie  => 3045, lanita => 1920, lannie => 3152, lanora => 3097, laquanda
                                   => 2822,
                            laquita
                                   => 1247, larae  => 2216,
                            laraine
                                   => 2634, laree  => 3739,
                            larhonda
                                   => 2100, larisa => 2045,
                            larissa
                                   => 1113, larita => 3044,
                            laronda
                                   => 2567, larraine
                                   => 3738,
                            larue  => 1622, lasandra
                                   => 2712,
                            lashanda
                                   => 1458, lashandra
                                   => 3664,
                            lashaun
                                   => 3429, lashaunda
                                   => 3363,
                            lashawn
                                   => 1093, lashawna
                                   => 3583,
                            lashawnda
                                   => 2949, lashay => 3737,
                            lashell
                                   => 3663, lashon => 2998,
                            lashonda
                                   => 968, lashunda
                                   => 2115,
                            lasonya
                                   => 2864, latanya
                                   => 980,
                            latarsha
                                   => 2902, latasha
                                   => 494,
                            latashia
                                   => 2711, latesha
                                   => 2566,
                            latia  => 2384, laticia
                                   => 2099,
                            latina => 2821, latisha
                                   => 691,
                            latonia
                                   => 1318, latonya
                                   => 557,
                            latoria
                                   => 2215, latosha
                                   => 1368,
                            latoya => 367, latoyia
                                   => 2863,
                            latrice
                                   => 1033, latricia
                                   => 1310,
                            latrina
                                   => 2098, latrisha
                                   => 2786,
                            launa  => 2600, laura  => 22, lauralee
                                   => 3096,
                            lauran => 3582, laure  => 2437, laureen
                                   => 1378,
                            laurel => 534, lauren => 162, laurena
                                   => 3736,
                            laurene
                                   => 1847, lauretta
                                   => 1138,
                            laurette
                                   => 1537, lauri  => 913,
                            laurice
                                   => 2565, laurie => 191,
                            laurinda
                                   => 2997, laurine
                                   => 2309,
                            lauryn => 2785, lavada => 1784, lavelle
                                   => 3362,
                            lavenia
                                   => 2996, lavera => 2494,
                            laverna
                                   => 2009, laverne
                                   => 444,
                            laveta => 3043, lavette
                                   => 2784,
                            lavina => 1445, lavinia
                                   => 1879,
                            lavon  => 1439, lavona => 2948, lavonda
                                   => 1659,
                            lavone => 3662, lavonia
                                   => 2493,
                            lavonna
                                   => 2820, lavonne
                                   => 801,
                            lawana => 2162, lawanda
                                   => 819,
                            lawanna
                                   => 2599, layla  => 2350,
                            lea    => 645, leah   => 266, lean   => 3214, leana  => 2114, leandra
                                   => 1700,
                            leann  => 695, leanna => 876, leanne => 660, leanora
                                   => 3502,
                            leatha => 1633, leatrice
                                   => 1433,
                            lecia  => 3581, leda   => 1795, leeann => 974, leeanna
                                   => 2492,
                            leeanne
                                   => 2308, leena  => 3042,
                            leesa  => 1771, leia   => 3095, leida  => 3580, leigh  => 430, leigha => 3501,
                            leighann
                                   => 2564, leila  => 684,
                            leilani
                                   => 1339, leisa  => 1373,
                            leisha => 2746, lekisha
                                   => 3213,
                            lela   => 472, lelah  => 3500, lelia  => 898, lena   => 255, lenita => 3661,
                            lenna  => 2187, lennie => 1736, lenora => 519, lenore => 733, leola  => 599,
                            leoma  => 3094, leona  => 277, leonarda
                                   => 2241,
                            leone  => 1338, leonia => 2947, leonida
                                   => 3660,
                            leonie => 2491, leonila
                                   => 2490,
                            leonor => 855, leonora
                                   => 1212,
                            leonore
                                   => 2563, leontine
                                   => 3093,
                            leora  => 1070, leota  => 1147, lera   => 2214, lesa   => 950, lesha  => 3659,
                            lesia  => 2097, leslee => 1725, lesley => 594, lesli  => 1830, leslie => 143,
                            lessie => 866, leta   => 947, letha  => 710, leticia
                                   => 381,
                            letisha
                                   => 2901, letitia
                                   => 942,
                            lettie => 1108, letty  => 2044, lezlie => 2710, liana  => 1724, liane  => 1814,
                            lianne => 2995, libbie => 3282, libby  => 977, liberty
                                   => 2562,
                            librada
                                   => 2709, lida   => 1469,
                            lidia  => 721, lien   => 1971, lieselotte
                                   => 3361,
                            ligia  => 2213, lila   => 457, lili   => 2489, lilia  => 767, lilian => 810,
                            liliana
                                   => 865, lilla  => 2008,
                            lilli  => 3428, lillia => 3360, lilliam
                                   => 3499,
                            lillian
                                   => 98, lilliana
                                   => 3498,
                            lillie => 231, lilly  => 708, lily   => 634, lina   => 808, linda  => 3,
                            lindsay
                                   => 298, lindsey
                                   => 297,
                            lindsy => 3497, lindy  => 1328, linette
                                   => 1674,
                            ling   => 2349, linh   => 1928, linnea => 1503, linnie => 1348, linsey => 1901,
                            lisa   => 11, lisabeth
                                   => 3496,
                            lisandra
                                   => 3212, lisbeth
                                   => 2526,
                            lise   => 1493, lisette
                                   => 1392,
                            lisha  => 2383, lissa  => 1801, lissette
                                   => 1359,
                            lita   => 1681, livia  => 2462, liz    => 912, liza   => 779, lizabeth
                                   => 1492,
                            lizbeth
                                   => 1536, lizeth => 3281,
                            lizette
                                   => 1327, lizzette
                                   => 2745,
                            lizzie => 613, loida  => 2525, lois   => 91, loise  => 3495, lola   => 353,
                            lolita => 925, loma   => 2461, lona   => 1066, londa  => 3092, loni   => 1970,
                            lonna  => 2113, lora   => 413, loraine
                                   => 746,
                            loralee
                                   => 2994, lore   => 2328,
                            lorean => 3658, loree  => 1969, loreen => 1942, lorelei
                                   => 1770,
                            lorena => 454, lorene => 463, lorenza
                                   => 1427,
                            loreta => 2946, loretta
                                   => 188,
                            lorette
                                   => 2993, lori   => 78,
                            loria  => 2992, loriann
                                   => 2561,
                            lorie  => 664, lorilee
                                   => 3735,
                            lorina => 2900, lorinda
                                   => 1621,
                            lorine => 1201, loris  => 2744, lorita => 2862, lorna  => 555, lorraine
                                   => 165,
                            lorretta
                                   => 1713, lorri  => 1119,
                            lorriane
                                   => 2945, lorrie => 772,
                            lorrine
                                   => 3734, lory   => 2560,
                            lottie => 521, lou    => 586, louann => 1207, louanne
                                   => 2382,
                            louella
                                   => 946, louetta
                                   => 3579,
                            louisa => 781, louise => 83, loura  => 3657, lourdes
                                   => 533,
                            lourie => 3733, louvenia
                                   => 2096,
                            lovella
                                   => 2436, lovetta
                                   => 3732,
                            lovie  => 1517, loyce  => 2043, luana  => 1919, luann  => 813, luanna => 3494,
                            luanne => 1200, luba   => 3578, luci   => 2944, lucia  => 469, luciana
                                   => 1829,
                            lucie  => 1432, lucienne
                                   => 1783,
                            lucila => 1211, lucile => 659, lucilla
                                   => 3041,
                            lucille
                                   => 145, lucina => 1983,
                            lucinda
                                   => 512, lucrecia
                                   => 2067,
                            lucretia
                                   => 1083, lucy   => 207,
                            ludie  => 2460, ludivina
                                   => 2991,
                            luella => 649, luetta => 2899, luisa  => 677, luise  => 2524, lula   => 352,
                            lulu   => 1391, lupe   => 584, lupita => 1680, lura   => 1157, lurlene
                                   => 3359,
                            lurline
                                   => 2186, luvenia
                                   => 1968,
                            luz    => 345, lyda   => 1632, lydia  => 241, lyla   => 1846, lynda  => 325,
                            lyndia => 2943, lyndsay
                                   => 1712,
                            lyndsey
                                   => 1404, lynell => 2523,
                            lynelle
                                   => 2411, lynetta
                                   => 2783,
                            lynette
                                   => 426, lynn   => 166,
                            lynna  => 3427, lynne  => 373, lynnette
                                   => 873,
                            lynsey => 2598, mabel  => 252, mabelle
                                   => 2898,
                            mable  => 401, machelle
                                   => 1800,
                            macie  => 2262, mackenzie
                                   => 1533,
                            macy   => 2307, madalene
                                   => 3656,
                            madaline
                                   => 2161, madalyn
                                   => 1982,
                            madelaine
                                   => 3091, madeleine
                                   => 895,
                            madelene
                                   => 2990, madeline
                                   => 326,
                            madelyn
                                   => 858, madge  => 822,
                            madie  => 2021, madlyn => 2559, madonna
                                   => 1112,
                            mae    => 289, maegan => 1918, mafalda
                                   => 3151,
                            magali => 3150, magaly => 2020, magan  => 2410, magaret
                                   => 2488,
                            magda  => 1254, magdalen
                                   => 2708,
                            magdalena
                                   => 679, magdalene
                                   => 1358,
                            magen  => 2459, maggie => 333, magnolia
                                   => 1468,
                            mahalia
                                   => 3655, mai    => 884,
                            maia   => 2597, maida  => 2240, maile  => 2782, maira  => 1941, maire  => 2942,
                            maisha => 3211, maisie => 3426, majorie
                                   => 1232,
                            makeda => 3731, malena => 3730, malia  => 1769, malika => 2239, malinda
                                   => 759,
                            malisa => 2212, malissa
                                   => 1065,
                            malka  => 3210, mallie => 2819, mallory
                                   => 783,
                            malorie
                                   => 2989, malvina
                                   => 3577,
                            mamie  => 351, mammie => 2286, mana   => 2707, manda  => 2261, mandi  => 1153,
                            mandie => 2941, mandy  => 462, manie  => 3358, manuela
                                   => 667,
                            maple  => 2487, mara   => 896, maragaret
                                   => 3357,
                            maragret
                                   => 2897, maranda
                                   => 1417,
                            marcela
                                   => 1190, marcelene
                                   => 3576,
                            marcelina
                                   => 1386, marceline
                                   => 2706,
                            marcell
                                   => 3729, marcella
                                   => 404,
                            marcelle
                                   => 1277, marcene
                                   => 3149,
                            marchelle
                                   => 3280, marci  => 854,
                            marcia => 234, marcie => 778, marcy  => 676, mardell
                                   => 3493,
                            maren  => 2211, marg   => 3425, margaret
                                   => 9,
                            margareta
                                   => 2596, margarete
                                   => 1658,
                            margarett
                                   => 1953, margaretta
                                   => 2327,
                            margarette
                                   => 1483, margarita
                                   => 302,
                            margarite
                                   => 1981, margart
                                   => 2348,
                            marge  => 1180, margene
                                   => 3090,
                            margeret
                                   => 2160, margert
                                   => 2743,
                            margery
                                   => 793, marget => 2705,
                            margherita
                                   => 2940, margie => 263,
                            margit => 2140, margo  => 654, margorie
                                   => 2326,
                            margot => 972, margret
                                   => 650,
                            margrett
                                   => 3356, marguerita
                                   => 2558,
                            marguerite
                                   => 310, margurite
                                   => 2066,
                            margy  => 3654, marhta => 3279, mari   => 828, maria  => 7, mariah => 1241,
                            mariam => 1297, marian => 244, mariana
                                   => 890,
                            marianela
                                   => 3492, mariann
                                   => 1372,
                            marianna
                                   => 1059, marianne
                                   => 375,
                            maribel
                                   => 587, maribeth
                                   => 1599,
                            marica => 2861, maricela
                                   => 792,
                            maricruz
                                   => 3575, marie  => 44,
                            mariel => 2210, mariela
                                   => 1828,
                            mariella
                                   => 3491, marielle
                                   => 3490,
                            marietta
                                   => 853, mariette
                                   => 2988,
                            mariko => 2742, marilee
                                   => 1416,
                            marilou
                                   => 1845, marilu => 2671,
                            marilyn
                                   => 80, marilynn
                                   => 1082,
                            marina => 487, marinda
                                   => 2741,
                            marion => 177, marisa => 623, marisela
                                   => 1069,
                            marisha
                                   => 2987, marisol
                                   => 628,
                            marissa
                                   => 529, marita => 1420,
                            maritza
                                   => 658, marivel
                                   => 2781,
                            marjorie
                                   => 128, marjory
                                   => 1189,
                            marketta
                                   => 3574, markita
                                   => 2306,
                            marla  => 492, marlana
                                   => 2557,
                            marleen
                                   => 2185, marlen => 2704,
                            marlena
                                   => 1199, marlene
                                   => 238,
                            marline
                                   => 2860, marlo  => 1569,
                            marlyn => 1270, marlys => 1226, marna  => 2159, marni  => 2209, marnie => 1390,
                            marquerite
                                   => 1482, marquetta
                                   => 2347,
                            marquita
                                   => 917, marquitta
                                   => 3278,
                            marsha => 253, marta  => 470, marth  => 3089, martha => 38, marti  => 1558,
                            martina
                                   => 653, martine
                                   => 1782,
                            marva  => 851, marvel => 1535, marvella
                                   => 3277,
                            marvis => 3040, mary   => 1, marya  => 2458, maryalice
                                   => 2633,
                            maryam => 2457, maryann
                                   => 340,
                            maryanna
                                   => 2896, maryanne
                                   => 815,
                            marybelle
                                   => 3355, marybeth
                                   => 1008,
                            maryellen
                                   => 911, maryetta
                                   => 3728,
                            maryjane
                                   => 1048, maryjo => 1673,
                            marylee
                                   => 1813, marylin
                                   => 1438,
                            maryln => 3727, marylou
                                   => 735,
                            marylouise
                                   => 3088, marylyn
                                   => 1864,
                            marylynn
                                   => 2986, maryrose
                                   => 3148,
                            masako => 1967, matha  => 3573, mathilda
                                   => 1900,
                            mathilde
                                   => 2595, matilda
                                   => 683,
                            matilde
                                   => 1111, mattie => 249,
                            maud   => 1326, maude  => 551, maudie => 1038, maura  => 883, maureen
                                   => 224,
                            maurine
                                   => 1032, maurita
                                   => 3726,
                            mavis  => 655, maxie  => 1516, maxima => 3572, maximina
                                   => 3424,
                            maxine => 250, maya   => 1102, maybell
                                   => 2556,
                            maybelle
                                   => 1477, maye   => 2486,
                            mayme  => 1127, mayola => 3087, mayra  => 617, mazie  => 1588, meagan => 681,
                            meaghan
                                   => 1357, mechelle
                                   => 1699,
                            meda   => 3571, megan  => 151, meggan => 2703, meghan => 431, meghann
                                   => 2260,
                            melaine
                                   => 2702, melani => 2985,
                            melania
                                   => 3423, melanie
                                   => 187,
                            melany => 2435, melba  => 480, melda  => 2818, melia  => 3209, melida => 2984,
                            melina => 1481, melinda
                                   => 221,
                            melisa => 736, melissa
                                   => 30,
                            melissia
                                   => 2632, melita => 2983,
                            mellie => 2485, mellisa
                                   => 982,
                            mellissa
                                   => 1130, melodee
                                   => 3039,
                            melodi => 3570, melodie
                                   => 1156,
                            melody => 344, melonie
                                   => 1587,
                            melony => 1544, melva  => 818, melvina
                                   => 1303,
                            melynda
                                   => 2434, mendy  => 2780,
                            mercedes
                                   => 424, mercedez
                                   => 3147,
                            mercy  => 1575, meredith
                                   => 425,
                            meri   => 2555, merideth
                                   => 3276,
                            meridith
                                   => 2484, merilyn
                                   => 2184,
                            merissa
                                   => 3725, merlene
                                   => 2139,
                            merlyn => 3086, merna  => 2325, merri  => 2138, merrie => 2740, merrilee
                                   => 3038,
                            merry  => 1092, mertie => 3653, meryl  => 1760, meta   => 1543, mia    => 719,
                            mica   => 2779, micaela
                                   => 1223,
                            micha  => 3724, michaela
                                   => 1002,
                            michaele
                                   => 3208, michele
                                   => 154,
                            michelina
                                   => 3146, micheline
                                   => 2324,
                            michell
                                   => 962, michelle
                                   => 21,
                            michiko
                                   => 2080, micki  => 2112,
                            mickie => 1917, miesha => 3275, migdalia
                                   => 1073,
                            mignon => 2778, miguelina
                                   => 2554,
                            mika   => 2701, mikaela
                                   => 3422,
                            miki   => 2859, mikki  => 2111, mila   => 2007, milagro
                                   => 2522,
                            milagros
                                   => 748, milda  => 2895,
                            mildred
                                   => 60, milissa
                                   => 1598,
                            millicent
                                   => 907, millie => 636,
                            milly  => 3354, mimi   => 1215, mina   => 981, minda  => 2777, mindi  => 1620,
                            mindy  => 460, minerva
                                   => 707,
                            ming   => 3037, minna  => 2409, minnie => 237, minta  => 3652, mira   => 1781,
                            miranda
                                   => 467, mireille
                                   => 2631,
                            mirella
                                   => 2894, mireya => 1426,
                            miriam => 281, mirian => 1542, mirna  => 1160, mirta  => 1609, mirtha => 2670,
                            misha  => 2858, missy  => 1170, misti  => 1219, mistie => 3723, misty  => 288,
                            mitsue => 3651, mitsuko
                                   => 2893,
                            mittie => 1451, mitzi  => 827, mitzie => 2776, miyoko => 3274, modesta
                                   => 1679,
                            moira  => 1711, mollie => 583, molly  => 313, mona   => 414, monet  => 3207,
                            monica => 131, monika => 967, monique
                                   => 330,
                            monnie => 3206, monserrate
                                   => 2433,
                            moriah => 2982, mozell => 1863, mozella
                                   => 2381,
                            mozelle
                                   => 1240, muoi   => 3145,
                            muriel => 403, myesha => 3650, myong  => 1780, myra   => 380, myriam => 1491,
                            myrl   => 3273, myrle  => 2380, myrna  => 491, myrta  => 3649, myrtice
                                   => 1812,
                            myrtie => 2238, myrtis => 1309, myrtle => 254, myung  => 2379, nada   => 1710,
                            nadene => 3144, nadia  => 821, nadine => 408, naida  => 3648, nakesha
                                   => 3353,
                            nakia  => 1198, nakisha
                                   => 1940,
                            nakita => 2285, nana   => 2408, nancee => 3569, nancey => 3272, nanci  => 1415,
                            nancie => 2432, nancy  => 12, nanette
                                   => 799,
                            nannette
                                   => 1515, nannie => 744,
                            naoma  => 2158, naomi  => 270, narcisa
                                   => 2553,
                            natacha
                                   => 3271, natalia
                                   => 871,
                            natalie
                                   => 215, natalya
                                   => 3568,
                            natasha
                                   => 307, natashia
                                   => 2739,
                            nathalie
                                   => 1276, natisha
                                   => 3036,
                            natividad
                                   => 1347, natosha
                                   => 2284,
                            necole => 3647, neda   => 2892, nedra  => 1317, neida  => 3722, nelda  => 706,
                            nelia  => 2095, nelida => 1844, nell   => 570, nella  => 1723, nelle  => 1619,
                            nellie => 236, nelly  => 964, nena   => 1514, nenita => 3035, neoma  => 1980,
                            neomi  => 3421, nereida
                                   => 1269,
                            nerissa
                                   => 2483, nery   => 2981,
                            neta   => 2110, nettie => 482, neva   => 734, nevada => 3085, ngan   => 3352,
                            ngoc   => 2094, nguyet => 3420, nichelle
                                   => 1916,
                            nichol => 1939, nichole
                                   => 398,
                            nicholle
                                   => 3646, nicki  => 1231,
                            nickie => 1999, nickole
                                   => 2378,
                            nicol  => 2431, nicola => 1403, nicolasa
                                   => 1938,
                            nicole => 68, nicolette
                                   => 1672,
                            nicolle
                                   => 2042, nida   => 3084,
                            nidia  => 1568, niesha => 3083, niki   => 1325, nikia  => 2157, nikita => 1224,
                            nikki  => 524, nikole => 1979, nila   => 1476, nilda  => 1051, nilsa  => 1759,
                            nina   => 264, ninfa  => 1794, nisha  => 3082, nita   => 785, nobuko => 3419,
                            noelia => 1631, noella => 1998, noelle => 941, noemi  => 777, nohemi => 2980,
                            nola   => 700, noma   => 2630, nona   => 826, nora   => 262, norah  => 2629,
                            noreen => 760, norene => 1574, noriko => 2738, norine => 1722, norma  => 94,
                            nova   => 1480, novella
                                   => 1475,
                            nubia  => 3489, nydia  => 1532, nyla   => 2456, obdulia
                                   => 2700,
                            ocie   => 1735, octavia
                                   => 957,
                            odelia => 2775, odessa => 743, odette => 1768, odilia => 2407, ofelia => 680,
                            ola    => 581, olene  => 2939, oleta  => 1261, olevia => 3645, olga   => 273,
                            olimpia
                                   => 2774, olinda => 3143,
                            oliva  => 1862, olive  => 445, olivia => 347, ollie  => 484, olympia
                                   => 2079,
                            omega  => 2699, oneida => 2183, onie   => 3488, onita  => 3081, opal   => 341,
                            ophelia
                                   => 824, ora    => 481,
                            oralee => 3351, oralia => 1110, oretha => 3350, orpha  => 1534, ossie  => 2041,
                            otelia => 3644, otilia => 1741, ouida  => 1758, ozell  => 3721, ozella => 2669,
                            ozie   => 3349, paige  => 596, palma  => 1799, palmira
                                   => 3080,
                            pam    => 360, pamala => 1001, pamela => 37, pamelia
                                   => 2137,
                            pamella
                                   => 2208, pamila => 3720,
                            pamula => 3205, pandora
                                   => 2628,
                            pansy  => 939, paola  => 1793, parthenia
                                   => 3204,
                            particia
                                   => 1966, pasty  => 3487,
                            pat    => 382, patience
                                   => 1997,
                            patria => 2773, patrica
                                   => 573,
                            patrice
                                   => 496, patricia
                                   => 2,
                            patrina
                                   => 2040, patsy  => 258,
                            patti  => 453, pattie => 1079, patty  => 368, paula  => 95, paulene
                                   => 2857,
                            pauletta
                                   => 2283, paulette
                                   => 412,
                            paulina
                                   => 1146, pauline
                                   => 133,
                            paulita
                                   => 3418, pearl  => 222,
                            pearle => 2039, pearlene
                                   => 2323,
                            pearlie
                                   => 757, pearline
                                   => 1188,
                            pearly => 3079, peggie => 1474, peggy  => 101, penelope
                                   => 747,
                            penney => 2455, penni  => 2627, pennie => 1531, penny  => 267, perla  => 1236,
                            petra  => 603, petrina
                                   => 2377,
                            petronila
                                   => 3270, phebe  => 3417,
                            phillis
                                   => 1118, philomena
                                   => 1210,
                            phung  => 3269, phuong => 1409, phylicia
                                   => 2772,
                            phylis => 1408, phyliss
                                   => 1450,
                            phyllis
                                   => 93, piedad => 2668,
                            pilar  => 1141, ping   => 3348, pinkie => 1843, polly  => 564, porsche
                                   => 3347,
                            porsha => 2322, portia => 1091, precious
                                   => 1316,
                            pricilla
                                   => 1173, princess
                                   => 1260,
                            priscila
                                   => 3142, priscilla
                                   => 269,
                            providencia
                                   => 2856, prudence
                                   => 1530,
                            pura   => 3034, qiana  => 2305, queenie
                                   => 1952,
                            quiana => 2136, quyen  => 3078, rachael
                                   => 399,
                            rachal => 3203, racheal
                                   => 1060,
                            rachel => 79, rachele
                                   => 2207,
                            rachell
                                   => 2078, rachelle
                                   => 598,
                            racquel
                                   => 1779, rae    => 727,
                            raeann => 2406, raelene
                                   => 3268,
                            rafaela
                                   => 1101, raguel => 2771,
                            raina  => 2093, raisa  => 2891, ramona => 292, ramonita
                                   => 2065,
                            rana   => 1978, ranae  => 2521, randa  => 1842, randee => 2520, randi  => 689,
                            ranee  => 3077, raquel => 437, rasheeda
                                   => 2698,
                            rashida
                                   => 1757, raven  => 1268,
                            raye   => 2346, raylene
                                   => 2626,
                            raymonde
                                   => 3719, rayna  => 2064,
                            reanna => 3267, reatha => 2345, reba   => 516, rebbeca
                                   => 2282,
                            rebbecca
                                   => 2237, rebeca => 1007,
                            rebecca
                                   => 34, rebecka
                                   => 2855,
                            rebekah
                                   => 511, reda   => 2625,
                            reena  => 3346, refugia
                                   => 2938,
                            regena => 2092, regenia
                                   => 2304,
                            regina => 168, regine => 3643, reginia
                                   => 3202,
                            reiko  => 2697, reina  => 1137, reita  => 3416, rema   => 3345, remedios
                                   => 2376,
                            remona => 3266, rena   => 490, renae  => 985, renata => 1290, renate => 1289,
                            renay  => 3344, renda  => 3415, renea  => 1756, renee  => 181, renetta
                                   => 2696,
                            renita => 1115, renna  => 3567, ressie => 2937, reta   => 1136, retha  => 1023,
                            retta  => 1996, reva   => 836, reyna  => 928, reynalda
                                   => 2770,
                            rhea   => 916, rheba  => 3566, rhiannon
                                   => 1551,
                            rhoda  => 697, rhona  => 2737, rhonda => 137, ricarda
                                   => 3486,
                            richelle
                                   => 1259, ricki  => 2817,
                            rikki  => 1965, rima   => 3565, rina   => 1597, risa   => 1964, rita   => 104,
                            riva   => 3201, rivka  => 3033, robbi  => 3076, robbin => 1046, robbyn => 3414,
                            robena => 3718, roberta
                                   => 184,
                            robin  => 100, robyn  => 386, rochel => 3032, rochell
                                   => 2594,
                            rochelle
                                   => 434, rocio  => 993,
                            rolanda
                                   => 1644, rolande
                                   => 3642,
                            roma   => 1258, romaine
                                   => 2321,
                            romana => 1899, romelia
                                   => 2077,
                            romona => 1214, rona   => 1414, ronda  => 497, roni   => 1951, ronna  => 1573,
                            ronni  => 2236, rosa   => 112, rosalba
                                   => 1288,
                            rosalee
                                   => 1031, rosalia
                                   => 1005,
                            rosalie
                                   => 388, rosalina
                                   => 1285,
                            rosalind
                                   => 624, rosalinda
                                   => 766,
                            rosaline
                                   => 1827, rosalva
                                   => 1630,
                            rosalyn
                                   => 715, rosamaria
                                   => 3141,
                            rosamond
                                   => 2091, rosana => 2303,
                            rosann => 2344, rosanna
                                   => 886,
                            rosanne
                                   => 847, rosaria
                                   => 1811,
                            rosario
                                   => 580, rosaura
                                   => 1692,
                            rose   => 65, roseann
                                   => 833,
                            roseanna
                                   => 1467, roseanne
                                   => 1169,
                            roselee
                                   => 3265, roselia
                                   => 3343,
                            roseline
                                   => 2816, rosella
                                   => 872,
                            roselle
                                   => 2769, roselyn
                                   => 1302,
                            rosemarie
                                   => 416, rosemary
                                   => 203,
                            rosena => 3564, rosenda
                                   => 3717,
                            rosetta
                                   => 561, rosette
                                   => 3641,
                            rosia  => 2405, rosie  => 319, rosina => 1371, rosio  => 3342, rosita => 1058,
                            roslyn => 797, rossana
                                   => 2979,
                            rossie => 3563, rosy   => 3075, rowena => 927, roxana => 1172, roxane => 1466,
                            roxann => 1222, roxanna
                                   => 1126,
                            roxanne
                                   => 384, roxie  => 796,
                            rozanne
                                   => 3264, rozella
                                   => 2519,
                            rubi   => 3200, rubie  => 1950, ruby   => 90, rubye  => 1385, rufina => 1861,
                            ruth   => 19, rutha  => 2736, ruthann
                                   => 1356,
                            ruthanne
                                   => 3031, ruthe  => 3074,
                            ruthie => 705, ryann  => 3199, sabina => 1275, sabine => 1898, sabra  => 1778,
                            sabrina
                                   => 308, sacha  => 2854,
                            sachiko
                                   => 2206, sade   => 1608,
                            sadie  => 392, sadye  => 3030, salena => 2235, salina => 1550, sallie => 517,
                            sally  => 167, salome => 2090, samantha
                                   => 176,
                            samara => 2205, samatha
                                   => 1109,
                            samella
                                   => 3413, samira => 2624,
                            sana   => 3640, sanda  => 3073, sandee => 3140, sandi  => 1100, sandie => 2768,
                            sandra => 16, sandy  => 318, sanjuana
                                   => 1419,
                            sanjuanita
                                   => 1413, sanora => 2593,
                            santa  => 1155, santina
                                   => 2404,
                            sara   => 84, sarah  => 23, sarai  => 3639, saran  => 3638, sari   => 2281,
                            sarina => 2182, sarita => 1596, sasha  => 857, saturnina
                                   => 3485,
                            saundra
                                   => 762, savanna
                                   => 2403,
                            savannah
                                   => 868, scarlet
                                   => 2402,
                            scarlett
                                   => 1389, sebrina
                                   => 2623,
                            seema  => 3716, selena => 786, selene => 2302, selina => 997, selma  => 669,
                            sena   => 3198, senaida
                                   => 3412,
                            serafina
                                   => 3139, serena => 738,
                            serina => 2063, serita => 2936, setsuko
                                   => 3138,
                            shae   => 3137, shaina => 1502, shakia => 3029, shakira
                                   => 2204,
                            shakita
                                   => 3197, shala  => 2978,
                            shalanda
                                   => 2935, shalon => 3341,
                            shalonda
                                   => 1557, shameka
                                   => 1364,
                            shamika
                                   => 1513, shan   => 3411,
                            shana  => 615, shanae => 2890, shanda => 1117, shandi => 3637, shandra
                                   => 1841,
                            shaneka
                                   => 2135, shanel => 3340,
                            shanell
                                   => 1798, shanelle
                                   => 2482,
                            shani  => 1840, shanice
                                   => 2109,
                            shanika
                                   => 1586, shaniqua
                                   => 3136,
                            shanita
                                   => 1839, shanna => 575,
                            shannan
                                   => 1698, shannon
                                   => 123,
                            shanon => 1250, shanta => 1367, shantae
                                   => 3636,
                            shantay
                                   => 3263, shante => 1384,
                            shantel
                                   => 1282, shantell
                                   => 1777,
                            shantelle
                                   => 2853, shanti => 3410,
                            shaquana
                                   => 3262, shaquita
                                   => 2977,
                            shara  => 1449, sharan => 3135, sharda => 3196, sharee => 1878, sharell
                                   => 3715,
                            sharen => 1877, shari  => 474, sharice
                                   => 3339,
                            sharie => 2889, sharika
                                   => 3562,
                            sharilyn
                                   => 3261, sharita
                                   => 1977,
                            sharla => 1355, sharleen
                                   => 2481,
                            sharlene
                                   => 949, sharmaine
                                   => 3635,
                            sharolyn
                                   => 3260, sharon => 20,
                            sharonda
                                   => 1281, sharri => 2767,
                            sharron
                                   => 726, sharyl => 2375,
                            sharyn => 1323, shasta => 1838, shauna => 635, shaunda
                                   => 2815,
                            shaunna
                                   => 2518, shaunta
                                   => 3134,
                            shaunte
                                   => 3195, shavon => 2062,
                            shavonda
                                   => 3194, shavonne
                                   => 2592,
                            shawana
                                   => 2517, shawanda
                                   => 1897,
                            shawanna
                                   => 3259, shawna => 477,
                            shawnda
                                   => 2156, shawnee
                                   => 2134,
                            shawnna
                                   => 2516, shawnta
                                   => 3484,
                            shay   => 1896, shayla => 1107, shayna => 1444, sheba  => 3338, sheena => 631,
                            sheila => 124, sheilah
                                   => 2591,
                            shela  => 2480, shelba => 2155, shelby => 505, shelia => 369, shella => 2852,
                            shelley
                                   => 349, shelli => 1239,
                            shellie
                                   => 1068, shelly => 290,
                            shemeka
                                   => 2814, shemika
                                   => 2401,
                            shena  => 1927, shenika
                                   => 3258,
                            shenita
                                   => 2667, shenna => 3634,
                            shera  => 2976, sheree => 839, sherell
                                   => 3193,
                            sheri  => 374, sherice
                                   => 3561,
                            sherie => 1431, sherika
                                   => 2813,
                            sherill
                                   => 3072, sherilyn
                                   => 1895,
                            sherise
                                   => 3071, sherita
                                   => 1490,
                            sherlene
                                   => 3560, sherley
                                   => 2374,
                            sherly => 2373, sherlyn
                                   => 2552,
                            sheron => 1837, sherrell
                                   => 2280,
                            sherri => 293, sherrie
                                   => 498,
                            sherril
                                   => 3409, sherrill
                                   => 1448,
                            sherron
                                   => 1767, sherry => 119,
                            sherryl
                                   => 1567, shery  => 2695,
                            sheryl => 303, sheryll
                                   => 2888,
                            shiela => 1090, shila  => 3133, shiloh => 3633, shira  => 2430, shirely
                                   => 2851,
                            shirl  => 2850, shirlee
                                   => 1585,
                            shirleen
                                   => 2666, shirlene
                                   => 1363,
                            shirley
                                   => 27, shirly => 1691,
                            shizue => 3257, shizuko
                                   => 3559,
                            shona  => 2089, shonda => 1042, shondra
                                   => 3558,
                            shonna => 2181, shonta => 2975, shoshana
                                   => 2479,
                            shyla  => 2974, sibyl  => 1697, sierra => 961, signe  => 2234, sigrid => 1671,
                            silvana
                                   => 2622, silvia => 448,
                            sima   => 2973, simona => 1937, simone => 687, simonne
                                   => 2934,
                            sina   => 3557, sindy  => 2259, siobhan
                                   => 1755,
                            sirena => 3408, sixta  => 3714, slyvia => 2343, socorro
                                   => 652,
                            sofia  => 741, soila  => 3632, solange
                                   => 2590,
                            soledad
                                   => 1072, somer  => 3337,
                            sommer => 2038, sona   => 3556, sondra => 621, sonia  => 280, sonja  => 456,
                            sonya  => 335, sook   => 2342, sophia => 432, sophie => 451, soraya => 2478,
                            sparkle
                                   => 3336, stacee => 3483,
                            stacey => 210, staci  => 644, stacia => 1221, stacie => 502, stacy  => 179,
                            starla => 1407, stasia => 3070, stefani
                                   => 1797,
                            stefania
                                   => 2429, stefanie
                                   => 579,
                            stefany
                                   => 3256, steffanie
                                   => 2258,
                            stella => 245, stepanie
                                   => 3132,
                            stephaine
                                   => 1584, stephane
                                   => 2019,
                            stephani
                                   => 1618, stephania
                                   => 2972,
                            stephanie
                                   => 41, stephany
                                   => 1253,
                            stephenie
                                   => 1274, stephine
                                   => 1721,
                            stephnie
                                   => 3555, stormy => 1936,
                            suanne => 3713, sudie  => 2233, sue    => 196, sueann => 2477, suellen
                                   => 2076,
                            sulema => 3335, sumiko => 3334, sunni  => 3712, sunny  => 1337, sunshine
                                   => 1796,
                            susan  => 8, susana => 590, susann => 1894, susanna
                                   => 835,
                            susannah
                                   => 1549, susanne
                                   => 588,
                            susie  => 346, susy   => 2735, suzan  => 1106, suzann => 2006, suzanna
                                   => 1265,
                            suzanne
                                   => 153, suzette
                                   => 804,
                            suzi   => 3192, suzie  => 1776, suzy   => 1629, svetlana
                                   => 2812,
                            sybil  => 671, syble  => 1566, sylvia => 120, sylvie => 2849, synthia
                                   => 2341,
                            syreeta
                                   => 2454, tabatha
                                   => 737,
                            tabetha
                                   => 2279, tabitha
                                   => 483,
                            taina  => 3554, taisha => 2734, tajuana
                                   => 3553,
                            takako => 3711, takisha
                                   => 2257,
                            talia  => 1657, talisha
                                   => 2400,
                            talitha
                                   => 2694, tama   => 3131,
                            tamala => 2180, tamar  => 1754, tamara => 227, tamatha
                                   => 1915,
                            tambra => 3130, tameika
                                   => 2665,
                            tameka => 761, tamekia
                                   => 2340,
                            tamela => 1159, tamera => 920, tamesha
                                   => 2621,
                            tami   => 476, tamica => 2301, tamie  => 1926, tamika => 560, tamiko => 1860,
                            tamisha
                                   => 2733, tammara
                                   => 2278,
                            tammera
                                   => 3028, tammi  => 803,
                            tammie => 493, tammy  => 75, tamra  => 879, tana   => 1145, tandra => 3710,
                            tandy  => 3129, taneka => 2933, tanesha
                                   => 1617,
                            tangela
                                   => 1720, tania  => 753,
                            tanika => 1655, tanisha
                                   => 787,
                            tanja  => 1949, tanna  => 2232, tanya  => 235, tara   => 202, tarah  => 2061,
                            taren  => 3482, tari   => 3027, tarra  => 3026, tarsha => 1836, taryn  => 1035,
                            tasha  => 447, tashia => 2693, tashina
                                   => 3128,
                            tasia  => 2848, tatiana
                                   => 1206,
                            tatyana
                                   => 3069, taunya => 3709,
                            tawana => 1095, tawanda
                                   => 1455,
                            tawanna
                                   => 1607, tawna  => 3552,
                            tawny  => 2203, tawnya => 1489, tayna  => 3708, teena  => 1529, tegan  => 3631,
                            teisha => 3481, telma  => 3480, temeka => 2664, temika => 3479, tempie => 3333,
                            tena   => 1273, tenesha
                                   => 3551,
                            tenisha
                                   => 1893, tennie => 2372,
                            tennille
                                   => 2300, teodora
                                   => 1925,
                            teofila
                                   => 3707, tequila
                                   => 2663,
                            tera   => 1081, tereasa
                                   => 2589,
                            teresa => 54, terese => 1388, teresia
                                   => 3191,
                            teresita
                                   => 1045, teressa
                                   => 1383,
                            teri   => 427, terica => 3550, terina => 3190, terisa => 2932, terra  => 954,
                            terresa
                                   => 2231, terri  => 205,
                            terrie => 709, terrilyn
                                   => 3549,
                            tesha  => 2551, tessa  => 849, tessie => 1080, thalia => 2108, thao   => 2399,
                            thea   => 1280, theda  => 1296, thelma => 122, theodora
                                   => 1044,
                            theola => 2692, theresa
                                   => 72,
                            therese
                                   => 553, theresia
                                   => 2202,
                            theressa
                                   => 2971, thersa => 1859,
                            thomasena
                                   => 3630, thomasina
                                   => 1696,
                            thomasine
                                   => 2371, thora  => 2811,
                            thresa => 1995, thuy   => 1454, tia    => 725, tiana  => 1257, tianna => 2428,
                            tiara  => 1168, tien   => 3407, tiera  => 2970, tierra => 1541, tiesha => 2256,
                            tifany => 3255, tiffaney
                                   => 2887,
                            tiffani
                                   => 1144, tiffanie
                                   => 1457,
                            tiffany
                                   => 110, tiffiny
                                   => 1935,
                            tijuana
                                   => 3189, tilda  => 3406,
                            tillie => 1025, timika => 3478, tina   => 92, tinisha
                                   => 2931,
                            tisa   => 3706, tish   => 3629, tisha  => 919, tobi   => 2847, tobie  => 3332,
                            toccara
                                   => 3628, tomasa => 1152,
                            tomeka => 1556, tomi   => 2766, tomika => 1976, tomiko => 2732, tommye => 3025,
                            tomoko => 2398, tona   => 2930, tonda  => 2476, tonette
                                   => 3477,
                            toni   => 287, tonia  => 626, tonie  => 2255, tonisha
                                   => 3405,
                            tonita => 3705, tonja  => 1218, tonya  => 208, tora   => 3548, tori   => 956,
                            torie  => 3404, torri  => 3068, torrie => 3127, tosha  => 1267, toshia => 3254,
                            toshiko
                                   => 2691, tova   => 3403,
                            towanda
                                   => 2550, toya   => 1488,
                            tracee => 1914, tracey => 276, traci  => 394, tracie => 528, tracy  => 108,
                            trang  => 2549, treasa => 2886, treena => 3627, trena  => 1362, tresa  => 1473,
                            tressa => 1443, tressie
                                   => 1678,
                            treva  => 1028, tricia => 443, trina  => 515, trinh  => 2810, trinity
                                   => 2179,
                            trish  => 1583, trisha => 523, trista => 1246, trudi  => 2037, trudie => 2018,
                            trudy  => 571, trula  => 2588, tula   => 3476, tuyet  => 2453, twana  => 2060,
                            twanda => 3024, twanna => 2731, twila  => 929, twyla  => 1315, tyesha => 2254,
                            tyisha => 3402, tynisha
                                   => 3626,
                            tyra   => 1295, ulrike => 3253, ursula => 612, usha   => 2690, vada   => 1186,
                            valarie
                                   => 713, valda  => 2178,
                            valene => 3023, valentina
                                   => 1252,
                            valeri => 3067, valeria
                                   => 825,
                            valerie
                                   => 149, valery => 2475,
                            vallie => 2017, valorie
                                   => 1334,
                            valrie => 2929, vanda  => 2427, vanesa => 2154, vanessa
                                   => 194,
                            vanetta
                                   => 3126, vania  => 3252,
                            vanita => 2452, vanna  => 3401, vannesa
                                   => 3331,
                            vannessa
                                   => 1994, vashti => 2885,
                            vasiliki
                                   => 3704, veda   => 1078,
                            velda  => 1225, velia  => 1654, vella  => 2548, velma  => 282, velva  => 1606,
                            velvet => 2107, vena   => 2201, venessa
                                   => 1284,
                            venetta
                                   => 3475, venice => 2253,
                            venita => 1361, vennie => 3400, venus  => 1162, veola  => 2689, vera   => 217,
                            verda  => 1096, verdell
                                   => 2397,
                            verdie => 2515, verena => 2514, vergie => 1512, verla  => 1301, verlene
                                   => 2620,
                            verlie => 2619, verline
                                   => 3703,
                            verna  => 354, vernell
                                   => 1151,
                            vernetta
                                   => 2036, vernia => 3547,
                            vernice
                                   => 1089, vernie => 1826,
                            vernita
                                   => 1753, verona => 1695,
                            veronica
                                   => 158, veronika
                                   => 3702,
                            veronique
                                   => 3330, versie => 2153,
                            vertie => 3066, vesta  => 1114, veta   => 2662, vicenta
                                   => 1719,
                            vickey => 1382, vicki  => 200, vickie => 248, vicky  => 372, victoria
                                   => 116,
                            victorina
                                   => 3625, vida   => 1057,
                            vikki  => 1300, vilma  => 870, vina   => 1718, vincenza
                                   => 1948,
                            vinita => 3624, vinnie => 2075, viola  => 242, violet => 285, violeta
                                   => 1308,
                            violette
                                   => 1993, virgen => 3022,
                            virgie => 690, virgina
                                   => 1022,
                            virginia
                                   => 35, vita   => 1582,
                            viva   => 1825, vivan  => 2230, vivian => 183, viviana
                                   => 1314,
                            vivien => 2035, vivienne
                                   => 2016,
                            voncile
                                   => 3474, vonda  => 938,
                            vonnie => 1824, waltraud
                                   => 2661,
                            wanda  => 87, waneta => 2765, wanetta
                                   => 3701,
                            wanita => 1690, wava   => 3125, wendi  => 848, wendie => 3329, wendolyn
                                   => 3188,
                            wendy  => 115, wenona => 3328, whitney
                                   => 363,
                            wilda  => 881, wilhelmina
                                   => 1030,
                            wilhemina
                                   => 3700, willa  => 666,
                            willena
                                   => 3546, willene
                                   => 1913,
                            willetta
                                   => 3473, willette
                                   => 2451,
                            willia => 2277, williemae
                                   => 2809,
                            willodean
                                   => 3399, wilma  => 211,
                            windy  => 1370, winifred
                                   => 485,
                            winnie => 675, winnifred
                                   => 1354,
                            winona => 1056, wonda  => 2660, wynell => 3545, wynona => 1835, xenia  => 3124,
                            xiao   => 3398, xiomara
                                   => 1511,
                            xochitl
                                   => 2730, xuan   => 3187,
                            yadira => 1235, yaeko  => 3544, yael   => 3472, yahaira
                                   => 3186,
                            yajaira
                                   => 3251, yanira => 2426,
                            yasmin => 1528, yasmine
                                   => 2884,
                            yasuko => 2928, yelena => 3185, yesenia
                                   => 820,
                            yessenia
                                   => 2846, yetta  => 1694,
                            yevette
                                   => 3471, ying   => 1947,
                            yoko   => 1892, yolanda
                                   => 189,
                            yolande
                                   => 2034, yolando
                                   => 2659,
                            yolonda
                                   => 1527, yoshie => 3470,
                            yoshiko
                                   => 1548, youlanda
                                   => 3184,
                            yuette => 3623, yuki   => 3469, yukiko => 2658, yuko   => 2547, yulanda
                                   => 2845,
                            yung   => 2808, yuonne => 3397, yuri   => 2764, yuriko => 3543, yvette => 343,
                            yvone  => 3468, yvonne => 174, zada   => 3396, zaida  => 1823, zana   => 3699,
                            zandra => 1891, zelda  => 986, zella  => 1099, zelma  => 758, zena   => 1653,
                            zenaida
                                   => 1183, zenia  => 3542,
                            zenobia
                                   => 1876, zetta  => 3183,
                            zina   => 1652, zita   => 2033, zofia  => 2370, zoila  => 1135, zola   => 1510,
                            zona   => 1565, zonia  => 3541, zora   => 1581, zoraida
                                   => 1402,
                            zula   => 1709, zulema => 1992, zulma  => 1890
                          },
  english_male_names   => {
                            aaron  => 77, abdul  => 697, abe    => 715,
                            abel   => 427, abraham
                                   => 312,
                            abram  => 883, adalberto
                                   => 875,
                            adam   => 69, adan   => 642, adolfo => 496, adolph => 559, adrian => 214,
                            agustin
                                   => 493, ahmad  => 742,
                            ahmed  => 837, alan   => 89, albert => 54, alberto
                                   => 250,
                            alden  => 746, aldo   => 711, alec   => 782, alejandro
                                   => 277,
                            alex   => 151, alfonso
                                   => 298,
                            alfonzo
                                   => 766, alfred => 121,
                            alfredo
                                   => 249, ali    => 536,
                            allan  => 234, alonso => 1006, alonzo => 394, alphonse
                                   => 692,
                            alphonso
                                   => 567, alton  => 324,
                            alva   => 669, alvaro => 540, alvin  => 163, amado  => 809, ambrose
                                   => 919,
                            amos   => 412, andre  => 207, andreas
                                   => 930,
                            andres => 315, andrew => 35, andy   => 262, angel  => 197, angelo => 294,
                            anibal => 805, anthony
                                   => 22,
                            antione
                                   => 962, antoine
                                   => 468,
                            anton  => 515, antone => 829, antonio
                                   => 98,
                            antony => 667, antwan => 745, archie => 325, arden  => 905, ariel  => 696,
                            arlen  => 946, arlie  => 986, armand => 539, armando
                                   => 240,
                            arnoldo
                                   => 978, arnulfo
                                   => 705,
                            aron   => 724, arron  => 666, arthur => 48, arturo => 276, aubrey => 433,
                            augustine
                                   => 679, augustus
                                   => 795,
                            aurelio
                                   => 628, avery  => 556,
                            barney => 604, barry  => 136, bart   => 499, basil  => 576, beau   => 610,
                            ben    => 203, benedict
                                   => 940,
                            benito => 486, benjamin
                                   => 66,
                            bennie => 333, benny  => 341, bernard
                                   => 137,
                            bernardo
                                   => 572, bernie => 646,
                            bert   => 396, bertram
                                   => 863,
                            bill   => 154, billy  => 73, blaine => 489, blake  => 308, bob    => 246,
                            bobby  => 82, boris  => 720, brad   => 209, bradford
                                   => 409,
                            bradley
                                   => 124, bradly => 832,
                            brain  => 525, branden
                                   => 641,
                            brandon
                                   => 68, brant  => 769,
                            brendan
                                   => 424, brendon
                                   => 844,
                            brent  => 187, brenton
                                   => 774,
                            bret   => 444, brett  => 196, brian  => 20, brice  => 814, broderick
                                   => 1005,
                            bruce  => 67, bruno  => 598, bryan  => 100, bryce  => 467, bryon  => 538,
                            bud    => 798, buddy  => 510, buford => 645, burl   => 834, burt   => 738,
                            buster => 895, byron  => 255, caleb  => 386, calvin => 150, cameron
                                   => 303,
                            carey  => 521, carl   => 47, carlo  => 625, carlos => 80, carlton
                                   => 301,
                            carmelo
                                   => 603, carmine
                                   => 678,
                            carrol => 909, cary   => 431, casey  => 248, cecil  => 205, cedric => 347,
                            cedrick
                                   => 985, cesar  => 316,
                            chad   => 118, chadwick
                                   => 681,
                            charles
                                   => 8, charley
                                   => 623,
                            charlie
                                   => 189, chas   => 901,
                            chauncey
                                   => 790, chester
                                   => 204,
                            chet   => 862, chi    => 828, chong  => 887, chris  => 94, christian
                                   => 221,
                            christoper
                                   => 765, christopher
                                   => 11,
                            chuck  => 478, chung  => 874, clair  => 644, clarence
                                   => 91,
                            claud  => 914, claude => 217, claudio
                                   => 778,
                            clay   => 406, clayton
                                   => 235,
                            clement
                                   => 594, clemente
                                   => 904,
                            cletus => 854, cleveland
                                   => 476,
                            cliff  => 534, clifford
                                   => 144,
                            clifton
                                   => 258, clint  => 374,
                            clinton
                                   => 224, clyde  => 179,
                            cody   => 231, colby  => 602, colin  => 338, collin => 631, colton => 966,
                            columbus
                                   => 861, conrad => 399,
                            cordell
                                   => 934, corey  => 174,
                            cornelius
                                   => 403, cornell
                                   => 664,
                            cory   => 216, coy    => 595, craig  => 88, cristobal
                                   => 918,
                            cristopher
                                   => 961, curt   => 491,
                            curtis => 110, cyril  => 673, cyrus  => 672, dale   => 107, dallas => 372,
                            damian => 479, damien => 503, damion => 827, damon  => 320, dan    => 172,
                            dane   => 542, danial => 638, daniel => 12, danilo => 913, dannie => 802,
                            danny  => 99, dante  => 593, darell => 1004, daren  => 657, darin  => 411,
                            dario  => 817, darius => 529, darnell
                                   => 418,
                            daron  => 886, darrel => 391, darrell
                                   => 159,
                            darren => 228, darrick
                                   => 848,
                            darrin => 422, darron => 894, darryl => 219, darwin => 508, daryl  => 260,
                            dave   => 251, david  => 6, dean   => 166, deandre
                                   => 752,
                            deangelo
                                   => 954, delbert
                                   => 337,
                            delmar => 615, delmer => 816, demarcus
                                   => 853,
                            demetrius
                                   => 459, denis  => 502,
                            dennis => 40, denny  => 587, denver => 632, deon   => 764, derek  => 158,
                            derick => 563, derrick
                                   => 171,
                            deshawn
                                   => 908, desmond
                                   => 506,
                            devin  => 351, devon  => 495, dewayne
                                   => 440,
                            dewey  => 381, dewitt => 773, dexter => 408, dick   => 619, diego  => 558,
                            dino   => 749, dion   => 592, dirk   => 640, domenic
                                   => 893,
                            domingo
                                   => 432, dominic
                                   => 335,
                            dominick
                                   => 428, don    => 131,
                            donald => 15, dong   => 892, donn   => 784, donnell
                                   => 586,
                            donnie => 285, donny  => 608, donovan
                                   => 575,
                            donte  => 868, dorian => 729, doug   => 291, douglas
                                   => 45,
                            douglass
                                   => 933, drew   => 379,
                            duane  => 206, dudley => 600, dustin => 169, dusty  => 698, dwain  => 867,
                            dwayne => 238, dwight => 239, dylan  => 477, earl   => 96, earle  => 714,
                            earnest
                                   => 340, eddie  => 132,
                            eddy   => 581, edgar  => 200, edgardo
                                   => 781,
                            edison => 907, edmond => 438, edmund => 345, edmundo
                                   => 994,
                            eduardo
                                   => 270, edward => 19,
                            edwardo
                                   => 653, edwin  => 130,
                            efrain => 455, efren  => 744, elbert => 397, elden  => 1003, eldon  => 461,
                            eli    => 466, elias  => 395, elijah => 430, eliseo => 741, elliot => 507,
                            ellsworth
                                   => 936, elmer  => 208,
                            elmo   => 723, eloy   => 728, elroy  => 903, elton  => 475, elvin  => 519,
                            elvis  => 571, elwood => 527, emanuel
                                   => 436,
                            emerson
                                   => 648, emery  => 589,
                            emil   => 439, emile  => 722, emilio => 429, emmanuel
                                   => 448,
                            emmett => 434, emmitt => 885, emory  => 634, enoch  => 843, enrique
                                   => 272,
                            erasmo => 924, eric   => 33, erich  => 680, erick  => 389, erik   => 218,
                            ernest => 84, ernesto
                                   => 302,
                            ernie  => 490, errol  => 651, ervin  => 380, erwin  => 485, esteban
                                   => 514,
                            ethan  => 460, eugene => 79, eugenio
                                   => 702,
                            eusebio
                                   => 891, evan   => 283,
                            everett
                                   => 243, everette
                                   => 726,
                            ezekiel
                                   => 900, ezequiel
                                   => 923,
                            ezra   => 709, fabian => 551, faustino
                                   => 777,
                            fausto => 945, federico
                                   => 583,
                            felipe => 332, felix  => 241, felton => 922, ferdinand
                                   => 707,
                            fermin => 873, fernando
                                   => 223,
                            fidel  => 532, filiberto
                                   => 953,
                            florencio
                                   => 847, florentino
                                   => 902,
                            floyd  => 161, forest => 686, forrest
                                   => 356,
                            francesco
                                   => 949, francis
                                   => 123,
                            francisco
                                   => 140, frank  => 31,
                            frankie
                                   => 390, franklyn
                                   => 993,
                            fred   => 71, freddie
                                   => 273,
                            freddy => 465, frederic
                                   => 618,
                            frederick
                                   => 127, fredric
                                   => 831,
                            fredrick
                                   => 275, fritz  => 760,
                            gabriel
                                   => 210, galen  => 612,
                            garfield
                                   => 880, garland
                                   => 453,
                            garret => 944, garry  => 329, garth  => 671, gary   => 26, gaston => 952,
                            gavin  => 588, gaylord
                                   => 951,
                            genaro => 662, gene   => 192, geoffrey
                                   => 330,
                            george => 16, gerald => 58, geraldo
                                   => 860,
                            gerard => 290, gerardo
                                   => 334,
                            gerry  => 565, gil    => 740, gilbert
                                   => 191,
                            gilberto
                                   => 373, gino   => 780,
                            giovanni
                                   => 670, giuseppe
                                   => 852,
                            glen   => 180, glenn  => 114, gonzalo
                                   => 562,
                            grady  => 401, graig  => 992, granville
                                   => 956,
                            greg   => 167, gregg  => 349, gregorio
                                   => 509,
                            gregory
                                   => 37, grover => 474,
                            guillermo
                                   => 339, gus    => 555,
                            gustavo
                                   => 368, hal    => 524,
                            hank   => 822, hans   => 487, harlan => 505, harland
                                   => 977,
                            harley => 458, harold => 44, harry  => 70, hassan => 851, haywood
                                   => 899,
                            heath  => 456, hector => 181, henry  => 46, herb   => 929, herbert
                                   => 126,
                            heriberto
                                   => 585, herman => 175,
                            herschel
                                   => 668, hershel
                                   => 735,
                            hilario
                                   => 797, hilton => 866,
                            hipolito
                                   => 872, hiram  => 574,
                            hobert => 984, hollis => 606, homer  => 289, hong   => 942, horace => 309,
                            horacio
                                   => 813, hosea  => 968,
                            hoyt   => 898, hubert => 293, huey   => 865, hugh   => 236, hugo   => 384,
                            humberto
                                   => 447, hung   => 665,
                            hyman  => 921, ian    => 244, ignacio
                                   => 385,
                            ira    => 314, irvin  => 415, irving => 360, irwin  => 620, isaac  => 257,
                            isaiah => 554, isaias => 871, isiah  => 721, isidro => 613, ismael => 377,
                            israel => 354, isreal => 943, issac  => 599, ivan   => 252, ivory  => 755,
                            jacinto
                                   => 991, jack   => 53,
                            jacob  => 119, jacques
                                   => 650,
                            jaime  => 247, jake   => 369, jamaal => 772, jamal  => 494, jamar  => 719,
                            jame   => 661, jamel  => 690, james  => 1, jamey  => 876, jamison
                                   => 846,
                            jared  => 213, jarod  => 928, jarred => 783, jarrett
                                   => 695,
                            jarrod => 500, jarvis => 597, jason  => 24, jasper => 483, javier => 222,
                            jay    => 147, jayson => 591, jed    => 807, jeff   => 117, jefferey
                                   => 836,
                            jeffery
                                   => 115, jeffrey
                                   => 30,
                            jeffry => 541, jerald => 437, jeramy => 996, jere   => 1002, jeremiah
                                   => 282,
                            jeremy => 76, jermaine
                                   => 355,
                            jerold => 759, jerome => 160, jeromy => 983, jerrell
                                   => 982,
                            jerrod => 733, jerrold
                                   => 820,
                            jerry  => 39, jess   => 445, jesse  => 87, jesus  => 125, jim    => 148,
                            jimmie => 242, jimmy  => 97, joaquin
                                   => 504,
                            joe    => 51, joel   => 129, joesph => 543, joey   => 278, john   => 2,
                            johnathan
                                   => 317, johnathon
                                   => 616,
                            johnie => 694, johnnie
                                   => 253,
                            johnny => 95, jon    => 152, jonah  => 819, jonas  => 685, jonathan
                                   => 55,
                            jonathon
                                   => 331, jordon => 912,
                            jorge  => 168, jose   => 28, josef  => 727, joseph => 9, josh   => 383,
                            joshua => 38, josiah => 768, jospeh => 965, josue  => 652, juan   => 52,
                            jude   => 932, judson => 779, jules  => 739, julian => 256, julio  => 232,
                            julius => 284, junior => 464, justin => 56, kareem => 718, karl   => 215,
                            keenan => 857, keith  => 59, kelvin => 321, ken    => 245, kendall
                                   => 470,
                            kendrick
                                   => 528, keneth => 990,
                            kenneth
                                   => 17, kennith
                                   => 677,
                            kenny  => 292, kent   => 267, kenton => 826, kermit => 512, kerry  => 311,
                            keven  => 796, kevin  => 23, kieth  => 754, kip    => 833, kirk   => 264,
                            korey  => 964, kory   => 794, kraig  => 981, kris   => 553, kristofer
                                   => 976,
                            kristopher
                                   => 365, kurt   => 233,
                            kurtis => 627, kyle   => 122, lamar  => 404, lamont => 452, lance  => 230,
                            landon => 639, lanny  => 717, larry  => 29, laurence
                                   => 376,
                            lavern => 737, lawerence
                                   => 882,
                            lawrence
                                   => 63, lazaro => 691,
                            leandro
                                   => 980, leif   => 995,
                            leland => 358, lemuel => 736, lenard => 789, lenny  => 810, leo    => 162,
                            leon   => 157, leonard
                                   => 105,
                            leonardo
                                   => 482, leonel => 633,
                            leopoldo
                                   => 725, leroy  => 139,
                            les    => 751, lester => 186, levi   => 366, lincoln
                                   => 660,
                            lino   => 927, linwood
                                   => 609,
                            lionel => 370, lloyd  => 155, lon    => 676, lonnie => 229, lonny  => 925,
                            loren  => 336, lorenzo
                                   => 305,
                            louie  => 450, louis  => 75, lowell => 348, loyd   => 557, luciano
                                   => 699,
                            lucien => 706, lucio  => 732, lucius => 975, luigi  => 989, luis   => 102,
                            luke   => 288, luther => 280, lyle   => 296, lyman  => 767, lyndon => 856,
                            lynwood
                                   => 1001, mac    => 818,
                            malcolm
                                   => 318, malcom => 963,
                            malik  => 957, manual => 950, manuel => 108, marc   => 193, marcel => 535,
                            marcelino
                                   => 624, marcellus
                                   => 974,
                            marcelo
                                   => 793, marco  => 326,
                            marcos => 367, marcus => 141, margarito
                                   => 747,
                            mariano
                                   => 637, mario  => 138,
                            mark   => 14, markus => 864, marlin => 531, marlon => 435, marquis
                                   => 716,
                            marty  => 371, marvin => 112, mathew => 226, matt   => 297, matthew
                                   => 25,
                            maurice
                                   => 176, mauricio
                                   => 573,
                            mauro  => 801, max    => 237, maximo => 879, mckinley
                                   => 878,
                            mel    => 792, melvin => 120, merle  => 410, merlin => 621, merrill
                                   => 622,
                            mervin => 688, micah  => 454, michael
                                   => 4,
                            michal => 1000, michale
                                   => 955,
                            micheal
                                   => 142, michel => 548,
                            mickey => 473, miguel => 145, mike   => 103, mikel  => 842, milan  => 926,
                            milford
                                   => 762, millard
                                   => 560,
                            milo   => 806, milton => 201, minh   => 850, miquel => 890, mitch  => 713,
                            mitchel
                                   => 687, modesto
                                   => 948,
                            mohamed
                                   => 815, mohammad
                                   => 636,
                            mohammed
                                   => 703, moises => 530,
                            monte  => 488, monty  => 549, mose   => 941, moses  => 414, moshe  => 841,
                            myles  => 684, myron  => 344, napoleon
                                   => 758,
                            nathan => 106, nathanael
                                   => 939,
                            nathanial
                                   => 911, nathaniel
                                   => 198,
                            ned    => 545, neil   => 220, nestor => 605, neville
                                   => 906,
                            nicholas
                                   => 64, nick   => 279,
                            nickolas
                                   => 577, nicky  => 960,
                            nicolas
                                   => 375, nigel  => 743,
                            noah   => 400, noe    => 569, noel   => 342, nolan  => 520, norbert
                                   => 518,
                            norberto
                                   => 757, norman => 111,
                            normand
                                   => 753, numbers
                                   => 643,
                            octavio
                                   => 663, odell  => 596,
                            odis   => 788, olen   => 804, olin   => 776, omar   => 306, omer   => 870,
                            oren   => 840, orlando
                                   => 299,
                            orval  => 800, orville
                                   => 378,
                            oscar  => 146, osvaldo
                                   => 750,
                            oswaldo
                                   => 935, otha   => 889,
                            otis   => 286, otto   => 441, owen   => 361, pablo  => 304, pasquale
                                   => 635,
                            patrick
                                   => 42, paul   => 13,
                            pedro  => 170, percy  => 407, pete   => 327, peter  => 43, phil   => 402,
                            philip => 93, phillip
                                   => 85,
                            pierre => 463, porfirio
                                   => 787,
                            preston
                                   => 323, quentin
                                   => 492,
                            quincy => 580, quintin
                                   => 845,
                            quinton
                                   => 523, rafael => 199,
                            raleigh
                                   => 881, ralph  => 62,
                            ramiro => 398, ramon  => 188, randal => 419, randall
                                   => 135,
                            randell
                                   => 693, randolph
                                   => 328,
                            randy  => 78, raphael
                                   => 537,
                            rashad => 884, raul   => 202, ray    => 128, rayford
                                   => 917,
                            raymon => 916, raymond
                                   => 36,
                            raymundo
                                   => 656, refugio
                                   => 748,
                            reggie => 552, reginald
                                   => 194,
                            reinaldo
                                   => 731, renaldo
                                   => 973,
                            renato => 897, rene   => 269, reuben => 480, rex    => 300, reynaldo
                                   => 443,
                            rhett  => 931, ricardo
                                   => 183,
                            richard
                                   => 7, richie => 812,
                            rick   => 185, rickey => 313, rickie => 568, ricky  => 133, rico   => 771,
                            rigoberto
                                   => 566, rob    => 526,
                            robbie => 469, robby  => 659, robert => 3, roberto
                                   => 178,
                            robt   => 821, rocco  => 561, rocky  => 462, rod    => 522, roderick
                                   => 310,
                            rodger => 457, rodney => 109, rodolfo
                                   => 343,
                            rodrick
                                   => 730, rodrigo
                                   => 564,
                            rogelio
                                   => 392, roger  => 50,
                            roland => 212, rolando
                                   => 405,
                            rolf   => 972, rolland
                                   => 825,
                            roman  => 417, romeo  => 590, ron    => 211, ronald => 21, ronnie => 153,
                            ronny  => 674, roosevelt
                                   => 353,
                            rory   => 550, roscoe => 513, rosendo
                                   => 761,
                            roy    => 65, royce  => 471, ruben  => 195, rubin  => 712, rudolf => 971,
                            rudolph
                                   => 319, rudy   => 322,
                            rueben => 979, rufus  => 362, rupert => 824, russ   => 683, russel => 484,
                            russell
                                   => 81, rusty  => 547,
                            ryan   => 49, sal    => 799, salvador
                                   => 263,
                            salvatore
                                   => 346, sam    => 184,
                            sammie => 546, sammy  => 364, samual => 888, samuel => 60, sanford
                                   => 601,
                            sang   => 763, santo  => 970, saul   => 416, scot   => 578, scott  => 32,
                            scottie
                                   => 701, scotty => 517,
                            sean   => 92, sebastian
                                   => 582,
                            sergio => 265, seth   => 266, seymour
                                   => 700,
                            shad   => 969, shane  => 182, shaun  => 295, shawn  => 90, shayne => 910,
                            sheldon
                                   => 388, sherman
                                   => 350,
                            sherwood
                                   => 915, shon   => 999,
                            sidney => 254, silas  => 617, simon  => 359, solomon
                                   => 516,
                            stan   => 481, stanford
                                   => 839,
                            stanley
                                   => 104, stefan => 607,
                            stephan
                                   => 449, stephen
                                   => 34,
                            sterling
                                   => 472, steve  => 74,
                            steven => 18, stevie => 675, stuart => 274, sung   => 823, sydney => 710,
                            sylvester
                                   => 352, tad    => 786,
                            ted    => 225, teddy  => 442, teodoro
                                   => 877,
                            terence
                                   => 393, terrance
                                   => 268,
                            terrell
                                   => 413, terrence
                                   => 271,
                            terry  => 57, thad   => 708, thaddeus
                                   => 533,
                            thanh  => 808, theo   => 859, theodore
                                   => 143,
                            theron => 655, thomas => 10, thurman
                                   => 544,
                            tim    => 164, timmy  => 421, timothy
                                   => 27,
                            titus  => 920, tobias => 849, toby   => 425, tod    => 791, todd   => 86,
                            tom    => 149, tomas  => 387, tommie => 420, tommy  => 156, toney  => 938,
                            tony   => 101, tory   => 811, travis => 116, trent  => 446, trenton
                                   => 626,
                            trevor => 287, trey   => 756, trinidad
                                   => 785,
                            tristan
                                   => 658, troy   => 134,
                            truman => 614, tuan   => 959, tyler  => 190, tyree  => 835, tyrell => 855,
                            tyron  => 869, tyrone => 227, tyson  => 497, ulysses
                                   => 584,
                            valentin
                                   => 704, van    => 426,
                            vance  => 501, vern   => 570, vernon => 177, vicente
                                   => 451,
                            victor => 83, vince  => 579, vincent
                                   => 113,
                            vincenzo
                                   => 998, virgil => 261,
                            virgilio
                                   => 937, vito   => 630,
                            waldo  => 830, wally  => 988, walter => 41, waylon => 967, wayne  => 72,
                            weldon => 611, wendell
                                   => 281,
                            werner => 858, wesley => 165, weston => 734, wilber => 896, wilbert
                                   => 357,
                            wilbur => 307, wilburn
                                   => 682,
                            wilford
                                   => 654, wilfred
                                   => 382,
                            wilfredo
                                   => 498, willard
                                   => 259,
                            william
                                   => 5, willian
                                   => 997,
                            willie => 61, willy  => 838, wilmer => 647, wilton => 770, winford
                                   => 987,
                            winfred
                                   => 629, winston
                                   => 423,
                            woodrow
                                   => 363, xavier => 511,
                            yong   => 775, zachariah
                                   => 803,
                            zachary
                                   => 173, zachery
                                   => 649,
                            zack   => 947, zackary
                                   => 958,
                            zane   => 689
                          },
  english_surnames     => {
                            abad    => 8178, abarca  => 8177, abbate  => 6557,
                            abbott  => 419, abdullah
                                    => 4903,
                            abell   => 3549, abercrombie
                                    => 4827,
                            abernathy
                                    => 1432, abernethy
                                    => 7548,
                            abeyta  => 4866, ables   => 4865, abner   => 3892, abney   => 2301,
                            abrahamson
                                    => 9421, abrams  => 1168,
                            abramson
                                    => 4864, abrego  => 6457,
                            abreu   => 2435, abron   => 9307, absher  => 6556, abshire => 7079,
                            abston  => 9666, acevedo => 784, aceves  => 7902, acker   => 2110,
                            ackerman
                                    => 1196, ackley  => 4044,
                            acklin  => 8392, acord   => 6748, acosta  => 466, acree   => 4418,
                            acton   => 5822, acuff   => 8080, acuna   => 2809, adair   => 1568,
                            adame   => 2795, adames  => 6065, adamo   => 8968, adams   => 34,
                            adamski => 8519, adamson => 2022, adcock  => 2059, addington
                                    => 5546,
                            addis   => 6957, addison => 1594, adelman => 9665, adkins  => 363,
                            adkinson
                                    => 7716, adkison => 8629,
                            adkisson
                                    => 7817, adler   => 2104,
                            adorno  => 4935, agee    => 1980, agnew   => 3126, agosto  => 5630,
                            aguayo  => 4043, aguero  => 7816, aguiar  => 3527, aguila  => 7901,
                            aguilar => 331, aguilera
                                    => 1809,
                            aguirre => 732, ahearn  => 6956, ahern   => 3413, ahlers  => 7400,
                            ahner   => 6329, ahrens  => 3394, ahumada => 8277, aiello  => 3728,
                            aiken   => 2081, aikens  => 4515, ainsworth
                                    => 2538,
                            aitken  => 7399, aker    => 7313, akers   => 941, akin    => 3057,
                            akins   => 1322, alamo   => 9189, alanis  => 5304, alaniz  => 1979,
                            alarcon => 3412, albanese
                                    => 4579,
                            albano  => 7147, albaugh => 7547, albee   => 9420, albers  => 2954,
                            alberts => 5157, albertson
                                    => 2762,
                            albin   => 6676, albino  => 8276, albrecht
                                    => 1874,
                            albright
                                    => 1144, albritton
                                    => 4198,
                            albro   => 9306, alcala  => 3457, alcantar
                                    => 5087,
                            alcantara
                                    => 5584, alcaraz => 4610,
                            alcorn  => 3125, aldana  => 7546, alday   => 9419, alder   => 8854,
                            alderete
                                    => 7545, alderman
                                    => 2396,
                            alderson
                                    => 5043, aldrich => 1423,
                            aldridge
                                    => 1195, alegria => 9915,
                            alejo   => 9664, aleman  => 2676, alessi  => 6555, alexander
                                    => 92,
                            alfano  => 6883, alfaro  => 1642, alford  => 782, alger   => 3631,
                            alicea  => 2412, alkire  => 8853, allain  => 6882, allaire => 9305,
                            allard  => 2272, alleman => 6224, allen   => 26, alley   => 1813,
                            alleyne => 4760, allgood => 5042, allman  => 3684, allmon  => 8391,
                            alloway => 9304, allred  => 1608, almanza => 3212, almaraz => 5086,
                            almazan => 8518, almeida => 2693, almodovar
                                    => 9188,
                            almon   => 9663, almond  => 3323, almonte => 4484, alpert  => 7398,
                            alston  => 773, alsup   => 6822, altamirano
                                    => 5432,
                            althoff => 9187, altizer => 9303, altman  => 1846, alvarado
                                    => 387,
                            alvardo => 7995, alvares => 9914, alvarez => 209, alverez => 6747,
                            alverson
                                    => 7994, alves   => 3071,
                            alvey   => 6821, alvis   => 7993, amador  => 2468, aman    => 7815,
                            amann   => 9662, amaral  => 3727, amaro   => 5821, amato   => 2719,
                            amaya   => 2021, ambriz  => 4826, amburgey
                                    => 8753,
                            amerson => 4970, ames    => 1098, amey    => 7633, amezquita
                                    => 9532,
                            amick   => 6389, amin    => 6064, ammerman
                                    => 8628,
                            ammons  => 2913, amundson
                                    => 4042,
                            anaya   => 1458, ancheta => 8176, anders  => 2048, andersen
                                    => 889,
                            anderson
                                    => 11, anderton
                                    => 5041,
                            andes   => 7814, andino  => 6675, andrade => 970, andreasen
                                    => 9661,
                            andresen
                                    => 6063, andress => 6619,
                            andrews => 174, andrus  => 3357, andujar => 8852, ange    => 8627,
                            angell  => 4417, anglin  => 2434, anguiano
                                    => 4635,
                            angulo  => 3707, angus   => 6746, anselmo => 8275, ansley  => 6116,
                            anson   => 5682, antonelli
                                    => 7715,
                            anzalone
                                    => 8967, aparicio
                                    => 5871,
                            apodaca => 2709, aponte  => 1718, appel   => 3994, appleby => 4483,
                            applegate
                                    => 2530, appleton
                                    => 4041,
                            applewhite
                                    => 4333, appling => 6277,
                            aquilar => 7026, aquino  => 2256, aragon  => 1675, araiza  => 6674,
                            arana   => 5920, aranda  => 2708, arango  => 6955, araujo  => 4040,
                            arbogast
                                    => 4416, arbuckle
                                    => 6881,
                            arce    => 2188, arceneaux
                                    => 5226,
                            archambault
                                    => 6820, archer  => 886,
                            archibald
                                    => 2953, archuleta
                                    => 2349,
                            arciniega
                                    => 7900, ardoin  => 5006,
                            arellano
                                    => 1268, arenas  => 6456,
                            arevalo => 2404, argo    => 6276, arguelles
                                    => 8079,
                            arguello
                                    => 5820, argueta => 5870,
                            arias   => 1057, arispe  => 9066, armbruster
                                    => 5681,
                            armendariz
                                    => 4363, armenta => 3780,
                            armentrout
                                    => 6745, armes   => 7992,
                            armijo  => 3201, armistead
                                    => 8517,
                            armitage
                                    => 6554, armour  => 4634,
                            armstead
                                    => 2433, armstrong
                                    => 179,
                            arndt   => 2692, arneson => 8274, arnett  => 2127, arnold  => 163,
                            arnone  => 8078, aronson => 5303, arredondo
                                    => 1593,
                            arreola => 3034, arriaga => 3307, arrington
                                    => 981,
                            arriola => 4254, arrowood
                                    => 5189,
                            arroyo  => 880, arruda  => 5727, arsenault
                                    => 2375,
                            arteaga => 2794, artis   => 2168, artrip  => 8851, arvizu  => 7544,
                            arwood  => 7479, arzola  => 7714, asberry => 7478, asbury  => 3526,
                            ascencio
                                    => 9186, ashbaugh
                                    => 8516,
                            ashburn => 5726, ashby   => 1558, ashcraft
                                    => 2321,
                            ashe    => 3306, asher   => 2329, ashford => 2691, ashmore => 3802,
                            ashworth
                                    => 2761, askew   => 1640,
                            askins  => 7312, aston   => 5725, astorga => 9418, atchison
                                    => 3494,
                            atchley => 4553, atencio => 6168, atherton
                                    => 3286,
                            athey   => 7991, atkin   => 9302, atkins  => 450, atkinson
                                    => 562,
                            attaway => 6455, atterberry
                                    => 9913,
                            atwater => 6819, atwell  => 2644, atwood  => 1454, aube    => 8175,
                            aubin   => 6553, aubuchon
                                    => 8966,
                            aucoin  => 4482, audet   => 6880, audette => 6223, auger   => 4552,
                            auguste => 9660, augustin
                                    => 8390,
                            auld    => 7632, ault    => 3865, aultman => 7899, austin  => 186,
                            auten   => 6505, autrey  => 5473, autry   => 3456, avalos  => 1746,
                            avant   => 4451, avelar  => 5583, avent   => 7025, averett => 7311,
                            averill => 6062, avila   => 541, aviles  => 1825, avina   => 6744,
                            axtell  => 9912, ayala   => 461, aycock  => 4450, ayer    => 6618,
                            ayers   => 598, ayotte  => 6454, ayres   => 2411, azar    => 8515,
                            azevedo => 4863, azure   => 7898, babb    => 1607, babbitt => 4862,
                            babcock => 1449, baber   => 4225, babin   => 2675, babineaux
                                    => 6222,
                            baca    => 1178, bach    => 3094, bachman => 2585, bachmann
                                    => 9301,
                            backer  => 6617, backes  => 9911, backman => 6221, backus  => 4391,
                            bacon   => 906, bade    => 6954, bader   => 3566, badger  => 2969,
                            badgett => 8273, badillo => 4088, baer    => 2017, baez    => 1356,
                            baeza   => 4715, bagby   => 4801, baggett => 1863, bagley  => 1824,
                            bagwell => 2432, bahena  => 5680, bahr    => 4481, baier   => 6453,
                            bailes  => 7477, bailey  => 58, baillargeon
                                    => 7024,
                            baily   => 5679, bain    => 1567, baines  => 3008, bair    => 2623,
                            baird   => 795, baisden => 8389, baker   => 35, bakke   => 7023,
                            bakken  => 8272, bakker  => 7476, balch   => 5472, balcom  => 7813,
                            balderas
                                    => 3252, baldridge
                                    => 4133,
                            baldwin => 311, bales   => 2201, ball    => 295, ballance
                                    => 7475,
                            ballard => 392, ballenger
                                    => 6388,
                            ballentine
                                    => 7897, ballesteros
                                    => 4969,
                            ballew  => 4332, ballinger
                                    => 4132,
                            ballou  => 4157, baltazar
                                    => 6452,
                            balzer  => 7990, banas   => 6953, bancroft
                                    => 5085,
                            banda   => 2348, bandy   => 2660, bane    => 4514, bangs   => 7989,
                            banister
                                    => 6275, banker  => 6504,
                            bankhead
                                    => 8626, banks   => 204,
                            bankston
                                    => 3110, banner  => 4253,
                            banning => 9659, bannister
                                    => 2885,
                            bannon  => 6451, banta   => 4902, banuelos
                                    => 3251,
                            baptiste
                                    => 2820, barahona
                                    => 7238,
                            barajas => 1406, baran   => 4714, baranowski
                                    => 8388,
                            barba   => 3801, barbee  => 2340, barber  => 308, barbieri
                                    => 6552,
                            barbosa => 2502, barbour => 1839, barboza => 5397, barclay => 2300,
                            bard    => 4156, barden  => 3779, bardwell
                                    => 7078,
                            barefoot
                                    => 7631, barela  => 3800,
                            barfield
                                    => 2183, barger  => 1758,
                            barham  => 3799, barhorst
                                    => 6450,
                            barker  => 291, barkley => 2200, barksdale
                                    => 1964,
                            barley  => 8514, barlow  => 859, barnard => 1156, barner  => 4759,
                            barnes  => 75, barnett => 253, barnette
                                    => 2779,
                            barnhart
                                    => 1584, barnhill
                                    => 2747,
                            barns   => 5972, barnum  => 4674, barnwell
                                    => 4551,
                            baron   => 1899, barone  => 3141, barr    => 617, barragan
                                    => 4673,
                            barraza => 2850, barre   => 8513, barrera => 785, barreras
                                    => 8965,
                            barreto => 4015, barrett => 258, barrette
                                    => 9417,
                            barrick => 7146, barrientos
                                    => 4067,
                            barringer
                                    => 4224, barrios => 1800,
                            barron  => 632, barros  => 6115, barroso => 9065, barrow  => 1532,
                            barrows => 2746, barstow => 9792, barta   => 7022, bartel  => 6061,
                            bartell => 7310, bartels => 3726, bartelt => 8752, barter  => 9531,
                            barth   => 1871, bartholomew
                                    => 2040,
                            bartlett
                                    => 612, bartley => 1576,
                            barton  => 428, bartz   => 4800, barwick => 9185, bascom  => 8271,
                            bash    => 6016, basham  => 2579, bashaw  => 6743, basile  => 4513,
                            basinger
                                    => 7812, baskerville
                                    => 6114,
                            baskin  => 3876, basnight
                                    => 9910,
                            bass    => 413, bassett => 1319, basso   => 6015, bastian => 4758,
                            batchelder
                                    => 4713, batchelor
                                    => 2912,
                            bateman => 1431, bates   => 271, batey   => 6328, batista => 2595,
                            batiste => 3423, batres  => 9909, batson  => 3512, battaglia
                                    => 3344,
                            batten  => 3211, battista
                                    => 8270,
                            battles => 3343, batton  => 7543, batts   => 2093, batty   => 7542,
                            baty    => 7811, baucom  => 6551, bauder  => 8964, bauer   => 619,
                            baugh   => 2146, baugher => 6060, baughman
                                    => 2132,
                            baum    => 1934, bauman  => 2016, baumann => 3070, baumgardner
                                    => 3976,
                            baumgartner
                                    => 3237, baur    => 7896,
                            bautista
                                    => 1393, baxley  => 3822,
                            baxter  => 502, bayer   => 3033, bayles  => 7474, bayless => 4712,
                            baylor  => 3586, bayne   => 3842, baynes  => 9791, bays    => 3915,
                            bazan   => 6952, bazemore
                                    => 7145,
                            beach   => 823, beacham => 9658, beadle  => 7895, beagle  => 9064,
                            beahm   => 9908, beaird  => 7144, beal    => 1392, beale   => 3007,
                            beall   => 2622, beals   => 3548, beam    => 1757, beaman  => 4252,
                            beamer  => 7630, beamon  => 4087, bean    => 631, beane   => 3864,
                            beard   => 539, bearden => 1703, beardsley
                                    => 4155,
                            beasley => 508, beason  => 5188, beaton  => 6274, beattie => 2760,
                            beatty  => 991, beaty   => 2047, beauchamp
                                    => 2460,
                            beaudette
                                    => 7473, beaudoin
                                    => 2984,
                            beaudry => 4277, beaulieu
                                    => 1963,
                            beaumont
                                    => 7143, beauregard
                                    => 3476,
                            beaver  => 1496, beavers => 1799, becerra => 1779, bechtel => 4154,
                            bechtold
                                    => 5869, beck    => 275,
                            becker  => 358, beckett => 2431, beckford
                                    => 6818,
                            beckham => 2509, beckley => 5919, beckman => 1789, beckner => 7629,
                            beckstead
                                    => 9300, beckwith
                                    => 2508,
                            becnel  => 3210, becton  => 8850, bedard  => 3475, bedell  => 4331,
                            bedford => 3019, bednar  => 9184, bedwell => 6449, beebe   => 1808,
                            beech   => 6742, beecher => 5302, beeler  => 3455, beem    => 8512,
                            beeman  => 4512, beene   => 7472, beers   => 2901, beery   => 5819,
                            beesley => 8269, beeson  => 4039, begay   => 1614, beggs   => 6059,
                            begley  => 2467, behling => 7237, behnke  => 9530, behr    => 6387,
                            behrens => 2507, beier   => 9299, beiler  => 9298, bejarano
                                    => 6741,
                            belanger
                                    => 1462, belcher => 930,
                            belden  => 6616, belew   => 7628, belisle => 6327, belk    => 4711,
                            belknap => 7988, bell    => 56, bellamy => 1574, beller  => 6879,
                            bellinger
                                    => 4757, belliveau
                                    => 9297,
                            bello   => 2558, bellows => 6113, belton  => 3093, beltran => 1059,
                            beltz   => 7236, bemis   => 4633, benally => 5121, benavides
                                    => 1583,
                            benavidez
                                    => 2410, benbow  => 7810,
                            benda   => 9529, bender  => 735, benedetto
                                    => 6673,
                            benefield
                                    => 3683, benfield
                                    => 5724,
                            benford => 4672, benge   => 4197, bengtson
                                    => 9416,
                            benham  => 4632, benites => 8625, benitez => 1267, benn    => 5354,
                            benner  => 2306, bennet  => 5509, bennett => 73, benning => 7713,
                            bennington
                                    => 7894, benoit  => 1479,
                            benson  => 305, bentley => 697, benton  => 658, bentz   => 4710,
                            benz    => 6014, berard  => 5771, berardi => 9528, berg    => 668,
                            bergen  => 4578, berger  => 771, bergeron
                                    => 1050,
                            bergin  => 6386, berglund
                                    => 6878,
                            bergman => 1592, bergmann
                                    => 6273,
                            bergquist
                                    => 7471, bergstrom
                                    => 3547,
                            berkey  => 7541, berkley => 6013, berkowitz
                                    => 5431,
                            berman  => 1969, bermudez
                                    => 1646,
                            bernabe => 9415, bernal  => 1173, bernardi
                                    => 9414,
                            berndt  => 4901, berner  => 7142, bernhardt
                                    => 4066,
                            bernier => 1898, bernstein
                                    => 1778,
                            berrios => 2494, berry   => 161, berryhill
                                    => 5582,
                            berryman
                                    => 3665, berthiaume
                                    => 9907,
                            bertrand
                                    => 2994, bertsch => 9413,
                            berube  => 2778, bessette
                                    => 6058,
                            betancourt
                                    => 2255, bethea  => 2391,
                            bethune => 7809, bettencourt
                                    => 4223,
                            bettis  => 4175, betts   => 1207, betz    => 3725, bevan   => 7808,
                            beveridge
                                    => 6448, bevins  => 4086,
                            bevis   => 7807, bewley  => 7627, beyer   => 1843, bianchi => 5156,
                            bianco  => 5084, bias    => 4511, bibb    => 6550, bibbs   => 6057,
                            bice    => 5187, bickel  => 4825, bickerstaff
                                    => 7712,
                            bickford
                                    => 3092, bickley => 9296,
                            bicknell
                                    => 9183, biddle  => 2488,
                            bidwell => 5508, bieber  => 6447, bierman => 4900, bigelow => 2557,
                            biggers => 6672, biggerstaff
                                    => 6877,
                            biggs   => 1276, bigham  => 4671, bigler  => 5545, bigley  => 8077,
                            bilbrey => 7397, biles   => 6740, biller  => 7806, billings
                                    => 1124,
                            billingsley
                                    => 2167, billington
                                    => 5678,
                            billiot => 3778, billman => 8624, bills   => 2584, billups => 2636,
                            bilodeau
                                    => 3959, bilyeu  => 7021,
                            binder  => 2612, binette => 6876, binford => 7396, bingaman
                                    => 7626,
                            bingham => 1025, binion  => 5818, binkley => 3607, binns   => 6112,
                            birch   => 2566, birchfield
                                    => 5677,
                            bird    => 845, birdsall
                                    => 8623,
                            birdsong
                                    => 4631, birdwell
                                    => 6951,
                            birkholz
                                    => 9527, birnbaum
                                    => 8622,
                            biron   => 9063, birt    => 8387, bischoff
                                    => 4577,
                            bish    => 6167, bishop  => 206, bissell => 5971, bisson  => 3682,
                            bissonnette
                                    => 4799, bitner  => 8386,
                            bittle  => 8963, bittner => 3546, bivens  => 2872, bivins  => 3545,
                            bixby   => 6446, bixler  => 4670, bjork   => 8751, black   => 143,
                            blackburn
                                    => 646, blackford
                                    => 5396,
                            blackman
                                    => 1606, blackmon
                                    => 1255,
                            blackmore
                                    => 6615, blackshear
                                    => 5723,
                            blackstock
                                    => 6272, blackstone
                                    => 7805,
                            blackwell
                                    => 543, blackwood
                                    => 3393,
                            blades  => 7235, blagg   => 9906, blain   => 5395, blair   => 340,
                            blais   => 3124, blaisdell
                                    => 6220,
                            blakely => 2266, blakemore
                                    => 7470,
                            blakeney
                                    => 5544, blakeslee
                                    => 7987,
                            blakey  => 7469, blakley => 7077, blakney => 7309, blalock => 1818,
                            blanc   => 7234, blanchard
                                    => 653,
                            blanchette
                                    => 3225, blanco  => 1254,
                            bland   => 894, blanding
                                    => 5629,
                            blaney  => 7233, blank   => 1831, blankenship
                                    => 545,
                            blanks  => 4276, blanton => 954, blaser  => 9182, blasingame
                                    => 8849,
                            blassingame
                                    => 9657, blatt   => 9295,
                            blaylock
                                    => 3250, blazer  => 6671,
                            bledsoe => 1453, blevins => 637, bliss   => 1648, blizzard
                                    => 6111,
                            bloch   => 7020, blocker => 2529, blodgett
                                    => 2900,
                            blomquist
                                    => 7804, bloodworth
                                    => 6549,
                            bloom   => 1210, bloomer => 5543, bloomfield
                                    => 4861,
                            bloomquist
                                    => 8750, blosser => 9412,
                            blough  => 9790, blouin  => 8268, blount  => 1246, bluhm   => 7625,
                            blum    => 1817, blumberg
                                    => 8848,
                            blume   => 5120, blumenthal
                                    => 7540,
                            blunt   => 2745, boardman
                                    => 4609,
                            boatman => 4131, boatner => 9294, boatright
                                    => 4014,
                            boatwright
                                    => 3777, bobb    => 8267,
                            bobbitt => 3606, bober   => 9905, bobo    => 2403, bocanegra
                                    => 6670,
                            bock    => 2862, boddie  => 5581, bode    => 4390, boden   => 6817,
                            bodie   => 9411, bodine  => 6614, bodnar  => 7232, bodner  => 9293,
                            boehm   => 3565, boettcher
                                    => 4065,
                            bogan   => 3006, bogard  => 7711, bogart  => 5770, bogdan  => 9656,
                            boger   => 5676, boggess => 6503, boggs   => 887, bogle   => 4576,
                            bogue   => 9292, bohanan => 9291, bohannan
                                    => 8511,
                            bohannon
                                    => 2474, bohn    => 3493,
                            bohon   => 9789, boisvert
                                    => 3706,
                            bojorquez
                                    => 6502, boland  => 3605,
                            bolanos => 6056, bolden  => 984, bolding => 5628, boldt   => 7141,
                            bolduc  => 2911, bolen   => 3342, boles   => 1753, boley   => 7893,
                            bolick  => 5675, bolin   => 2328, boling  => 2487, bolinger
                                    => 6012,
                            bolling => 3863, bollinger
                                    => 2126,
                            bollman => 8962, bolt    => 3454, bolton  => 826, bolyard => 7892,
                            boman   => 8510, bomar   => 7986, bonanno => 8174, bonar   => 9062,
                            bond    => 497, bonds   => 1589, bondurant
                                    => 9290,
                            boner   => 8961, boney   => 6669, bonham  => 4480, bonilla => 1088,
                            bonin   => 6166, bonneau => 9289, bonnell => 6445, bonner  => 751,
                            bonnett => 5769, bonney  => 5040, bono    => 6385, bontrager
                                    => 8847,
                            booher  => 4934, booker  => 560, bookman => 8266, bookout => 8385,
                            boone   => 432, boose   => 9410, booth   => 523, boothe  => 3032,
                            boozer  => 5186, bopp    => 8265, borchardt
                                    => 8621,
                            borchers
                                    => 8620, bordeaux
                                    => 8384,
                            bordelon
                                    => 3544, borden  => 1725,
                            borders => 2583, boren   => 2793, borg    => 5155, borges  => 2952,
                            borja   => 8076, borkholder
                                    => 8749,
                            borkowski
                                    => 6875, borman  => 9526,
                            borowski
                                    => 5817, borrego => 3862,
                            borrero => 8173, borst   => 6950, borton  => 9061, borum   => 9904,
                            bosch   => 5430, bosco   => 7710, bosley  => 4196, bosse   => 9060,
                            bost    => 4510, bostic  => 2265, bostick => 3173, bostwick
                                    => 5154,
                            boswell => 1146, bosworth
                                    => 4509,
                            botelho => 7308, botello => 4449, botkin  => 9288, bott    => 5272,
                            bottoms => 3681, botts   => 4550, bouchard
                                    => 1599,
                            boucher => 885, boudreau
                                    => 2199,
                            boudreaux
                                    => 1674, bouffard
                                    => 7019,
                            boughton
                                    => 6548, bouie   => 7231,
                            boulanger
                                    => 8509, bouldin => 5225,
                            boulware
                                    => 8383, bounds  => 3041,
                            bourassa
                                    => 6219, bourdon => 8960,
                            bourg   => 6271, bourgeois
                                    => 1685,
                            bourland
                                    => 9655, bourne  => 2674,
                            bourque => 2278, bousquet
                                    => 6165,
                            boutin  => 5429, bouton  => 6444, boutte  => 6218, boutwell
                                    => 4709,
                            bova    => 7985, bove    => 5039, bowden  => 1103, bowe    => 4756,
                            bowen   => 307, bowens  => 2254, bower   => 1181, bowers  => 426,
                            bowes   => 5394, bowie   => 1968, bowker  => 7140, bowler  => 4275,
                            bowles  => 1214, bowlin  => 3005, bowling => 1037, bowman  => 230,
                            bowser  => 1737, bowyer  => 6110, boyce   => 911, boyd    => 128,
                            boyer   => 593, boyes   => 8619, boyett  => 4669, boyette => 4112,
                            boykin  => 1467, boykins => 5083, boylan  => 4668, boyle   => 860,
                            boyles  => 1752, boynton => 3356, bozarth => 6739, bozeman => 3705,
                            braaten => 8748, brace   => 4708, bracey  => 6326, brack   => 8382,
                            bracken => 3993, brackett
                                    => 2718,
                            brackin => 9654, bracy   => 5005, bradberry
                                    => 6443,
                            bradburn
                                    => 9409, bradbury
                                    => 3543,
                            braddock
                                    => 6109, braddy  => 6949,
                            braden  => 1788, bradfield
                                    => 6948,
                            bradshaw
                                    => 621, brady   => 407,
                            bragdon => 8508, bragg   => 1271, braggs  => 8959, brainard
                                    => 7395,
                            braithwaite
                                    => 4667, brake   => 4968,
                            braley  => 6613, bramble => 7803, bramblett
                                    => 8381,
                            brame   => 7984, bramlett
                                    => 5082,
                            brammer => 7307, branch  => 636, brandenburg
                                    => 3585,
                            brandes => 8172, brandt  => 935, branham => 2039, brann   => 5081,
                            brannan => 4362, brannen => 7983, brannon => 1823, branscum
                                    => 7891,
                            branson => 2673, branstetter
                                    => 9059,
                            brantley
                                    => 1143, branton => 5970,
                            branum  => 6947, brasfield
                                    => 9408,
                            brashear
                                    => 5542, brashears
                                    => 9181,
                            brasher => 4755, braswell
                                    => 1702,
                            bratcher
                                    => 3157, brathwaite
                                    => 9407,
                            bratton => 3172, braud   => 5471, brauer  => 6612, braun   => 997,
                            bravo   => 1505, brawley => 5918, brawner => 5271, braxton => 1724,
                            bray    => 720, brayton => 8075, brazell => 8507, brazelton
                                    => 9287,
                            braziel => 8506, brazier => 7982, breault => 6384, breaux  => 2327,
                            breazeale
                                    => 7539, breckenridge
                                    => 5153,
                            breeden => 2480, breedlove
                                    => 3082,
                            breen   => 2565, brehm   => 4508, breland => 4251, bremer  => 6217,
                            brennan => 655, brenneman
                                    => 7230,
                            brenner => 2020, breslin => 9286, bresnahan
                                    => 7802,
                            bressler
                                    => 9406, breton  => 5080,
                            bretz   => 7394, breuer  => 9285, breunig => 4707, brewer  => 233,
                            brewington
                                    => 4330, brewster
                                    => 1182,
                            brewton => 5722, briceno => 7890, bricker => 4798, brickey => 8505,
                            bridgeman
                                    => 6501, bridgers
                                    => 8171,
                            bridges => 446, bridgewater
                                    => 8170,
                            bridwell
                                    => 8747, brien   => 5428,
                            briggs  => 399, brigham => 4250, bright  => 799, brigman => 9058,
                            briley  => 3958, brill   => 3798, brim    => 3957, brimmer => 7889,
                            brindle => 9903, brink   => 2430, brinker => 7139, brinkerhoff
                                    => 9653,
                            brinkley
                                    => 2072, brinkman
                                    => 3236,
                            brinson => 2198, brinton => 7981, briones => 3264, brisco  => 7138,
                            briscoe => 1967, briseno => 3821, brisson => 8504, brister => 5721,
                            bristow => 4706, brito   => 2605, britt   => 769, brittain
                                    => 3474,
                            brittingham
                                    => 8503, britton => 1022,
                            broadbent
                                    => 7888, broaddus
                                    => 7393,
                            broadnax
                                    => 4038, broadus => 7229,
                            broadwater
                                    => 6383, brochu  => 7709,
                            brock   => 410, brockington
                                    => 5674,
                            brockman
                                    => 3123, brockway
                                    => 5816,
                            brode   => 9180, brodeur => 5627, brodie  => 4705, brodsky => 7887,
                            brody   => 3975, brogan  => 3664, brogdon => 6382, brokaw  => 7392,
                            bromley => 4130, bronson => 2125, brooker => 6270, brookins
                                    => 3974,
                            brooks  => 70, brookshire
                                    => 4111,
                            broom   => 5673, broome  => 2443, broomfield
                                    => 8502,
                            brophy  => 6055, brotherton
                                    => 4549,
                            brough  => 8264, broughton
                                    => 2454,
                            broussard
                                    => 1019, brousseau
                                    => 8746,
                            browder => 3184, brower  => 1906, brown   => 5, browne  => 1364,
                            brownell
                                    => 4013, brownfield
                                    => 6547,
                            browning
                                    => 604, brownlee
                                    => 2339,
                            broyles => 2604, brubaker
                                    => 2819,
                            bruder  => 9284, bruggeman
                                    => 9405,
                            bruhn   => 9788, brumbaugh
                                    => 5580,
                            brumfield
                                    => 2603, brumley => 5079,
                            brummett
                                    => 5119, brundage
                                    => 6269,
                            brune   => 7137, brunelle
                                    => 4860,
                            bruner  => 1630, brunet  => 5507, brunette
                                    => 7801,
                            brunner => 2065, bruns   => 2717, brunson => 1290, brust   => 8745,
                            bruton  => 3542, bryant  => 91, bryson  => 1405, bucci   => 7708,
                            buchan  => 9525, buchanan
                                    => 403,
                            bucher  => 4037, buchholz
                                    => 4548,
                            buchman => 9787, buck    => 664, buckingham
                                    => 3663,
                            buckles => 5427, buckley => 659, buckman => 4933, buckner => 862,
                            budd    => 4308, budde   => 6946, buehler => 4899, buell   => 4797,
                            bueno   => 2493, buenrostro
                                    => 8380,
                            buettner
                                    => 7980, buffington
                                    => 2549,
                            bufford => 8169, bugbee  => 9652, bugg    => 5038, buggs   => 5353,
                            buie    => 4153, bulger  => 8379, bullard => 1162, bullen  => 8618,
                            buller  => 6668, bullington
                                    => 5393,
                            bullins => 6546, bullis  => 7707, bulloch => 9786, bullock => 537,
                            bulter  => 6108, bumgardner
                                    => 6945,
                            bumgarner
                                    => 3650, bumpus  => 9524,
                            bunce   => 8617, bunch   => 920, bundy   => 1941, bunker  => 3525,
                            bunn    => 2153, bunnell => 3453, buntin  => 9651, bunting => 3422,
                            bunton  => 5626, burbach => 9785, burbank => 4249, burch   => 762,
                            burcham => 5352, burchell
                                    => 7979,
                            burchett
                                    => 2537, burchette
                                    => 7468,
                            burchfield
                                    => 2968, burd    => 7391,
                            burden  => 1974, burdett => 4754, burdette
                                    => 2672,
                            burdick => 1955, burdine => 6164, burford => 4824, burg    => 6011,
                            burge   => 2690, burger  => 1314, burgess => 319, burgett => 4932,
                            burgin  => 5672, burgos  => 1316, burk    => 2242, burke   => 226,
                            burkes  => 7136, burkett => 1258, burkey  => 6816, burkhalter
                                    => 5270,
                            burkhardt
                                    => 4389, burkhart
                                    => 1736,
                            burkhead
                                    => 9523, burkholder
                                    => 3749,
                            burks   => 809, burleigh
                                    => 6874,
                            burleson
                                    => 2360, burley  => 3040,
                            burlingame
                                    => 7018, burmeister
                                    => 5269,
                            burnell => 5579, burnett => 455, burnette
                                    => 1466,
                            burney  => 2442, burnham => 1805, burns   => 136, burnside
                                    => 2759,
                            burr    => 1551, burrell => 1121, burress => 5671, burris  => 818,
                            burroughs
                                    => 1448, burrow  => 3630,
                            burrows => 1838, burrus  => 5004, burruss => 8744, burse   => 8743,
                            burson  => 5224, burton  => 215, burwell => 4931, busby   => 1571,
                            busch   => 1764, bush    => 280, bushey  => 4547, bushman => 6268,
                            bushnell
                                    => 5185, buss    => 3452,
                            bussard => 8074, busse   => 5768, bussell => 4753, bussey  => 3276,
                            bustamante
                                    => 2249, bustos  => 3604,
                            butcher => 1313, butler  => 87, butterfield
                                    => 2226,
                            butterworth
                                    => 7017, butts   => 994,
                            butz    => 7538, buxton  => 4036, buzzard => 8742, buzzell => 5720,
                            byars   => 3374, bybee   => 5815, byer    => 8168, byerly  => 6381,
                            byers   => 829, byington
                                    => 6815,
                            byler   => 4752, bynum   => 1465, byram   => 9404, byrd    => 242,
                            byrge   => 9283, byrne   => 1056, byrnes  => 2707, byrum   => 5351,
                            caballero
                                    => 1854, caban   => 3956,
                            cabe    => 7800, cabral  => 2139, cabrales
                                    => 8501,
                            cabrera => 705, caceres => 6738, caddell => 6611, cade    => 2729,
                            cadena  => 4608, cadwell => 7978, cady    => 2808, caesar  => 5578,
                            caffey  => 7228, cagle   => 1908, cahill  => 1424, cahoon  => 5719,
                            cain    => 438, caine   => 7467, caines  => 7706, cairns  => 5268,
                            calabrese
                                    => 3841, calabro => 8073,
                            calahan => 8958, calder  => 5078, caldera => 5267, calderon
                                    => 759,
                            caldwell
                                    => 250, calfee  => 8741,
                            calhoon => 9784, calhoun => 525, calkins => 2758, callaghan
                                    => 3914,
                            callahan
                                    => 550, callan  => 6814,
                            callaway
                                    => 2058, callen  => 5541,
                            callender
                                    => 3411, callihan
                                    => 7537,
                            callis  => 4448, callison
                                    => 6737,
                            calloway
                                    => 1391, calton  => 7306,
                            calvert => 1487, calvillo
                                    => 5625,
                            calvo   => 6380, calzada => 7227, camacho => 630, camara  => 4110,
                            camarena
                                    => 7016, camargo => 8616,
                            camarillo
                                    => 3451, cambell => 3748,
                            camire  => 8500, cammack => 8740, campa   => 9179, campagna
                                    => 7390,
                            campbell
                                    => 44, camper  => 6442,
                            campion => 7536, campo   => 7705, campos  => 548, campuzano
                                    => 8263,
                            canaday => 8072, canady  => 3410, canale  => 9057, canales => 1897,
                            canas   => 9178, candelario
                                    => 6736,
                            candler => 7977, canfield
                                    => 2420,
                            cann    => 6944, cannady => 5223, canning => 7305, cannon  => 344,
                            cano    => 1238, cansler => 9282, cantara => 7704, canter  => 4415,
                            cantin  => 9650, cantor  => 5969, cantrell
                                    => 756,
                            cantu   => 692, cantwell
                                    => 3603,
                            canty   => 2643, capel   => 8739, capers  => 4796, caples  => 9649,
                            caplinger
                                    => 9281, capone  => 5470,
                            capps   => 1253, capuano => 8071, caputo  => 4329, caraballo
                                    => 2642,
                            caraway => 4064, carbajal
                                    => 3704,
                            carballo
                                    => 9902, carbaugh
                                    => 5540,
                            carbone => 2231, carden  => 3018, cardenas
                                    => 687,
                            carder  => 3649, cardin  => 6667, cardinale
                                    => 7886,
                            cardona => 1723, cardone => 9648, cardoso => 7885, cardoza => 3305,
                            cardwell
                                    => 1803, cargile => 8738,
                            cargill => 4930, carillo => 6010, carle   => 9901, carleton
                                    => 6500,
                            carlile => 6379, carlin  => 2621, carlisle
                                    => 1194,
                            carlock => 8378, carlsen => 7226, carlson => 235, carlucci
                                    => 8846,
                            carlyle => 6054, carmack => 4152, carmichael
                                    => 1209,
                            carmody => 5426, carmona => 1770, carnahan
                                    => 2792,
                            carnell => 8845, carner  => 7015, carnes  => 1923, carney  => 833,
                            caro    => 3355, caron   => 1538, carothers
                                    => 4575,
                            carpenter
                                    => 180, carpentier
                                    => 9177,
                            carper  => 4274, carpio  => 8167, carr    => 194, carranza
                                    => 2216,
                            carrasco
                                    => 1727, carrasquillo
                                    => 4574,
                            carraway
                                    => 4823, carreiro
                                    => 8957,
                            carrell => 4307, carreno => 7624, carreon => 4666, carrera => 4035,
                            carreras
                                    => 8844, carrero => 5425,
                            carrico => 3891, carrier => 1656, carrigan
                                    => 4479,
                            carrillo
                                    => 597, carrington
                                    => 1928,
                            carrion => 3421, carrizales
                                    => 8262,
                            carroll => 168, carron  => 9056, carruth => 6053, carruthers
                                    => 5392,
                            carson  => 425, carswell
                                    => 3747,
                            cartagena
                                    => 5718, carter  => 38,
                            cartier => 8737, cartwright
                                    => 1069,
                            carty   => 4328, caruso  => 2103, caruthers
                                    => 4507,
                            carvajal
                                    => 6325, carvalho
                                    => 3249,
                            carver  => 719, carwile => 9403, casanova
                                    => 4222,
                            casares => 5469, casarez => 4447, casas   => 3091, casavant
                                    => 8736,
                            cascio  => 8070, cash    => 825, cashion => 9280, cashman => 4607,
                            casiano => 6052, casias  => 7623, casillas
                                    => 2234,
                            caskey  => 3584, cason   => 2109, casper  => 2419, cass    => 3322,
                            cassady => 5350, cassel  => 8499, cassell => 3992, cassidy => 1279,
                            cassity => 7535, castaneda
                                    => 806,
                            castano => 8166, castanon
                                    => 7135,
                            casteel => 2910, castellano
                                    => 3648,
                            castellanos
                                    => 2026, castelli
                                    => 8843,
                            castello
                                    => 8615, castellon
                                    => 8842,
                            caster  => 9055, castillo
                                    => 196,
                            castleberry
                                    => 3004, castleman
                                    => 6735,
                            casto   => 5037, caston  => 6813, castor  => 5036, castorena
                                    => 8614,
                            castrejon
                                    => 9783, castro  => 260,
                            caswell => 2929, catalan => 7304, catalano
                                    => 3564,
                            cataldo => 9176, catchings
                                    => 8377,
                            cate    => 4195, cater   => 6812, cates   => 1229, cathcart
                                    => 5391,
                            catlett => 4151, catlin  => 6943, cato    => 2728, caton   => 4859,
                            catron  => 3541, caudell => 7703, caudill => 1270, caudle  => 3409,
                            cauley  => 7702, caulfield
                                    => 7225,
                            causey  => 2209, cauthen => 6441, cavallo => 8841, cavanaugh
                                    => 2092,
                            cavazos => 1798, cavender
                                    => 6378,
                            caver   => 9279, cavin   => 8261, caviness
                                    => 6811,
                            cawley  => 6324, cawthon => 7622, caylor  => 7621, cazares => 4221,
                            ceasar  => 7134, ceballos
                                    => 4630,
                            cedeno  => 5222, cedillo => 5424, ceja    => 4194, celaya  => 9278,
                            celis   => 9402, centeno => 3408, cepeda  => 4327, cerda   => 2516,
                            cerna   => 8956, cervantes
                                    => 706,
                            cervantez
                                    => 5814, chabot  => 6810,
                            chacon  => 1622, chadwell
                                    => 7133,
                            chaffee => 6009, chaffin => 2807, chaffins
                                    => 9401,
                            chafin  => 4751, chaidez => 9782, chaisson
                                    => 4704,
                            chalfant
                                    => 8498, chalmers
                                    => 3235,
                            chamberlain
                                    => 953, chamberland
                                    => 9522,
                            chamberlin
                                    => 2818, chambers
                                    => 266,
                            chamblee
                                    => 5717, chambless
                                    => 6216,
                            chambliss
                                    => 3934, chamness
                                    => 6942,
                            champlin
                                    => 5423, chan    => 672,
                            chancey => 5968, chandler
                                    => 297,
                            chaney  => 776, chang   => 607, chao    => 4967, chapa   => 2284,
                            chaparro
                                    => 8165, chapin  => 2831,
                            chaplin => 4306, chapman => 198, chappel => 9400, chappell
                                    => 1060,
                            chapple => 8164, chaput  => 8955, charbonneau
                                    => 7466,
                            charest => 8163, charette
                                    => 5349,
                            charland
                                    => 8613, charlton
                                    => 2659,
                            charpentier
                                    => 9647, charron => 4703,
                            chartier
                                    => 6008, chase   => 457,
                            chasse  => 4858, chastain
                                    => 1940,
                            chasteen
                                    => 6377, chatfield
                                    => 9054,
                            chatham => 6545, chatman => 1422, chauvin => 6544, chavarria
                                    => 2429,
                            chavers => 8612, chaves  => 3933, chavez  => 184, chavira => 8376,
                            chavis  => 1922, cheatham
                                    => 2248,
                            chee    => 5767, cheek   => 1783, cheeks  => 5266, cheever => 9277,
                            chen    => 638, chenault
                                    => 5035,
                            cheney  => 1989, cheng   => 2091, chenoweth
                                    => 5422,
                            cherry  => 686, chesley => 8840, chesney => 9053, chesser => 3680,
                            chesson => 7701, chestnut
                                    => 2277,
                            cheung  => 3140, chevalier
                                    => 4966,
                            chew    => 4012, chewning
                                    => 8375,
                            chiang  => 7389, chiasson
                                    => 9900,
                            chico   => 9399, chidester
                                    => 7700,
                            childers
                                    => 925, childress
                                    => 924,
                            childs  => 898, chiles  => 4795, chilson => 9052, chilton => 3373,
                            chin    => 1486, chinn   => 4150, chipman => 5421, chisholm
                                    => 2359,
                            chism   => 3583, chisolm => 2884, chitwood
                                    => 4063,
                            chiu    => 4149, choate  => 2292, choe    => 5152, choi    => 1297,
                            choquette
                                    => 9781, chou    => 5539,
                            chouinard
                                    => 6941, chow    => 2492,
                            chrisman
                                    => 4414, christensen
                                    => 396,
                            christenson
                                    => 2338, christiansen
                                    => 1582,
                            christianson
                                    => 2689, christman
                                    => 3156,
                            christner
                                    => 7976, christofferso
                                    => 9051,
                            christopherso
                                    => 4857, chronister
                                    => 7534,
                            chumley => 6873, chunn   => 8954, churchill
                                    => 2326,
                            churchwell
                                    => 6809, cifuentes
                                    => 9398,
                            cimino  => 6610, cintron => 2383, cioffi  => 7799, cisco   => 5151,
                            cisneros
                                    => 1076, claar   => 6051,
                            clack   => 7620, claiborne
                                    => 7224,
                            clancy  => 2594, clanton => 3109, clapp   => 3108, clapper => 5034,
                            clardy  => 7798, clark   => 20, clarke  => 434, clarkson
                                    => 2791,
                            clary   => 2316, clausen => 4085, claussen
                                    => 7619,
                            clawson => 3139, claxton => 6107, clayborn
                                    => 9050,
                            claycomb
                                    => 6666, claypool
                                    => 5301,
                            claypoole
                                    => 6808, claytor => 7388,
                            cleary  => 2108, cleaver => 6050, cleaves => 8162, cleek   => 9646,
                            clegg   => 3746, cleghorn
                                    => 6376,
                            cleland => 8497, clem    => 3183, clemens => 2528, clements
                                    => 805,
                            clemmer => 5577, clemmons
                                    => 3090,
                            clemons => 792, clevenger
                                    => 2071,
                            click   => 3647, clift   => 5184, cline   => 528, clinkscales
                                    => 8374,
                            cloninger
                                    => 7387, clontz  => 9397,
                            clopton => 9780, cloud   => 1954, clough  => 2909, clouse  => 4174,
                            clouser => 9396, cloutier
                                    => 2025,
                            clover  => 7132, clow    => 7618, clower  => 7617, clowers => 8611,
                            cloyd   => 7223, cluck   => 9521, cluff   => 8069, clyburn => 5917,
                            clymer  => 8610, coakley => 4794, coan    => 8373, coates  => 1186,
                            coats   => 1797, cobb    => 368, cobbs   => 2883, coble   => 2908,
                            cobos   => 5813, coburn  => 1997, cochran => 456, cochrane
                                    => 3473,
                            cockerham
                                    => 5716, cockrell
                                    => 2466,
                            coddington
                                    => 8953, coelho  => 8260,
                            coen    => 7465, cofer   => 4898, coffelt => 7699, coffey  => 746,
                            coffield
                                    => 9645, coffin  => 2706,
                            coffman => 1029, cofield => 4478, cogan   => 8259, cogburn => 9779,
                            coggins => 4034, cogswell
                                    => 7797,
                            cohan   => 9175, cohen   => 335, cohn    => 3089, coil    => 8161,
                            coker   => 1136, colangelo
                                    => 7222,
                            colbert => 1123, colburn => 2486, coldiron
                                    => 8496,
                            cole    => 103, colella => 6215, coleman => 78, coles   => 1804,
                            coley   => 1629, colgan  => 8839, collado => 3820, collard => 6375,
                            collazo => 2264, collett => 4129, colletti
                                    => 7386,
                            colley  => 3003, collier => 442, collings
                                    => 8609,
                            collins => 48, collinsworth
                                    => 7221,
                            collis  => 9778, collum  => 7616, colman  => 6374, colombo => 6665,
                            colon   => 385, colquitt
                                    => 6664,
                            colson  => 2928, colston => 4305, colter  => 6106, colucci => 5576,
                            colunga => 4793, colvin  => 1275, colwell => 3155, colyer  => 9520,
                            combs   => 484, comeau  => 5118, comeaux => 4062, comer   => 1651,
                            compton => 788, comstock
                                    => 2620,
                            conant  => 5670, conard  => 9395, conaway => 3540, conde   => 5265,
                            conder  => 8952, condon  => 2593, cone    => 2777, coney   => 4665,
                            confer  => 7615, congdon => 7014, conger  => 3776, conklin => 1176,
                            conley  => 453, conlin  => 6663, conlon  => 4792, conn    => 1353,
                            connally
                                    => 8068, connell => 1554,
                            connelly
                                    => 1430, conner  => 362,
                            conners => 3775, connolly
                                    => 1152,
                            connor  => 934, connors => 1588, conover => 3081, conroy  => 1878,
                            constantine
                                    => 6049, constantino
                                    => 6662,
                            conte   => 3890, conti   => 2899, contreras
                                    => 500,
                            converse
                                    => 5264, conway  => 579,
                            conwell => 6214, conyers => 3285, cook    => 54, cooke   => 867,
                            cooks   => 2927, cooksey => 3889, cookson => 8160, cooley  => 749,
                            coolidge
                                    => 8495, coombs  => 3171,
                            coomer  => 6105, coomes  => 9777, coon    => 1515, cooney  => 2453,
                            coonrod => 8951, coons   => 3662, cooper  => 60, coots   => 9519,
                            cope    => 1306, copeland
                                    => 405,
                            copenhaver
                                    => 7220, copley  => 3138,
                            coppage => 7796, copple  => 9776, coppock => 9518, coppola => 3861,
                            corbett => 969, corbin  => 1058, corbitt => 3724, corby   => 9899,
                            corcoran
                                    => 1668, cordeiro
                                    => 5263,
                            corder  => 4750, cordero => 1312, cordes  => 5506, cordle  => 8838,
                            cordoba => 8067, cordova => 959, coria   => 9174, corley  => 1352,
                            cormier => 1261, cornejo => 4109, cornelison
                                    => 6940,
                            cornett => 1235, cornish => 2337, cornwell
                                    => 2299,
                            corona  => 1478, coronado
                                    => 1700,
                            coronel => 7464, corpuz  => 7463, corr    => 8159, corrado => 9276,
                            corral  => 3002, corrales
                                    => 5505,
                            correa  => 1092, correia => 3407, correll => 4546, corrigan
                                    => 3200,
                            corriveau
                                    => 6213, corso   => 6373,
                            corson  => 5868, cortes  => 1382, cortese => 8066, cortez  => 433,
                            cortinas
                                    => 9898, corum   => 6661,
                            corwin  => 3913, cosby   => 2485, cosentino
                                    => 8258,
                            cosey   => 9275, cosgrove
                                    => 3511,
                            cosme   => 4629, cosper  => 6440, coss    => 7013, cossey  => 9517,
                            costa   => 933, costanzo
                                    => 7385,
                            costello
                                    => 1107, coston  => 5390,
                            cota    => 2582, cote    => 786, cothran => 3888, cotten  => 4606,
                            cotter  => 2735, cottingham
                                    => 5183,
                            cottle  => 4193, cotto   => 4929, cotton  => 752, cottrell
                                    => 1822,
                            cottrill
                                    => 8735, couch   => 1064,
                            coughlin
                                    => 2197, coulombe
                                    => 5967,
                            coulson => 6163, coulter => 1346, countryman
                                    => 6543,
                            counts  => 2790, cournoyer
                                    => 9173,
                            coursey => 9775, courson => 6162, courtemanche
                                    => 9774,
                            courtright
                                    => 9644, coury   => 9643,
                            cousins => 2727, couto   => 9897, couture => 1812, covarrubias
                                    => 5003,
                            covell  => 9172, covert  => 3372, covey   => 3563, covington
                                    => 916,
                            cowan   => 878, cowans  => 6807, coward  => 3450, cowart  => 2428,
                            cowden  => 6806, cowell  => 3991, cowen   => 5002, cowgill => 7884,
                            cowles  => 3797, cowley  => 3796, cox     => 62, coyle   => 1717,
                            coyne   => 3137, cozart  => 5715, crabb   => 5117, crabtree
                                    => 979,
                            craddock
                                    => 3248, craft   => 791,
                            crafton => 6104, craighead
                                    => 7975,
                            crain   => 1510, cram    => 6734, cramer  => 1005, crampton
                                    => 7384,
                            crandall
                                    => 1587, crandell
                                    => 5077,
                            cranford
                                    => 3341, cranmer => 8837,
                            crase   => 9516, craven  => 1933, cravens => 5300, craver  => 6212,
                            crawford
                                    => 127, crawley => 2283,
                            cray    => 8494, crayton => 3182, creamer => 3510, creasy  => 8065,
                            creech  => 1870, creed   => 4220, creekmore
                                    => 6007,
                            creel   => 3088, creighton
                                    => 3031,
                            crenshaw
                                    => 1495, crespo  => 2080,
                            cress   => 4219, creswell
                                    => 8734,
                            crews   => 1172, cribb   => 7462, cribbs  => 5624, crick   => 8950,
                            crider  => 2658, crigger => 8493, crim    => 5966, crimmins
                                    => 9171,
                            criner  => 8372, crippen => 7795, crisp   => 1877, criss   => 5033,
                            crissman
                                    => 8158, crist   => 2501,
                            criswell
                                    => 3703, critchlow
                                    => 9642,
                            crites  => 5032, crittenden
                                    => 3406,
                            crittendon
                                    => 9515, crochet => 8257,
                            crocker => 1132, crockett
                                    => 1067,
                            croft   => 1890, cromer  => 2926, cromwell
                                    => 2358,
                            crone   => 7698, cronin  => 1708, cronk   => 5669, crook   => 1756,
                            crooks  => 2581, croom   => 5182, cropper => 5714, crosby  => 667,
                            cross   => 322, crossland
                                    => 6499,
                            crossley
                                    => 5262, crossman
                                    => 4304,
                            crosson => 7533, croteau => 2734, crotty  => 6939, crouch  => 1043,
                            crouse  => 2175, crow    => 1021, crowder => 1180, crowe   => 891,
                            crowell => 1418, crowl   => 8371, crowley => 917, crowson => 7012,
                            crowther
                                    => 8492, croy    => 4928,
                            crozier => 5867, cruce   => 7974, crum    => 958, crumb   => 7076,
                            crumbley
                                    => 9641, crumley => 5389,
                            crump   => 1284, crumpler
                                    => 6938,
                            crumpton
                                    => 4173, cruse   => 3405,
                            crutcher
                                    => 2641, crutchfield
                                    => 2817,
                            cruz    => 113, cuellar => 1939, cuevas  => 1044, culberson
                                    => 8836,
                            culbertson
                                    => 2757, culbreth
                                    => 6805,
                            cull    => 7532, cullen  => 1581, culler  => 5538, culley  => 7883,
                            cullinan
                                    => 9514, cullins => 9394,
                            cullum  => 7882, culp    => 2253, culpepper
                                    => 2196,
                            culver  => 1550, cumberbatch
                                    => 8835,
                            cumming => 6323, cummings
                                    => 309,
                            cummins => 1231, cundiff => 4791, cunha   => 7075, cunningham
                                    => 172,
                            cuomo   => 5812, cupp    => 3562, curcio  => 8064, cureton => 4897,
                            curiel  => 4388, curl    => 6048, curlee  => 9640, curley  => 2145,
                            curran  => 1226, currey  => 8733, currie  => 1525, currier => 2225,
                            currin  => 6103, curry   => 288, curtin  => 3449, curtiss => 6439,
                            curtsinger
                                    => 9896, cusack  => 8491,
                            cushing => 4218, cushman => 3646, cusick  => 5388, custer  => 2907,
                            cuthbertson
                                    => 7697, cutler  => 1853,
                            cutlip  => 9895, cutright
                                    => 8370,
                            cutshall
                                    => 7383, cutts   => 9773,
                            dabbs   => 4248, dabney  => 3819, dabrowski
                                    => 8949,
                            dacosta => 4303, dade    => 8732, daggett => 4965, dagostino
                                    => 4273,
                            dahl    => 1333, dahlberg
                                    => 7696,
                            dahlgren
                                    => 6660, daigle  => 1739,
                            dail    => 7011, dailey  => 929, dalessandro
                                    => 6659,
                            dalessio
                                    => 6733, daley   => 1283,
                            dalrymple
                                    => 4605, dalton  => 540,
                            daly    => 1151, damato  => 6161, dambrosio
                                    => 7131,
                            dameron => 6438, damiano => 7614, damico  => 2635, dampier => 7881,
                            damron  => 3107, dancy   => 3106, dandrea => 5001, dandridge
                                    => 6322,
                            danford => 7794, danforth
                                    => 4217,
                            dang    => 3354, dangelo => 3105, dangerfield
                                    => 7695,
                            daniels => 144, danielson
                                    => 2898,
                            danley  => 6006, danner  => 2688, dansby  => 5150, dantzler
                                    => 5076,
                            darby   => 1473, dardar  => 4664, darden  => 1491, darr    => 4749,
                            darrah  => 8834, darrow  => 4663, dart    => 8157, dasher  => 6804,
                            dashiell
                                    => 8490, dasilva => 3539,
                            daugherty
                                    => 770, daughtery
                                    => 9772,
                            daughtry
                                    => 3955, davalos => 9393,
                            davenport
                                    => 458, daves   => 7010,
                            davey   => 4790, davidson
                                    => 243,
                            davie   => 7694, davies  => 947, davila  => 1034, davis   => 6, davison => 1289,
                            davisson
                                    => 7303, davy    => 7880,
                            dawes   => 4545, dawkins => 1402, dawson  => 283, daye    => 5468,
                            dayton  => 3538, deanda  => 5221, deangelis
                                    => 4628,
                            deans   => 6047, dearborn
                                    => 6160,
                            dearing => 4477, dearman => 7531, deas    => 6102, deason  => 4476,
                            deatherage
                                    => 9274, deaton  => 1921,
                            deaver  => 7130, deberry => 4033, deboer  => 4272, debolt  => 9513,
                            debord  => 9771, debose  => 5965, decamp  => 9392, decarlo => 6372,
                            decastro
                                    => 6267, decicco => 9512,
                            deckard => 5964, decker  => 564, decosta => 5149, decoteau
                                    => 4475,
                            dedmon  => 9770, dedrick => 9170, deegan  => 8156, deel    => 7219,
                            deemer  => 9049, deen    => 5420, deering => 4474, dees    => 2925,
                            deese   => 4748, deeter  => 9769, defazio => 8489, defelice
                                    => 6872,
                            deforest
                                    => 7973, degraff => 9391,
                            degraw  => 8155, degroot => 8369, deguzman
                                    => 6437,
                            dehaan  => 9048, dehart  => 2671, dehaven => 4506, deherrera
                                    => 7879,
                            deitz   => 6732, dejesus => 852, dejong  => 7793, delacruz
                                    => 850,
                            delafuente
                                    => 5299, delagarza
                                    => 2657,
                            delancey
                                    => 8488, delaney => 810,
                            delano  => 5713, delao   => 7009, delapaz => 5181, delapena
                                    => 9511,
                            delarosa
                                    => 1031, delatorre
                                    => 2057,
                            delcastillo
                                    => 9169, deleo   => 8833,
                            deleon  => 522, delgadillo
                                    => 3537,
                            delgado => 330, delisle => 4413, delk    => 6046, dellinger
                                    => 2897,
                            deloach => 2271, deloatch
                                    => 9047,
                            delong  => 1655, delorenzo
                                    => 7613,
                            delossantos
                                    => 2592, delozier
                                    => 7792,
                            delp    => 6436, delreal => 8832, delrio  => 4387, delrosario
                                    => 7302,
                            deltoro => 7461, deluca  => 2312, delucia => 9390, deluna  => 5116,
                            delvalle
                                    => 2382, delvecchio
                                    => 8731,
                            demaio  => 8831, demarco => 2776, demars  => 7218, demello => 6266,
                            dement  => 6265, demers  => 3122, deming  => 5220, demoss  => 5115,
                            demps   => 8830, dempsey => 1075, dendy   => 6435, denham  => 2906,
                            denison => 4822, denman  => 4148, dennard => 5963, denney  => 2491,
                            dennie  => 9894, denning => 3001, dennison
                                    => 1506,
                            densmore
                                    => 5348, denson  => 1821,
                            dent    => 1866, denton  => 1049, depalma => 7972, depasquale
                                    => 9389,
                            depew   => 5000, depriest
                                    => 4573,
                            derosa  => 3875, derose  => 7382, derosier
                                    => 6731,
                            derouen => 7878, derr    => 3472, derry   => 5668, derryberry
                                    => 7217,
                            desai   => 4361, desalvo => 8063, desantiago
                                    => 9639,
                            desantis
                                    => 3080, deschamps
                                    => 9510,
                            deshields
                                    => 9768, desilva => 5261,
                            desimone
                                    => 3795, desjardins
                                    => 4247,
                            desmarais
                                    => 5148, desousa => 9767,
                            desouza => 8368, despain => 6937, desrochers
                                    => 5866,
                            desroches
                                    => 9638, desrosiers
                                    => 4604,
                            destefano
                                    => 5575, detwiler
                                    => 7301,
                            deutsch => 4326, devaney => 7460, devaughn
                                    => 7612,
                            devault => 8608, deveau  => 8829, dever   => 4964, deville => 6159,
                            devine  => 1293, devito  => 3321, devlin  => 2806, devoe   => 4386,
                            devore  => 2282, devries => 2993, dewall  => 8828, dewar   => 8062,
                            dewberry
                                    => 7381, deweese => 5260,
                            dews    => 6211, deyo    => 8730, deyoung => 4108, dial    => 2634,
                            diamond => 1401, dias    => 1896, diaz    => 94, dibble  => 4107,
                            dibenedetto
                                    => 8948, dicarlo => 6434,
                            dicken  => 6730, dickens => 1260, dickenson
                                    => 5031,
                            dickerson
                                    => 464, dickey  => 1070,
                            dickinson
                                    => 1018, dickman => 5766,
                            dicks   => 5537, dickson => 703, diehl   => 2010, diemer  => 9509,
                            diep    => 7008, dieter  => 9508, dietrich
                                    => 1962,
                            dietz   => 1830, diez    => 7530, diggins => 7791, diggs   => 1537,
                            digiacomo
                                    => 7790, digiovanni
                                    => 7459,
                            dileo   => 8947, dill    => 1498, dillard => 772, diller  => 8607,
                            dilley  => 5916, dillingham
                                    => 5219,
                            dillion => 6158, dillman => 6157, dillon  => 725, dillow  => 6871,
                            dills   => 9637, dilorenzo
                                    => 7789,
                            dilworth
                                    => 4702, dimaggio
                                    => 6264,
                            dimarco => 7971, dimas   => 8946, dimmick => 8487, dinardo => 9636,
                            dineen  => 8606, dinger  => 7216, dingess => 5259, dingle  => 4246,
                            dingman => 5574, dingus  => 8061, dinh    => 5623, dinkins => 3954,
                            dinsmore
                                    => 5467, dinwiddie
                                    => 9168,
                            diorio  => 8060, dipasquale
                                    => 9766,
                            dipietro
                                    => 5915, dirks   => 7970,
                            dishman => 5030, dismuke => 7611, distefano
                                    => 6005,
                            dittman => 8605, dittmer => 8256, dixon   => 133, dixson  => 6870,
                            dizon   => 7877, doak    => 6498, doan    => 3136, doane   => 4896,
                            dobbins => 1716, dobbs   => 1816, dobson  => 1113, doby    => 7458,
                            dockery => 2465, dodd    => 923, dodds   => 4011, dodge   => 1294,
                            dodson  => 626, doering => 6433, doerr   => 4572, doggett => 5347,
                            doherty => 1249, doiron  => 8154, dolan   => 1282, dolby   => 9273,
                            dole    => 7215, dolphin => 9507, dombrowski
                                    => 5466,
                            dominguez
                                    => 481, dominquez
                                    => 3932,
                            donahoe => 8945, donahue => 963, donaldson
                                    => 691,
                            donato  => 3990, donegan => 8367, donelson
                                    => 7788,
                            dones   => 9388, doney   => 7007, donley  => 4128, donnelly
                                    => 1120,
                            donner  => 6729, donofrio
                                    => 5865,
                            donohoe => 7787, donohue => 2578, doody   => 7693, dooley  => 1062,
                            doolittle
                                    => 3989, dorado  => 7380,
                            doran   => 1662, dore    => 5962, dorman  => 2009, dorn    => 2861,
                            dorr    => 5258, dorsett => 5573, dorsey  => 536, dortch  => 3774,
                            dorton  => 7876, doss    => 1206, doster  => 8827, dostie  => 7379,
                            dotson  => 669, doty    => 1575, doucet  => 4747, doucette
                                    => 4084,
                            doud    => 7786, dougherty
                                    => 888,
                            doughty => 2536, dove    => 1673, dover   => 3030, dowd    => 2263,
                            dowdell => 4192, dowden  => 6936, dowdle  => 9167, dowdy   => 1596,
                            dowell  => 2024, dowler  => 9046, dowling => 1953, downer  => 5864,
                            downes  => 4106, downey  => 1061, downie  => 9272, downing => 961,
                            downs   => 843, doyle   => 382, doyon   => 6321, dozier  => 1735,
                            draeger => 9635, drain   => 4446, drake   => 415, drakeford
                                    => 9765,
                            drakes  => 9893, draper  => 1165, drayton => 3773, drees   => 7006,
                            dreher  => 5298, dreiling
                                    => 9634,
                            drennan => 6320, drennen => 7129, dressler
                                    => 5765,
                            drews   => 8153, dreyer  => 5961, driggers
                                    => 4127,
                            drinkard
                                    => 9633, driscoll
                                    => 1332,
                            driskell
                                    => 5346, driskill
                                    => 8826,
                            driver  => 1682, drouin  => 7875, drumm   => 8486, drummond
                                    => 1368,
                            drury   => 2951, dryden  => 5114, drye    => 7610, duarte  => 1164,
                            dubay   => 9387, dube    => 1775, dubin   => 9506, dubois  => 1072,
                            dubose  => 1713, ducharme
                                    => 4505,
                            duckett => 3121, duckworth
                                    => 1996,
                            duclos  => 8485, duda    => 6210, dudek   => 6542, duenas  => 4789,
                            duff    => 1834, duffey  => 6156, duffield
                                    => 9045,
                            duffy   => 778, dufour  => 7005, dufrene => 7692, dufresne
                                    => 5764,
                            dugan   => 1452, dugas   => 3818, duggan  => 2381, dugger  => 2940,
                            duggins => 7457, duguay  => 8825, duhon   => 5811, duke    => 767,
                            dukes   => 1193, dulaney => 4191, duley   => 8604, dulin   => 7128,
                            dumas   => 1266, dumont  => 4032, dunagan => 6155, dunaway => 2716,
                            dunbar  => 987, duncan  => 169, dunford => 6371, dungan  => 7529,
                            dunham  => 1135, dunigan => 7609, dunkin  => 6869, dunkle  => 6609,
                            dunkley => 9632, dunlap  => 742, dunleavy
                                    => 7456,
                            dunlop  => 6541, dunmire => 9044, dunn    => 153, dunne   => 3471,
                            dunnigan
                                    => 9271, dunning => 2479,
                            dunphy  => 8944, dunson  => 6803, dunston => 6209, dunton  => 6208,
                            duong   => 3536, duplessis
                                    => 6728,
                            dupont  => 2744, dupre   => 1873, dupree  => 1217, duprey  => 5914,
                            dupuis  => 2733, duque   => 6727, duquette
                                    => 5712,
                            duran   => 533, durand  => 3794, durant  => 2102, durante => 8729,
                            durbin  => 2033, durden  => 3392, duren   => 8255, durfee  => 6207,
                            durgin  => 9166, durham  => 615, durkee  => 5913, durkin  => 3931,
                            duron   => 6802, durr    => 3509, durrant => 9386, durrett => 5810,
                            durso   => 8824, durst   => 4788, dusek   => 9385, dutcher => 4963,
                            dutra   => 6154, dutton  => 1600, duval   => 2983, duvall  => 1472,
                            dvorak  => 4895, dwyer   => 1167, dycus   => 9043, dyer    => 498,
                            dyess   => 9270, dyke    => 5809, dykes   => 1793, dykstra => 4473,
                            dyson   => 2087, eaddy   => 7874, eades   => 4627, eads    => 4126,
                            eady    => 5147, eagan   => 6004, eakin   => 7378, eakins  => 7300,
                            ealey   => 9505, eames   => 7608, eanes   => 7969, earles  => 9631,
                            earley  => 2805, earls   => 3817, earp    => 7214, easley  => 1504,
                            eason   => 1520, easterday
                                    => 7968,
                            easterling
                                    => 2871, easterwood
                                    => 9764,
                            eastman => 1413, easton  => 3284, eastwood
                                    => 5465,
                            eatmon  => 7785, eaton   => 527, eaves   => 2640, ebeling => 9165,
                            eberhardt
                                    => 5711, eberhart
                                    => 8823,
                            eberle  => 5464, eberly  => 6935, ebersole
                                    => 7607,
                            ebert   => 2270, ebner   => 7967, eccles  => 7074, eccleston
                                    => 9504,
                            echevarria
                                    => 3353, echeverria
                                    => 5863,
                            echols  => 1522, eckard  => 8728, eckenrode
                                    => 8484,
                            ecker   => 7213, eckert  => 1763, eckhardt
                                    => 6801,
                            eckhoff => 9503, eckles  => 9630, ecklund => 8727, eckman  => 6101,
                            eckstein
                                    => 6934, eddings => 5622,
                            eddington
                                    => 8059, eddins  => 5345,
                            edelman => 6045, edelstein
                                    => 5763,
                            edenfield
                                    => 9763, edens   => 4360,
                            edgerton
                                    => 5808, edgington
                                    => 8726,
                            edington
                                    => 6263, edmiston
                                    => 5762,
                            edmonds => 1142, edmondson
                                    => 1707,
                            edmonson
                                    => 5667, edmunds => 4302,
                            edmundson
                                    => 7784, edson   => 5666,
                            edwards => 47, eells   => 8943, egan    => 1376, egbert  => 4603,
                            eggen   => 9384, egger   => 7783, eggers  => 4472, eggert  => 5572,
                            eggleston
                                    => 2347, ehlers  => 4602,
                            ehlert  => 9502, ehrhardt
                                    => 9383,
                            ehrlich => 4856, eichelberger
                                    => 6868,
                            eicher  => 6262, eichhorn
                                    => 7212,
                            eichler => 7782, eidson  => 5807, eiland  => 6370, eilers  => 9042,
                            eisele  => 8254, eisenberg
                                    => 4701,
                            eisenhauer
                                    => 9164, eklund  => 7873,
                            elam    => 2003, elder   => 875, eldred  => 5075, eldredge
                                    => 5297,
                            eldridge
                                    => 996, eley    => 5571,
                            elgin   => 7872, eliason => 6497, elizalde
                                    => 9501,
                            elizondo
                                    => 2982, elkin   => 8822,
                            elkins  => 1011, elledge => 6100, ellender
                                    => 8152,
                            eller   => 2015, ellinger
                                    => 6540,
                            ellingson
                                    => 5257, ellington
                                    => 2233,
                            elliott => 183, ellis   => 109, ellison => 588, ellzey  => 9629,
                            elmore  => 1004, elrod   => 2325, elson   => 7073, elston  => 3535,
                            elswick => 7871, elwell  => 4746, embree  => 6867, embrey  => 8725,
                            embry   => 3170, emerick => 4626, emmert  => 6319, emmons  => 2336,
                            emrich  => 8724, emrick  => 8151, encarnacion
                                    => 7781,
                            encinas => 9892, enciso  => 8603, enders  => 9762, endicott
                                    => 5761,
                            endres  => 6608, endsley => 7127, engel   => 1363, engelhardt
                                    => 5463,
                            engen   => 9628, engle   => 1477, englehart
                                    => 8942,
                            engleman
                                    => 8150, engler  => 5504,
                            englert => 5113, engram  => 8366, engstrom
                                    => 5074,
                            enloe   => 7528, enlow   => 9627, ennis   => 1820, enos    => 3275,
                            enright => 3874, enriquez
                                    => 1241,
                            ensley  => 8941, ensor   => 7870, epley   => 7606, epperson
                                    => 1860,
                            epps    => 1302, epstein => 2789, erdman  => 4894, erdmann => 4010,
                            erickson
                                    => 359, ericson => 5180,
                            erikson => 9163, ernst   => 1734, erskine => 4962, erving  => 9162,
                            escalante
                                    => 2656, escalera
                                    => 8602,
                            escamilla
                                    => 2535, escobar => 960,
                            escobedo
                                    => 1787, eshelman
                                    => 7299,
                            eskew   => 6318, eskridge
                                    => 4147,
                            eslinger
                                    => 8601, espada  => 9161,
                            esparza => 1179, espinal => 2830, espino  => 3745, espinosa
                                    => 1102,
                            espinoza
                                    => 468, esposito
                                    => 1618,
                            esqueda => 7780, esquibel
                                    => 5760,
                            esquivel
                                    => 1697, essary  => 8253,
                            esser   => 8821, estabrook
                                    => 6539,
                            estep   => 2230, estes   => 625, esteves => 9761, estevez => 4146,
                            estrada => 376, etheridge
                                    => 1938,
                            ethridge
                                    => 3873, etienne => 8149,
                            etter   => 6099, eubank  => 4544, eubanks => 1367, eudy    => 5503,
                            eure    => 8723, evangelista
                                    => 6432,
                            evans   => 46, eveland => 8483, evens   => 8820, evenson => 5536,
                            everhart
                                    => 2473, everitt => 8819,
                            everly  => 9269, evers   => 3247, eversole
                                    => 6153,
                            everson => 3930, ewald   => 5387, ewell   => 5386, ewers   => 8482,
                            ewing   => 748, exley   => 9760, exum    => 5535, eyler   => 7527,
                            eyre    => 7298, ezell   => 1706, ezzell  => 8481, faber   => 3320,
                            fabrizio
                                    => 7869, fagan   => 1705,
                            fagundes
                                    => 9759, fahey   => 3340,
                            fain    => 2967, fairbanks
                                    => 2756,
                            fairchild
                                    => 1920, faircloth
                                    => 4601,
                            fairfield
                                    => 8722, fairley => 2882,
                            fairman => 9041, faison  => 2992, fajardo => 3135, falco   => 7004,
                            falcon  => 2527, falcone => 4745, falconer
                                    => 9160,
                            falgoust
                                    => 5462, falgout => 7377,
                            falk    => 2705, falkner => 7126, fancher => 4359, fanelli => 6866,
                            fang    => 7779, fann    => 7072, fannin  => 4190, fanning => 2611,
                            fant    => 5296, farber  => 4999, faria   => 5029, farias  => 3154,
                            farina  => 5806, faris   => 4662, farkas  => 5710, farley  => 726,
                            farlow  => 9758, farmer  => 329, farnham => 6206, farnsworth
                                    => 2131,
                            farnum  => 9891, farr    => 1222, farrar  => 1869, farrell => 582,
                            farrer  => 9626, farrington
                                    => 2564,
                            farris  => 967, farrow  => 2409, farthing
                                    => 7868,
                            farwell => 6369, fasano  => 8480, fassett => 6658, faucett => 9382,
                            faucher => 7211, faught  => 8365, faulk   => 1672, faulkner
                                    => 675,
                            faust   => 1755, favela  => 5862, fawcett => 4125, fazio   => 5419,
                            feagin  => 9159, feaster => 4661, featherston
                                    => 7605,
                            featherstone
                                    => 6800, fecteau => 6538,
                            feder   => 7297, fedor   => 8940, feeley  => 7210, feeney  => 3448,
                            fehr    => 8600, feinberg
                                    => 7003,
                            feinstein
                                    => 8148, felder  => 1782,
                            feldman => 1301, feldmann
                                    => 9268,
                            feliciano
                                    => 1247, felker  => 4571,
                            feller  => 4821, fellers => 8599, fellows => 3793, feltner => 7778,
                            felts   => 4009, felty   => 8818, fender  => 4216, fenderson
                                    => 8147,
                            fendley => 7777, fenn    => 4855, fennell => 2247, fenner  => 3391,
                            fenske  => 8598, fenton  => 1661, fenwick => 4215, ferebee => 5570,
                            fergerson
                                    => 9757, ferguson
                                    => 150,
                            ferland => 5960, fernandes
                                    => 2408,
                            fernandez
                                    => 212, ferrante
                                    => 4854,
                            ferrara => 2526, ferrari => 3840, ferraro => 2939, ferree  => 7776,
                            ferreira
                                    => 1351, ferrel  => 8817,
                            ferrell => 755, ferrer  => 2704, ferretti
                                    => 7966,
                            ferri   => 7604, ferrin  => 8364, ferris  => 1200, ferro   => 4271,
                            fessler => 8252, fetter  => 5028, fetters => 9756, fewell  => 7125,
                            fick    => 5385, fidler  => 5073, fiedler => 4961, fielder => 3772,
                            fielding
                                    => 5072, fields  => 191,
                            fierro  => 3224, fife    => 3702, fifield => 6496, figueroa
                                    => 424,
                            fike    => 4385, fikes   => 6537, fillmore
                                    => 4998,
                            finch   => 836, fincher => 2950, findlay => 5959, findley => 3029,
                            fink    => 1119, finke   => 8479, finkel  => 9381, finkelstein
                                    => 7526,
                            finkle  => 8251, finlay  => 7525, finley  => 649, finn    => 1381,
                            finnegan
                                    => 3561, finnell => 7603,
                            finnerty
                                    => 9890, finney  => 1732,
                            fiore   => 3679, fiorentino
                                    => 8939,
                            firestone
                                    => 8938, firth   => 8146,
                            fischer => 493, fiscus  => 7965, fisher  => 108, fishman => 3223,
                            fisk    => 2500, fiske   => 7691, fitch   => 1345, fite    => 3839,
                            fitts   => 3492, fitz    => 5912, fitzgerald
                                    => 380,
                            fitzhugh
                                    => 6933, fitzpatrick
                                    => 779,
                            fitzsimmons
                                    => 3339, fitzwater
                                    => 5218,
                            flack   => 5958, flagg   => 3645, flaherty
                                    => 1792,
                            flake   => 7455, flanagan
                                    => 957,
                            flanders
                                    => 2726, flanigan
                                    => 4008,
                            flannery
                                    => 2896, flannigan
                                    => 9040,
                            flatt   => 5759, fleck   => 3435, fleenor => 6261, fleetwood
                                    => 5911,
                            fleischer
                                    => 7071, fleming => 239,
                            flemming
                                    => 3701, flesher => 8363,
                            fleshman
                                    => 9039, fletcher
                                    => 269,
                            fleury  => 5665, flick   => 4301, flickinger
                                    => 8721,
                            flinn   => 5910, flint   => 1650, flood   => 1691, flores  => 85,
                            florez  => 3661, florio  => 8478, flory   => 6098, flournoy
                                    => 3973,
                            flowers => 367, fluellen
                                    => 8250,
                            fluker  => 7296, flynn   => 467, flynt   => 8597, fogarty => 3929,
                            fogel   => 6097, fogg    => 4031, fogle   => 2452, foley   => 611,
                            folger  => 9500, follett => 7964, folse   => 3338, folsom  => 2602,
                            foltz   => 3953, fong    => 2981, fonseca => 2591, fontaine
                                    => 2101,
                            fontana => 6003, fontanez
                                    => 8477,
                            fontenot
                                    => 1008, fontes  => 7209,
                            foote   => 1688, foran   => 8720, forbes  => 854, forbis  => 8058,
                            forcier => 8719, ford    => 97, forde   => 4700, fordham => 5112,
                            fordyce => 9499, fore    => 5502, forehand
                                    => 7775,
                            foreman => 847, forester
                                    => 6317,
                            foret   => 3700, forman  => 2252, forney  => 3524, forsberg
                                    => 6431,
                            forster => 3912, forsyth => 2991, forsythe
                                    => 2380,
                            forte   => 2441, fortenberry
                                    => 3420,
                            fortier => 2305, fortin  => 2478, fortner => 2195, fortney => 4245,
                            fortson => 6726, fortuna => 8249, fortunato
                                    => 7454,
                            foshee  => 8816, foss    => 2038, foster  => 89, foti    => 8362,
                            foulk   => 8937, fountain
                                    => 1204,
                            fournier
                                    => 1461, foust   => 2174,
                            fouts   => 5217, fowler  => 232, fowlkes => 4172, fox     => 177,
                            foxworth
                                    => 6607, frady   => 8361,
                            fraga   => 6316, fraire  => 9625, fraizer => 8815, frakes  => 9624,
                            fraley  => 2173, frampton
                                    => 8057,
                            franck  => 7690, franco  => 736, francois
                                    => 2816,
                            franke  => 4853, frankel => 4852, franklin
                                    => 189,
                            franko  => 8718, franks  => 840, frantz  => 2451, franz   => 2938,
                            franzen => 5957, fraser  => 1171, frasher => 8936, frausto => 6657,
                            frawley => 6315, frazee  => 5664, frazer  => 3678, frazier => 225,
                            frechette
                                    => 6002, fredericks
                                    => 3744,
                            frederickson
                                    => 6865, fredette
                                    => 5861,
                            fredricks
                                    => 8814, fredrickson
                                    => 3743,
                            freed   => 3508, freedman
                                    => 3371,
                            freeland
                                    => 4124, freeman => 118,
                            freer   => 8935, freese  => 4007, fregoso => 7867, freitag => 6430,
                            freitas => 2980, fretwell
                                    => 7208,
                            freund  => 3560, frey    => 1096, frias   => 3209, frick   => 3523,
                            fricke  => 7124, friedman
                                    => 893,
                            friel   => 6429, frierson
                                    => 3559,
                            friesen => 5956, frink   => 5621, frisbee => 8717, frisbie => 6314,
                            frisby  => 5805, frisch  => 6932, frison  => 9158, fritch  => 9498,
                            frith   => 5344, fritsch => 8934, fritts  => 4543, frizzell
                                    => 3699,
                            froehlich
                                    => 7002, fromm   => 8248,
                            frost   => 644, fruge   => 7963, fry     => 764, fryar   => 8813,
                            frye    => 774, fryer   => 3698, fryman  => 9623, fuchs   => 2755,
                            fudge   => 5620, fuentes => 695, fugate  => 1745, fuhrman => 5027,
                            fujimoto
                                    => 8596, fulbright
                                    => 7376,
                            fulcher => 3602, fulford => 5758, fulgham => 8933, fulk    => 5071,
                            fulkerson
                                    => 4189, fulks   => 5955,
                            fuller  => 219, fullerton
                                    => 3404,
                            fullmer => 5757, fullwood
                                    => 9622,
                            fulmer  => 3017, fulton  => 757, fults   => 7602, fultz   => 2178,
                            funches => 8595, funderburk
                                    => 3507,
                            fung    => 5569, funk    => 1234, funke   => 7375, funkhouser
                                    => 7123,
                            fuqua   => 3352, furlong => 4105, furlow  => 9497, furman  => 2687,
                            furr    => 2843, furst   => 8716, furtado => 4960, fusco   => 3723,
                            fuson   => 9267, fussell => 5568, futch   => 8715, futrell => 5534,
                            gabaldon
                                    => 9038, gabbard => 4214,
                            gabel   => 4542, gable   => 2849, gabrielson
                                    => 9496,
                            gadbois => 9037, gaddis  => 2490, gaddy   => 2966, gadsden => 9889,
                            gadson  => 4959, gaffney => 2346, gafford => 9495, gage    => 1591,
                            gagliano
                                    => 7962, gagliardi
                                    => 7866,
                            gagne   => 1531, gagnon  => 986, gailey  => 5756, gainer  => 5804,
                            gaines  => 488, gainey  => 3860, gaitan  => 5179, gaither => 2194,
                            galan   => 6799, galarza => 3274, galaviz => 9494, galbraith
                                    => 3447,
                            galbreath
                                    => 5178, gales   => 7601,
                            galicia => 7453, galindo => 1237, gall    => 4244, gallagher
                                    => 487,
                            gallaher
                                    => 4660, gallant => 2418,
                            gallardo
                                    => 1760, gallaway
                                    => 7374,
                            gallego => 6536, gallegos
                                    => 557,
                            galligan
                                    => 8145, gallimore
                                    => 9755,
                            gallion => 8360, gallman => 7373, gallo   => 1645, galloway
                                    => 728,
                            gallup  => 6260, galvan  => 900, galvez  => 2655, galvin  => 3134,
                            gamache => 5216, gambill => 7122, gambino => 9380, gamble  => 702,
                            gamboa  => 2577, gambrell
                                    => 4325,
                            gamez   => 2208, gammage => 9379, gammon  => 4358, gandy   => 2269,
                            ganey   => 9754, gann    => 1916, gannon  => 2130, gant    => 1914,
                            gantt   => 2686, gantz   => 8359, gaona   => 5146, garay   => 3928,
                            garber  => 3000, garces  => 9378, garcia  => 17, gard    => 7001,
                            gardea  => 9493, gardiner
                                    => 2357,
                            gardner => 157, garey   => 8812, garibay => 4445, garica  => 6152,
                            garlock => 8811, garman  => 4659, garmon  => 3491, garner  => 323,
                            garnes  => 9377, garnica => 9753, garofalo
                                    => 8056,
                            garrard => 8144, garren  => 8810, garretson
                                    => 6368,
                            garrett => 221, garrick => 5619, garrido => 5111, garris  => 3283,
                            garrison
                                    => 512, garrity => 4444,
                            garrow  => 8476, gartman => 9752, gartner => 5663, garton  => 7961,
                            garver  => 6367, garvey  => 2965, garvin  => 2037, garza   => 213,
                            gasaway => 8594, gaskill => 5256, gaskin  => 3319, gaskins => 1995,
                            gaspar  => 5177, gaspard => 6931, gasper  => 7865, gass    => 3722,
                            gassaway
                                    => 8143, gast    => 7774,
                            gastelum
                                    => 6930, gates   => 460,
                            gatewood
                                    => 3558, gathers => 9157,
                            gatlin  => 2056, gatling => 5755, gattis  => 6929, gatto   => 6366,
                            gaudet  => 6259, gaudette
                                    => 6606,
                            gaudreau
                                    => 8358, gaughan => 8357,
                            gaul    => 6428, gault   => 4061, gause   => 4699, gauthier
                                    => 1786,
                            gauvin  => 8475, gay     => 681, gayden  => 8474, gaylor  => 4658,
                            gaynor  => 4384, gaytan  => 4243, gayton  => 6928, gearhart
                                    => 4104,
                            geary   => 2298, gebhardt
                                    => 7070,
                            gebhart => 6605, geddes  => 7773, geer    => 3771, gehring => 6725,
                            gehrke  => 6604, geier   => 7772, geiger  => 1613, geis    => 7600,
                            geise   => 9621, geisler => 4744, geissler
                                    => 9036,
                            geist   => 5567, gelinas => 8593, geller  => 4743, gendron => 5110,
                            genovese
                                    => 5618, gentile => 2472,
                            gentry  => 596, geraci  => 9156, gerber  => 2129, gerdes  => 5215,
                            gerena  => 8592, gerhardt
                                    => 6044,
                            gerhart => 7771, gerken  => 9888, gerlach => 4742, germain => 4471,
                            gervais => 5214, getchell
                                    => 9751,
                            geter   => 6365, getty   => 7689, getz    => 3629, geyer   => 4600,
                            gholston
                                    => 7864, giannini
                                    => 9750,
                            giardina
                                    => 9887, gibb    => 8473,
                            gibbons => 999, gibbs   => 378, gibson  => 111, giddens => 4625,
                            giddings
                                    => 6258, gideon  => 7372,
                            giese   => 4741, giffin  => 7295, gifford => 1580, giglio  => 6724,
                            giguere => 7207, gilbertson
                                    => 4030,
                            gilbreath
                                    => 4006, gilchrist
                                    => 2079,
                            gilder  => 8809, gile    => 8591, giles   => 645, gilkey  => 6205,
                            gill    => 386, gillam  => 6043, gillard => 4657, gilleland
                                    => 9266,
                            gillen  => 3079, gillenwater
                                    => 7294,
                            gilles  => 7960, gillespie
                                    => 694,
                            gillett => 6798, gillette
                                    => 2276,
                            gilley  => 2417, gilliam => 855, gilliard
                                    => 5860,
                            gillies => 8472, gilligan
                                    => 4927,
                            gilliland
                                    => 2172, gillis  => 1438,
                            gillispie
                                    => 6096, gillman => 5662,
                            gillum  => 4213, gilman  => 2161, gilmer  => 3952, gilmore => 480,
                            gilpin  => 4383, gilreath
                                    => 5954,
                            gilroy  => 7293, gilson  => 3582, gilstrap
                                    => 6603,
                            ginder  => 8247, gingerich
                                    => 7121,
                            gingras => 8471, gingrich
                                    => 7599,
                            ginn    => 3056, ginsberg
                                    => 6095,
                            ginter  => 7688, giordano
                                    => 2395,
                            gipson  => 1274, girard  => 1988, giron   => 3770, girouard
                                    => 8932,
                            giroux  => 3816, gish    => 4740, gist    => 3055, gittens => 6864,
                            givens  => 1131, gladden => 3054, gladney => 3581, gladstone
                                    => 8055,
                            glantz  => 9886, glasco  => 8808, glaser  => 3120, glasper => 7371,
                            glaspie => 9620, glass   => 570, glasscock
                                    => 6797,
                            glasser => 6927, glassman
                                    => 7069,
                            glaze   => 3887, glazer  => 8246, glazier => 8590, gleason => 1259,
                            glick   => 5026, glidden => 5418, glidewell
                                    => 6656,
                            glisson => 6001, glover  => 333, gluck   => 7292, glynn   => 3069,
                            goad    => 2949, gober   => 5859, goble   => 3053, godbey  => 8470,
                            goddard => 1549, godfrey => 956, godin   => 6535, godinez => 3988,
                            godoy   => 4958, godsey  => 4412, godwin  => 1175, goebel  => 3644,
                            goetz   => 2014, goff    => 824, goforth => 2743, goggin  => 9035,
                            goguen  => 9265, goines  => 6863, goings  => 4997, goins   => 1042,
                            gokey   => 9492, goldberg
                                    => 1041,
                            golden  => 551, goldenberg
                                    => 9264,
                            goldfarb
                                    => 8356, golding => 4188,
                            goldman => 1404, goldsberry
                                    => 5953,
                            goldsmith
                                    => 1690, goldstein
                                    => 1010,
                            goldston
                                    => 9491, golightly
                                    => 8931,
                            gomes   => 1444, gomez   => 116, gonsalez
                                    => 7120,
                            gonsalves
                                    => 3792, gonzales
                                    => 90,
                            gonzalez
                                    => 36, gooch   => 2187,
                            goodale => 5909, goodall => 5566, goode   => 1170, goodell => 4893,
                            gooden  => 2144, goodin  => 3951, gooding => 3987, goodlett
                                    => 9490,
                            goodloe => 7863, goodman => 355, goodrich
                                    => 1503,
                            goodrum => 7770, goodsell
                                    => 8142,
                            goodson => 1687, goodwin => 348, goodwyn => 9619, goodyear
                                    => 9155,
                            goolsby => 3950, gordan  => 6926, gorden  => 9154, gordon  => 137,
                            gordy   => 6602, gore    => 966, goree   => 8355, gorham  => 3222,
                            gorman  => 1016, gormley => 7291, gorrell => 9263, gorski  => 5709,
                            gorton  => 6862, goshorn => 7290, gosnell => 4851, goss    => 912,
                            gosselin
                                    => 4357, gossett => 2450,
                            gott    => 4957, gottlieb
                                    => 5343,
                            gottschalk
                                    => 8141, goudy   => 9489,
                            gouge   => 7769, gough   => 2610, gould   => 716, goulding
                                    => 9153,
                            goulet  => 3522, gourdine
                                    => 8930,
                            gourley => 4926, gouveia => 8589, govan   => 5754, gove    => 6796,
                            govea   => 8714, gowan   => 7524, gowdy   => 9749, gowen   => 5908,
                            gower   => 4123, goyette => 8588, graber  => 4787, grable  => 9748,
                            grabowski
                                    => 4356, graf    => 2166,
                            graff   => 2842, grafton => 8713, gragg   => 3986, graham  => 99,
                            grainger
                                    => 8807, grajeda => 6861,
                            grammer => 5109, granado => 5907, granados
                                    => 3208,
                            grandberry
                                    => 9262, granger => 1437,
                            granier => 9747, granillo
                                    => 8806,
                            grant   => 148, grantham
                                    => 2078,
                            grasso  => 4996, grau    => 8469, gravely => 6495, graver  => 9261,
                            graves  => 254, gravitt => 7370, gravois => 7206, gray    => 67,
                            graybill
                                    => 5384, grayer  => 9746,
                            grays   => 7523, grayson => 1374, graziano
                                    => 5108,
                            greathouse
                                    => 3838, greaves => 5501,
                            greco   => 2138, greeley => 6257, green   => 33, greenawalt
                                    => 9488,
                            greenberg
                                    => 1628, greene  => 182,
                            greenfield
                                    => 2440, greenhaw
                                    => 8712,
                            greening
                                    => 8245, greenlaw
                                    => 8468,
                            greenleaf
                                    => 5025, greenman
                                    => 9152,
                            greenspan
                                    => 9260, greenwald
                                    => 5295,
                            greenway
                                    => 6860, greenwell
                                    => 5176,
                            greenwood
                                    => 1091, greer   => 388,
                            greeson => 7862, greggs  => 9745, gregoire
                                    => 4355,
                            gregor  => 6204, greig   => 7768, greiner => 3370, grenier => 2754,
                            gresham => 2260, gribble => 6494, grice   => 3028, grider  => 4083,
                            grieco  => 7068, griego  => 4850, grier   => 1712, griffen => 4698,
                            griffey => 6723, griffin => 93, griffis => 3181, griffith
                                    => 312,
                            griffiths
                                    => 2402, grigg   => 4995,
                            griggs  => 932, grigsby => 2137, grijalva
                                    => 5383,
                            grillo  => 6364, grim    => 4656, grimaldi
                                    => 7959,
                            grimaldo
                                    => 7289, grimes  => 499,
                            grimm   => 1288, grimmett
                                    => 5255,
                            grimsley
                                    => 5070, grindle => 8054,
                            grindstaff
                                    => 9885, griner  => 8053,
                            grinnell
                                    => 9259, grisby  => 8587,
                            grisham => 3068, grissett
                                    => 9487,
                            grissom => 2177, griswold
                                    => 3390,
                            grizzle => 5661, groce   => 3721, groff   => 4171, grogan  => 2401,
                            groh    => 8140, grondin => 9486, grooms  => 2924, groover => 9258,
                            grose   => 5660, gross   => 379, grossman
                                    => 1785,
                            grosso  => 7369, grote   => 8805, groth   => 5417, grove   => 1287,
                            groves  => 1068, grubb   => 1837, grubbs  => 1326, grube   => 6363,
                            gruber  => 2345, grullon => 9744, grundy  => 6203, guajardo
                                    => 2315,
                            guardado
                                    => 5906, guarino => 5382,
                            guay    => 4270, guenther
                                    => 3027,
                            guerin  => 3697, guerra  => 554, guerrero
                                    => 375,
                            guertin => 5753, guevara => 1654, guffey  => 3246, guice   => 9743,
                            guido   => 4187, guidry  => 1350, guilford
                                    => 7958,
                            guillen => 2320, guillory
                                    => 1711,
                            guillot => 7000, guimond => 7205, guinn   => 1889, guiterrez
                                    => 8804,
                            gulick  => 6601, gulledge
                                    => 6859,
                            gullett => 5175, gulley  => 2590, gully   => 9257, gumm    => 7452,
                            gump    => 7861, gunderson
                                    => 2379,
                            gunn    => 1090, gunter  => 1099, gunther => 3389, gupta   => 5952,
                            gupton  => 7204, gurley  => 2390, gurney  => 4994, gurrola => 6795,
                            gurule  => 6362, gusman  => 6256, gustafson
                                    => 1225,
                            gustin  => 4786, guth    => 7522, guthrie => 856, gutierez
                                    => 9884,
                            gutierrez
                                    => 192, gutshall
                                    => 7521,
                            guyer   => 4739, guyette => 8244, guyton  => 2394, guzman  => 292,
                            gwaltney
                                    => 9151, gwin    => 5858,
                            gwinn   => 4411, haack   => 9485, haag    => 2601, haas    => 882,
                            haase   => 4082, haber   => 5708, haberman
                                    => 7957,
                            habib   => 9742, hacker  => 1961, hackett => 1436, hackler => 6202,
                            hackman => 6600, hackney => 2654, hackworth
                                    => 5659,
                            haddad  => 4186, hadden  => 3859, haddix  => 5213, haddock => 4504,
                            haden   => 9376, hadfield
                                    => 8354,
                            hadley  => 1325, hadlock => 8139, hafer   => 6427, haffner => 7520,
                            hafner  => 7687, haga    => 8467, hagan   => 1403, hagans  => 5533,
                            hagar   => 8466, hage    => 6925, hageman => 6722, hagen   => 1344,
                            hager   => 1343, hagerman
                                    => 5500,
                            hagerty => 6858, haggard => 2923, haggerty
                                    => 2804,
                            haggins => 9150, hagler  => 5461, hagood  => 7067, hague   => 5617,
                            hagy    => 8138, hahn    => 808, haider  => 9484, haigh   => 7066,
                            haight  => 3282, haigler => 9883, haile   => 5951, haines  => 1053,
                            haire   => 6094, hairston
                                    => 1201,
                            haith   => 7860, hake    => 6361, halbert => 4410, halcomb => 3337,
                            hale    => 272, hales   => 3490, halford => 6924, hall    => 25,
                            hallam  => 9375, halle   => 7767, hallenbeck
                                    => 9618,
                            haller  => 3628, hallett => 4655, halliburton
                                    => 7368,
                            halliday
                                    => 6426, hallman => 3336,
                            hallmark
                                    => 6255, hallock => 4503,
                            halloran
                                    => 6000, halloway
                                    => 9617,
                            hallowell
                                    => 7119, halpern => 6425,
                            halpin  => 6151, halsey  => 3791, halstead
                                    => 3627,
                            halter  => 6093, halterman
                                    => 8803,
                            halverson
                                    => 3388, halvorsen
                                    => 8052,
                            halvorson
                                    => 4502, hamann  => 6042,
                            hamblin => 2609, hambrick
                                    => 4300,
                            hamby   => 1751, hamel   => 2534, hamer   => 3052, hames   => 8353,
                            hamill  => 4541, hamilton
                                    => 98,
                            hamlett => 4570, hamlin  => 1380, hamm    => 998, hammack => 6041,
                            hamman  => 8352, hammel  => 7118, hammer  => 1557, hammers => 7367,
                            hammett => 3234, hammock => 4569, hammon  => 6313, hammond => 366,
                            hammonds
                                    => 2002, hammons => 1919,
                            hamner  => 7117, hampson => 8465, hampton => 351, hamrick => 2670,
                            hance   => 5905, hancock => 486, handley => 2803, handy   => 1784,
                            hanes   => 2895, haney   => 839, hanke   => 8586, hankins => 1224,
                            hanks   => 1681, hanley  => 1573, hanlon  => 3039, hann    => 5616,
                            hanna   => 877, hannan  => 4029, hanner  => 8243, hannigan
                                    => 7956,
                            hannon  => 2374, hannum  => 9374, hanrahan
                                    => 5565,
                            hansel  => 6092, hansen  => 211, hanshaw => 9373, hanson  => 227,
                            haralson
                                    => 9372, harbaugh
                                    => 6999,
                            harber  => 7519, harbin  => 2427, harbison
                                    => 4738,
                            hardaway
                                    => 4028, hardcastle
                                    => 6721,
                            hardee  => 4081, hardeman
                                    => 6424,
                            harden  => 978, hardesty
                                    => 2725,
                            hardie  => 6655, hardiman
                                    => 4993,
                            hardin  => 553, harding => 642, hardison
                                    => 2215,
                            hardman => 2426, hardnett
                                    => 8242,
                            hardt   => 9256, hardwick
                                    => 2742,
                            hardy   => 286, hare    => 1605, hargett => 4269, hargis  => 3078,
                            hargrave
                                    => 4060, hargrove
                                    => 1141,
                            harjo   => 9741, harker  => 5342, harkey  => 7288, harkins => 2291,
                            harkless
                                    => 9882, harkness
                                    => 5341,
                            harless => 4185, harlow  => 2548, harman  => 1811, harmon  => 336,
                            harms   => 2086, harner  => 8351, harness => 2860, harney  => 4568,
                            haro    => 4122, harp    => 1987, harper  => 176, harr    => 3927,
                            harrel  => 9255, harrell => 530, harrelson
                                    => 4299,
                            harrigan
                                    => 4737, harrill => 9254,
                            harriman
                                    => 4354, harrington
                                    => 431,
                            harris  => 14, harrison
                                    => 110,
                            harrod  => 5107, harrold => 7598, harshman
                                    => 9483,
                            hart    => 171, harte   => 9616, harter  => 3051, hartfield
                                    => 5615,
                            hartford
                                    => 4992, hartle  => 5803,
                            hartley => 873, hartman => 518, hartmann
                                    => 3434,
                            hartnett
                                    => 4145, hartsell
                                    => 6493,
                            hartsfield
                                    => 5707, hartshorn
                                    => 7686,
                            hartsock
                                    => 6923, hartung => 5752,
                            hartwell
                                    => 3742, hartwig => 5069,
                            harty   => 7766, hartz   => 7518, hartzell
                                    => 4324,
                            hartzog => 7287, harvell => 5564, harvey  => 214, harville
                                    => 7065,
                            harvin  => 8051, harwell => 3580, harwood => 3304, hash    => 5802,
                            hashimoto
                                    => 6998, haskell => 2669,
                            haskin  => 8929, haskins => 1321, haslam  => 9371, hass    => 3369,
                            hassell => 3335, hassett => 8350, hassler => 7765, hasson  => 6091,
                            hastings
                                    => 974, hasty   => 5212,
                            hatch   => 1112, hatcher => 918, hatchett
                                    => 3368,
                            hatfield
                                    => 641, hathaway
                                    => 1239,
                            hathcock
                                    => 6534, hathorn => 8711,
                            hatley  => 3677, hatmaker
                                    => 9615,
                            hatten  => 5460, hatter  => 7286, hatton  => 2124, hauck   => 4892,
                            haug    => 5857, haugen  => 3233, haugh   => 7451, haught  => 7285,
                            haun    => 4925, haupt   => 5254, hauser  => 2281, hausman => 9253,
                            havard  => 7064, havens  => 2314, haviland
                                    => 7685,
                            hawes   => 2563, hawk    => 1617, hawkes  => 5614, hawkins => 152,
                            hawkinson
                                    => 7955, hawks   => 2232,
                            hawley  => 1769, hawn    => 7517, haworth => 4298, haws    => 5856,
                            hawthorne
                                    => 1750, hayashi => 6997,
                            hayden  => 743, haydon  => 7284, hayes   => 95, haygood => 4540,
                            hayman  => 7063, hayner  => 8137, haynes  => 277, haynie  => 5340,
                            hays    => 801, hayward => 1960, hayworth
                                    => 9252,
                            hazard  => 6492, hazelton
                                    => 4501,
                            hazelwood
                                    => 4697, hazen   => 4382,
                            hazlett => 5294, hazzard => 5106, heacock => 9370, headley => 2788,
                            headrick
                                    => 2948, heady   => 7954,
                            heald   => 5801, healey  => 2964, healy   => 1476, heaney  => 7859,
                            hearn   => 1536, hearne  => 5024, hearns  => 8802, heater  => 8349,
                            heatherly
                                    => 8464, heaton  => 2207,
                            hebert  => 685, hecht   => 4470, heck    => 2055, hecker  => 5855,
                            heckman => 3180, hedden  => 7764, hedge   => 5999, hedgepeth
                                    => 4144,
                            hedges  => 3026, hedlund => 9881, hedrick => 1342, heffernan
                                    => 5023,
                            heffner => 3199, hefley  => 9614, heflin  => 3521, hefner  => 3119,
                            hegarty => 8710, hegwood => 8801, heil    => 6201, heilman => 4242,
                            heim    => 3153, hein    => 2562, heine   => 5658, heinemann
                                    => 9482,
                            heinrich
                                    => 4059, heins   => 7366,
                            heintz  => 5253, heinz   => 3025, heise   => 7953, heiser  => 5293,
                            heisler => 4849, heitman => 9149, helfrich
                                    => 8585,
                            helgeson
                                    => 8348, helland => 9880,
                            heller  => 1233, hellman => 6922, helm    => 1973, helman  => 6921,
                            helmer  => 5998, helmick => 4443, helms   => 910, helmuth => 8463,
                            helton  => 1126, helwig  => 8347, hembree => 3949, hemenway
                                    => 8800,
                            hemingway
                                    => 6090, hemphill
                                    => 1671,
                            hendershot
                                    => 4956, henderson
                                    => 77,
                            hendley => 5904, hendon  => 3886, hendren => 6040, hendrick
                                    => 2947,
                            hendricks
                                    => 682, hendrickson
                                    => 1047,
                            hendrix => 837, hendry  => 6312, henke   => 3579, henkel  => 6089,
                            henley  => 1221, hennessey
                                    => 3858,
                            hennessy
                                    => 4442, hennig  => 8928,
                            henning => 2356, henninger
                                    => 5613,
                            henriques
                                    => 7283, henriquez
                                    => 4539,
                            hensel  => 7597, henshaw => 4785, hensley => 496, henson  => 558,
                            henton  => 7858, hepburn => 7596, hepler  => 7116, hepner  => 7952,
                            hepworth
                                    => 9879, herbst  => 4538,
                            herd    => 4820, heredia => 3087, hereford
                                    => 6423,
                            hering  => 8799, hermann => 3696, hermanson
                                    => 9878,
                            hermes  => 7516, hermosillo
                                    => 7684,
                            hernadez
                                    => 5706, hernandes
                                    => 5022,
                            hernandez
                                    => 28, herndon => 1572,
                            herod   => 7115, herold  => 4696, heron   => 6794, herr    => 3263,
                            herren  => 5854, herrera => 245, herrick => 2724, herrin  => 3948,
                            herring => 609, herrington
                                    => 1604,
                            herrmann
                                    => 2373, herrod  => 8709,
                            herron  => 1002, hersey  => 4736, hersh   => 8050, hershberger
                                    => 3601,
                            hershey => 6654, hertel  => 6653, hertz   => 7365, herzog  => 2319,
                            hess    => 535, hesse   => 4409, hessler => 9877, hesson  => 8049,
                            hester  => 723, heston  => 8798, hetrick => 4241, hetzel  => 8136,
                            heuer   => 8462, hewes   => 9740, hewett  => 4624, hewitt  => 846,
                            hewlett => 5853, heyer   => 6793, heyward => 3911, heywood => 7062,
                            hiatt   => 2378, hibbard => 3273, hibbert => 8708, hibbler => 8048,
                            hibbs   => 5532, hickerson
                                    => 4695,
                            hickey  => 1014, hickman => 574, hickok  => 8346, hickox  => 8135,
                            hicks   => 126, hickson => 3534, hidalgo => 2251, hiebert => 9034,
                            hiers   => 8707, higa    => 6039, higbee  => 7857, higdon  => 2829,
                            higginbotham
                                    => 2114, higgins => 341,
                            higgs   => 3016, highsmith
                                    => 6254,
                            hight   => 4537, hightower
                                    => 1300,
                            higley  => 7203, hilbert => 4599, hilburn => 6996, hildebrand
                                    => 2946,
                            hildebrandt
                                    => 5381, hildreth
                                    => 3118,
                            hileman => 7951, hiles   => 5174, hill    => 32, hillard => 3872,
                            hiller  => 3885, hilliard
                                    => 1087,
                            hillis  => 4536, hillman => 1791, hillyer => 7595, himes   => 2506,
                            hinckley
                                    => 7114, hindman => 3741,
                            hinds   => 1759, hine    => 7950, hines   => 310, hinkle  => 1038,
                            hinkley => 6491, hinman  => 5145, hinnant => 8797, hinojos => 9613,
                            hinojosa
                                    => 1731, hinrichs
                                    => 7202,
                            hinshaw => 6360, hinson  => 1412, hinton  => 708, hintz   => 5499,
                            hinz    => 7450, hipp    => 5211, hipps   => 9876, hirsch  => 1865,
                            hirst   => 6857, hitchcock
                                    => 1952,
                            hite    => 2280, hitt    => 2905, hively  => 9875, hixon   => 4535,
                            hixson  => 4103, hoag    => 4212, hoagland
                                    => 4819,
                            hoang   => 2775, hoard   => 5531, hobart  => 6920, hobbs   => 565,
                            hobgood => 9033, hobson  => 1548, hoch    => 5380, hochstetler
                                    => 4353,
                            hock    => 8047, hockenberry
                                    => 6253,
                            hocker  => 9874, hockett => 6792, hocking => 9369, hodgdon => 9368,
                            hodge   => 465, hodges  => 360, hodgkins
                                    => 6150,
                            hodgson => 3207, hodson  => 4441, hoefer  => 9251, hoeft   => 8927,
                            hoekstra
                                    => 8461, hoelscher
                                    => 5498,
                            hoey    => 6359, hofer   => 5459, hoff    => 1768, hoffer  => 5852,
                            hoffman => 234, hoffmann
                                    => 2439,
                            hofmann => 4297, hofmeister
                                    => 9739,
                            hogan   => 440, hogg    => 2841, hoggard => 5751, hogue   => 1502,
                            hohman  => 9873, hoke    => 4027, holbert => 5252, holbrook
                                    => 1191,
                            holcomb => 835, holcombe
                                    => 3470,
                            holden  => 802, holder  => 753, holeman => 9032, holguin => 3221,
                            holifield
                                    => 5612, holladay
                                    => 7594,
                            holland => 238, hollander
                                    => 5339,
                            hollar  => 4735, hollaway
                                    => 9031,
                            holleman
                                    => 9148, hollenbeck
                                    => 3947,
                            holler  => 4694, holley  => 896, holliday
                                    => 1199,
                            hollifield
                                    => 5292, holliman
                                    => 4296,
                            hollinger
                                    => 6088, hollingshead
                                    => 6791,
                            hollingsworth
                                    => 1116, hollins => 2459,
                            hollister
                                    => 5458, holloman
                                    => 2859,
                            hollon  => 9147, holloway
                                    => 409,
                            hollowell
                                    => 5338, holm    => 2203,
                            holman  => 690, holmberg
                                    => 6652,
                            holmes  => 139, holmgren
                                    => 6995,
                            holmquist
                                    => 6490, holsinger
                                    => 8345,
                            holst   => 6200, holstein
                                    => 7763,
                            holston => 4818, holt    => 267, holte   => 9250, holter  => 8344,
                            holthaus
                                    => 10000, holton  => 2043,
                            holtz   => 3972, holtzclaw
                                    => 8796,
                            holtzman
                                    => 9481, holzer  => 6199,
                            holzman => 9612, homan   => 3446, honaker => 4440, honea   => 6790,
                            honeycutt
                                    => 1535, hood    => 459,
                            hooker  => 1421, hooks   => 1414, hooper  => 761, hoopes  => 7364,
                            hoosier => 9999, hooten  => 5021, hoover  => 507, hopkins => 244,
                            hoppe   => 3469, hopper  => 727, hopson  => 1913, horan   => 3489,
                            hord    => 6720, horgan  => 7949, horn    => 514, hornback
                                    => 5903,
                            hornbeck
                                    => 7515, hornbuckle
                                    => 8795,
                            horne   => 683, horner  => 1318, horning => 4268, hornsby => 3198,
                            horowitz
                                    => 3468, horrell => 9998,
                            horrocks
                                    => 8046, horsley => 3695,
                            horst   => 4240, horstman
                                    => 9872,
                            horta   => 8460, horton  => 256, horvath => 2753, horwitz => 8926,
                            hosey   => 4891, hoskin  => 9249, hoskins => 1055, hoskinson
                                    => 9030,
                            hosler  => 9146, hosley  => 9145, hosmer  => 8241, hostetler
                                    => 3387,
                            hostetter
                                    => 5902, hotaling
                                    => 9871,
                            hotchkiss
                                    => 4408, houchens
                                    => 8343,
                            houchin => 9144, houck   => 2100, hough   => 1696, houghtaling
                                    => 9029,
                            houghton
                                    => 2685, houk    => 4784,
                            houle   => 2241, houlihan
                                    => 7113,
                            houser  => 1248, housley => 6599, housman => 8706, houston => 395,
                            hovey   => 7061, hovis   => 5611, howard  => 63, howarth => 7201,
                            howe    => 707, howell  => 208, howells => 7762, hower   => 7449,
                            howerton
                                    => 3720, howery  => 9997,
                            howes   => 3926, howie   => 7282, howland => 2304, howlett => 5457,
                            howley  => 9996, howse   => 7281, howze   => 6252, hoye    => 8342,
                            hoyer   => 8925, hoyle   => 2464, hoyos   => 8584, hsieh   => 8924,
                            huang   => 1704, hubbard => 314, hubbell => 4890, hubble  => 8134,
                            hubbs   => 5530, huber   => 858, hubler  => 9367, huck    => 7200,
                            huckaby => 4991, hudak   => 6087, huddleston
                                    => 1556,
                            hudgens => 3857, hudgins => 1994, hudnall => 6651, hudson  => 155,
                            hudspeth
                                    => 4102, huebner => 6149,
                            huerta  => 1273, huertas => 7448, huff    => 422, huffman => 479,
                            hufford => 6038, huggins => 1159, hughes  => 84, hughey  => 3578,
                            hughley => 9870, hughs   => 7856, huie    => 7280, hulbert => 4990,
                            hulett  => 4693, huling  => 9738, hull    => 602, hulse   => 4734,
                            hulsey  => 2653, humbert => 7199, humble  => 4989, hume    => 4295,
                            humes   => 3318, hummel  => 2019, hummer  => 8133, humphrey
                                    => 531,
                            humphreys
                                    => 1937, humphries
                                    => 1726,
                            hundley => 2633, huneycutt
                                    => 5068,
                            hungerford
                                    => 7363, hunley  => 6489,
                            hunnicutt
                                    => 7362, hunsaker
                                    => 5379,
                            hunsicker
                                    => 8794, hunsinger
                                    => 9995,
                            hunt    => 142, hunter  => 125, huntington
                                    => 3694,
                            huntley => 1730, huntsman
                                    => 6856,
                            hupp    => 5337, hurd    => 1265, hurdle  => 6598, hurlburt
                                    => 8459,
                            hurley  => 709, hurst   => 584, hurtado => 2192, hurwitz => 9869,
                            huskey  => 3643, huskins => 9611, huss    => 5251, hussain => 9028,
                            hussey  => 3206, husted  => 6650, huston  => 1749, hutchens
                                    => 3642,
                            hutcherson
                                    => 2619, hutcheson
                                    => 3488,
                            hutchings
                                    => 2858, hutchins
                                    => 915,
                            hutchinson
                                    => 534, hutchison
                                    => 1220,
                            huth    => 6597, hutson  => 1951, hutt    => 7593, hutter  => 9737,
                            hutto   => 3220, hutton  => 1635, huynh   => 1598, hwang   => 3367,
                            hyatt   => 1670, hyde    => 853, hyden   => 6086, hyder   => 5291,
                            hyland  => 3815, hylton  => 3946, hymel   => 9248, hynes   => 3467,
                            hysell  => 8240, ibanez  => 6311, ibarra  => 914, ibrahim => 5563,
                            ickes   => 8458, iglesias
                                    => 4988,
                            ikeda   => 9366, imes    => 6358, imhoff  => 6310, infante => 5144,
                            ingalls => 4101, ingersoll
                                    => 4469,
                            ingham  => 7514, ingle   => 3262, ingraham
                                    => 3884,
                            ingram  => 342, iniguez => 9365, inman   => 1153, innes   => 9480,
                            innis   => 9479, inouye  => 9994, iorio   => 9364, ippolito
                                    => 9993,
                            irby    => 2224, irick   => 8457, irizarry
                                    => 1927,
                            irons   => 3945, irvine  => 2999, isaacs  => 2113, isaacson
                                    => 3386,
                            isbell  => 2240, isenberg
                                    => 6251,
                            isham   => 5378, islas   => 7592, isley   => 7447, ismail  => 9363,
                            isom    => 2214, ison    => 2600, iverson => 1888, ives    => 3487,
                            ivey    => 1051, ivie    => 6148, izaguirre
                                    => 7683,
                            izquierdo
                                    => 9247, izzo    => 5173,
                            jablonski
                                    => 4924, jackman => 4058,
                            jackson => 12, jaco    => 7948, jacobi  => 7761, jacobo  => 6719,
                            jacobs  => 217, jacobsen
                                    => 1566,
                            jacobson
                                    => 680, jacoby  => 2945,
                            jacquez => 7591, jaeger  => 2840, jaffe   => 4889, jager   => 9868,
                            jaggers => 7198, jahn    => 7590, jahnke  => 6718, jaimes  => 6198,
                            jalbert => 7855, jamerson
                                    => 4783,
                            jameson => 1882, jamieson
                                    => 4143,
                            janes   => 2815, janik   => 9992, janke   => 9610, jankowski
                                    => 3910,
                            jansen  => 2077, janson  => 7589, janssen => 3334, janzen  => 9736,
                            jaques  => 7361, jaquez  => 5800, jara    => 5851, jaramillo
                                    => 1272,
                            jarboe  => 8341, jardine => 6717, jarman  => 4294, jarmon  => 6085,
                            jarrell => 1932, jasso   => 4239, jauregui
                                    => 6649,
                            jaworski
                                    => 6596, jaynes  => 3506,
                            jeanbaptiste
                                    => 7682, jeanlouis
                                    => 7513,
                            jeffcoat
                                    => 5143, jefferies
                                    => 3179,
                            jeffers => 1390, jefferson
                                    => 417,
                            jeffords
                                    => 8923, jeffreys
                                    => 8239,
                            jeffries
                                    => 1115, jellison
                                    => 9609,
                            jemison => 4692, jenkins => 79, jenks   => 5067, jennings
                                    => 252,
                            jensen  => 240, jenson  => 3660, jepson  => 7279, jerkins => 9867,
                            jernigan
                                    => 1597, jeske   => 8045,
                            jessee  => 7588, jessen  => 4782, jessup  => 3403, jester  => 5497,
                            jeter   => 2064, jett    => 2438, jetton  => 9991, jewett  => 3303,
                            jiles   => 4598, jimenez => 255, jimerson
                                    => 5901,
                            jiminez => 5105, jinks   => 6533, jobe    => 2703, johannsen
                                    => 9027,
                            johansen
                                    => 3261, johanson
                                    => 5705,
                            johns   => 544, johnsen => 5172, johnson => 2, johnston
                                    => 203,
                            johnstone
                                    => 4733, johson  => 9608,
                            joiner  => 1340, jolin   => 7947, jolley  => 3117, jolly   => 1547,
                            jones   => 4, joplin  => 7760, jordan  => 105, jorgensen
                                    => 1509,
                            jorgenson
                                    => 3505, josephson
                                    => 6309,
                            josey   => 7681, joslin  => 4323, jost    => 6422, joubert => 6595,
                            jourdan => 9362, jowers  => 7946, joyner  => 730, juarez  => 590,
                            judd    => 1565, judkins => 4005, julien  => 7060, jumper  => 7854,
                            jurado  => 6994, jurgens => 9866, justice => 813, justis  => 9607,
                            justus  => 3769, kaczmarek
                                    => 8705,
                            kaelin  => 8922, kagan   => 9478, kahl    => 4781, kahle   => 7446,
                            kahler  => 5250, kahn    => 2206, kain    => 6855, kaiser  => 1097,
                            kalinowski
                                    => 9477, kaminski
                                    => 2715,
                            kaminsky
                                    => 7197, kammerer
                                    => 8238,
                            kamp    => 7759, kanagy  => 9990, kane    => 657, kang    => 2036,
                            kangas  => 9735, kanter  => 9143, kantor  => 8340, kaplan  => 1208,
                            kapp    => 5997, karcher => 9606, karnes  => 4888, karns   => 6147,
                            karp    => 6250, karpinski
                                    => 9026,
                            karr    => 2904, kasper  => 3659, kass    => 8237, kasten  => 6357,
                            kastner => 5750, kates   => 7278, kato    => 5290, katz    => 1017,
                            kauffman
                                    => 1475, kaufman => 822,
                            kaufmann
                                    => 5996, kautz   => 6716,
                            kavanagh
                                    => 6146, kavanaugh
                                    => 6356,
                            kaylor  => 4732, kayser  => 7445, kean    => 6084, keane   => 3504,
                            kearney => 1490, kearns  => 1926, kearse  => 6648, keating => 2054,
                            keaton  => 2525, keck    => 3385, keefe   => 3351, keefer  => 3232,
                            keegan  => 3104, keel    => 3103, keele   => 6715, keeler  => 2576,
                            keeling => 2828, keen    => 1379, keene   => 1514, keener  => 2632,
                            keeney  => 3219, keesee  => 7512, keeter  => 8132, keeton  => 2963,
                            keever  => 8339, keffer  => 8704, kegley  => 9605, kehoe   => 4352,
                            keil    => 5704, keim    => 5020, keiser  => 5657, keister => 4267,
                            keitt   => 8338, kelch   => 9142, kell    => 4266, kellam  => 6083,
                            kellar  => 4955, kelleher
                                    => 3445,
                            keller  => 296, kellerman
                                    => 5703,
                            kellett => 9734, kelley  => 188, kellner => 6355, kellogg => 1912,
                            kellum  => 3856, kelm    => 8456, kelso   => 3067, kelton  => 7196,
                            kemp    => 521, kemper  => 3245, kempf   => 5336, kempton => 8921,
                            kendricks
                                    => 8455, kennard => 5496,
                            kennedy => 131, kennelly
                                    => 9141,
                            kenner  => 5171, kennett => 9733, kenney  => 1150, kennison
                                    => 9604,
                            kennon  => 5900, kenworthy
                                    => 9140,
                            kenyon  => 2268, keough  => 8920, keown   => 8236, kephart => 8235,
                            kepler  => 7360, kerber  => 9989, kerby   => 6249, kerley  => 5749,
                            kern    => 1213, kerner  => 9603, kerney  => 9602, kerns   => 1508,
                            kerr    => 639, kerrigan
                                    => 5562,
                            kersey  => 4170, kershaw => 6308, kershner
                                    => 7680,
                            kerwin  => 9476, kesler  => 7195, kessel  => 8454, kessinger
                                    => 6789,
                            kessler => 1036, kester  => 4439, kesterson
                                    => 8583,
                            ketcham => 5656, ketchum => 3719, ketron  => 6993, key     => 699,
                            keyes   => 1686, keys    => 1138, keyser  => 4026, khan    => 1471,
                            khoury  => 6145, kibler  => 5456, kidd    => 831, kidder  => 4534,
                            kidwell => 3600, kiefer  => 3718, kieffer => 4954, kiel    => 6532,
                            kiely   => 7444, kiernan => 6992, kifer   => 9601, kiger   => 5950,
                            kight   => 6421, kilburn => 4987, kilby   => 7059, kile    => 5949,
                            kilgore => 1286, killebrew
                                    => 7112,
                            killen  => 7443, killian => 1950, killingsworth
                                    => 4848,
                            killion => 4780, killough
                                    => 5748,
                            kilmer  => 4407, kilpatrick
                                    => 2032,
                            kimball => 993, kimberlin
                                    => 8582,
                            kimble  => 1546, kimbrell
                                    => 3599,
                            kimbro  => 7111, kimbrough
                                    => 1887,
                            kimes   => 6354, kimmel  => 3015, kimsey  => 6788, kimura  => 4923,
                            kinard  => 3433, kincaid => 1519, kinch   => 9025, kinchen => 9600,
                            kinder  => 2297, kindle  => 7945, kindred => 4887, king    => 29,
                            kingery => 6037, kingsbury
                                    => 4293,
                            kingsley
                                    => 3066, kingston
                                    => 4351,
                            kinlaw  => 6420, kinley  => 9988, kinnard => 6919, kinney  => 804,
                            kinsella
                                    => 6918, kinser  => 6307,
                            kinsey  => 1774, kinsler => 8234, kinsley => 8581, kinslow => 8453,
                            kinzer  => 7758, kipp    => 4350, kirby   => 478, kircher => 9024,
                            kirchner
                                    => 3384, kirkendall
                                    => 8337,
                            kirkham => 5104, kirkland
                                    => 830,
                            kirkman => 5210, kirkpatrick
                                    => 980,
                            kirksey => 5170, kirkwood
                                    => 3231,
                            kirsch  => 4438, kirschner
                                    => 4953,
                            kirtley => 8703, kirwan  => 7587, kiser   => 1603, kish    => 4004,
                            kisner  => 7511, kissel  => 8131, kissinger
                                    => 6787,
                            kistler => 5747, kitchens
                                    => 2752,
                            kite    => 4691, kittle  => 6917, kittredge
                                    => 9987,
                            kittrell
                                    => 5289, kitts   => 6531,
                            kizer   => 4886, klassen => 8919, klatt   => 5995, klaus   => 5994,
                            klein   => 397, kline   => 678, kling   => 4349, klingensmith
                                    => 4437,
                            klinger => 3626, klink   => 6353, klotz   => 5335, klug    => 4468,
                            knapp   => 677, knecht  => 8336, kneeland
                                    => 9732,
                            knepp   => 9139, knepper => 6530, knight  => 149, knighten
                                    => 6786,
                            knighton
                                    => 6594, knisely => 9138,
                            knisley => 6529, knoll   => 3302, knopp   => 5948, knorr   => 8452,
                            knott   => 2335, knotts  => 4057, knowles => 866, knowlton
                                    => 2881,
                            knox    => 567, knudsen => 2741, knudson => 3641, knuth   => 8335,
                            knutson => 1660, kobayashi
                                    => 6488,
                            koch    => 651, kocher  => 4986, koehler => 1684, koehn   => 4500,
                            koenig  => 1612, koepke  => 9475, koerner => 5288, koester => 4436,
                            koger   => 7853, kohl    => 3503, kohler  => 1911, kohn    => 3693,
                            kolar   => 9986, kolb    => 2505, kollar  => 9731, koller  => 5495,
                            konrad  => 7944, koon    => 4623, koonce  => 3024, koons   => 5249,
                            koontz  => 2723, koopman => 8044, kopec   => 9599, kopp    => 2962,
                            korn    => 5416, kornegay
                                    => 4467,
                            korte   => 7852, koski   => 5103, koss    => 6248, koster  => 5415,
                            kovac   => 8233, kovach  => 3598, kovacs  => 4885, koval   => 9246,
                            kowal   => 5561, kowalczyk
                                    => 6593,
                            kowalewski
                                    => 7943, kowalski
                                    => 2136,
                            kozak   => 3909, koziol  => 7942, kozlowski
                                    => 3260,
                            kraemer => 4348, kraft   => 1460, krall   => 7851, kramer  => 485,
                            krantz  => 4884, kranz   => 5102, kratz   => 6306, kratzer => 8043,
                            kraus   => 2290, krause  => 977, krauss  => 3625, krawczyk
                                    => 8334,
                            krebs   => 2437, kremer  => 4597, kress   => 5377, krick   => 7277,
                            krieg   => 7941, krieger => 3533, kroeger => 5899, krohn   => 8042,
                            krol    => 8130, kroll   => 3597, kropp   => 7276, krouse  => 7586,
                            krueger => 964, krug    => 3944, kruger  => 2239, krull   => 8793,
                            krumm   => 8451, krupa   => 9598, krupp   => 9597, kruse   => 1639,
                            kubiak  => 8702, kubik   => 9137, kucera  => 8041, kuehl   => 7757,
                            kuehn   => 4654, kugler  => 8129, kuhl    => 4567, kuhlman => 6487,
                            kuhlmann
                                    => 7940, kuhn    => 1086,
                            kuhns   => 4622, kujawa  => 7110, kulp    => 8580, kumar   => 4435,
                            kunkel  => 3272, kunkle  => 5209, kuntz   => 3486, kunz    => 3502,
                            kunze   => 9474, kurth   => 7442, kurtz   => 1389, kushner => 7585,
                            kuster  => 8333, kutz    => 5414, kuykendall
                                    => 2533,
                            kwan    => 4596, kwiatkowski
                                    => 7058,
                            kwon    => 6082, kwong   => 9730, kyles   => 4817, kyser   => 6352,
                            labarbera
                                    => 7679, labarge => 9136,
                            labbe   => 3402, labelle => 3925, labonte => 4121, laborde => 9245,
                            laboy   => 4779, labrecque
                                    => 5610,
                            labrie  => 5799, lacasse => 4778, lach    => 8332, lachance
                                    => 2524,
                            lachapelle
                                    => 8918, lackey  => 1355,
                            laclair => 7850, lacombe => 6197, lacour  => 7441, lacourse
                                    => 9729,
                            lacroix => 2722, ladd    => 1638, ladner  => 1139, lafave  => 6714,
                            lafayette
                                    => 7194, lafferty
                                    => 3768,
                            laflamme
                                    => 3837, lafleur => 2937,
                            lafollette
                                    => 8701, lafond  => 6991,
                            lafontaine
                                    => 6592, laforge => 9361,
                            lafountain
                                    => 5798, lafrance
                                    => 5208,
                            lafreniere
                                    => 7275, lagasse => 7193,
                            laguna  => 7359, lagunas => 7440, lahr    => 4292, lail    => 5142,
                            laing   => 4566, lair    => 5455, laird   => 1399, lajoie  => 5287,
                            lakey   => 6305, lakin   => 7358, laliberte
                                    => 5169,
                            lally   => 5947, lalonde => 4777, lamanna => 8232, lamarre => 9865,
                            lamas   => 8331, lamb    => 430, lambert => 268, lambrecht
                                    => 8579,
                            lamere  => 7849, lamkin  => 8128, lamm    => 2639, lammers => 6990,
                            lamontagne
                                    => 4238, lamoreaux
                                    => 8700,
                            lamothe => 7274, lamoureux
                                    => 6247,
                            lampe   => 5141, lamphere
                                    => 9360,
                            lampkin => 5101, lampley => 7584, lancaster
                                    => 812,
                            landa   => 6196, landau  => 9244, lander  => 5609, landeros
                                    => 5746,
                            landers => 1373, landes  => 6036, landin  => 6916, landis  => 1667,
                            landreth
                                    => 4621, landrum => 1905,
                            landry  => 614, landwehr
                                    => 9023,
                            lane    => 173, laney   => 2922, lang    => 483, langan  => 8231,
                            langdon => 3317, lange   => 1203, langer  => 3871, langevin
                                    => 7192,
                            langford
                                    => 1411, langham => 4816,
                            langley => 865, langlois
                                    => 3102,
                            langston
                                    => 1349, lanham  => 2668,
                            lanier  => 1443, lankford
                                    => 2053,
                            lanning => 3908, lansing => 8330, lantz   => 2774, lanza   => 5376,
                            lapierre
                                    => 4595, laplant => 9985,
                            laplante
                                    => 3133, lapoint => 8699,
                            lapointe
                                    => 2556, laporte => 3366,
                            lapp    => 5454, laprade => 9984, lara    => 599, largent => 5375,
                            larimore
                                    => 9596, larios  => 7678,
                            lariviere
                                    => 8127, lark    => 5745,
                            larkin  => 1216, larkins => 4883, larocca => 7848, laroche => 3924,
                            larochelle
                                    => 5993, larock  => 8578,
                            larosa  => 5608, larose  => 3316, larrabee
                                    => 4466,
                            larrison
                                    => 9243, larsen  => 506,
                            larson  => 224, lasalle => 6144, lasater => 6785, lash    => 3401,
                            lasher  => 5655, lashley => 3883, laskey  => 9983, laskowski
                                    => 7057,
                            lasky   => 7939, lasley  => 5494, lasseter
                                    => 8698,
                            lassiter
                                    => 1616, laster  => 3116,
                            latham  => 1078, lathan  => 7109, lathrop => 4499, latimer => 3169,
                            latimore
                                    => 9242, latour  => 7439,
                            latta   => 4533, lattimore
                                    => 3740,
                            lauderdale
                                    => 6591, lauer   => 3739,
                            laughlin
                                    => 1972, laureano
                                    => 6784,
                            laurent => 4952, lauria  => 9595, laux    => 7273, lauzon  => 8917,
                            lavallee
                                    => 4347, lavalley
                                    => 4922,
                            lavender
                                    => 3400, lavergne
                                    => 5168,
                            laverty => 8126, lavigne => 2702, lavin   => 5529, lavine  => 8125,
                            lavoie  => 2499, lawhorn => 3943, lawing  => 9728, lawler  => 1876,
                            lawless => 3271, lawlor  => 5607, lawson  => 190, lawton  => 2182,
                            layfield
                                    => 7056, layman  => 2827,
                            laymon  => 9727, layne   => 2018, layton  => 1845, lazar   => 6713,
                            lazarus => 6304, lazenby => 9594, lazo    => 5493, leach   => 606,
                            leahy   => 3014, leake   => 3692, leaks   => 9864, leal    => 1185,
                            lear    => 2839, leary   => 1634, leasure => 9135, leath   => 5167,
                            leatherman
                                    => 4265, leathers
                                    => 4322,
                            leatherwood
                                    => 4882, leavitt => 2090,
                            lebeau  => 6989, lebel   => 7357, leblanc => 603, leboeuf => 4184,
                            lebron  => 3624, lebrun  => 5850, lechner => 8040, lechuga => 9593,
                            leclair => 2608, leclaire
                                    => 8697,
                            leclerc => 5248, lecompte
                                    => 5797,
                            ledbetter
                                    => 1299, lederman
                                    => 8696,
                            ledesma => 2489, ledet   => 4169, ledezma => 6486, ledford => 1447,
                            ledger  => 8916, ledoux  => 2990, leduc   => 7847, lee     => 23,
                            leech   => 4346, leeper  => 3855, lees    => 4025, lefebvre
                                    => 3466,
                            lefevre => 5374, leffler => 7677, lefkowitz
                                    => 8915,
                            lefler  => 7676, leflore => 5898, leftwich
                                    => 5744,
                            legault => 8039, leger   => 2979, legere  => 7438, legette => 9982,
                            legg    => 3152, leggett => 1959, legrand => 4594, lehman  => 1024,
                            lehmann => 2944, lehr    => 5528, leibowitz
                                    => 6485,
                            leighton
                                    => 3333, leija   => 5796,
                            leiker  => 8450, leininger
                                    => 7356,
                            leister => 7583, leitch  => 9241, leite   => 9863, leith   => 8577,
                            leitner => 9726, leiva   => 6590, lejeune => 5492, lemaire => 9981,
                            lemaster
                                    => 3596, lemay   => 2751,
                            lemieux => 2449, lemire  => 5491, lemke   => 3465, lemley  => 5992,
                            lemmon  => 3532, lemmons => 6081, lemoine => 4653, lemon   => 1710,
                            lemons  => 1807, lemos   => 5849, lemus   => 2631, lenhart => 6712,
                            lenihan => 9473, lennon  => 3520, lennox  => 6246, lenoir  => 5334,
                            lent    => 5702, lentz   => 1836, lenz    => 2880, leong   => 5490,
                            leonhardt
                                    => 9022, leos    => 7108,
                            lepage  => 6143, lepore  => 7510, leppert => 9134, lerch   => 8124,
                            lerma   => 3230, lerner  => 3623, leroux  => 9980, lesher  => 6647,
                            lesko   => 6988, lesperance
                                    => 8914,
                            lessard => 3622, letendre
                                    => 6854,
                            letourneau
                                    => 4532, letson  => 9592,
                            lett    => 4985, leung   => 2998, levan   => 8695, levasseur
                                    => 4731,
                            leveille
                                    => 8576, leverett
                                    => 4847,
                            levesque
                                    => 2123, levin   => 1958,
                            levine  => 828, levinson
                                    => 5489,
                            levitt  => 6142, levy    => 766, lewallen
                                    => 8230,
                            lewandowski
                                    => 2714, lewellen
                                    => 7509,
                            lewin   => 5654, lewis   => 22, leyba   => 7191, leyva   => 2085,
                            lheureux
                                    => 4921, liang   => 5207,
                            liberatore
                                    => 9359, licata  => 9021,
                            licon   => 9979, liddell => 3942, liddle  => 8694, lieb    => 6987,
                            lieberman
                                    => 3923, liggett => 6419,
                            liggins => 5100, lightfoot
                                    => 2857,
                            lightner
                                    => 3870, ligon   => 3259,
                            likens  => 9978, liles   => 2008, lillard => 5946, lilley  => 2894,
                            lima    => 2787, limon   => 3218, linares => 3168, lind    => 1748,
                            lindahl => 8329, lindberg
                                    => 2961,
                            linde   => 9977, lindell => 6986, lindeman
                                    => 5606,
                            lindemann
                                    => 9133, linden  => 5560,
                            linder  => 2099, linderman
                                    => 8575,
                            lindgren
                                    => 3836, lindholm
                                    => 7190,
                            lindley => 2561, lindner => 4776, lindo   => 8574, lindquist
                                    => 2471,
                            lindsley
                                    => 8693, lindstrom
                                    => 3814,
                            lineberry
                                    => 6418, linehan => 9725,
                            lingenfelter
                                    => 8229, lingerfelt
                                    => 7437,
                            lingle  => 6985, lingo   => 7846, link    => 1362, linker  => 6035,
                            linkous => 3444, linn    => 1936, linton  => 2143, linville
                                    => 3717,
                            lipinski
                                    => 9132, lippert => 5166,
                            lippincott
                                    => 9862, lipps   => 8449,
                            lipscomb
                                    => 1852, lipsey  => 6528,
                            liptak  => 9240, lipton  => 9591, lira    => 2826, lirette => 8913,
                            liriano => 9590, lister  => 3432, liston  => 6853, litchfield
                                    => 6141,
                            litteral
                                    => 9861, littlefield
                                    => 1935,
                            littlejohn
                                    => 1895, littles => 8328,
                            littleton
                                    => 2599, litton  => 5527,
                            littrell
                                    => 5488, lively  => 2400,
                            livengood
                                    => 6351, livermore
                                    => 9724,
                            livesay => 7055, livingston
                                    => 633,
                            lizarraga
                                    => 8228, lizotte => 5701,
                            llamas  => 5247, llanes  => 7508, llanos  => 9723, llewellyn
                                    => 4434,
                            lockard => 4565, locke   => 1052, lockett => 1410, lockhart
                                    => 931,
                            locklear
                                    => 2504, lockman => 7845,
                            lockridge
                                    => 6527, lockwood
                                    => 1331,
                            loeb    => 8573, loeffler
                                    => 5487,
                            loehr   => 7844, loera   => 3658, loesch  => 7938, lofgren => 8912,
                            loftin  => 3595, loftis  => 2750, lofton  => 1796, loftus  => 4168,
                            logan   => 412, loggins => 5333, logsdon => 2555, logue   => 3621,
                            lohman  => 6195, lohr    => 4291, loiselle
                                    => 9472,
                            lollar  => 7756, lollis  => 8327, lomas   => 5700, lomax   => 2448,
                            lombard => 3594, lombardi
                                    => 2344,
                            lombardo
                                    => 1993, lomeli  => 4690,
                            lonergan
                                    => 8326, loney   => 6783,
                            long    => 82, longley => 7272, longmire
                                    => 7937,
                            longo   => 3077, longoria
                                    => 1513,
                            longstreet
                                    => 9471, loomis  => 1699,
                            looney  => 1545, looper  => 6915, loos    => 6034, loper   => 3557,
                            lopes   => 1931, lopez   => 31, lopresti
                                    => 9589,
                            lorenz  => 2084, lorenzen
                                    => 8325,
                            loring  => 9470, lott    => 758, lotz    => 8692, loucks  => 4433,
                            loudermilk
                                    => 6417, lough   => 6914,
                            loughlin
                                    => 8691, loughran
                                    => 9469,
                            lounsbury
                                    => 9358, louque  => 7582,
                            louviere
                                    => 9131, lovato  => 4381,
                            loveday => 8911, lovejoy => 3167, lovelace
                                    => 2246,
                            lovelady
                                    => 5945, loveland
                                    => 5246,
                            loveless
                                    => 3166, lovell  => 1110,
                            lovett  => 1407, lovette => 9468, lovins  => 8690, lowder  => 6033,
                            lowe    => 251, lowery  => 583, lowman  => 3813, lowrance
                                    => 8324,
                            lowrey  => 5605, lowrie  => 9130, lowry   => 1105, lowther => 6589,
                            loya    => 3922, lozada  => 4652, lozano  => 903, lozier  => 7436,
                            lozoya  => 7936, lubin   => 7675, lucas   => 263, luce    => 2684,
                            lucero  => 879, lucey   => 9860, lucier  => 6303, luckett => 2960,
                            luckey  => 5526, ludlow  => 8572, ludwick => 6782, ludwig  => 1701,
                            lueck   => 7674, luedtke => 9357, luevano => 5140, lugo    => 946,
                            lujan   => 1595, lukas   => 8689, lukens  => 7355, luker   => 4321,
                            lukes   => 9588, lumley  => 9129, lumpkin => 2364, lumpkins
                                    => 8910,
                            luna    => 443, lund    => 1155, lundberg
                                    => 3501,
                            lunde   => 8571, lundgren
                                    => 4100,
                            lundin  => 9020, lundquist
                                    => 5099,
                            lundy   => 1485, lunn    => 4290, lunsford
                                    => 1689,
                            lunt    => 7354, luong   => 4056, luper   => 8792, lupo    => 5245,
                            lusby   => 9976, lusk    => 1523, lussier => 5066, luster  => 3065,
                            lutes   => 6781, luttrell
                                    => 3165,
                            lutz    => 942, lydon   => 7189, lykins  => 5332, lyles   => 1398,
                            lynch   => 220, lyon    => 972, lyons   => 300, lytle   => 2107,
                            maas    => 3657, mabe    => 3115, mabrey  => 8791, mabry   => 1904,
                            macaluso
                                    => 7054, macarthur
                                    => 5653,
                            macdonald
                                    => 721, macdougall
                                    => 6140,
                            mace    => 2447, macedo  => 6646, macfarlane
                                    => 6913,
                            macgregor
                                    => 5206, mach    => 5486,
                            machado => 1949, machuca => 7053, macias  => 817, maciel  => 5098,
                            mack    => 325, mackay  => 3399, mackey  => 919, mackie  => 3676,
                            mackin  => 9467, mackinnon
                                    => 7581,
                            macklin => 3205, maclean => 3577, macleod => 4080, maclin  => 9859,
                            macmillan
                                    => 4237, macneil => 7580,
                            macomber
                                    => 5525, macon   => 2554,
                            macpherson
                                    => 4183, madden  => 821,
                            maddox  => 661, maddux  => 4564, maddy   => 9019, mader   => 5795,
                            madera  => 4055, madewell
                                    => 7353,
                            madigan => 4211, madison => 949, madore  => 5897, madrid  => 1521,
                            madrigal
                                    => 2181, madsen  => 1733,
                            madson  => 7579, maeda   => 8570, maes    => 3556, maestas => 2848,
                            magallanes
                                    => 7507, magallon
                                    => 9466,
                            magana  => 2001, magdaleno
                                    => 7843,
                            magee   => 952, mager   => 9587, magers  => 9722, maggard => 3985,
                            maggio  => 4775, magill  => 5244, magner  => 9858, magness => 6984,
                            magnuson
                                    => 3907, magoon  => 9018,
                            magruder
                                    => 6194, maguire => 2042,
                            mahaffey
                                    => 3835, mahan   => 2152,
                            mahaney => 9857, maher   => 1530, mahler  => 4774, mahon   => 2142,
                            mahone  => 5848, mahoney => 928, mahurin => 8790, maier   => 2575,
                            maillet => 9856, mailloux
                                    => 9128,
                            maines  => 7673, mair    => 8448, maisonet
                                    => 9127,
                            majewski
                                    => 7352, majors  => 2523,
                            maki    => 3675, makowski
                                    => 7351,
                            malave  => 5019, maldonado
                                    => 356,
                            malek   => 7107, maley   => 6852, malin   => 9465, malinowski
                                    => 5205,
                            mallard => 4142, mallett => 4651, mallette
                                    => 6912,
                            malley  => 3620, mallon  => 6983, malloy  => 1722, malone  => 365,
                            maloney => 985, malott  => 9126, maloy   => 6193, manahan => 9125,
                            mancilla
                                    => 8688, mancini => 3431,
                            mancuso => 2786, mandel  => 4345, mandell => 9124, mandeville
                                    => 8569,
                            maness  => 3519, maney   => 9586, manfredi
                                    => 9356,
                            mangan  => 6780, mangrum => 4563, mangum  => 2618, manigault
                                    => 9585,
                            manion  => 6139, manis   => 6911, manke   => 8789, manley  => 1001,
                            mann    => 324, manning => 334, mannino => 5373, manns   => 3640,
                            manos   => 8447, manriquez
                                    => 8446,
                            mansell => 7506, mansfield
                                    => 1348,
                            manske  => 9975, manson  => 3101, mansour => 5794, mantooth
                                    => 7578,
                            manus   => 8323, manzanares
                                    => 6588,
                            manzano => 5065, manzo   => 3834, mapes   => 4846, maples  => 2393,
                            mapp    => 5286, marable => 6245, marasco => 8445, marble  => 3833,
                            marcano => 5847, marceau => 8568, marchan => 9974, marchand
                                    => 3854,
                            marchant
                                    => 5139, marchese
                                    => 5372,
                            marchetti
                                    => 6587, marciano
                                    => 8322,
                            marcotte
                                    => 3576, marcoux => 7577,
                            marcum  => 1292, marden  => 8227, mardis  => 7672, marek   => 5896,
                            mares   => 2630, marez   => 8788, margolis
                                    => 9464,
                            mariani => 8567, marin   => 1269, marinelli
                                    => 6851,
                            marino  => 1205, mariscal
                                    => 7435,
                            markel  => 7671, marker  => 4406, markey  => 6526, markham => 2180,
                            markle  => 5285, markley => 3853, markowitz
                                    => 6910,
                            marks   => 573, marlar  => 9463, marler  => 4003, marley  => 5138,
                            marlow  => 2179, marlowe => 3383, maroney => 7052, marotta => 7350,
                            marquardt
                                    => 4210, marques => 8444,
                            marquez => 454, marr    => 2773, marra   => 4236, marrero => 1166,
                            marriott
                                    => 6244, marron  => 8226,
                            marroquin
                                    => 2772, marrs   => 4562,
                            marrufo => 6711, marsden => 8787, marsh   => 414, marshall
                                    => 114,
                            marshburn
                                    => 9855, marston => 5097,
                            marte   => 7188, martel  => 2259, martell => 2598, martens => 3114,
                            martin  => 15, martindale
                                    => 3164,
                            martineau
                                    => 5895, martinelli
                                    => 6779,
                            martines
                                    => 5991, martinez
                                    => 18,
                            martino => 2165, martins => 3464, martinson
                                    => 3971,
                            martz   => 3315, marx    => 2484, mascarenas
                                    => 6484,
                            mashburn
                                    => 5064, mason   => 129,
                            massa   => 4951, massaro => 8909, masse   => 6778, massenburg
                                    => 9462,
                            massengale
                                    => 6645, massengill
                                    => 9355,
                            massey  => 423, massie  => 2667, masson  => 9017, mast    => 3852,
                            masters => 1435, masterson
                                    => 2666,
                            mastin  => 5894, mata    => 1033, matheny => 2936, mather  => 4950,
                            matherly
                                    => 5846, matherne
                                    => 4845,
                            mathers => 5485, mathes  => 4465, matheson
                                    => 3812,
                            mathews => 491, mathewson
                                    => 6416,
                            mathias => 3656, mathieu => 6350, mathis  => 435, mathison
                                    => 4593,
                            matias  => 4141, matlock => 1925, matney  => 3738, matos   => 1570,
                            matson  => 1886, matsumoto
                                    => 8225,
                            matta   => 5453, matte   => 8038, mattern => 6777, matteson
                                    => 3790,
                            matthes => 9461, matthews
                                    => 162,
                            matthias
                                    => 9239, mattingly
                                    => 1986,
                            mattis  => 9354, mattison
                                    => 2921,
                            mattos  => 3767, mattox  => 2289, mattson => 1781, matus   => 9721,
                            matz    => 6192, mauck   => 9854, mauk    => 8566, mauldin => 2160,
                            mauney  => 6710, maupin  => 3332, maurer  => 1512, maus    => 6776,
                            maxey   => 2701, maxfield
                                    => 3970,
                            maxon   => 8321, maxson  => 6850, maxwell => 371, mayberry
                                    => 1627,
                            mayer   => 781, mayers  => 3691, mayes   => 990, mayfield
                                    => 874,
                            mayhew  => 3301, mayle   => 5484, maynard => 581, mayne   => 8037,
                            maynor  => 6982, mayo    => 741, mayorga => 5893, mays    => 670,
                            maze    => 4498, mazur   => 4844, mazurek => 8687, mazza   => 3906,
                            mazzola => 7505, mazzone => 9123, mcabee  => 4843, mcadams => 2355,
                            mcadoo  => 5892, mcafee  => 2652, mcaleer => 9122, mcalister
                                    => 2377,
                            mcallister
                                    => 945, mcalpin => 6415,
                            mcalpine
                                    => 5944, mcanally
                                    => 5990,
                            mcandrew
                                    => 7271, mcardle => 5652,
                            mcarthur
                                    => 2458, mcatee  => 6032,
                            mcauley => 6191, mcauliffe
                                    => 7187,
                            mcavoy  => 5891, mcbee   => 3197, mcbeth  => 8786, mcbrayer
                                    => 7755,
                            mcbride => 394, mcbroom => 4842, mcbryde => 7842, mcburney
                                    => 7434,
                            mccabe  => 1035, mccafferty
                                    => 4841,
                            mccaffrey
                                    => 3314, mccain  => 1188,
                            mccaleb => 6849, mccall  => 595, mccalla => 6909, mccallister
                                    => 3575,
                            mccallum
                                    => 3100, mccammon
                                    => 8320,
                            mccandless
                                    => 5243, mccann  => 940,
                            mccants => 3969, mccardle
                                    => 9238,
                            mccarley
                                    => 6848, mccarroll
                                    => 9016,
                            mccarron
                                    => 8123, mccarter
                                    => 2363,
                            mccarthy
                                    => 374, mccartney
                                    => 2238,
                            mccarty => 747, mccarver
                                    => 7270,
                            mccary  => 6349, mccaskill
                                    => 3574,
                            mccaslin
                                    => 5651, mccauley
                                    => 1223,
                            mccay   => 8565, mcchesney
                                    => 6414,
                            mcclain => 492, mcclanahan
                                    => 2893,
                            mcclary => 4002, mcclean => 6483, mccleary
                                    => 3984,
                            mcclellan
                                    => 1109, mcclelland
                                    => 1833,
                            mcclendon
                                    => 1163, mcclintock
                                    => 2989,
                            mcclinton
                                    => 4001, mccloskey
                                    => 3163,
                            mccloud => 1695, mccluney
                                    => 9353,
                            mcclung => 2721, mcclure => 578, mcclurg => 5793, mccluskey
                                    => 5137,
                            mccollough
                                    => 6586, mccollum
                                    => 1281,
                            mccomas => 5943, mccomb  => 6644, mccombs => 2547, mcconnell
                                    => 640,
                            mccool  => 3281, mccord  => 1189, mccorkle
                                    => 2856,
                            mccormack
                                    => 2046, mccormick
                                    => 408,
                            mccourt => 6585, mccowan => 6243, mccown  => 4405, mccoy   => 207,
                            mccracken
                                    => 1494, mccrae  => 8036,
                            mccraney
                                    => 9720, mccrary => 2135,
                            mccraw  => 5371, mccray  => 820, mccrea  => 4380, mccready
                                    => 6709,
                            mccreary
                                    => 3300, mccree  => 9121,
                            mccrory => 4264, mccubbin
                                    => 8122,
                            mccue   => 3258, mccullar
                                    => 9120,
                            mccullen
                                    => 9853, mcculley
                                    => 4344,
                            mcculloch
                                    => 2855, mccullough
                                    => 652,
                            mccullum
                                    => 7670, mccully => 6643,
                            mccune  => 3382, mccurdy => 2311, mccurley
                                    => 9973,
                            mccurry => 4054, mccusker
                                    => 7935,
                            mccutchen
                                    => 5890, mccutcheon
                                    => 3196,
                            mcdade  => 3851, mcdaniel
                                    => 278,
                            mcdaniels
                                    => 3217, mcdavid => 5370,
                            mcdermott
                                    => 1046, mcdevitt
                                    => 4650,
                            mcdonald
                                    => 112, mcdonnell
                                    => 2607,
                            mcdonough
                                    => 1361, mcdougal
                                    => 3280,
                            mcdougald
                                    => 7433, mcdougall
                                    => 3983,
                            mcdougle
                                    => 8908, mcdowell
                                    => 555,
                            mcduffie
                                    => 2288, mceachern
                                    => 5792,
                            mcelhaney
                                    => 4592, mcelrath
                                    => 7576,
                            mcelroy => 1066, mcelveen
                                    => 8785,
                            mcelyea => 8907, mcentee => 9119, mcentire
                                    => 7186,
                            mcevoy  => 4620, mcewen  => 3350, mcfadden
                                    => 827,
                            mcfall  => 3132, mcfalls => 9719, mcfarland
                                    => 717,
                            mcfarlane
                                    => 2638, mcfarlin
                                    => 6190,
                            mcgaha  => 6642, mcgann  => 6708, mcgarry => 5242, mcgarvey
                                    => 9718,
                            mcgary  => 6584, mcgaughey
                                    => 9972,
                            mcgee   => 328, mcgehee => 3716, mcghee  => 983, mcgill  => 1071,
                            mcginley
                                    => 5136, mcginn  => 4379,
                            mcginnis
                                    => 965, mcginty => 4619,
                            mcglone => 8319, mcglothlin
                                    => 5559,
                            mcglynn => 6242, mcgough => 4235, mcgovern
                                    => 2425,
                            mcgowan => 790, mcgowen => 8443, mcgrady => 9971, mcgrath => 975,
                            mcgraw  => 1251, mcgregor
                                    => 1971,
                            mcgrew  => 2988, mcgriff => 3982, mcgruder
                                    => 7349,
                            mcguigan
                                    => 7754, mcguinness
                                    => 5845,
                            mcguire => 445, mchale  => 4984, mchenry => 2522, mchone  => 9015,
                            mchugh  => 1903, mcilwain
                                    => 6641,
                            mcinerney
                                    => 7753, mcinnis => 3113,
                            mcintire
                                    => 2700, mcintosh
                                    => 650,
                            mcinturff
                                    => 8906, mcintyre
                                    => 688,
                            mciver  => 5331, mckain  => 8784, mckamey => 7669, mckay   => 745,
                            mckean  => 5096, mckee   => 618, mckeehan
                                    => 8224,
                            mckeever
                                    => 3715, mckellar
                                    => 6482,
                            mckelvey
                                    => 4464, mckenna => 1360,
                            mckenney
                                    => 3639, mckenzie
                                    => 441,
                            mckeon  => 3905, mckeown => 3737, mckibben
                                    => 5889,
                            mckie   => 8121, mckim   => 5989, mckinney
                                    => 262,
                            mckinnie
                                    => 8686, mckinnon
                                    => 1683,
                            mckinsey
                                    => 9460, mckinzie
                                    => 6525,
                            mckissick
                                    => 6707, mcknight
                                    => 663,
                            mckown  => 7269, mckoy   => 4404, mclain  => 1666, mclamb  => 9014,
                            mclane  => 4099, mclaren => 4773, mclaughlin
                                    => 401,
                            mclaurin
                                    => 2847, mclean  => 592,
                            mclellan
                                    => 4343, mclemore
                                    => 2699,
                            mclendon
                                    => 2389, mcleod  => 834,
                            mclin   => 7348, mcloughlin
                                    => 6524,
                            mcmahan => 2122, mcmahon => 861, mcmann  => 8035, mcmanus => 1257,
                            mcmaster
                                    => 3638, mcmasters
                                    => 8223,
                            mcmath  => 9459, mcmichael
                                    => 4167,
                            mcmillan
                                    => 666, mcmillen
                                    => 3013,
                            mcmillian
                                    => 1862, mcmillin
                                    => 5095,
                            mcmillion
                                    => 9852, mcmillon
                                    => 6847,
                            mcminn  => 5284, mcmorris
                                    => 5791,
                            mcmullan
                                    => 9352, mcmullen
                                    => 1359,
                            mcmullin
                                    => 4209, mcmurray
                                    => 2943,
                            mcmurry => 6908, mcmurtry
                                    => 9458,
                            mcnabb  => 2574, mcnair  => 1383, mcnally => 1528, mcnamara
                                    => 1358,
                            mcnamee => 4263, mcnary  => 7934, mcnatt  => 9584, mcnaughton
                                    => 9457,
                            mcneal  => 1177, mcneely => 2651, mcneese => 7668, mcneil  => 713,
                            mcneill => 1183, mcnew   => 5452, mcniel  => 8034, mcnulty => 2424,
                            mcnutt  => 2423, mcpeak  => 5524, mcphail => 5369, mcphee  => 5790,
                            mcpherson
                                    => 783, mcquade => 8564,
                            mcquaid => 9583, mcqueen => 1129, mcquiston
                                    => 8033,
                            mcrae   => 1338, mcreynolds
                                    => 3655,
                            mcroberts
                                    => 7667, mcshane => 6523,
                            mcspadden
                                    => 9582, mcswain => 3398,
                            mcsweeney
                                    => 8563, mcvay   => 3299,
                            mcveigh => 9970, mcvey   => 2935, mcvicker
                                    => 9717,
                            mcwhirter
                                    => 8562, mcwhorter
                                    => 2159,
                            mcwilliams
                                    => 1337, meacham => 3463,
                            mead    => 1250, meade   => 1084, meader  => 8222, meador  => 2287,
                            meadors => 8032, meadows => 674, meads   => 9456, meagher => 4342,
                            mears   => 3531, mease   => 7933, meaux   => 9581, mebane  => 8685,
                            mecham  => 5942, medeiros
                                    => 1493,
                            medellin
                                    => 6241, medford => 5650,
                            medina  => 231, medley  => 1859, medlin  => 2879, medlock => 3573,
                            medrano => 1637, meece   => 9851, meehan  => 2318, meek    => 2213,
                            meeker  => 3216, meekins => 6240, meeks   => 902, mefford => 5789,
                            mehta   => 6583, meier   => 1544, meiners => 8783, meisner => 9351,
                            meissner
                                    => 7347, meister => 4689,
                            mejia   => 656, mejias  => 6907, melancon
                                    => 3050,
                            melanson
                                    => 5063, melcher => 6906,
                            melchor => 7051, meldrum => 8905, mele    => 7752, melendez
                                    => 724,
                            melgar  => 7185, mellen  => 9237, mello   => 2838, mellon  => 5330,
                            mellott => 6706, melnick => 6582, melo    => 5062, melson  => 7346,
                            melton  => 495, melville
                                    => 7841,
                            mena    => 2354, menard  => 2164, menchaca
                                    => 4730,
                            mendelson
                                    => 9580, mendenhall
                                    => 2846,
                            mendes  => 4289, mendez  => 279, mendiola
                                    => 6905,
                            mendonca
                                    => 9350, mendosa => 9579,
                            mendoza => 228, menefee => 6522, menendez
                                    => 3076,
                            meneses => 6189, menjivar
                                    => 8318,
                            menke   => 5988, mentzer => 8904, menzel  => 9578, meraz   => 4497,
                            mercado => 613, merced  => 8782, mercer  => 734, merchant
                                    => 1819,
                            mercier => 2825, mercurio
                                    => 5604,
                            merida  => 6775, merino  => 5283, merkel  => 6302, merkle  => 6904,
                            merrell => 4024, merriam => 8781, merrick => 2870, merrifield
                                    => 5844,
                            merriman
                                    => 3811, merritt => 561,
                            merriweather
                                    => 4531, merryman
                                    => 6138,
                            mertens => 6413, mertz   => 5451, merwin  => 7504, mesa    => 3195,
                            messenger
                                    => 3430, messer  => 1232,
                            messick => 5843, messier => 5061, messina => 2573, messinger
                                    => 8120,
                            messner => 5842, mestas  => 8442, metcalf => 1219, metcalfe
                                    => 6239,
                            metheny => 8903, metoyer => 8902, metts   => 5241, metz    => 1409,
                            metzger => 1729, metzler => 3194, meunier => 8119, meyer   => 205,
                            meyers  => 511, meza    => 1118, miceli  => 8221, michaelis
                                    => 8561,
                            michaels
                                    => 2013, michaelson
                                    => 6412,
                            michalak
                                    => 7184, michalski
                                    => 5368,
                            michaud => 1386, michels => 4262, michelson
                                    => 9118,
                            mickel  => 8684, mickelson
                                    => 4341,
                            mickens => 4000, mickle  => 5699, middaugh
                                    => 7106,
                            middendorf
                                    => 9577, middlebrook
                                    => 9850,
                            middlebrooks
                                    => 5413, middleton
                                    => 634,
                            midgett => 7183, midkiff => 5941, miele   => 5987, mielke  => 6981,
                            mier    => 6903, mikell  => 7751, mikesell
                                    => 7432,
                            milam   => 2324, milano  => 5558, milazzo => 9117, milburn => 2892,
                            miles   => 264, miley   => 4234, millan  => 4688, millar  => 5523,
                            millen  => 7575, miller  => 7, millet  => 5888, millett => 8441,
                            millican
                                    => 7503, milligan
                                    => 1101,
                            milliken
                                    => 3690, milliner
                                    => 9236,
                            millner => 7050, mills   => 146, millsap => 5986, millsaps
                                    => 7574,
                            milne   => 3789, milner  => 2258, milstead
                                    => 9235,
                            mims    => 1372, minard  => 7182, mincey  => 4463, miner   => 1190,
                            mingo   => 6080, minick  => 9849, mink    => 4320, minnich => 7268,
                            minnick => 3419, minnis  => 9576, minor   => 884, minter  => 2572,
                            minton  => 1885, mintz   => 3112, minyard => 9013, mirabal => 8901,
                            miramontes
                                    => 5135, mireles => 2606,
                            misner  => 9116, mistretta
                                    => 9575,
                            mitchell
                                    => 39, mitchem => 4378,
                            mitchum => 6137, mitton  => 8780, mixon   => 1844, miyamoto
                                    => 8683,
                            mize    => 2106, mizell  => 5094, moats   => 4949, moberg  => 8560,
                            moberly => 8900, mobley  => 992, mock    => 1586, modica  => 8682,
                            modlin  => 6481, moeller => 2223, moen    => 3500, moffatt => 6238,
                            moffett => 2052, moffitt => 2740, mohan   => 6846, mohler  => 5412,
                            mohr    => 1644, moise   => 8899, mojica  => 2532, molina  => 477,
                            molinaro
                                    => 9716, moline  => 6980,
                            moll    => 3714, moller  => 5841, molloy  => 5329, molnar  => 6031,
                            monaco  => 3968, monaghan
                                    => 3999,
                            monahan => 2045, moncada => 8220, moncrief
                                    => 5788,
                            mondragon
                                    => 4098, monette => 9012,
                            mong    => 7502, monge   => 6411, monger  => 6136, moniz   => 3270,
                            monk    => 1985, monreal => 9848, monroe  => 470, monroy  => 5060,
                            monson  => 2959, montague
                                    => 2837,
                            montalvo
                                    => 2031, montanez
                                    => 2070,
                            montano => 1400, monteiro
                                    => 7345,
                            monteith
                                    => 9234, montejano
                                    => 9847,
                            monteleone
                                    => 9349, montelongo
                                    => 6581,
                            montemayor
                                    => 4023, montenegro
                                    => 4233,
                            montero => 3049, montes  => 995, montez  => 3850, montgomery
                                    => 200,
                            monti   => 7344, montiel => 6410, montoya => 552, monzon  => 7573,
                            moody   => 369, moon    => 665, mooney  => 789, mooneyham
                                    => 8681,
                            moore   => 9, moorefield
                                    => 8680,
                            moorehead
                                    => 4983, moorer  => 5887,
                            moores  => 8559, moorhead
                                    => 7343,
                            moorman => 3941, mora    => 904, morabito
                                    => 7572,
                            morales => 130, moralez => 6135, moran   => 404, morano  => 9455,
                            moreau  => 2878, morehead
                                    => 3064,
                            morehouse
                                    => 4649, moreira => 4881,
                            morel   => 4729, moreland
                                    => 1534,
                            morell  => 7750, morelli => 6409, morello => 8118, morelock
                                    => 8117,
                            moreno  => 229, morey   => 2553, morgan  => 55, mori    => 7666,
                            moriarty
                                    => 3485, morin   => 693,
                            morita  => 9574, moritz  => 5840, morley  => 2629, morman  => 8317,
                            morningstar
                                    => 9969, morrell => 2205,
                            morrill => 3023, morris  => 51, morrison
                                    => 210,
                            morrissette
                                    => 5134, morrissey
                                    => 2151,
                            morrow  => 472, morse   => 627, mortensen
                                    => 3381,
                            mortenson
                                    => 5985, mortimer
                                    => 4920,
                            morton  => 418, mosby   => 3048, moseley => 1385, mosely  => 5367,
                            moser   => 938, mosher  => 1802, mosier  => 3257, moskowitz
                                    => 7932,
                            mosley  => 504, mosqueda
                                    => 5522,
                            moss    => 326, mossman => 9115, mota    => 4208, moten   => 4166,
                            motes   => 9968, motley  => 2237, moton   => 6301, mott    => 1790,
                            motta   => 8031, moua    => 4815, moulton => 1948, moultrie
                                    => 4022,
                            mounts  => 6774, mouser  => 9846, mouton  => 4232, mowery  => 3530,
                            mowry   => 6134, moxley  => 5649, moya    => 2030, moye    => 2891,
                            moyer   => 1000, moyers  => 4561, moynihan
                                    => 6705,
                            mozingo => 9715, mudd    => 4772, mudge   => 9714, mueller => 520,
                            muir    => 3063, mulcahy => 5018, mulder  => 7431, muldoon => 7430,
                            muldrow => 7181, mulford => 8898, mulholland
                                    => 4687,
                            mulkey  => 3869, mull    => 2683, mullane => 9967, mullaney
                                    => 9348,
                            mullen  => 763, mullenax
                                    => 9454,
                            mullens => 4432, muller  => 1147, mulligan
                                    => 2463,
                            mullikin
                                    => 9966, mullin  => 2824,
                            mullinax
                                    => 6348, mullings
                                    => 9845,
                            mullins => 304, mullis  => 3380, mulvaney
                                    => 7105,
                            mulvey  => 6521, mulvihill
                                    => 9347,
                            mumford => 5165, mummert => 9346, muncy   => 2457, munday  => 7501,
                            mundell => 8219, mundy   => 3689, munford => 7931, munger  => 4165,
                            munguia => 4648, muniz   => 1073, munn    => 3637, munos   => 8030,
                            munoz   => 294, munro   => 4880, munroe  => 5328, munsey  => 8218,
                            munson  => 1543, murakami
                                    => 9965,
                            murchison
                                    => 6079, murdoch => 6347,
                            murdock => 1145, murguia => 8558, murillo => 1328, muro    => 5787,
                            murphey => 5204, murphree
                                    => 6773,
                            murphy  => 57, murr    => 7342, murray  => 117, murrell => 2222,
                            murry   => 1881, muse    => 2515, musgrave
                                    => 6346,
                            musgrove
                                    => 3418, musick  => 4948,
                            musselman
                                    => 4182, musser  => 3131,
                            musso   => 8440, mutchler
                                    => 9573,
                            muth    => 6845, mutter  => 9453, myatt   => 6844, myer    => 4647,
                            myers   => 96, myhre   => 8316, myrick  => 1564, nabors  => 3397,
                            nadeau  => 1384, nader   => 8679, nadler  => 8439, nagel   => 2732,
                            nagle   => 2498, nagy    => 2836, najera  => 3130, nakagawa
                                    => 9233,
                            nakamura
                                    => 3998, nakano  => 6843,
                            nall    => 3766, nalley  => 5839, nally   => 9452, nance   => 1023,
                            napier  => 1441, napoli  => 6902, napolitano
                                    => 5017,
                            napper  => 6480, naquin  => 1653, naranjo => 3849, narcisse
                                    => 8779,
                            nardi   => 7104, nardone => 8315, narvaez => 4021, nash    => 448,
                            nason   => 4207, natal   => 7840, natale  => 4403, natoli  => 9964,
                            naughton
                                    => 7341, naugle  => 9114,
                            nault   => 9844, nauman  => 8897, naumann => 7571, nava    => 1533,
                            navarra => 7429, navarrete
                                    => 3593,
                            navarrette
                                    => 8557, navarro => 529,
                            navas   => 9843, nave    => 5203, naylor  => 1698, nazario => 4840,
                            neace   => 5450, neal    => 249, neale   => 6133, nealy   => 3555,
                            neary   => 5984, necaise => 4231, needham => 2531, neel    => 3654,
                            neeley  => 2823, neely   => 1032, neese   => 5786, neff    => 1489,
                            negrete => 2552, negron  => 1553, neill   => 2854, neilsen => 9451,
                            neilson => 4431, nellis  => 9345, nelms   => 3636, nelsen  => 5133,
                            nelson  => 37, nemeth  => 4097, neri    => 6132, nero    => 5557,
                            nesbit  => 4728, nesbitt => 1880, nesmith => 3765, ness    => 2978,
                            nester  => 5202, netherton
                                    => 9572,
                            nettles => 2353, neubauer
                                    => 6078,
                            neufeld => 9344, neuman  => 2890, neumann => 2245, nevarez => 3047,
                            nevels  => 6408, neves   => 7180, nevin   => 8778, nevins  => 6640,
                            newberry
                                    => 2000, newbold => 9232,
                            newby   => 1894, newcomb => 1773, newcomer
                                    => 8029,
                            newell  => 890, newhouse
                                    => 5016,
                            newkirk => 2617, newland => 5132, newlin  => 6842, newman  => 276,
                            newsom  => 2163, newsome => 951, newson  => 5015, newton  => 339,
                            nguyen  => 216, nicholes
                                    => 9231,
                            nicholls
                                    => 4919, nichols => 147,
                            nicholson
                                    => 469, nickel  => 3788,
                            nickell => 4947, nickels => 5483, nickelson
                                    => 7570,
                            nickens => 6772, nickerson
                                    => 1563,
                            nickles => 6520, nicks   => 6979, nicoletti
                                    => 9230,
                            nielsen => 794, nielson => 2051, nieman  => 6639, niemann => 8678,
                            niemeyer
                                    => 8217, niemi   => 5131,
                            nieto   => 2050, nieves  => 842, nightingale
                                    => 6841,
                            nigro   => 6519, nilsen  => 8216, nilson  => 8777, nilsson => 6407,
                            nimmons => 8314, nino    => 5282, nipper  => 8028, nissen  => 5838,
                            nixon   => 585, noble   => 610, nobles  => 2069, nocera  => 9842,
                            nock    => 7267, noland  => 2334, nolasco => 6901, nolen   => 2333,
                            noles   => 7500, nolette => 9343, nolin   => 8313, noll    => 3882,
                            nolte   => 5327, noonan  => 2698, norberg => 9342, norcross
                                    => 9229,
                            nord    => 5648, nordin  => 9228, nordstrom
                                    => 5366,
                            norfleet
                                    => 3554, noriega => 2889,
                            norris  => 285, norsworthy
                                    => 8677,
                            northcutt
                                    => 4646, northrop
                                    => 7428,
                            northrup
                                    => 6978, norton  => 421,
                            norvell => 6479, norwood => 1082, novak   => 1013, novotny => 4079,
                            nowak   => 2063, nowakowski
                                    => 9011,
                            nowell  => 4096, nowicki => 6345, nowlin  => 3592, noyes   => 2388,
                            nugent  => 1893, null    => 3868, nunes   => 3012, nunez   => 391,
                            nunley  => 3462, nunn    => 1709, nunnally
                                    => 6478,
                            nunnery => 8116, nuno    => 7665, nuss    => 7749, nussbaum
                                    => 7340,
                            nutt    => 3298, nutter  => 3904, nutting => 9113, nyberg  => 7427,
                            nygaard => 8027, nystrom => 7339, oakes   => 1388, oakley  => 1492,
                            oaks    => 3297, oates   => 3075, obannon => 8026, ober    => 7338,
                            oberg   => 5449, oberle  => 9841, obregon => 7748, obrian  => 4771,
                            obrien  => 259, obryan  => 3674, obryant => 5743, ocampo  => 2372,
                            ocasio  => 2888, ochoa   => 679, ochs    => 4053, oconnell
                                    => 883,
                            oconner => 3484, oconnor => 474, odaniel => 7049, oday    => 7499,
                            oden    => 3229, odle    => 7266, odom    => 777, odonnell
                                    => 768,
                            odum    => 4020, offutt  => 6840, ogburn  => 6300, ogden   => 1611,
                            ogilvie => 9341, ogle    => 1970, oglesby => 2362, ogletree
                                    => 6299,
                            ogrady  => 4946, ohalloran
                                    => 8676,
                            ohanlon => 9340, ohara   => 1378, ohare   => 6077, ohler   => 9571,
                            ojeda   => 2007, okane   => 9713, okeefe  => 2128, okelley => 6237,
                            olander => 7048, oldaker => 9339, oldenburg
                                    => 9112,
                            oldfield
                                    => 9338, oldham  => 2035,
                            olds    => 3736, oleary  => 1562, oleson  => 7179, olguin  => 6406,
                            olinger => 4839, oliphant
                                    => 3365,
                            olivares
                                    => 2275, olivarez
                                    => 2877,
                            olivas  => 2551, oliveira
                                    => 3111,
                            oliver  => 199, olivera => 4496, oliveri => 9111, olivier => 6236,
                            olivo   => 3764, oller   => 7498, ollis   => 7497, olmos   => 4879,
                            olmstead
                                    => 2713, olney   => 6405,
                            oloughlin
                                    => 7747, olsen   => 516,
                            olson   => 167, olszewski
                                    => 6404,
                            olvera  => 2343, omalley => 2422, omara   => 5521, omeara  => 6580,
                            oneal   => 482, oneil   => 849, oneill  => 676, oney    => 8312,
                            ontiveros
                                    => 2876, oquendo => 4230,
                            oquinn  => 5556, orcutt  => 5365, ordonez => 3443, ordway  => 6704,
                            orear   => 9110, oreilly => 3062, orellana
                                    => 3518,
                            orman   => 7664, ormsby  => 7569, orndorff
                                    => 8311,
                            ornelas => 2023, orona   => 9840, oropeza => 9712, orosco  => 3269,
                            orourke => 2029, orozco  => 944, orr     => 563, orta    => 3713,
                            ortega  => 352, ortego  => 5448, orth    => 4206, ortiz   => 115,
                            orton   => 4261, osborn  => 733, osborne => 373, osburn  => 3228,
                            osgood  => 3038, oshaughnessy
                                    => 8675,
                            oshea   => 3712, oshiro  => 8556, osman   => 8025, osorio  => 2462,
                            osteen  => 3735, oster   => 4918, osterman
                                    => 6771,
                            ostler  => 8896, ostrander
                                    => 2814,
                            ostrom  => 7337, ostrowski
                                    => 8215,
                            osullivan
                                    => 3296, osuna   => 5837,
                            oswald  => 2869, oswalt  => 3981, otero   => 1446, otey    => 8115,
                            otoole  => 2628, otte    => 6900, otten   => 5886, ottinger
                                    => 6518,
                            oubre   => 6344, ouellette
                                    => 1602,
                            ousley  => 5164, outlaw  => 2296, ovalle  => 6839, overbey => 9109,
                            overby  => 3734, overcash
                                    => 7178,
                            overman => 4770, overstreet
                                    => 2068,
                            overton => 1309, overturf
                                    => 7047,
                            oviedo  => 8895, owens   => 106, owensby => 7663, owings  => 4878,
                            owsley  => 6235, oxendine
                                    => 7662,
                            oxley   => 6770, oyler   => 6298, ozuna   => 4917, pabon   => 5014,
                            pace    => 601, pacheco => 568, packard => 2682, packer  => 3483,
                            paddock => 4377, padgett => 1149, padilla => 389, padron  => 4462,
                            paez    => 5983, pagan   => 1040, pagano  => 4319, page    => 293,
                            pagel   => 8024, paine   => 2279, painter => 1244, paiva   => 8776,
                            paiz    => 7930, palacio => 5982, palacios
                                    => 1236,
                            palen   => 9839, palermo => 4982, palladino
                                    => 6579,
                            palmer  => 145, palmieri
                                    => 5940,
                            palmore => 5059, palmquist
                                    => 9570,
                            palomares
                                    => 9010, palomino
                                    => 5482,
                            palomo  => 5603, palumbo => 2616, panek   => 8555, pang    => 6076,
                            paniagua
                                    => 6188, pankey  => 6297,
                            pannell => 2977, pantoja => 3268, paolucci
                                    => 9569,
                            pape    => 3867, papenfuss
                                    => 9711,
                            pappas  => 2399, paquette
                                    => 1832,
                            paquin  => 5093, parada  => 7929, paradis => 2681, pardo   => 3881,
                            pardue  => 4618, pare    => 5939, paredes => 3204, parente => 9568,
                            parenteau
                                    => 5013, parham  => 1371,
                            parikh  => 9963, parisi  => 4769, parke   => 5938, parker  => 45,
                            parkerson
                                    => 8775, parkhurst
                                    => 4916,
                            parkin  => 7839, parkins => 7177, parkinson
                                    => 3011,
                            parkman => 6477, parks   => 282, parmenter
                                    => 6838,
                            parmer  => 5937, parnell => 1810, parr    => 1626, parra   => 1615,
                            parrett => 7661, parris  => 1978, parrish => 532, parrott => 2067,
                            parry   => 2875, parsley => 4981, parson  => 1579, parsons => 400,
                            partain => 6296, partee  => 7496, partida => 4727, partin  => 2987,
                            partlow => 8114, parton  => 4340, partridge
                                    => 2446,
                            pascal  => 9108, paschal => 4591, paschall
                                    => 4915,
                            pascoe  => 8554, pascual => 4914, pasillas
                                    => 9337,
                            pasley  => 8023, passmore
                                    => 3832,
                            pastore => 6703, pastrana
                                    => 8894,
                            pate    => 811, patel   => 524, paterson
                                    => 3074,
                            patillo => 8774, patino  => 3442, patnode => 7746, patten  => 1884,
                            patterson
                                    => 83, pattison
                                    => 4617,
                            patton  => 353, paugh   => 8674, pauley  => 2739, paulin  => 7176,
                            paulino => 5326, paulk   => 4205, paull   => 9107, paulsen => 2456,
                            paulson => 1610, paulus  => 6578, pauly   => 9450, pavlik  => 9710,
                            pawlak  => 9106, pawlowski
                                    => 9105,
                            paxton  => 2098, payan   => 9227, payne   => 159, paynter => 6837,
                            payton  => 1065, peabody => 4838, peachey => 1868, peacock => 1366,
                            peake   => 4877, pearce  => 897, pearcy  => 7928, pearlman
                                    => 9962,
                            pearman => 5602, pearsall
                                    => 4204,
                            pearson => 237, peart   => 7336, pease   => 2089, peaslee => 8113,
                            peavey  => 8438, peavy   => 6836, peay    => 8437, peck    => 698,
                            peckham => 4495, pecoraro
                                    => 8553,
                            peden   => 5201, pedersen
                                    => 1957,
                            pederson
                                    => 2076, pedigo  => 4288,
                            pedraza => 5281, pedroza => 4140, peebles => 2835, peek    => 2712,
                            peel    => 3810, peele   => 4530, peeler  => 3848, peeples => 3193,
                            peery   => 6343, pegram  => 7046, pegues  => 5785, peiffer => 8436,
                            peirce  => 8773, pelayo  => 4980, pelfrey => 8310, pelham  => 8435,
                            pelkey  => 4945, pell    => 6977, pellegrini
                                    => 8112,
                            pellegrino
                                    => 4095, pellerin
                                    => 5836,
                            pelletier
                                    => 1243, peloquin
                                    => 8022,
                            peltier => 3809, pelton  => 5130, peluso  => 8552, pemberton
                                    => 2332,
                            pena    => 274, pence   => 2455, pender  => 4052, pendergast
                                    => 8551,
                            pendergrass
                                    => 2813, pendleton
                                    => 1561,
                            pendley => 6702, penick  => 7175, penland => 6295, penley  => 7265,
                            penn    => 1212, pennell => 3331, penner  => 6577, pennington
                                    => 647,
                            pennock => 8893, penrod  => 4181, penson  => 9961, penton  => 6187,
                            peoples => 1128, pepe    => 6476, pepin   => 4979, pepper  => 1930,
                            peppers => 4913, perales => 3192, peralta => 1738, peraza  => 7045,
                            percival
                                    => 9838, perdomo => 6769,
                            perdue  => 1497, perea   => 3997, pereira => 1647, peres   => 5742,
                            pereyra => 8214, perez   => 40, perkins => 154, perlman => 6475,
                            permenter
                                    => 8021, pernell => 7660,
                            perrault
                                    => 8213, perreault
                                    => 3279,
                            perreira
                                    => 7174, perri   => 5936,
                            perrin  => 3429, perrine => 5935, perron  => 3635, perrone => 4686,
                            perrotta
                                    => 7659, perry   => 80,
                            perryman
                                    => 2162, persaud => 5012,
                            persinger
                                    => 6342, pesce   => 8212,
                            peterkin
                                    => 8434, peterman
                                    => 2771,
                            peters  => 187, petersen
                                    => 509,
                            peterson
                                    => 66, petit   => 3295,
                            petree  => 8550, petrella
                                    => 9226,
                            petri   => 9960, petrie  => 3591, petrillo
                                    => 8111,
                            petro   => 6976, petrone => 9959, petry   => 5981, pettaway
                                    => 6576,
                            pettengill
                                    => 9449, petterson
                                    => 6403,
                            pettey  => 9009, pettiford
                                    => 6294,
                            pettigrew
                                    => 3787, pettis  => 3673,
                            pettit  => 1518, pettus  => 4318, pettway => 4019, petty   => 715,
                            peyton  => 3203, pfaff   => 4494, pfeffer => 6341, pfeifer => 3634,
                            pfeiffer
                                    => 2352, pfister => 6474,
                            pham    => 1240, phan    => 2483, phares  => 8892, pharr   => 4944,
                            phelan  => 2482, phelps  => 444, phifer  => 4078, philbrick
                                    => 7745,
                            philips => 4120, phillips
                                    => 43,
                            philpot => 4590, philpott
                                    => 6835,
                            phinney => 7658, phipps  => 1095, piatt   => 6638, piazza  => 4164,
                            picard  => 2770, pichardo
                                    => 4260,
                            pickard => 2589, pickel  => 8110, pickens => 1657, pickering
                                    => 2075,
                            pickett => 739, pickle  => 4529, pieper  => 5200, pierce  => 160,
                            piercy  => 5447, pierson => 1007, pifer   => 7568, pigg    => 4339,
                            pike    => 989, pilcher => 4077, pilgrim => 5835, pilkington
                                    => 4560,
                            pimental
                                    => 6234, pimentel
                                    => 2105,
                            pina    => 1470, pinard  => 8433, pinckney
                                    => 3786,
                            pinder  => 4912, pineda  => 1094, pinero  => 8549, pinheiro
                                    => 9958,
                            pinkard => 7657, pinkerton
                                    => 3763,
                            pinkham => 5698, pinkney => 4094, pinkston
                                    => 3619,
                            pinney  => 8891, pino    => 3553, pinon   => 7335, pinson  => 2229,
                            pinto   => 2785, piotrowski
                                    => 8432,
                            piper   => 1108, pipkin  => 3267, pippin  => 3428, pires   => 6030,
                            pirtle  => 4461, pisano  => 6899, pitchford
                                    => 7103,
                            pitcock => 9837, pitman  => 3967, pitre   => 3441, pitt    => 2342,
                            pittman => 406, pitts   => 452, pitzer  => 6975, pixley  => 9104,
                            pizarro => 5446, placencia
                                    => 7656,
                            plaisance
                                    => 9008, plank   => 4317,
                            plante  => 3202, plascencia
                                    => 6402,
                            plata   => 9836, platt   => 1278, plemmons
                                    => 8211,
                            pless   => 6517, plotkin => 8673, plott   => 7927, plourde => 4616,
                            plowman => 6293, plumb   => 5364, plumlee => 7744, plumley => 5445,
                            plummer => 1003, plunkett
                                    => 2976,
                            plyler  => 8672, poche   => 8109, poff    => 6974, pogue   => 3191,
                            pohl    => 5011, pohlman => 9336, poindexter
                                    => 2286,
                            pointer => 3256, poirier => 1867, poisson => 5934, polak   => 9335,
                            polanco => 2398, polen   => 9835, poling  => 3921, polito  => 8210,
                            polk    => 922, pollack => 2812, pollak  => 8772, pollard => 760,
                            polley  => 5411, pollock => 1230, polson  => 5647, polston => 7426,
                            pomerleau
                                    => 7743, pomeroy => 3831,
                            pompey  => 8309, ponce   => 988, pond    => 2853, ponder  => 1947,
                            poole   => 411, pooler  => 5555, poore   => 2845, pope    => 372,
                            popham  => 8431, popovich
                                    => 7838,
                            popp    => 3903, porras  => 4430, porter  => 124, porterfield
                                    => 2738,
                            portillo
                                    => 1946, portis  => 4402,
                            posada  => 6898, posey   => 1304, posner  => 8430, poss    => 8209,
                            poston  => 2874, poteat  => 6075, poteet  => 6292, potter  => 347,
                            potts   => 729, poulin  => 2191, pouliot => 8108, poulos  => 6233,
                            poulsen => 8890, poulson => 8020, powe    => 4316, powell  => 81,
                            powers  => 289, poynter => 6131, prado   => 1999, prater  => 1291,
                            prather => 1621, pratt   => 398, preciado
                                    => 5697,
                            preece  => 4460, prejean => 9957, premo   => 9567, prendergast
                                    => 5834,
                            prentice
                                    => 3364, prentiss
                                    => 7742,
                            prescott
                                    => 1665, presley => 1552,
                            presnell
                                    => 6637, pressley
                                    => 1977,
                            prevost => 5646, prewitt => 2351, price   => 72, prichard
                                    => 3022,
                            prickett
                                    => 6973, priddy  => 5325,
                            pridemore
                                    => 6340, pridgen => 2934,
                            priebe  => 9956, priest  => 1851, priester
                                    => 7173,
                            priestley
                                    => 9007, prieto  => 2650,
                            primm   => 7334, prince  => 577, prindle => 8208, prine   => 6834,
                            pringle => 1918, prins   => 9955, prisco  => 8889, pritchard
                                    => 1106,
                            pritchett
                                    => 1370, privett => 8107,
                            probst  => 4837, prochaska
                                    => 9448,
                            procter => 9447, proctor => 901, proffitt
                                    => 2571,
                            prokop  => 9954, propst  => 4429, prosser => 3499, proulx  => 5058,
                            prouty  => 6768, provencher
                                    => 5410,
                            provenzano
                                    => 9006, provost => 3363,
                            pruett  => 1902, pruitt  => 549, pryce   => 9953, pryor   => 943,
                            puckett => 864, puente  => 2802, puentes => 8671, puga    => 5240,
                            pugh    => 622, pugliese
                                    => 6074,
                            puleo   => 7102, pulido  => 2834, pullen  => 2228, pulley  => 3552,
                            pulliam => 1892, pullum  => 9225, pulver  => 6186, puma    => 7926,
                            pumphrey
                                    => 5239, purcell => 1320,
                            purdy   => 2158, purifoy => 8019, purkey  => 7172, purnell => 2477,
                            purser  => 5363, pursley => 6767, purvis  => 1469, puryear => 4615,
                            putman  => 2627, putnam  => 1336, pyatt   => 8207, pyle    => 1945,
                            pyles   => 4528, quach   => 7264, quackenbush
                                    => 7925,
                            quade   => 6766, qualls  => 2157, quan    => 4876, quarles => 2074,
                            quattlebaum
                                    => 8018, quesada => 4911,
                            quesenberry
                                    => 8670, quevedo => 8106,
                            quezada => 2097, quigley => 2244, quijano => 7655, quiles  => 5601,
                            quillen => 3966, quimby  => 4401, quinlan => 3762, quinn   => 370,
                            quinones
                                    => 1045, quinonez
                                    => 3618,
                            quint   => 8771, quintana
                                    => 1154,
                            quintanilla
                                    => 2171, quintero
                                    => 1148,
                            quirk   => 5362, quiroga => 9709, quiroz  => 1944, raab    => 6701,
                            rabb    => 7425, rabe    => 6700, raber   => 8429, rabideau
                                    => 7333,
                            rabinowitz
                                    => 7263, rabon   => 8206,
                            raby    => 4645, racine  => 4589, rackley => 5129, radcliff
                                    => 5885,
                            radcliffe
                                    => 5010, rademacher
                                    => 5600,
                            rader   => 1842, radford => 1984, radke   => 8548, radtke  => 5128,
                            rael    => 4943, rafferty
                                    => 3440,
                            ragan   => 2933, rager   => 6185, ragin   => 8669, ragland => 1542,
                            raglin  => 9834, ragsdale
                                    => 1777,
                            ragusa  => 9708, rahman  => 6636, rahn    => 5092, railey  => 6765,
                            rainbolt
                                    => 8308, rainer  => 7495,
                            raines  => 1187, rainey  => 1081, rains   => 2470, rainwater
                                    => 4459,
                            rakes   => 6575, raley   => 3733, ralls   => 9707, ralston => 2227,
                            ramage  => 4814, rambo   => 4813, ramer   => 5520, rameriz => 6574,
                            ramey   => 1228, ramires => 8428, ramirez => 68, ramos   => 134,
                            ramsay  => 3711, ramsdell
                                    => 8017,
                            ramsey  => 301, rancourt
                                    => 6764,
                            rand    => 3294, randazzo
                                    => 5599,
                            randel  => 8668, randle  => 1484, randles => 9224, raney   => 3037,
                            rangel  => 905, rankin  => 876, rankins => 4726, ransdell
                                    => 8547,
                            ransom  => 1620, ranson  => 6401, raper   => 5057, raposa  => 8307,
                            rapp    => 2310, rasberry
                                    => 6763,
                            rascon  => 5324, rash    => 2749, rashid  => 7424, rasmussen
                                    => 844,
                            ratchford
                                    => 7837, ratcliff
                                    => 2221,
                            ratcliffe
                                    => 6400, rathbone
                                    => 5481,
                            rathbun => 5933, rathburn
                                    => 8888,
                            ratliff => 819, rauch   => 3427, rausch  => 4119, rawlings
                                    => 2649,
                            rawlins => 3572, rawls   => 2648, rawson  => 4588, raya    => 7171,
                            rayborn => 6699, rayburn => 3010, rayfield
                                    => 8205,
                            raymer  => 5884, rayner  => 5554, raynor  => 3785, razo    => 3761,
                            reagan  => 1694, reale   => 9833, ream    => 7170, reames  => 9005,
                            reams   => 5127, reardon => 2012, rearick => 9446, reaves  => 1649,
                            reavis  => 4428, reber   => 5480, recio   => 9103, rector  => 1772,
                            redd    => 1815, redden  => 3313, reddick => 2801, redding => 1744,
                            reddy   => 3227, redfield
                                    => 9566,
                            redford => 8306, reding  => 9334, redman  => 2121, redmon  => 3517,
                            redmond => 1335, redwine => 8427, reece   => 1093, reed    => 53,
                            reeder  => 1429, reedy   => 2503, reel    => 4338, rees    => 2514,
                            reese   => 343, reeser  => 9952, reeve   => 4118, reeves  => 316,
                            regalado
                                    => 3349, regan   => 1754,
                            regis   => 9004, rego    => 5696, rehm    => 8667, reich   => 2720,
                            reichard
                                    => 6972, reichel => 8204,
                            reichert
                                    => 3086, reid    => 218,
                            reider  => 9565, reidy   => 9564, reiff   => 7262, reilly  => 787,
                            reimer  => 4527, reimers => 7836, reiner  => 7261, reinert => 7654,
                            reinhard
                                    => 8887, reinhardt
                                    => 2570,
                            reinhart
                                    => 3847, reinhold
                                    => 7653,
                            reinke  => 6130, reis    => 2822, reiser  => 8426, reisinger
                                    => 9223,
                            reiss   => 4259, reiter  => 2521, reitz   => 4163, rembert => 4526,
                            remillard
                                    => 5056, remington
                                    => 4493,
                            remy    => 6833, renaud  => 5598, render  => 8546, rendon  => 2407,
                            reneau  => 8203, renfro  => 2665, renfroe => 5409, renfrow => 5741,
                            renn    => 8305, renner  => 2323, rennie  => 7924, renninger
                                    => 9333,
                            reno    => 3330, renshaw => 6635, rentas  => 9102, renteria
                                    => 1901,
                            renwick => 9563, renz    => 8304, repp    => 7567, resendez
                                    => 4768,
                            resnick => 7494, ressler => 8303, resto   => 8886, restrepo
                                    => 9706,
                            rettig  => 9562, reuter  => 3996, revell  => 6516, revels  => 6971,
                            revis   => 6832, reyes   => 135, reynolds
                                    => 107,
                            reynoso => 2436, rheaume => 9222, rhee    => 8105, rhinehart
                                    => 4644,
                            rhoades => 1601, rhoads  => 2303, rhoden  => 4051, rhodes  => 273,
                            rhone   => 5784, rhymes  => 8770, rhyne   => 4139, ribeiro => 7332,
                            ricard  => 9705, ricci   => 2975, ricciardi
                                    => 7044,
                            riccio  => 7923, rice    => 140, rich    => 542, richards
                                    => 201,
                            richardson
                                    => 61, richburg
                                    => 5444,
                            richerson
                                    => 6698, richert => 8666,
                            richey  => 1308, richman => 4685, richmond
                                    => 673,
                            richter => 1140, rickard => 2986, ricker  => 2546, rickert => 6697,
                            rickett => 9832, ricketts
                                    => 2262,
                            rickman => 3266, ricks   => 1198, riddell => 4076, riddick => 2120,
                            riddle  => 765, ridenhour
                                    => 6696,
                            ridenour
                                    => 3190, rideout => 6399,
                            rider   => 2044, ridgeway
                                    => 2520,
                            ridgway => 6073, ridings => 8545, ridley  => 1992, riedel  => 4525,
                            riegel  => 9003, rieger  => 6695, riehl   => 8544, riendeau
                                    => 6515,
                            ries    => 5519, rife    => 3760, riffe   => 6762, riffle  => 5740,
                            rigby   => 3830, rigdon  => 7741, riggins => 2545, riggle  => 6970,
                            riggs   => 775, rigney  => 5645, rigsby  => 2942, riker   => 8016,
                            riles   => 8202, riley   => 178, rimmer  => 5883, rinaldi => 3784,
                            rincon  => 4162, rinehart
                                    => 2141,
                            ringer  => 5644, ringler => 8015, ringo   => 9221, rinker  => 7835,
                            riojas  => 5238, riordan => 4400, rios    => 361, rioux   => 7101,
                            ripley  => 3244, rippy   => 7260, riser   => 9831, risher  => 9951,
                            risinger
                                    => 6634, risley  => 6573,
                            risner  => 6339, ritchey => 3293, ritchie => 1125, rittenhouse
                                    => 4684,
                            ritter  => 982, ritz    => 4978, rivard  => 4138, rivas   => 654,
                            rivera  => 59, rivero  => 4229, rivers  => 620, rives   => 6969,
                            rizo    => 7922, rizzi   => 9704, rizzo   => 2387, roach   => 671,
                            roan    => 8425, roane   => 7834, roark   => 1625, robb    => 2257,
                            robbins => 338, roberge => 3379, roberson
                                    => 427,
                            roberts => 41, robertson
                                    => 141,
                            robeson => 8424, robey   => 4050, robichaud
                                    => 5443,
                            robichaux
                                    => 5643, robidoux
                                    => 9101,
                            robinett
                                    => 6473, robinette
                                    => 2062,
                            robins  => 2274, robinson
                                    => 19,
                            robison => 1134, robitaille
                                    => 9002,
                            robledo => 4161, robles  => 538, robson  => 3653, roby    => 2469,
                            rocha   => 863, roche   => 1743, rochon  => 9830, rockett => 7100,
                            rockwell
                                    => 2096, rockwood
                                    => 8423,
                            rodarte => 5280, rodas   => 6184, roddy   => 4180, roden   => 3417,
                            rodgers => 337, rodman  => 4287, rodrigez
                                    => 6761,
                            rodrigue
                                    => 3226, rodrigues
                                    => 1184,
                            rodriguez
                                    => 21, rodriques
                                    => 6633,
                            rodriquez
                                    => 265, roebuck => 4315,
                            roeder  => 6760, roehl   => 9332, roemer  => 7169, roesch  => 8665,
                            roesler => 8543, rogan   => 7168, rogers  => 52, rogerson
                                    => 9950,
                            rogge   => 9561, rohan   => 9949, rohde   => 4203, rohr    => 3617,
                            rohrbach
                                    => 9948, rohrbaugh
                                    => 9947,
                            rohrer  => 6338, rojas   => 571, rojo    => 4643, roldan  => 3672,
                            rolen   => 9100, rolfe   => 4376, rolle   => 8302, roller  => 3571,
                            rollins => 701, rollo   => 7423, rolon   => 5323, romano  => 1339,
                            romer   => 9220, romero  => 222, romig   => 9331, romine  => 4492,
                            romo    => 1636, rondeau => 5322, rondon  => 9445, rone    => 8104,
                            roney   => 3151, rood    => 4642, rook    => 8103, rooker  => 5932,
                            rooks   => 4427, rooney  => 1829, roop    => 5882, roos    => 7167,
                            root    => 1560, roper   => 1365, roque   => 4075, rorie   => 8664,
                            rosado  => 909, rosales => 798, rosas   => 1296, rosati  => 8769,
                            roseberry
                                    => 5199, roseboro
                                    => 8301,
                            roselli => 9001, roseman => 7043, rosemond
                                    => 7566,
                            rosen   => 1387, rosenbaum
                                    => 3616,
                            rosenberg
                                    => 1264, rosenberger
                                    => 4836,
                            rosenberry
                                    => 8422, rosenblatt
                                    => 7422,
                            rosenblum
                                    => 5739, rosenfeld
                                    => 4875,
                            rosenthal
                                    => 1828, rosner  => 8885,
                            ross    => 76, rosser  => 3348, rossi   => 1354, rossiter
                                    => 7565,
                            rossman => 5980, rosson  => 9099, rost    => 7331, roth    => 580,
                            rothe   => 9703, rother  => 9946, rothman => 4874, rothrock
                                    => 8542,
                            rothstein
                                    => 6291, rothwell
                                    => 8102,
                            rotz    => 7493, rouleau => 7166, rounds  => 2711, roundtree
                                    => 3980,
                            roundy  => 5642, rountree
                                    => 3312,
                            rourke  => 7099, rouse   => 872, roush   => 2376, rousseau
                                    => 3189,
                            roussel => 3902, routh   => 7042, roux    => 8014, rowan   => 1721,
                            rowden  => 5738, rowe    => 350, rowell  => 1578, rowland => 737,
                            rowles  => 7165, rowlett => 6472, rowley  => 1924, roybal  => 3979,
                            royer   => 3188, royster => 3061, royston => 7098, rozell  => 9219,
                            rozier  => 5198, ruano   => 7259, ruark   => 9945, rubalcava
                                    => 8201,
                            rubenstein
                                    => 7740, rubino  => 5197,
                            rubinstein
                                    => 9218, rubio   => 1009,
                            ruble   => 4683, ruch    => 5979, rucker  => 1006, ruckman => 8663,
                            rudd    => 1609, rudder  => 9944, ruddy   => 9330, ruder   => 9444,
                            rudnick => 7921, rueda   => 6514, ruelas  => 4725, ruff    => 1728,
                            ruffin  => 1211, ruffner => 7041, rugg    => 8541, ruggiero
                                    => 4587,
                            ruggles => 5783, ruhl    => 6471, ruiz    => 175, rummel  => 7164,
                            rumph   => 5597, rumsey  => 5408, rundell => 7330, runge   => 4873,
                            runion  => 5737, runkle  => 8662, runnels => 5407, runyan  => 3732,
                            runyon  => 2220, rupe    => 7258, rupp    => 3085, ruppert => 5596,
                            rusch   => 8661, rush    => 624, rushing => 1263, rushton => 7257,
                            rusk    => 5279, russo   => 662, rust    => 2647, rutan   => 8013,
                            rutherford
                                    => 950, rutkowski
                                    => 7739,
                            rutland => 4942, rutledge
                                    => 803,
                            rutter  => 4228, ruvalcaba
                                    => 5518,
                            ryals   => 4559, ryder   => 1715, ryerson => 9943, rymer   => 9000,
                            saad    => 6398, saari   => 6572, saavedra
                                    => 2519,
                            sabin   => 4682, sabo    => 3920, sabol   => 7421, sacco   => 4049,
                            sachs   => 4910, sackett => 6397, saddler => 4286, sadler  => 1341,
                            sadowski
                                    => 5321, saechao => 8300,
                            saenz   => 1357, saez    => 6183, safford => 5833, sage    => 2769,
                            sager   => 2697, sagers  => 9829, sain    => 6290, saito   => 7163,
                            saiz    => 4941, sala    => 7329, salas   => 700, salazar => 315,
                            salcedo => 2920, salcido => 3278, saldana => 1680, saldivar
                                    => 4018,
                            saleh   => 7492, salerno => 3808, salgado => 1242, salguero
                                    => 9942,
                            salinas => 547, salisbury
                                    => 2170,
                            sallee  => 3498, salley  => 3416, salmeron
                                    => 9702,
                            salmon  => 2112, salmons => 6396, salo    => 8299, salomon => 8200,
                            salter  => 1559, salters => 8298, saltsman
                                    => 9560,
                            saltzman
                                    => 8421, salyer  => 4117,
                            salyers => 6470, salzman => 8199, samaniego
                                    => 4641,
                            sammons => 3060, samons  => 5517, samora  => 7833, sample  => 1875,
                            samples => 3150, sampson => 718, sams    => 1693, samson  => 2664,
                            samuels => 1048, samuelson
                                    => 4872,
                            sanabria
                                    => 4835, sanborn => 2295,
                            sanches => 4048, sanchez => 50, sandberg
                                    => 4017,
                            sander  => 2784, sanderlin
                                    => 8660,
                            sanders => 71, sanderson
                                    => 1161,
                            sandidge
                                    => 8297, sandifer
                                    => 5196,
                            sandler => 5881, sandlin => 3178, sandoval
                                    => 377,
                            sands   => 1624, sandstrom
                                    => 6337,
                            sandusky
                                    => 7652, sanfilippo
                                    => 9443,
                            sanger  => 9701, sankey  => 6336, sanmiguel
                                    => 7097,
                            sanner  => 9217, sansom  => 7096, sansone => 6335, santacruz
                                    => 6129,
                            santamaria
                                    => 5641, santana => 704,
                            santangelo
                                    => 9559, santiago
                                    => 284,
                            santillan
                                    => 5695, santini => 9098,
                            santistevan
                                    => 8884, santoro => 4179,
                            santos  => 320, santoyo => 6513, santucci
                                    => 9558,
                            sapp    => 1440, sappington
                                    => 7651,
                            sarabia => 7738, saravia => 9216, sargeant
                                    => 7564,
                            sargent => 841, sarmiento
                                    => 5595,
                            sartain => 7420, sartin  => 5320, sarver  => 5319, sasaki  => 7650,
                            sass    => 6694, sasser  => 3149, satchell
                                    => 8999,
                            sather  => 8101, sato    => 4399, satterfield
                                    => 2134,
                            satterlee
                                    => 8998, satterwhite
                                    => 4724,
                            sattler => 6289, sauceda => 4375, saucedo => 1742, saucier => 2974,
                            sauer   => 2273, sauls   => 3243, saunders
                                    => 383,
                            sauter  => 8659, savage  => 515, saville => 6897, savino  => 8100,
                            savoie  => 5516, savoy   => 3396, sawicki => 7563, sawyer  => 462,
                            sawyers => 3395, saxon   => 3759, saxton  => 2800, sayer   => 8198,
                            sayers  => 3919, sayles  => 4940, saylor  => 2028, sayre   => 3807,
                            scaggs  => 9097, scaife  => 8540, scala   => 8296, scales  => 1910,
                            scalf   => 6469, scalise => 6896, scanlan => 5640, scanlon => 2783,
                            scannell
                                    => 8883, scarberry
                                    => 6288,
                            scarborough
                                    => 2176, scarbrough
                                    => 2997,
                            scates  => 8997, schaaf  => 7040, schaal  => 7491, schade  => 6632,
                            schaefer
                                    => 908, schaeffer
                                    => 2083,
                            schafer => 1375, schaff  => 9828, schaffer
                                    => 1659,
                            schaffner
                                    => 6759, schall  => 8539,
                            schaller
                                    => 6395, schank  => 9827,
                            schantz => 9329, scharf  => 6631, schatz  => 5195, schaub  => 6758,
                            schauer => 7832, scheel  => 7256, scheer  => 5055, scheetz => 9215,
                            scheffler
                                    => 5694, scheid  => 9214,
                            schell  => 2082, scheller
                                    => 7328,
                            schenck => 4723, schenk  => 4285, scherer => 3084, schermerhorn
                                    => 8295,
                            schexnayder
                                    => 6182, schick  => 5832,
                            schiff  => 6571, schiffer
                                    => 9826,
                            schiffman
                                    => 7920, schiller
                                    => 3829,
                            schilling
                                    => 2204, schindler
                                    => 3828,
                            schlegel
                                    => 4977, schleicher
                                    => 7490,
                            schlosser
                                    => 4524, schlueter
                                    => 6232,
                            schmid  => 2588, schmidt => 193, schmit  => 7419, schmitt => 1100,
                            schmitz => 1439, schneck => 9328, schneider
                                    => 303,
                            schnell => 5442, schock  => 6757, schoen  => 4767, schoenfeld
                                    => 7737,
                            schofield
                                    => 2219, scholl  => 3758,
                            scholz  => 5978, schooley
                                    => 8996,
                            schoonmaker
                                    => 6756, schoonover
                                    => 4074,
                            schorr  => 8995, schott  => 3277, schrader
                                    => 2212,
                            schram  => 6693, schramm => 4227, schreck => 7831, schreiber
                                    => 1976,
                            schreiner
                                    => 3940, schrimsher
                                    => 8197,
                            schrock => 4834, schroder
                                    => 4398,
                            schroeder
                                    => 517, schrum  => 9327,
                            schubert
                                    => 2919, schuck  => 7418,
                            schuetz => 9096, schuh   => 7830, schuler => 2150, schuller
                                    => 7039,
                            schulman
                                    => 5693, schulte => 2416,
                            schultz => 290, schulz  => 1641, schulze => 3671, schumacher
                                    => 1814,
                            schumaker
                                    => 8994, schuman => 5163,
                            schumann
                                    => 5054, schuster
                                    => 1983,
                            schutt  => 6630, schutte => 9442, schutz  => 5053, schuyler
                                    => 8196,
                            schwab  => 2149, schwartz
                                    => 393,
                            schwarz => 2186, schweitzer
                                    => 3148,
                            scofield
                                    => 5361, scoggins
                                    => 3482,
                            scoville
                                    => 7162, scranton
                                    => 9557,
                            scribner
                                    => 3965, scrivner
                                    => 8420,
                            scroggins
                                    => 2218, scruggs => 1305,
                            scull   => 8099, scully  => 3633, scurlock
                                    => 9556,
                            scurry  => 7829, seabolt => 6468, seabrook
                                    => 8419,
                            seager  => 9555, seagraves
                                    => 7919,
                            seal    => 2317, seale   => 4093, sealey  => 7562, seals   => 1218,
                            sealy   => 5639, seaman  => 2095, seamon  => 9326, searcy  => 2696,
                            searle  => 4722, searles => 5052, sears   => 740, seaton  => 2958,
                            seaver  => 7095, seavey  => 7255, seawright
                                    => 8012,
                            seay    => 1529, sebring => 9941, sechrist
                                    => 8538,
                            secor   => 9441, seda    => 7327, sedillo => 6128, seeger  => 6287,
                            seeley  => 3129, seely   => 4202, segal   => 4116, segarra => 8011,
                            segars  => 9700, seger   => 4909, segovia => 4458, segura  => 1408,
                            seibel  => 7161, seiber  => 6629, seibert => 3362, seidel  => 3670,
                            seidl   => 9440, seifert => 2918, seiler  => 3731, seitz   => 2415,
                            selby   => 2193, sellars => 4115, sellers => 608, sells   => 3162,
                            selman  => 7094, selph   => 9554, seltzer => 6755, semple  => 8195,
                            seng    => 6467, senn    => 4812, senter  => 7561, sepulveda
                                    => 2569,
                            sequeira
                                    => 8768, serafin => 9940,
                            sergent => 7736, serio   => 9939, serna   => 2006, serra   => 5692,
                            serrano => 572, serrato => 5479, servin  => 9938, sessoms => 4640,
                            setser  => 7828, settles => 4073, setzer  => 5237, severance
                                    => 6754,
                            severson
                                    => 3329, sevier  => 8418,
                            sevigny => 7038, sevilla => 5278, seward  => 2302, sewell  => 1077,
                            sexton  => 600, seymore => 3615, shackelford
                                    => 2513,
                            shackleford
                                    => 7093, shade   => 2695,
                            shaeffer
                                    => 9213, shafer  => 1028,
                            shaffer => 489, shah    => 1861, shahan  => 9095, shamblin
                                    => 8194,
                            shanahan
                                    => 4137, shaner  => 4397,
                            shank   => 2731, shankle => 6394, shanklin
                                    => 5638,
                            shanks  => 2211, shapiro => 1417, sharkey => 3614, sharma  => 5637,
                            sharp   => 306, sharpe  => 814, shatley => 8882, shattuck
                                    => 5594,
                            shaughnessy
                                    => 6831, shaul   => 9937,
                            shaver  => 1483, shavers => 7417, shaw    => 138, shawver => 8993,
                            shea    => 871, shealy  => 5318, shearer => 1679, shearin => 8658,
                            shears  => 5736, shedd   => 6466, sheehan => 1111, sheehy  => 8294,
                            sheets  => 1428, sheffer => 8767, sheffield
                                    => 1202,
                            shehan  => 9553, sheilds => 9825, shell   => 2034, shelton => 257,
                            shenk   => 8417, shepard => 684, shepardson
                                    => 8881,
                            sheperd => 9439, shephard
                                    => 3669,
                            shepherd
                                    => 505, sheppard
                                    => 628,
                            sherer  => 5553, sherlock
                                    => 6334,
                            sherrard
                                    => 9212, sherrer => 7254,
                            sherrod => 2267, sherwin => 6830, shetler => 8098, shewmaker
                                    => 9824,
                            shick   => 7489, shields => 513, shifflett
                                    => 3688,
                            shiflett
                                    => 8657, shilling
                                    => 5831,
                            shim    => 8537, shimizu => 9211, shin    => 2932, shinault
                                    => 9699,
                            shinn   => 2580, shipe   => 6286, shipley => 1507, shipman => 1633,
                            shipp   => 1850, shippy  => 8656, shirey  => 4523, shirk   => 5880,
                            shively => 3461, shiver  => 5931, shivers => 4047, shoaf   => 9094,
                            shockey => 5194, shockley
                                    => 1841,
                            shoemake
                                    => 4586, shoemaker
                                    => 948,
                            shoffner
                                    => 5977, shook   => 1330,
                            shoop   => 5830, shope   => 6895, shores  => 3632, shorey  => 9823,
                            shorter => 2512, shortridge
                                    => 8416,
                            shortt  => 9210, shotwell
                                    => 6753,
                            shoup   => 4639, shouse  => 4811, showalter
                                    => 5735,
                            showers => 4976, shrader => 3378, shreve  => 5193, shriver => 4558,
                            shropshire
                                    => 5277, shrout  => 9325,
                            shroyer => 8415, shrum   => 5276, shryock => 8880, shubert => 6127,
                            shuck   => 6692, shuey   => 9936, shuler  => 2119, shull   => 2748,
                            shults  => 6181, shultz  => 1527, shumaker
                                    => 3481,
                            shuman  => 3255, shumate => 3242, shumpert
                                    => 7649,
                            shumway => 5406, shunk   => 9822, shupe   => 4681, shuster => 5405,
                            shute   => 9093, shutt   => 5782, sibert  => 7416, sibley  => 2917,
                            siciliano
                                    => 9552, sickler => 7092,
                            sickles => 9698, sieber  => 9697, siebert => 5360, siegel  => 1451,
                            siegfried
                                    => 8097, sievers => 5404,
                            sifuentes
                                    => 6691, sigala  => 9324,
                            sigler  => 2811, sigman  => 7415, sigmon  => 4284, sikes   => 2236,
                            sikora  => 5691, sikorski
                                    => 8992,
                            siler   => 2646, sill    => 7735, sills   => 3978, silva   => 236,
                            silvas  => 6180, silveira
                                    => 4810,
                            silverberg
                                    => 9209, silverman
                                    => 2133,
                            silvers => 3710, silverstein
                                    => 5403,
                            silvestri
                                    => 8991, silvey  => 4975,
                            simard  => 7326, simas   => 7488, simkins => 9935, simmers => 8655,
                            simmon  => 6393, simmons => 88, simms   => 955, simonds => 4680,
                            simoneau
                                    => 7253, simoneaux
                                    => 7252,
                            simons  => 1158, simonsen
                                    => 8766,
                            simonson
                                    => 3480, simonton
                                    => 7251,
                            simpkins
                                    => 2169, simpson => 121,
                            sims    => 185, sinclair
                                    => 962,
                            sine    => 8654, sines   => 6894, singh   => 1114, singletary
                                    => 1900,
                            singleton
                                    => 436, singley => 6690,
                            sinnott => 9551, sipe    => 4426, sipes   => 3570, sipple  => 6179,
                            sirois  => 5441, sisco   => 3613, sisk    => 2118, sisler  => 9550,
                            sisneros
                                    => 5515, sisson  => 2444,
                            sistrunk
                                    => 7037, sitton  => 7734,
                            sizemore
                                    => 1215, sizer   => 9208,
                            skaggs  => 1632, skeen   => 4160, skeens  => 7414, skelly  => 7560,
                            skelton => 1943, skiba   => 9438, skidmore
                                    => 2250,
                            skiles  => 4809, skinner => 475, skipper => 3292, slack   => 2680,
                            slade   => 2005, slagle  => 3291, slate   => 5317, slater  => 807,
                            slaton  => 3866, slattery
                                    => 3783,
                            slaugh  => 8765, slaughter
                                    => 881,
                            slavin  => 5879, slay    => 6126, slayton => 4016, sledge  => 2294,
                            sleeper => 8414, sloan   => 589, sloat   => 6968, slocum  => 2782,
                            slone   => 2350, slover  => 8193, sluder  => 8879, slusher => 6178,
                            smalley => 2414, smalls  => 1720, smallwood
                                    => 1416,
                            smedley => 7160, smelser => 8536, smiley  => 1174, smith   => 1,
                            smither => 9092, smitherman
                                    => 4871,
                            smithers
                                    => 4766, smithey => 9696,
                            smithson
                                    => 3290, smock   => 5552,
                            smoot   => 2679, smothers
                                    => 3328,
                            smtih   => 7250, smyth   => 3516, snapp   => 5930, snavely => 8413,
                            snead   => 2852, sneed   => 1285, snell   => 1054, snelling
                                    => 7249,
                            snelson => 8990, snider  => 797, snipes  => 3265, snoddy  => 9091,
                            snodgrass
                                    => 1982, snook   => 4092,
                            snow    => 503, snowden => 1966, snyder  => 170, soares  => 2957,
                            sobel   => 8653, sobers  => 9090, socha   => 9207, soderberg
                                    => 9821,
                            sohn    => 7918, soileau => 4201, sokol   => 5051, solano  => 2810,
                            solares => 8989, solari  => 9820, solberg => 6231, soler   => 5781,
                            soles   => 9089, solis   => 643, soliz   => 2844, sollars => 7159,
                            soloman => 7413, solorio => 4314, solorzano
                                    => 6177,
                            somers  => 2868, somerville
                                    => 3880,
                            sommers => 2476, sommerville
                                    => 7412,
                            songer  => 8412, sonnenberg
                                    => 9695,
                            sonnier => 4283, soper   => 4282, sorensen
                                    => 1117,
                            sorenson
                                    => 1741, soria   => 3479,
                            soriano => 2615, sorrell => 3161, sorrells
                                    => 4374,
                            sorrentino
                                    => 8988, sosa    => 838,
                            sosebee => 9323, sotelo  => 2550, soto    => 247, sotomayor
                                    => 8878,
                            soucy   => 5162, souder  => 9088, souders => 9087, soukup  => 7559,
                            soule   => 4091, sours   => 9086, sousa   => 1827, southall
                                    => 9206,
                            southard
                                    => 3529, southerland
                                    => 3160,
                            southwick
                                    => 7558, southworth
                                    => 5514,
                            souza   => 1442, sowards => 9085, sowder  => 6628, sowell  => 2406,
                            sowers  => 2544, spaeth  => 8877, spahn   => 9322, spalding
                                    => 3439,
                            spangler
                                    => 1457, spann   => 1956,
                            spano   => 8535, sparkman
                                    => 3147,
                            sparks  => 420, sparrow => 3146, spates  => 7557, spaulding
                                    => 1324,
                            speakman
                                    => 9084, spear   => 2155,
                            spearman
                                    => 3021, spears  => 635,
                            specht  => 7411, speck   => 5636, spector => 7158, speer   => 1942,
                            speight => 3901, speights
                                    => 9819,
                            speller => 8876, spellman
                                    => 3289,
                            spence  => 710, spencer => 156, sperling
                                    => 5593,
                            sperry  => 3730, spicer  => 1482, spiegel => 5976, spielman
                                    => 7036,
                            spiers  => 7917, spies   => 7157, spiker  => 6465, spikes  => 4974,
                            spiller => 4425, spillman
                                    => 3900,
                            spina   => 6570, spindler
                                    => 8875,
                            spinelli
                                    => 5478, spinks  => 3652,
                            spires  => 5316, spitler => 7916, spitz   => 8411, spitzer => 4765,
                            spivey  => 976, spooner => 2973, spotts  => 8764, spradlin
                                    => 3361,
                            spradling
                                    => 8534, spraggins
                                    => 7915,
                            sprague => 1311, spratt  => 8096, sprayberry
                                    => 7914,
                            spriggs => 3806, springer
                                    => 927,
                            sprinkle
                                    => 4491, sproul  => 7556,
                            sprouse => 3187, spruill => 2543, spry    => 8410, spurgeon
                                    => 3899,
                            spurlin => 8874, spurling
                                    => 8652,
                            spurlock
                                    => 2235, squire  => 6689,
                            squires => 1849, sroka   => 8987, staab   => 9437, staats  => 6967,
                            stabler => 8651, stack   => 2972, stackhouse
                                    => 3757,
                            stadler => 6125, stafford
                                    => 556,
                            stagg   => 7733, staggs  => 3177, stagner => 8010, stahl   => 1524,
                            stahlman
                                    => 9436, staley  => 1459,
                            stallard
                                    => 6230, stallings
                                    => 1427,
                            stallworth
                                    => 2694, stalnaker
                                    => 6569,
                            stalvey => 9694, stambaugh
                                    => 7091,
                            stamey  => 6285, stamm   => 3756, stamper => 2117, stamps  => 2710,
                            stancil => 4490, standifer
                                    => 6893,
                            standish
                                    => 8873, standley
                                    => 5009,
                            standridge
                                    => 6512, stanek  => 9549,
                            stanfield
                                    => 2371, stanfill
                                    => 6176,
                            stanger => 7156, stanhope
                                    => 9548,
                            stannard
                                    => 9693, stansberry
                                    => 4226,
                            stansbury
                                    => 4457, stanton => 796,
                            staples => 1517, stapleton
                                    => 1397,
                            stapp   => 9818, starbuck
                                    => 8872,
                            starcher
                                    => 8763, stark   => 754,
                            starke  => 9547, starkey => 1929, starks  => 1197, starling
                                    => 2867,
                            starnes => 1569, starr   => 971, starrett
                                    => 9692,
                            staten  => 2916, statler => 9817, staton  => 1488, staub   => 6627,
                            stauffer
                                    => 3311, stclair => 2370,
                            stcyr   => 6688, steadman
                                    => 3782,
                            stearns => 1795, stebbins
                                    => 5050,
                            steck   => 7913, stedman => 8095, steed   => 2568, steele  => 287,
                            steelman
                                    => 5440, steen   => 2066,
                            stefanski
                                    => 9816, steffen => 3241,
                            steffens
                                    => 6687, steffey => 9815,
                            stegall => 3590, steger  => 5359, steib   => 6626, steiger => 7155,
                            stein   => 731, steinbach
                                    => 7648,
                            steinberg
                                    => 2663, steiner => 1481,
                            steinke => 6392, steinman
                                    => 6966,
                            steinmetz
                                    => 4373, stell   => 9546,
                            stelly  => 8293, stenger => 9083, stennett
                                    => 9691,
                            stenson => 8409, stephens
                                    => 158,
                            stephenson
                                    => 569, stepp   => 2202,
                            stern   => 1396, sternberg
                                    => 6284,
                            sterner => 5236, sterrett
                                    => 9082,
                            stevens => 122, stevenson
                                    => 318,
                            steverson
                                    => 7732, steward => 1030,
                            stewart => 49, stgeorge
                                    => 8986,
                            stgermain
                                    => 5551, sthilaire
                                    => 6464,
                            stice   => 9321, stickler
                                    => 7154,
                            stickley
                                    => 8871, stickney
                                    => 4585,
                            stidham => 3460, stier   => 8009, stiffler
                                    => 6391,
                            stiles  => 1315, stillman
                                    => 4072,
                            stills  => 9934, stillwell
                                    => 3426,
                            stiltner
                                    => 3046, stilwell
                                    => 5592,
                            stimpson
                                    => 8870, stine   => 2737,
                            stines  => 8650, stinnett
                                    => 2781,
                            stinson => 913, stites  => 5780, stith   => 4908, stitt   => 3755,
                            stiver  => 9545, stivers => 7912, stjohn  => 1909, stlaurent
                                    => 8408,
                            stlouis => 5591, stockdale
                                    => 6568,
                            stocker => 4522, stockman
                                    => 4424,
                            stocks  => 4521, stockstill
                                    => 9814,
                            stockton
                                    => 1794, stockwell
                                    => 5126,
                            stoddard
                                    => 1907, stoffel => 7090,
                            stogner => 8094, stoker  => 3939, stokes  => 381, stoll   => 3145,
                            stollings
                                    => 6892, stoltz  => 5477,
                            stoltzfus
                                    => 4679, stone   => 151,
                            stoner  => 1848, stonge  => 4136, stoops  => 5734, storer  => 5929,
                            storey  => 1858, storms  => 4638, stott   => 3898, stotts  => 6463,
                            stouffer
                                    => 6124, stout   => 722,
                            stovall => 1541, stover  => 1169, stowe   => 2662, stowell => 4870,
                            stowers => 4258, stpeter => 8407, stpierre
                                    => 2866,
                            strachan
                                    => 8192, strader => 4281,
                            strahan => 6625, strain  => 2903, strait  => 4372, straka  => 8008,
                            straley => 7410, strand  => 2971, strang  => 9320, strasser
                                    => 7487,
                            stratton
                                    => 1295, straub  => 3977,
                            strauch => 9319, strauss => 2542, strawn  => 4520, strawser
                                    => 6752,
                            strayer => 8985, streeter
                                    => 2049,
                            streit  => 8649, stribling
                                    => 5513,
                            stricker
                                    => 7089, strickland
                                    => 345,
                            strickler
                                    => 4614, stricklin
                                    => 4280,
                            stringer
                                    => 1369, stringfellow
                                    => 6072,
                            stringfield
                                    => 8869, stringham
                                    => 8762,
                            stripling
                                    => 7647, strobel => 5476,
                            strode  => 6567, stroh   => 6071, strom   => 4178, stroman => 5315,
                            stromberg
                                    => 5733, strong  => 576,
                            strope  => 9933, strother
                                    => 2637,
                            stroud  => 1083, stroup  => 3964, stroupe => 9813, strouse => 7035,
                            struble => 6175, strunk  => 3478, stubblefield
                                    => 2560,
                            stubbs  => 1307, stuckey => 2736, studebaker
                                    => 9690,
                            studer  => 4371, stull   => 3099, stultz  => 5690, stump   => 2413,
                            stumpf  => 5125, sturdivant
                                    => 3897,
                            sturgeon
                                    => 3215, sturges => 8093,
                            sturgill
                                    => 3186, sturgis => 3896,
                            sturm   => 3497, sturtevant
                                    => 8007,
                            stutz   => 8292, stutzman
                                    => 4557,
                            styron  => 9435, suarez  => 714, suazo   => 7827, suber   => 4519,
                            sublett => 6070, sudduth => 5732, suggs   => 1395, suiter  => 6229,
                            sullins => 6228, sullivan
                                    => 100,
                            sumlin  => 9318, summerlin
                                    => 3895,
                            summers => 449, summerville
                                    => 5049,
                            summey  => 9812, sumner  => 1327, sumpter => 3083, sumrall => 5550,
                            sundberg
                                    => 6283, sunderland
                                    => 5235,
                            sundquist
                                    => 9205, surber  => 5234,
                            surles  => 8984, surratt => 4114, sussman => 6029, suter   => 7409,
                            sutherland
                                    => 1127, sutphin => 5689,
                            sutter  => 3098, suttle  => 6686, suttles => 5314, sutton  => 261,
                            suzuki  => 5008, svoboda => 7088, swafford
                                    => 2369,
                            swaim   => 6028, swain   => 895, swan    => 1252, swaney  => 7087,
                            swanger => 8648, swank   => 3377, swann   => 1981, swanner => 8291,
                            swanson => 354, swarey  => 6566, swart   => 8647, swartz  => 1137,
                            swearingen
                                    => 3963, sweatman
                                    => 9689,
                            sweatt  => 5928, sweeney => 575, sweeny  => 8533, sweitzer
                                    => 6829,
                            swensen => 9204, swenson => 1468, swett   => 6174, swick   => 8092,
                            swift   => 1192, swiger  => 6027, swilley => 9081, swindell
                                    => 5313,
                            swindle => 4833, swinehart
                                    => 9203,
                            swiney  => 9688, swinford
                                    => 8006,
                            swingle => 9811, swink   => 6069, swinney => 4808, swinson => 7248,
                            swint   => 8091, swinton => 5512, swisher => 2931, switzer => 2111,
                            swope   => 3894, sydnor  => 7247, sykes   => 738, symonds => 8983,
                            symons  => 8005, synder  => 8090, szabo   => 4939, szeto   => 9932,
                            szymanski
                                    => 4456, tabares => 9544,
                            tabb    => 4518, taber   => 3360, tabor   => 1643, tackett => 1678,
                            tadlock => 8868, tafoya  => 4279, taft    => 2645, taggart => 3020,
                            tague   => 8004, tait    => 5161, takahashi
                                    => 5927,
                            talamantes
                                    => 8646, talarico
                                    => 9080,
                            talavera
                                    => 7408, talbert => 2285,
                            talbot  => 1585, talbott => 3528, taliaferro
                                    => 7246,
                            talkington
                                    => 8645, tallant => 9931,
                            tallent => 3962, talley  => 816, tallman => 4370, tally   => 9687,
                            talton  => 7325, tamayo  => 3073, tamez   => 6390, tanaka  => 3045,
                            tang    => 1801, tanguay => 7646, tankersley
                                    => 4613,
                            tanksley
                                    => 9317, tanner  => 566,
                            tapia   => 1080, tapley  => 5878, tapp    => 3709, tapper  => 8761,
                            tarango => 6227, tarantino
                                    => 9316,
                            tarbox  => 8191, tardif  => 7645, tardiff => 5829, tarpley => 7911,
                            tarr    => 4313, tarrant => 5048, tart    => 6965, tarter  => 6565,
                            tarver  => 3059, tarvin  => 9686, tasker  => 8190, tate    => 321,
                            tatro   => 4764, tatum   => 939, tauber  => 9685, tavares => 2587,
                            tavarez => 6624, taveras => 6226, taylor  => 10, teague  => 1089,
                            teal    => 3214, teasley => 6685, tedder  => 5439, tedeschi
                                    => 8290,
                            tedesco => 4721, tedford => 6684, teel    => 2368, teeter  => 3515,
                            teeters => 8089, teets   => 8289, teixeira
                                    => 5635,
                            tejada  => 3551, tejeda  => 3805, telford => 7731, telles  => 6564,
                            tellez  => 3240, tellier => 9930, tello   => 5634, templeton
                                    => 2041,
                            templin => 8088, tennant => 3097, tenney  => 3569, tennison
                                    => 8288,
                            tennyson
                                    => 5779, tenorio => 6462,
                            teran   => 7245, terrazas
                                    => 4807,
                            terrill => 3938, terwilliger
                                    => 6964,
                            tesch   => 6123, teske   => 9202, tessier => 6828, testa   => 4369,
                            tester  => 8760, testerman
                                    => 7555,
                            teter   => 7554, tetreault
                                    => 4584,
                            thach   => 8406, thacker => 1347, thames  => 3846, tharp   => 1915,
                            tharpe  => 5511, thatcher
                                    => 3589,
                            thaxton => 6461, thayer  => 1526, theis   => 4720, theisen => 4455,
                            theiss  => 8644, thelen  => 8003, theobald
                                    => 7153,
                            theriault
                                    => 3754, theriot => 3918,
                            theroux => 9201, therrien
                                    => 4612,
                            theus   => 9929, thibault
                                    => 4583,
                            thibeault
                                    => 5590, thibodeau
                                    => 2518,
                            thibodeaux
                                    => 2497, thiel   => 3827,
                            thiele  => 8087, thielen => 5688, thies   => 5877, thigpen => 2541,
                            thom    => 4806, thoma   => 5687, thomason
                                    => 1130,
                            thomasson
                                    => 7553, thompkins
                                    => 5007,
                            thompson
                                    => 16, thoms   => 9684,
                            thomsen => 3514, thomson => 1256, thorn   => 2367, thornberry
                                    => 8532,
                            thornburg
                                    => 3753, thorne  => 1464,
                            thornhill
                                    => 3438, thornton
                                    => 327,
                            thorp   => 4071, thorpe  => 1334, thorsen => 9928, thorson => 5124,
                            thorton => 3185, thrash  => 3668, thrasher
                                    => 2154,
                            threadgill
                                    => 8002, threatt => 8086,
                            thrift  => 7034, throckmorton
                                    => 8405,
                            thrower => 5312, thurber => 5589, thurlow => 9543, thurmond
                                    => 4832,
                            thurston
                                    => 1857, tibbetts
                                    => 3781,
                            tibbs   => 2678, tice    => 3128, tichenor
                                    => 8982,
                            tidwell => 1160, tierney => 2915, tighe   => 6282, tigner  => 9683,
                            tijerina
                                    => 2768, tilghman
                                    => 7324,
                            tiller  => 3612, tillery => 2851, tillett => 7826, tilley  => 1658,
                            tillis  => 6173, tillman => 696, tillotson
                                    => 6281,
                            tilton  => 2996, timberlake
                                    => 5686,
                            timm    => 3687, timmerman
                                    => 4177,
                            timmins => 8759, timmons => 1377, timms   => 6026, tims    => 8404,
                            tincher => 6333, tindall => 4090, tindell => 9434, tindle  => 8403,
                            tiner   => 9433, tingle  => 5926, tingley => 7323, tinker  => 3879,
                            tinney  => 5685, tinnin  => 9432, tinsley => 1767, tippett => 8643,
                            tipton  => 1085, tirado  => 2331, tisdale => 2586, tittle  => 7407,
                            tobar   => 7730, tobey   => 5438, tobin   => 1500, toland  => 7152,
                            tolar   => 9682, tolbert => 1074, toledo  => 2833, tolentino
                                    => 5549,
                            toler   => 2887, toles   => 8981, toliver => 3127, tolle   => 6563,
                            tollefson
                                    => 7552, tolley  => 4089,
                            tollison
                                    => 8980, tolliver
                                    => 2496,
                            tolman  => 5778, tolson  => 5777, toman   => 9927, tomaszewski
                                    => 9431,
                            tomblin => 8642, tomes   => 8402, tomlin  => 2243, tomlinson
                                    => 1122,
                            tompkins
                                    => 1280, toms    => 5233,
                            toner   => 6172, tong    => 3611, toole   => 4719, tooley  => 5047,
                            toombs  => 4805, toomer  => 8287, toomey  => 5046, toon    => 6891,
                            topete  => 9681, topper  => 9315, topping => 7729, torain  => 9430,
                            torgerson
                                    => 5232, toro    => 3176,
                            torre   => 8189, torrence
                                    => 3477,
                            torres  => 65, torrey  => 4907, torrez  => 1864, toscano => 4257,
                            toth    => 1891, totten  => 3752, toussaint
                                    => 5437,
                            tovar   => 1555, towe    => 6683, towery  => 8641, towle   => 4278,
                            towne   => 4368, towner  => 6225, townes  => 3845, townley => 6511,
                            townsel => 9079, townsend
                                    => 346,
                            townsley
                                    => 7728, trader  => 6890,
                            trafton => 9926, trahan  => 2073, trainor => 4423, tramel  => 7406,
                            trammel => 7910, trammell
                                    => 2445,
                            tran    => 429, trantham
                                    => 4312,
                            trapp   => 2956, trask   => 3347, traub   => 9810, traver  => 9078,
                            trawick => 7727, traxler => 9429, traylor => 1714, traynor => 7086,
                            treadway
                                    => 3437, treadwell
                                    => 2865,
                            treece  => 4804, trejo   => 1677, tremblay
                                    => 3144,
                            tressler
                                    => 9200, trevino => 546,
                            trexler => 7244, tribble => 3415, trice   => 3009, trigg   => 5925,
                            triggs  => 9680, trimble => 1872, triplett
                                    => 1420,
                            tripp   => 1298, troche  => 9077, trombley
                                    => 4135,
                            trosclair
                                    => 9199, trost   => 7644,
                            trotman => 5588, trott   => 4973, trotta  => 8979, trotter => 1310,
                            trottier
                                    => 7825, troup   => 7909,
                            troupe  => 5311, trout   => 2140, troutman
                                    => 2309,
                            troutt  => 8978, trowbridge
                                    => 4200,
                            troxel  => 9076, troxell => 7033, troxler => 8401, troyer  => 5876,
                            truax   => 5192, trudeau => 3686, trueblood
                                    => 7726,
                            truelove
                                    => 8640, truesdale
                                    => 5436,
                            truesdell
                                    => 8977, truett  => 7725,
                            truex   => 9925, truitt  => 2873, trujillo
                                    => 587,
                            trull   => 6122, trump   => 7486, truong  => 2190, truss   => 7032,
                            trussell
                                    => 5633, trusty  => 7908,
                            tsai    => 6025, tsang   => 6827, tsosie  => 4637, tubbs   => 2308,
                            tucci   => 5731, tuck    => 2767, tucker  => 123, tudor   => 4337,
                            tufts   => 9075, tuggle  => 3175, tull    => 6121, tullis  => 6510,
                            tully   => 4454, tunnell => 5924, tunstall
                                    => 6460,
                            tupper  => 7322, turcotte
                                    => 4906,
                            turek   => 9428, turgeon => 6459, turk    => 2766, turley  => 2864,
                            turman  => 3878, turnage => 4396, turnbow => 6068, turnbull
                                    => 3254,
                            turner  => 42, turney  => 3213, turpin  => 2210, tussey  => 9542,
                            tuten   => 9198, tutt    => 7085, tuttle  => 1063, tweed   => 7551,
                            tweedy  => 8531, twigg   => 6623, twilley => 8639, twitchell
                                    => 8758,
                            twitty  => 6889, twombly => 8286, twomey  => 6509, twyman  => 7643,
                            tyndall => 5475, tyner   => 3327, tynes   => 6562, tyrrell => 5510,
                            tyus    => 7642, ulibarri
                                    => 6682,
                            ullman  => 7321, ulloa   => 4556, ullrich => 7641, ulmer   => 4159,
                            ulrich  => 1840, umana   => 9809, underhill
                                    => 3425,
                            underwood
                                    => 439, unger   => 2061,
                            unknow  => 8188, unruh   => 5548, upchurch
                                    => 2540,
                            updike  => 9679, upham   => 9427, upshaw  => 3159, upton   => 2011,
                            urbina  => 2985, urena   => 4336, urias   => 4938, uribe   => 2386,
                            urquhart
                                    => 6024, urrutia => 6963,
                            usher   => 3917, ussery  => 4367, utley   => 3288, utter   => 5875,
                            utterback
                                    => 9678, vaca    => 6171,
                            vaccaro => 5730, vachon  => 5776, vaden   => 6888, vadnais => 8638,
                            vail    => 2481, vaillancourt
                                    => 5358,
                            valadez => 2517, valdes  => 2397, valdez  => 313, valdivia
                                    => 5310,
                            valdovinos
                                    => 7640, valencia
                                    => 848,
                            valente => 6067, valenti => 3804, valentine
                                    => 660,
                            valentino
                                    => 4311, valenzuela
                                    => 780,
                            valera  => 9808, valerio => 3239, valero  => 7639, valladares
                                    => 5275,
                            valle   => 1480, vallee  => 8530, vallejo => 2765, vallejos
                                    => 8976,
                            valles  => 3036, valliere
                                    => 6622,
                            valverde
                                    => 5309, vanarsdale
                                    => 9677,
                            vanatta => 8400, vanburen
                                    => 3826,
                            vanbuskirk
                                    => 5123, vancleave
                                    => 7485,
                            vandenberg
                                    => 5587, vanderpool
                                    => 4489,
                            vandeusen
                                    => 9074, vandiver
                                    => 3937,
                            vandusen
                                    => 5357, vandyke => 2116,
                            vanegas => 6681, vang    => 870, vanhook => 8187, vanhoose
                                    => 3513,
                            vanhorn => 2366, vanhouten
                                    => 5775,
                            vankirk => 8529, vanlandingham
                                    => 6751,
                            vanmeter
                                    => 3359, vann    => 1664,
                            vannatta
                                    => 8637, vanness => 7151,
                            vannoy  => 5828, vanover => 3825, vanpelt => 4395, vanscoy => 8528,
                            vansickle
                                    => 4582, vantassel
                                    => 8285,
                            vanvalkenburg
                                    => 8757, vanwinkle
                                    => 3496,
                            vanwormer
                                    => 9314, vanzandt
                                    => 8399,
                            vanzant => 6887, varela  => 1771, varga   => 5402, vargas  => 241,
                            vargo   => 5160, varnado => 7084, varnell => 9541, varner  => 1456,
                            varney  => 2185, vasques => 8398, vasquez => 195, vassallo
                                    => 8636,
                            vassar  => 7724, vasser  => 9426, vaughan => 750, vaughn  => 281,
                            vaught  => 2764, vazquez => 463, veach   => 5774, veal    => 3588,
                            veasey  => 8635, veatch  => 9073, vega    => 332, veilleux
                                    => 4555,
                            vela    => 1277, velarde => 5773, velasco => 1835, velasquez
                                    => 605,
                            velazquez
                                    => 868, velez   => 623,
                            veliz   => 6332, veloz   => 7907, venable => 3174, venegas => 3376,
                            venezia => 9540, ventura => 1450, verdin  => 3610, verdugo => 6023,
                            verduzco
                                    => 4831, vereen  => 6750,
                            vergara => 3961, vermillion
                                    => 4581,
                            verner  => 9924, verret  => 6826, verrill => 9807, vest    => 2361,
                            vestal  => 5923, vetter  => 3044, vick    => 1623, vickers => 1104,
                            vickery => 2730, vidal   => 2539, vidrine => 5827, vieira  => 3936,
                            viera   => 3358, vierra  => 5274, vigil   => 1079, vigue   => 8186,
                            villa   => 926, villagomez
                                    => 4176,
                            villalba
                                    => 7638, villalobos
                                    => 1511,
                            villalpando
                                    => 6280, villani => 9676,
                            villanueva
                                    => 907, villar  => 7824,
                            villareal
                                    => 3326, villarreal
                                    => 594,
                            villasenor
                                    => 3587, villatoro
                                    => 7243,
                            villegas
                                    => 1157, villeneuve
                                    => 8634,
                            vinci   => 8975, vines   => 2307, vineyard
                                    => 5091,
                            vining  => 4678, vinson  => 851, vinyard => 8756, viramontes
                                    => 9313,
                            visser  => 8527, vitale  => 3035, voelker => 7031, vogel   => 1133,
                            vogler  => 7030, vogt    => 1663, voight  => 7823, voigt   => 4199,
                            volk    => 4718, volkman => 8001, vollmer => 5922, volpe   => 4803,
                            volz    => 4134, voorhees
                                    => 5191,
                            voss    => 1262, vowell  => 8284, voyles  => 6825, vreeland
                                    => 9806,
                            vroman  => 8974, vuong   => 6621, wachter => 4394, wacker  => 6561,
                            waddell => 1227, waddle  => 4830, wade    => 246, wadley  => 6120,
                            wadsworth
                                    => 2597, wagers  => 7320,
                            wages   => 6170, waggoner
                                    => 2156,
                            wagner  => 164, wagoner => 1991, wagstaff
                                    => 6962,
                            waguespack
                                    => 9425, wahl    => 2511,
                            wainscott
                                    => 9539, wainwright
                                    => 4869,
                            waite   => 1747, waiters => 8867, waites  => 5435, waits   => 4310,
                            wakefield
                                    => 1965, wakeman => 9923,
                            walcott => 7484, walczak => 7723, wald    => 7483, walden  => 937,
                            waldman => 6119, waldon  => 4972, waldrep => 9675, waldron => 1619,
                            waldrop => 2341, waldrup => 8283, walker  => 24, walkup  => 9805,
                            wall    => 494, wallace => 101, wallen  => 3708, waller  => 689,
                            walley  => 6680, wallin  => 4256, walling => 2626, wallis  => 2088,
                            walls   => 616, walmsley
                                    => 9804,
                            walser  => 8866, walsh   => 299, walston => 3568, walters => 248,
                            walther => 4517, waltman => 7637, walton  => 349, waltz   => 4905,
                            walz    => 4335, wampler => 3651, wamsley => 9922, wang    => 892,
                            wanner  => 9674, ward    => 64, wardell => 7319, warden  => 2094,
                            wardlaw => 8185, wardlow => 8865, ware    => 476, warfield
                                    => 2832,
                            wargo   => 7083, waring  => 5190, warman  => 8282, warner  => 317,
                            warnke  => 8633, warnock => 4334, warr    => 8632, warren  => 132,
                            warrick => 5045, warrington
                                    => 5356,
                            warwick => 4904, washam  => 8864, washburn
                                    => 1501,
                            washer  => 8397, washington
                                    => 86,
                            wasserman
                                    => 5975, wasson  => 2995,
                            watanabe
                                    => 4393, waterhouse
                                    => 6749,
                            waterman
                                    => 2115, waters  => 390,
                            watford => 6458, watkins => 166, watson  => 69, watt    => 1826,
                            watters => 2625, watterson
                                    => 6279,
                            watts   => 270, waugh   => 2322, wayland => 7405, wayman  => 4453,
                            waymire => 8973, weakley => 9072, weatherby
                                    => 5921,
                            weatherford
                                    => 2902, weatherly
                                    => 3043,
                            weathers
                                    => 1847, weathersby
                                    => 4717,
                            weatherspoon
                                    => 4422, weaver  => 181,
                            webb    => 120, webber  => 968, weber   => 298, webster => 364, weddington
                                    => 9197,
                            weddle  => 3729, wedgeworth
                                    => 9803,
                            weed    => 3346, weeden  => 7822, weekley => 5826, weeks   => 629,
                            weems   => 2510, weese   => 6824, wegener => 9196, wegner  => 4763,
                            weibel  => 9673, weidman => 7150, weidner => 4829, weigand => 7821,
                            weigel  => 5231, weikel  => 8972, weil    => 4762, weiland => 5401,
                            weiler  => 4309, weimer  => 4488, weinberg
                                    => 3877,
                            weinberger
                                    => 8396, weiner  => 2148,
                            weinstein
                                    => 2385, weintraub
                                    => 6886,
                            weir    => 1445, weis    => 3609, weisberg
                                    => 8184,
                            weise   => 5729, weiser  => 6331, weisman => 6679, weiss   => 586,
                            weissman
                                    => 7906, weitzel => 7318,
                            welborn => 4636, welch   => 223, welker  => 3751, weller  => 1806,
                            wellman => 2027, wells   => 119, welsh   => 1039, welter  => 7082,
                            welton  => 5090, welty   => 5230, wendel  => 5474, wendling
                                    => 8526,
                            wendt   => 2624, wenger  => 3824, wentworth
                                    => 2970,
                            wentz   => 3459, wentzel => 8525, wenzel  => 2799, wert    => 5400,
                            werth   => 6678, werts   => 8863, wertz   => 2763, wescott => 5229,
                            wesner  => 9921, wessel  => 5122, wessels => 8000, wesson  => 4421,
                            west    => 104, westberg
                                    => 8971,
                            westberry
                                    => 8524, westbrook
                                    => 1540,
                            westbrooks
                                    => 6169, westcott
                                    => 4677,
                            wester  => 3608, westerfield
                                    => 7722,
                            westerman
                                    => 5874, westfall
                                    => 2559,
                            westfield
                                    => 9672, westgate
                                    => 8862,
                            westlake
                                    => 9195, westlund
                                    => 7999,
                            westman => 8861, westmoreland
                                    => 2313,
                            westover
                                    => 5873, westphal
                                    => 4554,
                            wetherell
                                    => 9194, wethington
                                    => 7905,
                            wetmore => 5728, wetzel  => 1879, wexler  => 6508, weyant  => 9538,
                            whalen  => 1419, whaley  => 1027, wharton => 2780, whatley => 1776,
                            wheat   => 2189, wheatley
                                    => 1975,
                            wheaton => 3253, wheeler => 197, wheelock
                                    => 7998,
                            whelan  => 3550, whetstone
                                    => 4366,
                            whetzel => 9071, whidden => 9312, whipkey => 9802, whipple => 2004,
                            whisenant
                                    => 6823, whisenhunt
                                    => 7820,
                            whisler => 8395, whitacre
                                    => 5308,
                            whitaker
                                    => 473, whitcomb
                                    => 3096,
                            white   => 13, whiteaker
                                    => 9671,
                            whited  => 3424, whitefield
                                    => 8755,
                            whitehead
                                    => 510, whitehouse
                                    => 4365,
                            whitehurst
                                    => 2798, whiteley
                                    => 6507,
                            whiteman
                                    => 4070, whitener
                                    => 5089,
                            whitesell
                                    => 7482, whiteside
                                    => 2941,
                            whitesides
                                    => 9537, whitfield
                                    => 815,
                            whitford
                                    => 5228, whiting => 2184,
                            whitley => 869, whitlock
                                    => 1676,
                            whitlow => 2914, whitman => 1631, whitmer => 5088, whitmire
                                    => 3310,
                            whitmore
                                    => 1719, whitson => 2405,
                            whitt   => 1590, whittaker
                                    => 1499,
                            whitted => 5355, whittemore
                                    => 4937,
                            whitten => 1539, whittier
                                    => 7317,
                            whittington
                                    => 1740, whittle => 2797,
                            whitton => 7721, whitworth
                                    => 2614,
                            whorton => 5159, whyte   => 3823, wible   => 9801, wick    => 3844,
                            wicker  => 2495, wickersham
                                    => 9800,
                            wickham => 4069, wicklund
                                    => 7636,
                            wickman => 8631, wicks   => 2596, wideman => 8085, widener => 6961,
                            widmer  => 7316, widner  => 8084, wiebe   => 9424, wiegand => 5434,
                            wieland => 6022, wiener  => 5632, wiens   => 9311, wiese   => 3375,
                            wiesner => 9536, wiest   => 9920, wigfall => 5825, wiggins => 490,
                            wigginton
                                    => 8860, wiggs   => 6560,
                            wight   => 6118, wigley  => 8183, wilbanks
                                    => 2661,
                            wilborn => 4761, wilbourn
                                    => 8394,
                            wilcher => 5684, wilcox  => 451, wilde   => 2567, wilder  => 744,
                            wildman => 6066, wilds   => 7819, wiles   => 2261, wiley   => 526,
                            wilfong => 5433, wilhelm => 1883, wilhite => 3667, wilhoit => 8523,
                            wiliams => 9799, wilk    => 6960, wilke   => 3685, wilken  => 9798,
                            wilkens => 6021, wilkerson
                                    => 447,
                            wilkes  => 1434, wilkey  => 7635, wilkie  => 5158, wilkins => 437,
                            wilkinson
                                    => 559, wilks   => 2384,
                            willaims
                                    => 8522, willams => 8182,
                            willcox => 8970, wille   => 7550, willett => 1856, willey  => 1998,
                            willhite
                                    => 8181, williams
                                    => 3,
                            williamson
                                    => 202, williford
                                    => 3095,
                            willingham
                                    => 1762, willis  => 165,
                            willison
                                    => 8281, willman => 7481,
                            willoughby
                                    => 1761, wills   => 1012,
                            willson => 2821, wilmot  => 6020, wilmoth => 3666, wilson  => 8,
                            wilt    => 3436, wiltse  => 9423, wimberly
                                    => 3287,
                            wimbush => 8180, wimer   => 7242, wimmer  => 4487, winburn => 8521,
                            winbush => 9919, winchell
                                    => 5586,
                            winchester
                                    => 3158, winder  => 5585,
                            windham => 2330, windle  => 7404, windley => 9670, windom  => 7241,
                            windsor => 4158, winebrenner
                                    => 9193,
                            winegar => 8630, wines   => 7081, winfield
                                    => 2613,
                            winfree => 9918, winfrey => 3414, wingard => 4452, wingate => 3325,
                            winger  => 5307, wingert => 9535, wingfield
                                    => 3324,
                            wingo   => 4971, winkelman
                                    => 7315,
                            winkle  => 7240, winkler => 1433, winn    => 1394, winslow => 1692,
                            winstead
                                    => 2392, winter  => 936,
                            winters => 591, winton  => 5824, wireman => 8280, wirth   => 3309,
                            wirtz   => 9534, wise    => 384, wiseman => 1245, wisner  => 6620,
                            wisniewski
                                    => 3495, witcher => 3935,
                            witham  => 5974, withers => 2461, witherspoon
                                    => 1516,
                            withrow => 3803, witkowski
                                    => 6019,
                            witmer  => 7314, witt    => 800, witte   => 3458, witten  => 7403,
                            wittman => 6885, wofford => 2365, wojciechowski
                                    => 9917,
                            wojcik  => 5306, wolcott => 4113, wold    => 4516, wolf    => 471,
                            wolfe   => 302, wolfenbarger
                                    => 7634,
                            wolff   => 1463, wolfgang
                                    => 8083,
                            wolford => 2421, wolfson => 7029, wolter  => 7549, wolters => 8279,
                            wolverton
                                    => 9192, womack  => 921,
                            womble  => 4486, wong    => 416, wood    => 74, woodall => 1652,
                            woodard => 519, woodberry
                                    => 9669,
                            woodbury
                                    => 3750, woodcock
                                    => 2955,
                            woodell => 9916, woodford
                                    => 5547,
                            woodham => 7080, woodhouse
                                    => 5227,
                            woodland
                                    => 5399, woodley => 3143,
                            woodman => 5044, woodring
                                    => 6018,
                            woodruff
                                    => 1020, woodrum => 7904,
                            woods   => 102, woodside
                                    => 8859,
                            woodson => 1317, woodward
                                    => 648,
                            woodworth
                                    => 2886, woody   => 1415,
                            woodyard
                                    => 8278, woolard => 5973,
                            wooldridge
                                    => 3345, woolery => 6559,
                            wooley  => 3893, woolf   => 6117, woolfolk
                                    => 7402,
                            woolford
                                    => 9070, woolley => 4420,
                            woolridge
                                    => 7720, woolsey => 4364,
                            woosley => 6506, wooster => 8179, wooten  => 857, wooton  => 8082,
                            worden  => 3042, workman => 832, worley  => 1015, worrell => 2060,
                            worsham => 4046, worsley => 7719, wortham => 3916, worthen => 5305,
                            worthington
                                    => 1766, worthy  => 2677,
                            wortman => 6278, wotring => 9533, wozniak => 4868, wray    => 1455,
                            wren    => 2293, wrenn   => 4936, wright  => 30, wrigley => 8858,
                            wroblewski
                                    => 8857, wulf    => 7718,
                            wulff   => 9797, wunderlich
                                    => 7149,
                            wurth   => 6959, wyant   => 3960, wyatt   => 501, wyche   => 4676,
                            wyckoff => 4580, wylie   => 2475, wyman   => 2147, wymer   => 9668,
                            wynn    => 793, wynne   => 3142, wyrick  => 4611, wysocki => 6330,
                            xiong   => 1474, yaeger  => 9069, yager   => 4485, yamada  => 4828,
                            yamamoto
                                    => 3843, yamashita
                                    => 9796,
                            yancey  => 1990, yancy   => 4419, yandell => 7818, yanez   => 2217,
                            yang    => 712, yarber  => 7028, yarborough
                                    => 4255,
                            yarbrough
                                    => 899, yardley => 9795,
                            yarnell => 9422, yates   => 357, yazzie  => 1577, ybarra  => 1426,
                            yeager  => 1303, yeary   => 8754, yelverton
                                    => 9310,
                            yepez   => 7903, yerger  => 9667, yetter  => 9309, yeung   => 7997,
                            yingling
                                    => 5398, yoakum  => 8393,
                            yockey  => 7239, yocum   => 4045, yoder   => 973, yoho    => 5683,
                            yoon    => 3567, yoshida => 5772, yost    => 1780, youmans => 4867,
                            young   => 27, youngblood
                                    => 1425,
                            youngman
                                    => 6884, youngs  => 5273,
                            yount   => 3072, younts  => 7148, yuen    => 5823, zabala  => 9191,
                            zabel   => 9068, zacharias
                                    => 9067,
                            zackery => 9794, zahn    => 5631, zajac   => 7401, zamarripa
                                    => 8081,
                            zambrano
                                    => 3995, zamora  => 711,
                            zamudio => 5872, zapata  => 1669, zaragoza
                                    => 3058,
                            zarate  => 2930, zavala  => 1329, zayas   => 4802, zeigler => 1917,
                            zelaya  => 6017, zeller  => 3308, zellers => 7717, zellmer => 9308,
                            zeman   => 9793, zendejas
                                    => 8520,
                            zepeda  => 1765, zerbe   => 8969, zeringue
                                    => 7027,
                            zhang   => 3238, zhao    => 7996, ziegler => 1323, zielinski
                                    => 2863,
                            zimmer  => 1855, zimmerman
                                    => 402,
                            zimmermann
                                    => 4716, zink    => 4068,
                            zinn    => 4392, zirkle  => 9190, zito    => 6558, zook    => 2796,
                            zorn    => 6677, zuber   => 4675, zucker  => 7480, zuckerman
                                    => 8856,
                            zukowski
                                    => 8855, zumwalt => 6958,
                            zuniga  => 1026
                          },
  english_wikipedia    => {
                            "'aliabad"
                                     => 29457,
                            "'best"  => 10152, "'black" => 18881, "'blue"  => 28758, "'bout"  => 28263,
                            "'cause" => 22167, "'first" => 23530, "'free"  => 25327, "'golden"
                                     => 26379,
                            "'good"  => 18287, "'great" => 21411, "'green" => 25930, "'high"  => 25123,
                            "'home"  => 28018, "'king"  => 24881, "'little"
                                     => 21470,
                            "'live"  => 28182, "'love"  => 25218, "'most"  => 25403, "'national"
                                     => 25534,
                            "'ndrangheta"
                                     => 29916, "'olya"  => 14252,
                            "'open"  => 29569, "'real"  => 24587, "'round" => 23353, "'special"
                                     => 27945,
                            "'that"  => 19539, "'the"   => 2672, "'there" => 23997, "'this"  => 16473,
                            "'well"  => 26274, "'what"  => 15039, "'when"  => 27894, "'white" => 21403,
                            "'world" => 29007, "1,000th"
                                     => 29837,
                            "100th"  => 6685, "101st"  => 11841, "102nd"  => 20687, "103rd"  => 19667,
                            "104th"  => 18244, "105th"  => 20668, "106th"  => 20547, "107th"  => 20234,
                            "1080p"  => 26616, "108th"  => 20105, "109th"  => 19898, "10th"   => 2222,
                            "110th"  => 17149, "111th"  => 17664, "112th"  => 18957, "113th"  => 15594,
                            "114th"  => 23348, "115th"  => 23613, "116th"  => 19776, "117th"  => 23279,
                            "118th"  => 26396, "119th"  => 27015, "11th"   => 2253, "120th"  => 24122,
                            "121st"  => 25805, "124th"  => 28247, "125cc"  => 23765, "125th"  => 15294,
                            "126th"  => 26243, "127th"  => 28255, "128th"  => 29109, "12th"   => 2033,
                            "130th"  => 28922, "131st"  => 29274, "135th"  => 27656, "13th"   => 2101,
                            "140th"  => 29875, "148th"  => 29731, "14th"   => 2212, "1500m"  => 23456,
                            "1500s"  => 28861, "150th"  => 12622, "153rd"  => 29602, "157th"  => 29268,
                            "15th"   => 2127, "1600s"  => 19823, "160th"  => 27882, "161st"  => 29633,
                            "1620s"  => 26893, "1630s"  => 21976, "1640s"  => 23894, "1650s"  => 24425,
                            "1660s"  => 24907, "1670s"  => 27947, "1680s"  => 26586, "1690s"  => 27472,
                            "16th"   => 1877, "1700s"  => 16484, "1720s"  => 24131, "1730s"  => 21686,
                            "173rd"  => 29244, "1740s"  => 21378, "1750s"  => 20067, "175th"  => 28507,
                            "1760s"  => 17828, "1770s"  => 16884, "1780s"  => 16024, "1790s"  => 14366,
                            "17th"   => 1777, "1800s"  => 7659, "180deg" => 19440, "180th"  => 27374,
                            "1820s"  => 9677, "1830s"  => 7341, "1840s"  => 7044, "1850s"  => 6032,
                            "1860s"  => 5916, "1870s"  => 5578, "1880s"  => 4713, "1890s"  => 5065,
                            "18th"   => 1478, "1900s"  => 5957, "1910s"  => 9510, "1920s"  => 2143,
                            "1930s"  => 1722, "1940s"  => 2527, "1950s"  => 1328, "1960s"  => 967,
                            "1970s"  => 882, "1980s"  => 844, "1990s"  => 943, "19th"   => 816,
                            "1up.com"
                                     => 27197, "2/1st"  => 29880,
                            "2000s"  => 2961, "200th"  => 14658, "2010s"  => 9804, "20th"   => 946,
                            "21st"   => 2626, "22nd"   => 5534, "23rd"   => 5593, "24th"   => 5311,
                            "250cc"  => 22697, "250th"  => 28551, "25th"   => 4317, "26th"   => 5912,
                            "27th"   => 5996, "300th"  => 20392, "30deg"  => 24304, "30th"   => 5276,
                            "360deg" => 19383, "400th"  => 23207, "45deg"  => 20723, "49ers"  => 6579,
                            "4kids"  => 27895, "4x100"  => 9896, "4x100m" => 23939, "4x200"  => 18620,
                            "4x400"  => 20127, "500cc"  => 24644, "500th"  => 21156, "509th"  => 29889,
                            "50th"   => 5188, "60deg"  => 23835, "76ers"  => 13048, "90deg"  => 15687,
                            "`abdu'l"
                                     => 19165, "a.f.c"  => 13926,
                            "a.k.a"  => 7692, "a.m."   => 4541, aachen   => 10481, aagpbl   => 25124,
                            aalborg  => 16237, aaliyah  => 22028, aalto    => 21242, aamir    => 22159,
                            aargau   => 22604, aarhus   => 11839, aarti    => 29226, ababa    => 13273,
                            abacetus => 22131, abalone  => 26038, abandoned
                                     => 1551,
                            abandonment
                                     => 8323, abandons => 15495,
                            abatement
                                     => 26763, abbas    => 6934,
                            abbasabad
                                     => 25417, abbasi   => 23023,
                            abbasid  => 12618, abbasids => 25392, abbess   => 13610, abbeville
                                     => 18065,
                            abbeys   => 19325, abbot    => 4936, abbots   => 14744, abbotsford
                                     => 17283,
                            abbottabad
                                     => 24011, abbreviated
                                     => 4242,
                            abbreviation
                                     => 7508, abbreviations
                                     => 13817,
                            abdel    => 10876, abdicate => 19108, abdicated
                                     => 14762,
                            abdication
                                     => 13364, abdomen  => 7236,
                            abdomina => 19976, abdulaziz
                                     => 15708,
                            abdullahi
                                     => 27474, abdur    => 19253,
                            abdus    => 27267, abelian  => 12020, abellio  => 24464, abenaki  => 23311,
                            abercorn => 29932, abercromby
                                     => 28732,
                            aberdare => 17389, aberdeen => 4366, aberdeenshire
                                     => 13063,
                            abergavenny
                                     => 22589, aberrations
                                     => 24733,
                            aberystwyth
                                     => 14356, abeyance => 22695,
                            abhay    => 28039, abhishek => 22674, abidjan  => 20087, abies    => 23403,
                            abilene  => 14410, abilities
                                     => 3037,
                            ability  => 1061, abingdon => 13340, abington => 21391, abitibi  => 29561,
                            abitur   => 22742, abkhaz   => 19804, abkhazia => 11251, abkhazian
                                     => 26151,
                            ablation => 20608, ablaze   => 20086, abnormalities
                                     => 10417,
                            abode    => 12775, abolish  => 10505, abolished
                                     => 3215,
                            abolishing
                                     => 14674, abolishment
                                     => 26626,
                            abolition
                                     => 5673, abolitionist
                                     => 10545,
                            abolitionists
                                     => 18565, aboriginal
                                     => 3727,
                            aboriginals
                                     => 20934, aborigines
                                     => 11146,
                            abortions
                                     => 12172, abortive => 14862,
                            "about.com"
                                     => 18276, above    => 492,
                            abrahamic
                                     => 23889, abramoff => 20748,
                            abrasion => 22613, abrasive => 15054, abridged => 14544, abroad   => 2347,
                            abrogated
                                     => 26821, abruptly => 7494,
                            abruzzo  => 17300, absalom  => 27888, abscess  => 22170, absence  => 2442,
                            absent   => 4273, absentia => 16753, absinthe => 25265, absolutism
                                     => 26161,
                            absolutist
                                     => 28736, absorbed => 3764,
                            absorber => 22977, absorbers
                                     => 21836,
                            absorbing
                                     => 9339, absorbs  => 14318,
                            absorption
                                     => 6163, abstained
                                     => 18581,
                            abstaining
                                     => 27515, abstention
                                     => 25932,
                            abstentions
                                     => 27317, abstract => 3943,
                            abstracted
                                     => 12287, abstracting
                                     => 14045,
                            abstraction
                                     => 8964, abstractions
                                     => 21454,
                            abstracts
                                     => 13844, absurdist
                                     => 29626,
                            abteilung
                                     => 28562, "abu'l"  => 21660,
                            abubakar => 22957, abuja    => 17882, abundance
                                     => 5856,
                            abundances
                                     => 29920, abundant => 4920,
                            abuse    => 2566, abusers  => 26711, abuses   => 7716, abutment => 28573,
                            abutments
                                     => 20725, abuts    => 26489,
                            abutting => 26358, abwehr   => 22985, abyss    => 10550, abyssinia
                                     => 21113,
                            abyssinian
                                     => 22998, "ac/dc"  => 13961,
                            acacia   => 10380, academia => 6586, academic => 880, academica
                                     => 23534,
                            academical
                                     => 18372, academically
                                     => 10124,
                            academician
                                     => 13599, academicians
                                     => 23646,
                            academics
                                     => 4221, academie => 8364,
                            academies
                                     => 7617, academy  => 483,
                            acadia   => 13277, acadian  => 13878, acadians => 15953, accademia
                                     => 12561,
                            accede   => 26654, acceded  => 17153, accelerate
                                     => 8951,
                            accelerated
                                     => 6160, accelerates
                                     => 20751,
                            accelerating
                                     => 11707, acceleration
                                     => 6304,
                            accelerator
                                     => 10471, accelerators
                                     => 19395,
                            accented => 17336, accentuated
                                     => 21878,
                            accenture
                                     => 28848, acceptability
                                     => 28809,
                            acceptance
                                     => 4037, accepted => 1124,
                            acceptor => 15485, accepts  => 5129, access   => 671, accessed => 4693,
                            accesses => 19772, accessibility
                                     => 8482,
                            accessible
                                     => 2768, accessing
                                     => 10951,
                            accession
                                     => 6203, accessories
                                     => 6380,
                            accion   => 28855, acclaim  => 3877, acclaimed
                                     => 3524,
                            acclamation
                                     => 20123, accolade => 14540,
                            accolades
                                     => 7071, accommodate
                                     => 3281,
                            accommodated
                                     => 10381, accommodates
                                     => 14183,
                            accommodation
                                     => 4257, accompanied
                                     => 1945,
                            accompanies
                                     => 10631, accompaniment
                                     => 8509,
                            accompanist
                                     => 17773, accompany
                                     => 5595,
                            accompanying
                                     => 4346, accomplishments
                                     => 5932,
                            accord   => 6786, accordance
                                     => 3960,
                            accorded => 10458, according
                                     => 217,
                            accordingly
                                     => 4583, accordion
                                     => 9840,
                            accordionist
                                     => 29942, accords  => 11799,
                            account  => 1177, accountability
                                     => 6643,
                            accountancy
                                     => 13876, accounted
                                     => 5702,
                            accounting
                                     => 3632, accounts => 2085,
                            accra    => 12046, accreditation
                                     => 4924,
                            accredited
                                     => 3992, accrediting
                                     => 16144,
                            accretion
                                     => 19163, accrington
                                     => 14804,
                            accrue   => 23993, accrued  => 17520, accumulate
                                     => 9944,
                            accumulated
                                     => 5937, accumulates
                                     => 18445,
                            accumulating
                                     => 12747, accumulation
                                     => 7674,
                            accumulations
                                     => 25513, accumulator
                                     => 22597,
                            accuracy => 4015, accurate => 3196, accurately
                                     => 5668,
                            accusative
                                     => 17752, accused  => 1879,
                            acetate  => 11380, acetic   => 17003, acetone  => 22384, acetyl   => 17943,
                            acetylcholine
                                     => 17328, acetylene
                                     => 23882,
                            achaea   => 19251, achaemenid
                                     => 17728,
                            acharya  => 13134, achievable
                                     => 19194,
                            achieve  => 2088, achieved => 1311, achievement
                                     => 2365,
                            achievements
                                     => 3191, achievers
                                     => 29422,
                            achieves => 11504, achieving
                                     => 4068,
                            acid     => 1860, acidic   => 9013, acidification
                                     => 27395,
                            acidity  => 15237, acids    => 4805, acknowledged
                                     => 3709,
                            acknowledgement
                                     => 14388,
                            acknowledges
                                     => 10133, acknowledging
                                     => 10084,
                            acknowledgment
                                     => 17177,
                            acland   => 20307, acleris  => 29343, acolytes => 26952, acorn    => 11663,
                            acorns   => 21674, acoustic => 3132, acoustical
                                     => 21345,
                            acoustically
                                     => 25336, acoustics
                                     => 11992,
                            acquiesced
                                     => 27448, acquire  => 3867,
                            acquired => 942, acquires => 12426, acquiring
                                     => 5330,
                            acquisition
                                     => 2690, acquisitions
                                     => 6807,
                            acquitted
                                     => 6928, acraea   => 25277,
                            acre     => 4239, acreage  => 17010, acres    => 2722, acrimonious
                                     => 21001,
                            acrobatic
                                     => 15578, acrobatics
                                     => 22153,
                            acrocercops
                                     => 25056, acronym  => 6832,
                            acronyms => 25595, acropolis
                                     => 13984,
                            across   => 425, acrylic  => 13040, act      => 306, action   => 495,
                            actions  => 1442, activated
                                     => 3817,
                            activates
                                     => 11407, activating
                                     => 12464,
                            activation
                                     => 5274, active   => 581,
                            actively => 3158, activision
                                     => 16611,
                            activism => 5406, activist => 2919, activists
                                     => 3717,
                            activities
                                     => 635, activity => 1040,
                            actor    => 798, actors   => 1919, actress  => 1137, actresses
                                     => 7404,
                            acts     => 1305, actual   => 1677, actuaries
                                     => 29609,
                            actuated => 21928, actuator => 22808, actuators
                                     => 21267,
                            acuity   => 21620, acumen   => 19072, acura    => 21603, acute    => 4570,
                            acutely  => 21642, acyclic  => 27683, adagio   => 22328, adalbert => 16707,
                            adamantly
                                     => 28300, adana    => 14085,
                            adapt    => 6333, adaptability
                                     => 24994,
                            adaptable
                                     => 16699, adaptation
                                     => 2355,
                            adaptations
                                     => 5112, adapted  => 2072,
                            adapter  => 11705, adapters => 18877, adapting => 9439, adaption => 13710,
                            adaptive => 7242, adaptor  => 24632, adapts   => 20006, adare    => 29922,
                            adarsh   => 24301, added    => 514, adder    => 21364, adding   => 2111,
                            addition => 383, additional
                                     => 675,
                            additionally
                                     => 1797, additions
                                     => 5023,
                            additive => 9966, additives
                                     => 13766,
                            addressed
                                     => 3331, addresses
                                     => 4500,
                            addressing
                                     => 5381, adds     => 4391,
                            adelphi  => 17846, adenauer => 22645, adenine  => 25770, adenosine
                                     => 18600,
                            adept    => 11399, adequacy => 25002, adequate => 4582, adequately
                                     => 9058,
                            adhere   => 9140, adhered  => 12627, adherence
                                     => 10275,
                            adherent => 18908, adherents
                                     => 8736,
                            adheres  => 16655, adhering => 15444, adhesion => 11561, adhesives
                                     => 22533,
                            adiabatic
                                     => 22517, adidas   => 13308,
                            adipose  => 21263, adirondack
                                     => 14061,
                            aditi    => 29275, aditya   => 14781, adiyaman => 26435, adjacent => 1736,
                            adjectival
                                     => 25640, adjective
                                     => 9039,
                            adjectives
                                     => 10827, adjoined => 24558,
                            adjoining
                                     => 5480, adjoins  => 17301,
                            adjoint  => 17314, adjudged => 20767, adjudicated
                                     => 27389,
                            adjudication
                                     => 22157, adjunct  => 7854,
                            adjustable
                                     => 9824, adjusted => 5386,
                            adjusts  => 22958, adjutant => 7982, administered
                                     => 3042,
                            administering
                                     => 10379, administers
                                     => 10185,
                            administracion
                                     => 23412,
                            administrated
                                     => 19448, administration
                                     => 693,
                            administrations
                                     => 9720,
                            administrative
                                     => 805, administratively
                                     => 8032,
                            administrator
                                     => 3561, administrators
                                     => 5745,
                            admiral  => 2129, admirals => 11981, admiralty
                                     => 5502,
                            admission
                                     => 3665, admissions
                                     => 6795,
                            admits   => 5549, admitted => 1928, admixture
                                     => 21045,
                            adnan    => 14884, adobe    => 6882, adolescents
                                     => 9830,
                            adolf    => 4760, adolphe  => 12967, adolphus => 14542, adonis   => 16540,
                            adoor    => 27110, adopted  => 1107, adopting => 6142, adopts   => 10897,
                            adorn    => 18200, adorned  => 8913, adrenergic
                                     => 22001,
                            adriaan  => 24280, adriano  => 16489, adrianople
                                     => 21867,
                            adriatic => 8612, adsorption
                                     => 19084,
                            adult    => 1418, adulterous
                                     => 26734,
                            adulthood
                                     => 7822, adults   => 2078,
                            advaita  => 19069, advance  => 1661, advanced => 1041, advancement
                                     => 5055,
                            advancements
                                     => 13759, advances => 4385,
                            advancing
                                     => 4331, advantageous
                                     => 11388,
                            advantages
                                     => 4427, advent   => 5054,
                            adventist
                                     => 8694, adventists
                                     => 17440,
                            adventurer
                                     => 11306, adventurers
                                     => 13929,
                            adventures
                                     => 2895, adverb   => 28797,
                            adverbs  => 22142, adversarial
                                     => 24864,
                            adverse  => 5622, adversely
                                     => 12653,
                            advert   => 13464, advertised
                                     => 6681,
                            advertisement
                                     => 5896, advertisements
                                     => 5315,
                            advertiser
                                     => 10673, advertisers
                                     => 11444,
                            advertising
                                     => 2108, adverts  => 15449,
                            advised  => 3953, adviser  => 4687, advisers => 8889, advises  => 9249,
                            advisor  => 3371, advisories
                                     => 17766,
                            advisors => 7201, advisory => 2612, advocacy => 4396, advocate => 3041,
                            advocated
                                     => 4383, advocates
                                     => 4787,
                            advocating
                                     => 7648, aechmea  => 22784,
                            aegean   => 9476, aegis    => 11793, aegon    => 22301, aeneas   => 16449,
                            aeneid   => 23398, aeolian  => 20663, aerial   => 3506, aerials  => 26790,
                            aerobatic
                                     => 17393, aerobatics
                                     => 25036,
                            aerobic  => 13889, aerodrome
                                     => 7919,
                            aerodynamic
                                     => 9714, aerodynamics
                                     => 14778,
                            aeroflot => 23521, aeronautica
                                     => 20744,
                            aeronautical
                                     => 9176, aeronautics
                                     => 9832,
                            aeronautique
                                     => 26533, aeroplane
                                     => 12523,
                            aeroplanes
                                     => 20753, aeros    => 22791,
                            aerosmith
                                     => 14240, aerosols => 26340,
                            aerospace
                                     => 5307, aeschylus
                                     => 23540,
                            aesop    => 19033, aesthetic
                                     => 5000,
                            aesthetically
                                     => 14919, aesthetics
                                     => 7923,
                            aethelred
                                     => 22021, aethelstan
                                     => 28532,
                            aether   => 20785, affairs  => 1059, affected => 1837, affecting
                                     => 5032,
                            affectionately
                                     => 11832,
                            affective
                                     => 15395, afferent => 27101,
                            affiliate
                                     => 3061, affiliated
                                     => 2287,
                            affiliates
                                     => 6259, affiliation
                                     => 4591,
                            affiliations
                                     => 8085, affine   => 12460,
                            affinis  => 24291, affinities
                                     => 16933,
                            affinity => 6772, affirmation
                                     => 15300,
                            affirmed => 7834, affirming
                                     => 14757,
                            affirms  => 18465, affix    => 28338, affixed  => 14274, affixes  => 23073,
                            afflicted
                                     => 11638, affluence
                                     => 24054,
                            affluent => 8158, affordability
                                     => 21463,
                            affordable
                                     => 5841, afforded => 9373,
                            affording
                                     => 23056, affords  => 15966,
                            afghan   => 4666, afghanistan
                                     => 2339,
                            afghans  => 14903, aficionados
                                     => 24194,
                            afield   => 14534, afire    => 29101, afonso   => 11732, aforementioned
                                     => 6624,
                            aforesaid
                                     => 24560, afoul    => 27057,
                            africa   => 572, african  => 539, africana => 20783, africans => 6850,
                            africanus
                                     => 20718, afridi   => 27658,
                            afrika   => 16151, afrikaans
                                     => 10629,
                            afrikaner
                                     => 19081, aftab    => 22420,
                            after    => 30, aftermarket
                                     => 18132,
                            aftermath
                                     => 2729, aftershocks
                                     => 25371,
                            afterward
                                     => 4681, afterwards
                                     => 1905,
                            afterword
                                     => 25657, afzal    => 24536,
                            against  => 101, agaricus => 27944, agassi   => 22003, agassiz  => 19363,
                            agate    => 21154, agave    => 21753, agder    => 18526, age      => 140,
                            aged     => 1592, ageing   => 11506, agence   => 23555, agencies => 2235,
                            agency   => 1078, agents   => 2271, ages     => 1834, aggie    => 18678,
                            aggies   => 10815, agglomeration
                                     => 15196,
                            aggregate
                                     => 3433, aggregated
                                     => 16269,
                            aggregates
                                     => 14287, aggregating
                                     => 23224,
                            aggregation
                                     => 11084, aggregations
                                     => 29474,
                            aggregator
                                     => 11284, aggression
                                     => 6496,
                            aggressively
                                     => 9984, aggressiveness
                                     => 22405,
                            aggrieved
                                     => 28388, agile    => 11491,
                            agility  => 11980, agincourt
                                     => 22763,
                            aging    => 5108, agios    => 17868, agitation
                                     => 10242,
                            agnieszka
                                     => 22776, agnostic => 11898,
                            agong    => 26347, agonist  => 13207, agonists => 19185, agora    => 20172,
                            agrarian => 8305, agreement
                                     => 1022,
                            agreements
                                     => 3908, agrees   => 4014,
                            agribusiness
                                     => 20647, agricola => 19063,
                            agricultural
                                     => 1436, agriculture
                                     => 1594,
                            agrippa  => 17745, agrippina
                                     => 26050,
                            agronomy => 25760, aground  => 10224, aguascalientes
                                     => 23053,
                            agung    => 27854, agusta   => 29778, aharon   => 21191, ahmadabad
                                     => 18783,
                            ahmadinejad
                                     => 15439, ahmadiyya
                                     => 16465,
                            ahmedabad
                                     => 10148, ahmednagar
                                     => 23409,
                            ahmet    => 14147, ahvaz    => 24686, aichi    => 12446, aicte    => 22190,
                            aided    => 4306, aiden    => 21571, aikido   => 15715, ailerons => 16115,
                            ailing   => 12441, ailments => 14242, ailsa    => 28297, aimed    => 2530,
                            aiming   => 6727, aims     => 3022, aintree  => 22836, air      => 208,
                            airasia  => 29194, airbase  => 13296, airborne => 4225, airbus   => 8134,
                            aircraft => 468, aircrew  => 13570, aircrews => 19437, airdate  => 14438,
                            airdrie  => 17528, aired    => 1383, aires    => 3457, airfield => 3417,
                            airfields
                                     => 8609, airflow  => 14083,
                            airfoil  => 18794, airframe => 12121, airframes
                                     => 21254,
                            airing   => 3720, airings  => 23443, airlift  => 8100, airline  => 2912,
                            airliner => 12404, airliners
                                     => 16556,
                            airlines => 2494, airmail  => 25954, airmen   => 9863, airplay  => 5436,
                            airport  => 610, airports => 4634, airs     => 5226, airship  => 10493,
                            airships => 16782, airshow  => 20138, airspeed => 16776, airstrike
                                     => 21535,
                            airstrikes
                                     => 15779, airtel   => 22675,
                            airtime  => 18102, airways  => 4841, airworthiness
                                     => 28840,
                            aishwarya
                                     => 24153, aisles   => 10776,
                            aisne    => 14467, ajaccio  => 22994, ajith    => 24745, ajmer    => 18796,
                            akademi  => 13083, akademie => 18990, akali    => 25968, akash    => 24058,
                            akb48    => 22592, akbar    => 7804, akershus => 19714, akhenaten
                                     => 21307,
                            akhtar   => 14489, akira    => 10220, akita    => 15319, akiva    => 21207,
                            akkadian => 15736, akram    => 20170, akron    => 8250, akshay   => 21223,
                            akuma    => 28908, alabama  => 1806, alain    => 7552, alamein  => 18848,
                            alamos   => 13405, aland    => 9311, alania   => 27104, alanine  => 25443,
                            alappuzha
                                     => 23872, alaric   => 21770,
                            alasdair => 20761, alaska   => 2583, alaskan  => 10968, alastair => 14825,
                            alauddin => 27224, alava    => 20317, albacete => 21693, albania  => 3991,
                            albanian => 3884, albanians
                                     => 10433,
                            albans   => 9440, albany   => 3904, albarn   => 22469, albatros => 17508,
                            albatrosses
                                     => 28536, albedo   => 16406,
                            albeit   => 4889, albemarle
                                     => 13845,
                            albertus => 28617, albertville
                                     => 25418,
                            albini   => 24584, albion   => 4997, alborz   => 22591, album    => 97,
                            albumin  => 25237, albums   => 902, albuquerque
                                     => 7638,
                            alcalde  => 17803, alcatel  => 26647, alchemical
                                     => 23773,
                            alchemist
                                     => 14935, alchemy  => 12432,
                            alcibiades
                                     => 25481, alcoa    => 19860,
                            alcoholism
                                     => 9030, alcohols => 16093,
                            aldeburgh
                                     => 24703, aldehyde => 18326,
                            aldehydes
                                     => 23891, aldermen => 12948,
                            alderney => 22402, aldershot
                                     => 11073,
                            aldrin   => 29324, aldwych  => 28734, alegre   => 12905, aleister => 26900,
                            alekhine => 24355, aleksandar
                                     => 13310,
                            aleksander
                                     => 13814, aleksandr
                                     => 8407,
                            aleksandra
                                     => 20829, aleksandrovich
                                     => 18745,
                            aleksei  => 15909, aleksey  => 19575, alentejo => 28579, aleph    => 26210,
                            aleppo   => 8771, alerts   => 12794, alesi    => 22234, alessandria
                                     => 20596,
                            alessandro
                                     => 8068, alesund  => 23280,
                            aleut    => 27180, aleutian => 15111, alexandr => 29337, alexandre
                                     => 7167,
                            alexandrian
                                     => 19037, alexandrov
                                     => 28023,
                            alexandrovich
                                     => 22489, alexandru
                                     => 12431,
                            alexei   => 10507, alexey   => 15742, alexios  => 14967, alexius  => 28151,
                            alfie    => 15207, alfons   => 24104, alfreton => 25907, algae    => 7009,
                            algal    => 18774, algarve  => 16375, algebra  => 4231, algebraic
                                     => 6414,
                            algebraically
                                     => 26068, algebras => 10895,
                            algeciras
                                     => 22325, algeria  => 4433,
                            algerian => 6457, algernon => 17912, algiers  => 8673, algol    => 18322,
                            algoma   => 21625, algonquian
                                     => 16362,
                            algonquin
                                     => 14432, algorithm
                                     => 3477,
                            algorithmic
                                     => 18412, algorithms
                                     => 5219,
                            alhaji   => 26918, alhambra => 15861, aliabad  => 14958, alianza  => 17123,
                            aliasing => 25727, alicante => 15570, alienation
                                     => 12090,
                            aligarh  => 16680, alighieri
                                     => 28488,
                            align    => 6025, aligned  => 5250, aligning => 17591, alignment
                                     => 4421,
                            alignments
                                     => 16619, aligns   => 26442,
                            alito    => 25408, aliyah   => 14276, aliyev   => 19202, alkali   => 12536,
                            alkaline => 10851, alkaloid => 21184, alkaloids
                                     => 17014,
                            alkene   => 25321, alkenes  => 25319, alkmaar  => 22501, alkyl    => 16806,
                            allahabad
                                     => 10812, allama   => 26437,
                            allegany => 19701, allegation
                                     => 11520,
                            allegations
                                     => 3613, allege   => 17761,
                            alleged  => 2303, allegedly
                                     => 3397,
                            alleges  => 14758, allegheny
                                     => 7271,
                            allegiance
                                     => 6023, alleging => 8546,
                            allegorical
                                     => 12250, allegories
                                     => 27269,
                            allegory => 12395, allegro  => 14847, allele   => 12675, alleles  => 14437,
                            allendale
                                     => 27662, allentown
                                     => 12245,
                            allerton => 22993, alleviate
                                     => 9467,
                            alleviated
                                     => 24095, alleviating
                                     => 25076,
                            alleviation
                                     => 24223, alleyn   => 29269,
                            allgemeine
                                     => 19315, alliance => 1394,
                            alliances
                                     => 7859, allianz  => 22316,
                            allied   => 1895, allier   => 24569, allies   => 2363, allium   => 17544,
                            allmusic => 4106, alloa    => 20475, allocate => 13801, allocated
                                     => 4181,
                            allocates
                                     => 28234, allocating
                                     => 18777,
                            allocation
                                     => 6127, allocations
                                     => 16943,
                            allosteric
                                     => 26742, allotment
                                     => 13883,
                            allotments
                                     => 16846, allotted => 9246,
                            allow    => 932, allowable
                                     => 17901,
                            allowed  => 645, allowing => 1349, allows   => 1222, alloy    => 6690,
                            alloys   => 9866, allround => 22778, allstars => 27921, allsvenskan
                                     => 13087,
                            allude   => 21410, alluded  => 13171, alludes  => 12726, alluding => 15840,
                            allusion => 12045, allusions
                                     => 12311,
                            alluvial => 11384, alluvium => 26196, allying  => 26642, almagro  => 20789,
                            almanac  => 12638, almanack => 25879, almaty   => 16371, almeria  => 15388,
                            almirante
                                     => 24359, almshouses
                                     => 21421,
                            alnwick  => 24169, aloft    => 16890, alois    => 16302, along    => 180,
                            alongside
                                     => 1164, alouettes
                                     => 13467,
                            aloysius => 15200, alpes    => 11445, alphabet => 4638, alphabetic
                                     => 19911,
                            alphabetical
                                     => 9223, alphabetically
                                     => 12139,
                            alphabets
                                     => 15910, alphanumeric
                                     => 23769,
                            alpina   => 25509, alpine   => 3737, alpini   => 29834, alps     => 5069,
                            alsace   => 8647, alsatian => 23586, also     => 22, alstom   => 18463,
                            altai    => 15235, altair   => 20194, altamont => 26566, altan    => 29116,
                            altarpiece
                                     => 11349, altarpieces
                                     => 22559,
                            altars   => 12204, alter    => 4772, alteration
                                     => 9468,
                            alterations
                                     => 6680, altered  => 3507,
                            alternate
                                     => 2697, alternated
                                     => 12318,
                            alternately
                                     => 9087, alternates
                                     => 14197,
                            alternating
                                     => 5991, alternation
                                     => 18718,
                            alternative
                                     => 1258, alternatively
                                     => 5004,
                            alternatives
                                     => 5969, although => 185,
                            altimeter
                                     => 29611, altitude => 2902,
                            altitudes
                                     => 7994, alto     => 5546,
                            altona   => 16940, altoona  => 17460, altos    => 18144, altrincham
                                     => 16878,
                            alumina  => 21819, aluminium
                                     => 5457,
                            aluminum => 5246, alumna   => 21959, alumnae  => 21817, alumni   => 2944,
                            alumnus  => 7392, alvar    => 21336, alveolar => 13638, alzheimer
                                     => 8391,
                            amadeus  => 10811, amadou   => 26697, amalfi   => 25639, amalgam  => 15965,
                            amalgamate
                                     => 26725, amalgamated
                                     => 6562,
                            amalgamation
                                     => 7794, amalie   => 19771,
                            amami    => 26493, amanita  => 22740, amarillo => 12832, amarna   => 18895,
                            amass    => 22867, amassed  => 8126, amassing => 15513, amasya   => 23498,
                            amata    => 27038, amateur  => 1694, amateurliga
                                     => 27825,
                            amazon   => 4840, "amazon.com"
                                     => 11693,
                            amazonas => 16737, amazonia => 29957, amazonian
                                     => 18775,
                            amazons  => 16651, ambala   => 27625, ambassador
                                     => 2168,
                            ambassadors
                                     => 7249, ambedkar => 18277,
                            ambient  => 6835, ambiguities
                                     => 24620,
                            ambiguity
                                     => 9726, ambiguous
                                     => 7561,
                            ambika   => 29791, ambitions
                                     => 7718,
                            ambivalent
                                     => 17240, ambon    => 23026,
                            amboy    => 18657, ambroise => 27956, ambulatory
                                     => 18725,
                            ambushes => 19050, amedeo   => 23137, ameer    => 27633, amelie   => 19101,
                            amend    => 10028, amended  => 5266, amending => 16167, amendment
                                     => 2581,
                            amendments
                                     => 6021, amenhotep
                                     => 21950,
                            amenities
                                     => 6211, amenity  => 22596,
                            america  => 343, american => 76, americana
                                     => 10056,
                            americanism
                                     => 29624, americans
                                     => 1419,
                            americas => 4027, amerika  => 26330, amerindian
                                     => 17754,
                            amerindians
                                     => 27080, amersfoort
                                     => 28652,
                            amersham => 29480, amesbury => 29082, amethyst => 22382, amhara   => 20607,
                            amharic  => 19709, amherst  => 7444, amicably => 21344, amicus   => 17957,
                            amide    => 21831, amidships
                                     => 17251,
                            amidst   => 7666, amiens   => 11662, amiga    => 8696, amigaos  => 27822,
                            amine    => 14444, amines   => 19650, amino    => 5170, amirabad => 24595,
                            amitabh  => 17671, amity    => 17388, amjad    => 25893, amman    => 9784,
                            ammonia  => 9284, ammonian => 28391, ammonite => 26075, ammonites
                                     => 28220,
                            ammonium => 12108, ammunition
                                     => 3584,
                            amnesty  => 6045, among    => 228, amongst  => 1995, amorphous
                                     => 14769,
                            amory    => 23159, amount   => 1049, amounted => 7247, amounting
                                     => 11360,
                            amounts  => 2995, ampere   => 24821, amphetamine
                                     => 18612,
                            amphibian
                                     => 14119, amphibians
                                     => 9891,
                            amphibious
                                     => 5903, amphitheater
                                     => 12241,
                            amphitheatre
                                     => 11922, amphoe   => 16184,
                            amplification
                                     => 11780, amplified
                                     => 11854,
                            amplifier
                                     => 8273, amplifiers
                                     => 9649,
                            amplify  => 18459, amplifying
                                     => 28513,
                            amplitude
                                     => 8501, amplitudes
                                     => 22807,
                            amputated
                                     => 16924, amputee  => 28701,
                            amrita   => 22439, amritsar => 14449, amstel   => 22441, amsterdam
                                     => 2935,
                            amstrad  => 20001, amtrak   => 6776, amuro    => 23821, amusements
                                     => 24991,
                            amygdala => 19743, amyloid  => 19807, an       => 16, "an/fps" => 19006,
                            anabaptist
                                     => 28115, anabolic => 20964,
                            anachronistic
                                     => 22126, anaconda => 18238,
                            anacostia
                                     => 19062, anaerobic
                                     => 13419,
                            anaesthesia
                                     => 23049, anaheim  => 7523,
                            anais    => 29618, anakin   => 27254, analgesic
                                     => 18458,
                            analog   => 4111, analogies
                                     => 21838,
                            analogous
                                     => 6999, analogs  => 21107,
                            analogue => 7645, analogues
                                     => 17342,
                            analyse  => 15374, analysed => 11914, analyses => 6341, analysing
                                     => 17144,
                            analysis => 1079, analyst  => 5336, analysts => 6898, analyte  => 27347,
                            analytic => 8568, analytical
                                     => 7118,
                            analytically
                                     => 28500, analytics
                                     => 10035,
                            analyzed => 6608, analyzer => 18530, analyzes => 14156, anambra  => 28969,
                            anamorphic
                                     => 22851, anand    => 8124,
                            ananda   => 13548, anant    => 28534, anarchic => 27828, anarchism
                                     => 10892,
                            anarchist
                                     => 6425, anarchists
                                     => 10666,
                            anarcho  => 14162, anastasius
                                     => 25898,
                            anathema => 24851, anatole  => 22567, anatoli  => 25743, anatolia => 8283,
                            anatolian
                                     => 13792, anatoly  => 13843,
                            anatomic => 29113, anatomical
                                     => 9928,
                            anatomist
                                     => 20702, anatomy  => 5233,
                            anbar    => 19187, ancaster => 29616, ancestor => 5041, ancestors
                                     => 4373,
                            ancestral
                                     => 5782, ancestry => 4052,
                            anchor   => 3418, anchorage
                                     => 7943,
                            anchored => 5868, anchoring
                                     => 14041,
                            anchors  => 9067, ancien   => 20743, ancient  => 821, ancients => 15842,
                            ancillary
                                     => 13345, and      => 3,
                            "and/or" => 2375, andalucia
                                     => 22739,
                            andalus  => 18353, andalusia
                                     => 10923,
                            andalusian
                                     => 15406, andaman  => 13757,
                            andante  => 27619, andean   => 11211, anderlecht
                                     => 15771,
                            andersson
                                     => 11390, andesite => 25287,
                            andhra   => 5131, andorra  => 11294, andover  => 10332, andrei   => 7642,
                            andrej   => 23109, andretti => 13162, andreu   => 29390, andrey   => 11431,
                            andriy   => 20896, androgen => 20032, androgynous
                                     => 23742,
                            android  => 5167, androids => 24207, andromeda
                                     => 14114,
                            andromedae
                                     => 28839, andronicus
                                     => 28937,
                            andronikos
                                     => 18822, andrzej  => 12082,
                            anecdotal
                                     => 15903, anecdotes
                                     => 12072,
                            anemone  => 16864, anemones => 27708, anfield  => 15233, angara   => 29339,
                            angeles  => 706, angelis  => 26051, angelou  => 17178, angered  => 7713,
                            angering => 24496, angevin  => 22496, angiogenesis
                                     => 22296,
                            angiosperms
                                     => 29870, angiotensin
                                     => 25734,
                            angkor   => 18418, anglais  => 29478, angled   => 11428, angler   => 22653,
                            anglers  => 15416, angles   => 5361, anglesey => 12844, anglia   => 8684,
                            anglian  => 14836, anglican => 3422, anglicanism
                                     => 21188,
                            anglicans
                                     => 16259, anglicised
                                     => 16873,
                            anglicized
                                     => 16936, anglo    => 2653,
                            anglophone
                                     => 16551, angola   => 5169,
                            angolan  => 11978, angouleme
                                     => 20207,
                            angra    => 20821, angrily  => 10099, anguilla => 17259, angular  => 6638,
                            anhalt   => 9040, anheuser => 21395, anhui    => 13006, anhydride
                                     => 26089,
                            anhydrous
                                     => 23700, aniline  => 29314,
                            animal   => 1414, animals  => 1279, animas   => 29644, animate  => 16521,
                            animated => 2399, animating
                                     => 27361,
                            animation
                                     => 2769, animations
                                     => 11416,
                            animator => 9949, animators
                                     => 13784,
                            animatronic
                                     => 27640, animax   => 28804,
                            anime    => 3017, anion    => 14707, anions   => 20589, anisotropic
                                     => 26327,
                            anisotropy
                                     => 25365, aniston  => 26785,
                            anjali   => 17638, anjou    => 11670, ankara   => 7997, annales  => 18319,
                            annals   => 7265, annam    => 29970, annan    => 12607, annandale
                                     => 18916,
                            annapolis
                                     => 8709, annapurna
                                     => 25357,
                            annealing
                                     => 24889, annecy   => 24256,
                            annenberg
                                     => 21488, annesley => 25433,
                            annex    => 7000, annexation
                                     => 6833,
                            annexe   => 26129, annexed  => 4824, annexes  => 28232, annexing => 21802,
                            annihilated
                                     => 15418, annihilation
                                     => 12743,
                            anniston => 29767, anniversary
                                     => 1788,
                            annotated
                                     => 12925, annotation
                                     => 19040,
                            annotations
                                     => 16116, announced
                                     => 362,
                            announcements
                                     => 9456, announcer
                                     => 5967,
                            announcers
                                     => 13425, announces
                                     => 7999,
                            announcing
                                     => 5754, annual   => 648,
                            annually => 2102, annuals  => 20202, annuities
                                     => 23914,
                            annuity  => 14833, annular  => 17640, annulus  => 27452, annum    => 10070,
                            annunciation
                                     => 14140, anode    => 14189,
                            anointing
                                     => 24274, anomalies
                                     => 12522,
                            anomalous
                                     => 16141, anorthosis
                                     => 24516,
                            another  => 177, ansar    => 16309, ansbach  => 21621, anschluss
                                     => 20950,
                            anselm   => 14049, ansett   => 25144, ansgar   => 28596, anstruther
                                     => 29178,
                            answerable
                                     => 27303, antagonism
                                     => 17688,
                            antagonist
                                     => 7108, antagonists
                                     => 11097,
                            antalya  => 14780, antananarivo
                                     => 23219,
                            antarctic
                                     => 3872, antarctica
                                     => 5095,
                            antebellum
                                     => 15017, antecedent
                                     => 18026,
                            antecedents
                                     => 18005, antelope => 10512,
                            antena   => 29294, antenna  => 5077, antennae => 11164, antennas => 9447,
                            anterior => 5859, anteriorly
                                     => 18638,
                            anthem   => 4623, anthemic => 27977, anthems  => 13788, anthers  => 22204,
                            anthologies
                                     => 8624, anthologized
                                     => 25906,
                            anthology
                                     => 4132, anthracite
                                     => 19606,
                            anthropogenic
                                     => 18684, anthropological
                                     => 10571,
                            anthropologist
                                     => 8451, anthropologists
                                     => 12474,
                            anthropology
                                     => 5110, anthropomorphic
                                     => 12891,
                            anti     => 722, antiaircraft
                                     => 17089,
                            antibacterial
                                     => 22558, antibody => 9953,
                            antic    => 25467, anticipated
                                     => 5091,
                            anticipates
                                     => 23671, antidepressant
                                     => 19677,
                            antietam => 18194, antifungal
                                     => 27980,
                            antigen  => 10123, antigens => 14620, antigone => 23198, antigonus
                                     => 22351,
                            antigua  => 9517, antilles => 9636, antimatter
                                     => 22408,
                            antimicrobial
                                     => 16519, antimony => 19070,
                            antioch  => 7311, antiochus
                                     => 14921,
                            antioquia
                                     => 18580, antioxidant
                                     => 19649,
                            antioxidants
                                     => 26605, antipathy
                                     => 23505,
                            antipope => 25316, antipsychotic
                                     => 26429,
                            antipsychotics
                                     => 29242,
                            antiquarian
                                     => 11268, antiquaries
                                     => 18166,
                            antiquary
                                     => 19066, antiquities
                                     => 8411,
                            antiquity
                                     => 6003, antiretroviral
                                     => 28538,
                            antisemitic
                                     => 12444, antisemitism
                                     => 10779,
                            antisubmarine
                                     => 14283, antitank => 26436,
                            antithesis
                                     => 21111, antitrust
                                     => 11917,
                            antiviral
                                     => 21377, antivirus
                                     => 21892,
                            antiwar  => 26501, antofagasta
                                     => 25654,
                            antonescu
                                     => 19661, antoni   => 13498,
                            antonin  => 13525, antonine => 29090, antonino => 29978, antoninus
                                     => 24572,
                            antonis  => 27967, antonius => 18940, antonov  => 17360, antrim   => 8631,
                            antti    => 25189, antwerp  => 5650, anupam   => 28208, anuradhapura
                                     => 20078,
                            anyang   => 23852, anzac    => 10285, anzio    => 23817, aomori   => 17946,
                            aortic   => 14802, aosta    => 18899, aotearoa => 23953, aoyama   => 23946,
                            apache   => 6355, apaches  => 18324, apalachicola
                                     => 29325,
                            apartheid
                                     => 6593, apartments
                                     => 3666,
                            apennines
                                     => 25999, apertura => 11938,
                            aperture => 7458, apertures
                                     => 25621,
                            apex     => 5716, aphasia  => 22066, aphid    => 26215, aphids   => 21034,
                            aphorisms
                                     => 27157, aphrodite
                                     => 14513,
                            apical   => 10765, apnea    => 22811, apocalyptic
                                     => 10581,
                            apocrypha
                                     => 24685, apocryphal
                                     => 15961,
                            apocynaceae
                                     => 28980, apoel    => 17425,
                            apogee   => 16243, apolitical
                                     => 22971,
                            apollinaire
                                     => 28576, apollo   => 4199,
                            apollon  => 19105, apollonia
                                     => 29245,
                            apollonius
                                     => 23462, apologetics
                                     => 24940,
                            apologised
                                     => 14844, apologises
                                     => 26568,
                            apologist
                                     => 29009, apoptosis
                                     => 11762,
                            apoptotic
                                     => 25349, apostasy => 18321,
                            apostate => 24537, apostle  => 7895, apostles => 7301, apostol  => 28381,
                            apostolate
                                     => 26587, apostolic
                                     => 5013,
                            appalachia
                                     => 19558, appalachian
                                     => 7235,
                            appalachians
                                     => 24208, apparatus
                                     => 5931,
                            apparel  => 9564, apparent => 2506, apparitions
                                     => 20131,
                            appeal   => 1857, appealed => 4682, appeals  => 3277, appear   => 972,
                            appearance
                                     => 707, appearances
                                     => 930,
                            appeared => 361, appearing
                                     => 2075,
                            appears  => 845, appeasement
                                     => 23364,
                            appellant
                                     => 19656, appellate
                                     => 8217,
                            appellation
                                     => 12368, appendages
                                     => 16202,
                            appended => 15046, appendices
                                     => 26332,
                            appenzell
                                     => 28742, applauded
                                     => 13174,
                            appliances
                                     => 8919, applicability
                                     => 17315,
                            applicable
                                     => 5927, applicant
                                     => 8962,
                            applicants
                                     => 6466, application
                                     => 1312,
                            applications
                                     => 1380, applied  => 1121,
                            applies  => 4528, apply    => 2374, applying => 4499, appoint  => 6441,
                            appointed
                                     => 415, appointee
                                     => 18819,
                            appointees
                                     => 17384, appointing
                                     => 9756,
                            appoints => 11939, appomattox
                                     => 16899,
                            apportioned
                                     => 19416, apportionment
                                     => 19596,
                            appraisal
                                     => 12025, appreciable
                                     => 22964,
                            apprentice
                                     => 5585, apprenticed
                                     => 10301,
                            apprentices
                                     => 13605, apprenticeship
                                     => 7518,
                            apprenticeships
                                     => 24361,
                            approach => 1113, approachable
                                     => 27879,
                            approached
                                     => 2904, approaches
                                     => 2972,
                            appropriated
                                     => 10194, appropriately
                                     => 9208,
                            appropriateness
                                     => 26218,
                            appropriation
                                     => 10383, appropriations
                                     => 8326,
                            approval => 2431, approvals
                                     => 20088,
                            approved => 1495, approving
                                     => 13432,
                            approx   => 8540, approximate
                                     => 6014,
                            approximated
                                     => 14623, approximately
                                     => 524,
                            approximates
                                     => 24240, approximating
                                     => 24646,
                            approximation
                                     => 7253, approximations
                                     => 17025,
                            apuestas => 26246, apulia   => 14726, aqaba    => 26176, aquaculture
                                     => 12211,
                            aquaria  => 23632, aquarium => 6604, aquariums
                                     => 18515,
                            aquatic  => 4915, aquatics => 7622, aqueduct => 8439, aqueducts
                                     => 20469,
                            aqueous  => 11078, aquifer  => 14087, aquifers => 20786, aquila   => 17513,
                            aquileia => 22262, aquinas  => 10456, aquitaine
                                     => 10467,
                            arab     => 1713, arabella => 21241, arabesque
                                     => 29200,
                            arabi    => 19409, arabia   => 3601, arabian  => 5443, arabic   => 2368,
                            arabidopsis
                                     => 28851, arable   => 10828,
                            arabs    => 5352, arafat   => 14924, aragonese
                                     => 15312,
                            aragorn  => 26695, arakan   => 20593, aramaic  => 9825, araneta  => 26117,
                            arapaho  => 21380, ararat   => 15898, arashi   => 25292, arbiter  => 19692,
                            arbitrage
                                     => 22605, arbitrarily
                                     => 12721,
                            arbitrary
                                     => 5840, arbitration
                                     => 6863,
                            arbitron => 26245, arbor    => 7742, arborea  => 25259, arboreal => 14030,
                            arboretum
                                     => 8767, arbroath => 17844,
                            arbuthnot
                                     => 21071, arcade   => 4139,
                            arcades  => 12077, arcadia  => 9683, arcana   => 22202, arch     => 3306,
                            archaea  => 20698, archaeological
                                     => 2656,
                            archaeologist
                                     => 7487, archaeologists
                                     => 7073,
                            archaeology
                                     => 4520, archaic  => 7498,
                            archangel
                                     => 11920, archbishop
                                     => 2384,
                            archbishopric
                                     => 13187, archbishops
                                     => 13334,
                            archdeacon
                                     => 8606, archdeaconry
                                     => 17242,
                            archdiocesan
                                     => 27568, archdiocese
                                     => 4761,
                            archduchess
                                     => 20772, archduke => 10473,
                            arched   => 7526, archeological
                                     => 7708,
                            archeologist
                                     => 22165, archeologists
                                     => 20659,
                            archeology
                                     => 15451, archers  => 10154,
                            archery  => 7296, arches   => 5760, archetypal
                                     => 16625,
                            archetype
                                     => 15803, archetypes
                                     => 20305,
                            archiepiscopal
                                     => 28808,
                            archimandrite
                                     => 28945, archimedes
                                     => 16622,
                            archipelago
                                     => 5162, architect
                                     => 1546,
                            architects
                                     => 3002, architectural
                                     => 2215,
                            architecturally
                                     => 13127,
                            architecture
                                     => 1086, architectures
                                     => 11745,
                            archiv   => 19182, archival => 8789, archive  => 3789, archived => 12481,
                            archives => 3167, archiving
                                     => 19036,
                            archivist
                                     => 14996, archon   => 25203,
                            arcot    => 24680, arcseconds
                                     => 29669,
                            arctic   => 3864, arctiidae
                                     => 7429,
                            ardabil  => 12564, ardashir => 29148, ardeche  => 25270, ardeidae => 29030,
                            ardennes => 12968, ardent   => 9778, ardmore  => 21074, ardrossan
                                     => 27565,
                            arduous  => 15501, are      => 18, area     => 98, areal    => 29963,
                            areas    => 363, arecibo  => 23316, arena    => 1726, arenabowl
                                     => 26774,
                            arendal  => 27440, arequipa => 22047, areva    => 28487, arezzo   => 20995,
                            argent   => 9012, argentina
                                     => 1870,
                            argentine
                                     => 2973, argentinean
                                     => 29659,
                            argentines
                                     => 23365, argentinian
                                     => 11719,
                            argentino
                                     => 17557, argentinos
                                     => 24628,
                            arges    => 27304, arginine => 20937, argonaut => 27329, argonauts
                                     => 10826,
                            argonne  => 16984, argos    => 13585, argosy   => 29434, arguably => 5594,
                            argued   => 1765, argues   => 3369, argumentation
                                     => 24037,
                            arguments
                                     => 3861, argus    => 11381,
                            argyle   => 9318, argyll   => 10036, aria     => 5364, ariadne  => 18383,
                            arian    => 16939, ariege   => 27366, aries    => 14389, arima    => 28606,
                            arion    => 23457, arise    => 5309, arisen   => 10846, arises   => 7041,
                            arising  => 6888, arista   => 13944, aristide => 18307, aristocracy
                                     => 8310,
                            aristocrat
                                     => 12179, aristocratic
                                     => 7475,
                            aristocrats
                                     => 12712, aristophanes
                                     => 22644,
                            aristotelian
                                     => 17373, aristotle
                                     => 6826,
                            arithmetic
                                     => 7425, arizona  => 1707,
                            arjun    => 10880, arjuna   => 13909, arkady   => 26838, arkansas => 2120,
                            arkham   => 18817, arkhangelsk
                                     => 17093,
                            arkwright
                                     => 23367, arles    => 15215,
                            arlington
                                     => 5297, armada   => 10017,
                            armadale => 27357, armagh   => 8876, armagnac => 29483, armament => 5725,
                            armaments
                                     => 12850, armature => 24542,
                            armband  => 26624, armbar   => 27323, armed    => 1319, armee    => 13830,
                            armen    => 25671, armenia  => 3852, armenian => 2774, armenians
                                     => 7211,
                            armia    => 26955, armidale => 22856, armies   => 3253, armin    => 15946,
                            armistice
                                     => 6995, armor    => 3994,
                            armored  => 4474, armorial => 23411, armory   => 9511, armoured => 4189,
                            armoury  => 20132, army     => 215, arnaldo  => 26559, arnaud   => 14344,
                            arnaz    => 27438, arnhem   => 12601, arnulf   => 20526, aromatic => 9349,
                            aroostook
                                     => 27786, arose    => 4009,
                            arousal  => 14696, arpad    => 21857, arran    => 15571, arranged => 2031,
                            arrangement
                                     => 2639, arranger => 8353,
                            arrangers
                                     => 29759, arranges => 10127,
                            arras    => 13575, array    => 3549, arrayed  => 26225, arrays   => 9605,
                            arrears  => 20128, arrests  => 6475, arriba   => 27835, arriva   => 13654,
                            arrival  => 1932, arrivals => 10354, arrived  => 951, arrives  => 3232,
                            arriving => 2668, arrondissement
                                     => 7163,
                            arrondissements
                                     => 22235,
                            arrow    => 4424, arrowheads
                                     => 26392,
                            arrows   => 6545, arsenal  => 3504, arsene   => 22747, arsenio  => 25521,
                            arslan   => 21346, art      => 255, artaxerxes
                                     => 26839,
                            artefact => 27337, artefacts
                                     => 9518,
                            artem    => 27500, artemis  => 11524, artemisia
                                     => 17505,
                            arterial => 9054, artes    => 12297, artesian => 26686, arthritis
                                     => 10510,
                            arthropod
                                     => 25498, arthropods
                                     => 13609,
                            arthurian
                                     => 16436, article  => 870,
                            articled => 21902, articles => 1337, articular
                                     => 22299,
                            articulated
                                     => 8021, articulates
                                     => 28711,
                            articulating
                                     => 26591, articulation
                                     => 10864,
                            artifacts
                                     => 4099, artificial
                                     => 3052,
                            artificially
                                     => 11046, artigas  => 27152,
                            artillery
                                     => 1673, artin    => 26423,
                            artisan  => 13097, artisanal
                                     => 24505,
                            artisans => 9474, artist   => 608, artiste  => 17886, artistes => 14687,
                            artistic => 1972, artistically
                                     => 15610,
                            artistry => 13245, artists  => 658, artois   => 16836, arts     => 454,
                            artur    => 12995, artwork  => 3353, artworks => 8681, artyom   => 26712,
                            aruna    => 24845, arunachal
                                     => 15535,
                            arundel  => 10391, arundell => 24152, arusha   => 24838, arvid    => 25485,
                            arvind   => 23077, aryeh    => 27098, as       => 8, asahi    => 13157,
                            asansol  => 27024, asante   => 21387, asaph    => 23424, ascap    => 14612,
                            ascend   => 12259, ascendancy
                                     => 17034,
                            ascendant
                                     => 28092, ascended => 8574,
                            ascending
                                     => 8800, ascends  => 17276,
                            ascenso  => 25122, ascent   => 6919, ascents  => 16960, ascertained
                                     => 18826,
                            ascetic  => 14298, asceticism
                                     => 24067,
                            ascetics => 29397, aschaffenburg
                                     => 27126,
                            ascii    => 11724, ascoli   => 19927, ascot    => 10455, ascribe  => 25607,
                            ascribed => 9504, ascribes => 28523, asean    => 10625, asesoria => 26761,
                            asexual  => 18289, asghar   => 26163, ashbourne
                                     => 24652,
                            ashburton
                                     => 19699, ashbury  => 29231,
                            ashdod   => 23171, ashdown  => 21018, asheville
                                     => 12276,
                            ashfield => 18146, ashikaga => 21104, ashina   => 23300, ashkelon => 24712,
                            ashkenazi
                                     => 12527, ashland  => 9969,
                            ashlar   => 15245, ashok    => 11259, ashoka   => 14747, ashore   => 6516,
                            ashraf   => 14324, ashram   => 11432, ashtabula
                                     => 27105,
                            ashur    => 28875, ashwin   => 29538, asia     => 1035, "asia/oceania"
                                     => 24950,
                            asian    => 961, asians   => 11483, asiatic  => 9186, asimov   => 12292,
                            asistencia
                                     => 24544, asker    => 22383,
                            asmara   => 23740, asociacion
                                     => 16809,
                            aspartate
                                     => 28672, aspect   => 3040,
                            aspects  => 1924, asperger => 23862, aspergillus
                                     => 21081,
                            asphalt  => 7566, aspinall => 25204, aspirated
                                     => 14712,
                            aspiration
                                     => 13443, aspirations
                                     => 8672,
                            aspired  => 16833, aspires  => 22018, aspiring => 8344, asquith  => 15379,
                            assad    => 10257, assailants
                                     => 17899,
                            assam    => 6097, assamese => 12818, assange  => 25858, assassinate
                                     => 9603,
                            assassinated
                                     => 6266, assassinating
                                     => 25914,
                            assassination
                                     => 3708, assassinations
                                     => 14194,
                            assault  => 2358, assaults => 8585, assay    => 12692, assays   => 18209,
                            assemblage
                                     => 13056, assemblages
                                     => 21869,
                            assembled
                                     => 3648, assembles
                                     => 21988,
                            assemblies
                                     => 6437, assembling
                                     => 11625,
                            assembly => 657, assemblyman
                                     => 14810,
                            assemblymen
                                     => 25765, assen    => 28472,
                            assent   => 10780, assert   => 7945, asserted => 5252, asserting
                                     => 9858,
                            assertion
                                     => 8826, assertions
                                     => 13354,
                            asserts  => 7292, assess   => 6088, assessed => 5680, assesses => 20190,
                            assessing
                                     => 9379, assessment
                                     => 2824,
                            assessments
                                     => 7808, assessor => 15804,
                            assessors
                                     => 28118, asset    => 4515,
                            assets   => 2491, assigned => 1098, assigns  => 9215, assimilate
                                     => 17545,
                            assimilated
                                     => 10388, assimilation
                                     => 9544,
                            assiniboine
                                     => 22399, assisi   => 14307,
                            assist   => 2370, assistance
                                     => 1824,
                            assistant
                                     => 906, assistants
                                     => 7110,
                            assisted => 2521, assisting
                                     => 5524,
                            assistive
                                     => 28598, assists  => 3222,
                            assize   => 28347, assizes  => 25353, associacao
                                     => 18893,
                            associate
                                     => 1903, associated
                                     => 669,
                            associates
                                     => 3482, association
                                     => 289,
                            associations
                                     => 3095, associative
                                     => 13794,
                            associazione
                                     => 23907, assortment
                                     => 11636,
                            assumed  => 1925, assumes  => 6339, assumption
                                     => 4584,
                            assyria  => 13500, assyrian => 7357, assyrians
                                     => 13001,
                            astana   => 15125, aster    => 15356, asteraceae
                                     => 18070,
                            asterisk => 14269, asterism => 26415, asterix  => 19313, astern   => 22757,
                            asteroid => 6103, asteroids
                                     => 11118,
                            astley   => 14885, astor    => 10008, astoria  => 10699, astra    => 10708,
                            astragalus
                                     => 23502, astrakhan
                                     => 19733,
                            astride  => 22488, astro    => 10638, astrodome
                                     => 29219,
                            astrolabe
                                     => 28856, astrologer
                                     => 18219,
                            astrologers
                                     => 23879, astrological
                                     => 16121,
                            astrology
                                     => 10211, astronautics
                                     => 23213,
                            astronomer
                                     => 6840, astronomers
                                     => 9718,
                            astronomical
                                     => 5286, astronomy
                                     => 4785,
                            astrophysical
                                     => 20898, astrophysicist
                                     => 25109,
                            astrophysics
                                     => 12585, astros   => 8225,
                            asturian => 20562, asturias => 9448, asuka    => 20071, asura    => 19828,
                            aswan    => 26393, asylum   => 4673, asylums  => 23925, asymmetric
                                     => 10901,
                            asymmetrical
                                     => 13752, asymmetry
                                     => 17266,
                            asymptomatic
                                     => 19875, asymptotic
                                     => 16274,
                            asymptotically
                                     => 25427,
                            asynchronous
                                     => 15373, at       => 13,
                            atacama  => 22754, atalanta => 17320, atari    => 7132, ataturk  => 14512,
                            ataxia   => 21342, atelier  => 14207, ateneo   => 12153, athabasca
                                     => 18816,
                            athabaskan
                                     => 26443, athanasius
                                     => 17037,
                            atheism  => 13066, atheist  => 8487, atheistic
                                     => 28555,
                            athenaeum
                                     => 15408, athenian => 9618,
                            athenians
                                     => 14247, athens   => 2677,
                            atherosclerosis
                                     => 23942,
                            athlete  => 3083, athletes => 2496, athletic => 1525, athleticism
                                     => 25844,
                            athletics
                                     => 1548, athlon   => 28745,
                            athlone  => 18342, athol    => 21706, atholl   => 21274, atlanta  => 2003,
                            atlante  => 28719, atlantic => 1216, atlantique
                                     => 21922,
                            atlantiques
                                     => 24052, atlantis => 7455,
                            atlas    => 4902, atlases  => 27765, atletico => 6394, atman    => 22724,
                            atmosphere
                                     => 2852, atmospheres
                                     => 18476,
                            atmospheric
                                     => 4800, atoll    => 7662,
                            atolls   => 20403, atom     => 5429, atomic   => 3603, atoms    => 4966,
                            atonement
                                     => 14260, atop     => 5404,
                            atpase   => 20759, atria    => 27400, atrial   => 17380, atrium   => 10890,
                            atrocities
                                     => 8959, atsushi  => 25161,
                            attache  => 11195, attached => 1832, attaches => 13299, attaching
                                     => 12989,
                            attachment
                                     => 5826, attack   => 543,
                            attacked => 1459, attackers
                                     => 8163,
                            attacking
                                     => 3126, attacks  => 1281,
                            attain   => 7087, attainable
                                     => 24320,
                            attainder
                                     => 25276, attained => 4668,
                            attaining
                                     => 9167, attainment
                                     => 13005,
                            attains  => 15837, attempt  => 869, attempted
                                     => 1449,
                            attempting
                                     => 2827, attempts => 1376,
                            attenborough
                                     => 16953, attend   => 1843,
                            attendance
                                     => 2839, attendances
                                     => 13823,
                            attended => 617, attendees
                                     => 7727,
                            attending
                                     => 2485, attends  => 8542,
                            attentional
                                     => 27804, attenuated
                                     => 20861,
                            attenuation
                                     => 16746, attestation
                                     => 25499,
                            attested => 6970, attesting
                                     => 28054,
                            attests  => 24421, atticus  => 21777, attila   => 13838, attire   => 9934,
                            attitudes
                                     => 5375, attlee   => 21927,
                            attock   => 28733, attract  => 3956, attracting
                                     => 5950,
                            attraction
                                     => 3444, attractions
                                     => 3983,
                            attractiveness
                                     => 17427,
                            attracts => 6423, attributable
                                     => 13330,
                            attribute
                                     => 7057, attributed
                                     => 2449,
                            attributes
                                     => 4624, attributing
                                     => 17263,
                            attribution
                                     => 8956, attributions
                                     => 24286,
                            attrition
                                     => 13685, atypical => 12515,
                            auburn   => 5044, auckland => 3367, auctioned
                                     => 11290,
                            auctions => 11807, audacious
                                     => 20038,
                            auden    => 20091, audible  => 12787, audience => 1341, audiences
                                     => 3446,
                            audiencia
                                     => 20316, audio    => 1996,
                            audiobook
                                     => 17778, audiobooks
                                     => 23229,
                            audiovisual
                                     => 15358, audit    => 6213,
                            auditing => 13770, auditioned
                                     => 8056,
                            auditor  => 8000, auditorium
                                     => 4631,
                            auditoriums
                                     => 27636, auditors => 15041,
                            auditory => 9854, audits   => 15465, audley   => 19272, audubon  => 12593,
                            augment  => 12815, augmentation
                                     => 17081,
                            augmented
                                     => 7330, augmenting
                                     => 24420,
                            augsburg => 8854, august   => 161, augustan => 25862, augustana
                                     => 28307,
                            augustinian
                                     => 11701, augustinians
                                     => 26042,
                            augusto  => 10978, augustow => 28584, aulus    => 27457, aural    => 20443,
                            aurangabad
                                     => 17963, aurangzeb
                                     => 15285,
                            aurel    => 28893, aurelian => 23583, aureus   => 18909, aurobindo
                                     => 22164,
                            auschwitz
                                     => 9036, auspices => 7290,
                            auspicious
                                     => 14416, austen   => 10082,
                            austere  => 14728, austerity
                                     => 13047,
                            austerlitz
                                     => 28360, austral  => 20020,
                            australasia
                                     => 11313, australasian
                                     => 10738,
                            australia
                                     => 331, australian
                                     => 409,
                            australians
                                     => 5726, australis
                                     => 13962,
                            austria  => 1626, austrian => 2054, austrians
                                     => 9645,
                            austro   => 6421, austronesian
                                     => 15447,
                            authenticated
                                     => 20244, authentication
                                     => 10136,
                            authenticity
                                     => 7965, author   => 673,
                            authored => 3239, authoring
                                     => 13966,
                            authorisation
                                     => 17170, authorise
                                     => 29086,
                            authorised
                                     => 7289, authorising
                                     => 24973,
                            authoritarian
                                     => 9595, authoritarianism
                                     => 24600,
                            authoritative
                                     => 9566, authorities
                                     => 1340,
                            authority
                                     => 889, authorized
                                     => 3434,
                            authorizing
                                     => 13460, authors  => 1980,
                            authorship
                                     => 8479, autism   => 7395,
                            autistic => 14224, auto     => 3195, autobahn => 15249, autobiographical
                                     => 6876,
                            autobiographies
                                     => 25095,
                            autobiography
                                     => 4109, autobot  => 14641,
                            autobots => 10976, autocephalous
                                     => 29555,
                            autochthonous
                                     => 29765, autocratic
                                     => 17655,
                            autodesk => 24057, autodromo
                                     => 24226,
                            autofocus
                                     => 24720, autoimmune
                                     => 13742,
                            automaker
                                     => 20214, automakers
                                     => 21404,
                            automata => 17016, automate => 20420, automated
                                     => 4982,
                            automatic
                                     => 2573, automatically
                                     => 3554,
                            automation
                                     => 7328, automaton
                                     => 15512,
                            automobile
                                     => 3522, automobiles
                                     => 6891,
                            automorphism
                                     => 19958, automotive
                                     => 4834,
                            autonoma => 19522, autonomic
                                     => 18398,
                            autonomist
                                     => 28896, autonomous
                                     => 2929,
                            autonomously
                                     => 21934, autonomy => 4731,
                            autoroute
                                     => 15894, autos    => 27501,
                            autosomal
                                     => 13155, autovia  => 28452,
                            auvergne => 15090, auxerre  => 19176, auxiliaries
                                     => 15411,
                            auxiliary
                                     => 3955, avail    => 10775,
                            availability
                                     => 3945, available
                                     => 403,
                            avalanche
                                     => 7816, avalanches
                                     => 22095,
                            avalon   => 9203, avanti   => 26809, avars    => 20713, avatars  => 16457,
                            aveiro   => 27671, avellino => 22476, avengers => 6324, avenida  => 13981,
                            avenue   => 1012, avenues  => 7948, average  => 356, averaged => 4361,
                            averages => 7312, averaging
                                     => 5563,
                            avesta   => 29908, avestan  => 25223, aveyron  => 26660, avian    => 12089,
                            aviation => 1908, aviator  => 9062, aviators => 13594, avicenna => 22861,
                            avignon  => 12131, avionics => 13920, aviv     => 5236, avoca    => 24139,
                            avocets  => 29955, avoidance
                                     => 9689,
                            avoided  => 4608, avoids   => 9859, avondale => 16920, avowed   => 24348,
                            avraham  => 17327, awadh    => 26497, awaited  => 9981, awakening
                                     => 7973,
                            awakens  => 12917, awami    => 17480, award    => 257, awarded  => 527,
                            awardee  => 28206, awardees => 25370, awarding => 7831, awards   => 402,
                            awareness
                                     => 2763, awash    => 28627,
                            axial    => 9943, axillary => 22927, axils    => 25346, axiom    => 10882,
                            axiomatic
                                     => 24465, axioms   => 11499,
                            axis     => 2975, axles    => 11803, axonal   => 28757, axons    => 16520,
                            ayacucho => 26064, ayatollah
                                     => 13335,
                            aydin    => 16537, aykroyd  => 25800, aylesbury
                                     => 13306,
                            aylmer   => 19740, ayman    => 27538, aymara   => 16569, ayodhya  => 20750,
                            ayrshire => 10397, ayrton   => 19715, ayumi    => 21112, ayurveda => 17984,
                            ayurvedic
                                     => 18648, ayutthaya
                                     => 16821,
                            ayyubid  => 25047, azadegan => 25091, azalea   => 16554, azarenka => 21755,
                            azerbaijan
                                     => 3001, azerbaijani
                                     => 7896,
                            azerbaijanis
                                     => 25137, azeri    => 16137,
                            azhar    => 16475, azimuth  => 18841, azores   => 9560, aztec    => 9060,
                            azteca   => 14144, aztecs   => 13513, azuma    => 29365, azusa    => 21951,
                            "b'nai"  => 20579, "b.o.b"  => 27201, "b.tech" => 25079, "b/hip"  => 8811,
                            b0d3fb   => 26223, "ba'ath" => 15733, baba     => 5694, babar    => 21639,
                            babbage  => 26604, babbler  => 23825, babol    => 26087, babur    => 18900,
                            babylon  => 7051, babylonia
                                     => 18215,
                            babylonian
                                     => 9356, babylonians
                                     => 25249,
                            bacall   => 28301, baccalaureate
                                     => 9259,
                            bacharach
                                     => 20417, bachata  => 28880,
                            bachchan => 14425, bachelor => 1718, bacillus => 18590, backa    => 20050,
                            backbench
                                     => 25121, backcountry
                                     => 20382,
                            backdrop => 7853, backdrops
                                     => 26282,
                            backed   => 3096, backend  => 29698, backfield
                                     => 20212,
                            background
                                     => 720, backgrounds
                                     => 5839,
                            backing  => 3295, backlash => 10119, backstory
                                     => 13824,
                            backstroke
                                     => 8846, backward => 7072,
                            backwaters
                                     => 28497, bacolod  => 23826,
                            bacteria => 3927, bacterial
                                     => 6655,
                            bacteriology
                                     => 25284, bacterium
                                     => 10824,
                            bactria  => 27092, bactrian => 26370, badajoz  => 17884, badakhshan
                                     => 25012,
                            badawi   => 27449, baden    => 4714, badged   => 19438, badgers  => 11008,
                            badlands => 20956, badminton
                                     => 6232,
                            baekje   => 18178, baerum   => 23561, baffin   => 19565, bafta    => 8564,
                            bagan    => 16425, baghdad  => 5392, baghdadi => 24988, bagot    => 24830,
                            bagram   => 26807, bagrat   => 27917, bagration
                                     => 23738,
                            baguio   => 20193, "baha'i" => 7139, "baha'is"
                                     => 10702,
                            "baha'u'llah"
                                     => 16221, bahadur  => 8808,
                            bahamian => 19041, bahawalpur
                                     => 24495,
                            bahia    => 8524, bahman   => 27698, bahn     => 6128, bahnhof  => 25516,
                            bahrain  => 5906, bahraini => 15295, bahram   => 19406, bahru    => 20445,
                            baikal   => 18143, baikonur => 24997, baile    => 23404, bailiwick
                                     => 23535,
                            bainimarama
                                     => 25798, bajaj    => 24238,
                            bajnoksag
                                     => 18763, bakar    => 23027,
                            bakeries => 17526, bakers   => 15644, bakersfield
                                     => 10802,
                            bakhsh   => 16956, bakhtiari
                                     => 18234,
                            bakri    => 28471, bakufu   => 27282, bakunin  => 26816, balad    => 29610,
                            balaji   => 17618, balan    => 20775, balanced => 5366, balances => 12777,
                            balanchine
                                     => 19536, balancing
                                     => 8944,
                            balconies
                                     => 14436, balearic => 16067,
                            balikpapan
                                     => 28325, balinese => 16207,
                            balkan   => 6611, balkans  => 7294, balkh    => 26401, ballad   => 4585,
                            ballads  => 7008, ballarat => 11002, ballast  => 10373, ballet   => 2712,
                            ballets  => 12008, balliol  => 12854, ballo    => 28429, ballooning
                                     => 29687,
                            ballot   => 3915, balloting
                                     => 17229,
                            ballots  => 5756, ballymena
                                     => 22127,
                            balmain  => 14721, baloch   => 14920, balochistan
                                     => 11244,
                            baloncesto
                                     => 24115, balsa    => 25606,
                            balthasar
                                     => 21169, balti    => 26615,
                            baltic   => 4122, baltimore
                                     => 2042,
                            baltistan
                                     => 21899, balto    => 27321,
                            baluchestan
                                     => 13863, baluchistan
                                     => 23105,
                            balustrade
                                     => 16954, balzac   => 17230,
                            bamako   => 20517, bamberg  => 14133, bamboo   => 6315, banaras  => 25767,
                            banat    => 13991, banbury  => 14672, banca    => 20444, banco    => 10429,
                            bancorp  => 29460, band     => 155, bandai   => 13657, bandar   => 11243,
                            bandaranaike
                                     => 27049, bande    => 29267,
                            banded   => 10132, bandera  => 23017, bandicoot
                                     => 26987,
                            banding  => 16851, bandini  => 27324, bandit   => 10953, bandits  => 8216,
                            bandleader
                                     => 12367, bandmate => 14458,
                            bandmates
                                     => 14654, bandon   => 25293,
                            bandra   => 22043, bands    => 1400, bandstand
                                     => 15425,
                            bandung  => 14248, bandura  => 26041, bandwidth
                                     => 7291,
                            banff    => 13289, banga    => 29702, bangalore
                                     => 5287,
                            banger   => 28981, bangkok  => 5617, bangla   => 15250, bangladesh
                                     => 2658,
                            bangladeshi
                                     => 9272, bangor   => 8131,
                            bangui   => 27478, banishment
                                     => 17684,
                            banja    => 15827, banjo    => 8430, bank     => 507, banka    => 26205,
                            banked   => 16828, bankers  => 9489, banking  => 2950, banknote => 16270,
                            banknotes
                                     => 9839, bankruptcy
                                     => 3748,
                            banksia  => 10782, bankstown
                                     => 15939,
                            banned   => 2821, banners  => 9532, bannockburn
                                     => 29563,
                            banovina => 26033, banque   => 17044, banqueting
                                     => 29509,
                            banquets => 20257, banshees => 24175, banska   => 18389, bantam   => 14588,
                            bantamweight
                                     => 11467, bantu    => 11461,
                            banyan   => 22788, baptised => 10076, baptismal
                                     => 14478,
                            baptisms => 21374, baptist  => 2591, baptistery
                                     => 27632,
                            baptists => 11167, barack   => 5183, baraka   => 24913, barangay => 8708,
                            barangays
                                     => 9234, barat    => 24543,
                            barbadian
                                     => 21525, barbados => 6678,
                            barbarian
                                     => 10607, barbarism
                                     => 29006,
                            barbarossa
                                     => 11954, barbary  => 14600,
                            barbed   => 11323, barberini
                                     => 21814,
                            barbican => 16805, barbuda  => 14526, barbus   => 21572, barca    => 17958,
                            barcelona
                                     => 2844, barclays => 12687,
                            barda    => 24891, bardhaman
                                     => 26307,
                            bardic   => 29909, bardot   => 27052, bards    => 21423, bareilly => 23512,
                            barents  => 24041, barges   => 10032, baring   => 16191, barisal  => 18737,
                            barisan  => 20504, baritone => 8370, barium   => 16817, barnabas => 14565,
                            barnegat => 29535, barnet   => 9620, barneveld
                                     => 25667,
                            barnsley => 8658, barnstable
                                     => 21910,
                            barnstaple
                                     => 17250, barnstormers
                                     => 29641,
                            baroda   => 16104, barometric
                                     => 19869,
                            baroness => 8499, baronet  => 3616, baronetage
                                     => 10422,
                            baronetcies
                                     => 29760, baronetcy
                                     => 8204,
                            baronets => 9091, baronial => 21127, baronies => 20653, barons   => 7790,
                            barony   => 6890, baroque  => 4002, barque   => 19173, barrack  => 20891,
                            barracks => 4244, barrage  => 8343, barranquilla
                                     => 23096,
                            barred   => 6941, barrels  => 6883, barrens  => 23990, barrichello
                                     => 16781,
                            barrier  => 3970, barriers => 5830, barrio   => 9509, barrister
                                     => 7472,
                            barristers
                                     => 19073, barrymore
                                     => 12579,
                            bartin   => 28803, bartok   => 14868, bartoli  => 23721, barua    => 29493,
                            baruch   => 14403, barzani  => 28755, basal    => 5468, basalt   => 10007,
                            basaltic => 17564, basalts  => 26360, bascule  => 28823, base     => 510,
                            baseball => 781, based    => 125, basel    => 5759, baseline => 9455,
                            baseman  => 6699, basemen  => 27986, bases    => 2720, basescu  => 25766,
                            bashar   => 19237, bashkortostan
                                     => 24021,
                            basic    => 1140, basie    => 16604, basilan  => 23021, basildon => 24102,
                            basilica => 5296, basilicata
                                     => 28345,
                            basilisk => 29928, basin    => 2182, basingstoke
                                     => 15645,
                            basins   => 8236, basis    => 996, basketball
                                     => 732,
                            basque   => 5238, basques  => 21495, basra    => 13365, bassano  => 24373,
                            basse    => 16428, basses   => 15149, basset   => 18487, bassey   => 22892,
                            bassist  => 3581, bassists => 25402, bassline => 22882, bassoon  => 15490,
                            bassoons => 22707, basti    => 27792, bastia   => 20333, bastion  => 11148,
                            bastions => 17407, bastogne => 24792, bastrop  => 28282, bataan   => 15689,
                            bataille => 28685, batang   => 26283, batangas => 18115, batavia  => 10535,
                            batavian => 21561, batches  => 14303, batgirl  => 24888, bathgate => 25366,
                            bathhouse
                                     => 20301, bathory  => 20203,
                            bathurst => 8366, batik    => 27772, batley   => 22690, baton    => 6151,
                            batons   => 24173, bats     => 4241, batsman  => 4688, batsmen  => 10451,
                            battalion
                                     => 1390, battalions
                                     => 3971,
                            batted   => 4184, batters  => 8519, battersea
                                     => 15231,
                            battery  => 2301, batticaloa
                                     => 26268,
                            batting  => 3007, battle   => 344, battlecruiser
                                     => 16880,
                            battlecruisers
                                     => 17012,
                            battled  => 8195, battlefield
                                     => 4488,
                            battlefields
                                     => 17072, battlements
                                     => 22472,
                            battleship
                                     => 6360, battleships
                                     => 7720,
                            battlestar
                                     => 16697, batumi   => 28173,
                            bauhaus  => 14805, bauxite  => 20321, bavaria  => 4158, bavarian => 5790,
                            bay      => 542, bayamon  => 24698, bayan    => 14557, bayerische
                                     => 28643,
                            bayern   => 7653, bayernliga
                                     => 27381,
                            bayesian => 14648, bayeux   => 23057, bayezid  => 25910, bayonet  => 12913,
                            bayonets => 20083, bayonne  => 14047, bayou    => 9926, bayreuth => 14042,
                            bayshore => 29399, bayside  => 18273, bayswater
                                     => 27196,
                            bayview  => 21064, bazaar   => 8773, bazar    => 11688, bbwaa    => 28183,
                            "be'er"  => 27795, beaches  => 4486, beachhead
                                     => 18885,
                            beacons  => 15548, beaconsfield
                                     => 22038,
                            beaked   => 22973, beaks    => 16263, beams    => 6714, beano    => 25092,
                            bearcats => 19260, bearers  => 10423, bearing  => 3074, bearn    => 22934,
                            bears    => 2175, beaten   => 3276, beatification
                                     => 17227,
                            beatified
                                     => 17515, beatle   => 24066,
                            beatles  => 4420, beatrix  => 15366, beatz    => 26718, beaufort => 8903,
                            beautification
                                     => 22385,
                            beauvoir => 24049, beaux    => 8180, beaverbrook
                                     => 28712,
                            beaverton
                                     => 24822, bebop    => 16568,
                            became   => 82, beckenham
                                     => 26211,
                            becket   => 14823, become   => 281, becomes  => 1154, becoming => 753,
                            bedchamber
                                     => 22606, bedfordshire
                                     => 9593,
                            bedouin  => 12221, bedouins => 27327, bedrock  => 10325, beechcraft
                                     => 19919,
                            beeching => 17102, beehive  => 18125, beekeeping
                                     => 26486,
                            been     => 37, beermen  => 23374, beersheba
                                     => 17061,
                            beeston  => 20612, beetle   => 3304, beetles  => 6237, befell   => 28611,
                            before   => 89, befriended
                                     => 8533,
                            befriending
                                     => 24735, befriends
                                     => 11328,
                            began    => 144, beginner => 15178, beginners
                                     => 13799,
                            beginning
                                     => 550, beginnings
                                     => 5367,
                            begins   => 1259, begum    => 12482, begun    => 2263, behalf   => 2504,
                            behavioral
                                     => 5559, behaviors
                                     => 6008,
                            behaviour
                                     => 3328, behavioural
                                     => 13444,
                            behaviours
                                     => 14068, beheaded => 10930,
                            behest   => 10714, beijing  => 2535, being    => 86, beinn    => 26434,
                            beira    => 18093, beirut   => 6197, beitar   => 20722, belafonte
                                     => 24413,
                            belarus  => 5068, belarusian
                                     => 6905,
                            belarusians
                                     => 27981, belatedly
                                     => 24514,
                            belchatow
                                     => 25302, belem    => 20787,
                            belfast  => 3866, belfort  => 19506, belfry   => 13707, belgaum  => 15743,
                            belge    => 28814, belgian  => 2421, belgians => 16330, belgique => 28351,
                            belgium  => 1964, belgorod => 26411, belgrade => 4086, belgrano => 14968,
                            belichick
                                     => 29095, belief   => 2443,
                            beliefs  => 3264, believed => 832, believers
                                     => 7913,
                            belisarius
                                     => 25116, belize   => 6922,
                            belizean => 24670, bellarmine
                                     => 28618,
                            bellary  => 28675, bellas   => 16735, bellator => 12217, bellefonte
                                     => 27900,
                            belleville
                                     => 12729, bellevue => 9740,
                            belleza  => 19872, bellingham
                                     => 14301,
                            bellinzona
                                     => 29276, belmont  => 6778,
                            beloit   => 20209, belonged => 2562, belonging
                                     => 2716,
                            belorussian
                                     => 25382, below    => 593,
                            belsen   => 26847, beltway  => 14293, belvidere
                                     => 25831,
                            belvoir  => 20757, bemidji  => 28017, benares  => 26995, benaud   => 29699,
                            benazir  => 19604, bencher  => 24308, benches  => 9656, benchmark
                                     => 10577,
                            benchmarking
                                     => 24353, benchmarks
                                     => 18439,
                            bendigo  => 12874, bendix   => 20902, benedictine
                                     => 7513,
                            benedictines
                                     => 25176, benediction
                                     => 26996,
                            benefactors
                                     => 16224, benefice => 16292,
                            benefices
                                     => 27819, beneficial
                                     => 5959,
                            beneficiaries
                                     => 11858, benefited
                                     => 7373,
                            benefiting
                                     => 13472, benefits => 2274,
                            benefitted
                                     => 19932, benelux  => 17962,
                            benetton => 16299, benfica  => 9282, bengal   => 3180, bengali  => 4899,
                            bengals  => 8313, bengaluru
                                     => 16913,
                            benghazi => 14786, bengt    => 22525, benin    => 7869, benno    => 27055,
                            bentham  => 16603, benthic  => 15865, bentinck => 21015, benue    => 27392,
                            benzene  => 14816, benzodiazepine
                                     => 21947,
                            benzodiazepines
                                     => 17056,
                            beograd  => 18813, beowulf  => 15579, bequeathed
                                     => 9719,
                            bequest  => 13179, bequests => 25269, berar    => 27889, berat    => 26333,
                            berates  => 26871, berber   => 9908, berbers  => 18842, berdych  => 29398,
                            berea    => 23012, berengar => 25820, berets   => 20452, berezovsky
                                     => 28854,
                            bergamo  => 13846, bergerac => 23710, bergson  => 27919, berhad   => 19968,
                            beria    => 25477, bering   => 13064, berisha  => 28558, berkeley => 3140,
                            berkhamsted
                                     => 28168, berklee  => 15025,
                            berks    => 14871, berkshire
                                     => 5766,
                            berle    => 24993, berlin   => 1204, berliner => 11886, berlioz  => 16347,
                            berlusconi
                                     => 13270, bermondsey
                                     => 23333,
                            bermudian
                                     => 22229, bernadotte
                                     => 21479,
                            bernd    => 15265, berne    => 14152, berners  => 24932, bernese  => 16686,
                            bernini  => 19683, bernoulli
                                     => 16677,
                            berth    => 7062, berthed  => 19902, berthier => 28983, berthing => 25471,
                            berths   => 12865, bertolt  => 23408, berwickshire
                                     => 27847,
                            berwyn   => 29420, besancon => 18022, besant   => 26148, besar    => 18416,
                            beset    => 15972, besiege  => 22123, besieged => 6695, besiegers
                                     => 29461,
                            besieging
                                     => 16460, besiktas => 15553,
                            bespoke  => 17560, bessarabia
                                     => 14864,
                            bessel   => 24884, bessemer => 20111, best     => 162, bestowed => 6843,
                            bestowing
                                     => 27444, bestows  => 29495,
                            bests    => 15700, bestseller
                                     => 8888,
                            bestsellers
                                     => 22677, bestselling
                                     => 12152,
                            beta     => 3265, betel    => 24392, bethesda => 11765, bethlehem
                                     => 7553,
                            bethnal  => 22502, betis    => 20080, betjeman => 28316, betrothal
                                     => 23562,
                            betrothed
                                     => 15564, bettered => 20982,
                            betterment
                                     => 18955, betula   => 23607,
                            between  => 57, beverages
                                     => 7767,
                            bexar    => 20109, bexley   => 19283, beyonce  => 8858, beziers  => 28172,
                            bezirksliga
                                     => 24637, bhadra   => 28363,
                            bhagat   => 19738, bhagavad => 21588, bhagavata
                                     => 23876,
                            bhagwan  => 26369, bhakti   => 15998, bhangra  => 28454, bharat   => 11220,
                            bharata  => 22692, bharathi => 24529, bharati  => 16811, bharatiya
                                     => 11609,
                            bharatpur
                                     => 28432, bharti   => 22217,
                            bhasa    => 28721, bhaskar  => 19100, bhattacharya
                                     => 18008,
                            bhavan   => 16701, bhavani  => 22834, bhima    => 20862, bhojpuri => 23913,
                            bhopal   => 11063, bhubaneswar
                                     => 16533,
                            bhumibol => 26899, bhushan  => 17451, bhutan   => 6877, bhutanese
                                     => 18447,
                            bhutto   => 10446, biafra   => 20229, biala    => 14613, bialystok
                                     => 9735,
                            biannual => 19518, biarritz => 21513, biases   => 15668, biathlete
                                     => 24178,
                            biathlon => 11568, bible    => 2258, biblical => 3700, bibliographic
                                     => 19526,
                            bibliographical
                                     => 27939,
                            bibliography
                                     => 4750, biblioteca
                                     => 18415,
                            bibliotheca
                                     => 21876, bibliotheque
                                     => 15478,
                            bicameral
                                     => 17362, bicarbonate
                                     => 20454,
                            bicentenary
                                     => 28241, bicester => 25721,
                            bicol    => 23682, bicolor  => 20285, bicycle  => 3834, bicycles => 7704,
                            bicycling
                                     => 19408, bicyclists
                                     => 28044,
                            bidar    => 27023, bidders  => 20335, bideford => 23660, biden    => 14424,
                            bidirectional
                                     => 21516, bielefeld
                                     => 17734,
                            bielsk   => 28084, bielsko  => 23803, biennale => 9640, biennial => 8489,
                            bifurcation
                                     => 22534, biggar   => 28829,
                            bighorn  => 16429, bight    => 15893, bihar    => 6146, bihari   => 19686,
                            bijapur  => 17903, bijelo   => 28845, bikaner  => 21871, biking   => 10424,
                            bikram   => 28003, bilaspur => 25450, bilateral
                                     => 6588,
                            bilayer  => 25546, bilbao   => 9462, bilinear => 24790, bilingual
                                     => 6798,
                            bilingualism
                                     => 22412, billboard
                                     => 1388,
                            bille    => 29532, billed   => 5657, billiards
                                     => 13411,
                            billion  => 1405, bimonthly
                                     => 17091,
                            binaries => 22975, binary   => 4753, binding  => 3154, bindings => 18886,
                            binds    => 8231, bingen   => 21893, binghamton
                                     => 11392,
                            bingley  => 23114, binocular
                                     => 23186,
                            binomial => 12876, bioavailability
                                     => 25768,
                            biochemical
                                     => 11318, biochemist
                                     => 19957,
                            biochemistry
                                     => 8765, biodiesel
                                     => 16510,
                            biodiversity
                                     => 6603, bioengineering
                                     => 29548,
                            biofuel  => 19871, biofuels => 16557, biogas   => 26241, biogeography
                                     => 27890,
                            biographer
                                     => 6361, biographers
                                     => 15658,
                            biographical
                                     => 6625, biographies
                                     => 7975,
                            biography
                                     => 808, bioinformatics
                                     => 15132,
                            biologist
                                     => 8845, biologists
                                     => 12812,
                            biology  => 2664, biomarker
                                     => 29057,
                            biomarkers
                                     => 24887, biomass  => 9847,
                            biome    => 25106, biomechanics
                                     => 29819,
                            biomedical
                                     => 8237, bionic   => 17441,
                            biophysical
                                     => 29202, biophysics
                                     => 19412,
                            biopic   => 14938, biosciences
                                     => 29384,
                            biosphere
                                     => 11246, biosynthesis
                                     => 12519,
                            biota    => 23793, biotechnology
                                     => 8027,
                            biotic   => 24192, bipartite
                                     => 21392,
                            bipedal  => 23778, biplane  => 9838, biplanes => 24829, bipolar  => 10647,
                            birding  => 22380, birdlife => 15432, birdman  => 19077, birds    => 1526,
                            birdwatching
                                     => 26717, birger   => 21970,
                            birkbeck => 22067, birkenau => 27081, birkenfeld
                                     => 24326,
                            birkenhead
                                     => 12573, birkin   => 28669,
                            birla    => 18733, birmingham
                                     => 2136,
                            birth    => 1223, birthplace
                                     => 5272,
                            births   => 7138, biscay   => 13307, bisected => 18299, bisects  => 24219,
                            bisexual => 8220, bisexuality
                                     => 24953,
                            bishkek  => 25834, bishopric
                                     => 7807,
                            bishoprics
                                     => 23384, bishops  => 3171,
                            bismarck => 8278, bismuth  => 19856, bison    => 8420, bisons   => 17279,
                            bissau   => 12621, bistrica => 28365, bistrita => 25969, biswas   => 23909,
                            bitcoin  => 17554, bithynia => 25221, bitmap   => 23325, bitola   => 23104,
                            bitterly => 12457, bittern  => 27802, bitterns => 26594, bittorrent
                                     => 20958,
                            bitumen  => 18335, bituminous
                                     => 22580,
                            bivalve  => 18157, bivalves => 23507, biweekly => 22532, bizet    => 20350,
                            bizkit   => 28011, bjarne   => 27588, bjelke   => 25725, bjorn    => 9629,
                            blackadder
                                     => 20433, blackberry
                                     => 11025,
                            blackbirds
                                     => 29338, blackfoot
                                     => 18722,
                            blackfriars
                                     => 18359, blackhawk
                                     => 18641,
                            blackhawks
                                     => 10502, blackheath
                                     => 18367,
                            blackish => 9094, blacklist
                                     => 18369,
                            blacklisted
                                     => 17999, blackmails
                                     => 23072,
                            blackpool
                                     => 5960, blackrock
                                     => 17589,
                            blacks   => 4177, blacksburg
                                     => 29215,
                            blacksmith
                                     => 8587, blacksmiths
                                     => 20076,
                            blacktown
                                     => 26121, blackwall
                                     => 28585,
                            bladed   => 14064, blagoevgrad
                                     => 24483,
                            blagojevich
                                     => 24068, blamey   => 29334,
                            blantyre => 25304, blaster  => 15194, blasts   => 11974, blavatsky
                                     => 24094,
                            blazers  => 9789, blazon   => 12210, blended  => 8877, blending => 9767,
                            blends   => 11017, blenheim => 14050, blenny   => 21051, bleriot  => 23776,
                            bletchley
                                     => 17857, blige    => 17069,
                            bligh    => 15562, blighted => 24267, blistering
                                     => 21786,
                            blitz    => 8614, blitzkrieg
                                     => 22893,
                            bloc     => 5797, block    => 1167, blockade => 5742, blockaded
                                     => 18536,
                            blockading
                                     => 15223, blockbuster
                                     => 9652,
                            blockers => 19754, blockhouse
                                     => 18713,
                            blocks   => 2329, blocs    => 25038, bloemfontein
                                     => 17991,
                            blog     => 3743, blogger  => 10169, bloggers => 13140, blogging => 15822,
                            blogs    => 8007, blois    => 16664, blomfield
                                     => 29119,
                            bloodiest
                                     => 24717, bloodlines
                                     => 24654,
                            bloomberg
                                     => 8738, bloomington
                                     => 9874,
                            blooms   => 14182, bloomsburg
                                     => 24545,
                            bloomsbury
                                     => 14229, bloor    => 18175,
                            blotch   => 17974, blotches => 20200, blucher  => 20218, blue     => 589,
                            bluebird => 15566, bluefield
                                     => 29835,
                            bluegill => 28362, bluegrass
                                     => 8185,
                            blues    => 1844, bluestone
                                     => 23606,
                            bluesy   => 26930, bluetooth
                                     => 12052,
                            bluffs   => 11420, bluish   => 12822, blurring => 21614, blyth    => 12955,
                            blyton   => 29526, board    => 339, boarders => 14954, boardings
                                     => 24922,
                            boards   => 3062, boars    => 23116, boasted  => 9520, boasting => 15071,
                            boasts   => 7343, boaters  => 23239, boating  => 8340, boats    => 2186,
                            boatswain
                                     => 23445, boavista => 26880,
                            boban    => 29717, bobcats  => 12540, bobsledder
                                     => 22715,
                            bobsleigh
                                     => 16051, boccaccio
                                     => 24554,
                            bocelli  => 26043, bochum   => 14995, bodhisattva
                                     => 19405,
                            bodied   => 8262, bodies   => 1696, bodleian => 19810, bodmin   => 20018,
                            body     => 407, bodybuilder
                                     => 20485,
                            bodybuilding
                                     => 13746, bodywork => 13634,
                            boeing   => 4114, boeotia  => 28280, boers    => 16127, bofors   => 18545,
                            bogdanov => 29904, bogdanovich
                                     => 28834,
                            boggy    => 23003, bogie    => 15420, bogies   => 16123, bognor   => 29997,
                            bogor    => 28213, bogota   => 8768, bohdan   => 25781, boheme   => 17916,
                            bohemia  => 6279, bohemian => 6618, bohemians
                                     => 15904,
                            bohemond => 26155, bohol    => 18974, bohun    => 29591, boiler   => 6227,
                            boilermakers
                                     => 21390, boilers  => 7505,
                            boise    => 8648, boisterous
                                     => 26290,
                            bojan    => 24902, bolagh   => 19573, bold     => 3767, boldface => 22593,
                            boldklub => 25208, boldly   => 16691, boldness => 26463, bolero   => 21296,
                            boleslav => 25988, boleslaw => 11608, boletus  => 26438, boleyn   => 16335,
                            bolingbroke
                                     => 25142, bolivarian
                                     => 21044,
                            bolivia  => 4555, bolivian => 9074, bollywood
                                     => 5794,
                            bologna  => 5708, bolshevik
                                     => 8551,
                            bolsheviks
                                     => 9801, bolshevism
                                     => 25130,
                            bolshoi  => 17036, bolstered
                                     => 14942,
                            boltzmann
                                     => 17431, bolzano  => 21006,
                            bombarded
                                     => 11814, bombardment
                                     => 4386,
                            bombardments
                                     => 21381, bombastic
                                     => 27703,
                            bombay   => 4801, bomber   => 3728, bombers  => 3914, bombing  => 3113,
                            bombings => 7185, bombs    => 4134, bonaire  => 26094, bonanza  => 15227,
                            bonaventure
                                     => 15925, boneh    => 24494,
                            bonfires => 26487, boniface => 10590, bonito   => 25828, bonnaroo => 29925,
                            bonne    => 21671, bonsai   => 20240, bonus    => 2800, bonuses  => 10977,
                            booed    => 19890, book     => 212, bookings => 18161, booklet  => 7616,
                            booklist => 23696, bookmaker
                                     => 26922,
                            bookmakers
                                     => 23236, books    => 476,
                            bookseller
                                     => 14023, booksellers
                                     => 16045,
                            bookshop => 15394, boolean  => 12147, boomed   => 20813, boomers  => 21710,
                            booms    => 18972, boomtown => 24585, boosted  => 10272, boosting => 14080,
                            bootcamp => 24908, booting  => 26355, bootle   => 25200, bootleg  => 11901,
                            bootlegging
                                     => 28195, bootstrap
                                     => 24463,
                            borac    => 27242, boras    => 27801, borax    => 26452, border   => 872,
                            bordered => 4320, bordering
                                     => 7266,
                            borderland
                                     => 29803, borderlands
                                     => 21047,
                            boreal   => 13964, borehole => 26343, borgo    => 21244, borisov  => 23067,
                            born     => 80, borne    => 5894, borneo   => 6667, bornholm => 23741,
                            borno    => 28015, boron    => 12620, borough  => 1590, boroughs => 7243,
                            borromeo => 19234, borrower => 15669, borrowers
                                     => 15115,
                            borrowings
                                     => 21557, borrows  => 15487,
                            borussia => 11573, boscombe => 29279, bosna    => 29756, bosnia   => 3453,
                            bosniak  => 17138, bosniaks => 19576, bosnian  => 6104, boson    => 21017,
                            bosons   => 23853, bosphorus
                                     => 22485,
                            bossier  => 18481, boston   => 954, botafogo => 21376, botanic  => 10213,
                            botanical
                                     => 4976, botanist => 6684,
                            botanists
                                     => 16938, botany   => 6837,
                            botev    => 22492, both     => 88, botha    => 16845, botswana => 7540,
                            bottleneck
                                     => 16467, bottlenecks
                                     => 27629,
                            bottlenose
                                     => 26650, bottling => 14069,
                            bouchet  => 21746, bougainville
                                     => 14351,
                            bouillon => 25542, boulder  => 6556, boulders => 11321, boulevard
                                     => 3101,
                            boulevards
                                     => 18913, boulez   => 23508,
                            boulogne => 11456, boult    => 26911, boundaries
                                     => 2520,
                            boundary => 2030, bounded  => 4215, bounding => 22103, bourbons => 26449,
                            bourchier
                                     => 24385, bourgeoisie
                                     => 13811,
                            bourges  => 19229, bourgogne
                                     => 20471,
                            bournemouth
                                     => 8240, boutiques
                                     => 16306,
                            bouts    => 8890, bovine   => 17873, bowed    => 12852, bowery   => 15697,
                            bowl     => 1452, bowled   => 6829, bowlers  => 9787, bowls    => 6950,
                            boxer    => 4197, boxing   => 2884, boxset   => 24506, boyaca   => 28209,
                            boyar    => 25625, boyars   => 23666, boyband  => 28333, boycott  => 6497,
                            boycotted
                                     => 13466, boycotts => 20619,
                            boyhood  => 13972, boylston => 26724, "boys/girls"
                                     => 23620,
                            bozorg   => 26025, braathens
                                     => 25673,
                            brabant  => 10452, braced   => 13678, brachiopods
                                     => 29476,
                            bracket  => 8079, bracketed
                                     => 22057,
                            brackets => 8017, brackish => 13741, bracknell
                                     => 22898,
                            bracts   => 18105, bradenton
                                     => 22045,
                            bradman  => 12305, braganza => 18007, brahe    => 23537, brahma   => 10126,
                            brahman  => 12768, brahmana => 28135, brahmaputra
                                     => 18782,
                            brahmi   => 24132, brahmin  => 9428, brahmins => 11075, brahmo   => 24867,
                            brahms   => 11106, braille  => 10236, brainchild
                                     => 16403,
                            brainstem
                                     => 24083, braintree
                                     => 17652,
                            braking  => 8977, bramall  => 24237, bramley  => 23195, brampton => 11903,
                            branagh  => 26216, branca   => 22148, branched => 8440, branches => 2104,
                            branching
                                     => 8729, brand    => 1370,
                            branded  => 4392, brandeis => 13020, branding => 6231, brands   => 3474,
                            brandywine
                                     => 16812, braniff  => 22629,
                            branko   => 18139, brankovic
                                     => 27205,
                            brantford
                                     => 17682, braque   => 26149,
                            brasenose
                                     => 21942, brasil   => 8583,
                            brasileira
                                     => 26116, brasileiro
                                     => 13403,
                            brasilia => 13694, brasiliensis
                                     => 29209,
                            brasov   => 17115, bratislava
                                     => 8702,
                            brattleboro
                                     => 28914, braunfels
                                     => 29839,
                            braunschweig
                                     => 13291, bravery  => 6172,
                            braves   => 5389, brazil   => 1274, brazilian
                                     => 2035,
                            brazilians
                                     => 14317, brazos   => 18588,
                            brazzaville
                                     => 18212, breaches => 13198,
                            breaching
                                     => 16177, breads   => 20332,
                            breadth  => 10087, breakage => 23830, breakaway
                                     => 9089,
                            breakers => 10232, breakout => 9214, breakthrough
                                     => 4733,
                            breakwater
                                     => 16133, bream    => 19963,
                            breastfeeding
                                     => 16891, breaststroke
                                     => 8710,
                            breccia  => 29628, brechin  => 19729, brecker  => 29405, breckinridge
                                     => 15891,
                            brecon   => 15963, bred     => 5523, breda    => 12319, breech   => 12058,
                            breeches => 21240, breed    => 3404, breeder  => 11549, breeders => 7732,
                            breeding => 2796, breeds   => 5798, brega    => 28820, breguet  => 23221,
                            breisgau => 24555, bremen   => 6424, bremerhaven
                                     => 21591,
                            bremerton
                                     => 19331, brentano => 29634,
                            brentford
                                     => 9122, brentwood
                                     => 12424,
                            brera    => 26224, breslau  => 11459, brest    => 8264, bretagne => 22105,
                            brethren => 7705, bretton  => 21303, breuning => 14532, brevet   => 11849,
                            breviary => 29864, brevis   => 21650, brevity  => 20779, breweries
                                     => 10212,
                            brewers  => 7317, brewery  => 4437, brewing  => 6571, brezhnev => 16710,
                            briain   => 29894, briarcliff
                                     => 25520,
                            brick    => 2131, bricklayer
                                     => 27315,
                            brickwork
                                     => 15763, brickworks
                                     => 21844,
                            brickyard
                                     => 22049, bridge   => 522,
                            bridged  => 18174, bridgehead
                                     => 14020,
                            bridgend => 17797, bridgeport
                                     => 9657,
                            bridgestone
                                     => 22062, bridgetown
                                     => 22863,
                            bridging => 11828, bridgnorth
                                     => 26388,
                            bridgwater
                                     => 18520, bridle   => 18943,
                            bridlington
                                     => 25735, bridport => 25181,
                            brief    => 1756, briefly  => 1729, brienne  => 25714, brigade  => 1302,
                            brigades => 5508, brigadier
                                     => 4044,
                            brigands => 29117, brigantine
                                     => 27552,
                            brightly => 10274, brightness
                                     => 9655,
                            brighton => 3844, brigs    => 28976, brine    => 14309, brisbane => 2795,
                            bristles => 17927, bristol  => 2433, britain  => 857, britannia
                                     => 9018,
                            britannica
                                     => 12157, british  => 164,
                            briton   => 16493, britons  => 12167, britpop  => 24861, brixton  => 14396,
                            broad    => 1819, broadband
                                     => 6961,
                            broadcast
                                     => 838, broadcaster
                                     => 4622,
                            broadcasters
                                     => 6485, broadcasting
                                     => 1420,
                            broadcasts
                                     => 2998, broadened
                                     => 12232,
                            broadening
                                     => 16409, broader  => 4788,
                            broadest => 19198, broadleaf
                                     => 21312,
                            broadly  => 5710, broadmoor
                                     => 26113,
                            broadsheet
                                     => 19039, broadside
                                     => 13728,
                            broadsides
                                     => 25077, broadway => 2024,
                            brocade  => 27800, broch    => 24549, brockton => 23235, brockville
                                     => 26154,
                            broglie  => 25869, brokerage
                                     => 11857,
                            brokered => 15924, brome    => 23770, bromeliad
                                     => 28004,
                            bromide  => 15926, bromine  => 21068, brompton => 16708, bromsgrove
                                     => 23842,
                            bromwich => 9182, broncos  => 5388, brondby  => 19819, bronfman => 28398,
                            bronislaw
                                     => 26904, bronte   => 16629,
                            bronx    => 5620, bronze   => 1399, bronzes  => 15576, broodmare
                                     => 17076,
                            broods   => 24053, brookfield
                                     => 14164,
                            brookhaven
                                     => 19734, brookings
                                     => 16394,
                            brooklands
                                     => 19505, brooklyn => 2369,
                            brookville
                                     => 29355, brookwood
                                     => 24125,
                            "bros."  => 4563, brothels => 14398, brotherhood
                                     => 5440,
                            brothers => 868, broward  => 14984, brownian => 23859, brownish => 7590,
                            browns   => 4953, brownsville
                                     => 12234,
                            browser  => 6222, browsers => 11862, bruford  => 28784, bruges   => 12780,
                            brugge   => 16989, bruin    => 24853, bruins   => 6483, brumbies => 27745,
                            brunei   => 7681, brunel   => 14166, brunswick
                                     => 3155,
                            brussels => 3781, bruxelles
                                     => 20881,
                            bryansk  => 23897, brythonic
                                     => 28075,
                            bskyb    => 24557, bubblegum
                                     => 18563,
                            buble    => 25242, bubonic  => 24121, buccal   => 28913, buccaneer
                                     => 20796,
                            buccaneers
                                     => 7678, buccleuch
                                     => 29956,
                            bucculatrix
                                     => 27255, bucharest
                                     => 5592,
                            buchenwald
                                     => 21194, buckethead
                                     => 24956,
                            buckeye  => 15177, buckeyes => 12214, buckinghamshire
                                     => 7752,
                            buckskin => 29280, buckwheat
                                     => 20390,
                            bucuresti
                                     => 13145, budapest => 4533,
                            buddha   => 4696, buddhas  => 20114, buddhism => 4091, buddhist => 2853,
                            buddhists
                                     => 10733, budding  => 12538,
                            buddleja => 20016, budejovice
                                     => 21574,
                            budget   => 1561, budgetary
                                     => 13371,
                            budgeted => 17764, budgeting
                                     => 18914,
                            budgets  => 9237, budokan  => 25475, buducnost
                                     => 27376,
                            buenos   => 3464, buffalo  => 2413, buffaloes
                                     => 14866,
                            buffer   => 7099, buffering
                                     => 26448,
                            buffers  => 17095, buffett  => 14916, buffon   => 24866, buganda  => 23266,
                            bugatti  => 19350, bugle    => 12991, build    => 1050, builder  => 5156,
                            builders => 6323, building => 192, buildings
                                     => 579,
                            builds   => 6660, buildup  => 11317, built    => 176, bukhara  => 18874,
                            bukhari  => 20177, bukit    => 11297, bukovina => 19800, bulacan  => 17932,
                            bulawayo => 19822, bulbophyllum
                                     => 8251,
                            bulbous  => 18970, bulbul   => 22241, bulgakov => 29017, bulgaria => 2963,
                            bulgarian
                                     => 3009, bulgarians
                                     => 11018,
                            bulgars  => 24635, bulge    => 11869, bulk     => 3827, bulkeley => 27040,
                            bulkhead => 18441, bulkheads
                                     => 22329,
                            bulldogs => 5211, bulletins
                                     => 11882,
                            bullfighting
                                     => 24022, bullhead => 26308,
                            bullitt  => 24532, bullpen  => 12682, bulls    => 4876, bullseye => 21499,
                            bullying => 7256, bulwark  => 21592, bulwer   => 28574, bumblebee
                                     => 15989,
                            bunbury  => 17950, bundaberg
                                     => 22953,
                            bundesbahn
                                     => 26908, bundesliga
                                     => 5447,
                            bundesstrasse
                                     => 18864, bundestag
                                     => 14377,
                            bundeswehr
                                     => 16155, bundled  => 11242,
                            bundles  => 10749, bungalow => 11798, bungalows
                                     => 17530,
                            bunkers  => 12007, bunuel   => 23881, bunyan   => 20141, buoyancy => 14079,
                            buoyant  => 20017, buoyed   => 26183, buoys    => 20544, burdwan  => 27605,
                            bureau   => 1403, bureaucracy
                                     => 9676,
                            bureaucratic
                                     => 11123, bureaus  => 14946,
                            buren    => 10563, burgas   => 18253, burgenland
                                     => 25700,
                            burgeoning
                                     => 11275, burgesses
                                     => 18769,
                            burgh    => 10125, burghers => 21341, burghley => 25015, burghs   => 16576,
                            burgundian
                                     => 16262, burgundians
                                     => 29302,
                            burgundy => 7352, burial   => 3291, burials  => 8140, buried   => 1262,
                            burkina  => 7968, burkinabe
                                     => 28450,
                            burlesque
                                     => 11150, burlington
                                     => 5979,
                            burmese  => 5855, burnaby  => 15990, burne    => 23755, burnet   => 14742,
                            burnie   => 20817, burra    => 27430, burrard  => 29681, burrowing
                                     => 16442,
                            bursa    => 16061, bursaries
                                     => 28366,
                            bursary  => 24450, burslem  => 23318, bursts   => 10176, burundi  => 10172,
                            burwood  => 24188, busan    => 11044, buses    => 2592, bushehr  => 19061,
                            bushels  => 27115, bushfire => 24771, bushfires
                                     => 21872,
                            bushido  => 23725, bushland => 21945, bushwick => 29107, busiest  => 7376,
                            business => 272, businesses
                                     => 1740,
                            businessman
                                     => 2632, businessmen
                                     => 6755,
                            businesspeople
                                     => 27595,
                            businessperson
                                     => 23309,
                            businessweek
                                     => 19585, busing   => 26516,
                            buskerud => 26951, busoni   => 24522, busta    => 20245, busters  => 18437,
                            bustling => 17285, busway   => 20221, butte    => 9185, butterfly
                                     => 3592,
                            buttes   => 26628, buttress => 19605, buttresses
                                     => 13683,
                            butyl    => 29097, buyout   => 11843, buzau    => 29770, buzzcocks
                                     => 25616,
                            by       => 11, bycatch  => 29291, bydgoszcz
                                     => 11932,
                            bygone   => 28069, bylaw    => 29315, bypass   => 4448, bypassed => 10372,
                            bypasses => 15348, bypassing
                                     => 11717,
                            byproduct
                                     => 17723, byproducts
                                     => 24117,
                            byrds    => 14463, bystrica => 18607, bytes    => 10203, bytow    => 24677,
                            byung    => 26842, byway    => 14817, byzantine
                                     => 3064,
                            byzantines
                                     => 10137, byzantium
                                     => 12039,
                            caballeros
                                     => 27955, cabaret  => 7631,
                            cabildo  => 24965, cabinet  => 1768, cabins   => 8449, cable    => 1852,
                            cables   => 6138, cablevision
                                     => 21008,
                            cabling  => 24179, cabrillo => 29240, cabriolet
                                     => 24423,
                            cacao    => 20282, cache    => 7102, caches   => 17499, caching  => 23005,
                            cacique  => 28371, cacti    => 20040, cadastral
                                     => 19610,
                            cadbury  => 14296, caddo    => 17195, cadence  => 14431, cadet    => 4929,
                            cadets   => 5706, cadfael  => 28678, cadre    => 11334, cadres   => 15091,
                            caernarfon
                                     => 22610, caerphilly
                                     => 24593,
                            caesarea => 15748, caesarean
                                     => 27692,
                            caesars  => 16791, caesium  => 19999, caetano  => 18671, cafes    => 8790,
                            caffe    => 26014, cagayan  => 15121, cagliari => 13377, cahiers  => 29145,
                            caicos   => 18025, cairn    => 12784, cairo    => 4398, caithness
                                     => 16575,
                            caius    => 18192, cajon    => 23621, calabar  => 25324, calabria => 10313,
                            calais   => 8459, calamities
                                     => 27281,
                            calatrava
                                     => 26072, calaveras
                                     => 27425,
                            calcareous
                                     => 14865, calcio   => 10704,
                            calcite  => 18973, calcium  => 5223, calculate
                                     => 7202,
                            calculated
                                     => 4023, calculates
                                     => 18180,
                            calculation
                                     => 6506, calculations
                                     => 6632,
                            calculators
                                     => 16483, calculus => 7384,
                            calcutta => 5304, caldas   => 18924, caledon  => 24574, caledonia
                                     => 7596,
                            caledonian
                                     => 9389, calendar => 2645,
                            calendars
                                     => 12557, calgary  => 3736,
                            caliban  => 28207, calibers => 23864, calibration
                                     => 12490,
                            calibre  => 11137, calicut  => 15058, caliente => 23148, "calif." => 25484,
                            california
                                     => 324, californian
                                     => 12778,
                            californians
                                     => 26212, californica
                                     => 24982,
                            caligula => 18375, calinescu
                                     => 26687,
                            calipers => 29637, caliph   => 8164, caliphate
                                     => 9819,
                            caliphs  => 22108, callao   => 19367, called   => 116, calligrapher
                                     => 24007,
                            calligraphic
                                     => 29328, calligraphy
                                     => 11676,
                            calliope => 27548, calliostoma
                                     => 23703,
                            callisto => 25987, callsign => 11647, callum   => 14043, callus   => 24846,
                            caloptilia
                                     => 25364, caloric  => 27660,
                            caltech  => 14936, caltrans => 28503, calum    => 28663, calumet  => 14616,
                            calvados => 18804, calvary  => 11356, calvinism
                                     => 18872,
                            calvinist
                                     => 12754, calvinistic
                                     => 28228,
                            calvinists
                                     => 24118, calypso  => 13033,
                            calyx    => 19274, camarines
                                     => 23062,
                            camas    => 27927, camber   => 18707, camberley
                                     => 24920,
                            camberwell
                                     => 16317, cambodia => 4940,
                            cambodian
                                     => 8760, cambrai  => 15799,
                            cambria  => 13379, cambrian => 9970, cambridge
                                     => 1574,
                            cambridgeshire
                                     => 8746, camden   => 5590,
                            camels   => 11928, cameo    => 5195, cameos   => 13502, camerata => 27811,
                            cameroon => 5444, cameroonian
                                     => 15983,
                            camillus => 28408, camino   => 12702, cammell  => 26317, camogie  => 12396,
                            camorra  => 26417, camouflage
                                     => 9231,
                            camouflaged
                                     => 19806, camp     => 811,
                            campaign => 509, campaigned
                                     => 6018,
                            campaigner
                                     => 13082, campaigners
                                     => 18942,
                            campaigning
                                     => 6799, campaigns
                                     => 2614,
                            campania => 13528, campanian
                                     => 25416,
                            campanile
                                     => 25619, campbells
                                     => 29780,
                            campbelltown
                                     => 22694, campeche => 19508,
                            campeonato
                                     => 7959, camperdown
                                     => 26236,
                            campground
                                     => 11226, campgrounds
                                     => 18656,
                            camphor  => 26126, campinas => 24336, camps    => 2782, campsites
                                     => 14989,
                            campus   => 843, campuses => 4607, campy    => 28965, camshaft => 16012,
                            camshafts
                                     => 29371, camus    => 18316,
                            canaan   => 11991, canaanite
                                     => 21206,
                            canada   => 360, canadensis
                                     => 22821,
                            canadian => 475, canadians
                                     => 6101,
                            canadiens
                                     => 7581, canal    => 1492,
                            "canal+" => 22314, canals   => 6456, canandaigua
                                     => 26789,
                            canara   => 25522, canaria  => 21221, canarian => 28226, canary   => 7189,
                            canaveral
                                     => 17256, canberra => 5231,
                            cancellation
                                     => 5891, cancelled
                                     => 2959,
                            cancer   => 1333, cancerous
                                     => 19681,
                            cancers  => 9485, cancion  => 28385, candidacy
                                     => 6652,
                            candidate
                                     => 1090, candidates
                                     => 1619,
                            candidature
                                     => 21675, candide  => 25653,
                            candido  => 18225, canis    => 15626, canisius => 26929, cannabinoid
                                     => 27823,
                            cannabis => 7604, cannes   => 5750, cannibalism
                                     => 15145,
                            cannock  => 27645, cannonball
                                     => 14191,
                            cannons  => 7016, canoe    => 5933, canoeing => 10310, canoeist => 18193,
                            canoer   => 12468, canoes   => 11547, canon    => 3500, canonical
                                     => 6686,
                            canonically
                                     => 28205, canonization
                                     => 17461,
                            canonized
                                     => 15193, canons   => 8101,
                            canopies => 19349, canopus  => 26804, canopy   => 6930, cantabria
                                     => 17788,
                            cantabrian
                                     => 26466, cantata  => 10605,
                            cantatas => 16459, canteen  => 12813, canterbury
                                     => 3770,
                            cantilever
                                     => 12663, cantilevered
                                     => 24352,
                            canton   => 3051, cantonal => 14081, cantonese
                                     => 8528,
                            cantonment
                                     => 12799, cantons  => 10101,
                            cantus   => 27970, canucks  => 8866, canute   => 23134, canvas   => 5741,
                            canvases => 14619, canwest  => 25822, canyon   => 3219, canyons  => 12497,
                            capabilities
                                     => 3628, capability
                                     => 3988,
                            capablanca
                                     => 28533, capacitance
                                     => 14433,
                            capacities
                                     => 7706, capacitive
                                     => 24184,
                            capacitor
                                     => 11877, capacitors
                                     => 12428,
                            capacity => 1037, capcom   => 11441, cape     => 1505, capensis => 27516,
                            capes    => 18947, capillary
                                     => 15116,
                            capistrano
                                     => 25703, capita   => 2546,
                            capital  => 482, capitalisation
                                     => 29296,
                            capitalise
                                     => 23609, capitalism
                                     => 6415,
                            capitalist
                                     => 7401, capitalists
                                     => 15949,
                            capitalization
                                     => 14774,
                            capitalized
                                     => 13842, capitalizing
                                     => 24332,
                            capitals => 5913, capitol  => 3726, capitulated
                                     => 17416,
                            capitulation
                                     => 12436, capoeira => 23199,
                            cappadocia
                                     => 18765, capped   => 5422,
                            cappella => 9407, capping  => 18382, caproni  => 26441, caps     => 3826,
                            capsid   => 29164, capsized => 15947, capstone => 22230, capsule  => 7300,
                            captain  => 670, captaincy
                                     => 9920,
                            captained
                                     => 5738, captaining
                                     => 16147,
                            captains => 6336, caption  => 14517, captions => 20324, captives => 9008,
                            captivity
                                     => 6166, captors  => 14479,
                            capture  => 1809, captured => 1126, captures => 7744, capturing
                                     => 4633,
                            capua    => 17666, capuchin => 16834, carabidae
                                     => 14999,
                            carabinieri
                                     => 28421, caracalla
                                     => 27237,
                            caracas  => 8558, caracol  => 25294, caragiale
                                     => 23287,
                            carapace => 16667, caravan  => 8006, caravans => 16869, carbide  => 14391,
                            carbine  => 13887, carbines => 23641, carbohydrate
                                     => 14384,
                            carbohydrates
                                     => 14336, carbon   => 2142,
                            carbonate
                                     => 9262, carbonated
                                     => 21385,
                            carbonates
                                     => 27005, carbondale
                                     => 19458,
                            carbonic => 29173, carboniferous
                                     => 12327,
                            carbons  => 26796, carbonyl => 15303, carboxylic
                                     => 19181,
                            carburetors
                                     => 25194, carburettor
                                     => 26570,
                            carcasses
                                     => 18688, carcassonne
                                     => 24513,
                            carcinogen
                                     => 27178, carcinogenic
                                     => 21396,
                            carcinoma
                                     => 12330, cardamom => 24998,
                            cardiff  => 3721, cardinal => 2767, cardinalate
                                     => 25543,
                            cardinality
                                     => 21394, cardinals
                                     => 3364,
                            cardiomyopathy
                                     => 24428,
                            cardiovascular
                                     => 8600, career   => 119,
                            careers  => 4024, caregivers
                                     => 16657,
                            carell   => 22895, carers   => 24319, caretaker
                                     => 7412,
                            caretakers
                                     => 22041, carex    => 20195,
                            cargo    => 2460, cargoes  => 17872, carib    => 25562, caribbean
                                     => 2478,
                            caribe   => 27812, cariboo  => 20464, caricature
                                     => 13682,
                            caricatures
                                     => 15609, caricom  => 25708,
                            carillon => 17150, carinae  => 16110, carinthia
                                     => 13839,
                            carinthian
                                     => 28929, carioca  => 25226,
                            carling  => 19707, carlist  => 15917, carlito  => 26806, carlsbad => 18894,
                            carlsberg
                                     => 21138, carlsson => 20575,
                            carmarthen
                                     => 15692, carmarthenshire
                                     => 16802,
                            carmelite
                                     => 15817, carmelites
                                     => 22442,
                            carnarvon
                                     => 20848, carnatic => 11468,
                            carnation
                                     => 19126, carnaval => 21545,
                            carne    => 20233, carnegie => 4205, carniola => 10463, carnivals
                                     => 20419,
                            carnivores
                                     => 18083, carnivorous
                                     => 11926,
                            carnot   => 22324, carolinas
                                     => 14574,
                            carolingian
                                     => 13144, carotene => 28682,
                            carpark  => 25675, carpathian
                                     => 13910,
                            carpathians
                                     => 17966, carpets  => 10991,
                            carpi    => 23570, carre    => 17571, carrefour
                                     => 24862,
                            carriages
                                     => 7184, carriageway
                                     => 10596,
                            carrickfergus
                                     => 24984, carried  => 864,
                            carriers => 4105, carries  => 2878, carrollton
                                     => 16837,
                            cars     => 1073, cartan   => 24283, cartels  => 18433, carteret => 20977,
                            cartesian
                                     => 12164, carthage => 8472,
                            carthaginian
                                     => 14843, carthaginians
                                     => 19401,
                            carthusian
                                     => 27487, cartilage
                                     => 12290,
                            cartilaginous
                                     => 28112, cartographer
                                     => 17067,
                            cartographers
                                     => 20047, cartographic
                                     => 24672,
                            cartography
                                     => 18159, cartoon  => 3533,
                            cartooning
                                     => 23866, cartoonist
                                     => 7348,
                            cartoonists
                                     => 14545, cartoons => 5082,
                            cartridge
                                     => 5636, cartridges
                                     => 8336,
                            carts    => 11684, carved   => 3619, carvings => 9109, casal    => 28985,
                            casals   => 25243, cascades => 11343, cascading
                                     => 20711,
                            casco    => 21036, casemate => 25453, casemates
                                     => 18661,
                            casement => 19601, cases    => 796, cashel   => 17588, cashew   => 22220,
                            casimir  => 9876, casks    => 25239, caspase  => 26311, caspian  => 9751,
                            cassation
                                     => 24892, cassava  => 13181,
                            cassavetes
                                     => 29002, cassette => 6140,
                            cassettes
                                     => 14434, cassia   => 22672,
                            cassini  => 16858, cassino  => 18987, cast     => 859, castaway => 26495,
                            castaways
                                     => 26178, caste    => 5476,
                            castel   => 14525, castellan
                                     => 22364,
                            castelo  => 18191, castes   => 9308, castile  => 5771, castilian
                                     => 12288,
                            casting  => 3703, castings => 17246, castle   => 736, castleford
                                     => 13635,
                            castlemaine
                                     => 24612, castlereagh
                                     => 23945,
                            castles  => 5983, castleton
                                     => 20955,
                            castletown
                                     => 24767, castra   => 25645,
                            castration
                                     => 23087, castrum  => 25213,
                            casts    => 9416, casualties
                                     => 3019,
                            casualty => 7694, catalans => 19716, catalog  => 5014, cataloged
                                     => 26631,
                            catalogue
                                     => 4676, catalogued
                                     => 15839,
                            catalonia
                                     => 6540, catalunya
                                     => 13985,
                            catalyses
                                     => 16992, catalysis
                                     => 16501,
                            catalyst => 6498, catalysts
                                     => 13216,
                            catalytic
                                     => 9370, catalyze => 21147,
                            catalyzed
                                     => 15036, catalyzes
                                     => 10799,
                            catamaran
                                     => 22368, catamarca
                                     => 27670,
                            catapulted
                                     => 21842, catapults
                                     => 26946,
                            cataract => 17400, catastrophes
                                     => 29079,
                            catastrophic
                                     => 9189, catawba  => 18252,
                            catcher  => 6258, catchers => 17730, catchment
                                     => 7773,
                            catchphrase
                                     => 13658, catchphrases
                                     => 27518,
                            catechism
                                     => 13153, categorical
                                     => 16964,
                            categories
                                     => 2345, categorised
                                     => 16026,
                            categorization
                                     => 16287,
                            categorize
                                     => 19517, categorized
                                     => 7288,
                            category => 1395, catenary => 24395, caterham => 21271, caterpillar
                                     => 11235,
                            caterpillars
                                     => 13772, caters   => 10879,
                            catfish  => 9406, cathal   => 21182, catharina
                                     => 21279,
                            catharines
                                     => 16852, cathay   => 20724,
                            cathedral
                                     => 1544, cathedrals
                                     => 11071,
                            cathode  => 11694, catholic => 609, catholicism
                                     => 5618,
                            catholicos
                                     => 17793, catholics
                                     => 3836,
                            catholique
                                     => 25262, cation   => 15204,
                            cationic => 29935, cations  => 18365, catocala => 27648, catolica => 18480,
                            catshark => 25559, catskill => 16631, cattaraugus
                                     => 28394,
                            cattle   => 2568, catullus => 28034, cauca    => 21097, caucasians
                                     => 27697,
                            caucasus => 6343, cauchy   => 15173, caucus   => 6305, caucuses => 17352,
                            caudal   => 12011, causa    => 14895, causal   => 10054, causality
                                     => 17309,
                            causation
                                     => 17523, causative
                                     => 17252,
                            caused   => 759, causes   => 1648, causeway => 8477, causing  => 1739,
                            caustic  => 18672, cautioned
                                     => 16907,
                            cautions => 19093, cavaliers
                                     => 9644,
                            cavalli  => 25880, cavalry  => 2018, cavalrymen
                                     => 20905,
                            cavan    => 12846, cavendish
                                     => 9292,
                            cavernous
                                     => 29655, caverns  => 14095,
                            caversham
                                     => 27984, caves    => 4614,
                            cavite   => 13046, cavities => 13089, cavity   => 6482, cavour   => 28272,
                            caxias   => 27809, caxton   => 25489, cayley   => 19127, cayuga   => 16454,
                            "cd/dvd" => 20279, ceara    => 19299, ceased   => 2560, ceasefire
                                     => 8974,
                            ceasing  => 16165, ceausescu
                                     => 17312,
                            cebuano  => 24753, cedar    => 4508, ceded    => 7187, ceding   => 22682,
                            ceilings => 9672, celebi   => 28053, celebrated
                                     => 2074,
                            celebrates
                                     => 8048, celebrations
                                     => 4380,
                            celebrities
                                     => 4619, celebrity
                                     => 3471,
                            celestial
                                     => 7190, celje    => 20069,
                            cellars  => 13849, celle    => 18035, cellist  => 11129, cello    => 6665,
                            cellos   => 26782, cells    => 1314, cellular => 4852, celluloid
                                     => 23055,
                            cellulose
                                     => 12388, celsius  => 11311,
                            celta    => 22332, celtic   => 3112, celtics  => 8426, celts    => 14700,
                            cement   => 5019, cemented => 11048, cementing
                                     => 21826,
                            cements  => 27766, cemeteries
                                     => 6507,
                            cemetery => 1306, cenel    => 23029, cenotaph => 19399, cenozoic => 20791,
                            censor   => 10642, censored => 10327, censoring
                                     => 28509,
                            censors  => 13370, censorship
                                     => 5550,
                            census   => 374, censuses => 12162, cent     => 3590, centaur  => 13912,
                            centauri => 15051, centaurs => 28014, centaurus
                                     => 29149,
                            centenary
                                     => 6870, centennial
                                     => 5885,
                            center   => 239, centered => 3361, centering
                                     => 15166,
                            centerline
                                     => 21025, centerpiece
                                     => 11761,
                            centers  => 2020, centerville
                                     => 19259,
                            centimeters
                                     => 6567, centimetres
                                     => 13104,
                            centipede
                                     => 25078, central  => 219,
                            centrale => 18496, centralia
                                     => 24787,
                            centralised
                                     => 15661, centrality
                                     => 22035,
                            centralization
                                     => 21227,
                            centralized
                                     => 8037, centrally
                                     => 8942,
                            centre   => 417, centred  => 6051, centrepiece
                                     => 20010,
                            centres  => 3106, centreville
                                     => 25267,
                            centric  => 11545, centrifugal
                                     => 13860,
                            centrifuge
                                     => 24778, centrist => 13901,
                            centro   => 7770, centrum  => 19934, centuries
                                     => 1464,
                            centurion
                                     => 13996, centurions
                                     => 20986,
                            century  => 154, cephalopod
                                     => 27319,
                            cephalopods
                                     => 18679, cerambycidae
                                     => 5949,
                            ceramic  => 6165, ceramics => 6844, cerberus => 17578, cercle   => 13993,
                            cereals  => 12440, cerebellar
                                     => 21405,
                            cerebral => 7342, cerebrospinal
                                     => 25138,
                            ceredigion
                                     => 19172, ceremonial
                                     => 4927,
                            ceremonially
                                     => 26012, ceremonies
                                     => 4038,
                            ceres    => 14413, cerevisiae
                                     => 23955,
                            cerrado  => 29544, cerro    => 9174, certain  => 748, certificate
                                     => 3157,
                            certificates
                                     => 6902, certification
                                     => 3849,
                            certifications
                                     => 11451,
                            certified
                                     => 2515, certifies
                                     => 29964,
                            certify  => 17594, certifying
                                     => 14883,
                            certiorari
                                     => 19228, cervical => 10296,
                            cesare   => 11000, ceske    => 19586, cessation
                                     => 10676,
                            cession  => 16973, cetaceans
                                     => 21586,
                            cetinje  => 25884, ceuta    => 19641, ceylon   => 6296, ceylonese
                                     => 29554,
                            cezanne  => 18036, "ch'uan" => 26943, chabad   => 15021, chaco    => 14579,
                            chadian  => 18800, chagall  => 24100, chagatai => 27455, chagos   => 28379,
                            chagrin  => 15428, chahar   => 17180, chaharmahal
                                     => 20894,
                            chaim    => 12582, chain    => 1624, chaining => 26732, chains   => 4279,
                            chaired  => 4540, chairing => 20578, chairlift
                                     => 24181,
                            chairman => 813, chairmanship
                                     => 11094,
                            chairmen => 12709, chairperson
                                     => 7918,
                            chairwoman
                                     => 15304, chaitanya
                                     => 21052,
                            chakra   => 14120, chakraborty
                                     => 17883,
                            chalcedon
                                     => 21039, chaldean => 17343,
                            chalice  => 16031, chalky   => 29751, challenge
                                     => 1351,
                            challenged
                                     => 3275, challenger
                                     => 4810,
                            challengers
                                     => 11509, challenges
                                     => 2891,
                            challenging
                                     => 4329, chalon   => 26974,
                            chalukya => 20969, chalukyas
                                     => 23590,
                            chamber  => 1630, chambered
                                     => 12613,
                            chambersburg
                                     => 26009, chambre  => 22255,
                            chameleon
                                     => 13353, chamonix => 29054,
                            champaign
                                     => 10235, champion => 886,
                            championed
                                     => 9746, championing
                                     => 20430,
                            championnat
                                     => 15069, champions
                                     => 1170,
                            championship
                                     => 293, championships
                                     => 580,
                            champlain
                                     => 11232, champs   => 11998,
                            chancel  => 6020, chancellery
                                     => 18100,
                            chancellor
                                     => 2657, chancellors
                                     => 14927,
                            chancellorsville
                                     => 22099,
                            chancery => 10755, chand    => 12342, chandan  => 23518, chandigarh
                                     => 13202,
                            chandos  => 20966, chandragupta
                                     => 25549,
                            chandran => 26704, chandrasekhar
                                     => 24507,
                            "chang'an"
                                     => 10624, changchun
                                     => 19457,
                            changeable
                                     => 28051, changeover
                                     => 23212,
                            changer  => 22470, changers => 29311, changes  => 725, changeup => 27997,
                            changi   => 19443, changsha => 16894, chania   => 27469, channel  => 592,
                            channels => 2293, chanson  => 18742, chansons => 22376, chanted  => 15263,
                            chanter  => 28723, chantilly
                                     => 18577,
                            chantry  => 21487, chants   => 11616, chaotic  => 8686, chaparral
                                     => 14872,
                            chapel   => 1567, chapelle => 13639, chapels  => 8460, chaplain => 5531,
                            chaplaincy
                                     => 22967, chaplains
                                     => 12856,
                            chapter  => 1702, chapters => 3236, chapultepec
                                     => 27554,
                            character
                                     => 424, characterisation
                                     => 17028,
                            characterise
                                     => 26472, characterised
                                     => 6303,
                            characteristic
                                     => 2830, characteristically
                                     => 14394,
                            characteristics
                                     => 2112,
                            characterization
                                     => 8337,
                            characterizations
                                     => 21983,
                            characterize
                                     => 10420, characterized
                                     => 2476,
                            characterizes
                                     => 13686, characterizing
                                     => 17187,
                            characters
                                     => 676, charadriiformesfamily
                                     => 16006,
                            charan   => 17043, charaxes => 25892, charcoal => 8741, charcot  => 22508,
                            charente => 15341, charentes
                                     => 26549,
                            charged  => 1882, chargers => 7049, charing  => 15256, chariots => 15318,
                            charismatic
                                     => 8950, charitable
                                     => 4075,
                            charities
                                     => 5614, charlemagne
                                     => 9333,
                            charleroi
                                     => 16275, charleston
                                     => 4220,
                            charlestown
                                     => 14326, charleville
                                     => 26353,
                            charlevoix
                                     => 26645, charlottenburg
                                     => 24452,
                            charlottesville
                                     => 13450,
                            charlottetown
                                     => 16005, charly   => 21019,
                            chart    => 760, charted  => 4473, charter  => 1950, chartered
                                     => 4612,
                            charterhouse
                                     => 15520, charteris
                                     => 24191,
                            charters => 8669, charting => 6386, chartres => 16420, charts   => 1778,
                            chasers  => 18941, chasseurs
                                     => 21830,
                            chassis  => 4441, chastised
                                     => 28919,
                            chateau  => 4553, chateaux => 27738, chatelet => 24196, chatillon
                                     => 23167,
                            chatsworth
                                     => 17879, chattahoochee
                                     => 19480,
                            chattanooga
                                     => 8455, chatterjee
                                     => 13905,
                            chaucer  => 13850, chaudhary
                                     => 19245,
                            chaumont => 28438, chautauqua
                                     => 16212,
                            chauvel  => 28413, chavo    => 25067, cheaply  => 15852, chechen  => 10506,
                            chechens => 23299, chechnya => 13666, checkerboard
                                     => 29463,
                            checkpoints
                                     => 14188, checksum => 27961,
                            cheeked  => 28129, cheeses  => 15585, cheetahs => 18304, cheil    => 19178,
                            chekhov  => 14760, chelan   => 29721, chelm    => 19986, chelmno  => 27601,
                            chelmsford
                                     => 12168, cheltenham
                                     => 6936,
                            chelyabinsk
                                     => 19115, chemical => 1581,
                            chemically
                                     => 11185, chemicals
                                     => 4818,
                            chemin   => 18825, chemins  => 25329, chemist  => 6532, chemistry
                                     => 2394,
                            chemists => 13640, chemnitz => 19781, chemotherapy
                                     => 9857,
                            chenango => 27618, chenar   => 24510, chengde  => 27114, chengdu  => 11145,
                            chennai  => 4636, chepstow => 24235, chequered
                                     => 26323,
                            chera    => 25286, cherbourg
                                     => 14601,
                            chernihiv
                                     => 28791, chernivtsi
                                     => 28912,
                            chernobyl
                                     => 14965, cherokee => 5182,
                            cherokees
                                     => 25763, chert    => 23840,
                            chertsey => 24411, cherwell => 27416, chesapeake
                                     => 7361,
                            chesham  => 22748, cheshire => 5259, cheshmeh => 12562, chess    => 2731,
                            chesterfield
                                     => 8137, chetnik  => 20424,
                            chetniks => 18995, chetwynd => 29048, chevrolet
                                     => 5861,
                            chevrons => 25472, chhattisgarh
                                     => 14178,
                            chiapas  => 12127, chiara   => 22270, chiba    => 10587, chicago  => 651,
                            chicagoland
                                     => 29498, chicane  => 21512,
                            chichester
                                     => 8674, chickamauga
                                     => 18109,
                            chickasaw
                                     => 14798, chidambaram
                                     => 21072,
                            chief    => 413, chiefdom => 24344, chiefdoms
                                     => 29378,
                            chiefly  => 5719, chiefs   => 3301, chieftain
                                     => 10413,
                            chieftains
                                     => 12655, chievo   => 21622,
                            chihuahua
                                     => 10774, chikara  => 19335,
                            childcare
                                     => 16496, childe   => 26798,
                            childhood
                                     => 2065, childless
                                     => 9796,
                            children => 202, chile    => 2453, chilean  => 4340, chileans => 24634,
                            chillicothe
                                     => 22684, chilliwack
                                     => 23381,
                            chiloe   => 26857, chiltern => 16168, chimneys => 11028, chimpanzees
                                     => 14663,
                            china    => 461, chine    => 28527, chinensis
                                     => 27624,
                            chinese  => 526, chinna   => 25964, chinook  => 13510, chios    => 21007,
                            chipmunks
                                     => 19160, chippenham
                                     => 21766,
                            chippewa => 12332, chipset  => 17768, chipsets => 24213, chirac   => 17967,
                            chiral   => 14112, chiranjeevi
                                     => 29255,
                            chiron   => 26022, chiropractic
                                     => 15199,
                            chishti  => 28201, chisinau => 14417, chiswick => 18254, chita    => 23789,
                            chitra   => 21992, chitral  => 24594, chittagong
                                     => 11114,
                            chivalric
                                     => 25073, chivas   => 18135,
                            chiyoda  => 29866, chloride => 6811, chlorides
                                     => 29543,
                            chlorinated
                                     => 29505, chlorine => 10790,
                            chlorophyll
                                     => 19051, chloroplast
                                     => 25603,
                            chloroplasts
                                     => 24014, choctaw  => 11345,
                            choir    => 2596, choirmaster
                                     => 24772,
                            choirs   => 8827, choiseul => 29353, chojnice => 27122, chola    => 9633,
                            cholas   => 19688, cholera  => 9466, choline  => 28376, cholmondeley
                                     => 26623,
                            chomsky  => 13668, chongqing
                                     => 11184,
                            chopin   => 9754, chopra   => 10962, choral   => 5674, chorale  => 11128,
                            chord    => 5533, chords   => 7597, choreographed
                                     => 8714,
                            choreographer
                                     => 7478, choreographers
                                     => 17288,
                            choreographic
                                     => 26722, choreography
                                     => 7682,
                            chorister
                                     => 27908, choristers
                                     => 23920,
                            chorley  => 16942, chorus   => 3197, choruses => 13175, chosen   => 1278,
                            choshu   => 29749, chota    => 29312, chowk    => 18594, chrissie => 20268,
                            christchurch
                                     => 6153, christendom
                                     => 20023,
                            christened
                                     => 10427, christgau
                                     => 15718,
                            christiaan
                                     => 22009, christiania
                                     => 17119,
                            christianity
                                     => 2675, christianization
                                     => 21764,
                            christianized
                                     => 28463, christians
                                     => 2847,
                            christology
                                     => 28511, christoph
                                     => 9384,
                            christophe
                                     => 10910, christos => 19878,
                            christus => 29859, chroma   => 22912, chromatic
                                     => 11080,
                            chromatin
                                     => 18387, chromatography
                                     => 15070,
                            chrome   => 7829, chromosomal
                                     => 16329,
                            chromosome
                                     => 6503, chromosomes
                                     => 9590,
                            chronic  => 4543, chronicle
                                     => 3627,
                            chronicled
                                     => 12225, chronicler
                                     => 11435,
                            chroniclers
                                     => 18136, chronicles
                                     => 4949,
                            chronicling
                                     => 16440, chronicon
                                     => 24289,
                            chrono   => 23050, chronological
                                     => 7572,
                            chronologically
                                     => 13761,
                            chronology
                                     => 8189, chrysalis
                                     => 18169,
                            chrysanthemum
                                     => 25940, chrysler => 6620,
                            chrysostom
                                     => 22120, chuan    => 11909,
                            chukchi  => 25833, chula    => 24015, chulalongkorn
                                     => 21890,
                            church   => 147, churches => 1463, churchmen
                                     => 27146,
                            churchyard
                                     => 7459, chuvash  => 23919,
                            ciaran   => 18635, cibernetico
                                     => 25230,
                            cicada   => 29169, cicero   => 8916, cichlid  => 19956, cichlids => 27470,
                            cidade   => 26653, ciechanow
                                     => 27229,
                            cielo    => 19820, ciencias => 27575, cieszyn  => 16227, cilia    => 16543,
                            cilicia  => 15148, cilla    => 25462, cimarron => 19792, cincinnati
                                     => 2749,
                            cinder   => 16914, cinema   => 2079, cinemas  => 7217, cinemascope
                                     => 25758,
                            cinematic
                                     => 8211, cinematographer
                                     => 8029,
                            cinematographers
                                     => 21760,
                            cinematography
                                     => 7537, cineplex => 28022,
                            cinta    => 23722, cipher   => 10046, ciphers  => 19571, ciphertext
                                     => 23556,
                            circa    => 5050, circadian
                                     => 16794,
                            circassian
                                     => 20563, circassians
                                     => 25063,
                            circe    => 21235, circle   => 1821, circuit  => 1488, circuitous
                                     => 29831,
                            circuitry
                                     => 13674, circuits => 5174,
                            circular => 3238, circulated
                                     => 6689,
                            circulates
                                     => 27370, circulating
                                     => 8689,
                            circulation
                                     => 3234, circumnavigation
                                     => 18760,
                            circumpolar
                                     => 29329, circumscribed
                                     => 19445,
                            circumscription
                                     => 28707,
                            circumvent
                                     => 15272, circumvented
                                     => 28984,
                            circuses => 22150, cirencester
                                     => 21211,
                            cirrus   => 18532, cistercian
                                     => 11959,
                            cistercians
                                     => 28416, cistern  => 19712,
                            cisterns => 23402, citadel  => 6428, citation => 4292, citations
                                     => 7370,
                            cited    => 2200, cites    => 6167, citibank => 20427, cities   => 782,
                            citigroup
                                     => 18978, citing   => 3348,
                            citizen  => 2597, citizenry
                                     => 19642,
                            citizens => 1327, citizenship
                                     => 3399,
                            citrate  => 23965, citric   => 24478, citroen  => 10664, citrus   => 7762,
                            citta    => 16768, city     => 54, cityscape
                                     => 19384,
                            citytv   => 27121, ciudad   => 8233, civet    => 27537, civic    => 3056,
                            civil    => 471, civilian => 2348, civilians
                                     => 3573,
                            civilisation
                                     => 13111, civilisations
                                     => 28392,
                            civilizations
                                     => 9387, civitas  => 23373,
                            clackamas
                                     => 24783, cladding => 16958,
                            clade    => 8219, clades   => 19295, cladistic
                                     => 23560,
                            cladogram
                                     => 18354, claes    => 22257,
                            claim    => 1338, claimant => 11630, claimants
                                     => 12843,
                            claimed  => 825, claiming => 2430, claims   => 1194, clairvaux
                                     => 29166,
                            clan     => 2389, clandestine
                                     => 9429,
                            clandestinely
                                     => 25755, clann    => 22820,
                            clans    => 6289, clapboard
                                     => 19003,
                            clapham  => 13485, clapton  => 9372, claremont
                                     => 8873,
                            clarendon
                                     => 12233, claret   => 26029,
                            clarified
                                     => 9490, clarifies
                                     => 25544,
                            clarinet => 7331, clarinetist
                                     => 18346,
                            clarinets
                                     => 18743, clarion  => 13188,
                            clarks   => 26571, clarksburg
                                     => 27726,
                            clarksville
                                     => 17366, clash    => 5316,
                            clashed  => 8838, clashes  => 6634, clasico  => 28677, clasps   => 24262,
                            class    => 287, classed  => 9381, classes  => 1185, classic  => 1267,
                            classical
                                     => 1252, classically
                                     => 12544,
                            classicism
                                     => 16901, classicist
                                     => 20247,
                            classics => 4123, classification
                                     => 2008,
                            classifications
                                     => 8764,
                            classified
                                     => 2100, classifier
                                     => 21711,
                            classifiers
                                     => 26240, classifies
                                     => 14441,
                            classify => 9890, classifying
                                     => 14003,
                            classmate
                                     => 9845, classroom
                                     => 4212,
                            classrooms
                                     => 4635, claudius => 9424,
                            clause   => 4147, clauses  => 8573, clausura => 12929, clave    => 25432,
                            clays    => 16786, cleanly  => 23956, clearances
                                     => 17111,
                            clearest => 27761, clearfield
                                     => 21659,
                            clearinghouse
                                     => 25141, clearings
                                     => 23878,
                            clearwater
                                     => 11047, cleave   => 19945,
                            cleaved  => 21784, cleburne => 25720, cleese   => 21788, cleft    => 14302,
                            clemenceau
                                     => 25644, clemson  => 8825,
                            clerestory
                                     => 18801, clergy   => 4176,
                            clergyman
                                     => 8159, clergymen
                                     => 16101,
                            cleric   => 10682, clerical => 8543, clerics  => 11009, clerked  => 27091,
                            clerkenwell
                                     => 27750, clermont => 10575,
                            cleves   => 18645, cliched  => 25533, cliffs   => 5722, clijsters
                                     => 23844,
                            climactic
                                     => 16279, climate  => 1214,
                            climates => 8772, climatic => 9472, climax   => 6623, climbers => 10355,
                            climbs   => 8142, clinch   => 10597, clinched => 9312, clinching
                                     => 16108,
                            clinical => 2220, clinician
                                     => 19358,
                            clinicians
                                     => 15392, clinics  => 6744,
                            clinker  => 27369, clips    => 6246, clique   => 12445, cliques  => 26305,
                            clitheroe
                                     => 25195, clive    => 6589,
                            clivina  => 23627, clockwise
                                     => 8384,
                            cloister => 11963, cloisters
                                     => 21818,
                            clonal   => 28539, clones   => 9626, clonmel  => 27988, clontarf => 25169,
                            closed   => 701, closely  => 1642, clostridium
                                     => 26059,
                            closure  => 2954, closures => 12174, cloth    => 4711, clothing => 2607,
                            clove    => 25438, cloverleaf
                                     => 16322,
                            clovis   => 13317, club     => 131, clube    => 8002, clubs    => 1007,
                            clumps   => 17704, cluny    => 18668, cluster  => 3851, clustered
                                     => 11943,
                            clustering
                                     => 14088, clusters => 5018,
                            clutch   => 7726, clwyd    => 24334, clydebank
                                     => 21088,
                            coach    => 474, coached  => 3027, coachella
                                     => 17475,
                            coaches  => 2629, coaching => 2199, coadjutor
                                     => 17092,
                            coagulation
                                     => 20371, coahuila => 15197,
                            coal     => 1646, coalesce => 25976, coalesced
                                     => 24696,
                            coalfield
                                     => 15780, coalfields
                                     => 24163,
                            coalition
                                     => 2005, coalitions
                                     => 14335,
                            coarse   => 9165, coarser  => 27307, coast    => 516, coastal  => 1840,
                            coastline
                                     => 5869, coastlines
                                     => 20534,
                            coasts   => 7347, coatbridge
                                     => 25980,
                            coated   => 7684, coating  => 8063, coatings => 12433, coauthor => 28702,
                            coauthored
                                     => 21077, coaxial  => 16574,
                            cobain   => 15530, cobalt   => 10218, cobbled  => 23974, cobblestone
                                     => 22390,
                            cobden   => 24811, cobham   => 15399, cobol    => 28826, cobra    => 6881,
                            cobras   => 17616, coburg   => 11303, cochabamba
                                     => 21129,
                            cochin   => 10411, cochise  => 20949, cochlear => 22800, cockatoo => 21004,
                            cocker   => 15107, cockerell
                                     => 24650,
                            cocking  => 29488, cockpit  => 6292, cockpits => 23360, cocos    => 20235,
                            cocteau  => 19008, code     => 917, codec    => 17236, codecs   => 23290,
                            codeine  => 24916, codename => 13661, codenamed
                                     => 12623,
                            codes    => 3508, codeshare
                                     => 29366,
                            codex    => 6000, codice_1 => 9798, codice_2 => 13662, codice_3 => 16867,
                            codice_4 => 18700, codice_5 => 21708, codice_6 => 23748, codice_7 => 25856,
                            codice_8 => 27526, codice_9 => 29568, codices  => 21130, codification
                                     => 20397,
                            codified => 10956, coding   => 6637, codon    => 22278, codrington
                                     => 27539,
                            coeducational
                                     => 10472, coefficient
                                     => 7153,
                            coefficients
                                     => 7736, coenzyme => 24276,
                            coercive => 16999, coetzee  => 24848, coeur    => 13158, coexistence
                                     => 17200,
                            cofactor => 20210, cofounded
                                     => 25196,
                            cofounder
                                     => 23339, cognate  => 13113,
                            cognates => 25246, cognition
                                     => 9947,
                            cognitive
                                     => 3996, cognomen => 27899,
                            cohabitation
                                     => 24329, coherence
                                     => 13309,
                            coherent => 8516, cohesion => 12084, cohesive => 12496, cohomology
                                     => 14635,
                            cohort   => 11758, cohorts  => 18490, coiled   => 15159, coils    => 12057,
                            coimbatore
                                     => 11872, coimbra  => 12537,
                            coin     => 4034, coinage  => 8883, coincide => 7252, coincided
                                     => 6916,
                            coincident
                                     => 26304, coincidentally
                                     => 9536,
                            coincides
                                     => 11983, coinciding
                                     => 10979,
                            coined   => 4719, coining  => 17854, coins    => 3046, coking   => 29494,
                            "col."   => 5520, colborne => 28763, colchester
                                     => 7192,
                            coldest  => 13290, coldfield
                                     => 24356,
                            coldplay => 15410, coldstream
                                     => 20507,
                            coldwater
                                     => 19275, colegio  => 10947,
                            coleophora
                                     => 11217, coleophoridae
                                     => 20440,
                            coleoptera
                                     => 29781, coleraine
                                     => 18534,
                            coleridge
                                     => 11222, colfax   => 19647,
                            colgate  => 13483, colima   => 21284, coliseum => 7315, collaborate
                                     => 7820,
                            collaborated
                                     => 3141, collaborates
                                     => 13105,
                            collaborating
                                     => 7476, collaboration
                                     => 1974,
                            collaborationist
                                     => 26424,
                            collaborations
                                     => 5827, collaborative
                                     => 4872,
                            collaboratively
                                     => 20286,
                            collaborator
                                     => 7188, collaborators
                                     => 7729,
                            collagen => 13279, collages => 19939, collapse => 3026, collapses
                                     => 10382,
                            collapsible
                                     => 27770, collated => 18795,
                            colle    => 22935, colleagues
                                     => 3381,
                            collectable
                                     => 29517, collected
                                     => 1764,
                            collectible
                                     => 13123, collectibles
                                     => 19626,
                            collecting
                                     => 3780, collection
                                     => 613,
                            collections
                                     => 2049, collective
                                     => 2735,
                            collectively
                                     => 5031, collectives
                                     => 23455,
                            collectivization
                                     => 24451,
                            collector
                                     => 3981, collectors
                                     => 5229,
                            collects => 8184, college  => 137, colleges => 2017, collegiate
                                     => 3170,
                            collegiately
                                     => 19514, collegio => 29060,
                            collegium
                                     => 16290, collided => 8607,
                            collider => 21870, colliding
                                     => 17174,
                            collieries
                                     => 15156, colliers => 27139,
                            colliery => 7274, collingwood
                                     => 7739,
                            collision
                                     => 4963, collisions
                                     => 10011,
                            colloidal
                                     => 28716, colloquial
                                     => 10884,
                            colloquially
                                     => 8385, colloquium
                                     => 28615,
                            colmar   => 24399, colne    => 19966, cologne  => 4860, colombia => 2788,
                            colombian
                                     => 5152, colombians
                                     => 29281,
                            colonels => 11154, colonia  => 11530, colonial => 1636, colonialism
                                     => 11027,
                            colonials
                                     => 19397, colonies => 2951,
                            colonisation
                                     => 14737, colonised
                                     => 22838,
                            colonist => 20108, colonists
                                     => 5879,
                            colonization
                                     => 6848, colonize => 17628,
                            colonized
                                     => 13491, colonizers
                                     => 24777,
                            colonizing
                                     => 25912, colony   => 1836,
                            colophon => 27776, color    => 1064, colorado => 1586, coloration
                                     => 9744,
                            coloratura
                                     => 29382, colorectal
                                     => 19839,
                            colored  => 3370, colorless
                                     => 15745,
                            colors   => 2398, colossus => 14216, colour   => 2145, colouration
                                     => 17077,
                            coloured => 4532, colourful
                                     => 8937,
                            colouring
                                     => 15470, colourless
                                     => 23779,
                            colours  => 3432, colquhoun
                                     => 26119,
                            "colspan=12"
                                     => 20820, "colspan=3|total"
                                     => 11921,
                            "colspan=3|turnout"
                                     => 23319,
                            "colspan=9"
                                     => 11271, "colspan=9|"
                                     => 14551,
                            colt     => 5519, coltrane => 13119, colts    => 5385, columba  => 14573,
                            columbia => 1014, columbian
                                     => 8896,
                            columbine
                                     => 19026, columella
                                     => 18535,
                            column   => 2152, columnar => 23838, columnist
                                     => 5087,
                            columns  => 2943, colwyn   => 27213, comarca  => 13406, combat   => 1269,
                            combatant
                                     => 10914, combatants
                                     => 9956,
                            combating
                                     => 12608, combats  => 25817,
                            combe    => 15321, combination
                                     => 1758,
                            combinations
                                     => 5773, combinatorial
                                     => 15143,
                            combinatorics
                                     => 20900, combine  => 4438,
                            combined => 1105, combines => 5033, combining
                                     => 4275,
                            combos   => 22636, combustion
                                     => 6218,
                            comcast  => 10108, comdr    => 20566, comeback => 4769, comedian => 4133,
                            comedians
                                     => 8891, comedic  => 7894,
                            comedie  => 20364, comedienne
                                     => 24189,
                            comedies => 7881, comedy   => 1069, comet    => 6513, comets   => 9599,
                            comic    => 1499, comical  => 12584, comically
                                     => 23991,
                            comics   => 1714, comilla  => 28169, comintern
                                     => 13882,
                            comique  => 16405, comite   => 18889, comix    => 23270, command  => 618,
                            commandant
                                     => 6274, commanded
                                     => 2429,
                            commander
                                     => 883, commanders
                                     => 4230,
                            commandery
                                     => 15741, commanding
                                     => 3100,
                            commando => 6130, commandos
                                     => 9368,
                            commands => 4690, commedia => 21879, commemorate
                                     => 5073,
                            commemorated
                                     => 7015, commemorates
                                     => 8955,
                            commemorating
                                     => 7754, commemoration
                                     => 8122,
                            commemorations
                                     => 17878,
                            commemorative
                                     => 6802, commenced
                                     => 3045,
                            commencement
                                     => 7844, commences
                                     => 16432,
                            commencing
                                     => 9230, commendation
                                     => 9818,
                            commendations
                                     => 24034, commended
                                     => 8918,
                            commending
                                     => 28460, commentaries
                                     => 7728,
                            commentary
                                     => 3285, commentated
                                     => 26884,
                            commentating
                                     => 28199, commentator
                                     => 4789,
                            commentators
                                     => 5822, commented
                                     => 2665,
                            commenting
                                     => 6028, comments => 3131,
                            commerce => 2163, commercial
                                     => 624,
                            commercialization
                                     => 14472,
                            commercialize
                                     => 27519, commercialized
                                     => 17928,
                            commercially
                                     => 3944, commercials
                                     => 4503,
                            commissar
                                     => 14910, commissariat
                                     => 19442,
                            commissars
                                     => 25378, commissary
                                     => 16487,
                            commission
                                     => 620, commissioned
                                     => 1411,
                            commissioner
                                     => 2043, commissioners
                                     => 4462,
                            commissioning
                                     => 7496, commissions
                                     => 4790,
                            commitments
                                     => 6853, commits  => 10319,
                            committee
                                     => 442, committeeman
                                     => 28738,
                            committees
                                     => 3360, commodities
                                     => 8034,
                            commodity
                                     => 7407, commodore
                                     => 4947,
                            commodores
                                     => 15325, common   => 347,
                            commonalities
                                     => 29968, commonality
                                     => 23242,
                            commoners
                                     => 14036, commonly => 979,
                            commonplace
                                     => 10140, commons  => 2588,
                            commonwealth
                                     => 1762, communal => 5809,
                            communaute
                                     => 21977, commune  => 1623,
                            communes => 6039, communicable
                                     => 27318,
                            communicated
                                     => 10271, communicates
                                     => 15369,
                            communication
                                     => 1583, communications
                                     => 1444,
                            communicative
                                     => 18692, communion
                                     => 6134,
                            communism
                                     => 5696, communist
                                     => 1321,
                            communists
                                     => 4683, communities
                                     => 1063,
                            community
                                     => 227, commutation
                                     => 22275,
                            commutative
                                     => 13052, commutator
                                     => 27815,
                            commuted => 8734, commuter => 5271, commuters
                                     => 10266,
                            commutes => 27127, commuting
                                     => 13415,
                            comoros  => 14701, compact  => 3484, compacted
                                     => 21792,
                            compaction
                                     => 26691, compactness
                                     => 29490,
                            compagnie
                                     => 13554, compania => 21125,
                            companies
                                     => 633, companion
                                     => 3395,
                            companions
                                     => 6007, company  => 113,
                            compaq   => 20707, comparable
                                     => 4517,
                            comparative
                                     => 4994, comparatively
                                     => 7336,
                            compared => 1153, compares => 8402, comparison
                                     => 2787,
                            comparisons
                                     => 6673, compasses
                                     => 28602,
                            compatibility
                                     => 7649, compatible
                                     => 4484,
                            compatriot
                                     => 12689, compatriots
                                     => 17173,
                            compendium
                                     => 11936, compensate
                                     => 7525,
                            compensation
                                     => 3539, compensatory
                                     => 19038,
                            compete  => 1751, competed => 962, competence
                                     => 8579,
                            competences
                                     => 25853, competencies
                                     => 16844,
                            competency
                                     => 14346, competes => 5218,
                            competing
                                     => 2245, competition
                                     => 489,
                            competitions
                                     => 2039, competitive
                                     => 2302,
                            competitively
                                     => 17107, competitiveness
                                     => 10868,
                            competitor
                                     => 4727, competitors
                                     => 3621,
                            compilation
                                     => 2198, compilations
                                     => 7637,
                            compile  => 10606, compiled => 3223, compiler => 7941, compilers
                                     => 14365,
                            compiles => 20160, compiling
                                     => 8193,
                            complainant
                                     => 28567, complained
                                     => 5056,
                            complaints
                                     => 4224, complement
                                     => 5283,
                            complementary
                                     => 7688, complemented
                                     => 10885,
                            complementing
                                     => 20807, complements
                                     => 15446,
                            complete => 684, completed
                                     => 481,
                            completeness
                                     => 16326, completes
                                     => 10836,
                            completing
                                     => 2739, completion
                                     => 2170,
                            completions
                                     => 16824, complex  => 724,
                            complexes
                                     => 5789, complexities
                                     => 15508,
                            complexity
                                     => 4325, compliance
                                     => 4942,
                            compliant
                                     => 9383, complicity
                                     => 15727,
                            complied => 12110, complies => 18983, comply   => 5804, complying
                                     => 19142,
                            component
                                     => 2342, components
                                     => 1981,
                            compose  => 7161, composed => 848, composer => 1484, composers
                                     => 3497,
                            composes => 17980, composing
                                     => 6308,
                            composite
                                     => 4721, composites
                                     => 14604,
                            compositing
                                     => 28656, composition
                                     => 1622,
                            compositional
                                     => 12289, compositions
                                     => 3087,
                            compostela
                                     => 16343, composting
                                     => 22292,
                            compound => 2913, compounded
                                     => 12178,
                            compounding
                                     => 18014, compounds
                                     => 3604,
                            comprehensible
                                     => 27806,
                            comprehensive
                                     => 2579, comprehensively
                                     => 19196,
                            compressed
                                     => 6754, compressing
                                     => 25748,
                            compression
                                     => 5155, compressive
                                     => 23401,
                            compressor
                                     => 11013, compressors
                                     => 18910,
                            comprise => 5491, comprised
                                     => 4332,
                            comprises
                                     => 2920, comprising
                                     => 3496,
                            comptroller
                                     => 10612, compulsory
                                     => 5547,
                            computable
                                     => 21748, computation
                                     => 8201,
                            computational
                                     => 5884, computationally
                                     => 20351,
                            computations
                                     => 16468, compute  => 9239,
                            computed => 8284, computer => 787, computerised
                                     => 26944,
                            computerized
                                     => 12036, computers
                                     => 2784,
                            computes => 23541, computing
                                     => 3599,
                            comte    => 7798, comune   => 6987, comyn    => 23653, conakry  => 29455,
                            conan    => 6757, concacaf => 8590, concave  => 9730, conceals => 26481,
                            conceded => 7532, concedes => 26547, conceding
                                     => 11542,
                            conceicao
                                     => 24638, conceit  => 27006,
                            conceived
                                     => 3820, concentrated
                                     => 3386,
                            concentrates
                                     => 11996, concentration
                                     => 2495,
                            concentrations
                                     => 5284, concentric
                                     => 12351,
                            concept  => 1052, conceptions
                                     => 14874,
                            concepts => 2988, conceptual
                                     => 6462,
                            conceptualization
                                     => 28080,
                            conceptualized
                                     => 18732,
                            conceptually
                                     => 16080, concerning
                                     => 2587,
                            concerns => 2062, concert  => 1158, concerted
                                     => 13891,
                            concertgebouw
                                     => 25850, concerti => 29053,
                            concertmaster
                                     => 22962, concerto => 5119,
                            concertos
                                     => 11893, concerts => 2185,
                            concession
                                     => 6947, concessions
                                     => 7562,
                            conciliation
                                     => 18699, conciliatory
                                     => 21667,
                            concise  => 13408, conclave => 11394, conclude => 6792, concluded
                                     => 1899,
                            concludes
                                     => 5608, concluding
                                     => 6550,
                            conclusion
                                     => 2700, concomitant
                                     => 22282,
                            concord  => 6711, concordance
                                     => 25374,
                            concordat
                                     => 19191, concordia
                                     => 9188,
                            concours => 22631, concourse
                                     => 10522,
                            concrete => 2206, concubine
                                     => 13129,
                            concubines
                                     => 18871, concurred
                                     => 15907,
                            concurrence
                                     => 19891, concurrency
                                     => 8667,
                            concurrent
                                     => 6250, concurrently
                                     => 6663,
                            concurring
                                     => 20662, condemnation
                                     => 9914,
                            condemned
                                     => 3999, condemns => 19764,
                            condensate
                                     => 22010, condensation
                                     => 12161,
                            condense => 26973, condensed
                                     => 9797,
                            condenser
                                     => 18985, condensing
                                     => 23655,
                            condita  => 22777, conditional
                                     => 7226,
                            conditionally
                                     => 28235, conditioned
                                     => 8879,
                            conditions
                                     => 913, condoleezza
                                     => 25751,
                            condominium
                                     => 12303, condominiums
                                     => 13747,
                            condor   => 10784, condorcet
                                     => 26300,
                            condors  => 27527, conducive
                                     => 14355,
                            conduct  => 2164, conductance
                                     => 21584,
                            conducted
                                     => 1099, conducting
                                     => 3514,
                            conduction
                                     => 12252, conductive
                                     => 13620,
                            conductivity
                                     => 11221, conductor
                                     => 3242,
                            conductors
                                     => 8183, conducts => 6659,
                            conduits => 27265, conestoga
                                     => 24980,
                            confectionery
                                     => 15322, confederacy
                                     => 6765,
                            confederate
                                     => 2745, confederates
                                     => 8490,
                            confederation
                                     => 4069, confederations
                                     => 14488,
                            conference
                                     => 521, conferences
                                     => 3235,
                            conferencing
                                     => 18823, conferred
                                     => 5892,
                            conferring
                                     => 18550, confers  => 17654,
                            confesses
                                     => 8360, confessions
                                     => 8804,
                            confessor
                                     => 13271, confidently
                                     => 20312,
                            configurable
                                     => 26011, configuration
                                     => 3492,
                            configurations
                                     => 7995, configure
                                     => 21682,
                            configured
                                     => 9412, confined => 5058,
                            confinement
                                     => 8693, confirmed
                                     => 1415,
                            confiscated
                                     => 6805, confiscation
                                     => 14498,
                            conflagration
                                     => 28696, conflated
                                     => 25480,
                            conflict => 1372, conflicting
                                     => 7746,
                            conflicts
                                     => 3511, confluence
                                     => 5328,
                            conform  => 8662, conformal
                                     => 18091,
                            conformance
                                     => 27238, conformation
                                     => 13327,
                            conformational
                                     => 19547,
                            conformed
                                     => 21048, conforming
                                     => 15942,
                            conformist
                                     => 23083, conformity
                                     => 11737,
                            conforms => 20802, confounding
                                     => 29393,
                            confraternity
                                     => 22482, confrontation
                                     => 5763,
                            confrontations
                                     => 13574,
                            confronts
                                     => 6536, confucian
                                     => 11133,
                            confucianism
                                     => 14904, confucius
                                     => 13506,
                            confusingly
                                     => 20580, confusion
                                     => 3566,
                            congenital
                                     => 9973, congested
                                     => 14272,
                            congestion
                                     => 7344, congestive
                                     => 21270,
                            congke   => 29992, conglomerate
                                     => 8566,
                            conglomerates
                                     => 19012, congo    => 3431,
                            congolese
                                     => 11015, congregants
                                     => 27373,
                            congregate
                                     => 19279, congregation
                                     => 2757,
                            congregational
                                     => 7488, congregationalist
                                     => 22181,
                            congregations
                                     => 5911, congress => 752,
                            congresses
                                     => 7924, congressional
                                     => 2747,
                            congreve => 28028, congruence
                                     => 22465,
                            congruent
                                     => 19015, conic    => 18719,
                            conical  => 8874, conidae  => 21450, conifer  => 15453, coniferous
                                     => 13716,
                            conifers => 16763, coniston => 28387, conjecture
                                     => 8073,
                            conjectured
                                     => 15581, conjectures
                                     => 20199,
                            conjugate
                                     => 12054, conjugated
                                     => 17474,
                            conjugation
                                     => 14305, conjunction
                                     => 3467,
                            conjunctions
                                     => 27775, conmebol => 19205,
                            connacht => 9692, connaught
                                     => 13907,
                            connected
                                     => 1263, connecticut
                                     => 1965,
                            connecting
                                     => 2602, connections
                                     => 2561,
                            connective
                                     => 14775, connectivity
                                     => 7695,
                            connector
                                     => 7154, connectors
                                     => 11074,
                            connects => 3177, connemara
                                     => 27859,
                            connexion
                                     => 22248, connoisseurs
                                     => 29319,
                            connotation
                                     => 16109, connotations
                                     => 13007,
                            conor    => 13482, conquered
                                     => 4185,
                            conqueror
                                     => 9780, conquerors
                                     => 18778,
                            conquest => 3325, conquests
                                     => 10855,
                            conquistador
                                     => 21598, conquistadors
                                     => 21020,
                            conrail  => 16204, conscript
                                     => 27531,
                            conscripted
                                     => 14568, conscription
                                     => 9105,
                            conscripts
                                     => 16418, consecrate
                                     => 29093,
                            consecrated
                                     => 4774, consecration
                                     => 8582,
                            consecrators
                                     => 17572, consecutive
                                     => 1688,
                            consecutively
                                     => 12824, conseil  => 14227,
                            consejo  => 15948, consensus
                                     => 4042,
                            consent  => 3889, consents => 27585, consequence
                                     => 3614,
                            consequent
                                     => 11096, consequential
                                     => 25466,
                            consequently
                                     => 3108, conservancy
                                     => 10019,
                            conservation
                                     => 1774, conservationist
                                     => 18071,
                            conservationists
                                     => 21022,
                            conservatism
                                     => 11747, conservative
                                     => 1277,
                            conservatives
                                     => 4266, conservatoire
                                     => 10462,
                            conservator
                                     => 22530, conservatories
                                     => 25193,
                            conservatorium
                                     => 20523,
                            conservators
                                     => 28752, conservatory
                                     => 4397,
                            conserved
                                     => 7564, conserving
                                     => 17858,
                            considerable
                                     => 2015, considerably
                                     => 3689,
                            considerations
                                     => 6282, considered
                                     => 345,
                            considers
                                     => 4063, consigned
                                     => 22700,
                            consignment
                                     => 24797, consist  => 3039,
                            consisted
                                     => 1497, consistency
                                     => 7030,
                            consistent
                                     => 3010, consistently
                                     => 3932,
                            consisting
                                     => 1687, consistory
                                     => 16054,
                            consists => 837, console  => 4459, consoles => 8160, consolidate
                                     => 8947,
                            consolidated
                                     => 4001, consolidating
                                     => 12732,
                            consolidation
                                     => 6273, consonant
                                     => 7241,
                            consonants
                                     => 7175, consort  => 5687,
                            consortia
                                     => 29091, consortium
                                     => 4575,
                            consorts => 17437, conspecific
                                     => 24479,
                            conspicuous
                                     => 7977, conspicuously
                                     => 20521,
                            conspirators
                                     => 10720, constables
                                     => 12806,
                            constabulary
                                     => 10003, constant => 1960,
                            constanta
                                     => 19064, constantin
                                     => 10551,
                            constantinople
                                     => 4253, constantius
                                     => 17914,
                            constants
                                     => 10223, constellation
                                     => 5777,
                            consternation
                                     => 20719, constituencies
                                     => 4706,
                            constituency
                                     => 1520, constituent
                                     => 4796,
                            constituents
                                     => 8634, constitute
                                     => 4375,
                            constituted
                                     => 4661, constitutes
                                     => 6793,
                            constituting
                                     => 11449, constitution
                                     => 1239,
                            constitutional
                                     => 2166, constitutionality
                                     => 13600,
                            constitutionally
                                     => 13588,
                            constitutions
                                     => 11369, constitutive
                                     => 19914,
                            constrain
                                     => 24863, constrained
                                     => 10102,
                            constraint
                                     => 9435, constraints
                                     => 5575,
                            constricted
                                     => 25431, constriction
                                     => 23918,
                            construct
                                     => 3469, constructed
                                     => 922,
                            constructing
                                     => 5966, construction
                                     => 399,
                            constructions
                                     => 7951, constructivism
                                     => 23375,
                            constructivist
                                     => 22268,
                            constructor
                                     => 14770, constructors
                                     => 13209,
                            constructs
                                     => 10403, consul   => 5042,
                            consular => 11653, consulates
                                     => 15694,
                            consuls  => 14832, consulship
                                     => 15937,
                            consultancy
                                     => 8603, consultant
                                     => 3454,
                            consultants
                                     => 8143, consultation
                                     => 6319,
                            consultations
                                     => 12928, consultative
                                     => 10371,
                            consulted
                                     => 7214, consulting
                                     => 3973,
                            consume  => 7627, consumer => 2528, consumerism
                                     => 19954,
                            consumers
                                     => 3857, consuming
                                     => 7431,
                            consumption
                                     => 3065, contactless
                                     => 29083,
                            contador => 19446, contagion
                                     => 24810,
                            contain  => 1761, contained
                                     => 1534,
                            container
                                     => 5295, containers
                                     => 7079,
                            containing
                                     => 1447, contains => 688,
                            contaminant
                                     => 25626, contaminants
                                     => 13495,
                            contamination
                                     => 7160, contemplated
                                     => 13301,
                            contemplates
                                     => 23604, contemplation
                                     => 14803,
                            contemplative
                                     => 16856, contemporaneous
                                     => 13516,
                            contemporaries
                                     => 6033, contemporary
                                     => 969,
                            contend  => 10450, contended
                                     => 10219,
                            contender
                                     => 7432, contenders
                                     => 9301,
                            contending
                                     => 17202, contends => 13096,
                            content  => 1163, contention
                                     => 7113,
                            contentious
                                     => 10085, contents => 3860,
                            contest  => 1527, contestant
                                     => 4702,
                            contestants
                                     => 3966, contested
                                     => 2482,
                            contests => 5709, context  => 1983, contexts => 6705, contextual
                                     => 14835,
                            contiguous
                                     => 8843, continent
                                     => 3832,
                            continental
                                     => 2323, continents
                                     => 6737,
                            contingent
                                     => 6077, contingents
                                     => 17223,
                            continual
                                     => 10356, continually
                                     => 5893,
                            continuation
                                     => 5075, continue => 1001,
                            continued
                                     => 341, continues
                                     => 1125,
                            continuing
                                     => 2001, continuity
                                     => 5038,
                            continuo => 17447, continuous
                                     => 2475,
                            continuously
                                     => 4070, continuum
                                     => 8856,
                            contour  => 12553, contours => 15381, contra   => 9479, contraception
                                     => 14353,
                            contraceptive
                                     => 18233, contract => 649,
                            contracted
                                     => 4194, contracting
                                     => 8331,
                            contractor
                                     => 5583, contractors
                                     => 6467,
                            contracts
                                     => 3071, contractual
                                     => 9805,
                            contractually
                                     => 27508, contradicted
                                     => 13071,
                            contradiction
                                     => 10495, contradictions
                                     => 13690,
                            contradictory
                                     => 10258, contradicts
                                     => 17432,
                            contraindications
                                     => 27278,
                            contralto
                                     => 22936, contrapuntal
                                     => 27943,
                            contras  => 25737, contrast => 1869, contrasted
                                     => 8347,
                            contrasting
                                     => 8403, contrasts
                                     => 8400,
                            contravention
                                     => 26047, contre   => 23717,
                            contribute
                                     => 3383, contributed
                                     => 1542,
                            contributes
                                     => 6190, contributing
                                     => 2873,
                            contribution
                                     => 2381, contributions
                                     => 1918,
                            contributor
                                     => 4630, contributors
                                     => 5917,
                            contributory
                                     => 23296, contrived
                                     => 17218,
                            control  => 335, controllable
                                     => 20595,
                            controlled
                                     => 1477, controller
                                     => 4602,
                            controllers
                                     => 7929, controls => 3028,
                            controversial
                                     => 2128, controversially
                                     => 11472,
                            controversies
                                     => 6004, controversy
                                     => 1706,
                            conurbation
                                     => 18611, conus    => 12091,
                            convair  => 18320, convalescence
                                     => 29607,
                            convalescent
                                     => 23677, convection
                                     => 8166,
                            convective
                                     => 16885, convened => 7221,
                            convener => 24824, conveniences
                                     => 28591,
                            convening
                                     => 21035, convenor => 25314,
                            convent  => 4490, convention
                                     => 1294,
                            conventional
                                     => 2542, conventionally
                                     => 12258,
                            conventions
                                     => 4439, convents => 17716,
                            converge => 10138, converged
                                     => 16842,
                            convergence
                                     => 7151, convergent
                                     => 13272,
                            converges
                                     => 15602, converging
                                     => 17088,
                            conversely
                                     => 6942, conversion
                                     => 2531,
                            conversions
                                     => 9211, convert  => 3926,
                            converted
                                     => 1506, converter
                                     => 10155,
                            converters
                                     => 16009, converting
                                     => 6114,
                            converts => 7270, convex   => 7034, convey   => 7369, conveyance
                                     => 20560,
                            conveyed => 8853, conveying
                                     => 14300,
                            conveys  => 14439, convicts => 9444, convinces
                                     => 7126,
                            convincingly
                                     => 16001, convocation
                                     => 13501,
                            convolution
                                     => 20582, convoy   => 3441,
                            convoys  => 7949, conwy    => 18606, conyngham
                                     => 27493,
                            cooch    => 26522, cooder   => 29170, cookery  => 15462, coolant  => 14897,
                            cooled   => 6314, cooling  => 4692, cooperated
                                     => 11200,
                            cooperates
                                     => 19146, cooperation
                                     => 2422,
                            cooperative
                                     => 4102, cooperatively
                                     => 23429,
                            cooperatives
                                     => 11120, cooperstown
                                     => 21761,
                            coordinate
                                     => 5150, coordinated
                                     => 5560,
                            coordinates
                                     => 4074, coordinating
                                     => 7663,
                            coordination
                                     => 5002, coordinator
                                     => 4360,
                            coordinators
                                     => 18658, coorg    => 28540,
                            coors    => 19023, coote    => 21781, copa     => 4531, copacabana
                                     => 26622,
                            copan    => 29042, copelatus
                                     => 19097,
                            copenhagen
                                     => 3688, copepods => 25641,
                            copies   => 1429, copious  => 17478, copper   => 2551, copra    => 28016,
                            coptic   => 9507, copts    => 29232, copula   => 25470, copulation
                                     => 20588,
                            copying  => 9374, copyist  => 29782, copyright
                                     => 3617,
                            copyrighted
                                     => 12871, copyrights
                                     => 15367,
                            copywriter
                                     => 25970, coquitlam
                                     => 20971,
                            coraciiformesfamily
                                     => 29239,
                            corals   => 13043, corbet   => 17358, corbusier
                                     => 18099,
                            cordillera
                                     => 11986, core     => 1438,
                            corelli  => 28266, cores    => 9506, corfu    => 13505, corgan   => 23006,
                            corgi    => 29809, corinth  => 10431, corinthian
                                     => 11409,
                            corinthians
                                     => 11480, coriolis => 26058,
                            cork     => 3207, cormac   => 17919, cormorant
                                     => 19184,
                            cormorants
                                     => 19770, corneal  => 16762,
                            corneille
                                     => 27964, cornel   => 28521,
                            cornelis => 12760, cornerback
                                     => 10287,
                            cornerstone
                                     => 8254, cornet   => 14372,
                            cornhill => 28077, cornhuskers
                                     => 14955,
                            cornice  => 10797, cornices => 22599, cornwall => 3809, corolla  => 13120,
                            corollary
                                     => 20090, coromandel
                                     => 22285,
                            coronal  => 23513, coronation
                                     => 4893,
                            corot    => 28368, "corp."  => 7096, corporate
                                     => 1952,
                            corporation
                                     => 926, corporations
                                     => 4203,
                            corps    => 920, corpus   => 5354, correctional
                                     => 7469,
                            corrections
                                     => 8120, corrective
                                     => 13547,
                            correctness
                                     => 15309, corrects => 26617,
                            corregidor
                                     => 22012, correlate
                                     => 14163,
                            correlated
                                     => 8895, correlates
                                     => 15586,
                            correlation
                                     => 6401, correlations
                                     => 14650,
                            correspond
                                     => 6300, corresponded
                                     => 9690,
                            correspondence
                                     => 4243, correspondences
                                     => 20926,
                            correspondent
                                     => 4336, correspondents
                                     => 12104,
                            corresponding
                                     => 2752, correspondingly
                                     => 16630,
                            corresponds
                                     => 5528, corridor => 3870,
                            corridors
                                     => 9270, corrientes
                                     => 22213,
                            corroborated
                                     => 18013, corrosion
                                     => 8829,
                            corrugated
                                     => 12359, corruption
                                     => 2892,
                            corsair  => 15786, corsairs => 23272, corsica  => 10024, corsican => 17395,
                            corte    => 20002, cortex   => 6493, cortical => 12592, corticosteroids
                                     => 26866,
                            cortisol => 20654, coruna   => 15528, corus    => 21333, corvallis
                                     => 20646,
                            corvette => 8819, corvettes
                                     => 14053,
                            corvinus => 22843, corvus   => 25128, cosimo   => 16000, cosine   => 21651,
                            cosmas   => 26879, cosmic   => 6036, cosmodrome
                                     => 22662,
                            cosmological
                                     => 14608, cosmology
                                     => 10621,
                            cosmonaut
                                     => 18746, cosmonauts
                                     => 23959,
                            cosmopolitan
                                     => 9267, cosmopterigidae
                                     => 17306,
                            cosmos   => 8517, cosplay  => 26638, cossack  => 10959, cossacks => 10357,
                            cossidae => 19921, cost     => 790, costal   => 11373, costco   => 29395,
                            costly   => 6505, costs    => 1695, costumed => 16356, cosworth => 17536,
                            cotabato => 22197, coterminous
                                     => 28714,
                            cotes    => 17941, cotswold => 20028, cottages => 7390, cottbus  => 22369,
                            cottonwood
                                     => 14681, cougar   => 12111,
                            cougars  => 8410, coulee   => 23233, coulomb  => 20146, coulthard
                                     => 15362,
                            council  => 249, councillor
                                     => 4784,
                            councillors
                                     => 5053, councilors
                                     => 15509,
                            councils => 3965, counsellors
                                     => 24732,
                            counsels => 23481, countable
                                     => 18009,
                            counted  => 4252, counter  => 2231, counteract
                                     => 13804,
                            counterattack
                                     => 9927, counterattacked
                                     => 24119,
                            counterattacks
                                     => 20259,
                            counterbalance
                                     => 23264,
                            counterclockwise
                                     => 22696,
                            counterculture
                                     => 17046,
                            countered
                                     => 10339, countering
                                     => 17609,
                            counterinsurgency
                                     => 23713,
                            countermeasure
                                     => 29074,
                            countermeasures
                                     => 14826,
                            counteroffensive
                                     => 22318,
                            counterpart
                                     => 5227, counterparts
                                     => 5481,
                            counterpoint
                                     => 12442, counters => 10489,
                            counterterrorism
                                     => 21700,
                            counterweight
                                     => 22852, countess => 5158,
                            counties => 1750, countries
                                     => 487,
                            country  => 220, countryside
                                     => 4423,
                            countrywide
                                     => 22484, county   => 105,
                            countywide
                                     => 16049, coup     => 3030,
                            coupe    => 6052, coupes   => 20270, coupled  => 4315, coupler  => 23362,
                            couplers => 25557, couples  => 1885, couplet  => 19644, couplets => 20943,
                            coupling => 7519, couplings
                                     => 22624,
                            coups    => 18626, courant  => 17829, courbet  => 24487, courland => 19369,
                            cours    => 21772, courses  => 1550, coursework
                                     => 13802,
                            court    => 246, courtauld
                                     => 27551,
                            courtenay
                                     => 12169, courtesan
                                     => 21635,
                            courthouses
                                     => 21587, courtier => 14022,
                            courtiers
                                     => 16041, courtly  => 18429,
                            courts   => 1705, courtyard
                                     => 5713,
                            courtyards
                                     => 16892, coutinho => 26791,
                            covalent => 16384, covalently
                                     => 26690,
                            covariance
                                     => 17511, covariant
                                     => 20878,
                            cove     => 4659, covenant => 6654, covenanters
                                     => 25083,
                            covenants
                                     => 17210, covent   => 9911,
                            coventry => 5102, cover    => 746, coverage => 2014, covered  => 895,
                            covering => 2041, coverings
                                     => 21874,
                            covers   => 1345, coverts  => 21310, coves    => 28815, coveted  => 9790,
                            cowboys  => 4356, cowdenbeath
                                     => 23936,
                            cowes    => 21175, cowper   => 16767, cowries  => 28730, coxae    => 18993,
                            coxed    => 20446, coxeter  => 17785, coxless  => 22032, coxswain => 22705,
                            coyotes  => 10574, cpusa    => 26733, crackdown
                                     => 12201,
                            cracow   => 21159, cradock  => 27011, crafted  => 8157, crafting => 15557,
                            crafts   => 5455, craftsman
                                     => 10115,
                            craftsmen
                                     => 9264, crags    => 19427,
                            craigie  => 24300, craigslist
                                     => 29440,
                            craiova  => 20174, crambidae
                                     => 6789,
                            cranbrook
                                     => 18075, cranial  => 13336,
                            crankcase
                                     => 24445, crankshaft
                                     => 14117,
                            crappie  => 26684, crassus  => 18965, crataegus
                                     => 28146,
                            crater   => 3773, craters  => 8448, crawler  => 24412, crayfish => 17322,
                            creamery => 20308, create   => 763, created  => 296, creates  => 3274,
                            creating => 1381, creation => 1139, creationism
                                     => 18057,
                            creationist
                                     => 24931, creative => 1942,
                            creativity
                                     => 6011, creator  => 3387,
                            creators => 6607, credential
                                     => 20527,
                            creditable
                                     => 27799, credited => 1892,
                            crediting
                                     => 22635, creditor => 14698,
                            creditors
                                     => 8414, credits  => 2144,
                            creek    => 853, creeks   => 9151, cremona  => 15224, creole   => 8053,
                            creoles  => 21388, creosote => 26544, crescent => 5530, cressida => 27922,
                            crest    => 4434, crested  => 11136, creston  => 29763, crests   => 14743,
                            crestwood
                                     => 26671, cretaceous
                                     => 6721,
                            cretan   => 15281, crete    => 7196, creuse   => 29115, crevices => 17959,
                            crew     => 1045, crewe    => 8469, crewed   => 19643, crewmembers
                                     => 22002,
                            crewmen  => 13060, cricket  => 1157, cricketer
                                     => 3089,
                            cricketers
                                     => 10630, cricketing
                                     => 17610,
                            crimea   => 8192, crimean  => 7575, criminality
                                     => 22751,
                            criminology
                                     => 14195, crimson  => 5810,
                            crises   => 9294, crisis   => 1719, crispa   => 28310, cristiano
                                     => 17467,
                            cristo   => 12758, criteria => 3302, criterion
                                     => 7117,
                            criterium
                                     => 21611, critic   => 2117,
                            critical => 924, criticality
                                     => 29600,
                            critically
                                     => 4138, criticised
                                     => 3916,
                            criticises
                                     => 23856, criticising
                                     => 14255,
                            criticism
                                     => 1790, criticisms
                                     => 6118,
                            criticized
                                     => 2130, criticizes
                                     => 12872,
                            criticizing
                                     => 8176, critics  => 1195,
                            critique => 6451, critiqued
                                     => 19687,
                            critiques
                                     => 12329, croat    => 14585,
                            croatia  => 2907, croatian => 2930, croats   => 9350, crocodiles
                                     => 12576,
                            crocodilians
                                     => 27843, crocus   => 27852,
                            crohn    => 23763, croix    => 7962, cromarty => 29172, cronenberg
                                     => 27495,
                            cronulla => 15417, crop     => 4124, cropping => 20073, crops    => 3103,
                            crore    => 11733, crores   => 16730, crossbar => 18040, crosse   => 14717,
                            crosses  => 2905, crossing => 1827, crossings
                                     => 7504,
                            crossover
                                     => 6301, crossovers
                                     => 19545,
                            crossrail
                                     => 25981, crossroad
                                     => 27286,
                            crossroads
                                     => 6866, crosstown
                                     => 17576,
                            croton   => 18728, crowdfunding
                                     => 18030,
                            crowds   => 5783, crowdsourcing
                                     => 27025,
                            crown    => 1355, crowned  => 3900, crowns   => 9216, croydon  => 7880,
                            crucial  => 3977, crucially
                                     => 22637,
                            cruciate => 16379, crucible => 15617, crucifixion
                                     => 11131,
                            cruciform
                                     => 17121, crude    => 6017,
                            cruised  => 14008, cruiser  => 4312, cruisers => 6440, cruiserweight
                                     => 16610,
                            cruises  => 8373, crumlin  => 28645, crusade  => 6306, crusader => 9390,
                            crusaders
                                     => 7074, crusades => 12547,
                            crusading
                                     => 28430, crustacean
                                     => 24220,
                            crustaceans
                                     => 11052, crustal  => 23423,
                            cruzeiro => 18305, crvena   => 28900, cryogenic
                                     => 18274,
                            cryptanalysis
                                     => 26636, cryptographic
                                     => 14279,
                            cryptography
                                     => 12896, crystalline
                                     => 9737,
                            crystallization
                                     => 19488,
                            crystallized
                                     => 22491, crystallographic
                                     => 26403,
                            crystallography
                                     => 17920,
                            crystals => 6416, csiro    => 21998, ctesiphon
                                     => 25486,
                            cthulhu  => 18313, cuatro   => 22576, cuauhtemoc
                                     => 24438,
                            cuba     => 2636, cuban    => 3527, cubana   => 27990, cubic    => 5628,
                            cubism   => 16488, cubist   => 18935, cubitt   => 27873, cubs     => 5138,
                            cuckoos  => 21171, cuddalore
                                     => 25233,
                            cuernavaca
                                     => 27341, cuisine  => 4404,
                            cuisines => 15519, culinary => 7857, culled   => 20661, culling  => 25429,
                            culloden => 24331, culminate
                                     => 20369,
                            culminated
                                     => 6091, culminates
                                     => 15130,
                            culminating
                                     => 6135, culmination
                                     => 10888,
                            culpeper => 21953, culprits => 24060, cult     => 3212, cultivar => 11209,
                            cultivars
                                     => 9875, cultivate
                                     => 10734,
                            cultivated
                                     => 4957, cultivation
                                     => 4234,
                            cultivators
                                     => 21542, cults    => 12643,
                            cultura  => 17186, cultural => 723, culturally
                                     => 7474,
                            culture  => 557, cultured => 12509, cultures => 3075, culvert  => 21963,
                            culverts => 28593, cumann   => 25334, cumans   => 24874, cumberland
                                     => 4445,
                            cumbersome
                                     => 17113, cumbia   => 22092,
                            cumbria  => 8928, cumulative
                                     => 8372,
                            cumulus  => 14575, cunard   => 15615, cuneiform
                                     => 15713,
                            cunxu    => 22969, cup      => 270, cupola   => 11777, curacao  => 12521,
                            curacies => 29812, curacy   => 19375, curate   => 9795, curated  => 8383,
                            curative => 22676, curator  => 5758, curatorial
                                     => 21452,
                            curators => 15649, curia    => 13395, curiae   => 26511, curiosities
                                     => 21673,
                            curiously
                                     => 15018, curitiba => 21789,
                            curler   => 18870, curlew   => 23130, curling  => 6083, curragh  => 21100,
                            currencies
                                     => 11661, currency => 3519,
                            current  => 375, currently
                                     => 321,
                            currents => 6099, curricula
                                     => 11508,
                            curricular
                                     => 9417, curriculum
                                     => 2855,
                            cursive  => 19079, cursor   => 18042, curtail  => 20024, curtailed
                                     => 12617,
                            curvature
                                     => 8973, curve    => 3656,
                            curved   => 4970, curves   => 5235, curvilinear
                                     => 24454,
                            curving  => 11949, curzon   => 14060, cusco    => 18772, cusps    => 23496,
                            custodians
                                     => 26959, custom   => 2880,
                            customarily
                                     => 17818, customary
                                     => 6662,
                            customers
                                     => 2252, customised
                                     => 26560,
                            customizable
                                     => 19048, customization
                                     => 16612,
                            customize
                                     => 17446, customized
                                     => 9905,
                            customs  => 3139, custos   => 26535, cutaneous
                                     => 15343,
                            cutoff   => 13655, cutscenes
                                     => 23988,
                            cuttack  => 20009, cuttings => 14445, cuttlefish
                                     => 27316,
                            cutty    => 29142, cuvier   => 23804, cuyahoga => 17607, cuzco    => 25793,
                            cyanobacteria
                                     => 20804, cybele   => 29692,
                            cyber    => 7171, cybermen => 21330, cybernetic
                                     => 19503,
                            cybernetics
                                     => 19500, cyberpunk
                                     => 21299,
                            cybersecurity
                                     => 27406, cybertron
                                     => 14232,
                            cycle    => 1727, cycled   => 24886, cycles   => 5141, cyclic   => 8408,
                            cyclical => 18421, cyclin   => 20658, cycling  => 3547, cyclist  => 5268,
                            cycliste => 29520, cyclists => 7230, cyclo    => 20466, cyclone  => 3982,
                            cyclones => 7985, cyclonic => 21467, cygnus   => 21699, cylinder => 3079,
                            cylinders
                                     => 7246, cylindrical
                                     => 7156,
                            cymbals  => 14122, cymru    => 12960, cypress  => 8526, cyprinidae
                                     => 29667,
                            cypriot  => 7547, cypriots => 16085, cyprus   => 3600, cyrenaica
                                     => 22356,
                            cyrene   => 27467, cyrillic => 6968, cysteine => 16399, cystic   => 16642,
                            cysts    => 17099, cytochrome
                                     => 14548,
                            cytokine => 20811, cytokines
                                     => 17892,
                            cytoplasm
                                     => 13896, cytoplasmic
                                     => 15247,
                            cytoskeleton
                                     => 25690, cytosol  => 25517,
                            cytosolic
                                     => 28790, cytotoxic
                                     => 22386,
                            czech    => 1871, czechoslovak
                                     => 7840,
                            czechoslovakia
                                     => 4804, czechs   => 15022,
                            czeslaw  => 28164, czestochowa
                                     => 18250,
                            "d'affaires"
                                     => 19042, "d'amato"
                                     => 24687,
                            "d'amico"
                                     => 29197, "d'amore"
                                     => 20044,
                            "d'arc"  => 28396, "d'art"  => 14986, "d'arte" => 29525, "d'auvergne"
                                     => 29802,
                            "d'azur" => 20604, "d'estaing"
                                     => 25917,
                            "d'este" => 18747, "d'etat" => 7112, "d'etudes"
                                     => 20406,
                            "d'histoire"
                                     => 23347, "d'hondt"
                                     => 22060,
                            "d'honneur"
                                     => 11950, "d'italia"
                                     => 10852,
                            "d'ivoire"
                                     => 9901, "d'orleans"
                                     => 17679,
                            "d'oro"  => 23705, "d'orsay"
                                     => 27422,
                            "d'oyly" => 16074, "d'souza"
                                     => 21774,
                            "d.c."   => 2514, "d.c.."  => 13512, dabrowa  => 18571, dabrowka => 29969,
                            dacian   => 16180, dacians  => 28134, dacre    => 22024, daedalus => 23635,
                            daegu    => 14869, daejeon  => 23968, daemon   => 18868, daewoo   => 18312,
                            daffodil => 29427, dafydd   => 19691, dagbladet
                                     => 25998,
                            dagenham => 14110, dagestan => 15274, dagobert => 29266, dahomey  => 20125,
                            daigo    => 24159, daihatsu => 26703, daiichi  => 28728, daily    => 904,
                            daimler  => 10284, daimyo   => 12387, dairies  => 24298, dairy    => 4519,
                            daisuke  => 18662, dakar    => 10854, dakota   => 2730, dakotas  => 23929,
                            dakshina => 25545, dalek    => 14898, daleks   => 11997, dalglish => 25075,
                            dalhousie
                                     => 13114, dalian   => 13390,
                            dalit    => 16716, dalits   => 23004, dalla    => 21474, dallara  => 27403,
                            "dallas/fort"
                                     => 29635, dalles   => 25901,
                            dalmatia => 11010, dalmatian
                                     => 15994,
                            daltrey  => 23133, damage   => 1201, damaged  => 1943, damages  => 4735,
                            daman    => 20947, damascus => 5989, dame     => 3305, dammed   => 16033,
                            damming  => 21043, damodar  => 22487, dampers  => 23977, damping  => 16223,
                            dams     => 6082, damselfly
                                     => 27443,
                            danbury  => 15878, danby    => 23533, dancefloor
                                     => 25949,
                            dancehall
                                     => 15918, dancers  => 4271,
                            dances   => 4505, dandenong
                                     => 17810,
                            danish   => 1887, danse    => 19602, dansk    => 28061, danske   => 28187,
                            dantes   => 29713, danube   => 6079, danubian => 24033, danville => 11391,
                            danza    => 24215, danzig   => 9650, daoist   => 24335, darbar   => 29573,
                            darbhanga
                                     => 27631, dardanelles
                                     => 16818,
                            daredevils
                                     => 29972, darfur   => 12469,
                            dargah   => 21957, darjeeling
                                     => 14937,
                            darke    => 29598, darkening
                                     => 25870,
                            darker   => 5247, darkly   => 18946, darko    => 21304, darkseid => 21203,
                            darlington
                                     => 7397, darmstadt
                                     => 10439,
                            darpa    => 17549, darreh   => 10482, darshan  => 18867, darters  => 27231,
                            dartford => 15746, dartmoor => 18427, dartmouth
                                     => 6346,
                            darts    => 7464, darul    => 20219, darwen   => 21612, darya    => 19618,
                            dashes   => 21609, dasht    => 13146, dassault => 18033, data     => 538,
                            database => 2874, databases
                                     => 6825,
                            dataset  => 18527, datasets => 20157, dated    => 2201, dates    => 1655,
                            dative   => 19995, datsun   => 24876, datuk    => 18080, datum    => 20095,
                            daugava  => 24229, daugavpils
                                     => 29910,
                            daughters
                                     => 2021, dauntless
                                     => 25029,
                            davao    => 12422, daventry => 26004, davide   => 17760, davos    => 17486,
                            dawla    => 16816, day      => 126, dayak    => 28470, dayal    => 23636,
                            dayan    => 19224, days     => 326, daytime  => 4723, daytona  => 6984,
                            deacons  => 13541, deactivation
                                     => 21690,
                            deadliest
                                     => 12580, deadlock => 15448,
                            deadlocked
                                     => 26607, deadman  => 24431,
                            deadpan  => 29411, deadpool => 19014, deadwood => 21246, deafness => 17518,
                            dealerships
                                     => 16019, deanery  => 10806,
                            death    => 197, deathmatch
                                     => 25496,
                            deaths   => 2464, deauville
                                     => 23047,
                            debate   => 1975, debated  => 6520, debates  => 5302, debian   => 17532,
                            debit    => 14550, debrecen => 19746, debris   => 5397, debtor   => 13750,
                            debtors  => 18181, debug    => 26652, debugger => 27423, debugging
                                     => 19289,
                            debussy  => 14259, debut    => 418, debutant => 17235, debuted  => 1935,
                            debuting => 8598, debuts   => 10010, decadal  => 29514, decade   => 1721,
                            decades  => 1621, decals   => 25801, decarboxylase
                                     => 29777,
                            decathlon
                                     => 13915, decatur  => 9687,
                            decay    => 5264, decayed  => 15591, decays   => 18162, decca    => 9425,
                            deccan   => 11314, deceased => 4227, deceleration
                                     => 24661,
                            december => 175, decentralization
                                     => 17430,
                            decentralized
                                     => 13397, decepticon
                                     => 14998,
                            decepticons
                                     => 12719, decided  => 568,
                            decider  => 10662, decides  => 2577, deciduous
                                     => 8404,
                            decimal  => 8940, decimated
                                     => 13249,
                            decisive => 5036, decisively
                                     => 11706,
                            deckers  => 23007, decking  => 27751, decks    => 8213, declan   => 14054,
                            declaration
                                     => 3005, declarations
                                     => 12226,
                            declarative
                                     => 20825, declared => 1145,
                            declares => 7579, declaring
                                     => 5383,
                            declassified
                                     => 18505, declension
                                     => 19521,
                            declination
                                     => 23902, decline  => 2114,
                            declined => 2195, declines => 9375, declining
                                     => 5267,
                            decoding => 13809, decolonization
                                     => 27387,
                            decommissioned
                                     => 5194, decommissioning
                                     => 10052,
                            decomposes
                                     => 23085, decomposition
                                     => 8133,
                            decompression
                                     => 14035, decorated
                                     => 2932,
                            decoration
                                     => 4489, decorations
                                     => 5257,
                            decorative
                                     => 4649, decrease => 3692,
                            decreased
                                     => 4017, decreases
                                     => 6762,
                            decreasing
                                     => 6429, decree   => 3913,
                            decreed  => 10492, decrees  => 10166, decried  => 20388, decrypt  => 29718,
                            dedekind => 27379, dedham   => 21833, dedicated
                                     => 1044,
                            dedicates
                                     => 23038, dedicating
                                     => 17707,
                            dedication
                                     => 4819, dedications
                                     => 25289,
                            deduced  => 13010, deduces  => 22915, deducted => 15047, deeded   => 18211,
                            deemed   => 3184, deeming  => 20932, deepa    => 27949, deepak   => 16666,
                            deepen   => 18501, deepened => 15549, deepening
                                     => 16011,
                            deepwater
                                     => 14662, deer     => 3577,
                            deerfield
                                     => 14950, defamation
                                     => 9747,
                            defamatory
                                     => 23884, default  => 4946,
                            defaulted
                                     => 20620, defaults => 24548,
                            defeat   => 1128, defeated => 662, defeating
                                     => 2148,
                            defeats  => 5642, defect   => 8165, defected => 9512, defecting
                                     => 26334,
                            defection
                                     => 13562, defections
                                     => 23996,
                            defectors
                                     => 20380, defects  => 7076,
                            defence  => 1434, defenceman
                                     => 9907,
                            defencemen
                                     => 29704, defences => 6420,
                            defendants
                                     => 6262, defended => 3012,
                            defender => 3048, defenders
                                     => 4677,
                            defends  => 11868, defense  => 899, defensed => 29235, defenseman
                                     => 14622,
                            defenses => 5836, defensible
                                     => 22264,
                            defensive
                                     => 1888, defensively
                                     => 19210,
                            defensor => 29786, deferred => 11139, defiance => 9334, deficiencies
                                     => 11035,
                            deficiency
                                     => 7215, deficient
                                     => 10950,
                            deficit  => 5601, deficits => 10948, definable
                                     => 29127,
                            define   => 3546, defined  => 1202, defines  => 4311, defining => 4855,
                            definition
                                     => 1845, definitions
                                     => 5061,
                            definitive
                                     => 6064, definitively
                                     => 13220,
                            deflation
                                     => 24143, deflected
                                     => 14724,
                            deflection
                                     => 14830, deflections
                                     => 27741,
                            deforestation
                                     => 10364, deformation
                                     => 10199,
                            deformations
                                     => 27860, deformities
                                     => 23380,
                            deftones => 28911, defunct  => 4180, degc     => 3886, degeneracy
                                     => 29670,
                            degenerated
                                     => 18278, degeneration
                                     => 13592,
                            degeneres
                                     => 17987, degli    => 14265,
                            degradation
                                     => 6363, degraded => 9187,
                            degrades => 24817, degree   => 528, degrees  => 1732, dehestan => 12857,
                            dehradun => 19139, dehydrogenase
                                     => 10543,
                            deified  => 25634, deities  => 6087, deity    => 4937, dejan    => 18452,
                            dejected => 29664, dekalb   => 13765, delaunay => 24236, delaware => 2893,
                            delayed  => 3206, delays   => 5516, delegate => 4495, delegated
                                     => 11218,
                            delegates
                                     => 3875, delegation
                                     => 4054,
                            delegations
                                     => 11565, deleted  => 7091,
                            deleterious
                                     => 20755, deleting => 21962,
                            deletion => 11795, deletions
                                     => 24462,
                            deleuze  => 26479, delft    => 13749, delgada  => 28603, delhi    => 2432,
                            deliberation
                                     => 14607, deliberations
                                     => 16062,
                            deliberative
                                     => 24814, delimitation
                                     => 14859,
                            delimited
                                     => 20941, delineated
                                     => 16267,
                            delineation
                                     => 26760, delinquency
                                     => 17216,
                            delisted => 16092, delius   => 25445, delivered
                                     => 1936,
                            delivers => 6993, "dell'arte"
                                     => 26957,
                            delle    => 11160, dello    => 21771, deloitte => 18097, delonge  => 29309,
                            delos    => 23652, delphi   => 12791, delray   => 24165, deluge   => 18128,
                            deluxe   => 6392, delved   => 29508, delves   => 24490, demand   => 1737,
                            demanded => 3442, demands  => 2967, demarcated
                                     => 23605,
                            demarcation
                                     => 15760, dementieva
                                     => 29437,
                            demerara => 28397, demersal => 28264, demesne  => 21829, demetrios
                                     => 27481,
                            demilitarized
                                     => 23595, demise   => 5092,
                            demo     => 4125, demobilisation
                                     => 25843,
                            demobilised
                                     => 29001, demobilization
                                     => 20639,
                            demobilized
                                     => 17075, democracies
                                     => 15534,
                            democracy
                                     => 2510, democrat => 2723,
                            democratic
                                     => 777, democratically
                                     => 14385,
                            democratization
                                     => 19060,
                            democrats
                                     => 2823, demographic
                                     => 5736,
                            demographics
                                     => 1759, demography
                                     => 9724,
                            demolish => 11853, demolished
                                     => 2519,
                            demolishing
                                     => 17445, demolition
                                     => 4625,
                            demonstrate
                                     => 4152, demonstrated
                                     => 2737,
                            demonstrates
                                     => 6622, demonstrating
                                     => 6255,
                            demonstration
                                     => 4064, demonstrations
                                     => 4943,
                            demonstrative
                                     => 22802, demonstrator
                                     => 16069,
                            demonstrators
                                     => 9708, demoralized
                                     => 24427,
                            demos    => 6912, demosthenes
                                     => 22846,
                            demoted  => 9463, demotic  => 29167, demotion => 20343, denali   => 23315,
                            denbigh  => 21575, denbighshire
                                     => 19774,
                            dench    => 24968, dendrites
                                     => 25566,
                            dendritic
                                     => 17334, dengeki  => 23558,
                            dengue   => 23845, denied   => 2313, denizens => 26017, denmark  => 1921,
                            denominated
                                     => 18683, denomination
                                     => 6226,
                            denominational
                                     => 10483,
                            denominations
                                     => 6041, denote   => 6978,
                            denoted  => 7032, denotes  => 6374, denoting => 11031, denounce => 16681,
                            denounced
                                     => 6585, denounces
                                     => 27258,
                            denouncing
                                     => 13420, dense    => 4127,
                            densely  => 7306, denser   => 16602, densities
                                     => 10935,
                            density  => 987, dentate  => 15306, dentistry
                                     => 9773,
                            dentition
                                     => 21209, denunciation
                                     => 22601,
                            denys    => 15006, depart   => 8012, departed => 2802, departement
                                     => 10122,
                            departements
                                     => 28999, departing
                                     => 6364,
                            department
                                     => 297, departmental
                                     => 10053,
                            departments
                                     => 2534, departs  => 10618,
                            departure
                                     => 2332, departures
                                     => 10848,
                            depeche  => 16990, dependence
                                     => 6879,
                            dependencies
                                     => 10399, dependency
                                     => 8842,
                            dependent
                                     => 2794, dependents
                                     => 17701,
                            depending
                                     => 1923, depict   => 6461,
                            depicted => 2978, depicting
                                     => 4182,
                            depiction
                                     => 5984, depictions
                                     => 7199,
                            depicts  => 4295, depleted => 8762, depleting
                                     => 27354,
                            depletion
                                     => 11830, deplored => 26001,
                            deploy   => 8025, deployable
                                     => 24499,
                            deployed => 2567, deploying
                                     => 11125,
                            deployment
                                     => 3895, deployments
                                     => 10198,
                            deploys  => 26159, depolarization
                                     => 25587,
                            depopulated
                                     => 17394, depopulation
                                     => 25120,
                            deportation
                                     => 8538, deportations
                                     => 16755,
                            deported => 6777, deportees
                                     => 27524,
                            deportes => 15122, deportiva
                                     => 22523,
                            deportivo
                                     => 8664, deposed  => 6651,
                            deposited
                                     => 5947, depositing
                                     => 21002,
                            depositors
                                     => 25627, deposits => 3695,
                            depot    => 3153, depots   => 10479, deprecated
                                     => 22250,
                            depreciation
                                     => 18934, depression
                                     => 2077,
                            depressions
                                     => 13283, deprivation
                                     => 10961,
                            deptford => 15777, depth    => 2126, deputation
                                     => 23259,
                            deputies => 4737, deputy   => 1249, derailment
                                     => 19104,
                            derbies  => 26692, derby    => 2549, derbyshire
                                     => 5379,
                            derecho  => 27079, deregulation
                                     => 13960,
                            dereham  => 29853, derelict => 10739, derided  => 17650, derivation
                                     => 8798,
                            derivations
                                     => 22642, derivative
                                     => 5028,
                            derivatives
                                     => 6113, derive   => 6724,
                            derived  => 1458, derives  => 4248, deriving => 11850, dermal   => 19838,
                            dermatitis
                                     => 18596, dermatology
                                     => 18896,
                            dermot   => 16203, derrida  => 17921, derulo   => 29431, dervish  => 23709,
                            derwent  => 13321, desalination
                                     => 18477,
                            descartes
                                     => 13382, descend  => 8799,
                            descendant
                                     => 4754, descendants
                                     => 2946,
                            descended
                                     => 4440, descendent
                                     => 17687,
                            descendents
                                     => 13956, descending
                                     => 6842,
                            descends => 8718, descent  => 2473, descentralizado
                                     => 28095,
                            deschutes
                                     => 29858, described
                                     => 355,
                            describes
                                     => 1716, describing
                                     => 2890,
                            description
                                     => 1077, descriptions
                                     => 5124,
                            descriptive
                                     => 8406, descriptor
                                     => 21321,
                            descriptors
                                     => 25023, desegregation
                                     => 15323,
                            deseret  => 18971, desert   => 2141, deserters
                                     => 17960,
                            desertification
                                     => 24075,
                            deserts  => 10359, deshmukh => 24990, deshpande
                                     => 29849,
                            design   => 327, designate
                                     => 8680,
                            designated
                                     => 1150, designates
                                     => 15929,
                            designating
                                     => 13884, designation
                                     => 2860,
                            designations
                                     => 8446, designator
                                     => 23643,
                            designed => 441, designer => 2160, designers
                                     => 4153,
                            designing
                                     => 4843, designs  => 1781,
                            desirability
                                     => 24791, desirable
                                     => 6599,
                            desired  => 3734, desiring => 16586, desktop  => 6034, desktops => 24449,
                            despatch => 22256, despatched
                                     => 19364,
                            despatches
                                     => 14314, despite  => 440,
                            despot   => 18843, dessau   => 16875, destination
                                     => 3133,
                            destinations
                                     => 4413, destino  => 28889,
                            destitute
                                     => 13943, destroyed
                                     => 1081,
                            destroyer
                                     => 3653, destroyers
                                     => 5143,
                            destruction
                                     => 2281, detachable
                                     => 17086,
                            detached => 5437, detachment
                                     => 4863,
                            detachments
                                     => 10579, detailed => 2364,
                            detailing
                                     => 7006, detained => 5847,
                            detainee => 18422, detainees
                                     => 9326,
                            detect   => 4898, detectable
                                     => 15494,
                            detected => 4645, detecting
                                     => 9923,
                            detection
                                     => 4161, detects  => 15584,
                            deter    => 11635, detergents
                                     => 24630,
                            deteriorated
                                     => 7516, deteriorating
                                     => 10141,
                            deterioration
                                     => 9451, determinant
                                     => 13026,
                            determinants
                                     => 17976, determination
                                     => 4417,
                            determinations
                                     => 23037,
                            determine
                                     => 1929, determined
                                     => 1498,
                            determines
                                     => 6249, determining
                                     => 4641,
                            determinism
                                     => 17356, deterministic
                                     => 13195,
                            deterred => 22467, deterrence
                                     => 17874,
                            detested => 27183, dethroned
                                     => 22586,
                            detonated
                                     => 11281, detoxification
                                     => 29776,
                            detractors
                                     => 15164, detrimental
                                     => 10504,
                            detritus => 20674, detroit  => 1801, deuterium
                                     => 19730,
                            deuteronomy
                                     => 19912, deutsche => 4850,
                            deutschen
                                     => 18511, deutscher
                                     => 13536,
                            deutsches
                                     => 16709, deutschland
                                     => 12880,
                            devaluation
                                     => 20084, devalued => 28795,
                            devanagari
                                     => 17455, devarajan
                                     => 29991,
                            devas    => 21729, develop  => 1254, developed
                                     => 379,
                            developer
                                     => 3652, developers
                                     => 3591,
                            developing
                                     => 1486, development
                                     => 225,
                            developmental
                                     => 5405, developmentally
                                     => 26869,
                            developments
                                     => 2875, develops => 4355,
                            deventer => 27991, devi     => 6037, deviates => 23514, deviation
                                     => 8802,
                            deviations
                                     => 13418, device   => 1697,
                            devices  => 1890, devils   => 5325, devised  => 5691, devises  => 26958,
                            devizes  => 22393, devoid   => 11208, devolution
                                     => 15413,
                            devolved => 13389, devonian => 11368, devonport
                                     => 13196,
                            devonshire
                                     => 11712, devoted  => 2627,
                            devotee  => 13433, devotees => 7884, devotes  => 18599, devotional
                                     => 10494,
                            devotions
                                     => 21839, devout   => 9587,
                            dewsbury => 17695, dexterity
                                     => 20414,
                            dezong   => 18739, dhabi    => 8954, dhaka    => 6788, dhamma   => 25440,
                            dharma   => 7938, dharwad  => 22657, dhawan   => 26848, dhivehi  => 28156,
                            dhoni    => 29855, diabetes => 5586, diacritic
                                     => 25167,
                            diacritics
                                     => 20261, diadem   => 27861,
                            diaghilev
                                     => 26803, diagnosed
                                     => 4364,
                            diagnoses
                                     => 16766, diagnostic
                                     => 6223,
                            diagnostics
                                     => 14782, diagonal => 7902,
                            diagonally
                                     => 15004, diagonals
                                     => 25724,
                            diagram  => 6242, diagrams => 9604, dialect  => 3336, dialectal
                                     => 22524,
                            dialectic
                                     => 19637, dialectical
                                     => 18579,
                            dialects => 4308, dialog   => 11704, dialogue => 3144, dialogues
                                     => 9528,
                            diameter => 2490, diameters
                                     => 15479,
                            diamondbacks
                                     => 11883, diaries  => 7573,
                            diario   => 17847, diarist  => 23933, diaspora => 6889, diatoms  => 27845,
                            diatonic => 17887, dichomeris
                                     => 17905,
                            dichotomy
                                     => 16757, dictated => 9495,
                            dictator => 8123, dictatorial
                                     => 17978,
                            dictatorship
                                     => 7114, diction  => 19655,
                            dictionaries
                                     => 10645, dictionary
                                     => 3848,
                            dictionnaire
                                     => 29308, dictum   => 29840,
                            didactic => 17008, diddley  => 22603, diderot  => 21445, died     => 211,
                            dielectric
                                     => 12835, diels    => 29206,
                            diemen   => 18959, dieppe   => 15757, diesel   => 2925, diesels  => 19052,
                            dietary  => 8491, diets    => 11845, differ   => 4051, differed => 7228,
                            differences
                                     => 1902, different
                                     => 238,
                            differentiable
                                     => 16446,
                            differential
                                     => 4296, differentials
                                     => 23118,
                            differentiate
                                     => 7769, differentiated
                                     => 8785,
                            differentiates
                                     => 19552,
                            differentiating
                                     => 16789,
                            differentiation
                                     => 7556,
                            differing
                                     => 6276, differs  => 4600,
                            difficulties
                                     => 2869, difficulty
                                     => 3055,
                            diffraction
                                     => 11296, diffuse  => 10608,
                            diffused => 21465, diffusion
                                     => 7149,
                            digestive
                                     => 11273, digimon  => 17907,
                            digipak  => 27007, digit    => 5880, digital  => 887, digitally
                                     => 7048,
                            digitisation
                                     => 28935, digitised
                                     => 26520,
                            digitization
                                     => 26364, digitized
                                     => 15809,
                            digits   => 6617, dignitaries
                                     => 10171,
                            digraph  => 28108, digraphs => 28963, dihedral => 19892, dijon    => 14408,
                            dilapidated
                                     => 12326, dilemmas => 20472,
                            diliman  => 24971, dilip    => 19591, dilute   => 16216, diluted  => 15198,
                            dilution => 17039, dimensional
                                     => 3244,
                            dimensionality
                                     => 29367,
                            dimensionless
                                     => 21372, dimensions
                                     => 3683,
                            dimer    => 20436, dimethyl => 25774, diminished
                                     => 6519,
                            diminishes
                                     => 23818, diminishing
                                     => 12081,
                            diminutive
                                     => 10999, dimitar  => 21367,
                            dimitrie => 29136, dimitrios
                                     => 21365,
                            dimitris => 19933, dimitrov => 19123, dimorphic
                                     => 22350,
                            dimorphism
                                     => 16386, dinamo   => 8368,
                            dinar    => 20574, dinars   => 29901, dinas    => 29947, dinesh   => 21010,
                            dingoes  => 28949, diocesan => 7318, diocese  => 1867, dioceses => 8602,
                            diocletian
                                     => 15096, diode    => 13241,
                            diodes   => 16692, diodorus => 20383, dioecious
                                     => 24904,
                            diogenes => 19494, diogo    => 18297, dionysius
                                     => 13050,
                            dionysus => 15919, dioxide  => 5417, diphosphate
                                     => 19092,
                            diphthong
                                     => 26670, diphthongs
                                     => 18454,
                            diplo    => 28828, diploid  => 18001, diploma  => 3881, diplomacy
                                     => 6845,
                            diplomas => 12113, diplomat => 4466, diplomatic
                                     => 2760,
                            diplomats
                                     => 8580, dipole   => 12828,
                            diptera  => 24492, dirac    => 13854, direct   => 875, directed => 502,
                            directing
                                     => 3878, direction
                                     => 1074,
                            directional
                                     => 7878, directive
                                     => 6445,
                            directives
                                     => 12802, directly => 936,
                            director => 294, directorate
                                     => 6271,
                            directorates
                                     => 24896, directorial
                                     => 8286,
                            directories
                                     => 13925, directors
                                     => 1731,
                            directorship
                                     => 14815, directory
                                     => 5715,
                            directs  => 8837, directv  => 14475, directx  => 23257, dirichlet
                                     => 18583,
                            disabilities
                                     => 5450, disability
                                     => 4988,
                            disabled => 3921, disabling
                                     => 17026,
                            disadvantage
                                     => 8086, disadvantaged
                                     => 9794,
                            disadvantages
                                     => 8904, disaffected
                                     => 19751,
                            disagreed
                                     => 7843, disagreements
                                     => 8394,
                            disallowed
                                     => 15695, disambiguation
                                     => 1554,
                            disapproval
                                     => 11223, disapproved
                                     => 12830,
                            disarmament
                                     => 10747, disassembled
                                     => 17270,
                            disasters
                                     => 7157, disband  => 12983,
                            disbanded
                                     => 3094, disbanding
                                     => 11197,
                            disbandment
                                     => 14235, disc     => 2048,
                            discal   => 12282, discard  => 15264, discarded
                                     => 7539,
                            discarding
                                     => 20677, discards => 27808,
                            discern  => 16876, discerned
                                     => 22343,
                            discernible
                                     => 17074, discharge
                                     => 4601,
                            discharged
                                     => 5774, discharges
                                     => 12142,
                            disciple => 7004, disciples
                                     => 6515,
                            disciplinarian
                                     => 28952,
                            disciplinary
                                     => 6855, discipline
                                     => 3494,
                            disciplines
                                     => 4469, disclaimer
                                     => 20336,
                            disclose => 10304, disclosed
                                     => 8253,
                            discloses
                                     => 29620, disclosing
                                     => 19847,
                            disclosures
                                     => 18002, discography
                                     => 3443,
                            discontent
                                     => 10261, discontented
                                     => 28037,
                            discontinuation
                                     => 15601,
                            discontinued
                                     => 3318, discontinuing
                                     => 26289,
                            discontinuity
                                     => 20530, discontinuous
                                     => 17371,
                            discos   => 26091, discounted
                                     => 11192,
                            discounts
                                     => 13923, discourages
                                     => 25746,
                            discourse
                                     => 6177, discourses
                                     => 13019,
                            discovered
                                     => 935, discoverer
                                     => 13808,
                            discoverers
                                     => 28625, discoveries
                                     => 6105,
                            discovering
                                     => 6059, discovers
                                     => 3405,
                            discovery
                                     => 1792, discredited
                                     => 13995,
                            discrete => 6120, discretionary
                                     => 15801,
                            discriminant
                                     => 28229, discriminate
                                     => 14860,
                            discriminated
                                     => 15489, discrimination
                                     => 3463,
                            discriminatory
                                     => 11260,
                            discs    => 5990, discursive
                                     => 29126,
                            discus   => 8991, discusses
                                     => 6194,
                            discussions
                                     => 3948, discworld
                                     => 22355,
                            disease  => 1234, diseases => 2865, disembark
                                     => 23868,
                            disembarked
                                     => 15574, disembarking
                                     => 26963,
                            disembodied
                                     => 24833, disenchanted
                                     => 19931,
                            disenfranchised
                                     => 21000,
                            disengagement
                                     => 22207, disestablished
                                     => 19353,
                            disestablishment
                                     => 26319,
                            disguising
                                     => 24424, disinfection
                                     => 28137,
                            disintegration
                                     => 13542,
                            disjoint => 17926, disjointed
                                     => 24376,
                            disjunct => 26430, disk     => 3752, disliked => 8091, dislocation
                                     => 18392,
                            dislocations
                                     => 26986, dismantled
                                     => 6600,
                            dismantling
                                     => 13368, dismay   => 10881,
                            dismayed => 16380, dismembered
                                     => 21608,
                            dismissal
                                     => 6119, dismissals
                                     => 22632,
                            dismissed
                                     => 2773, dismisses
                                     => 14358,
                            dismounted
                                     => 15915, disney   => 2193,
                            disobedience
                                     => 12123, disorder => 3315,
                            disordered
                                     => 20358, disorders
                                     => 4077,
                            disparate
                                     => 11892, disparities
                                     => 16183,
                            disparity
                                     => 12508, dispatched
                                     => 5821,
                            dispatches
                                     => 11804, dispatching
                                     => 19609,
                            dispel   => 23289, dispensary
                                     => 15706,
                            dispensation
                                     => 16732, dispensed
                                     => 16720,
                            dispersal
                                     => 9733, disperse => 10860,
                            dispersed
                                     => 6161, dispersing
                                     => 21658,
                            dispersion
                                     => 10343, displaced
                                     => 4992,
                            displacement
                                     => 5298, displacements
                                     => 22584,
                            displacing
                                     => 15251, display  => 1531,
                            displayed
                                     => 2580, displaying
                                     => 6434,
                            displays => 3237, disposals
                                     => 20441,
                            disposed => 8932, dispositions
                                     => 20912,
                            dispossessed
                                     => 20801, disproportionate
                                     => 14157,
                            disproportionately
                                     => 16156,
                            disproved
                                     => 22906, dispute  => 2539,
                            disputed => 4170, disputes => 4250, disqualification
                                     => 10192,
                            disqualified
                                     => 7448, disregarded
                                     => 15273,
                            disregarding
                                     => 20399, disrepair
                                     => 9793,
                            disrupted
                                     => 7899, disruption
                                     => 7936,
                            disruptions
                                     => 17361, disruptive
                                     => 13539,
                            dissatisfaction
                                     => 10097,
                            dissatisfied
                                     => 9494, disseminate
                                     => 15049,
                            disseminated
                                     => 13946, disseminating
                                     => 18371,
                            dissemination
                                     => 10020, dissension
                                     => 22287,
                            dissent  => 8434, dissented
                                     => 20412,
                            dissenters
                                     => 15677, dissenting
                                     => 11364,
                            dissertation
                                     => 6149, dissertations
                                     => 20554,
                            dissident
                                     => 10476, dissidents
                                     => 12206,
                            dissipated
                                     => 9534, dissipating
                                     => 16951,
                            dissipation
                                     => 16565, dissociation
                                     => 15568,
                            dissolution
                                     => 4425, dissolved
                                     => 3198,
                            dissolves
                                     => 17597, dissolving
                                     => 13904,
                            dissonance
                                     => 18198, dissonant
                                     => 24446,
                            dissuaded
                                     => 25232, distal   => 10532,
                            distance => 999, distanced
                                     => 13947,
                            distances
                                     => 4587, distant  => 3676,
                            distantly
                                     => 15897, distillation
                                     => 12337,
                            distilled
                                     => 13037, distilleries
                                     => 21669,
                            distillers
                                     => 22660, distillery
                                     => 9119,
                            distilling
                                     => 22219, distinct => 1858,
                            distinction
                                     => 2644, distinctions
                                     => 8515,
                            distinctive
                                     => 2789, distinctively
                                     => 15510,
                            distinctiveness
                                     => 27499,
                            distinguish
                                     => 3980, distinguishable
                                     => 13375,
                            distinguished
                                     => 1668, distinguishes
                                     => 9245,
                            distinguishing
                                     => 7285, distorted
                                     => 8713,
                            distorting
                                     => 24799, distortion
                                     => 7933,
                            distortions
                                     => 16672, distribute
                                     => 6078,
                            distributed
                                     => 1723, distributes
                                     => 10425,
                            distributing
                                     => 7443, distribution
                                     => 912,
                            distributions
                                     => 7323, distributive
                                     => 20428,
                            distributor
                                     => 6526, distributors
                                     => 8090,
                            district => 104, districts
                                     => 1171,
                            distrito => 20046, distrusted
                                     => 24296,
                            disturbances
                                     => 8910, disulfide
                                     => 16863,
                            disuse   => 13833, disused  => 9382, ditches  => 11375, ditton   => 26601,
                            diurnal  => 13647, divan    => 24270, divas    => 14154, dived    => 19119,
                            diver    => 7722, diverge  => 17004, diverged => 13235, divergence
                                     => 10565,
                            divergent
                                     => 11365, diverges => 20438,
                            diverging
                                     => 19682, diverse  => 2557,
                            diversification
                                     => 13159,
                            diversified
                                     => 8507, diversifying
                                     => 27022,
                            diversity
                                     => 3329, diverted => 7387,
                            diverts  => 29080, divested => 18331, divestment
                                     => 27402,
                            divide   => 4514, divided  => 995, dividend => 12646, dividends
                                     => 12862,
                            divider  => 24272, divides  => 7409, dividing => 6228, divination
                                     => 16157,
                            divine   => 3091, divinely => 23904, diving   => 3819, divinity => 6587,
                            divisao  => 23510, divisible
                                     => 18489,
                            divisie  => 18150, division => 221, divisional
                                     => 5631,
                            divisione
                                     => 15087, divisions
                                     => 1728,
                            divisive => 16770, divisor  => 19169, divisors => 24051, divizia  => 22911,
                            divya    => 17856, diwali   => 19359, diwan    => 16366, dixieland
                                     => 21904,
                            dixit    => 22388, diyarbakir
                                     => 23338,
                            django   => 17408, djibouti => 11763, djing    => 24893, djokovic => 13391,
                            djurgarden
                                     => 26157, djurgardens
                                     => 23438,
                            dmitry   => 9107, dmytro   => 25974, dnieper  => 16683, dniester => 24347,
                            dnipro   => 24278, dnipropetrovsk
                                     => 17519,
                            dobie    => 23812, dobro    => 27842, dobruja  => 26450, doc      => 20,
                            docent   => 23807, docked   => 10856, docklands
                                     => 15699,
                            dockyard => 9423, dockyards
                                     => 25652,
                            doctoral => 4460, doctorate
                                     => 3526,
                            doctorates
                                     => 12741, doctrinal
                                     => 12606,
                            doctrine => 3183, doctrines
                                     => 8357,
                            docudrama
                                     => 25580, document => 2236,
                            documenta
                                     => 29631, documentaries
                                     => 5739,
                            documentary
                                     => 1457, documentation
                                     => 4969,
                            documented
                                     => 3216, documenting
                                     => 8641,
                            documents
                                     => 1884, dodecahedron
                                     => 26824,
                            dodgers  => 5083, dogfight => 25931, dogma    => 12992, dogmatic => 16694,
                            dolmen   => 25789, dolomite => 17823, dolomites
                                     => 29693,
                            dolphins => 5358, domain   => 2029, domaine  => 24110, domains  => 4896,
                            dome     => 3529, domed    => 11543, domenico => 9505, domes    => 10039,
                            domesday => 7710, domestic => 1496, domestically
                                     => 9565,
                            domesticated
                                     => 10996, domestication
                                     => 18552,
                            domhnall => 29513, dominance
                                     => 5362,
                            dominant => 2646, dominate => 6112, dominated
                                     => 2280,
                            dominates
                                     => 10103, dominating
                                     => 8324,
                            domination
                                     => 6801, domingos => 26666,
                            domini   => 15276, dominican
                                     => 3774,
                            dominicans
                                     => 15032, dominion => 5462,
                            dominions
                                     => 13022, dominus  => 27132,
                            domitian => 20487, domnall  => 24343, domus    => 23550, donal    => 18543,
                            donated  => 2419, donatello
                                     => 20148,
                            donates  => 20075, donations
                                     => 4213,
                            donau    => 26302, donbass  => 19979, doncaster
                                     => 6943,
                            donegal  => 8812, donetsk  => 9637, dongguan => 29189, donington
                                     => 18296,
                            donitz   => 26801, donizetti
                                     => 16523,
                            donja    => 25430, donji    => 20960, donne    => 17541, donned   => 19268,
                            donning  => 22887, donors   => 6730, doordarshan
                                     => 20158,
                            dopamine => 10931, dopaminergic
                                     => 29647,
                            doping   => 8637, doppler  => 11659, dorchester
                                     => 9781,
                            dorde    => 26709, dordevic => 28869, dordogne => 18809, dordrecht
                                     => 20121,
                            doric    => 11923, dorid    => 26886, dorje    => 20879, dorking  => 24398,
                            dormancy => 24809, dormant  => 9139, dormer   => 16967, dormers  => 19373,
                            dormitories
                                     => 11770, dormitory
                                     => 8599,
                            dorsal   => 4888, dorsally => 21114, dorset   => 5727, dorsum   => 14139,
                            dortmund => 9336, doses    => 8315, dosing   => 25506, dothan   => 27360,
                            douai    => 19385, douala   => 23024, double   => 858, doubled  => 5127,
                            doubleheader
                                     => 19357, doubles  => 2326,
                            doublet  => 29436, doubling => 8067, doubs    => 21582, doubtless
                                     => 20818,
                            douro    => 20989, dowager  => 8214, dowlatabad
                                     => 29250,
                            downbeat => 25490, downed   => 10111, downfall => 8462, downforce
                                     => 29158,
                            downgraded
                                     => 11908, download => 3540,
                            downloadable
                                     => 9367, downloads
                                     => 8036,
                            downplayed
                                     => 21434, downsized
                                     => 24211,
                            downstream
                                     => 5079, downton  => 22362,
                            downtown => 1608, downturn => 11613, downward => 7930, downwards
                                     => 12384,
                            downwind => 25113, dowry    => 10710, "dr."    => 761, draco    => 19203,
                            draconian
                                     => 26458, draft    => 1209,
                            drafted  => 2505, drafting => 7873, drafts   => 10487, draftsman
                                     => 17433,
                            dragan   => 15992, dragon   => 2436, dragonflies
                                     => 23142,
                            dragonlance
                                     => 25709, dragons  => 3701,
                            dragoon  => 12552, dragoons => 10320, drainage => 4349, drainages
                                     => 27604,
                            drained  => 6698, draining => 9958, drains   => 7363, drama    => 985,
                            dramas   => 6013, dramatic => 2548, dramatically
                                     => 4904,
                            dramatised
                                     => 25583, dramatist
                                     => 11619,
                            dramatists
                                     => 20736, dramatization
                                     => 26834,
                            dramatized
                                     => 19336, drammen  => 19985,
                            drapery  => 21596, drastically
                                     => 8094,
                            draught  => 10243, draughts => 26420, draughtsman
                                     => 17709,
                            draupadi => 28888, drava    => 18731, dravid   => 27345, dravida  => 16941,
                            dravidian
                                     => 15648, draw     => 1330,
                            drawdown => 28131, drawing  => 2191, drawings => 3735, drawn    => 1744,
                            draws    => 4035, dreadnought
                                     => 15138,
                            dreadnoughts
                                     => 21894, dreamcast
                                     => 16233,
                            dreamland
                                     => 24160, dreamwave
                                     => 26432,
                            dreamworks
                                     => 13302, dredd    => 13789,
                            drenthe  => 22551, dresden  => 5421, dressage => 12909, dressings
                                     => 17006,
                            drexel   => 12559, dreyfus  => 12098, driest   => 16855, drifters => 22309,
                            drilled  => 10368, drillers => 28180, drilling => 6278, drina    => 25866,
                            driven   => 2052, drivers  => 2488, drivetrain
                                     => 23683,
                            drizzt   => 27375, drogheda => 15950, droit    => 22118, drome    => 23210,
                            drone    => 9303, drooping => 27547, droplet  => 23464, droplets => 15012,
                            drosera  => 25983, drosophila
                                     => 14019,
                            drought  => 5747, droughts => 15621, druce    => 25659, druid    => 15210,
                            druids   => 18286, drum     => 2836, drummer  => 2408, drummers => 11778,
                            drumming => 9827, drums    => 2359, druze    => 12977, dryandra => 25937,
                            drydock  => 16250, dryness  => 28214, dual     => 2425, dualism  => 19930,
                            duality  => 12306, dubai    => 4497, dubbed   => 3416, dubbing  => 11870,
                            dubbo    => 27999, dublin   => 1910, dubliners
                                     => 27525,
                            dubrovnik
                                     => 12997, dubstep  => 18199,
                            ducal    => 11463, ducati   => 17748, ducats   => 26007, duchies  => 16567,
                            duchovny => 22129, duchy    => 3896, ductile  => 27704, due      => 184,
                            duel     => 6179, duels    => 17782, duet     => 4986, duets    => 10830,
                            dufferin => 17869, dugdale  => 24377, dugouts  => 27769, duisburg => 14105,
                            dukakis  => 22616, dukedom  => 17729, dukla    => 22271, dulcimer => 28766,
                            duller   => 22132, duluth   => 9853, dulwich  => 14524, dumbarton
                                     => 11783,
                            dumfries => 11633, dumitru  => 26440, dunams   => 17792, dunbartonshire
                                     => 24960,
                            dunblane => 27586, dundalk  => 14414, dundee   => 5353, dunder   => 29003,
                            dunedin  => 8244, dunes    => 7233, dunfermline
                                     => 12373,
                            dungannon
                                     => 22547, dungeons => 6657,
                            dunhill  => 26171, dunhuang => 28917, dunkeld  => 24741, dunkirk  => 10972,
                            dunstable
                                     => 21739, dunster  => 29771,
                            dunwich  => 27504, duodenum => 29847, duomo    => 25434, duopoly  => 23662,
                            dupage   => 25600, duplicated
                                     => 12883,
                            duplicates
                                     => 20057, duplication
                                     => 12443,
                            dupri    => 26673, duquesne => 12231, durability
                                     => 10975,
                            durable  => 9200, durango  => 12476, duration => 3602, durations
                                     => 22733,
                            durban   => 9031, durbar   => 21173, durer    => 18753, durga    => 10656,
                            durgapur => 25736, during   => 41, durkheim => 22188, durrani  => 18701,
                            durres   => 21217, duryodhana
                                     => 27576,
                            dusan    => 13329, dushanbe => 26534, dusky    => 15595, dusseldorf
                                     => 7529,
                            dutch    => 892, dutchess => 18647, dutchman => 14230, duties   => 1876,
                            duvalier => 27609, duxbury  => 28380, dvina    => 28148, dwarf    => 5439,
                            dwarfed  => 29822, dwarfism => 28973, dwarfs   => 12156, dwarka   => 28630,
                            dwarves  => 13580, dwellers => 10280, dwelling => 5403, dwellings
                                     => 6288,
                            dwelt    => 20756, dwindled => 12962, dwindling
                                     => 13523,
                            dynamic  => 3257, dynamical
                                     => 12720,
                            dynamically
                                     => 13281, dynamics => 4278,
                            dynamism => 24568, dynamo   => 6573, dynamos  => 22960, dynastic => 10610,
                            dynasties
                                     => 8065, dynasty  => 1556,
                            dyschirius
                                     => 28731, dysentery
                                     => 17418,
                            dysfunction
                                     => 10549, dysplasia
                                     => 19466,
                            dystopian
                                     => 18440, dystrophy
                                     => 18677,
                            "e.g."   => 3203, e9e9e9   => 13189, each     => 124, eagerness
                                     => 25872,
                            eagle    => 2545, eagles   => 2934, ealing   => 12546, eamon    => 16152,
                            eamonn   => 18880, eared    => 13369, earldom  => 10193, earlier  => 656,
                            earliest => 1780, early    => 95, earmarked
                                     => 14740,
                            earned   => 862, earner   => 27358, earners  => 20740, earnestly
                                     => 28858,
                            earning  => 2649, earnings => 6406, earns    => 11357, earth    => 743,
                            earthen  => 12954, earthenware
                                     => 20676,
                            earthquake
                                     => 2927, earthquakes
                                     => 6546,
                            earths   => 16291, earthwork
                                     => 19243,
                            earthworks
                                     => 12506, earthworms
                                     => 24384,
                            eased    => 14374, easement => 21164, easily   => 1654, east     => 138,
                            eastbound
                                     => 9038, eastbourne
                                     => 12386,
                            eastenders
                                     => 8931, eastern  => 393,
                            easternmost
                                     => 11531, eastgate => 28517,
                            eastlake => 25503, eastleigh
                                     => 19530,
                            eastward => 6465, eastwards
                                     => 10233,
                            eateries => 23283, ebbsfleet
                                     => 27451,
                            ebenezer => 12149, ebook    => 20869, ebooks   => 26375, ebrahim  => 20839,
                            eccellenza
                                     => 23308, eccentricity
                                     => 14879,
                            ecclesia => 23702, ecclesiastic
                                     => 23002,
                            ecclesiastical
                                     => 4378, ecclestone
                                     => 27384,
                            echelons => 21796, echoed   => 10460, echoes   => 9328, echoing  => 14637,
                            echolocation
                                     => 27680, ecija    => 22848,
                            eclectic => 7689, eclecticism
                                     => 28835,
                            eclipse  => 5332, eclipsed => 12713, eclipses => 15605, eclipsing
                                     => 22818,
                            ecliptic => 20997, ecole    => 5659, ecoles   => 25698, ecological
                                     => 4689,
                            ecologically
                                     => 17029, ecologist
                                     => 19027,
                            ecologists
                                     => 25048, ecology  => 3985,
                            ecommerce
                                     => 26781, econometric
                                     => 27760,
                            econometrics
                                     => 24203, economic => 587,
                            economical
                                     => 7701, economically
                                     => 5611,
                            economics
                                     => 1864, economies
                                     => 6872,
                            economist
                                     => 4704, economists
                                     => 7888,
                            economy  => 1057, ecoregion
                                     => 12466,
                            ecoregions
                                     => 20451, ecosystem
                                     => 6630,
                            ecosystems
                                     => 7775, ecotourism
                                     => 18717,
                            ecowas   => 28383, ecozone  => 18224, ecuador  => 4019, ecuadorian
                                     => 10401,
                            ecumenical
                                     => 8424, ecumenism
                                     => 27884,
                            edessa   => 18616, edgbaston
                                     => 19151,
                            edge     => 1362, edged    => 7433, edges    => 4020, edgewater
                                     => 21727,
                            edgewood => 19121, edging   => 16750, edgware  => 22083, edible   => 8117,
                            edict    => 8902, edicts   => 17944, edifice  => 12261, edifices => 24807,
                            edina    => 24419, edinburgh
                                     => 2171,
                            edirne   => 23357, edited   => 2053, editing  => 3862, edition  => 715,
                            editions => 2440, editor   => 890, editorial
                                     => 3160,
                            editorials
                                     => 12096, editors  => 3958,
                            editorship
                                     => 14056, edits    => 12479,
                            edmonton => 3821, edoardo  => 25153, edouard  => 9095, edsel    => 23332,
                            eduard   => 8422, educate  => 6524, educated => 1508, educates => 16073,
                            educating
                                     => 9156, education
                                     => 218,
                            educational
                                     => 1212, educationalist
                                     => 25995,
                            educationist
                                     => 21736, educations
                                     => 27971,
                            educator => 4832, educators
                                     => 7136,
                            edvard   => 15384, edwardes => 25989, edwardian
                                     => 13258,
                            edwardsville
                                     => 27821, eelam    => 20586,
                            eerste   => 15359, eesti    => 25618, efendi   => 24921, effect   => 807,
                            effected => 11236, effective
                                     => 1382,
                            effectively
                                     => 2214, effectiveness
                                     => 4568,
                            effector => 24266, effects  => 989, effendi  => 19903, efficacy => 7643,
                            efficiencies
                                     => 17842, efficiency
                                     => 2985,
                            efficient
                                     => 3057, efficiently
                                     => 7491,
                            effigies => 22796, effigy   => 13545, effingham
                                     => 22031,
                            effluent => 20271, effort   => 1271, effortlessly
                                     => 21409,
                            efforts  => 1051, egalitarian
                                     => 15656,
                            eglin    => 19965, eglinton => 14580, eglise   => 21208, egmont   => 19941,
                            egremont => 27727, egret    => 27148, egrets   => 19940, egypt    => 1672,
                            egyptian => 2356, egyptians
                                     => 8508,
                            egyptologist
                                     => 22824, egyptologists
                                     => 25358,
                            egyptology
                                     => 26232, ehime    => 23790,
                            eifel    => 22518, eigenvalue
                                     => 19110,
                            eigenvalues
                                     => 15086, eigenvectors
                                     => 26863,
                            eight    => 478, eighteens
                                     => 13859,
                            eighteenth
                                     => 5258, eighth   => 2007,
                            eilat    => 23983, eilean   => 23715, einar    => 15526, eindhoven
                                     => 11377,
                            einer    => 29195, eintracht
                                     => 15291,
                            eireann  => 9293, eisenach => 19568, eisenbahn
                                     => 25590,
                            eisenhower
                                     => 6334, eishockey
                                     => 23061,
                            eisteddfod
                                     => 19520, ejaculation
                                     => 25528,
                            ejecta   => 24028, ejected  => 8644, ejection => 13935, ejercito => 29945,
                            ekaterina
                                     => 19310, ekiti    => 23046,
                            ekstraklasa
                                     => 21539, elaborate
                                     => 4097,
                            elaborated
                                     => 9432, elaborately
                                     => 15349,
                            elaborates
                                     => 23139, elaborating
                                     => 25523,
                            elaboration
                                     => 16748, elachista
                                     => 16339,
                            elachistidae
                                     => 26510, elapsed  => 16904,
                            elastic  => 9118, elasticity
                                     => 15060,
                            elblag   => 22686, elche    => 26775, eldar    => 28698, elderly  => 4313,
                            eldest   => 2688, eldorado => 16377, eleazar  => 20513, elect    => 4449,
                            elected  => 366, electing => 10615, election => 276, elections
                                     => 855,
                            elective => 10329, electives
                                     => 16983,
                            elector  => 7789, electoral
                                     => 1770,
                            electorate
                                     => 4741, electorates
                                     => 12237,
                            electors => 7845, electric => 1120, electrical
                                     => 2183,
                            electrically
                                     => 10021, electricity
                                     => 2438,
                            electrics
                                     => 26453, electrification
                                     => 8328,
                            electrified
                                     => 7234, electrifying
                                     => 26727,
                            electro  => 6389, electroacoustic
                                     => 25016,
                            electrochemical
                                     => 17130,
                            electrocution
                                     => 28918, electrode
                                     => 9732,
                            electrodes
                                     => 10665, electrodynamics
                                     => 24577,
                            electrolysis
                                     => 21255, electrolyte
                                     => 14048,
                            electrolytic
                                     => 21083, electromagnetic
                                     => 6528,
                            electromagnetism
                                     => 22701,
                            electromechanical
                                     => 20732,
                            electron => 3923, electronic
                                     => 1504,
                            electronica
                                     => 10891, electronically
                                     => 10349,
                            electronics
                                     => 3269, electrons
                                     => 5499,
                            electrophilic
                                     => 28956, electrophoresis
                                     => 21670,
                            electropop
                                     => 19620, electrostatic
                                     => 12994,
                            elects   => 9332, elegans  => 13518, elegantly
                                     => 22633,
                            elegiac  => 27958, elegies  => 28837, elegy    => 16749, elektra  => 12021,
                            element  => 1982, elemental
                                     => 10250,
                            elementary
                                     => 1803, elements => 941,
                            elevated => 3053, elevating
                                     => 17985,
                            elevation
                                     => 2219, elevations
                                     => 6813,
                            eleventh => 4506, elfin    => 29587, elfman   => 27118, elfsborg => 28000,
                            elgar    => 13224, eliade   => 25097, elicit   => 15956, elicited => 17422,
                            eliciting
                                     => 29735, eliezer  => 16382,
                            eligibility
                                     => 6192, eligible => 2743,
                            elihu    => 25818, eliminated
                                     => 2304,
                            eliminates
                                     => 12248, eliminating
                                     => 5956,
                            elimination
                                     => 3740, eliminations
                                     => 21775,
                            eliminator
                                     => 23575, eliot    => 7209,
                            elite    => 2640, elites   => 10525, elitserien
                                     => 15592,
                            eliya    => 29375, eliyahu  => 24444, elizabethan
                                     => 10547,
                            elizabethtown
                                     => 20693, elkhart  => 20681,
                            elkhorn  => 22173, elland   => 21150, ellesmere
                                     => 15664,
                            ellice   => 26921, ellipse  => 17516, ellipsoid
                                     => 18255,
                            elliptic => 10488, elliptical
                                     => 9856,
                            elmhurst => 22444, elmwood  => 17197, elongate => 14165, elongated
                                     => 7334,
                            elongation
                                     => 19244, eloquence
                                     => 18130,
                            elphaba  => 27325, elphinstone
                                     => 20137,
                            elsevier => 19519, elsewhere
                                     => 2525,
                            elstree  => 23294, eltham   => 21105, elucidate
                                     => 27202,
                            elucidated
                                     => 23788, elven    => 18975,
                            elwes    => 27211, elysees  => 20577, elysium  => 28597, elytra   => 26765,
                            emacs    => 25665, email    => 4990, emails   => 10980, emamzadeh
                                     => 23975,
                            emanating
                                     => 16935, emancipation
                                     => 8319,
                            embankment
                                     => 9247, embankments
                                     => 18761,
                            embarcadero
                                     => 29061, embargo  => 11042,
                            embarkation
                                     => 21858, embarked => 4145,
                            embarking
                                     => 12265, embarks  => 21046,
                            embassies
                                     => 10256, embassy  => 3174,
                            embattled
                                     => 20541, embed    => 24606,
                            embedded => 4674, embedding
                                     => 13578,
                            embellished
                                     => 14611, embellishment
                                     => 29636,
                            embellishments
                                     => 24388,
                            emblazoned
                                     => 20269, emblem   => 6297,
                            emblematic
                                     => 17402, emblems  => 14086,
                            embodied => 9491, embodies => 15230, embody   => 17063, embodying
                                     => 24621,
                            emboldened
                                     => 27433, embossed => 18303,
                            embraced => 6945, embraces => 12764, embraer  => 19257, embroidered
                                     => 12119,
                            embroidery
                                     => 11750, embroiled
                                     => 11823,
                            embryo   => 10267, embryology
                                     => 26354,
                            embryonic
                                     => 10584, emcee    => 19664,
                            emden    => 18366, emerge   => 5478, emerged  => 2382, emergence
                                     => 5175,
                            emergent => 13081, emerges  => 7823, emerging => 3213, emeritus => 5178,
                            emigrant => 15547, emigrants
                                     => 10632,
                            emigrate => 12317, emigrated
                                     => 4059,
                            emigrating
                                     => 15770, emigration
                                     => 6948,
                            emigre   => 15968, emigres  => 20623, emiliano => 20974, eminem   => 10321,
                            eminent  => 5532, eminescu => 29785, emirate  => 12705, emirates => 5704,
                            emirati  => 27424, emirs    => 28782, emissaries
                                     => 18000,
                            emission => 5920, emissions
                                     => 4343,
                            emits    => 15607, emitted  => 9524, emitter  => 18208, emitters => 29706,
                            emitting => 12530, emlyn    => 28846, emmanuelle
                                     => 23771,
                            emmaus   => 24715, emmeline => 28128, emmerdale
                                     => 14997,
                            emmet    => 17183, emmylou  => 24338, emotive  => 21016, emperor  => 901,
                            emperors => 7040, emphasis => 2812, emphasise
                                     => 16966,
                            emphasised
                                     => 11165, emphasises
                                     => 19287,
                            emphasising
                                     => 19328, emphasize
                                     => 7123,
                            emphasized
                                     => 5249, emphasizes
                                     => 7477,
                            emphasizing
                                     => 8716, empire   => 699,
                            empires  => 8834, empirical
                                     => 6554,
                            empirically
                                     => 17930, empiricism
                                     => 24608,
                            emplaced => 27897, emplacement
                                     => 22804,
                            emplacements
                                     => 18831, employ   => 4861,
                            employed => 1385, employees
                                     => 1629,
                            employer => 4599, employers
                                     => 4581,
                            employing
                                     => 5769, employment
                                     => 2069,
                            employs  => 4697, empoli   => 28093, emporia  => 19769, empower  => 12486,
                            empowered
                                     => 9885, empowering
                                     => 13913,
                            empowerment
                                     => 8984, empowers => 24224,
                            empresa  => 26506, empress  => 3909, empties  => 11487, emulate  => 10874,
                            emulated => 15135, emulation
                                     => 14033,
                            emulator => 16955, emulators
                                     => 27246,
                            emulsion => 19053, enable   => 3568, enabled  => 3359, enables  => 4795,
                            enabling => 4542, enact    => 11087, enacted  => 4371, enacting => 14840,
                            enactment
                                     => 8963, enactments
                                     => 22515,
                            enamel   => 10801, encamped => 18787, encampment
                                     => 12993,
                            encampments
                                     => 27559, encapsulated
                                     => 17948,
                            encapsulation
                                     => 25129, encased  => 15860,
                            encephalopathy
                                     => 23811,
                            encircle => 19840, encircled
                                     => 11866,
                            encirclement
                                     => 15545, encircles
                                     => 26083,
                            encircling
                                     => 17199, enclave  => 10346,
                            enclaves => 15606, enclosed => 4557, encloses => 21483, enclosing
                                     => 13595,
                            enclosure
                                     => 7148, enclosures
                                     => 13386,
                            encode   => 12841, encoded  => 4536, encoder  => 20903, encodes  => 11735,
                            encoding => 6822, encodings
                                     => 26344,
                            encompass
                                     => 9210, encompassed
                                     => 9126,
                            encompasses
                                     => 5093, encompassing
                                     => 7377,
                            encores  => 24917, encounter
                                     => 3520,
                            encountered
                                     => 3470, encountering
                                     => 11353,
                            encounters
                                     => 4534, encourage
                                     => 3407,
                            encouraged
                                     => 2346, encourages
                                     => 6061,
                            encroached
                                     => 25348, encroaching
                                     => 20641,
                            encroachment
                                     => 14680, encrypt  => 29421,
                            encryption
                                     => 8450, encyclical
                                     => 15975,
                            encyclopaedia
                                     => 10419, encyclopedia
                                     => 5279,
                            encyclopedic
                                     => 19464, end      => 142,
                            endangered
                                     => 3840, endeared => 28774,
                            endeavored
                                     => 24313, endeavors
                                     => 9937,
                            endeavour
                                     => 9903, endeavoured
                                     => 20933,
                            endeavours
                                     => 15279, ended    => 663,
                            endemic  => 2462, endemol  => 27297, enderby  => 26103, endgame  => 17231,
                            ending   => 1445, endocrine
                                     => 15954,
                            endocrinology
                                     => 22302, endocytosis
                                     => 28975,
                            endogenous
                                     => 14465, endometrial
                                     => 28972,
                            endoplasmic
                                     => 23051, endorsed => 4471,
                            endorsement
                                     => 7593, endorsements
                                     => 12242,
                            endorses => 22721, endorsing
                                     => 15088,
                            endoscopic
                                     => 26488, endoscopy
                                     => 29617,
                            endothelial
                                     => 14677, endow    => 27227,
                            endowed  => 7483, endowment
                                     => 5819,
                            endowments
                                     => 15728, endpoint => 17164,
                            endpoints
                                     => 18628, endurance
                                     => 6038,
                            endured  => 8359, endures  => 24936, enduring => 6682, enduro   => 27036,
                            endymion => 26575, endzone  => 20421, enemy    => 1386, energetic
                                     => 7262,
                            energetically
                                     => 21538, energia  => 23240,
                            energie  => 28404, energies => 7855, energon  => 25851, energy   => 583,
                            enfeoffed
                                     => 27156, enfield  => 9093,
                            enforce  => 6327, enforceable
                                     => 20434,
                            enforced => 6291, enforcement
                                     => 2601,
                            enforcers
                                     => 20492, enforces => 21758,
                            enforcing
                                     => 9834, engage   => 3375,
                            engagements
                                     => 7259, engages  => 8742,
                            engaging => 4939, engendered
                                     => 21732,
                            engine   => 680, engined  => 7542, engineer => 1571, engineered
                                     => 5889,
                            engineering
                                     => 810, engineers
                                     => 2298,
                            engines  => 1620, england  => 278, englewood
                                     => 15740,
                            english  => 222, englishmen
                                     => 16980,
                            engraved => 6851, engraver => 9492, engravers
                                     => 21840,
                            engraving
                                     => 8750, engravings
                                     => 10205,
                            engulfed => 15073, enhance  => 4381, enhanced => 3775, enhancement
                                     => 8389,
                            enhancements
                                     => 11714, enhances => 12669,
                            enhancing
                                     => 7747, enigmatic
                                     => 13323,
                            eniwetok => 14736, enjoined => 28646, enlai    => 26345, enlarge  => 14746,
                            enlarged => 4579, enlargement
                                     => 11629,
                            enlarging
                                     => 18509, enlightenment
                                     => 6518,
                            enlil    => 29510, enlisted => 3448, enlisting
                                     => 14380,
                            enlistment
                                     => 14354, enlists  => 16257,
                            enmity   => 15031, ennio    => 23857, enniskillen
                                     => 22224,
                            ennobled => 19619, enplanements
                                     => 26130,
                            enquiry  => 11157, enraged  => 8594, enrich   => 14688, enriched => 9053,
                            enrichment
                                     => 9402, enrico   => 9248,
                            enroll   => 9138, enrolled => 2958, enrolling
                                     => 12685,
                            enrollment
                                     => 3530, enrollments
                                     => 25707,
                            enrolls  => 16831, enrolment
                                     => 13835,
                            enron    => 17103, enschede => 25435, ensemble => 2896, ensembles
                                     => 7480,
                            enshrined
                                     => 11874, ensign   => 7765,
                            enslaved => 9743, enslavement
                                     => 20246,
                            ensued   => 7324, ensues   => 12439, ensuing  => 5081, ensure   => 2056,
                            ensured  => 6471, ensures  => 7922, ensuring => 5234, entablature
                                     => 19378,
                            entailed => 13671, entangled
                                     => 14251,
                            entanglement
                                     => 19303, entente  => 15055,
                            enter    => 1656, entered  => 713, entering => 2080, enterprise
                                     => 2456,
                            enters   => 2923, entertainer
                                     => 8333,
                            entertainers
                                     => 11517, entertainment
                                     => 1058,
                            entertainments
                                     => 15529,
                            entertains
                                     => 29830, enthalpy => 22727,
                            enthroned
                                     => 15747, enthusiast
                                     => 10167,
                            enthusiastically
                                     => 12744,
                            enthusiasts
                                     => 7067, entirely => 1639,
                            entirety => 6390, entities => 4195, entitled => 1288, entitlement
                                     => 16289,
                            entitlements
                                     => 25839, entity   => 3495,
                            entombed => 20189, entomological
                                     => 21691,
                            entomologist
                                     => 13412, entomology
                                     => 15731,
                            entrance => 1643, entrances
                                     => 7522,
                            entrant  => 14846, entrants => 7002, entre    => 14407, entrenched
                                     => 11103,
                            entrepreneur
                                     => 4172, entrepreneurial
                                     => 10576,
                            entrepreneurs
                                     => 6668, entrepreneurship
                                     => 7976,
                            entries  => 4003, entropy  => 8500, entrusted
                                     => 7017,
                            entry    => 1401, enugu    => 21322, enumerated
                                     => 14888,
                            enumeration
                                     => 19818, enveloped
                                     => 17098,
                            enveloping
                                     => 28760, enver    => 20415,
                            environment
                                     => 1072, environmental
                                     => 1250,
                            environmentalism
                                     => 18712,
                            environmentalist
                                     => 14125,
                            environmentalists
                                     => 15935,
                            environmentally
                                     => 8691,
                            environments
                                     => 3823, environs => 13550,
                            envisaged
                                     => 10990, envisioned
                                     => 7741,
                            envisions
                                     => 25696, envoy    => 7801,
                            envoys   => 13106, enzymatic
                                     => 17468,
                            enzyme   => 3003, enzymes  => 6106, enzymology
                                     => 13606,
                            eocene   => 11746, eparchy  => 16169, ephemera => 26557, ephemeral
                                     => 15622,
                            ephesus  => 15984, ephraim  => 12435, epic     => 3459, epicenter
                                     => 16917,
                            epics    => 13713, epidemic => 6446, epidemics
                                     => 13636,
                            epidemiological
                                     => 19019,
                            epidemiology
                                     => 9849, epidermal
                                     => 21665,
                            epidermis
                                     => 19011, epigenetic
                                     => 18294,
                            epigrams => 26540, epilepsy => 10442, epilogue => 11703, epiphytic
                                     => 29832,
                            epirus   => 12349, episcopacy
                                     => 20857,
                            episcopal
                                     => 3220, episcopalian
                                     => 19696,
                            episcopate
                                     => 13228, episode  => 446,
                            episodes => 1047, episodic => 12672, epistemic
                                     => 26316,
                            epistemological
                                     => 20764,
                            epistemology
                                     => 14686, epistle  => 12128,
                            epistles => 13786, epitaph  => 11911, epithelial
                                     => 12541,
                            epithelium
                                     => 15719, epithet  => 7618,
                            epithets => 23143, epitomized
                                     => 28490,
                            epoch    => 8926, epochs   => 23815, eponym   => 24364, eponymous
                                     => 5707,
                            epsilon  => 10034, epsom    => 9335, epworth  => 28462, equal    => 1647,
                            equaled  => 19402, equaling => 27681, equalised
                                     => 18052,
                            equaliser
                                     => 14170, equalising
                                     => 28194,
                            equality => 3912, equalization
                                     => 18770,
                            equalized
                                     => 26474, equalled => 14976,
                            equalling
                                     => 21749, equally  => 3535,
                            equated  => 14702, equates  => 19175, equating => 20874, equation => 2960,
                            equations
                                     => 4141, equator  => 9242,
                            equatorial
                                     => 7849, equestrian
                                     => 6767,
                            equidistant
                                     => 22410, equilateral
                                     => 23275,
                            equilibria
                                     => 25816, equilibrium
                                     => 5487,
                            equine   => 13997, equip    => 11403, equipment
                                     => 1024,
                            equipments
                                     => 24498, equipped => 2023,
                            equipping
                                     => 16463, equitable
                                     => 10643,
                            equities => 21014, equity   => 3750, equivalence
                                     => 9302,
                            equivalent
                                     => 1881, equivalently
                                     => 13278,
                            equivalents
                                     => 11051, equus    => 25924,
                            era      => 764, eradicate
                                     => 13499,
                            eradicated
                                     => 18466, eradicating
                                     => 28545,
                            eradication
                                     => 13184, erasmus  => 9892,
                            erasure  => 20326, erbil    => 29475, ercole   => 25103, erdogan  => 15441,
                            erdos    => 20228, erebidae => 14931, erebus   => 25787, erect    => 6821,
                            erected  => 2467, erectile => 23154, erecting => 15613, erection => 10045,
                            erectus  => 23516, eredivisie
                                     => 11680,
                            eretz    => 26554, erfurt   => 14801, ergative => 29026, ergonomic
                                     => 28920,
                            ergonomics
                                     => 24349, erhard   => 19161,
                            ericsson => 10617, erie     => 4811, erigeron => 24796, eriksson => 14423,
                            erinsborough
                                     => 23323, eritrea  => 9263,
                            eritrean => 15409, erlangen => 19296, erlewine => 14149, ermine   => 21656,
                            ernakulam
                                     => 16285, erode    => 14670,
                            eroded   => 8567, erosion  => 5380, erotica  => 19360, eroticism
                                     => 26118,
                            erroneous
                                     => 12353, erroneously
                                     => 10000,
                            error    => 2846, errors   => 3997, ersatz   => 29350, erste    => 28628,
                            erstwhile
                                     => 10889, erudite  => 21602,
                            erudition
                                     => 27204, erupted  => 7125,
                            erupting => 25198, eruption => 6743, eruptions
                                     => 9768,
                            eruptive => 25836, erupts   => 22211, erythrocytes
                                     => 28831,
                            erzhu    => 26705, erzurum  => 22352, esbjerg  => 23938, escadrille
                                     => 23473,
                            escalated
                                     => 10573, escalation
                                     => 14703,
                            escalators
                                     => 17945, escapees => 20535,
                            escapement
                                     => 24705, escapes  => 5378,
                            escapist => 28925, escarpment
                                     => 10712,
                            eschatology
                                     => 26577, escherichia
                                     => 21696,
                            eschewed => 23249, eschewing
                                     => 29549,
                            escola   => 22151, escondido
                                     => 23602,
                            escorial => 29482, escorted => 6376, escorting
                                     => 9539,
                            escuela  => 13699, escutcheon
                                     => 26982,
                            esher    => 26086, eskisehir
                                     => 28287,
                            eslamabad
                                     => 19592, esoteric => 10633,
                            espanol  => 14609, espanola => 13903, espanyol => 20045, especial => 24078,
                            esperance
                                     => 18170, esperanto
                                     => 10696,
                            espionage
                                     => 7969, espirito => 19155,
                            esplanade
                                     => 14334, espn     => 4318,
                            "espn.com"
                                     => 25093, espn2    => 22124,
                            espoo    => 22453, esporte  => 17024, espoused => 14096, esprit   => 18771,
                            esque    => 14327, esquimalt
                                     => 24743,
                            essayist => 11143, essays   => 3865, essen    => 11198, essendon => 9115,
                            essential
                                     => 2458, essentially
                                     => 2695,
                            essex    => 3175, establish
                                     => 1671,
                            established
                                     => 256, establishes
                                     => 8092,
                            establishing
                                     => 2550, establishment
                                     => 1500,
                            establishments
                                     => 6382, estadio  => 7179,
                            estado   => 14599, estate   => 957, estates  => 3130, estefan  => 19901,
                            esteghlal
                                     => 21948, esterhazy
                                     => 21225,
                            estero   => 20019, estimate => 3850, estimated
                                     => 1173,
                            estimates
                                     => 3593, estimating
                                     => 12610,
                            estimation
                                     => 9540, estimations
                                     => 29092,
                            estimator
                                     => 16096, estimators
                                     => 28694,
                            estonia  => 3899, estonian => 4941, estonians
                                     => 21997,
                            estoril  => 19918, estradiol
                                     => 26853,
                            estrellas
                                     => 24909, estuaries
                                     => 13797,
                            estuarine
                                     => 18958, estuary  => 6530,
                            estudiantes
                                     => 17311, estudios => 26565,
                            esztergom
                                     => 24535, "etc."   => 5206,
                            "etc.."  => 23128, etching  => 13333, etchings => 15165, ethanol  => 8001,
                            ethereal => 17181, ethernet => 9220, ethical  => 4978, ethiopia => 4201,
                            ethiopian
                                     => 5584, ethiopians
                                     => 21313,
                            ethmia   => 24285, ethnic   => 1698, ethnically
                                     => 9393,
                            ethnicities
                                     => 14723, ethnicity
                                     => 6601,
                            ethniki  => 18852, ethnikos => 28989, ethno    => 19153, ethnographer
                                     => 24944,
                            ethnographic
                                     => 11191, ethnography
                                     => 14812,
                            ethnological
                                     => 25101, ethnologist
                                     => 26237,
                            ethnologue
                                     => 24369, ethnology
                                     => 17739,
                            ethnomusicology
                                     => 28895,
                            ethos    => 11111, ethylene => 14409, etihad   => 26924, etiology => 19854,
                            etobicoke
                                     => 19284, etoile   => 20103,
                            etruria  => 24656, etruscan => 12487, etruscans
                                     => 22939,
                            ettore   => 20456, etude    => 25715, etudes   => 13615, etymological
                                     => 18798,
                            etymologically
                                     => 23871,
                            etymologies
                                     => 24234, etymology
                                     => 3790,
                            euboea   => 27212, eucalyptus
                                     => 10279,
                            eucharist
                                     => 11595, eucharistic
                                     => 17630,
                            euclid   => 12926, euclidean
                                     => 8817,
                            eudonia  => 29708, eugen    => 11067, eugenics => 14945, eukaryotes
                                     => 15297,
                            eukaryotic
                                     => 13262, eunuchs  => 16500,
                            euphemia => 24422, euphorbia
                                     => 19735,
                            euphorbiaceae
                                     => 26743, euphrates
                                     => 13705,
                            eupithecia
                                     => 11237, eurasia  => 11427,
                            eurasian => 8656, eureka   => 9516, euripides
                                     => 19790,
                            euro     => 3671, eurobasket
                                     => 12378,
                            eurocopter
                                     => 28012, eurocup  => 16297,
                            eurodance
                                     => 24844, eurogamer
                                     => 22673,
                            euroleague
                                     => 10834, europa   => 5684,
                            europe   => 435, "europe/africa"
                                     => 20356,
                            european => 320, europeans
                                     => 4985,
                            euros    => 7824, eurosport
                                     => 27445,
                            eurostar => 23699, eurovision
                                     => 4166,
                            eurozone => 16421, eurydice => 25257, eusebian => 25916, eusebius => 13764,
                            eustace  => 13881, euston   => 16466, euthanasia
                                     => 12931,
                            euthanized
                                     => 29539, evacuated
                                     => 5145,
                            evacuation
                                     => 5451, evacuations
                                     => 20455,
                            evacuees => 19953, evade    => 10928, evaded   => 16530, evaluate => 6408,
                            evaluated
                                     => 6261, evaluates
                                     => 15176,
                            evaluating
                                     => 9041, evaluation
                                     => 3545,
                            evaluations
                                     => 10810, evanescence
                                     => 28988,
                            evangelical
                                     => 4174, evangelicals
                                     => 17898,
                            evangelion
                                     => 25088, evangelism
                                     => 15541,
                            evangelist
                                     => 8986, evangelistic
                                     => 20706,
                            evangelists
                                     => 16545, evangelization
                                     => 19695,
                            evanston => 13688, evansville
                                     => 11879,
                            evaporates
                                     => 29135, evaporation
                                     => 11734,
                            evenings => 7224, evenly   => 8723, event    => 388, eventing => 18424,
                            events   => 391, eventual => 3455, eventually
                                     => 414,
                            everard  => 21615, evergreen
                                     => 6558,
                            everton  => 6442, everyman => 18939, evesham  => 19461, evgeni   => 29653,
                            evgeny   => 19736, eviction => 9438, evictions
                                     => 25007,
                            evidenced
                                     => 7875, evidences
                                     => 17662,
                            evident  => 4384, evocation
                                     => 27142,
                            evocative
                                     => 15229, evoke    => 12253,
                            evoked   => 13670, evokes   => 15316, evoking  => 18239, evolution
                                     => 2292,
                            evolutionarily
                                     => 26150,
                            evolutionary
                                     => 4817, evolutions
                                     => 25841,
                            evolve   => 7629, evolved  => 2719, evolves  => 15632, evolving => 7670,
                            evora    => 23828, exacerbated
                                     => 10847,
                            exacted  => 27797, exaggerated
                                     => 8332,
                            exaltation
                                     => 27600, examination
                                     => 2826,
                            examinations
                                     => 5498, examined => 4156,
                            examiners
                                     => 15843, examines => 8276,
                            example  => 368, examples => 1295, exams    => 5464, exarchate
                                     => 23119,
                            excalibur
                                     => 15977, excavate => 21550,
                            excavated
                                     => 5812, excavating
                                     => 20313,
                            excavation
                                     => 6357, excavations
                                     => 5189,
                            excavator
                                     => 29911, excavators
                                     => 25252,
                            exceed   => 5160, exceeded => 5638, exceeding
                                     => 6732,
                            exceeds  => 8341, excel    => 9400, excelled => 7947, excellence
                                     => 3114,
                            excelling
                                     => 24275, excelsior
                                     => 12892,
                            excepting
                                     => 17106, exception
                                     => 2251,
                            exceptional
                                     => 4763, exceptionally
                                     => 6985,
                            exceptions
                                     => 4307, excerpt  => 12035,
                            excerpts => 9822, excess   => 3803, excesses => 15065, excessive
                                     => 4611,
                            excessively
                                     => 12987, exchange => 1071,
                            exchanged
                                     => 6042, exchanger
                                     => 19561,
                            exchangers
                                     => 26294, exchanges
                                     => 6024,
                            exchequer
                                     => 10012, excise   => 12409,
                            excised  => 23034, excision => 21683, excitation
                                     => 13736,
                            excitatory
                                     => 23329, exclaim  => 22087,
                            exclaimed
                                     => 17629, exclaiming
                                     => 29452,
                            exclaims => 26730, exclave  => 19549, exclude  => 8581, excluded => 4728,
                            excludes => 12335, excluding
                                     => 5343,
                            exclusion
                                     => 6734, exclusive
                                     => 2683,
                            exclusively
                                     => 2584, exclusivity
                                     => 19022,
                            excommunicated
                                     => 13374,
                            excommunication
                                     => 15114,
                            excreted => 19922, excretion
                                     => 20741,
                            excursion
                                     => 10667, excursions
                                     => 11171,
                            executable
                                     => 14972, executed => 2272,
                            executes => 16606, executing
                                     => 8915,
                            execution
                                     => 2833, executioners
                                     => 29923,
                            executions
                                     => 8191, executive
                                     => 698,
                            executives
                                     => 4745, executors
                                     => 21514,
                            exegesis => 17145, exemplar => 22506, exemplified
                                     => 9761,
                            exemplifies
                                     => 17464, exemplify
                                     => 21911,
                            exempt   => 6962, exempted => 11685, exemption
                                     => 7191,
                            exemptions
                                     => 12616, exercised
                                     => 6735,
                            exercises
                                     => 4119, exerted  => 10686,
                            exerts   => 21440, exeter   => 4926, exhaust  => 6243, exhaustive
                                     => 12075,
                            exhibit  => 3151, exhibited
                                     => 3034,
                            exhibiting
                                     => 8719, exhibition
                                     => 1501,
                            exhibitions
                                     => 2837, exhibitor
                                     => 27235,
                            exhibitors
                                     => 16197, exhibits => 3769,
                            exhumed  => 15806, exile    => 2965, exiled   => 5501, exiles   => 9821,
                            exist    => 1547, existed  => 2140, existence
                                     => 1426,
                            existent => 10023, existentialism
                                     => 22794,
                            existing => 1248, exists   => 2237, exited   => 10582, exiting  => 10049,
                            exmoor   => 25308, exmouth  => 21743, exodus   => 7240, exogenous
                                     => 21192,
                            exons    => 22704, exoplanet
                                     => 29459,
                            exoskeleton
                                     => 22283, expand   => 2799,
                            expandable
                                     => 24727, expanded => 1207,
                            expanding
                                     => 3472, expands  => 9225,
                            expanse  => 15290, expanses => 25712, expansion
                                     => 1387,
                            expansionist
                                     => 23565, expansions
                                     => 9976,
                            expansive
                                     => 10589, expatriate
                                     => 11207,
                            expatriates
                                     => 12798, expectancy
                                     => 11104,
                            expectation
                                     => 7768, expected => 1211,
                            expedition
                                     => 1711, expeditionary
                                     => 5883,
                            expeditions
                                     => 5423, expelled => 3677,
                            expend   => 28614, expended => 15335, expenditure
                                     => 7756,
                            expenditures
                                     => 8378, experience
                                     => 826,
                            experienced
                                     => 1959, experiences
                                     => 2239,
                            experiential
                                     => 15324, experiment
                                     => 2888,
                            experimental
                                     => 2194, experimentally
                                     => 12028,
                            experimentation
                                     => 8129,
                            experimented
                                     => 7870, experimenter
                                     => 21816,
                            experimenters
                                     => 27682, experiments
                                     => 2867,
                            expertise
                                     => 4463, expertly => 27513,
                            experts  => 3168, expired  => 5495, expiring => 21234, expiry   => 19125,
                            explained
                                     => 2205, explicit => 5106,
                            explicitly
                                     => 4444, exploitation
                                     => 5561,
                            exploitative
                                     => 23532, exploited
                                     => 7046,
                            exploits => 7671, exploration
                                     => 3390,
                            explorations
                                     => 11593, explored => 4259,
                            explorer => 4218, explorers
                                     => 7379,
                            explores => 6047, exploring
                                     => 5153,
                            explosive
                                     => 4803, exponent => 10341,
                            exponential
                                     => 9530, exponentially
                                     => 14094,
                            exponents
                                     => 14673, export   => 3445,
                            exportation
                                     => 27193, exported => 5755,
                            exporter => 12004, exporters
                                     => 18966,
                            exporting
                                     => 10845, exports  => 5193,
                            expos    => 11490, exposed  => 2556, exposes  => 12374, exposition
                                     => 5213,
                            expositions
                                     => 18345, exposure => 2703,
                            exposures
                                     => 13049, expounded
                                     => 19671,
                            express  => 1487, expressed
                                     => 1665,
                            expresses
                                     => 6379, expressing
                                     => 5678,
                            expression
                                     => 2050, expressionism
                                     => 13250,
                            expressionist
                                     => 13438, expressions
                                     => 5442,
                            expressive
                                     => 9258, expressly
                                     => 11179,
                            expressway
                                     => 4339, expressways
                                     => 17190,
                            expropriated
                                     => 20940, expropriation
                                     => 21648,
                            expulsion
                                     => 6768, expulsions
                                     => 22813,
                            extant   => 4951, extend   => 2928, extended => 964, extending
                                     => 3309,
                            extends  => 3322, extensible
                                     => 20890,
                            extension
                                     => 1691, extensions
                                     => 5243,
                            extensive
                                     => 1384, extensively
                                     => 2687,
                            extensor => 28140, extent   => 2338, exterior => 3579, exteriors
                                     => 20258,
                            extermination
                                     => 10905, external => 1462,
                            externally
                                     => 9663, extinct  => 3072,
                            extinction
                                     => 5658, extinctions
                                     => 24325,
                            extinguished
                                     => 12514, extinguishing
                                     => 25396,
                            extirpated
                                     => 22416, extracellular
                                     => 11269,
                            extract  => 6173, extracted
                                     => 6644,
                            extracting
                                     => 13002, extraction
                                     => 5697,
                            extractor
                                     => 27543, extracts => 9721,
                            extrajudicial
                                     => 21297, extraliga
                                     => 14813,
                            extraneous
                                     => 28030, extrapolation
                                     => 29448,
                            extrasolar
                                     => 19728, extratropical
                                     => 12102,
                            extravagance
                                     => 24111, extremadura
                                     => 18016,
                            extreme  => 2103, extremes => 10843, extremism
                                     => 15127,
                            extremist
                                     => 12308, extremity
                                     => 12095,
                            extrinsic
                                     => 22728, extruded => 24440,
                            extrusion
                                     => 23108, exuberance
                                     => 27701,
                            exuberant
                                     => 19638, exxonmobil
                                     => 22963,
                            eyalet   => 22286, eyewall  => 27308, eyewear  => 25938, "f.c.."  => 11753,
                            fabaceae => 15226, fabien   => 27133, fabio    => 10441, fabius   => 20853,
                            fable    => 12151, fables   => 11728, fabricated
                                     => 9051,
                            fabrication
                                     => 9594, fabrice  => 21676,
                            fabricius
                                     => 25383, fabrics  => 9613,
                            facade   => 3609, facades  => 10870, facebook => 3968, faced    => 1565,
                            facelift => 13591, facelifted
                                     => 28304,
                            facet    => 16070, faceted  => 18642, facets   => 11188, fachhochschule
                                     => 13422,
                            facie    => 27408, facies   => 21684, facilitate
                                     => 4112,
                            facilitated
                                     => 7272, facilitates
                                     => 9712,
                            facilitating
                                     => 9338, facilitation
                                     => 18503,
                            facilitator
                                     => 20584, facilities
                                     => 903,
                            facility => 1196, facing   => 2286, facings  => 29701, facsimile
                                     => 16765,
                            factbook => 25165, faction  => 4025, factional
                                     => 18952,
                            factions => 5419, facto    => 5168, factor   => 1693, factorial
                                     => 23649,
                            factories
                                     => 4090, factorization
                                     => 18499,
                            factors  => 1859, factory  => 1441, factual  => 9459, faculties
                                     => 6551,
                            faculty  => 1329, facundo  => 29112, faerie   => 20942, faience  => 28227,
                            failed   => 830, failing  => 3205, fails    => 4766, failure  => 1591,
                            failures => 5972, faintly  => 22180, faints   => 23447, fairfax  => 6908,
                            fairground
                                     => 21756, fairgrounds
                                     => 13285,
                            fairhaven
                                     => 27226, fairing  => 19904,
                            fairlie  => 24941, fairmont => 16087, fairmount
                                     => 17470,
                            fairport => 21265, fairs    => 7602, fairtrade
                                     => 20849,
                            fairview => 11709, faisal   => 11462, faisalabad
                                     => 18426,
                            faithfull
                                     => 26593, faiths   => 10970,
                            fakir    => 29995, falaise  => 25330, falcons  => 5692, falkirk  => 11256,
                            falkland => 8675, falklands
                                     => 12277,
                            falla    => 26896, fallacy  => 15344, falls    => 1266, fallujah => 20994,
                            falmouth => 11003, falsehood
                                     => 26229,
                            falsely  => 8911, falsetto => 18229, falsification
                                     => 27549,
                            falstaff => 17685, faltering
                                     => 28335,
                            falun    => 14415, famagusta
                                     => 21600,
                            famas    => 29454, fame     => 1261, famed    => 5573, famer    => 12630,
                            famers   => 20823, famicom  => 15608, familial => 11782, familiarity
                                     => 12322,
                            families => 427, family   => 94, famine   => 6133, famines  => 22805,
                            famitsu  => 21806, famous   => 603, famously => 6387, fanbase  => 15823,
                            fandango => 25689, fandom   => 16724, fanfare  => 12700, fangio   => 25339,
                            fanned   => 28601, fans     => 1255, fanshawe => 24596, fantail  => 25140,
                            fantasia => 12405, fantastical
                                     => 21506,
                            fanzine  => 15698, fanzines => 25191, faraday  => 14250, farcical => 27181,
                            fared    => 11289, fareham  => 26287, fares    => 9083, fargo    => 8795,
                            farhad   => 27642, farid    => 18759, farm     => 1020, farmed   => 10190,
                            farmers  => 2248, farmhouse
                                     => 7897,
                            farmhouses
                                     => 21712, farming  => 2669,
                            farmington
                                     => 12415, farmland => 6148,
                            farmlands
                                     => 19997, farms    => 3122,
                            farmstead
                                     => 13028, farmsteads
                                     => 29426,
                            farnborough
                                     => 15377, farnese  => 16981,
                            faroe    => 10786, faroese  => 12946, farooq   => 24029, farouk   => 22104,
                            fascia   => 11040, fascism  => 8457, fascist  => 5513, fascists => 14001,
                            fashion  => 1606, fashionable
                                     => 8041,
                            fasteners
                                     => 25240, fastest  => 3271,
                            fasting  => 11657, fatah    => 13959, fatalities
                                     => 7546,
                            fatality => 13497, fatally  => 9752, fatboy   => 25278, fated    => 10513,
                            fateh    => 17924, fatherland
                                     => 14558,
                            fatigue  => 8111, fatih    => 23735, fatimid  => 18646, fatty    => 7503,
                            fatwa    => 18589, faubourg => 27622, faulted  => 22017, faulting => 21426,
                            fauna    => 4821, faunal   => 19826, faure    => 15126, faustus  => 24923,
                            faversham
                                     => 25426, favorable
                                     => 4334,
                            favorably
                                     => 9833, favored  => 4771,
                            favoring => 12398, favour   => 2813, favourable
                                     => 7011,
                            favourably
                                     => 14822, favoured => 6217,
                            favouring
                                     => 16679, favourites
                                     => 9623,
                            favre    => 15298, fayette  => 10208, fayetteville
                                     => 11147,
                            fazal    => 26603, fealty   => 24342, feared   => 4835, fearful  => 10787,
                            fearing  => 6595, fearsome => 17952, feasibility
                                     => 8626,
                            feasible => 8688, feast    => 4245, feasts   => 13167, feat     => 5269,
                            featherweight
                                     => 10100, feats    => 12380,
                            feature  => 708, featured => 469, featureless
                                     => 29876,
                            features => 426, featurette
                                     => 25019,
                            featuring
                                     => 1088, february => 198,
                            fecal    => 18217, federacion
                                     => 20506,
                            federal  => 470, federalism
                                     => 16674,
                            federalist
                                     => 9831, federalists
                                     => 16636,
                            federalized
                                     => 27556, federally
                                     => 7439,
                            federals => 22100, federated
                                     => 10348,
                            federation
                                     => 1397, federations
                                     => 11090,
                            federative
                                     => 25832, federer  => 10177,
                            feedback => 4779, feeder   => 7679, feeders  => 16391, feedstock
                                     => 23263,
                            fees     => 3624, feigned  => 24816, feldspar => 21937, felixstowe
                                     => 22300,
                            felled   => 18528, fellow   => 885, fellowes => 25504, fellowship
                                     => 3251,
                            fellowships
                                     => 9136, female   => 532,
                            females  => 804, femina   => 23099, femininity
                                     => 19319,
                            feminism => 7983, feminist => 4353, feminists
                                     => 11300,
                            fenced   => 13918, fencer   => 9398, fencers  => 19666, fencing  => 5862,
                            fenders  => 17580, fenerbahce
                                     => 12959,
                            fenian   => 22545, fenix    => 24897, fenway   => 15162, feodor   => 29580,
                            feral    => 10091, ferdinando
                                     => 16313,
                            ferenc   => 13268, ferencvaros
                                     => 27003,
                            fermanagh
                                     => 15313, fermat   => 18134,
                            fermentation
                                     => 9881, fermented
                                     => 13070,
                            fermenting
                                     => 29891, fermi    => 13122,
                            fermions => 23490, fernand  => 14893, ferndale => 19727, ferns    => 10521,
                            ferocity => 22349, ferrand  => 20939, ferraris => 22585, ferrers  => 18549,
                            ferric   => 29162, ferried  => 19118, ferries  => 7077, ferrocarril
                                     => 28968,
                            ferrol   => 26044, ferromagnetic
                                     => 28221,
                            ferrous  => 18514, ferruccio
                                     => 27862,
                            ferruginous
                                     => 25212, ferry    => 2503,
                            ferrying => 20372, fertile  => 5686, fertilisation
                                     => 22622,
                            fertiliser
                                     => 26643, fertilization
                                     => 12667,
                            fertilized
                                     => 19710, fertilizers
                                     => 14316,
                            fervent  => 16150, festival => 437, festivals
                                     => 2395,
                            festivity
                                     => 29085, festschrift
                                     => 29441,
                            fetishism
                                     => 29322, feud     => 5003,
                            feudal   => 6015, feudalism
                                     => 17893,
                            feuded   => 16373, feuding  => 14528, feuds    => 13677, fewer    => 3243,
                            fewest   => 13161, feyenoord
                                     => 13586,
                            feynman  => 17566, ffestiniog
                                     => 25655,
                            ffffff   => 18315, fianna   => 10440, fiber    => 4679, fiberglass
                                     => 11686,
                            fibers   => 6328, fibonacci
                                     => 20164,
                            fibre    => 7871, fibreglass
                                     => 20734,
                            fibres   => 12357, fibrillation
                                     => 23969,
                            fibroblasts
                                     => 25307, fibrosis => 14359,
                            fibrous  => 13531, fibula   => 22553, fiction  => 1243, fictional
                                     => 2086,
                            fictionalised
                                     => 24547, fictionalized
                                     => 12805,
                            fictions => 26164, fictitious
                                     => 8770,
                            fiddler  => 12598, fiddlers => 29064, fidelis  => 28501, fidesz   => 28761,
                            fiduciary
                                     => 18866, fiefs    => 19449,
                            field    => 284, fielded  => 7715, fielders => 23922, fieldhouse
                                     => 19304,
                            fieldwork
                                     => 14695, fiennes  => 18797,
                            fierce   => 5191, fiercely => 11059, fiesta   => 9021, fiestas  => 29975,
                            fifa     => 2392, fifteenth
                                     => 6500,
                            fifth    => 851, fifths   => 13320, fighter  => 1789, fighters => 2714,
                            figurative
                                     => 10548, figures  => 1322,
                            figurine => 20366, figurines
                                     => 12114,
                            fiji     => 4443, fijian   => 11155, fijians  => 24631, filament => 13924,
                            filamentous
                                     => 22978, filaments
                                     => 13392,
                            filed    => 2321, filename => 26272, filesystem
                                     => 19868,
                            filho    => 21607, filial   => 22226, filings  => 20197, filipe   => 22661,
                            filipina => 20715, filipino => 3984, filipinos
                                     => 10225,
                            filipovic
                                     => 29590, filippo  => 11354,
                            fille    => 22693, fillies  => 15112, filly    => 9619, film     => 78,
                            filmed   => 2150, filmfare => 10746, filming  => 2570, filmmaker
                                     => 4812,
                            filmmakers
                                     => 6256, filmmaking
                                     => 8636,
                            filmography
                                     => 8109, films    => 525,
                            filmworks
                                     => 28299, filter   => 4510,
                            filtered => 11442, filtering
                                     => 9380,
                            filters  => 6926, filtration
                                     => 12107,
                            final    => 189, finale   => 3714, finalised
                                     => 16385,
                            finalist => 4837, finalists
                                     => 5277,
                            finalized
                                     => 8906, finals   => 1233,
                            finance  => 1813, financed => 5120, finances => 6155, financial
                                     => 685,
                            financially
                                     => 5368, financier
                                     => 11238,
                            financiers
                                     => 19102, financing
                                     => 4550,
                            finches  => 19417, finder   => 13267, findings => 3557, fined    => 6572,
                            finely   => 9630, fines    => 8249, fingal   => 22171, fingerboard
                                     => 25152,
                            finial   => 29246, finials  => 29983, finished => 494, finisher => 13164,
                            finishers
                                     => 10415, finishes => 5039,
                            finishing
                                     => 1678, finistere
                                     => 26409,
                            finite   => 4050, finitely => 15802, finland  => 2174, finned   => 13088,
                            finnic   => 29323, finnish  => 2390, finnmark => 18859, finns    => 12753,
                            finsbury => 19302, fionn    => 29430, fiorentina
                                     => 14653,
                            firearm  => 9155, firearms => 5237, firebird => 19267, firebirds
                                     => 24865,
                            firebox  => 19588, firebrand
                                     => 29289,
                            firefighter
                                     => 14057, firefighters
                                     => 8663,
                            firefighting
                                     => 14386, firefly  => 14228,
                            firefox  => 12750, firenze  => 25663, firestar => 28554, firewalls
                                     => 29013,
                            firework => 21887, firings  => 25971, firm     => 1076, firmly   => 6026,
                            firmness => 29918, firms    => 3552, firmware => 11743, first    => 26,
                            "first-past-the-post"
                                     => 21601,
                            firstly  => 6552, firsts   => 15521, firuzabad
                                     => 23962,
                            fiscal   => 4032, fisheries
                                     => 5321,
                            fishermen
                                     => 6370, fishers  => 16678,
                            fishery  => 8294, fishes   => 8325, fishing  => 1909, fisichella
                                     => 24247,
                            fissile  => 24297, fission  => 9464, fissure  => 19281, fissures => 23000,
                            fistula  => 26315, fitchburg
                                     => 20708,
                            fitness  => 4041, fitted   => 2621, fittings => 10639, fittipaldi
                                     => 21884,
                            fitzalan => 23370, fitzroy  => 8243, fitzwilliam
                                     => 14485,
                            fiume    => 21331, five     => 182, fixture  => 5877, fixtures => 6598,
                            fjord    => 9610, fjordane => 22798, fjords   => 23271, flag     => 1640,
                            flagella => 27779, flagrant => 29183, flags    => 4715, flagship => 3786,
                            flagstaff
                                     => 15653, flamboyant
                                     => 13098,
                            flamenco => 11871, flamengo => 15346, flamethrower
                                     => 28262,
                            flamingos
                                     => 19923, flange   => 20923,
                            flanges  => 29264, flank    => 4847, flanked  => 7356, flanker  => 16189,
                            flanking => 10366, flanks   => 9278, flaps    => 11385, flashback
                                     => 8748,
                            flashbacks
                                     => 10648, flashpoint
                                     => 22090,
                            flat     => 1700, flatbush => 21668, flathead => 18659, flatly   => 24186,
                            flats    => 5735, flattened
                                     => 8346,
                            flattening
                                     => 24835, flatts   => 29662,
                            flautist => 20805, flava    => 25609, flavio   => 19071, flavius  => 18926,
                            flavoring
                                     => 24239, flavour  => 10016,
                            flavoured
                                     => 18206, flavours => 16727,
                            fleche   => 25363, fled     => 2615, fledging => 27569, fledgling
                                     => 9478,
                            flee     => 4509, fleeing  => 6366, flees    => 9081, fleet    => 1017,
                            fleets   => 9063, flemington
                                     => 23624,
                            flemish  => 5795, flensburg
                                     => 19799,
                            fleshed  => 26668, fleshy   => 12792, fleur    => 14288, fleurs   => 26419,
                            flexibility
                                     => 6411, flexible => 4891,
                            flexion  => 23751, flexor   => 24167, flickr   => 28764, flight   => 897,
                            flightless
                                     => 21657, flights  => 2682,
                            flinders => 10998, flintshire
                                     => 20277,
                            floated  => 11095, floatplane
                                     => 27398,
                            flocked  => 18968, flocks   => 12018, flooded  => 5431, flooding => 3707,
                            floodlights
                                     => 18341, floodlit => 20288,
                            floodplain
                                     => 13795, floodplains
                                     => 22726,
                            floods   => 5503, floodwaters
                                     => 24756,
                            floorball
                                     => 21402, flooring => 12899,
                            floors   => 3654, floppy   => 11437, floral   => 8563, florent  => 21907,
                            florentine
                                     => 11910, florets  => 13537,
                            florida  => 729, florins  => 26518, flotilla => 6529, flour    => 5761,
                            flourish => 10614, flourished
                                     => 6508,
                            flourishes
                                     => 20703, flourishing
                                     => 10245,
                            flow     => 1597, flowed   => 10315, flowered => 17234, flowering
                                     => 4209,
                            flowing  => 4200, flown    => 4316, flows    => 2083, fluctuate
                                     => 23985,
                            fluctuated
                                     => 18803, fluctuates
                                     => 29790,
                            fluctuating
                                     => 17736, fluctuation
                                     => 21881,
                            fluctuations
                                     => 10195, fluency  => 16098,
                            fluent   => 7467, fluently => 16934, fluid    => 3437, fluidity => 25241,
                            flume    => 22212, fluminense
                                     => 20474,
                            fluorescence
                                     => 12668, fluorescent
                                     => 10157,
                            fluoride => 11552, fluorine => 16872, flushing => 10904, flute    => 5432,
                            fluted   => 18129, flutes   => 12847, flutist  => 26585, fluvial  => 21431,
                            fluxes   => 27220, fluxus   => 24140, flyby    => 23732, flycatcher
                                     => 14729,
                            flycatchers
                                     => 20348, flyers   => 6396,
                            flyover  => 16239, flyweight
                                     => 11263,
                            flywheel => 19485, foaled   => 14010, foals    => 16772, focal    => 5998,
                            focke    => 21092, focus    => 1068, focused  => 1576, focuses  => 2710,
                            focusing => 3354, focussed => 12766, foggia   => 23588, foils    => 24212,
                            fokker   => 10644, folate   => 26579, folded   => 4560, folds    => 9573,
                            foliage  => 8783, folio    => 11280, folios   => 23369, folk     => 1670,
                            folkestone
                                     => 16893, folklore => 4877,
                            folkloric
                                     => 19636, folklorist
                                     => 18494,
                            folktale => 29546, folktales
                                     => 22896,
                            folkways => 28170, follicular
                                     => 27587,
                            follies  => 14268, followed => 449, follower => 8523, followers
                                     => 3321,
                            following
                                     => 111, follows  => 1053,
                            fondation
                                     => 23989, fonds    => 22891,
                            font     => 6168, fontainebleau
                                     => 16841,
                            fonts    => 10055, foods    => 3478, foodservice
                                     => 26635,
                            foodstuffs
                                     => 16198, footage  => 3308,
                            football => 169, footballer
                                     => 1005,
                            footballers
                                     => 9016, footballing
                                     => 15043,
                            footbridge
                                     => 12190, footed   => 11182,
                            foothill => 18201, foothills
                                     => 7147,
                            footnotes
                                     => 14015, footpath => 11731,
                            footpaths
                                     => 15136, footprint
                                     => 9232,
                            footscray
                                     => 13921, footy    => 22106,
                            for      => 7, forage   => 10753, foraging => 9929, foramen  => 18869,
                            foray    => 12056, forays   => 19433, forbade  => 10009, forbidding
                                     => 13243,
                            force    => 295, forced   => 762, forcefully
                                     => 13754,
                            forces   => 382, forcible => 18911, forcibly => 8415, forcing  => 3365,
                            fords    => 20666, forebears
                                     => 28065,
                            forecast => 7563, forecasting
                                     => 11429,
                            forecastle
                                     => 21740, forecasts
                                     => 10363,
                            foreclosure
                                     => 14419, forecourt
                                     => 20035,
                            forefront
                                     => 8929, foregoing
                                     => 25497,
                            foreground
                                     => 12884, foreign  => 606,
                            foreigners
                                     => 6270, foreland => 25594,
                            forelimbs
                                     => 21106, foremost => 6141,
                            forerunner
                                     => 8309, forerunners
                                     => 19929,
                            foreshadowed
                                     => 21306, foreshadowing
                                     => 22655,
                            foreshore
                                     => 20081, forestall
                                     => 24840,
                            forested => 5409, foresters
                                     => 17304,
                            forestry => 5051, forests  => 1904, forewing => 11606, forewings
                                     => 5057,
                            foreword => 10386, forfar   => 19502, forfeited
                                     => 12294,
                            forfeiture
                                     => 17626, forgeries
                                     => 18329,
                            forges   => 19197, forli    => 22720, form     => 236, forma    => 25117,
                            formal   => 1747, formalised
                                     => 19227,
                            formalism
                                     => 15003, formalize
                                     => 28838,
                            formalized
                                     => 11690, formally => 2091,
                            format   => 1006, formation
                                     => 981,
                            formations
                                     => 4973, formative
                                     => 9961,
                            formats  => 3964, formatted
                                     => 11338,
                            formatting
                                     => 18902, formed   => 372,
                            former   => 163, formerly => 971, formidable
                                     => 7782,
                            forming  => 2036, formosa  => 11888, forms    => 797, formula  => 1676,
                            formula_1
                                     => 4319, formula_10
                                     => 8726,
                            formula_11
                                     => 8927, formula_12
                                     => 9299,
                            formula_13
                                     => 9680, formula_14
                                     => 10029,
                            formula_15
                                     => 10297, formula_16
                                     => 10496,
                            formula_17
                                     => 10677, formula_18
                                     => 10964,
                            formula_19
                                     => 11443, formula_2
                                     => 5049,
                            formula_20
                                     => 11766, formula_21
                                     => 12125,
                            formula_22
                                     => 12366, formula_23
                                     => 12587,
                            formula_24
                                     => 12951, formula_25
                                     => 13359,
                            formula_26
                                     => 13864, formula_27
                                     => 14044,
                            formula_28
                                     => 14383, formula_29
                                     => 14690,
                            formula_3
                                     => 5757, formula_30
                                     => 15239,
                            formula_31
                                     => 15567, formula_32
                                     => 15753,
                            formula_33
                                     => 16084, formula_34
                                     => 16640,
                            formula_35
                                     => 16865, formula_36
                                     => 16908,
                            formula_37
                                     => 17691, formula_38
                                     => 18168,
                            formula_39
                                     => 18104, formula_4
                                     => 6225,
                            formula_40
                                     => 18098, formula_41
                                     => 19288,
                            formula_42
                                     => 19467, formula_43
                                     => 20222,
                            formula_44
                                     => 20837, formula_45
                                     => 20564,
                            formula_46
                                     => 21160, formula_47
                                     => 21864,
                            formula_48
                                     => 22391, formula_49
                                     => 21964,
                            formula_5
                                     => 6764, formula_50
                                     => 22565,
                            formula_51
                                     => 22924, formula_52
                                     => 23774,
                            formula_53
                                     => 24310, formula_54
                                     => 24882,
                            formula_55
                                     => 25510, formula_56
                                     => 25550,
                            formula_57
                                     => 25197, formula_58
                                     => 26261,
                            formula_59
                                     => 26881, formula_6
                                     => 7155,
                            formula_60
                                     => 26855, formula_61
                                     => 28350,
                            formula_62
                                     => 27377, formula_63
                                     => 28616,
                            formula_64
                                     => 28461, formula_65
                                     => 29523,
                            formula_7
                                     => 7569, formula_8
                                     => 8070,
                            formula_9
                                     => 8281, formulae => 14074,
                            formulaic
                                     => 20836, formulas => 8941,
                            formulate
                                     => 12912, formulated
                                     => 7229,
                            formulating
                                     => 16089, formulation
                                     => 7056,
                            formulations
                                     => 13150, forrestal
                                     => 25295,
                            fort     => 739, fortaleza
                                     => 21578,
                            fortescue
                                     => 17746, fortification
                                     => 8361,
                            fortifications
                                     => 5391, fortified
                                     => 5116,
                            fortify  => 20922, fortis   => 19827, fortnight
                                     => 12817,
                            fortnightly
                                     => 17871, fortran  => 16021,
                            fortress => 3109, fortresses
                                     => 10295,
                            forts    => 5665, fortunes => 6728, forum    => 2463, forums   => 7396,
                            forwards => 8132, forza    => 16511, fossa    => 17722, fossil   => 3950,
                            fossils  => 4272, fostered => 11228, fostering
                                     => 10875,
                            fosters  => 16192, fouad    => 27887, foucault => 14571, fought   => 1393,
                            fouling  => 19491, fouls    => 19250, found    => 139, foundation
                                     => 626,
                            foundational
                                     => 13806, foundations
                                     => 3813,
                            founded  => 298, founder  => 1046, foundered
                                     => 18474,
                            founders => 3090, founding => 1374, foundling
                                     => 25162,
                            foundress
                                     => 29290, foundries
                                     => 21141,
                            foundry  => 7405, fountains
                                     => 9221,
                            four     => 115, "four-and-a-half"
                                     => 26835,
                            fourfold => 29958, fourier  => 9252, foursquare
                                     => 26170,
                            fourteenth
                                     => 5905, fourth   => 504,
                            fourths  => 16577, fowey    => 27413, foxes    => 9541, foxtel   => 20243,
                            foyle    => 18396, fracking => 29621, fractal  => 16456, fraction => 5749,
                            fractional
                                     => 12122, fractions
                                     => 12205,
                            fractures
                                     => 10887, fracturing
                                     => 15217,
                            fragility
                                     => 22446, fragment => 6750,
                            fragmentary
                                     => 12513, fragmentation
                                     => 9959,
                            fragmented
                                     => 10390, fragments
                                     => 4321,
                            fragrant => 15347, frame    => 1896, frames   => 4548, framework
                                     => 2707,
                            frameworks
                                     => 11621, framingham
                                     => 20624,
                            franc    => 11551, franca   => 12416, francais => 9997, francaise
                                     => 8405,
                            france   => 319, francesc => 29650, franche  => 14578, franchise
                                     => 2090,
                            franchised
                                     => 20815, franchisee
                                     => 28305,
                            franchisees
                                     => 26414, franchises
                                     => 7697,
                            franchising
                                     => 22404, franciscan
                                     => 7165,
                            franciscans
                                     => 13622, franciszek
                                     => 21441,
                            francoist
                                     => 25399, franconia
                                     => 15001,
                            franconian
                                     => 17483, francophone
                                     => 10711,
                            francophonie
                                     => 25211, franjo   => 24109,
                            frankford
                                     => 20354, frankfort
                                     => 14748,
                            frankfurt
                                     => 4018, frankfurter
                                     => 17083,
                            frankish => 8998, frankivsk
                                     => 27520,
                            frankland
                                     => 27810, frankston
                                     => 18618,
                            frans    => 11400, frantisek
                                     => 15081,
                            franziska
                                     => 26214, frass    => 25966,
                            fraternal
                                     => 11470, fraternities
                                     => 12043,
                            fraudulent
                                     => 9823, fraudulently
                                     => 24664,
                            fraunhofer
                                     => 27372, frazione => 20085,
                            frazioni => 22872, fredericksburg
                                     => 12498,
                            fredericton
                                     => 16220, frederik => 11572,
                            frederiksberg
                                     => 27410, fredrik  => 11093,
                            fredrikstad
                                     => 20070, free     => 342,
                            freebsd  => 18789, freedmen => 13616, freedom  => 1238, freedoms => 8584,
                            freeform => 29293, freehold => 13260, freeholders
                                     => 22372,
                            freelance
                                     => 6054, freely   => 4648,
                            freemason
                                     => 15892, freemasonry
                                     => 12934,
                            freemasons
                                     => 15093, freemen  => 20553,
                            freeport => 14714, freestanding
                                     => 20901,
                            freestyle
                                     => 3286, freetown => 13199,
                            freeview => 19817, freeware => 17964, freeway  => 4058, frege    => 26524,
                            freiburg => 9197, freie    => 25119, freight  => 3066, freighter
                                     => 10839,
                            freighters
                                     => 20217, freiherr => 15988,
                            freikorps
                                     => 27086, freising => 27502,
                            freleng  => 28449, fremantle
                                     => 7565,
                            fremont  => 8241, french   => 226, frenchman
                                     => 10477,
                            frenetic => 25943, frente   => 24623, frentzen => 29010, frenzied => 28067,
                            frequencies
                                     => 4862, frequency
                                     => 1998,
                            frequent => 2371, frequented
                                     => 9484,
                            frequently
                                     => 1300, freres   => 20169,
                            fresco   => 10226, frescoed => 27155, frescoes => 8848, frescos  => 18221,
                            freshwater
                                     => 4400, fresnel  => 17179,
                            fresno   => 7584, frets    => 21741, freya    => 22630, friars   => 8820,
                            friary   => 15020, fribourg => 15798, fricative
                                     => 17683,
                            fricatives
                                     => 25104, friction => 6393,
                            frictional
                                     => 28570, friedkin => 27330,
                            friedrich
                                     => 3510, friedrichshafen
                                     => 27966,
                            friendlies
                                     => 12829, friendliness
                                     => 26143,
                            friesland
                                     => 14280, frieze   => 11590,
                            friezes  => 26620, frigate  => 5714, frigates => 8260, fringe   => 5564,
                            fringed  => 19694, fringes  => 11548, frisia   => 19459, frisian  => 12304,
                            frisians => 27243, friuli   => 14699, frobenius
                                     => 22949,
                            frodo    => 22046, from     => 14, frome    => 17543, fronds   => 19755,
                            frontage => 12268, frontal  => 7350, fronted  => 8841, frontenac
                                     => 18187,
                            frontera => 21236, frontier => 3391, frontiers
                                     => 10969,
                            frontispiece
                                     => 28967, frontline
                                     => 11513,
                            frontman => 7680, frontrunner
                                     => 21738,
                            fronts   => 8352, frosts   => 26545, fructose => 16832, fruiting => 17517,
                            fruition => 11423, fruits   => 4219, frusciante
                                     => 25328,
                            frustrate
                                     => 29913, fuego    => 14719,
                            fuel     => 1503, fueled   => 7848, fueling  => 15879, fuelled  => 14267,
                            fuels    => 7466, fuerza   => 23416, fujian   => 10335, fujimori => 22717,
                            fujitsu  => 20051, fukuoka  => 10165, fukushima
                                     => 10622,
                            fukuyama => 29472, fulani   => 20959, fulda    => 16512, fulfil   => 12661,
                            fulfilment
                                     => 22065, fulham   => 7587,
                            full     => 315, fullback => 7862, fullness => 24525, fully    => 1303,
                            fumble   => 7582, fumbled  => 15382, fumbles  => 13101, funafuti => 29486,
                            function => 910, functional
                                     => 3076,
                            functionalism
                                     => 26110, functionalities
                                     => 29213,
                            functionality
                                     => 5603, functionally
                                     => 13149,
                            functionaries
                                     => 23837, functionary
                                     => 28239,
                            functioned
                                     => 7928, functioning
                                     => 4971,
                            functions
                                     => 1448, functor  => 16437,
                            functors => 26741, fund     => 1371, fundacion
                                     => 19186,
                            fundamental
                                     => 2856, fundamentalism
                                     => 19685,
                            fundamentalist
                                     => 13039,
                            fundamentalists
                                     => 23482,
                            fundamentally
                                     => 9142, funded   => 2275,
                            funders  => 26689, funding  => 1350, fundraisers
                                     => 17913,
                            fundraising
                                     => 5734, funds    => 1521,
                            fundy    => 22544, funen    => 25961, funerary => 12976, fungal   => 9948,
                            fungi    => 5582, fungus   => 6766, funicular
                                     => 16997,
                            funimation
                                     => 18127, funkadelic
                                     => 26480,
                            funnel   => 9638, funnels  => 18762, furlongs => 10850, furnaces => 11326,
                            furnished
                                     => 8545, furnishing
                                     => 18493,
                            furnishings
                                     => 9775, furrows  => 27032,
                            furstenberg
                                     => 21494, furth    => 18614,
                            further  => 329, furtherance
                                     => 28978,
                            furthered
                                     => 14572, furthering
                                     => 14541,
                            furthermore
                                     => 2507, fuscous  => 8822,
                            fused    => 8107, fuselage => 5198, fusiliers
                                     => 12528,
                            fusing   => 17000, fussball => 20965, futbol   => 11876, futebol  => 12945,
                            futsal   => 8382, futuna   => 27353, futura   => 24190, futurama => 21593,
                            futurism => 22859, futurist => 18137, futuristic
                                     => 10569,
                            futurity => 29705, fuzhou   => 17332, fylde    => 24154, fyodor   => 14543,
                            gabala   => 26747, gabba    => 28275, gabled   => 11546, gables   => 10361,
                            gabon    => 8852, gabonese => 25887, gaborone => 26262, gabrovo  => 28434,
                            gaddafi  => 9228, gaelic   => 4028, gaels    => 17359, gaeltacht
                                     => 24627,
                            gaetano  => 14333, gagarin  => 19876, gaiden   => 26969, gaiety   => 19232,
                            gaiman   => 17719, gain     => 1715, gained   => 1104, gainesville
                                     => 10283,
                            gaining  => 3217, gains    => 4577, gainsborough
                                     => 13695,
                            gainsbourg
                                     => 25086, gaius    => 10557,
                            gakuen   => 25738, gakuin   => 29757, galactic => 8839, galactose
                                     => 25882,
                            galactus => 22291, galapagos
                                     => 13398,
                            galatasaray
                                     => 11721, galatea  => 23322,
                            galaxies => 8223, galaxy   => 3853, galeazzo => 27150, galena   => 15457,
                            galeria  => 20841, galerie  => 11844, galesburg
                                     => 29238,
                            galician => 9685, galilean => 26460, galilee  => 11168, galilei  => 25264,
                            galileo  => 9358, gallantry
                                     => 8550,
                            gallaudet
                                     => 26962, gallen   => 13086,
                            galleon  => 21249, galleons => 28864, galleria => 14340, galleries
                                     => 4485,
                            gallery  => 1412, galleys  => 14595, gallia   => 22437, gallic   => 14906,
                            gallifrey
                                     => 28290, gallipoli
                                     => 10902,
                            gallium  => 18475, galois   => 17330, galton   => 21604, galvatron
                                     => 22566,
                            galveston
                                     => 9152, galway   => 5396,
                            gamal    => 19497, gambia   => 10556, gambian  => 25150, gambier  => 17830,
                            gambit   => 13653, gambrinus
                                     => 29726,
                            game     => 121, gamecocks
                                     => 19673,
                            gamecube => 14370, gamelan  => 19813, gameplay => 3493, gamepro  => 21158,
                            gamer    => 12451, gamerankings
                                     => 16638,
                            gamers   => 12230, games    => 196, gamespot => 12745, gamespy  => 24831,
                            gamesradar
                                     => 21439, gametes  => 22797,
                            gaming   => 3998, gamma    => 5251, ganassi  => 27260, gandalf  => 21477,
                            gandhara => 23797, gandhi   => 4653, gandhian => 27222, ganesan  => 18773,
                            ganesh   => 11971, ganesha  => 14319, ganga    => 11033, ganges   => 10912,
                            ganglia  => 17390, ganglion => 17888, gangnam  => 26454, ganguly  => 19114,
                            gangwon  => 25579, gannett  => 17268, gansu    => 12869, gantry   => 24293,
                            ganymede => 25220, gaozong  => 19351, gaozu    => 21834, garages  => 14960,
                            garda    => 12677, gardai   => 26764, garde    => 5865, garden   => 1206,
                            gardens  => 1994, garhwal  => 21797, garibaldi
                                     => 11315,
                            garlands => 24825, garment  => 8610, garments => 9702, garmisch => 23205,
                            garnered => 4828, garnering
                                     => 11760,
                            garnier  => 17947, garonne  => 13456, garrisoned
                                     => 13894,
                            garrisons
                                     => 11614, garros   => 23589,
                            garuda   => 15991, garwolin => 29800, gascony  => 21161, gascoyne => 24149,
                            gaseous  => 13937, gases    => 5925, gasification
                                     => 26498,
                            gaspe    => 26090, gastric  => 13183, gastroenterology
                                     => 28192,
                            gastrointestinal
                                     => 10822,
                            gastronomy
                                     => 22594, gastropod
                                     => 3605,
                            gastropods
                                     => 17316, gasworks => 29586,
                            gated    => 12116, gatefold => 26659, gateshead
                                     => 10922,
                            gateway  => 4776, gateways => 16158, gathered => 3142, gatherer => 20411,
                            gatherers
                                     => 16808, gathering
                                     => 3489,
                            gatherings
                                     => 8080, gatineau => 17325,
                            gators   => 8712, gatos    => 25035, gatwick  => 15038, gauche   => 27594,
                            gaucho   => 21472, gaudens  => 28059, gaudi    => 23829, gauge    => 2801,
                            gauges   => 13869, gauguin  => 18654, gauliga  => 27161, gaulish  => 21428,
                            gaulle   => 10221, gauls    => 17710, gaultier => 28007, gaumont  => 25376,
                            gauntlet => 14244, gaurav   => 28130, gauri    => 22107, gauss    => 13651,
                            gaussian => 11666, gautam   => 18811, gautama  => 18259, gauteng  => 15056,
                            gawain   => 20322, gawler   => 22330, gayatri  => 23179, gaza     => 5107,
                            gazeta   => 19254, gazette  => 5473, gazetted => 12355, gazetteer
                                     => 17292,
                            gazprom  => 19270, "gbit/s" => 21151, gcses    => 20236, gdansk   => 7906,
                            gdanski  => 25125, gdynia   => 19599, gearbox  => 8318, gearboxes
                                     => 26177,
                            geared   => 8650, gears    => 8886, geckos   => 22829, geelong  => 7152,
                            geert    => 28277, geeta    => 21886, geetha   => 28410, geffen   => 13441,
                            geforce  => 21569, gehry    => 25530, gelatinous
                                     => 25413,
                            gelder   => 29597, gelderland
                                     => 20814,
                            gelding  => 20742, geldof   => 23930, gelechiidae
                                     => 10474,
                            gelsenkirchen
                                     => 29045, gemara   => 21583,
                            gemstone => 21224, gemstones
                                     => 21558,
                            "gen."   => 4825, gendarmerie
                                     => 12696,
                            gendarmes
                                     => 23187, gender   => 2106,
                            gendered => 22102, genders  => 13448, genealogical
                                     => 8960,
                            genealogies
                                     => 18516, genealogist
                                     => 28313,
                            genealogy
                                     => 9414, genera   => 4016,
                            general  => 136, generale => 14103, generalised
                                     => 23791,
                            generalist
                                     => 29262, generalitat
                                     => 27153,
                            generality
                                     => 22464, generalization
                                     => 10626,
                            generalizations
                                     => 15759,
                            generalize
                                     => 22327, generalized
                                     => 6897,
                            generalizes
                                     => 25060, generalleutnant
                                     => 27218,
                            generally
                                     => 584, generalmajor
                                     => 27930,
                            generals => 4379, generate => 3597, generated
                                     => 2406,
                            generates
                                     => 7142, generating
                                     => 4284,
                            generation
                                     => 1172, generational
                                     => 17087,
                            generations
                                     => 3204, generative
                                     => 17861,
                            generators
                                     => 6489, generic  => 4749,
                            generically
                                     => 21401, genes    => 3693,
                            genesee  => 12936, genetic  => 2780, geneticist
                                     => 19170,
                            genetics => 5732, geneve   => 22854, genghis  => 13581, genial   => 28074,
                            genital  => 11785, genitalia
                                     => 15320,
                            genitive => 13900, genji    => 22514, gennady  => 23419, genocidal
                                     => 23899,
                            genocide => 5412, genoese  => 12932, genome   => 5289, genomes  => 12310,
                            genomic  => 12566, genomics => 14218, genotype => 17996, genotypes
                                     => 27257,
                            genre    => 2268, genres   => 4046, gentiles => 21502, gentrification
                                     => 18220,
                            genus    => 786, geochemistry
                                     => 27542,
                            geodesic => 18066, geodesy  => 28991, geodetic => 17463, geoff    => 6565,
                            geoffroy => 25776, geographer
                                     => 12041,
                            geographers
                                     => 18340, geographic
                                     => 3332,
                            geographical
                                     => 3569, geographically
                                     => 7278,
                            geography
                                     => 1119, geologic => 7267,
                            geological
                                     => 3930, geologically
                                     => 16213,
                            geologist
                                     => 8432, geologists
                                     => 12645,
                            geology  => 4249, geomagnetic
                                     => 25678,
                            geometric
                                     => 5731, geometrical
                                     => 12935,
                            geometrically
                                     => 22040, geometridae
                                     => 8152,
                            geometries
                                     => 17885, geometry => 4078,
                            geomorphology
                                     => 29076, geophysical
                                     => 12599,
                            geophysics
                                     => 17614, geopolitical
                                     => 17059,
                            geopolitics
                                     => 28951, geordie  => 20594,
                            georg    => 4995, georges  => 4652, georgetown
                                     => 5048,
                            georgi   => 13457, georgian => 3473, georgians
                                     => 14593,
                            georgios => 14481, geospatial
                                     => 21256,
                            geostationary
                                     => 21567, geotechnical
                                     => 27732,
                            geothermal
                                     => 11135, geraint  => 24306,
                            gerais   => 10459, geraldton
                                     => 20096,
                            geranium => 29979, german   => 243, germania => 14031, germaniawerft
                                     => 26321,
                            germanic => 5299, germanicus
                                     => 28640,
                            germanium
                                     => 21355, germans  => 2415,
                            germantown
                                     => 13934, germany  => 401,
                            germinal => 26259, germinate
                                     => 20079,
                            germination
                                     => 16584, gerontology
                                     => 29564,
                            gerrit   => 17733, geschichte
                                     => 19454,
                            gesellschaft
                                     => 11578, gesta    => 20064,
                            gestalt  => 19425, gestation
                                     => 12972,
                            gestational
                                     => 27137, getafe   => 22758,
                            gettysburg
                                     => 8258, gewog    => 22337,
                            ghalib   => 26254, ghana    => 3742, ghanaian => 10416, ghani    => 22130,
                            gharana  => 20220, gharb    => 27131, gharbi   => 13337, ghats    => 12776,
                            ghazal   => 18176, ghazali  => 27099, ghazi    => 14980, ghaziabad
                                     => 27756,
                            ghazni   => 20347, ghent    => 9300, gheorghe => 13487, gheorghiu
                                     => 25779,
                            ghibli   => 27936, ghosh    => 12286, ghostface
                                     => 25201,
                            ghostly  => 15785, ghraib   => 27661, ghulam   => 11089, giacomo  => 9377,
                            giambattista
                                     => 29794, giancarlo
                                     => 17349,
                            gianfranco
                                     => 23746, gianluca => 23486,
                            giannis  => 27140, giants   => 2609, gibraltar
                                     => 4552,
                            gielgud  => 20063, giessen  => 17979, giffard  => 21326, gigabit  => 22121,
                            gigantea => 29754, gigas    => 28543, giggs    => 25041, gijon    => 18117,
                            gilad    => 28512, gilan    => 10669, gilani   => 28772, gilded   => 11005,
                            gilding  => 29691, gilead   => 23861, gilgamesh
                                     => 20152,
                            gilgit   => 18397, gilly    => 26098, gimel    => 28126, gimnasia => 24699,
                            ginebra  => 20822, ginzburg => 26406, giorgio  => 7839, giorgos  => 19994,
                            giotto   => 27143, gippsland
                                     => 14141,
                            gipsy    => 20835, gipuzkoa => 24873, girardeau
                                     => 24400,
                            girder   => 15832, girders  => 18754, girish   => 29198, girolamo => 15404,
                            girona   => 15729, gironde  => 18108, gisborne => 18041, giulia   => 15426,
                            giulio   => 12132, given    => 262, givenchy => 27613, glaad    => 24174,
                            glabra   => 29342, glabrous => 21510, glacial  => 6676, glaciated
                                     => 27985,
                            glaciation
                                     => 14426, glacier  => 3231,
                            glaciers => 7517, gladiators
                                     => 11674,
                            glamorgan
                                     => 8178, gland    => 9255,
                            glandular
                                     => 16711, glarus   => 23495,
                            glasgow  => 2414, glastonbury
                                     => 10917,
                            glaxosmithkline
                                     => 26828,
                            glazes   => 27290, glazing  => 17632, gleaned  => 22706, glebe    => 15725,
                            gleizes  => 23331, glencairn
                                     => 28482,
                            glencoe  => 23059, glendale => 9807, glenelg  => 17906, glens    => 18681,
                            glentoran
                                     => 24401, glenwood => 16369,
                            glial    => 24082, glide    => 12279, glider   => 7538, gliders  => 10903,
                            gliding  => 10305, gliese   => 24967, global   => 970, globalisation
                                     => 21705,
                            globalization
                                     => 9057, globally => 6321,
                            globe    => 2862, globo    => 14666, globose  => 28955, globular => 15655,
                            globus   => 26905, glogow   => 26736, glories  => 26250, glorification
                                     => 26815,
                            glorify  => 27042, glossary => 14630, glosses  => 27529, glossop  => 20868,
                            glossy   => 10541, glottal  => 20899, gloucester
                                     => 5140,
                            gloucestershire
                                     => 5842,
                            glucose  => 6923, glutamate
                                     => 13141,
                            glutamine
                                     => 28847, glutathione
                                     => 22478,
                            gluten   => 17675, glycerol => 20998, glycine  => 18386, glycogen => 20165,
                            glycol   => 18021, glycolysis
                                     => 26630,
                            glycoprotein
                                     => 19768, glycoproteins
                                     => 29424,
                            glycoside
                                     => 25574, glyndebourne
                                     => 23630,
                            glyndwr  => 24647, glyph    => 19372, glyphipterix
                                     => 24523,
                            glyphs   => 18292, gmail    => 24116, gmina    => 1826, gminas   => 10465,
                            gnaeus   => 24259, gneiss   => 22251, gniezno  => 18546, gnostic  => 16874,
                            gnosticism
                                     => 25245, goal     => 616,
                            goalkeeper
                                     => 3615, goalkeepers
                                     => 16485,
                            goalkeeping
                                     => 16445, goalless => 14890,
                            goals    => 749, goalscorer
                                     => 10404,
                            goalscorers
                                     => 15659, goalscoring
                                     => 18409,
                            goaltender
                                     => 8074, goaltenders
                                     => 15072,
                            goaltending
                                     => 22897, goats    => 7661,
                            gobind   => 19404, goblin   => 11995, godalming
                                     => 29506,
                            godavari => 13821, goddesses
                                     => 11852,
                            godel    => 17645, godhead  => 27664, godolphin
                                     => 20583,
                            godunov  => 27441, goethe   => 9077, gogol    => 18582, goguryeo => 13874,
                            goiania  => 26939, goias    => 15257, golan    => 13819, gold     => 496,
                            goldeneye
                                     => 25615, golders  => 28139,
                            goldfields
                                     => 14237, goldfinger
                                     => 21990,
                            golds    => 13625, goldsmiths
                                     => 16541,
                            goldwater
                                     => 13768, goldwyn  => 11656,
                            golem    => 20299, golestan => 16235, golf     => 1794, golfer   => 7795,
                            golfers  => 12939, golgi    => 21632, gollancz => 29537, gonbad   => 29106,
                            gondor   => 23100, gondwana => 18524, gong     => 5831, gongs    => 29072,
                            gonville => 28770, gonzaga  => 10393, goodison => 23064, goodrem  => 29073,
                            goods    => 1786, goodwood => 15538, google   => 3202, goole    => 24063,
                            gopal    => 13012, gophers  => 13708, gorakhpur
                                     => 25255,
                            goran    => 11213, gorbachev
                                     => 12073,
                            gorda    => 21958, gorge    => 6080, gorges   => 12417, gorgon   => 21422,
                            gorica   => 20031, gorillaz => 28718, goring   => 10853, gorizia  => 19631,
                            gorkha   => 20389, gorlitz  => 26822, gorna    => 26338, gornik   => 29593,
                            gornja   => 24258, gornji   => 18333, gorse    => 27602, goryeo   => 15433,
                            gorzow   => 22667, gosford  => 21309, gosforth => 27962, goshen   => 15124,
                            gosling  => 19594, gospel   => 2926, gospels  => 8438, gosport  => 20370,
                            gosta    => 27350, goswami  => 21664, gotaland => 18449, goteborg => 14678,
                            gotha    => 12693, gothenburg
                                     => 8706,
                            gothic   => 2861, goths    => 13965, gotland  => 16669, gotra    => 21846,
                            gotthard => 20670, gotti    => 16756, gottingen
                                     => 9386,
                            gottlob  => 25867, gottorp  => 29583, gouda    => 27976, goulburn => 15396,
                            gounod   => 23525, govern   => 7904, governance
                                     => 3532,
                            governed => 3558, governing
                                     => 3043,
                            government
                                     => 122, governmental
                                     => 3778,
                            governments
                                     => 2290, governor => 563,
                            governorate
                                     => 5649, governorates
                                     => 18792,
                            governors
                                     => 3747, governorship
                                     => 9582,
                            governs  => 12706, govind   => 21551, govinda  => 17363, gowda    => 25821,
                            gowrie   => 29663, graaf    => 26015, graced   => 17403, gracilis => 18853,
                            gracillariidae
                                     => 16751,
                            grade    => 1015, graded   => 8105, grades   => 2524, gradient => 6740,
                            gradients
                                     => 13613, gradual  => 6318,
                            gradually
                                     => 2259, graduate => 1318,
                            graduated
                                     => 950, graduates
                                     => 3758,
                            graduating
                                     => 2357, graduation
                                     => 2728,
                            graeme   => 8792, graffiti => 7326, grafting => 21285, grahame  => 19652,
                            grahamstown
                                     => 23628, grain    => 3542,
                            grained  => 13952, grains   => 7106, grama    => 25263, grameen  => 29846,
                            gramercy => 29507, grammar  => 2744, grammarian
                                     => 23923,
                            grammars => 15550, grammatical
                                     => 8506,
                            grammatically
                                     => 24402, grammy   => 3227,
                            grammys  => 23016, gramophone
                                     => 13895,
                            grampian => 25406, granada  => 6460, granary  => 18403, granby   => 18358,
                            grand    => 517, grande   => 3538, grandes  => 16374, grandfathered
                                     => 26558,
                            grandis  => 22731, grandmaster
                                     => 10069,
                            grandnephew
                                     => 29316, grands   => 14618,
                            grandsons
                                     => 13561, grandstand
                                     => 11915,
                            grandstands
                                     => 27215, grandview
                                     => 22680,
                            grange   => 6831, granite  => 4126, granites => 29733, granitic => 25648,
                            granted  => 1256, grantee  => 27002, granth   => 21123, granting => 5781,
                            grants   => 3080, granular => 15951, granules => 17255, graph    => 3837,
                            graphene => 19306, graphic  => 3280, graphical
                                     => 7382,
                            graphically
                                     => 16995, graphics => 3129,
                            graphite => 11671, graphs   => 7375, grapple  => 22117, grappling
                                     => 15437,
                            grass    => 2938, grasse   => 22231, grasses  => 8751, grassland
                                     => 7368,
                            grasslands
                                     => 9357, grassroots
                                     => 8292,
                            grassy   => 10609, graubunden
                                     => 19794,
                            gravel   => 5764, gravelly => 22260, gravesend
                                     => 15800,
                            gravestone
                                     => 17986, gravestones
                                     => 21637,
                            gravitation
                                     => 18676, gravitational
                                     => 7555,
                            gravity  => 3893, grayish  => 16897, grayling => 21930, graze    => 18709,
                            grazing  => 6704, greater  => 835, greatest => 1408, greatly  => 2218,
                            greats   => 12877, grebes   => 25301, grecian  => 28106, greece   => 1757,
                            greek    => 717, greeks   => 4980, greenback
                                     => 28993,
                            greenbelt
                                     => 19889, greenbrier
                                     => 18923,
                            greendale
                                     => 29550, greenery => 19532,
                            greenhouse
                                     => 6717, greenhouses
                                     => 17341,
                            greenish => 10145, greenland
                                     => 6189,
                            greenlandic
                                     => 24718, greenock => 12999,
                            greenpeace
                                     => 13034, greens   => 6640,
                            greensboro
                                     => 10246, greensburg
                                     => 20274,
                            greenstone
                                     => 23156, greenville
                                     => 7652,
                            greenwich
                                     => 5567, greeted  => 8130,
                            gregarious
                                     => 18116, gregorian
                                     => 8981,
                            greifswald
                                     => 19507, gremio   => 18113,
                            grenada  => 10377, grenades => 8969, grenadier
                                     => 11952,
                            grenadiers
                                     => 17134, grenadines
                                     => 17502,
                            grenfell => 16915, grenoble => 11802, grenville
                                     => 13445,
                            gresley  => 26876, gretna   => 19130, gretzky  => 16099, greville => 19483,
                            grevillea
                                     => 20871, grew     => 1028,
                            grey     => 1787, greyfriars
                                     => 25025,
                            greyhawk => 15636, greyhound
                                     => 9285,
                            greyhounds
                                     => 19917, greyish  => 9894,
                            greys    => 18541, grid     => 3339, gridiron => 15108, grids    => 14484,
                            grieg    => 19680, grierson => 20447, grievances
                                     => 11759,
                            griffins => 18148, grigor   => 29214, grigore  => 27352, grigori  => 27544,
                            grigory  => 19309, grille   => 9748, grilles  => 28485, grimlock => 28569,
                            grimsby  => 8635, grindcore
                                     => 27028,
                            gripped  => 25332, gristmill
                                     => 20993,
                            grizzlies
                                     => 11875, grocers  => 22503,
                            grodno   => 21058, grodzisk => 25813, groening => 21481, grohl    => 19428,
                            grojec   => 25236, groningen
                                     => 10484,
                            groot    => 18976, grooved  => 21293, grooves  => 10282, gropius  => 26795,
                            grosjean => 25518, grossed  => 7338, grosser  => 15436, grosseto => 24000,
                            grossing => 6990, grothendieck
                                     => 25732,
                            groton   => 16190, ground   => 508, groundbreaking
                                     => 8442,
                            grounds  => 1742, groundwater
                                     => 8461,
                            group    => 109, groupe   => 14514, grouped  => 5527, grouper  => 27592,
                            grouping => 7254, groupings
                                     => 11212,
                            groups   => 467, grouse   => 14668, grower   => 21799, growers  => 9942,
                            growing  => 1087, grows    => 2937, growth   => 940, growths  => 26563,
                            groza    => 29098, grozny   => 19562, grudgingly
                                     => 29723,
                            gruffudd => 22448, gruffydd => 22607, grumman  => 11788, grupo    => 10719,
                            gruppe   => 18938, gruppo   => 25368, grzegorz => 25650, guadalajara
                                     => 8530,
                            guadalcanal
                                     => 9993, guadeloupe
                                     => 11891,
                            guam     => 5934, guanajuato
                                     => 16689,
                            guang    => 11604, guangdong
                                     => 7978,
                            guangxi  => 12609, guangzhou
                                     => 7204,
                            guanine  => 24501, guano    => 19180, guantanamo
                                     => 7784,
                            guarani  => 15002, guaranty => 26992, guardia  => 15618, guardian => 2842,
                            guardians
                                     => 7589, guardsman
                                     => 29924,
                            guardsmen
                                     => 17193, guatemala
                                     => 4594,
                            guatemalan
                                     => 10499, guayaquil
                                     => 16444,
                            gubernatorial
                                     => 5986, guelders => 28667,
                            guelph   => 11305, guerilla => 14657, guerre   => 11279, guerrilla
                                     => 5743,
                            guerrillas
                                     => 9298, guested  => 20795,
                            guetta   => 19470, guggenheim
                                     => 8290,
                            guiana   => 9443, guidance => 3350, guide    => 1889, guidebooks
                                     => 28522,
                            guided   => 3712, guideline
                                     => 16136,
                            guidelines
                                     => 4322, guides   => 5030,
                            guiding  => 6738, guild    => 3639, guilders => 20256, guildford
                                     => 9045,
                            guildhall
                                     => 13356, guilds   => 11620,
                            guilherme
                                     => 27162, guillaume
                                     => 8627,
                            guimaraes
                                     => 17500, guinea   => 2582,
                            guinean  => 16056, guineas  => 8740, guinness => 6648, guise    => 8596,
                            guises   => 29449, guitar   => 1031, guitarist
                                     => 2006,
                            guitarists
                                     => 9404, guitars  => 4222,
                            guizhou  => 14973, gujarat  => 5588, gujarati => 10934, gujranwala
                                     => 26936,
                            gujrat   => 23385, gulch    => 14961, gulden   => 23542, gules    => 10114,
                            gulf     => 1949, gulfport => 24789, gulfstream
                                     => 20327,
                            gullies  => 21681, gulliver => 18716, gulshan  => 28641, gulzar   => 28144,
                            gunboat  => 10981, gunboats => 12101, gundam   => 11363, gunfight => 15882,
                            gunma    => 20241, gunmen   => 10808, gunnar   => 10713, gunner   => 8899,
                            gunners  => 10509, gunnery  => 9820, gunnison => 24323, gunpowder
                                     => 8554,
                            guns     => 1535, gunship  => 29233, gunships => 28426, gunsmoke => 21813,
                            guntur   => 16733, gunung   => 25512, guppy    => 27696, gurdjieff
                                     => 25297,
                            gurdwara => 17881, gurgaon  => 18736, gurion   => 14504, gurkha   => 17278,
                            gurkhas  => 27475, gurps    => 22725, guru     => 4606, gurudwara
                                     => 26144,
                            gurung   => 30000, gurus    => 16974, gustaf   => 12137, gustafsson
                                     => 23952,
                            gustav   => 5376, gustave  => 11079, gustavus => 14756, gusts    => 13858,
                            gutenberg
                                     => 17634, guttenberg
                                     => 27485,
                            guwahati => 14395, guyana   => 7232, guyanese => 19322, guyed    => 29559,
                            gwalior  => 14577, gwangju  => 18904, gwent    => 18151, gwinnett => 19431,
                            gwynedd  => 11036, gwynne   => 21631, gyatso   => 23928, gyeonggi => 22509,
                            gyeongju => 27468, gyeongsang
                                     => 29863,
                            gygax    => 19391, gyllenhaal
                                     => 29039,
                            gymkhana => 26983, gymnasium
                                     => 4323,
                            gymnasiums
                                     => 22077, gymnast  => 9397,
                            gymnastic
                                     => 22793, gymnastics
                                     => 5089,
                            gymnasts => 15880, gymnopilus
                                     => 24573,
                            gympie   => 23172, gynaecology
                                     => 26385,
                            gynecology
                                     => 20344, gyorgy   => 15153,
                            gypsum   => 14009, gyrus    => 20618, gyula    => 18228, "h.m.s"  => 26297,
                            haakon   => 15186, haaretz  => 22004, haarlem  => 10795, haasan   => 19213,
                            habana   => 20643, habeas   => 12313, habermas => 23075, habilitation
                                     => 16401,
                            habitable
                                     => 14328, habitat  => 1724,
                            habitation
                                     => 11105, habitats => 3698,
                            habitually
                                     => 22042, habsburg => 6310,
                            habsburgs
                                     => 14516, hachette => 29016,
                            hacienda => 12278, haciendas
                                     => 29820,
                            hackensack
                                     => 17161, had      => 25,
                            hadamard => 29248, hadassah => 24986, haddington
                                     => 24709,
                            hadith   => 9995, hadrian  => 11562, hadron   => 27540, haemorrhage
                                     => 25878,
                            hafez    => 21291, hafiz    => 16526, haganah  => 17834, hagerstown
                                     => 17845,
                            hagia    => 24925, hagiography
                                     => 23987,
                            haida    => 18364, haifa    => 8005, hailed   => 6522, haileybury
                                     => 27846,
                            hailing  => 13282, hails    => 12662, hainan   => 13152, hainaut  => 19413,
                            hairpin  => 17015, haiti    => 4799, haitian  => 7966, haitians => 23442,
                            hajime   => 24928, hajji    => 13608, hajjiabad
                                     => 19603,
                            hakan    => 20930, hakeem   => 24800, hakka    => 16215, hakkinen => 17843,
                            hakodate => 29273, hakon    => 20893, halakha  => 24340, halakhic => 28123,
                            halal    => 21136, halberstadt
                                     => 23689,
                            halcyon  => 24305, haldane  => 15044, haldimand
                                     => 29470,
                            halen    => 13890, halesowen
                                     => 26759,
                            half     => 350, halfback => 9899, halfdan  => 27934, halftime => 7423,
                            halide   => 20542, halides  => 21287, halifax  => 3898, halil    => 27657,
                            halim    => 20671, halland  => 29907, hallmarks
                                     => 19837,
                            halls    => 4142, hallstatt
                                     => 29737,
                            hallucinogenic
                                     => 23784,
                            halogen  => 19935, halt     => 4867, halted   => 6062, halting  => 15205,
                            halts    => 19984, halved   => 18557, halves   => 9535, halych   => 28894,
                            hamadan  => 14539, hamas    => 7592, hamasaki => 18548, hamburg  => 3406,
                            hameed   => 27663, hamid    => 9307, hamiltonian
                                     => 11902,
                            hamish   => 16264, hamlet   => 3210, hamlets  => 7378, hammam   => 26985,
                            hammarby => 25313, hammerhead
                                     => 24457,
                            hammersmith
                                     => 10081, hammerstein
                                     => 13800,
                            hammocks => 26797, hampden  => 11088, hampered => 8181, hampshire
                                     => 2308,
                            hampstead
                                     => 10410, hamstring
                                     => 14281,
                            hamza    => 16344, hanafi   => 23921, hanau    => 15818, hanbury  => 24603,
                            handball => 4768, handballer
                                     => 25972,
                            handbook => 7146, handbooks
                                     => 25624,
                            handcrafted
                                     => 29222, handedness
                                     => 28619,
                            handel   => 8467, hander   => 18039, handheld => 10351, handicap => 6162,
                            handicaps
                                     => 25454, handicraft
                                     => 19833,
                            handicrafts
                                     => 15680, handily  => 19679,
                            handlers => 15940, handover => 16076, handpicked
                                     => 29897,
                            handset  => 19032, handsets => 23238, handsworth
                                     => 26036,
                            handwritten
                                     => 13805, hangar   => 8444,
                            hangars  => 12660, hanged   => 7121, hangings => 24565, hangul   => 13166,
                            hangzhou => 12529, hanja    => 12263, hannes   => 20375, hannity  => 24570,
                            hanno    => 27492, hannover => 11331, hanns    => 24025, hanoi    => 9050,
                            hanover  => 5511, hanoverian
                                     => 17800,
                            hansa    => 15375, hanseatic
                                     => 15723,
                            hanshin  => 23150, hanssen  => 28073, hansson  => 24225, hants    => 23752,
                            hantuchova
                                     => 28466, hanuman  => 11834,
                            haphazard
                                     => 25742, haplogroup
                                     => 11553,
                            haplogroups
                                     => 25991, haploid  => 22753,
                            haplotype
                                     => 24667, hapoel   => 9194,
                            harald   => 8445, haram    => 17290, harare   => 14977, harbhajan
                                     => 26720,
                            harbinger
                                     => 21093, harbor   => 2243,
                            harbored => 24583, harborough
                                     => 27743,
                            harbors  => 12542, harbour  => 2595, harbours => 13193, harcourt => 9978,
                            hardback => 19258, hardcore => 5060, hardcover
                                     => 10480,
                            hardening
                                     => 17771, hardiness
                                     => 21821,
                            hardinge => 29203, hardline => 21408, hardness => 11776, hardships
                                     => 10773,
                            hardtop  => 17398, hardware => 2831, hardwicke
                                     => 21060,
                            hardwood => 11310, hardwoods
                                     => 23068,
                            haredi   => 18058, hares    => 18268, haridwar => 24491, haringey => 26477,
                            hariri   => 20453, harish   => 23519, harlem   => 5963, harlequin
                                     => 14493,
                            harlequins
                                     => 19016, harlingen
                                     => 27203,
                            harmful  => 6959, harmonia => 25692, harmonic => 7329, harmonica
                                     => 9321,
                            harmonics
                                     => 15587, harmonies
                                     => 10215,
                            harmonious
                                     => 13931, harmonium
                                     => 20571,
                            harmonix => 27918, harmonization
                                     => 27672,
                            harmonize
                                     => 25682, harmonized
                                     => 24107,
                            harnesses
                                     => 23434, harnessing
                                     => 25502,
                            harpalus => 20758, harpercollins
                                     => 16736,
                            harpers  => 17243, harpist  => 23674, harpsichord
                                     => 12316,
                            harrier  => 14373, harriers => 13219, harrisburg
                                     => 8695,
                            harrisonburg
                                     => 28566, harrods  => 27471,
                            harrogate
                                     => 13165, harrow   => 8939,
                            harsher  => 18376, harshest => 29385, harshness
                                     => 26669,
                            hartland => 21726, hartlepool
                                     => 10906,
                            haruka   => 24206, harun    => 20181, harvard  => 1967, harvest  => 4743,
                            harvested
                                     => 8428, harvester
                                     => 16784,
                            harvesting
                                     => 8072, harvests => 17163,
                            harvick  => 16126, harwich  => 15498, haryana  => 8875, has      => 24,
                            hasan    => 6405, hasanabad
                                     => 18018,
                            hasbro   => 13827, hashemi  => 29755, hashim   => 17376, hashing  => 28632,
                            hashtag  => 23415, hasidic  => 12216, hasidim  => 23724, hastened => 18279,
                            hastily  => 10925, hatchback
                                     => 13840,
                            hatchery => 17661, hatchlings
                                     => 24202,
                            hatta    => 24486, hatteras => 20944, hattiesburg
                                     => 27072,
                            hatun    => 28729, haugesund
                                     => 24649,
                            haulage  => 19627, hauptbahnhof
                                     => 14732,
                            hauptmann
                                     => 17438, hausa    => 17602,
                            hausdorff
                                     => 19380, haute    => 6283,
                            hautes   => 14204, hauts    => 26979, havana   => 6068, havant   => 25608,
                            haveli   => 24589, havelock => 18240, haven    => 3675, haverford
                                     => 20509,
                            haverhill
                                     => 20745, havering => 27558,
                            havilland
                                     => 9706, havok    => 22279,
                            havre    => 10518, "hawai'i"
                                     => 19462,
                            hawaii   => 2522, hawaiian => 4780, hawaiians
                                     => 19490,
                            hawke    => 9102, hawkesbury
                                     => 18122,
                            hawkeyes => 16592, hawkman  => 28250, hawkwind => 26762, hawthorn => 8692,
                            hayat    => 19029, haydn    => 9179, haydock  => 26864, haymarket
                                     => 13675,
                            hazara   => 17381, hazardous
                                     => 7135,
                            hazards  => 8049, hazleton => 26230, hazrat   => 13493, he       => 12,
                            "he/she" => 11307, header   => 7655, headers  => 17676, headingley
                                     => 15558,
                            headings => 18567, headlamps
                                     => 19214,
                            headland => 12143, headlands
                                     => 24382,
                            headlined
                                     => 8999, headliner
                                     => 17644,
                            headliners
                                     => 18450, headlining
                                     => 9691,
                            headmaster
                                     => 6580, headmasters
                                     => 21412,
                            headphone
                                     => 27834, headquarter
                                     => 21066,
                            headquartered
                                     => 3273, headquarters
                                     => 1106,
                            headroom => 27920, headship => 24563, headstock
                                     => 28740,
                            headstones
                                     => 23465, headteacher
                                     => 17479,
                            headwater
                                     => 25576, headwaters
                                     => 9161,
                            health   => 410, healthcare
                                     => 3738,
                            hearings => 7035, hearths  => 27241, heartland
                                     => 9783,
                            heated   => 5043, heaters  => 16492, heathland
                                     => 19550,
                            heathrow => 12026, heating  => 4382, heats    => 6049, heatseekers
                                     => 15868,
                            heavier  => 5340, heaviest => 9553, heavily  => 1557, heavy    => 839,
                            heavyweight
                                     => 3452, heavyweights
                                     => 25886,
                            hebei    => 10514, hebrew   => 2686, hebrides => 12438, hectare  => 9004,
                            hectares => 4833, hedgehog => 11569, hedgehogs
                                     => 24039,
                            hedmark  => 28294, hedong   => 25394, heerenveen
                                     => 20512,
                            hegel    => 13031, hegemonic
                                     => 27184,
                            hegemony => 11627, heian    => 16426, heidegger
                                     => 14430,
                            heidelberg
                                     => 6975, heidfeld => 25535,
                            height   => 1569, heights  => 2724, heikki   => 25555, heilbronn
                                     => 20907,
                            heilongjiang
                                     => 18263, heineken => 11058,
                            heinkel  => 16118, heir     => 3298, heiress  => 8050, heirs    => 6208,
                            heisenberg
                                     => 16690, heisman  => 11576,
                            hejaz    => 23120, held     => 167, helder   => 23112, helens   => 8266,
                            helge    => 23430, helical  => 14675, helices  => 18829, helicopters
                                     => 4868,
                            helier   => 27136, heligoland
                                     => 25674,
                            helio    => 22823, heliocentric
                                     => 29896,
                            heliopolis
                                     => 24992, helios   => 17838,
                            heliport => 16194, helium   => 8547, helix    => 9434, hellas   => 20072,
                            hellcat  => 28931, hellenic => 8544, hellenistic
                                     => 9711,
                            hells    => 17613, helmand  => 18390, helmed   => 20935, helmholtz
                                     => 19590,
                            helmsman => 27013, helpline => 26209, helsing  => 26374, helsingborg
                                     => 23025,
                            helsinki => 4875, helvetic => 28966, hematite => 28279, hematopoietic
                                     => 27068,
                            hemel    => 21030, hemings  => 25458, hemisphere
                                     => 5350,
                            hemispheres
                                     => 18290, hemispherical
                                     => 24106,
                            hemorrhagic
                                     => 26078, henan    => 9734,
                            hence    => 2147, henceforth
                                     => 11859,
                            henchmen => 12504, hendrik  => 11371, henin    => 22409, henna    => 27735,
                            hennepin => 18504, henri    => 3922, henrico  => 26771, henricus => 29540,
                            henrik   => 8593, henrique => 15993, henryk   => 15195, hepatic  => 17135,
                            heptathlon
                                     => 19702, her      => 35,
                            heracles => 14411, heraclius
                                     => 16528,
                            heraklion
                                     => 27138, herald   => 3725,
                            heralded => 12520, heraldic => 9678, heraldry => 11102, heralds  => 20355,
                            herat    => 16609, herault  => 23698, herbaceous
                                     => 12324,
                            herbarium
                                     => 14246, herbicide
                                     => 23091,
                            herbicides
                                     => 20408, herbivore
                                     => 25784,
                            herbivores
                                     => 17908, herbivorous
                                     => 17538,
                            hercule  => 29665, hercules => 6121, herders  => 22913, herding  => 14555,
                            herds    => 10528, hereditary
                                     => 5624,
                            heredity => 22685, herefordshire
                                     => 11534,
                            herero   => 29043, heresies => 26706, heresy   => 10337, heretic  => 18260,
                            heretical
                                     => 16075, heretics => 16055,
                            herge    => 16260, heriot   => 23665, heritable
                                     => 25830,
                            heritage => 1232, herkimer => 23690, hermanos => 26285, hermeneutics
                                     => 23780,
                            hermetic => 22033, hermit   => 10206, hermitage
                                     => 9388,
                            hermitian
                                     => 23069, hermits  => 20319,
                            hermosa  => 22079, hernan   => 14286, hernando => 15820, herne    => 17101,
                            herodotus
                                     => 11601, heroes   => 2964,
                            heroine  => 7783, heroines => 16365, heroism  => 10405, herons   => 14345,
                            hertford => 13222, hertfordshire
                                     => 7033,
                            hertogenbosch
                                     => 26363, herve    => 17714,
                            herzegovina
                                     => 4193, herzl    => 23215,
                            herzliya => 27805, hesar    => 25946, hesiod   => 23368, hesketh  => 22254,
                            hesperiidae
                                     => 18182, hessen   => 19841,
                            heterodox
                                     => 28633, heterogeneity
                                     => 23183,
                            heterogeneous
                                     => 12199, heterozygous
                                     => 25695,
                            hetman   => 16593, heung    => 28457, heuristic
                                     => 16381,
                            heuristics
                                     => 25192, hexadecimal
                                     => 24551,
                            hexagon  => 20275, hexagonal
                                     => 10877,
                            hexham   => 19708, heydar   => 26685, heyday   => 9991, heydrich => 21548,
                            hezbollah
                                     => 9154, hezekiah => 22650,
                            hialeah  => 25747, hiatus   => 5159, hiawatha => 19111, hibernate
                                     => 27522,
                            hibernation
                                     => 17780, hibernia => 25338,
                            hibernian
                                     => 12392, hickory  => 10680,
                            hideki   => 21752, hideo    => 22259, hideout  => 12030, hideyoshi
                                     => 15666,
                            hierarchical
                                     => 9048, hierarchies
                                     => 17122,
                            hierarchy
                                     => 5012, hieroglyph
                                     => 24957,
                            hieroglyphic
                                     => 23355, hieronymus
                                     => 20650,
                            high     => 91, highbury => 17551, higher   => 571, highest  => 653,
                            highgate => 15493, highjump => 28666, highland => 4095, highlander
                                     => 19305,
                            highlanders
                                     => 9236, highlands
                                     => 4430,
                            highlight
                                     => 4856, highlighted
                                     => 4740,
                            highlighting
                                     => 8392, highlights
                                     => 4267,
                            highly   => 921, highs    => 9614, highschool
                                     => 23704,
                            highway  => 634, highwayman
                                     => 28938,
                            highways => 3430, hijab    => 23101, hijackers
                                     => 16969,
                            hijacking
                                     => 15252, hikari   => 24333,
                            hikaru   => 17303, hikers   => 11827, hiking   => 5329, hilal    => 17840,
                            hildesheim
                                     => 17956, hillcrest
                                     => 17110,
                            hillel   => 18204, hillfort => 26366, hillingdon
                                     => 24046,
                            hills    => 1369, hillsboro
                                     => 13641,
                            hillsborough
                                     => 9915, hillsdale
                                     => 20198,
                            hillside => 8398, hillsides
                                     => 17420,
                            hillsong => 25151, hilltop  => 10555, hilly    => 8329, hilversum
                                     => 28468,
                            "him/her"
                                     => 25052, himachal => 11968,
                            himalaya => 16412, himalayan
                                     => 10041,
                            himalayas
                                     => 9700, himmler  => 11715,
                            himself  => 381, hindemith
                                     => 24653,
                            hindenburg
                                     => 13576, hinder   => 12184,
                            hindered => 10694, hindering
                                     => 21967,
                            hindi    => 3697, hindley  => 23054, hindmarsh
                                     => 24249,
                            hindrance
                                     => 19189, hindu    => 2608,
                            hinduism => 6921, hindus   => 6827, hindustan
                                     => 13378,
                            hindustani
                                     => 13769, hindwing => 15150,
                            hindwings
                                     => 6474, hinged   => 13151,
                            hingham  => 23672, hingis   => 25205, hinsdale => 28082, hinted   => 9924,
                            hinterland
                                     => 13318, hipped   => 12808,
                            hipper   => 22743, hippocampal
                                     => 24546,
                            hippocampus
                                     => 14808, hippocrates
                                     => 22288,
                            hippodrome
                                     => 17815, hippolyta
                                     => 29303,
                            hippolyte
                                     => 18344, hippolytus
                                     => 26031,
                            hipster  => 29890, hiragana => 24752, hiroki   => 26961, hiroshi  => 12550,
                            hiroshima
                                     => 8316, hiroyuki => 21193,
                            his      => 15, "his/her"
                                     => 8774,
                            hisar    => 23622, hisham   => 21773, hispania => 15330, hispanic => 2061,
                            hispanicized
                                     => 16713, hispanics
                                     => 13178,
                            hispaniola
                                     => 16079, hispano  => 16161,
                            histidine
                                     => 25317, histoire => 16443,
                            histological
                                     => 28312, histology
                                     => 22828,
                            histone  => 15834, historia => 8990, historian
                                     => 1760,
                            historians
                                     => 2671, historic => 518,
                            historical
                                     => 683, historically
                                     => 2361,
                            historicity
                                     => 21577, histories
                                     => 6157,
                            historiography
                                     => 11055,
                            historique
                                     => 20611, history  => 96,
                            hitachi  => 15363, hitchin  => 22050, hitherto => 10911, hitler   => 2899,
                            hitmen   => 21335, hitomi   => 21719, hits     => 1510, hitter   => 6719,
                            hitters  => 12840, hittite  => 14171, hittites => 25669, "hiv/aids"
                                     => 8045,
                            hjalmar  => 22440, hmong    => 11457, hoare    => 17082, hobbit   => 16739,
                            hobbyist => 28359, hobbyists
                                     => 19174,
                            hobgoblin
                                     => 29551, hochschule
                                     => 13000,
                            hockey   => 828, hoddle   => 27147, hodgkin  => 16822, hofstra  => 18892,
                            hogarth  => 15596, hohenlohe
                                     => 21397,
                            hohenstaufen
                                     => 22659, hohenzollern
                                     => 13917,
                            hoisted  => 14838, hokies   => 17275, hokkaido => 7838, hokkien  => 17412,
                            holbein  => 26066, holborn  => 17611, holby    => 16179, "hold'em"
                                     => 23615,
                            holders  => 5172, holdings => 3596, holds    => 1339, holger   => 20278,
                            holistic => 11038, holkar   => 23958, hollande => 25865, hollandia
                                     => 23998,
                            hollies  => 22762, hollows  => 19959, hollyoaks
                                     => 12897,
                            hollywood
                                     => 1812, holme    => 17213,
                            holmenkollen
                                     => 26637, holocaust
                                     => 4453,
                            holocene => 16451, holographic
                                     => 16982,
                            holomorphic
                                     => 18655, holon    => 28620,
                            holotype => 11247, holyhead => 22374, holyoke  => 14587, holyrood => 19628,
                            holywell => 25526, homage   => 5857, home     => 145, homebrew => 26313,
                            homebuilt
                                     => 27476, homegrown
                                     => 19787,
                            homeland => 4258, homelands
                                     => 18173,
                            homelessness
                                     => 13314, homeopathy
                                     => 22579,
                            homeostasis
                                     => 20089, homeowner
                                     => 14361,
                            homeowners
                                     => 11544, homepage => 17385,
                            homeport => 22555, homeric  => 20491, homers   => 16531, homes    => 1587,
                            homeschooled
                                     => 26024, homestead
                                     => 5807,
                            homesteaders
                                     => 29971, homesteads
                                     => 19867,
                            hometown => 3646, homeward => 23577, homeworld
                                     => 16948,
                            homilies => 25809, hominid  => 28459, homogeneity
                                     => 23269,
                            homogeneous
                                     => 8775, homogenous
                                     => 25290,
                            homolog  => 23173, homologation
                                     => 29589,
                            homologous
                                     => 13857, homology => 11907,
                            homomorphism
                                     => 17482, homonymous
                                     => 27876,
                            homophobia
                                     => 15524, homophobic
                                     => 17196,
                            homosexuality
                                     => 5954, homotopy => 15635,
                            homozygous
                                     => 21406, honda    => 4757,
                            honduran => 11374, honduras => 5589, honeycomb
                                     => 12644,
                            honeyeater
                                     => 23427, honiara  => 29230,
                            honolulu => 6576, honorary => 2132, honoree  => 20099, honorees => 21697,
                            honorific
                                     => 12864, honoris  => 16252,
                            honorius => 18575, honors   => 2240, honour   => 2233, honourable
                                     => 7988,
                            honoured => 6117, honouring
                                     => 17462,
                            honours  => 2328, honshu   => 13979, honved   => 29201, hoodoo   => 23066,
                            hooghly  => 22307, hooliganism
                                     => 29677,
                            hoorn    => 29930, hoosiers => 15896, hopefuls => 25419, hopital  => 28674,
                            hoppers  => 25256, hoppus   => 27490, hordaland
                                     => 18727,
                            horde    => 10691, horizon  => 5157, horizontal
                                     => 3815,
                            horizontally
                                     => 9196, horizonte
                                     => 17261,
                            hormozgan
                                     => 13829, hornbill => 22070,
                            hornblower
                                     => 22654, hornby   => 15784,
                            hornchurch
                                     => 25355, horned   => 10238,
                            hornet   => 10104, hornets  => 9172, hornsey  => 26447, horror   => 2662,
                            horse    => 1109, horsemanship
                                     => 28878,
                            horsemen => 10248, horsepower
                                     => 9096,
                            horses   => 2165, horseshoe
                                     => 8618,
                            horsham  => 14225, horthy   => 21989, horticultural
                                     => 9420,
                            horticulture
                                     => 10825, hortons  => 27217,
                            horus    => 15848, hoseyn   => 21429, hoseynabad
                                     => 13555,
                            hosiery  => 26800, hosni    => 23781, hosokawa => 28265, hospice  => 10785,
                            hospitalised
                                     => 18830, hospitalization
                                     => 17049,
                            hospitalized
                                     => 9207, hospitaller
                                     => 22816,
                            hospitallers
                                     => 27710, hospitals
                                     => 3044,
                            hossein  => 15773, host     => 948, hosted   => 1189, hostel   => 8553,
                            hostels  => 13257, hostilities
                                     => 6349,
                            hosting  => 3662, hosts    => 2027, hotelier => 27239, hotels   => 3414,
                            hotham   => 22619, hotly    => 15561, hotspur  => 8721, houbraken
                                     => 25885,
                            houma    => 27093, hounslow => 18721, hourly   => 7961, housatonic
                                     => 25311,
                            house    => 123, housed   => 2670, houseguests
                                     => 14978,
                            household
                                     => 1089, householder
                                     => 2232,
                            households
                                     => 788, housemate
                                     => 14376,
                            housemates
                                     => 10453, houses   => 814,
                            housewives
                                     => 11951, housing  => 867,
                            houten   => 25825, howards  => 26523, however  => 92, howitzer => 13067,
                            howitzers
                                     => 14256, howler   => 26242,
                            howmeh   => 18479, howrah   => 13055, howth    => 28233, hoxha    => 22196,
                            hoxton   => 28743, hoyas    => 20373, hoysala  => 24748, hradec   => 19737,
                            hristo   => 28595, hsien    => 23594, hsinchu  => 28210, html5    => 20844,
                            http     => 2319, https    => 21, huawei   => 26999, hubei    => 11979,
                            hubli    => 28406, hucknall => 29845, huddersfield
                                     => 6918,
                            huelva   => 20728, huesca   => 21444, huffington
                                     => 9922,
                            hugely   => 10252, hughie   => 26525, huguenot => 13646, huguenots
                                     => 16244,
                            hugues   => 22452, hulled   => 15752, hulls    => 12804, human    => 398,
                            humane   => 9121, humanism => 12952, humanist => 8769, humanistic
                                     => 13704,
                            humanists
                                     => 22034, humanitarian
                                     => 4367,
                            humanities
                                     => 4703, humankind
                                     => 14951,
                            humanoid => 10865, humanoids
                                     => 23444,
                            humans   => 1663, humayun  => 17697, humber   => 10430, humberside
                                     => 24878,
                            humboldt => 7481, humerus  => 20479, humid    => 5645, humidity => 7570,
                            hummingbird
                                     => 15015, hummingbirds
                                     => 20733,
                            humorist => 18633, humorous => 5683, humorously
                                     => 18251,
                            hunan    => 10239, hundreds => 2125, hungarian
                                     => 1916,
                            hungarians
                                     => 8536, hungary  => 1991,
                            hunslet  => 19974, hunsruck => 21891, hunterdon
                                     => 22389,
                            hunters  => 5217, huntingdon
                                     => 11539,
                            huntingdonshire
                                     => 20004,
                            huntly   => 19324, huntress => 28289, huntsville
                                     => 9871,
                            huracan  => 22876, hurdler  => 21528, hurdles  => 6816, hurler   => 12890,
                            hurlers  => 29678, hurling  => 4478, huron    => 8168, hurricane
                                     => 2242,
                            hurricanes
                                     => 6236, hurriedly
                                     => 20104,
                            hurries  => 27709, husayn   => 14089, husbandry
                                     => 12814,
                            huseyin  => 28098, huskies  => 9279, hussar   => 20294, hussars  => 11658,
                            hussein  => 6294, husserl  => 23214, hussite  => 25082, huxley   => 11603,
                            huygens  => 19882, hyacinthe
                                     => 22885,
                            hyaline  => 21079, hybrid   => 3413, hybridization
                                     => 14900,
                            hybrids  => 8287, hyderabad
                                     => 5146,
                            hydra    => 11497, hydration
                                     => 21794,
                            hydraulic
                                     => 5610, hydraulically
                                     => 24013,
                            hydrazine
                                     => 28668, hydride  => 16464,
                            hydro    => 6809, hydrocarbon
                                     => 12755,
                            hydrocarbons
                                     => 12270, hydrodynamic
                                     => 22955,
                            hydroelectric
                                     => 6491, hydroelectricity
                                     => 21638,
                            hydrogen => 3537, hydrogenation
                                     => 22871,
                            hydrographic
                                     => 15011, hydrography
                                     => 29310,
                            hydrolases
                                     => 25967, hydrological
                                     => 21754,
                            hydrology
                                     => 14845, hydrolysis
                                     => 13192,
                            hydrophilic
                                     => 23792, hydrophobic
                                     => 13208,
                            hydropower
                                     => 13879, hydrostatic
                                     => 20712,
                            hydrothermal
                                     => 18064, hydroxide
                                     => 12191,
                            hydroxy  => 25380, hydroxyl => 15103, hydroxylase
                                     => 23543,
                            hylidae  => 26889, hymenoptera
                                     => 27896,
                            hymn     => 6109, hymnal   => 18086, hymns    => 6979, hyogo    => 16044,
                            hyperactivity
                                     => 24588, hyperbolic
                                     => 10759,
                            hyperinflation
                                     => 25231,
                            hyperion => 14790, hyperplasia
                                     => 26514,
                            hypersensitivity
                                     => 24972,
                            hypersonic
                                     => 28679, hypertension
                                     => 11498,
                            hypertext
                                     => 23216, hypertrophy
                                     => 25811,
                            hyphae   => 16600, hyposmocoma
                                     => 24299,
                            hypotension
                                     => 27450, hypothalamus
                                     => 20730,
                            hypotheses
                                     => 9955, hypothesis
                                     => 3858,
                            hypothesized
                                     => 10751, hypoxia  => 18643,
                            hysteresis
                                     => 28435, hythe    => 21041,
                            hyundai  => 9862, hyung    => 26551, hywel    => 25133, "i.e."   => 3462,
                            ibadan   => 16714, ibaraki  => 20476, iberia   => 10568, iberian  => 7761,
                            ibero    => 23253, ibises   => 24579, ibiza    => 13919, ibrox    => 23994,
                            ibsen    => 14291, icann    => 20847, icbms    => 29207, icebreaker
                                     => 16688,
                            icebreakers
                                     => 25934, iceland  => 3990,
                            icelanders
                                     => 29719, icelandic
                                     => 5541,
                            ichigo   => 27923, icon     => 5097, iconic   => 5554, iconoclasm
                                     => 27446,
                            iconoclastic
                                     => 28525, iconographic
                                     => 27788,
                            iconography
                                     => 11014, iconostasis
                                     => 29439,
                            icons    => 6980, icosahedral
                                     => 27584,
                            idaho    => 3686, ideal    => 2936, idealism => 13476, idealized
                                     => 14236,
                            ideally  => 10210, ideals   => 5779, ident    => 27244, identical
                                     => 2708,
                            identically
                                     => 16438, identifiable
                                     => 10094,
                            identification
                                     => 3299, identifications
                                     => 24045,
                            identified
                                     => 1264, identifier
                                     => 9965,
                            identifiers
                                     => 17612, identifies
                                     => 5619,
                            identify => 2523, identifying
                                     => 4791,
                            identities
                                     => 6488, identity => 1518,
                            idents   => 23587, ideological
                                     => 6605,
                            ideologically
                                     => 18962, ideologies
                                     => 11585,
                            ideology => 4758, idiom    => 12590, idiomatic
                                     => 26026,
                            idioms   => 19088, idiopathic
                                     => 21636,
                            idiosyncratic
                                     => 15466, idlib    => 24480,
                            idmanyurdu
                                     => 29258, idol     => 3846,
                            idolator => 23916, idolatry => 20797, idols    => 8872, idris    => 14233,
                            ieyasu   => 16703, igcse    => 29357, ignace   => 22886, ignacy   => 24030,
                            ignatius => 9688, ignaz    => 21552, igneous  => 13597, ignited  => 11045,
                            igniting => 21532, igreja   => 29768, iheartmedia
                                     => 22143,
                            ilaiyaraaja
                                     => 23426, ilford   => 20572,
                            iliad    => 14753, ilija    => 29419, ilkeston => 28661, illawarra
                                     => 12695,
                            illegitimate
                                     => 6927, illicit  => 10161,
                            illini   => 15187, illinois => 1062, illiteracy
                                     => 18714,
                            illness  => 2732, illnesses
                                     => 9213,
                            illuminated
                                     => 8147, illuminates
                                     => 25965,
                            illuminati
                                     => 23042, illumination
                                     => 9741,
                            illuminations
                                     => 25810, illusionist
                                     => 29954,
                            illusory => 21181, illustrate
                                     => 7055,
                            illustrated
                                     => 2775, illustrates
                                     => 8711,
                            illustrating
                                     => 9843, illustration
                                     => 5997,
                            illustrations
                                     => 4551, illustrative
                                     => 18734,
                            illustrator
                                     => 5923, illustrators
                                     => 14470,
                            illyria  => 23262, illyrian => 14451, illyrians
                                     => 25808,
                            ilocos   => 19261, iloilo   => 13214, ilyas    => 27818, ilyich   => 27579,
                            ilyushin => 22058, image    => 1175, imaged   => 22920, imagery  => 5136,
                            images   => 1791, imaging  => 4675, imams    => 16059, imbalances
                                     => 23814,
                            imbued   => 18455, imereti  => 25693, imitated => 13015, imitates => 26462,
                            imitations
                                     => 18338, imitators
                                     => 25449,
                            immaculate
                                     => 8387, immanuel => 14021,
                            immediacy
                                     => 21889, immediate
                                     => 2353,
                            immediately
                                     => 959, immemorial
                                     => 26663,
                            immense  => 6542, immensely
                                     => 10517,
                            immersed => 10995, immersion
                                     => 9792,
                            immersive
                                     => 18883, immigrant
                                     => 4376,
                            immigrants
                                     => 2555, immigrate
                                     => 22710,
                            immigrated
                                     => 6368, immigrating
                                     => 22421,
                            immigration
                                     => 2736, imminent => 7591,
                            immobilized
                                     => 24849, immolation
                                     => 28813,
                            immorality
                                     => 20161, immortalized
                                     => 19049,
                            immortals
                                     => 16645, immovable
                                     => 27364,
                            immunities
                                     => 26413, immunization
                                     => 18964,
                            immunodeficiency
                                     => 24911,
                            immunoglobulin
                                     => 21968,
                            immunological
                                     => 24485, immunology
                                     => 14628,
                            imogen   => 17506, imola    => 23470, impact   => 1169, impacted => 7912,
                            impacting
                                     => 16200, impacts  => 5639,
                            impair   => 21573, impaired => 7279, impairment
                                     => 9666,
                            impairments
                                     => 16952, imparted => 19400,
                            impartiality
                                     => 21009, imparting
                                     => 21633,
                            imparts  => 23707, impassable
                                     => 17579,
                            impeachment
                                     => 10466, impedance
                                     => 9879,
                            impede   => 16779, impeded  => 17813, impending
                                     => 8418,
                            imperator
                                     => 23261, imperfect
                                     => 11718,
                            imperial => 1293, imperialism
                                     => 10072,
                            imperialist
                                     => 14013, imperials
                                     => 27954,
                            imperium => 18735, impermeable
                                     => 27998,
                            impetus  => 9669, imphal   => 22192, implantation
                                     => 17839,
                            implement
                                     => 3975, implementation
                                     => 2554,
                            implementations
                                     => 8043,
                            implemented
                                     => 2619, implementing
                                     => 5748,
                            implements
                                     => 8522, implicated
                                     => 7554,
                            implications
                                     => 5542, implicit => 8878,
                            implicitly
                                     => 12192, implied  => 5652,
                            implies  => 4722, import   => 5001, importance
                                     => 1582,
                            importation
                                     => 12295, imported => 4092,
                            importers
                                     => 19537, importing
                                     => 10798,
                            imports  => 6444, imposed  => 3661, imposes  => 15851, imposing => 7354,
                            impoundment
                                     => 27688, impoverished
                                     => 9133,
                            imprecise
                                     => 24985, impresario
                                     => 16117,
                            impressionism
                                     => 15452, impressionist
                                     => 12061,
                            impressionistic
                                     => 25410,
                            imprint  => 6251, imprints => 18608, imprisoned
                                     => 3262,
                            imprisoning
                                     => 27754, imprisonment
                                     => 3791,
                            improper => 9287, improperly
                                     => 13232,
                            improve  => 1703, improved => 1675, improvement
                                     => 2746,
                            improvements
                                     => 2910, improves => 9113,
                            improving
                                     => 3456, improvisation
                                     => 9070,
                            improvisational
                                     => 13834,
                            improvisations
                                     => 19961,
                            improvised
                                     => 7577, impurities
                                     => 14487,
                            impurity => 21619, imran    => 14642, imtiaz   => 25508, in       => 4,
                            inability
                                     => 5700, inaccessible
                                     => 10437,
                            inaccuracy
                                     => 26772, inaccurate
                                     => 9180,
                            inaccurately
                                     => 26729, inacio   => 29648,
                            inaction => 20999, inactivated
                                     => 7007,
                            inactivation
                                     => 12397, inactive => 6578,
                            inactivity
                                     => 16022, inadequate
                                     => 5971,
                            inadequately
                                     => 27893, inadvertent
                                     => 26394,
                            inari    => 28489, inaugural
                                     => 2772,
                            inaugurated
                                     => 4144, inauguration
                                     => 6557,
                            inboard  => 23388, "inc."   => 1625, "inc.."  => 14928, incandescent
                                     => 16241,
                            incapacity
                                     => 25815, incarnation
                                     => 5778,
                            incarnations
                                     => 10957, incentives
                                     => 7826,
                            inception
                                     => 4169, incertae => 19991,
                            incheon  => 13732, inches   => 3182, inchon   => 26069, incidence
                                     => 6871,
                            incidences
                                     => 26681, incident => 1618,
                            incidental
                                     => 11060, incidents
                                     => 3672,
                            incineration
                                     => 28863, incipient
                                     => 25157,
                            incised  => 17423, incisions
                                     => 29953,
                            incisive => 24242, incite   => 17711, incited  => 18827, incitement
                                     => 20252,
                            inciting => 15134, inclination
                                     => 10438,
                            inclinations
                                     => 22317, incline  => 12352,
                            inclines => 28327, include  => 191, included => 224, includes => 459,
                            including
                                     => 87, inclusion
                                     => 3911,
                            inclusions
                                     => 17577, inclusive
                                     => 7435,
                            income   => 574, incomes  => 10059, incompatibility
                                     => 20929,
                            incompatible
                                     => 9281, incomplete
                                     => 4794,
                            inconsistencies
                                     => 13987,
                            inconsistency
                                     => 16066, inconsistent
                                     => 7615,
                            incontinence
                                     => 24128, incorporate
                                     => 4809,
                            incorporated
                                     => 1454, incorporates
                                     => 4974,
                            incorporating
                                     => 5047, incorporation
                                     => 6040,
                            incorrect
                                     => 6402, incorrectly
                                     => 7321,
                            increase => 840, increased
                                     => 741,
                            increases
                                     => 2603, increasing
                                     => 1455,
                            increasingly
                                     => 2076, increment
                                     => 18928,
                            incremental
                                     => 13156, incrementally
                                     => 27480,
                            increments
                                     => 16959, incubate => 29672,
                            incubated
                                     => 21940, incubation
                                     => 13173,
                            incubus  => 26476, incumbent
                                     => 3008,
                            incumbents
                                     => 13226, incurred => 8229,
                            incurring
                                     => 20914, incursion
                                     => 14811,
                            incursions
                                     => 12449, indebtedness
                                     => 22979,
                            indecency
                                     => 25684, indefatigable
                                     => 23326,
                            indefinite
                                     => 9469, indelible
                                     => 23978,
                            indemnity
                                     => 16795, indented => 22930,
                            indentured
                                     => 14515, independence
                                     => 1115,
                            independencia
                                     => 24755, independent
                                     => 480,
                            independently
                                     => 3267, independents
                                     => 8527,
                            independiente
                                     => 15147, index    => 2162,
                            indexed  => 8779, indexes  => 13568, indexing => 10042, india    => 325,
                            indian   => 429, indiana  => 1511, indianapolis
                                     => 3575,
                            indianola
                                     => 27824, indians  => 2190,
                            indias   => 28035, indic    => 25909, indica   => 17627, indicate => 2446,
                            indicated
                                     => 2217, indicates
                                     => 2751,
                            indicating
                                     => 3516, indications
                                     => 8898,
                            indicative
                                     => 9150, indicator
                                     => 6746,
                            indicators
                                     => 7549, indices  => 9771,
                            indicted => 7877, indie    => 3967, indies   => 3346, indigenous
                                     => 2180,
                            indigent => 21195, indigo   => 9873, indios   => 26991, indirect => 5788,
                            indirectly
                                     => 6691, indiscriminate
                                     => 18891,
                            indiscriminately
                                     => 21787,
                            indistinct
                                     => 15232, indistinguishable
                                     => 13286,
                            indium   => 21837, individual
                                     => 644,
                            individualism
                                     => 16057, individualist
                                     => 17415,
                            individualistic
                                     => 22617,
                            individualized
                                     => 15259,
                            individually
                                     => 5576, individuals
                                     => 772,
                            indivisible
                                     => 27464, indo     => 4143,
                            indochina
                                     => 9716, indoctrination
                                     => 24277,
                            indole   => 25929, indomitable
                                     => 24898,
                            indonesia
                                     => 2159, indonesian
                                     => 3565,
                            indonesians
                                     => 18310, indoor   => 2474,
                            indore   => 13494, indra    => 11730, indre    => 17581, induce   => 7639,
                            induced  => 4206, induces  => 11588, inducing => 11344, inductance
                                     => 22454,
                            inducted => 3059, inductee => 13718, inductees
                                     => 14292,
                            induction
                                     => 5881, inductive
                                     => 14706,
                            inductor => 27608, indulgences
                                     => 26303,
                            indus    => 9399, industrial
                                     => 973,
                            industrialisation
                                     => 17281,
                            industrialised
                                     => 22768,
                            industrialist
                                     => 8226, industrialists
                                     => 14772,
                            industrialization
                                     => 10542,
                            industrialized
                                     => 12503,
                            industrially
                                     => 20752, industries
                                     => 1947,
                            industry => 501, indycar  => 12722, ineffective
                                     => 7779,
                            inefficiencies
                                     => 29741,
                            inefficiency
                                     => 20183, inefficient
                                     => 11386,
                            ineligible
                                     => 8649, inequalities
                                     => 13206,
                            inequality
                                     => 6384, inert    => 12781,
                            inertia  => 12554, inertial => 11946, inexpensive
                                     => 8299,
                            inexplicably
                                     => 19509, inextricably
                                     => 26504,
                            infallibility
                                     => 27560, infamous => 5651,
                            infamously
                                     => 29671, infancy  => 8788,
                            infant   => 4468, infanta  => 17831, infanterie
                                     => 25788,
                            infanticide
                                     => 21400, infantry => 1085,
                            infantryman
                                     => 23757, infantrymen
                                     => 20251,
                            infants  => 6653, infections
                                     => 5899,
                            infectious
                                     => 7050, infer    => 15877,
                            inference
                                     => 10259, inferences
                                     => 20498,
                            inferior => 5553, inferred => 11239, infertility
                                     => 17206,
                            infestations
                                     => 25585, infidels => 27298,
                            infield  => 14679, infielder
                                     => 13540,
                            infighting
                                     => 17615, infill   => 20621,
                            infiltrated
                                     => 13355, infiltrates
                                     => 25069,
                            infiltrating
                                     => 21283, infiltration
                                     => 11286,
                            infinite => 4418, infinitely
                                     => 11916,
                            infinitesimal
                                     => 18610, infiniti => 26123,
                            infinitive
                                     => 18232, infinity => 6913,
                            infirm   => 25672, inflammation
                                     => 8293,
                            inflammatory
                                     => 7687, inflation
                                     => 5132,
                            inflationary
                                     => 26088, inflected
                                     => 17820,
                            inflection
                                     => 18604, inflicted
                                     => 7470,
                            inflicting
                                     => 13953, inflorescence
                                     => 9543,
                            inflorescences
                                     => 14850,
                            inflow   => 15979, inflows  => 28735, influence
                                     => 850,
                            influenced
                                     => 1480, influences
                                     => 2500,
                            influencing
                                     => 9481, influential
                                     => 2067,
                            influenza
                                     => 8701, influx   => 6758,
                            infomercials
                                     => 25670, informal => 4450,
                            informally
                                     => 7735, informatics
                                     => 11447,
                            information
                                     => 384, informational
                                     => 14143,
                            informers
                                     => 27346, informing
                                     => 8786,
                            informs  => 6058, infractions
                                     => 21559,
                            infrared => 6332, infrastructural
                                     => 22154,
                            infrastructure
                                     => 2044, infrastructures
                                     => 16102,
                            infrequent
                                     => 14443, infrequently
                                     => 14123,
                            infringed
                                     => 18629, infringement
                                     => 7486,
                            infringements
                                     => 29728, infringing
                                     => 17712,
                            infuriated
                                     => 13868, infused  => 12740,
                            infusion => 14037, ingestion
                                     => 13775,
                            inglewood
                                     => 16614, ingmar   => 26770,
                            ingolstadt
                                     => 18011, ingots   => 27264,
                            ingrained
                                     => 28334, ingredients
                                     => 5100,
                            ingres   => 24642, ingress  => 28887, ingush   => 26019, inhabit  => 7858,
                            inhabitant
                                     => 15523, inhabitants
                                     => 1545,
                            inhabited
                                     => 3525, inhabiting
                                     => 12615,
                            inhabits => 10728, inherent => 6313, inherently
                                     => 9627,
                            inherited
                                     => 2977, inheriting
                                     => 15638,
                            inhibit  => 9569, inhibited
                                     => 13058,
                            inhibiting
                                     => 13223, inhibition
                                     => 8728,
                            inhibitor
                                     => 8935, inhibitors
                                     => 9217,
                            inhibitory
                                     => 13841, inhibits => 11538,
                            inhospitable
                                     => 23433, inhumans => 28336,
                            initial  => 1009, initialization
                                     => 26555,
                            initially
                                     => 654, initiate => 7391,
                            initiated
                                     => 2593, initiates
                                     => 13363,
                            initiating
                                     => 9658, initiation
                                     => 7170,
                            initiative
                                     => 2133, initiatives
                                     => 3938,
                            initiator
                                     => 16338, initiators
                                     => 26404,
                            injective
                                     => 23538, injectors
                                     => 28825,
                            injects  => 25026, injunctions
                                     => 21384,
                            injured  => 1926, injures  => 22581, injuries => 2397, injuring => 8860,
                            injurious
                                     => 29852, injury   => 1413,
                            injustices
                                     => 18617, inked    => 17910,
                            inker    => 28231, inking   => 26032, inkjet   => 28253, inland   => 3571,
                            inlays   => 27706, inlet    => 5844, inlets   => 19572, inline   => 8654,
                            inmates  => 5232, innate   => 10640, inner    => 1914, innervation
                                     => 27461,
                            inning   => 4998, innings  => 2229, innovate => 24624, innovated
                                     => 29797,
                            innovation
                                     => 3152, innovations
                                     => 5537,
                            innovative
                                     => 3438, innovator
                                     => 13565,
                            innovators
                                     => 16559, innsbruck
                                     => 10572,
                            innumerable
                                     => 15427, inoculation
                                     => 24004,
                            inoperable
                                     => 23291, inorganic
                                     => 9994,
                            inositol => 25941, inpatient
                                     => 16618,
                            input    => 2968, "input/output"
                                     => 24926,
                            inputs   => 7479, inquest  => 12048, inquired => 21349, inquirer => 13763,
                            inquiry  => 3845, inscribed
                                     => 5752,
                            inscription
                                     => 3711, inscriptions
                                     => 5016,
                            insecticide
                                     => 20781, insecticides
                                     => 22474,
                            insectivores
                                     => 23557, insectivorous
                                     => 18394,
                            insects  => 3715, insert   => 8358, inserted => 5448, inserting
                                     => 12632,
                            insertion
                                     => 8780, insertions
                                     => 28599,
                            inserts  => 12807, inset    => 25340, inshore  => 15563, insiders => 17495,
                            insignia => 6095, insistence
                                     => 8502,
                            insofar  => 15646, insoluble
                                     => 16396,
                            insolvency
                                     => 13847, insolvent
                                     => 17208,
                            inspected
                                     => 10370, inspecting
                                     => 16658,
                            inspection
                                     => 4513, inspections
                                     => 10428,
                            inspectorate
                                     => 18043, inspectors
                                     => 10264,
                            inspiration
                                     => 2804, inspirations
                                     => 13701,
                            inspired => 1273, instability
                                     => 7098,
                            instagram
                                     => 16889, installation
                                     => 3128,
                            installations
                                     => 5245, installed
                                     => 1735,
                            installer
                                     => 22139, installing
                                     => 8749,
                            installment
                                     => 7605, installments
                                     => 12340,
                            installs => 24768, instalment
                                     => 22888,
                            instalments
                                     => 27185, instance => 2012,
                            instances
                                     => 4524, instantaneous
                                     => 14949,
                            instar   => 21999, instars  => 29022, instated => 21317, instead  => 484,
                            instigated
                                     => 11091, instigating
                                     => 26195,
                            instigation
                                     => 15482, instilling
                                     => 29407,
                            institut => 7551, institute
                                     => 447,
                            instituted
                                     => 5363, institutes
                                     => 4522,
                            instituting
                                     => 20697, institution
                                     => 1530,
                            institutional
                                     => 4618, institutionalized
                                     => 9757,
                            institutions
                                     => 1366, instituto
                                     => 9129,
                            instructed
                                     => 5139, instruction
                                     => 2882,
                            instructional
                                     => 8298, instructor
                                     => 3792,
                            instructors
                                     => 7454, instructs
                                     => 13325,
                            instrument
                                     => 2289, instrumental
                                     => 2277,
                            instrumentalist
                                     => 10294,
                            instrumentalists
                                     => 19436,
                            instrumentals
                                     => 15473, instrumentation
                                     => 6281,
                            instruments
                                     => 1900, insufficiency
                                     => 21687,
                            insufficient
                                     => 5414, insufficiently
                                     => 19703,
                            insular  => 12394, insulated
                                     => 13743,
                            insulating
                                     => 17643, insulation
                                     => 9635,
                            insulator
                                     => 21767, insulators
                                     => 25511,
                            insurer  => 17258, insurers => 15492, insurgency
                                     => 8300,
                            insurgent
                                     => 11086, insurgents
                                     => 7442,
                            insurrection
                                     => 9769, intact   => 4521,
                            intake   => 5746, intakes  => 20173, intangible
                                     => 14490,
                            integer  => 6326, integers => 8476, integrable
                                     => 21239,
                            integral => 3564, integrals
                                     => 16342,
                            integrate
                                     => 6538, integrated
                                     => 2113,
                            integrates
                                     => 11722, integrating
                                     => 8247,
                            integration
                                     => 3038, integrative
                                     => 17262,
                            integrator
                                     => 26386, intel    => 5548,
                            intellectual
                                     => 2818, intellectuals
                                     => 6464,
                            intelligence
                                     => 1407, intelligencer
                                     => 22298,
                            intelligentsia
                                     => 16564,
                            intelligibility
                                     => 27019,
                            intelligible
                                     => 15405, intelsat => 25171,
                            intendant
                                     => 22976, intended => 1032,
                            intending
                                     => 7764, intends  => 7386,
                            intensification
                                     => 15167,
                            intensified
                                     => 7010, intensify
                                     => 14792,
                            intensifying
                                     => 19308, intensities
                                     => 21086,
                            intensity
                                     => 3719, intensive
                                     => 4407,
                            intensively
                                     => 15916, intent   => 3745,
                            inter    => 2337, interact => 4657, interacted
                                     => 15808,
                            interacting
                                     => 8377, interaction
                                     => 3067,
                            interactions
                                     => 3610, interactive
                                     => 3393,
                            interactivity
                                     => 23324, interacts
                                     => 11580,
                            interagency
                                     => 21986, intercalated
                                     => 29443,
                            intercepted
                                     => 6539, interception
                                     => 6312,
                            interceptions
                                     => 6787, interceptor
                                     => 9826,
                            interceptors
                                     => 20833, intercepts
                                     => 21987,
                            intercession
                                     => 16316, interchange
                                     => 3193,
                            interchangeable
                                     => 11149,
                            interchangeably
                                     => 12916,
                            interchanges
                                     => 10659, intercity
                                     => 8496,
                            intercollegiate
                                     => 7366,
                            interconnect
                                     => 18352, interconnected
                                     => 10735,
                            interconnecting
                                     => 28962,
                            interconnection
                                     => 18570,
                            intercontinental
                                     => 7166,
                            intercultural
                                     => 16112, intercut => 26156,
                            interdependence
                                     => 21258,
                            interdependent
                                     => 22801,
                            interdict
                                     => 23260, interdiction
                                     => 17019,
                            interdisciplinary
                                     => 7181,
                            interest => 585, interestingly
                                     => 9910,
                            interests
                                     => 1712, interface
                                     => 2947,
                            interfaces
                                     => 7277, interfaith
                                     => 12973,
                            interferometer
                                     => 20765,
                            interferometry
                                     => 26598,
                            intergovernmental
                                     => 12293,
                            interim  => 3710, interior => 1450, interiors
                                     => 7811,
                            interlaced
                                     => 22396, interlaken
                                     => 26788,
                            interleague
                                     => 26266, interleukin
                                     => 20119,
                            interlingua
                                     => 29139, interlinked
                                     => 29668,
                            interlocking
                                     => 13461, interludes
                                     => 19044,
                            intermarriage
                                     => 17827, intermarried
                                     => 22063,
                            intermedia
                                     => 20919, intermediaries
                                     => 18564,
                            intermediary
                                     => 12063, intermediate
                                     => 2859,
                            intermediates
                                     => 17055, interment
                                     => 14510,
                            interments
                                     => 28996, intermittent
                                     => 8633,
                            intermittently
                                     => 11352,
                            intermixed
                                     => 27580, intermodal
                                     => 16120,
                            internacional
                                     => 10900, internal => 1437,
                            internalized
                                     => 29179, internally
                                     => 6694,
                            international
                                     => 132, internationale
                                     => 8643,
                            internationalism
                                     => 28872,
                            internationalist
                                     => 20731,
                            internationalization
                                     => 24317,
                            internationally
                                     => 2544,
                            internationals
                                     => 8521, internazionale
                                     => 13543,
                            internazionali
                                     => 27886,
                            interned => 9173, internees
                                     => 20686,
                            internet => 1141, internment
                                     => 9877,
                            internships
                                     => 15183, interoperability
                                     => 12029,
                            interoperable
                                     => 28042, interpersonal
                                     => 11398,
                            interplanetary
                                     => 17011,
                            interplay
                                     => 12717, interpolated
                                     => 24697,
                            interpolation
                                     => 14002, interpretation
                                     => 2630,
                            interpretations
                                     => 5621,
                            interpreted
                                     => 3732, interpreter
                                     => 7609,
                            interpreters
                                     => 13234, interpreting
                                     => 9628,
                            interpretive
                                     => 12183, interprets
                                     => 13338,
                            interprovincial
                                     => 27816,
                            interracial
                                     => 15455, interred => 4881,
                            interregnum
                                     => 18918, interrelated
                                     => 19492,
                            interrogative
                                     => 26926, interrogator
                                     => 29685,
                            interrogators
                                     => 25613, interrupts
                                     => 13825,
                            interscholastic
                                     => 11880,
                            interscope
                                     => 14161, intersect
                                     => 9841,
                            intersected
                                     => 17812, intersecting
                                     => 9330,
                            intersection
                                     => 2376, intersections
                                     => 9260,
                            intersects
                                     => 6139, intersex => 17841,
                            interspersed
                                     => 9646, interstate
                                     => 2563,
                            interstates
                                     => 22494, interstellar
                                     => 10939,
                            interstitial
                                     => 17657, intertidal
                                     => 17512,
                            intertoto
                                     => 19659, interurban
                                     => 15158,
                            interval => 5096, intervals
                                     => 5574,
                            intervene
                                     => 7917, intervened
                                     => 8552,
                            intervenes
                                     => 16086, intervening
                                     => 9983,
                            intervention
                                     => 3349, interventional
                                     => 26100,
                            interventionist
                                     => 29300,
                            interventions
                                     => 7462, interview
                                     => 1343,
                            interviewed
                                     => 3935, interviewees
                                     => 26778,
                            interviewer
                                     => 12254, interviews
                                     => 2781,
                            interwar => 10908, interwoven
                                     => 17929,
                            intestinal
                                     => 10937, intifada => 17663,
                            intimidation
                                     => 11099, into     => 43,
                            intolerance
                                     => 12907, intonation
                                     => 16368,
                            intoxicated
                                     => 13967, intra    => 9919,
                            intracellular
                                     => 11651, intracoastal
                                     => 29416,
                            intracranial
                                     => 22664, intractable
                                     => 26186,
                            intramolecular
                                     => 27853,
                            intramural
                                     => 15955, intransitive
                                     => 23659,
                            intrastate
                                     => 28964, intravenous
                                     => 13758,
                            intricate
                                     => 8619, intricately
                                     => 20615,
                            intrigues
                                     => 16370, intrinsic
                                     => 8720,
                            intrinsically
                                     => 17799, introduced
                                     => 558,
                            introduces
                                     => 5543, introducing
                                     => 4073,
                            introduction
                                     => 1564, introductory
                                     => 9127,
                            introns  => 28621, introspection
                                     => 21991,
                            introspective
                                     => 17396, introverted
                                     => 25178,
                            intrusions
                                     => 19452, intuitively
                                     => 18448,
                            inundated
                                     => 14284, inundation
                                     => 25814,
                            invaded  => 4260, invader  => 17169, invaders => 6939, invades  => 24460,
                            invalidated
                                     => 19564, invalided
                                     => 28885,
                            invariably
                                     => 10188, invariance
                                     => 20029,
                            invariant
                                     => 8518, invariants
                                     => 18572,
                            invasion => 1580, invasions
                                     => 8182,
                            invasive => 6661, invention
                                     => 4148,
                            inventions
                                     => 7850, inventive
                                     => 12686,
                            inventiveness
                                     => 29536, inventor => 4923,
                            inventories
                                     => 17983, inventors
                                     => 12517,
                            invents  => 26913, invercargill
                                     => 20101,
                            inverness
                                     => 8454, inverse  => 7061,
                            inversely
                                     => 19083, inversion
                                     => 9963,
                            inversions
                                     => 24098, invertebrate
                                     => 16423,
                            invertebrates
                                     => 8722, inverted => 8030,
                            inverter => 22822, invertible
                                     => 19909,
                            inverting
                                     => 27277, invested => 4482,
                            investigate
                                     => 3559, investigated
                                     => 4207,
                            investigates
                                     => 10316, investigations
                                     => 3684,
                            investigative
                                     => 6264, investigators
                                     => 6110,
                            investing
                                     => 7733, investiture
                                     => 16617,
                            investment
                                     => 1635, investments
                                     => 3986,
                            investor => 5616, investors
                                     => 3466,
                            invests  => 17040, invicta  => 20794, invitational
                                     => 8212,
                            invites  => 7143, invocation
                                     => 15807,
                            invoked  => 9408, invokes  => 20738, involuntarily
                                     => 24455,
                            involution
                                     => 29736, involved => 497,
                            involvement
                                     => 2181, involves => 2552,
                            involving
                                     => 1976, inward   => 11206,
                            inwardly => 26912, inwards  => 18258, ioannina => 21148, ioannis  => 17965,
                            iodide   => 16558, iodine   => 11163, iommi    => 29381, ionia    => 23629,
                            ionian   => 12900, ionic    => 8945, ionization
                                     => 13367,
                            ionized  => 19531, ionizing => 19292, ionosphere
                                     => 22928,
                            ions     => 5900, iorga    => 22569, iosif    => 27978, iowa     => 1817,
                            iphone   => 7436, ipswich  => 5676, iqbal    => 11141, iraklis  => 21888,
                            iran     => 990, irani    => 20651, iranian  => 2696, iranians => 12704,
                            iraq     => 1807, iraqi    => 3282, iraqis   => 13745, ireland  => 565,
                            irenaeus => 22417, irfan    => 24706, irgun    => 18790, iridescent
                                     => 19726,
                            iridium  => 20887, irises   => 24069, irish    => 755, irishmen => 20555,
                            irkutsk  => 17410, iron     => 1034, ironclads
                                     => 25085,
                            ironi    => 28660, ironically
                                     => 6180,
                            ironman  => 15383, ironside => 20396, ironstone
                                     => 22436,
                            ironwood => 27621, ironwork => 27720, ironworks
                                     => 12314,
                            iroquois => 8485, irradiated
                                     => 24176,
                            irradiation
                                     => 17621, irrawaddy
                                     => 21533,
                            irreconcilable
                                     => 23475,
                            irreducible
                                     => 13798, irregular
                                     => 4873,
                            irregularities
                                     => 10216,
                            irregularly
                                     => 12188, irregulars
                                     => 22179,
                            irrespective
                                     => 12078, irreverent
                                     => 19616,
                            irrigated
                                     => 12793, irrigation
                                     => 4620,
                            irritant => 28219, irritation
                                     => 13888,
                            irrorated
                                     => 23576, irvington
                                     => 24934,
                            irwell   => 26773, is       => 6, isaak    => 22400, isbn     => 4359,
                            ischemia => 22640, ischemic => 21222, isenburg => 27314, isere    => 19654,
                            isfahan  => 9128, ishaq    => 19329, ishtar   => 26326, isidore  => 14764,
                            iskandar => 21916, iskcon   => 24089, islam    => 2409, islamabad
                                     => 9886,
                            islami   => 16266, islamia  => 25554, islamic  => 1775, islamist => 9589,
                            islamists
                                     => 17539, island   => 250,
                            islander => 4480, islanders
                                     => 6358,
                            islands  => 728, islay    => 21489, isle     => 3411, isles    => 5344,
                            islet    => 11965, islets   => 12937, islington
                                     => 11011,
                            islip    => 21854, "isma'il"
                                     => 29225,
                            ismaili  => 20391, ismailis => 29632, "iso/iec"
                                     => 13602,
                            isoform  => 22987, isoforms => 15652, isolated => 2755, isolates => 18483,
                            isolating
                                     => 15415, isolation
                                     => 5076,
                            isolationist
                                     => 29679, isolde   => 21745,
                            isomer   => 17656, isomerase
                                     => 28868,
                            isomers  => 17570, isometric
                                     => 19478,
                            isomorphic
                                     => 12491, isomorphism
                                     => 13579,
                            isotope  => 10077, isotopes => 9699, isotopic => 19236, isotropic
                                     => 19447,
                            israeli  => 1753, israelis => 9659, israelite
                                     => 15391,
                            israelites
                                     => 10559, issuance => 11899,
                            issue    => 714, issued   => 952, issuer   => 20831, issuers  => 24435,
                            issues   => 674, issuing  => 5985, istanbul => 4005, isthmian => 14221,
                            isthmus  => 10919, istituto => 21978, istria   => 16588, istvan   => 12914,
                            isuzu    => 17253, italia   => 7131, italian  => 569, italiana => 12790,
                            italianate
                                     => 9957, italians => 6373,
                            italic   => 14716, italics  => 10110, italo    => 13100, italy    => 705,
                            itasca   => 27790, items    => 1785, iterated => 25059, iteration
                                     => 10406,
                            iterations
                                     => 15499, iterative
                                     => 16256,
                            ithaca   => 10347, itinerant
                                     => 13665,
                            its      => 29, itself   => 591, ittihad  => 20747, itunes   => 4348,
                            iturbide => 26134, iulia    => 27764, iupac    => 22431, ivanhoe  => 18468,
                            ivano    => 22922, ivanov   => 12014, ivanova  => 26625, ivanovic => 18050,
                            ivanovich
                                     => 14638, ivanovo  => 27333,
                            ivica    => 27974, ivorian  => 17859, iwate    => 20179, iyengar  => 22552,
                            izmir    => 11555, "ja'far" => 23192, jabal    => 17245, jabalpur => 19782,
                            jabbar   => 19747, jacksonian
                                     => 23363,
                            jacksonville
                                     => 4853, jacky    => 16562,
                            jacobean => 17171, jacobin  => 25268, jacobite => 9764, jacobites
                                     => 21359,
                            jacopo   => 17558, jadid    => 24948, jaffna   => 12092, jagannath
                                     => 16535,
                            jagdgeschwader
                                     => 24679,
                            jagged   => 15471, jagiellonian
                                     => 22026,
                            jaguar   => 7440, jaguars  => 8758, jahan    => 13652, jahangir => 16222,
                            jailed   => 7882, jainism  => 14212, jains    => 18766, jaipur   => 10229,
                            jakarta  => 6566, jakob    => 8617, jakub    => 17669, jalal    => 15407,
                            jalalabad
                                     => 23554, jalan    => 10701,
                            jalandhar
                                     => 20082, jalil    => 21568,
                            jalisco  => 11265, jalpaiguri
                                     => 29533,
                            jamaat   => 18637, jamaica  => 3562, jamaican => 6856, jamboree => 13948,
                            jamestown
                                     => 9465, jamia    => 21278,
                            jamil    => 20342, jammu    => 8365, jamtland => 25717, jamuna   => 28505,
                            janacek  => 22172, janaki   => 24668, janakpur => 28775, janata   => 9739,
                            janeiro  => 4925, janesville
                                     => 26971,
                            janez    => 24665, janissaries
                                     => 26872,
                            janko    => 24099, jankovic => 16972, janne    => 24691, janos    => 13203,
                            janow    => 28870, january  => 158, japan    => 466, japanese => 451,
                            japonica => 18821, jaroslav => 16304, jaroslaw => 22215, jarrah   => 21530,
                            jarre    => 25785, jarrow   => 24949, jasta    => 21518, jatin    => 29359,
                            jaume    => 27791, javan    => 24725, javanese => 9596, javascript
                                     => 11452,
                            javed    => 17291, javelin  => 8922, jawahar  => 25148, jawaharlal
                                     => 13218,
                            jayanti  => 28857, jayhawks => 17702, jazeera  => 11029, jazz     => 1152,
                            jazzy    => 17068, jcpenney => 22833, jebel    => 20587, jeddah   => 15539,
                            jeevan   => 27796, jeezy    => 26264, jeffersonville
                                     => 28871,
                            jehan    => 23129, jehovah  => 11563, jekyll   => 15082, jelena   => 16957,
                            jellicoe => 26833, jemima   => 22116, jenin    => 24209, jeong    => 13902,
                            jericho  => 8282, jeroen   => 27898, jeronimo => 19095, jersey   => 949,
                            jerseys  => 9938, jerusalem
                                     => 2405,
                            jerzy    => 11784, jesper   => 21214, jesuit   => 5121, jesuits  => 7428,
                            jethro   => 16328, jets     => 3903, jettisoned
                                     => 25904,
                            jetty    => 13259, jeunesse => 25629, jeweller => 22795, jewellers
                                     => 29360,
                            jewellery
                                     => 8096, jewish   => 829,
                            jewry    => 15390, jews     => 1559, jhansi   => 21471, jharkhand
                                     => 11958,
                            jhelum   => 19584, jiang    => 6597, jiangsu  => 10004, jiangxi  => 13242,
                            jigme    => 26324, jihad    => 9035, jihadist => 25537, jihlava  => 22668,
                            jilin    => 16931, jinan    => 20816, jindal   => 19469, jinja    => 24130,
                            jinnah   => 14310, jintao   => 29147, jirga    => 29629, jiroft   => 26045,
                            jitsu    => 13117, joachim  => 7281, joakim   => 25156, joannes  => 29996,
                            joaquim  => 16579, jochen   => 23421, jockey   => 5345, jodhpur  => 16008,
                            joffre   => 23165, joffrey  => 28087, jogaila  => 28401, johan    => 5496,
                            johann   => 3499, johannes => 5078, johannesburg
                                     => 6492,
                            johar    => 27268, johnsons => 28515, johnstown
                                     => 12902,
                            johor    => 9749, joined   => 317, joinery  => 26200, joining  => 1720,
                            joins    => 3779, joint    => 1135, jointly  => 4115, joinville
                                     => 25895,
                            joked    => 13852, jokingly => 13126, jolgeh   => 24989, jonesboro
                                     => 19271,
                            jonkoping
                                     => 26491, jonny    => 11196,
                            jonsson  => 15580, jonubi   => 13659, jools    => 24508, joost    => 24530,
                            jordanian
                                     => 9572, jordi    => 17583,
                            jorgen   => 13407, joris    => 25040, joseon   => 10730, josep    => 16311,
                            josephus => 13076, josip    => 13780, joule    => 25107, journal  => 915,
                            journalism
                                     => 2841, journalist
                                     => 1645,
                            journalistic
                                     => 10378, journalists
                                     => 3324,
                            journals => 3409, journey  => 1977, journeyed
                                     => 15978,
                            journeyman
                                     => 15883, journeys => 7530,
                            jovanovic
                                     => 18443, jovian   => 29722,
                            joystick => 16301, jozef    => 8892, jozsef   => 16398, jpmorgan => 23074,
                            jrotc    => 25877, jubilee  => 5313, judah    => 8393, judaic   => 24742,
                            judaism  => 4686, judea    => 16745, judean   => 24087, judeo    => 18849,
                            judged   => 5517, judgements
                                     => 19471,
                            judges   => 2307, judgeship
                                     => 26074,
                            judicature
                                     => 27957, judicial => 2825,
                            judiciary
                                     => 5623, judicious
                                     => 28787,
                            judoka   => 13311, jujutsu  => 28456, jujuy    => 27065, jukka    => 29842,
                            julich   => 21823, july     => 156, jumpers  => 15838, junagadh => 27371,
                            junction => 1653, junctions
                                     => 9378,
                            june     => 149, jungian  => 29345, juniata  => 20957, junin    => 27418,
                            juniors  => 6510, juniper  => 11115, juniperus
                                     => 26714,
                            junius   => 17524, junkers  => 12859, junta    => 7890, jupiter  => 5369,
                            juraj    => 26222, jurassic => 7723, jurchen  => 20673, jurgen   => 10098,
                            juridical
                                     => 20037, juried   => 29344,
                            juris    => 10604, jurisdiction
                                     => 2628,
                            jurisdictional
                                     => 16077,
                            jurisdictions
                                     => 6129, jurisprudence
                                     => 8995,
                            jurist   => 8683, jurists  => 15663, jurong   => 20387, juryo    => 26744,
                            jussi    => 26361, justices => 7043, justification
                                     => 7712,
                            justifications
                                     => 24092,
                            justinian
                                     => 11769, justly   => 22765,
                            justo    => 20171, jutland  => 11169, jutting  => 29868, juvenal  => 26433,
                            juveniles
                                     => 9106, juventud => 19814,
                            juventus => 8175, juxtaposed
                                     => 19617,
                            juxtaposition
                                     => 19242, jyoti    => 20514,
                            jyvaskyla
                                     => 27073, "k'iche" => 29387,
                            kabaddi  => 23658, kabbalah => 14934, kabbalistic
                                     => 24773,
                            kabhi    => 28821, kabila   => 26244, kabir    => 13128, kabud    => 29934,
                            kabuki   => 16175, kabul    => 7449, kachin   => 19193, kadokawa => 22789,
                            kaduna   => 21599, kagoshima
                                     => 15000,
                            kagyu    => 23805, kahlo    => 29374, kahne    => 20613, kaifeng  => 20027,
                            kailash  => 21110, kaine    => 21595, kaiserslautern
                                     => 14940,
                            kakheti  => 22147, kalahari => 23934, kalakaua => 29070, kalam    => 16646,
                            kalamazoo
                                     => 11577, kalan    => 17822,
                            kalat    => 22874, kalateh  => 15179, kalgoorlie
                                     => 20774,
                            kalimantan
                                     => 16217, kalinga  => 16470,
                            kalinin  => 24088, kaliningrad
                                     => 13711,
                            kalisz   => 17779, kalle    => 27644, kalmar   => 16130, kalpana  => 27075,
                            kaluga   => 23135, kalyan   => 15189, kalyani  => 21012, kamakura => 14084,
                            kambojas => 29259, kamchatka
                                     => 17473,
                            kamehameha
                                     => 13739, kamen    => 9446,
                            kamien   => 26131, kamil    => 16850, kamloops => 17488, kampala  => 12819,
                            kampong  => 19013, kampuchea
                                     => 24292,
                            kampung  => 18067, kamran   => 27598, kanaan   => 24521, kanagawa => 13197,
                            kanal    => 20407, kanata   => 28191, kanawha  => 16450, kanazawa => 23420,
                            kanchipuram
                                     => 25335, kanda    => 19164,
                            kandahar => 12619, kandinsky
                                     => 25826,
                            kangaroos
                                     => 12477, kangra   => 27606,
                            kangxi   => 18298, kanji    => 11366, kankakee => 21915, kannada  => 5413,
                            kannan   => 27905, kannur   => 17094, kanon    => 29243, kanpur   => 12746,
                            kansai   => 16479, kansas   => 1469, kantakouzenos
                                     => 28424,
                            kantian  => 29040, kanto    => 15583, kanyakumari
                                     => 19540,
                            kanye    => 11912, kaohsiung
                                     => 13949,
                            kaori    => 25905, kaoru    => 20581, kapellmeister
                                     => 26530,
                            kapil    => 26331, kapitan  => 26204, kapitanleutnant
                                     => 28049,
                            kapoor   => 7781, kappa    => 6183, karabakh => 10531, karachi  => 5646,
                            karadzic => 24700, karakoram
                                     => 27027,
                            karbala  => 20645, kardashian
                                     => 28249,
                            kardzhali
                                     => 26754, karel    => 10658,
                            karelia  => 16477, karelian => 19504, kargil   => 22258, karlheinz
                                     => 24801,
                            karlovac => 28930, karlovy  => 23452, karlsruhe
                                     => 10470,
                            karmapa  => 27869, karna    => 21131, karnak   => 27380, karnataka
                                     => 4374,
                            karolina => 21204, karoly   => 22449, karoo    => 19717, karpov   => 23189,
                            karthik  => 16649, kartik   => 26702, karting  => 15481, kartli   => 18865,
                            karts    => 25500, kartuzy  => 24472, karzai   => 14962, kasai    => 22183,
                            kasaragod
                                     => 29666, kashgar  => 20352,
                            kashi    => 20188, kashima  => 24868, kashmir  => 5171, kashmiri => 13853,
                            kashubian
                                     => 28802, kashyap  => 24707,
                            kasim    => 29902, kaskaskia
                                     => 29356,
                            kasparov => 18165, kassel   => 10594, katakana => 23217, katana   => 19398,
                            katanga  => 18261, katarzyna
                                     => 27686,
                            katerina => 21332, katha    => 17337, kathak   => 29885, kathakali
                                     => 26885,
                            kathmandu
                                     => 10189, katipunan
                                     => 24855,
                            katja    => 29772, katowice => 12710, kauai    => 14693, kaunas   => 11469,
                            kavala   => 29102, kaveri   => 21511, kavita   => 29556, kawasaki => 10303,
                            kayak    => 14615, kayaking => 14005, kayaks   => 22983, kayseri  => 28786,
                            kazakh   => 10724, kazakhs  => 26891, kazakhstan
                                     => 4814,
                            kazakhstani
                                     => 23211, kazan    => 8334,
                            kazhagam => 17247, kazimierz
                                     => 13182,
                            kazuki   => 28340, kazuya   => 26270, "kbit/s" => 17305, kearny   => 15691,
                            kebir    => 27074, keble    => 24724, kedah    => 15123, keelung  => 26938,
                            keenly   => 21261, keighley => 17955, keiji    => 26890, keita    => 17909,
                            kelantan => 16148, kelowna  => 18188, kemal    => 13233, kempe    => 21662,
                            kenai    => 26310, kenichi  => 28638, kenilworth
                                     => 16861,
                            kennebec => 22185, kennesaw => 22730, kennet   => 22711, kenora   => 23611,
                            kenrick  => 25565, kensal   => 25847, kenseth  => 17802, kenshin  => 20508,
                            kensington
                                     => 6954, kenta    => 28165,
                            kentish  => 17318, kentucky => 1657, kenwood  => 22712, kenyan   => 7514,
                            kenzo    => 28954, keokuk   => 27261, kerala   => 3224, keratin  => 24701,
                            kerch    => 28050, kerman   => 7220, kermanshah
                                     => 10197,
                            kernel   => 6347, kernels  => 16910, kerrang  => 15913, keselowski
                                     => 18997,
                            kesteven => 25379, kestrel  => 19542, keswick  => 19316, ketone   => 18591,
                            ketones  => 22621, ketrzyn  => 29816, kettering
                                     => 11948,
                            keyboard => 4040, keyboardist
                                     => 7608,
                            keyboards
                                     => 5029, keying   => 28260,
                            keynes   => 8356, keynesian
                                     => 18245,
                            keynote  => 9552, keyong   => 19311, keystone => 8632, keyword  => 15681,
                            keywords => 17421, khabarovsk
                                     => 21460,
                            khadr    => 27787, khagan   => 28089, khaganate
                                     => 28817,
                            khaki    => 17090, khaled   => 12965, khali    => 26613, khalid   => 8735,
                            khalifa  => 10291, khamenei => 25098, khanate  => 11801, khaneh   => 25997,
                            khanh    => 15515, khani    => 22658, khans    => 22831, khanty   => 29071,
                            khanum   => 28647, kharagpur
                                     => 23850,
                            kharkiv  => 11557, kharkov  => 18328, khartoum => 13676, khasi    => 28936,
                            khatami  => 24309, khatib   => 29425, khattak  => 29775, khatun   => 27113,
                            khawaja  => 25610, khayyam  => 27931, khazar   => 18621, khazars  => 25759,
                            khedive  => 29263, kheil    => 19835, kherson  => 29204, khilji   => 29432,
                            khitan   => 16728, khmelnytsky
                                     => 26084,
                            khmer    => 7438, khoja    => 29940, khomeini => 14390, khorasan => 6627,
                            khorramabad
                                     => 21865, khosrau  => 25823,
                            khosrow  => 27691, khrushchev
                                     => 11278,
                            khulna   => 22475, khurasan => 27733, khurd    => 26849, khuzestan
                                     => 8983,
                            khwaja   => 20386, khyber   => 9898, kibaki   => 27781, kibbutz  => 10767,
                            kickapoo => 24713, kickboxer
                                     => 21427,
                            kickboxing
                                     => 12674, kickers  => 15157,
                            kickoff  => 8473, kickoffs => 24964, kickstarter
                                     => 12227,
                            kidderminster
                                     => 15419, kidman   => 17850,
                            kiedis   => 27356, kielce   => 11485, kieran   => 13384, kierkegaard
                                     => 14908,
                            kiev     => 4908, kievan   => 17062, kigali   => 23493, kikuchi  => 22345,
                            kikuyu   => 25986, kilda    => 8572, kildare  => 8851, kilimanjaro
                                     => 19795,
                            kilkenny => 6159, killa    => 27305, killarney
                                     => 18682,
                            killings => 6495, kilmarnock
                                     => 11151,
                            kilmore  => 24027, kilns    => 15496, kilogram => 15075, kilograms
                                     => 10187,
                            kilometer
                                     => 8363, kilometers
                                     => 3225,
                            kilometre
                                     => 7916, kilometres
                                     => 3408,
                            kilowatt => 17525, kilowatts
                                     => 22398,
                            kilwinning
                                     => 29898, kinabalu => 21416,
                            kinase   => 7991, kinases  => 17085, kincardine
                                     => 26248,
                            kindergarten
                                     => 4597, kindergartens
                                     => 20394,
                            kinect   => 24938, kinematic
                                     => 26574,
                            kinetic  => 7685, kinetics => 16162, kingdom  => 485, kingdoms => 4646,
                            kingfisher
                                     => 13715, kingfishers
                                     => 20525,
                            kingpin  => 15355, kings    => 1831, kingship => 12493, kingsport
                                     => 26018,
                            kingstown
                                     => 24061, kingsway => 19884,
                            kingswood
                                     => 19870, kinsale  => 27593,
                            kinshasa => 15987, kinship  => 10674, kinski   => 29059, kinsmen  => 21815,
                            kinston  => 27322, kintetsu => 21295, kintyre  => 29984, kiosks   => 16803,
                            kiowa    => 15543, kiran    => 16010, kirche   => 26368, kiribati => 14876,
                            kirill   => 19171, kirin    => 25705, kirkby   => 16626, kirkcaldy
                                     => 23598,
                            kirke    => 23036, kirkuk   => 21868, kirkus   => 17244, kirov    => 16146,
                            kirtland => 17660, kiryat   => 16620, kisan    => 26537, kishan   => 26634,
                            kishore  => 16265, kissimmee
                                     => 26845,
                            kisumu   => 29578, kitab    => 19897, kitchener
                                     => 9964,
                            kites    => 13626, kitsap   => 26349, kitsch   => 24351, kitzbuhel
                                     => 29738,
                            kiwis    => 17264, kiyoshi  => 25005, kjell    => 20139, klagenfurt
                                     => 22609,
                            klaipeda => 20248, klamath  => 13549, klang    => 14837, klasse   => 24019,
                            klezmer  => 23768, klitschko
                                     => 25463,
                            klondike => 16916, "km/h"   => 4157, "km/hr"  => 27299, knesset  => 9183,
                            knighted => 7003, knighthood
                                     => 12033,
                            knightley
                                     => 25011, knights  => 2982,
                            knightsbridge
                                     => 26174, knockout => 4436,
                            knockouts
                                     => 18544, knopfler => 23231,
                            knowle   => 29265, knowledge
                                     => 1094,
                            knowledgeable
                                     => 13054, known    => 66,
                            knowsley => 22752, knoxville
                                     => 7159,
                            koblenz  => 15393, kochi    => 9951, kodagu   => 29031, kodansha => 18257,
                            kodiak   => 18406, kohgiluyeh
                                     => 13963,
                            kohlberg => 28405, koichi   => 21704, koine    => 26189, koirala  => 26600,
                            kokoda   => 29895, kokomo   => 23093, kolhapur => 19853, kolkata  => 5540,
                            kollam   => 13360, kolmogorov
                                     => 25874,
                            kolonia  => 10940, kombat   => 13514, komnenos => 17918, komodo   => 24180,
                            komsomol => 26418, konami   => 13428, kong     => 1227, kongo    => 15353,
                            kongsberg
                                     => 23549, konig    => 16820,
                            konigsberg
                                     => 10949, konin    => 19990,
                            koninklijke
                                     => 29108, konkan   => 20981,
                            konkani  => 14028, konnan   => 26846, konstantin
                                     => 9684,
                            konstantinos
                                     => 19554, konstanz => 27916,
                            kontinental
                                     => 16608, konya    => 21723,
                            kooning  => 28783, kootenay => 15859, koper    => 21290, koppen   => 7339,
                            korce    => 23334, korda    => 21128, korea    => 1325, korean   => 1431,
                            koreans  => 8495, korolev  => 29931, korps    => 22483, korra    => 29409,
                            korsakov => 17670, kortrijk => 26416, koscierzyna
                                     => 29764,
                            kosciuszko
                                     => 17503, koshi    => 28244,
                            kosice   => 14104, kosmos   => 11867, kosovar  => 28162, kosovo   => 4299,
                            kossuth  => 22392, kosta    => 29453, kostas   => 18615, kostroma => 23018,
                            koszalin => 25044, kotor    => 21768, kottayam => 14466, kovalainen
                                     => 27335,
                            kovil    => 25928, kowloon  => 11582, kozhikode
                                     => 16383,
                            kozlov   => 23979, kraftwerk
                                     => 22175,
                            kragujevac
                                     => 22902, krajina  => 19786,
                            krajowa  => 29492, kraken   => 26826, krakow   => 5565, kralove  => 22879,
                            kramnik  => 28933, krasinski
                                     => 27870,
                            krasnodar
                                     => 15927, krasnoyarsk
                                     => 18744,
                            krefeld  => 27144, kreis    => 13954, kreuznach
                                     => 23610,
                            kriegsmarine
                                     => 12560, kripke   => 25183,
                            kristallnacht
                                     => 28882, kristiania
                                     => 18126,
                            kristiansand
                                     => 17148, kristofferson
                                     => 24780,
                            krona    => 28982, kronstadt
                                     => 22817,
                            krosno   => 24580, kryptonian
                                     => 28127,
                            krzysztof
                                     => 14597, kshatriya
                                     => 21724,
                            kuala    => 6320, kuban    => 17165, kubica   => 26398, kublai   => 18428,
                            kubrick  => 13526, kuching  => 19731, kucinich => 29165, kulkarni => 24042,
                            kumamoto => 16895, kumanovo => 26749, kumaon   => 25592, kumara   => 23121,
                            kumari   => 16788, kumasi   => 20478, kumbakonam
                                     => 24044,
                            kunal    => 26314, kunming  => 16944, kunste   => 26114, kunsthalle
                                     => 24273,
                            kuomintang
                                     => 11482, kurdish  => 6216,
                            kurdistan
                                     => 8148, kurds    => 10954,
                            kuril    => 25342, kurnool  => 28780, kuroda   => 24146, kurosawa => 17789,
                            kursk    => 16047, kurukshetra
                                     => 23106,
                            kurzweil => 26040, kushan   => 27170, kutno    => 22573, kuwait   => 5176,
                            kuwaiti  => 13078, kuyavian => 9870, kuznetsov
                                     => 19346,
                            kuznetsova
                                     => 23526, kwajalein
                                     => 18921,
                            kwame    => 18723, kwazulu  => 13016, kyoto    => 6154, kyrgyz   => 14118,
                            kyrgyzstan
                                     => 8657, kyrie    => 28928,
                            kyushu   => 10308, "l'aquila"
                                     => 23824,
                            "l'arc"  => 19987, "l'art"  => 23855, "l'ecole"
                                     => 22910,
                            "l'enfant"
                                     => 22348, "l'histoire"
                                     => 28737,
                            "l'homme"
                                     => 21757, "l'isle" => 27066,
                            "l'oeil" => 28431, "l'ordre"
                                     => 28339,
                            "l'oreal"
                                     => 24597, laane    => 21448,
                            laban    => 19623, label    => 881, labeled  => 5088, labeling => 10096,
                            labelled => 6886, labelling
                                     => 16255,
                            labels   => 3874, labem    => 22527, labial   => 20629, labor    => 1280,
                            laboratories
                                     => 4447, laboratory
                                     => 2081,
                            laborer  => 16353, laborers => 8697, laborious
                                     => 23693,
                            labors   => 22218, labour   => 1251, labourer => 15079, labourers
                                     => 8882,
                            labours  => 20482, labrador => 6512, labs     => 5514, labuan   => 24114,
                            labyrinth
                                     => 11434, lacan    => 22074,
                            lachaise => 29364, lachlan  => 16188, lack     => 1048, lackawanna
                                     => 13339,
                            lacked   => 4530, lacking  => 4642, lackluster
                                     => 17631,
                            lacks    => 5507, laconia  => 22078, lacrosse => 4917, lactarius
                                     => 28323,
                            lactate  => 23407, lactation
                                     => 25553,
                            lacuna   => 27014, lacunae  => 28484, ladakh   => 16693, ladders  => 14295,
                            laden    => 6559, ladislaus
                                     => 16607,
                            ladislav => 24346, ladoga   => 23230, ladysmith
                                     => 23188,
                            lagging  => 17424, lagoa    => 28198, lagoon   => 6132, lagoons  => 13462,
                            lagos    => 6937, lagrangian
                                     => 15620,
                            lahiri   => 26073, lahore   => 5654, laid     => 1644, laissez  => 19857,
                            laity    => 14873, lajos    => 19418, lake     => 378, lakeland => 11906,
                            lakers   => 6867, lakes    => 2105, lakeshore
                                     => 13951,
                            lakeville
                                     => 27807, lakewood => 12591,
                            lakhs    => 19211, lakota   => 12410, lakshman => 26590, lakshmana
                                     => 28561,
                            lakshmi  => 9681, lalit    => 24693, lambton  => 18019, lament   => 12711,
                            lamented => 14537, lamenting
                                     => 21580,
                            laments  => 16367, lamia    => 23600, lamiinae => 21728, lamina   => 19481,
                            laminar  => 22048, laminate => 28328, lampard  => 29391, lampeter => 28081,
                            lampoon  => 16065, lampooned
                                     => 28722,
                            lamprey  => 26859, lamps    => 6712, lanao    => 23874, lanark   => 16358,
                            lanarkshire
                                     => 12605, lancashire
                                     => 3415,
                            lancastrian
                                     => 23648, lanceolate
                                     => 16594,
                            lancers  => 12518, lances   => 23328, lancet   => 13069, lanchester
                                     => 26062,
                            lancia   => 14963, land     => 248, landed   => 2705, landesliga
                                     => 17214,
                            landfall => 7335, landfill => 10005, landfills
                                     => 21438,
                            landform => 27628, landforms
                                     => 21709,
                            landgrave
                                     => 18186, landholders
                                     => 26138,
                            landholdings
                                     => 24279, landing  => 1818,
                            landings => 6030, landkreis
                                     => 28725,
                            landless => 19653, landline => 21849, landlocked
                                     => 17970,
                            landlords
                                     => 10588, landmark => 3013,
                            landmarks
                                     => 4871, landmass => 22435,
                            landmine => 27078, landowner
                                     => 7633,
                            landowners
                                     => 7222, landowning
                                     => 29327,
                            lands    => 1575, landscape
                                     => 2241,
                            landscaped
                                     => 12257, landscapes
                                     => 5070,
                            landscaping
                                     => 10692, landshut => 22363,
                            landslide
                                     => 7567, landslides
                                     => 13024,
                            landtag  => 18675, landward => 28710, lanes    => 4276, langa    => 27435,
                            language => 322, languages
                                     => 998,
                            langue   => 24562, languedoc
                                     => 15936,
                            languished
                                     => 23963, lanka    => 2511,
                            lankan   => 5951, lansdowne
                                     => 13776,
                            lansky   => 25439, lantern  => 6581, lanus    => 29596, lanzhou  => 25028,
                            laoghaire
                                     => 23277, laois    => 14914,
                            laos     => 6057, laotian  => 16712, laparoscopic
                                     => 29946,
                            lapis    => 27206, laplace  => 14297, laplacian
                                     => 28865,
                            lapland  => 18897, laps     => 4813, laptops  => 13332, laredo   => 10695,
                            large    => 190, largely  => 1101, largemouth
                                     => 21541,
                            larger   => 771, largest  => 428, larks    => 23947, larnaca  => 20928,
                            larne    => 22510, larouche => 18873, larsson  => 14006, larva    => 10527,
                            larvae   => 3326, larval   => 11433, larvik   => 25750, laryngeal
                                     => 24663,
                            lascelles
                                     => 27116, laser    => 3696,
                            laserdisc
                                     => 18028, lasers   => 9682,
                            lashkar  => 23729, lasse    => 20739, lasted   => 2234, lasting  => 3730,
                            lastly   => 9065, latakia  => 26909, late     => 235, latency  => 12707,
                            latent   => 11170, later    => 58, lateral  => 4476, laterally
                                     => 12382,
                            lateran  => 16539, laterite => 24979, latif    => 17781, latifah  => 25762,
                            latin    => 947, latinized
                                     => 21360,
                            latino   => 2372, latins   => 24077, latitude => 5273, latitudes
                                     => 11833,
                            latium   => 26057, latrobe  => 15220, latter   => 866, latterly => 14100,
                            lattice  => 6639, lattices => 19486, latvia   => 4836, latvian  => 5806,
                            latvians => 28343, lauda    => 18758, laude    => 7874, lauded   => 9631,
                            lauenburg
                                     => 20827, launceston
                                     => 11579,
                            launch   => 1483, launched => 710, launcher => 9571, launchers
                                     => 11109,
                            launches => 7351, launching
                                     => 4748,
                            lauper   => 19379, laureate => 7696, laureates
                                     => 15095,
                            laurens  => 16656, laurentian
                                     => 21301,
                            laurier  => 14406, lausanne => 8893, lava     => 5904, laval    => 9717,
                            lavas    => 23967, lavish   => 9323, lavishly => 19534, lavra    => 28659,
                            law      => 207, lawlessness
                                     => 24255,
                            lawmaker => 27695, lawmakers
                                     => 12904,
                            lawrenceville
                                     => 21338, laws     => 1236,
                            laxman   => 23777, laxmi    => 21063, layer    => 2558, layered  => 9090,
                            layering => 18981, layers   => 3753, laymen   => 17863, layoffs  => 19635,
                            layout   => 3266, layouts  => 12888, lazier   => 28433, lazio    => 10181,
                            leaching => 22493, lead     => 395, leaded   => 23886, leader   => 595,
                            leaderboard
                                     => 25564, leaders  => 1021,
                            leadership
                                     => 1008, leading  => 465,
                            leadoff  => 25902, leads    => 1828, leadville
                                     => 27530,
                            leaf     => 2738, leaflet  => 17553, leaflets => 9597, leafs    => 7958,
                            league   => 120, leaguer  => 20927, leaguers => 23816, leagues  => 2759,
                            leakage  => 12129, leakey   => 26190, leamington
                                     => 15754,
                            leanings => 16278, leaped   => 28588, learners => 9331, learning => 1159,
                            learns   => 3843, learnt   => 8228, leased   => 4496, leases   => 10277,
                            leasing  => 9537, leatherhead
                                     => 25829,
                            leathery => 19916, leaved   => 14556, leavenworth
                                     => 13551,
                            leaves   => 1055, lebanese => 4632, lebanon  => 2990, lebedev  => 26226,
                            leben    => 19396, lebesgue => 21897, lecce    => 17703, lecco    => 29683,
                            leche    => 29041, lectern  => 28530, lectionary
                                     => 15216,
                            lectured => 7400, lecturer => 3576, lecturers
                                     => 13297,
                            lectures => 3388, lectureship
                                     => 20494,
                            leczyca  => 25897, led      => 241, ledges   => 20185, leeds    => 2742,
                            leela    => 13669, leesburg => 21324, leeuwarden
                                     => 25876,
                            leeward  => 14073, left     => 188, leftist  => 8474, leftists => 20996,
                            legacies => 17949, legacy   => 1938, legal    => 711, legality => 10653,
                            legalization
                                     => 15286, legalize => 19761,
                            legalized
                                     => 14150, legate   => 14337,
                            legation => 15486, legazpi  => 28676, legend   => 2019, legendary
                                     => 3185,
                            legends  => 3887, legia    => 27391, legible  => 29331, legio    => 22133,
                            legion   => 3241, legionaries
                                     => 27963,
                            legionary
                                     => 23893, legionnaires
                                     => 19252,
                            legions  => 9354, legislated
                                     => 19548,
                            legislation
                                     => 1915, legislative
                                     => 1368,
                            legislator
                                     => 9288, legislators
                                     => 8301,
                            legislature
                                     => 2004, legislatures
                                     => 9181,
                            legitimacy
                                     => 8272, legitimately
                                     => 18078,
                            legnica  => 22563, legume   => 14759, legumes  => 20877, lehigh   => 8570,
                            leiber   => 22136, leibniz  => 13136, leica    => 20026, leicester
                                     => 4217,
                            leicestershire
                                     => 7066, leichhardt
                                     => 22670,
                            leiden   => 8557, leinster => 6115, leipzig  => 5046, leiria   => 26611,
                            leisure  => 4712, leitrim  => 18270, lelouch  => 28132, lemberg  => 26606,
                            lemma    => 12350, lemmy    => 27388, lemnos   => 29318, lemur    => 14065,
                            lemurs   => 15059, lenape   => 14529, lender   => 13343, lenders  => 12602,
                            lending  => 7203, lends    => 12202, length   => 665, lengthen => 25953,
                            lengthened
                                     => 12047, lengthening
                                     => 17426,
                            lengths  => 4345, lengthy  => 4909, lenin    => 7250, leningrad
                                     => 6233,
                            leninism => 21233, leninist => 12684, lenovo   => 17961, lens     => 3951,
                            lenses   => 6352, lenticular
                                     => 26203,
                            leominster
                                     => 25094, leonards => 20992,
                            leonean  => 24779, leones   => 26934, leonese  => 25773, leonhard => 19773,
                            leonid   => 10408, leonidas => 17118, leopards => 12356, leopold  => 5254,
                            lepidoptera
                                     => 14710, lepidus  => 28369,
                            leppard  => 21956, lesions  => 8484, lesnar   => 18141, lesotho  => 11589,
                            less     => 431, lessen   => 15458, lessened => 17454, lessening
                                     => 26006,
                            lesser   => 3031, lessing  => 21163, leste    => 19844, leszek   => 23158,
                            leszno   => 29993, lethbridge
                                     => 13416,
                            lettered => 13826, lettering
                                     => 10771,
                            letterkenny
                                     => 26794, letters  => 1268,
                            lettres  => 14330, leucine  => 24233, leukaemia
                                     => 25387,
                            leumit   => 24689, leutnant => 19723, leuven   => 12027, levant   => 9776,
                            levante  => 20357, levantine
                                     => 24946,
                            levee    => 13877, levees   => 19031, level    => 292, leveling => 16741,
                            levelled => 15611, levelling
                                     => 24363,
                            levels   => 938, lever    => 7141, leveraged
                                     => 15342,
                            leveraging
                                     => 21543, leverkusen
                                     => 16389,
                            levers   => 17680, leveson  => 19881, leviathan
                                     => 16718,
                            levied   => 11370, levies   => 18084, leviticus
                                     => 21340,
                            levski   => 15129, lewes    => 11458, lewisburg
                                     => 23531,
                            lewisham => 16004, lewiston => 14271, lexical  => 10723, lexicographer
                                     => 27044,
                            lexicon  => 11144, lexington
                                     => 5667,
                            lexus    => 14848, leyla    => 25315, leyland  => 10333, leyte    => 9078,
                            leyton   => 12389, lgbt     => 4691, lgbtq    => 24386, liabilities
                                     => 12173,
                            liability
                                     => 5556, liangshan
                                     => 23225,
                            liaoning => 12701, libel    => 8901, liber    => 12651, libera   => 28374,
                            liberal  => 1136, liberalisation
                                     => 23340,
                            liberalism
                                     => 9198, liberalization
                                     => 15895,
                            liberally
                                     => 23460, liberals => 4808,
                            liberated
                                     => 7651, liberation
                                     => 2863,
                            liberator
                                     => 13205, liberators
                                     => 20602,
                            liberec  => 21253, liberia  => 6770, liberian => 12834, libero   => 29326,
                            libertad => 15710, libertadores
                                     => 10623,
                            libertarian
                                     => 7162, libertarianism
                                     => 25927,
                            libertarians
                                     => 21446, libertas => 27030,
                            liberties
                                     => 6917, libor    => 28373,
                            libra    => 22341, librarians
                                     => 12421,
                            librarianship
                                     => 25009, libraries
                                     => 3137,
                            library  => 640, libre    => 8380, librettist
                                     => 17826,
                            libretto => 7734, libri    => 25229, libro    => 24372, libya    => 4865,
                            libyan   => 6900, libyans  => 26701, licence  => 4428, licenced => 21124,
                            licences => 11725, licensed => 2393, licensee => 13246, licensees
                                     => 19992,
                            licenses => 5964, licensing
                                     => 4846,
                            licensure
                                     => 20591, licentiate
                                     => 16921,
                            liceo    => 21750, lichen   => 13437, lichens  => 15225, lichfield
                                     => 11865,
                            licinius => 22304, lidar    => 26597, liebe    => 19796, liechtenstein
                                     => 9577,
                            lieder   => 18153, liege    => 7830, liepaja  => 24158, lies     => 847,
                            lieut    => 22639, lieutenant
                                     => 1131,
                            lieutenants
                                     => 12193, life     => 108,
                            lifeboat => 8374, lifeboats
                                     => 14205,
                            lifecycle
                                     => 15588, lifelong => 5086,
                            lifes    => 17853, lifespan => 9542, lifestyle
                                     => 3723,
                            liffey   => 25254, lifter   => 25180, liga     => 3246, ligament => 8833,
                            ligaments
                                     => 15222, ligand   => 9548,
                            ligands  => 10709, ligase   => 20378, ligation => 26655, liger    => 28105,
                            ligeti   => 27437, light    => 422, lighted  => 13042, lightest => 19273,
                            lighthouse
                                     => 3807, lighthouses
                                     => 13116,
                            lighting => 3289, lightship
                                     => 24775,
                            lightweight
                                     => 5117, ligier   => 28097,
                            ligne    => 27033, lignin   => 29129, lignite  => 21231, ligue    => 7195,
                            liguria  => 17825, ligurian => 22986, liiga    => 14511, likeable => 23898,
                            likelihood
                                     => 6819, likely   => 1023,
                            likened  => 10113, likening => 29065, likewise => 4150, likud    => 17117,
                            lille    => 8859, lillehammer
                                     => 16801,
                            lillestrom
                                     => 23591, lillooet => 22562,
                            liman    => 28143, limassol => 16502, limbic   => 29137, limbs    => 7333,
                            limburg  => 11406, limerick => 5938, limestone
                                     => 3634,
                            limestones
                                     => 21841, limit    => 2013,
                            limitation
                                     => 8320, limitations
                                     => 4592,
                            limited  => 599, limiting => 5640, limits   => 2403, limousin => 20110,
                            limpet   => 24079, limpets  => 19888, limpopo  => 17114, lincolnshire
                                     => 6073,
                            lindau   => 25464, lindbergh
                                     => 13414,
                            lindisfarne
                                     => 20204, lindwall => 19801,
                            line     => 148, lineage  => 4938, lineages => 10434, lineal   => 22759,
                            linear   => 2513, linearity
                                     => 23645,
                            linearly => 14315, linebacker
                                     => 6158,
                            linebackers
                                     => 16673, lineman  => 8704,
                            linemen  => 19432, liner    => 4894, liners   => 11512, lines    => 696,
                            linesman => 28636, lineup   => 3655, lineups  => 18776, linfield => 19290,
                            linga    => 20701, lingam   => 22109, lingayen => 21056, lingered => 23256,
                            lingua   => 13731, lingual  => 16950, linguist => 8781, linguistic
                                     => 4422,
                            linguistically
                                     => 17450,
                            linguistics
                                     => 6056, linguists
                                     => 10705,
                            linings  => 27166, linkage  => 11081, linkages => 15657, linked   => 1978,
                            linkedin => 24935, linkin   => 18249, linking  => 4290, linkoping
                                     => 21298,
                            links    => 1523, linlithgow
                                     => 23194,
                            linnaeus => 12070, linnean  => 21744, lintel   => 21679, lintels  => 23098,
                            linus    => 14066, linux    => 4372, lion     => 2948, lioness  => 27100,
                            lionheart
                                     => 25115, lions    => 2684,
                            lionsgate
                                     => 19865, lipid    => 10530,
                            lipids   => 15287, lipoprotein
                                     => 29516,
                            lippe    => 15340, lippi    => 25868, liquefied
                                     => 20473,
                            liquid   => 2881, liquidated
                                     => 13873,
                            liquidation
                                     => 10075, liquidator
                                     => 28542,
                            liquidity
                                     => 13170, liquids  => 10037,
                            lisboa   => 18690, lisbon   => 4684, lisburn  => 22006, liskeard => 29734,
                            lismore  => 19129, list     => 232, listed   => 607, listeners
                                     => 5111,
                            listing  => 2151, listings => 4952, lists    => 2249, liszt    => 9337,
                            liter    => 9177, literacy => 3004, literal  => 7337, literary => 1323,
                            literate => 10309, literati => 26356, literature
                                     => 955,
                            literatures
                                     => 21269, lithgow  => 20500,
                            lithic   => 24719, lithium  => 8156, lithograph
                                     => 29604,
                            lithographer
                                     => 29854, lithographic
                                     => 27684,
                            lithographs
                                     => 20310, lithography
                                     => 15560,
                            lithosphere
                                     => 23961, lithuania
                                     => 3685,
                            lithuanian
                                     => 3957, lithuanians
                                     => 14827,
                            litigants
                                     => 27234, litigation
                                     => 5701,
                            litovsk  => 28047, litre    => 6527, litres   => 11713, litters  => 22036,
                            littoral => 12480, liturgical
                                     => 7026,
                            liturgics
                                     => 27615, liturgies
                                     => 24281,
                            liturgy  => 7450, lived    => 621, livelihoods
                                     => 17692,
                            liveries => 23544, liverpool
                                     => 2032,
                            livery   => 6873, livestock
                                     => 4338,
                            living   => 349, livonia  => 14789, livonian => 17096, livorno  => 14749,
                            livre    => 19010, livres   => 20590, lizards  => 9092, ljubljana
                                     => 8054,
                            llandaff => 21731, llandudno
                                     => 26128,
                            llanelli => 15761, llangollen
                                     => 29383,
                            llano    => 18314, lleida   => 18094, llewelyn => 25515, lloyds   => 17324,
                            lluis    => 27302, llywelyn => 16053, loader   => 14606, loaders  => 23908,
                            loading  => 4767, loan     => 1771, loaned   => 5185, loans    => 4082,
                            loanwords
                                     => 15067, loaves   => 15491,
                            lobbied  => 9240, lobbies  => 20280, lobbying => 6989, lobbyist => 14239,
                            lobbyists
                                     => 18281, lobed    => 14258,
                            lobes    => 9190, lobos    => 13712, local    => 171, locale   => 13782,
                            locales  => 14017, localised
                                     => 17379,
                            localities
                                     => 5394, locality => 3690,
                            localization
                                     => 10627, localize => 28926,
                            localized
                                     => 8288, locally  => 2439,
                            locals   => 4191, locarno  => 18152, located  => 134, locates  => 16529,
                            location => 622, locations
                                     => 1485,
                            locative => 25461, loch     => 5867, lochaber => 29695, lockerbie
                                     => 26906,
                            lockheed => 7068, lockout  => 11264, lockport => 20909, lockyer  => 19907,
                            locomotion
                                     => 14796, locomotive
                                     => 2868,
                            locomotives
                                     => 2536, locos    => 17002,
                            locus    => 9159, locust   => 12140, lodge    => 2883, lodger   => 26459,
                            lodges   => 9322, lodging  => 10293, lodgings => 16397, lodz     => 5398,
                            loess    => 24204, loewe    => 27840, lofty    => 13584, logano   => 23086,
                            logarithm
                                     => 16563, logarithmic
                                     => 17585,
                            logarithms
                                     => 29155, loggers  => 22572,
                            loggia   => 20460, logging  => 6081, logic    => 3272, logics   => 23800,
                            logie    => 16149, login    => 20293, logistic => 12215, logistical
                                     => 10158,
                            logistics
                                     => 5173, logo     => 2843,
                            logos    => 8737, lohan    => 18420, lohengrin
                                     => 28624,
                            loire    => 7536, lokomotiv
                                     => 11990,
                            lollapalooza
                                     => 24182, lombards => 17323,
                            lombardy => 9114, lombok   => 24443, lomond   => 20480, lomonosov
                                     => 29221,
                            lomza    => 24252, london   => 244, londonderry
                                     => 11473,
                            londoners
                                     => 24837, longchamp
                                     => 18623,
                            longest  => 2264, longevity
                                     => 9668,
                            longford => 12406, longhorn => 12985, longhorns
                                     => 12053,
                            longitude
                                     => 6688, longitudinal
                                     => 7797,
                            longitudinally
                                     => 20985,
                            longstanding
                                     => 11034, longtime => 4083,
                            longueuil
                                     => 23798, longview => 19390,
                            longwood => 20511, lonsdale => 14174, lookup   => 23799, loomed   => 28154,
                            looms    => 15856, loop     => 2667, looping  => 16868, loops    => 6953,
                            loosely  => 5022, looted   => 10071, looters  => 26407, looting  => 10567,
                            lorain   => 22512, lord     => 677, lorde    => 24598, lords    => 3047,
                            lordship => 8605, lordships
                                     => 23585,
                            lorestan => 11566, lorient  => 16546, lorries  => 18764, los      => 578,
                            loss     => 758, losses   => 1948, lossless => 22564, lothair  => 20323,
                            lothar   => 16988, lothian  => 11082, lotteries
                                     => 20729,
                            lotus    => 5187, loudness => 23896, loudoun  => 14130, loudspeaker
                                     => 16295,
                            loudspeakers
                                     => 17690, loughborough
                                     => 12365,
                            loughton => 27989, louisbourg
                                     => 21174,
                            louisiana
                                     => 1766, louisville
                                     => 4293,
                            lounges  => 16481, louth    => 13587, louvain  => 18081, louvre   => 10170,
                            lovat    => 25112, lovech   => 25436, lovecraft
                                     => 11249,
                            low      => 456, lower    => 511, lowercase
                                     => 18992,
                            lowered  => 5902, lowering => 8179, lowest   => 2661, lowestoft
                                     => 17603,
                            lowland  => 5310, lowlands => 9163, loxton   => 28171, loyalist => 8046,
                            loyalists
                                     => 9251, loyola   => 8023,
                            lozenge  => 28765, "ltd."   => 3806, luanda   => 16945, luang    => 15830,
                            lubavitch
                                     => 29980, lubbock  => 11402,
                            lubeck   => 11836, lubelski => 22340, lublin   => 5981, lubrication
                                     => 17404,
                            lubusz   => 13681, lucan    => 19595, lucasarts
                                     => 25602,
                            lucasfilm
                                     => 24927, lucchese => 22588,
                            lucent   => 24043, lucerne  => 12118, lucha    => 9967, lucifer  => 12816,
                            lucknow  => 8823, lucrative
                                     => 7964,
                            lucrezia => 23146, ludacris => 19861, ludendorff
                                     => 26485,
                            ludhiana => 20098, ludmila  => 28076, ludovic  => 22772, ludovico => 17689,
                            ludvig   => 19785, ludwigsburg
                                     => 27109,
                            ludwigshafen
                                     => 27665, ludwik   => 28071,
                            lufthansa
                                     => 17033, luftwaffe
                                     => 6365,
                            lugano   => 13227, luger    => 13649, luhansk  => 19624, lukashenko
                                     => 27617,
                            lukasz   => 24512, lukow    => 29793, lulea    => 23515, lully    => 28370,
                            lumber   => 5324, lumberjacks
                                     => 23152,
                            lumbini  => 27724, lumen    => 16676, lumia    => 23321, lumiere  => 19333,
                            luminance
                                     => 23472, luminaries
                                     => 15450,
                            luminosity
                                     => 12990, luminous => 12023,
                            lumpur   => 7085, lumumba  => 25260, lunar    => 4314, luneburg => 13118,
                            lunenburg
                                     => 19415, lunga    => 28686,
                            luoyang  => 12348, lupin    => 17126, lures    => 17698, lurgan   => 29122,
                            lusaka   => 19381, lusatia  => 22992, lusignan => 24552, lusitania
                                     => 21328,
                            lustre   => 24538, lutheran => 3777, lutheranism
                                     => 18878,
                            lutherans
                                     => 14217, luthier  => 25651,
                            luthor   => 13315, luton    => 7411, lutyens  => 23581, lutzow   => 26818,
                            luxembourg
                                     => 4167, luxembourgian
                                     => 29906,
                            luxembourgish
                                     => 20094, luxemburg
                                     => 19366,
                            luxor    => 21523, luxurious
                                     => 9667,
                            luxury   => 4071, luzern   => 28648, luzerne  => 19580, luzon    => 8047,
                            lyase    => 18484, lycaenidae
                                     => 13753,
                            lycee    => 11113, lyceum   => 11092, lycia    => 28578, lycoming => 14214,
                            lydian   => 29247, lyell    => 18085, lymington
                                     => 27952,
                            lymphatic
                                     => 19949, lymphocyte
                                     => 28378,
                            lymphocytes
                                     => 16641, lynchburg
                                     => 15160,
                            lynching => 15721, lyndhurst
                                     => 24409,
                            lynyrd   => 25556, lyonnais => 22866, lyric    => 5693, lyrical  => 6009,
                            lyrically
                                     => 10652, lyricism => 19732,
                            lyricist => 8388, lyricists
                                     => 24958,
                            lyrics   => 1460, lysander => 24269, lysine   => 17296, lysis    => 29282,
                            lyttelton
                                     => 14477, lyudmila => 26529,
                            "m*a*s*h"
                                     => 22870, "m.b.a." => 23639,
                            "m.f.a"  => 25728, "m.i.a"  => 23618, "m.phil" => 28688, "ma'mun" => 28440,
                            maarten  => 16254, maasai   => 22916, maastricht
                                     => 12526,
                            maatschappij
                                     => 29228, macabre  => 17162,
                            macao    => 20550, macapagal
                                     => 18241,
                            macaque  => 22455, macaques => 25323, macau    => 6642, macaw    => 24795,
                            macbeth  => 9861, macbook  => 26328, maccabees
                                     => 26003,
                            maccabi  => 9108, maccabiah
                                     => 23839,
                            macclesfield
                                     => 12006, maccoll  => 28055,
                            macdill  => 29370, macedon  => 14306, macedonia
                                     => 4255,
                            macedonian
                                     => 5265, macedonians
                                     => 15305,
                            machi    => 26639, machina  => 25993, machined => 21508, machinegun
                                     => 26172,
                            machinery
                                     => 4121, machines => 2469,
                            machinima
                                     => 25681, machining
                                     => 16448,
                            machinist
                                     => 19326, maciej   => 21979,
                            macintosh
                                     => 8042, mackinac => 15888,
                            mackintosh
                                     => 13292, macleay  => 29458,
                            macomb   => 18502, macquarie
                                     => 9116,
                            macro    => 9816, macroeconomic
                                     => 17636,
                            macroeconomics
                                     => 23095,
                            macromolecules
                                     => 28474,
                            macrophages
                                     => 16378, macros   => 22201,
                            macroscopic
                                     => 17590, macross  => 22647,
                            macular  => 27094, maculata => 25824, madagascar
                                     => 4664,
                            madama   => 25216, madan    => 15688, made     => 65, madeira  => 10196,
                            madhav   => 26919, madhava  => 26656, madhavan => 20771, madhu    => 17160,
                            madhya   => 7672, madoff   => 16975, madras   => 5094, madrasa  => 20524,
                            madrasah => 26135, madrigals
                                     => 20346,
                            madura   => 27643, madurai  => 10681, maduro   => 25925, maersk   => 19879,
                            mafia    => 5453, mafic    => 29877, magadha  => 28844, magalhaes
                                     => 27102,
                            magazine => 464, magazines
                                     => 2540,
                            magdeburg
                                     => 10715, magellanic
                                     => 27190,
                            magenta  => 16372, maggiore => 16091, maghreb  => 17348, magica   => 27996,
                            magik    => 29146, maginot  => 24217, magister => 14661, magistrate
                                     => 5873,
                            magistrates
                                     => 8230, maglev   => 28109,
                            magma    => 10983, magna    => 7489, magnate  => 9810, magnates => 15674,
                            magnesium
                                     => 8936, magnetic => 2953,
                            magnetite
                                     => 23739, magnetization
                                     => 20005,
                            magnetosphere
                                     => 25642, magnificat
                                     => 24906,
                            magnification
                                     => 18337, magnitude
                                     => 4049,
                            magnitudes
                                     => 19128, magnus   => 5656,
                            magog    => 28473, magpie   => 18096, magpies  => 13596, magritte => 27654,
                            magsaysay
                                     => 22921, maguindanao
                                     => 27610,
                            magus    => 24150, magyars  => 23278, mahabharata
                                     => 11001,
                            mahadev  => 21121, mahadeva => 27145, mahadevan
                                     => 25859,
                            mahal    => 10829, mahalleh => 14610, maharaj  => 11519, maharaja => 8339,
                            maharani => 24854, maharashtra
                                     => 4823,
                            maharishi
                                     => 16231, mahathir => 22990,
                            mahatma  => 11116, mahavidyalaya
                                     => 29639,
                            mahayana => 13254, mahdi    => 12507, mahendra => 15675, mahesh   => 13496,
                            mahinda  => 25034, mahindra => 16903, mahjong  => 26099, mahmud   => 9075,
                            mahmudabad
                                     => 23422, mahoning => 25797,
                            maidan   => 18462, maiden   => 4458, maidenhead
                                     => 18784,
                            maidens  => 16348, maidstone
                                     => 11786,
                            maimonides
                                     => 14676, main     => 199,
                            maine    => 2377, mainframes
                                     => 28842,
                            mainichi => 27863, mainland => 2870, mainline => 7388, mainly   => 815,
                            mainstay => 10716, mainstays
                                     => 25936,
                            mainstream
                                     => 2571, maintain => 1816,
                            maintained
                                     => 1589, maintaining
                                     => 3172,
                            maintains
                                     => 3169, maintenance
                                     => 2110,
                            mainz    => 7693, maior    => 28939, maison   => 11667, maisons  => 28605,
                            maithili => 29386, maitreya => 25730, maize    => 7907, majapahit
                                     => 21521,
                            majestic => 9889, majid    => 15351, majlis   => 16106, major    => 178,
                            majorca  => 15352, majored  => 10435, majoring => 12379, majoris  => 29915,
                            majorities
                                     => 16276, majority => 719,
                            majumdar => 26351, majuro   => 25250, makai    => 27723, makarov  => 24782,
                            makassar => 22587, makati   => 16164, maker    => 3801, makerere => 23995,
                            makers   => 4173, makeshift
                                     => 10966,
                            makeup   => 1997, makhachkala
                                     => 29018,
                            makkah   => 29865, makoto   => 15009, maksim   => 19563, maktoum  => 22019,
                            malabar  => 9371, malacca  => 9808, malachy  => 25664, malaga   => 10031,
                            malagasy => 13177, malankara
                                     => 16923,
                            malappuram
                                     => 23638, malaria  => 7172,
                            malawi   => 6909, malawian => 24468, malay    => 5115, malaya   => 7809,
                            malayalam
                                     => 4967, malayan  => 12238,
                            malays   => 13983, malaysia => 2119, malaysian
                                     => 4567,
                            malaysians
                                     => 27510, malden   => 16310,
                            maldives => 9100, maldivian
                                     => 20634,
                            maldon   => 22471, male     => 799, maleficent
                                     => 29729,
                            males    => 801, malformation
                                     => 28393,
                            malformations
                                     => 24418, mali     => 6072,
                            malian   => 15930, malignancy
                                     => 29939,
                            maliki   => 19697, malini   => 26920, malla    => 19640, malleable
                                     => 24924,
                            mallee   => 20457, mallorca => 13637, malls    => 8791, malmesbury
                                     => 21213,
                            malmo    => 8252, malnutrition
                                     => 13003,
                            malolos  => 27951, malory   => 29817, malta    => 3883, maltese  => 7193,
                            malton   => 21430, maluku   => 20760, malus    => 25397, malvern  => 10153,
                            malwa    => 20292, malware  => 14750, mamadou  => 28649, mamba    => 26120,
                            mamet    => 25386, mamluk   => 14990, mamluks  => 18597, mammal   => 8787,
                            mammalian
                                     => 9345, mammals  => 4171,
                            mammary  => 25182, mammootty
                                     => 22536,
                            mammoth  => 9887, mammoths => 28025, mamoru   => 24702, managed  => 907,
                            management
                                     => 499, manager  => 667,
                            managerial
                                     => 7309, managers => 3706,
                            manages  => 3347, managing => 2451, managua  => 19370, manama   => 26139,
                            manas    => 23082, manassas => 17693, manasseh => 29710, manaus   => 26539,
                            manawatu => 18272, manche   => 19556, manchester
                                     => 1507,
                            manchu   => 9411, manchukuo
                                     => 17836,
                            manchuria
                                     => 10698, manchurian
                                     => 21415,
                            manchus  => 22641, mandal   => 8513, mandala  => 17522, mandalay => 14109,
                            mandan   => 28150, mandarin => 6285, mandate  => 4087, mandated => 6525,
                            mandates => 9575, mandating
                                     => 22178,
                            mandatory
                                     => 4129, mande    => 27677,
                            mandela  => 10118, mander   => 23834, mandible => 11896, mandibles
                                     => 13269,
                            mandibular
                                     => 21135, mandir   => 9296,
                            mandolin => 10697, manet    => 21177, maneuverability
                                     => 19622,
                            maneuverable
                                     => 28166, maneuvers
                                     => 9049,
                            manfred  => 10260, manga    => 2991, mangal   => 26641, mangalore
                                     => 12525,
                            manganese
                                     => 11166, mangeshkar
                                     => 24172,
                            mango    => 10065, mangrove => 10402, mangroves
                                     => 14959,
                            manhattan
                                     => 2585, manhunter
                                     => 24662,
                            mania    => 11698, manifestation
                                     => 9219,
                            manifestations
                                     => 10508,
                            manifested
                                     => 10027, manifesto
                                     => 6484,
                            manifests
                                     => 14155, manifold => 7018,
                            manifolds
                                     => 11779, manila   => 3491,
                            manipur  => 12145, manipuri => 27993, manitoba => 3560, manitou  => 21031,
                            manitowoc
                                     => 23880, manju    => 28420,
                            mankato  => 21960, mankiewicz
                                     => 26923,
                            manlius  => 29779, manmade  => 27233, manmohan => 19674, mannar   => 26513,
                            manned   => 5882, manner   => 2107, mannerheim
                                     => 28196,
                            mannerism
                                     => 28377, mannerisms
                                     => 18140,
                            mannerist
                                     => 22015, mannheim => 9671,
                            manningham
                                     => 29592, manoa    => 23640,
                            manoel   => 26125, manoeuvre
                                     => 15181,
                            manoeuvres
                                     => 16613, manohar  => 21647,
                            manoj    => 18226, manon    => 18470, manor    => 2447, manorama => 29530,
                            manorial => 20664, manors   => 12009, mans     => 5999, mansa    => 25303,
                            mansard  => 20074, mansfeld => 29330, mansions => 10040, mansoor  => 24250,
                            manstein => 26993, manta    => 18357, mantegna => 29237, mantle   => 6804,
                            mantras  => 21877, mantua   => 12135, manually => 7971, manuals  => 10766,
                            manufactory
                                     => 24614, manufacture
                                     => 3536,
                            manufactured
                                     => 2600, manufacturer
                                     => 2641,
                            manufacturers
                                     => 2952, manufactures
                                     => 7749,
                            manufacturing
                                     => 1823, manukau  => 23170,
                            manuscript
                                     => 2976, manuscripts
                                     => 3859,
                            many     => 68, manzanillo
                                     => 28348,
                            maoist   => 14452, maori    => 4610, maozhen  => 29804, mapped   => 6626,
                            mapping  => 4742, mappings => 23243, maps     => 2679, mapuche  => 19266,
                            maputo   => 21597, maquis   => 23468, maracaibo
                                     => 21478,
                            maradona => 20201, marais   => 17849, maranhao => 20622, marat    => 20056,
                            maratha  => 10201, marathas => 14956, marathi  => 7103, marathon => 3249,
                            marathons
                                     => 17569, marauder => 26166,
                            marauders
                                     => 17428, marauding
                                     => 27577,
                            marbella => 25605, marbled  => 21420, marblehead
                                     => 23668,
                            marburg  => 13533, march    => 141, marche   => 12307, marched  => 4755,
                            marcher  => 27777, marchers => 21490, marches  => 8093, marching => 4604,
                            marchioness
                                     => 22966, mardin   => 24497,
                            marduk   => 22053, mare     => 4950, marechal => 21005, marga    => 26451,
                            margarine
                                     => 26378, margin   => 2693,
                            marginal => 5820, marginalised
                                     => 24734,
                            marginalization
                                     => 25952,
                            marginalized
                                     => 12797, margins  => 6692,
                            margrave => 11270, margraviate
                                     => 25635,
                            margrethe
                                     => 26505, marianas => 14621,
                            maribor  => 13255, maricopa => 18652, mariinsky
                                     => 24947,
                            marija   => 22347, marikina => 24371, marillion
                                     => 29654,
                            marimba  => 21461, marinas  => 23276, marine   => 984, mariner  => 10778,
                            mariners => 6726, marines  => 3760, marinus  => 23749, marionette
                                     => 24959,
                            mariposa => 21038, marist   => 13691, maritima => 25722, maritime => 2765,
                            maritimes
                                     => 16696, maritimo => 28001,
                            mariupol => 25646, marius   => 9351, mariya   => 27124, markazi  => 14806,
                            marked   => 1348, markedly => 10109, markers  => 6247, market   => 503,
                            marketed => 4202, marketer => 23684, marketers
                                     => 18325,
                            marketing
                                     => 1850, marketplace
                                     => 6906,
                            markets  => 1946, marking  => 4140, markings => 5699, markov   => 13280,
                            marksman => 20058, marksmen => 27051, markt    => 28060, markup   => 14576,
                            marlboro => 13911, marlborough
                                     => 8239,
                            marlins  => 9486, marmara  => 19047, marne    => 8897, maronite => 15690,
                            maroons  => 12502, marque   => 13352, marquee  => 13125, marquesas
                                     => 26683,
                            marquess => 7024, marquise => 22267, marrakech
                                     => 20635,
                            marrakesh
                                     => 22943, marred   => 10915,
                            married  => 300, mars     => 3117, marsalis => 19802, marseille
                                     => 6817,
                            marshal  => 3718, marshalling
                                     => 17678,
                            marshalls
                                     => 20770, marshes  => 6828,
                            marshfield
                                     => 22540, marshland
                                     => 18079,
                            marshlands
                                     => 29676, marshy   => 14107,
                            marsupial
                                     => 24695, marsupials
                                     => 24241,
                            marthe   => 27789, martial  => 2709, martian  => 9141, martinique
                                     => 10886,
                            martinsburg
                                     => 24302, martinsville
                                     => 17030,
                            martinus => 29297, martius  => 29881, martyn   => 11319, martyrdom
                                     => 10721,
                            martyred => 15014, martyrology
                                     => 27060,
                            martyrs  => 7595, maruti   => 24978, marvels  => 20910, marwan   => 20710,
                            marxian  => 29447, marxism  => 9580, marxist  => 5685, marxists => 19106,
                            maryborough
                                     => 20311, maryland => 1558,
                            marylebone
                                     => 10344, marymount
                                     => 17890,
                            marysville
                                     => 18578, maryville
                                     => 26503,
                            masada   => 28096, masahiro => 22736, masala   => 21033, masami   => 29576,
                            masaryk  => 26076, masato   => 23048, mascarene
                                     => 27914,
                            mascot   => 4586, mascots  => 15110, masculine
                                     => 6122,
                            masculinity
                                     => 15102, maserati => 14459,
                            masha    => 25021, mashhad  => 16360, mashonaland
                                     => 27837,
                            mashup   => 25577, masjid   => 9936, masonic  => 7800, masonry  => 7310,
                            masons   => 12600, masood   => 19493, masoretic
                                     => 28469,
                            masovia  => 26478, masovian => 6359, masque   => 15762, mass     => 980,
                            massachusetts
                                     => 1149, massacre => 3323,
                            massacred
                                     => 11817, massacres
                                     => 9848,
                            massed   => 16139, massena  => 18807, massenet => 23406, masses   => 4670,
                            massif   => 9010, massillon
                                     => 22681,
                            massing  => 21562, massive  => 2139, massively
                                     => 12371,
                            massoud  => 21565, masted   => 20644, master   => 718, masterchef
                                     => 21581,
                            masterclasses
                                     => 27009, mastered => 7911,
                            mastering
                                     => 11007, masterpieces
                                     => 12399,
                            masterplan
                                     => 24683, masterton
                                     => 24484,
                            masterworks
                                     => 23895, mastery  => 9906,
                            masthead => 22214, mastodon => 23432, masts    => 10595, masud    => 29144,
                            masurian => 8997, matabeleland
                                     => 29798,
                            matanzas => 26052, mataram  => 22767, match    => 387, matchbox => 22073,
                            matchday => 15442, matched  => 5303, matches  => 800, matchup  => 13582,
                            matchups => 22546, mated    => 15371, mater    => 6170, materia  => 25043,
                            material => 766, materialise
                                     => 25174,
                            materialised
                                     => 21920, materialism
                                     => 13689,
                            materialist
                                     => 24470, materialized
                                     => 13855,
                            materially
                                     => 19629, materials
                                     => 1282,
                            materiel => 13072, maternal => 4328, mathematica
                                     => 26610,
                            mathematical
                                     => 2966, mathematically
                                     => 11571,
                            mathematician
                                     => 5435, mathematicians
                                     => 10144,
                            mathematics
                                     => 1853, maths    => 12346,
                            mathura  => 18119, matic    => 18202, matins   => 28403, matisse  => 15475,
                            matlab   => 27814, matra    => 21994, matrices => 8044, matriculated
                                     => 11488,
                            matriculating
                                     => 29199, matriculation
                                     => 13090,
                            matrilineal
                                     => 21037, matrix   => 2866,
                            matroid  => 23723, matsu    => 29826, matsudaira
                                     => 23097,
                            matsuyama
                                     => 27340, mattel   => 14878,
                            matterhorn
                                     => 23681, matti    => 17852,
                            mattias  => 26492, maturation
                                     => 13604,
                            matures  => 19639, maturin  => 22996, maturing => 18309, maturity => 6065,
                            mauboy   => 27164, maugham  => 22857, maulana  => 14494, maumee   => 26468,
                            mauna    => 21262, maung    => 20435, mauretania
                                     => 25139,
                            maurier  => 24073, mauritania
                                     => 10290,
                            mauritanian
                                     => 24615, mauritian
                                     => 19264,
                            mauritius
                                     => 6914, maurizio => 16857,
                            maurya   => 23246, mauryan  => 28974, mauthausen
                                     => 28506,
                            maverick => 10068, mavericks
                                     => 9940,
                            maxilla  => 22516, maxillary
                                     => 13477,
                            maximal  => 10263, maxime   => 18048, maximilian
                                     => 7836,
                            maximise => 19162, maximization
                                     => 29335,
                            maximize => 9222, maximized
                                     => 27225,
                            maximizes
                                     => 29977, maximizing
                                     => 16827,
                            maxims   => 27326, maximum  => 1404, maximus  => 9713, may      => 46,
                            mayaguez => 16731, maybach  => 23823, mayenne  => 27414, mayfair  => 14379,
                            maynooth => 20422, mayor    => 923, mayoral  => 8071, mayoralty
                                     => 17490,
                            mayors   => 6769, mayotte  => 23282, mayport  => 28278, mazandaran
                                     => 10599,
                            mazar    => 19859, mazarin  => 24251, mazatlan => 24843, mazda    => 9579,
                            mazes    => 27382, mazowiecka
                                     => 25166,
                            mazowiecki
                                     => 14682, mazowieckie
                                     => 28689,
                            "mazra'eh"
                                     => 25135, mazraeh  => 12698,
                            mbeki    => 19797, "mbit/s" => 13061, mcclatchy
                                     => 28052,
                            mcenroe  => 20931, mcfly    => 27768, mcguinty => 29118, mckellen => 28818,
                            mcluhan  => 25447, mcminnville
                                     => 29715,
                            mcmurdo  => 19218, meadow   => 6230, meadowlands
                                     => 20239,
                            meagre   => 23383, meander  => 20854, meandering
                                     => 17333,
                            meanders => 19780, meaning  => 861, meanings => 6220, meanwhile
                                     => 1846,
                            measurable
                                     => 11255, measure  => 1883,
                            measured => 2845, measurement
                                     => 3961,
                            measurements
                                     => 4426, measures => 1933,
                            measuring
                                     => 3729, meath    => 9686,
                            mecca    => 8004, mechanical
                                     => 2267,
                            mechanically
                                     => 10578, mechanics
                                     => 3757,
                            mechanised
                                     => 16550, mechanism
                                     => 2526,
                            mechanisms
                                     => 3946, mechanistic
                                     => 24581,
                            mechanization
                                     => 22938, mechanized
                                     => 10038,
                            mechelen => 17319, mecklenburg
                                     => 7654,
                            medaille => 27482, medak    => 29943, medal    => 629, medalist => 5974,
                            medalists
                                     => 11887, medallion
                                     => 11285,
                            medallions
                                     => 18017, medallist
                                     => 11277,
                            medallists
                                     => 22575, medals   => 2176,
                            medan    => 19241, medea    => 17192, medes    => 28881, media    => 421,
                            mediacorp
                                     => 17131, mediaeval
                                     => 11708,
                            medial   => 8608, median   => 806, medias   => 25908, mediate  => 12160,
                            mediated => 7632, mediates => 21318, mediating
                                     => 20330,
                            mediation
                                     => 9319, mediator => 12148,
                            mediators
                                     => 21210, medica   => 21718,
                            medicaid => 12733, medical  => 537, medicare => 9725, medici   => 8537,
                            medicinal
                                     => 7512, medicine => 1245,
                            medicines
                                     => 8256, medico   => 23303,
                            medieval => 1833, medio    => 27655, meditation
                                     => 5753,
                            meditations
                                     => 17744, meditative
                                     => 18602,
                            mediterranean
                                     => 2396, medium   => 1679,
                            mediums  => 13447, medusa   => 14151, medvedev => 15385, medway   => 12836,
                            meena    => 16740, meenakshi
                                     => 21896,
                            meera    => 17297, meerut   => 19190, meetinghouse
                                     => 18414,
                            meetings => 2230, meets    => 2066, mega     => 4884, megachile
                                     => 6263,
                            megachilidae
                                     => 18432, megadeth => 17699,
                            megalithic
                                     => 17647, megapixel
                                     => 20538,
                            megas    => 15293, megatron => 11340, megawatt => 18301, megawatts
                                     => 15184,
                            meghalaya
                                     => 18670, megiddo  => 29220,
                            megumi   => 25638, mehdi    => 14350, meher    => 21981, mehmed   => 11624,
                            mehmet   => 12575, mehmood  => 28514, mehra    => 26665, meijer   => 24500,
                            meiji    => 8412, meiningen
                                     => 22145,
                            meiosis  => 19001, meissen  => 17409, mekong   => 12223, melaka   => 25055,
                            melaleuca
                                     => 13618, melamine => 29114,
                            melancholic
                                     => 19967, melanchthon
                                     => 29217,
                            melanesia
                                     => 25571, melanesian
                                     => 26399,
                            melange  => 28492, melanin  => 23937, melanogaster
                                     => 26439,
                            melanoma => 16171, melatonin
                                     => 27498,
                            melayu   => 24576, melbourne
                                     => 1509,
                            melee    => 11851, melies   => 20609, melilla  => 27159, melkite  => 22225,
                            mellencamp
                                     => 24671, mellitus => 19753,
                            melodic  => 6535, melodies => 6417, melodifestivalen
                                     => 17274,
                            melodious
                                     => 24222, melodramas
                                     => 29886,
                            meltwater
                                     => 24129, melvyn   => 27338,
                            melzer   => 25761, member   => 151, membered => 24295, members  => 181,
                            membership
                                     => 1708, memberships
                                     => 11355,
                            membrane => 4043, membranes
                                     => 9069,
                            membranous
                                     => 26247, memes    => 29223,
                            memoir   => 5290, memoires => 25068, memoirs  => 5323, memorabilia
                                     => 10062,
                            memorable
                                     => 4883, memorably
                                     => 25227,
                            memoranda
                                     => 28778, memorandum
                                     => 7737,
                            memorial => 1060, memorialized
                                     => 21132,
                            memorials
                                     => 7656, memoriam => 23523,
                            memphis  => 3829, men      => 213, menachem => 16761, mendelssohn
                                     => 12062,
                            mendip   => 23836, mendocino
                                     => 17042,
                            mendota  => 29292, menelik  => 26664, menem    => 25978, menezes  => 20549,
                            meniscus => 23204, menlo    => 18854, mennonite
                                     => 10816,
                            mennonites
                                     => 16415, menominee
                                     => 21243,
                            menon    => 10742, menstruation
                                     => 22477,
                            menswear => 23111, mentioned
                                     => 1132,
                            mentions => 3622, mentored => 11618, mentoring
                                     => 10546,
                            mentors  => 11295, mentorship
                                     => 18076,
                            menuhin  => 23559, menxia   => 29406, mephisto => 19913, merah    => 28528,
                            mercantile
                                     => 9099, mercator => 23202,
                            mercenaries
                                     => 8051, merchandising
                                     => 12893,
                            merchantman
                                     => 25944, merchantmen
                                     => 22718,
                            merchants
                                     => 4031, mercia   => 13409,
                            mercian  => 22311, merckx   => 23344, mercurial
                                     => 29994,
                            mercury  => 3338, merdeka  => 24155, merengue => 23076, merge    => 5472,
                            merged   => 1709, merger   => 2578, mergers  => 9415, merges   => 11439,
                            merging  => 6514, meriden  => 21906, meridian => 6143, merion   => 25465,
                            merit    => 3515, merite   => 24793, merited  => 23657, meritorious
                                     => 9144,
                            merovingian
                                     => 21059, merrimack
                                     => 16242,
                            merseburg
                                     => 26065, mersey   => 12069,
                            merseyside
                                     => 11117, mersin   => 11617,
                            merthyr  => 14184, merton   => 10006, mervyn   => 15104, meshes   => 29712,
                            mesic    => 23986, mesoamerica
                                     => 16949,
                            mesoamerican
                                     => 14709, mesoderm => 28083,
                            mesolithic
                                     => 17401, mesopotamia
                                     => 9204,
                            mesopotamian
                                     => 16508, mesozoic => 15040,
                            messaging
                                     => 8972, messe    => 24050,
                            messengers
                                     => 11464, messerschmitt
                                     => 14249,
                            messi    => 20685, messiaen => 22792, messiah  => 8668, messianic
                                     => 15787,
                            messrs   => 23736, "messrs."
                                     => 22239,
                            mestizo  => 19149, mestizos => 25531, mesto    => 22280, metabolic
                                     => 7974,
                            metabolism
                                     => 6847, metabolite
                                     => 17354,
                            metabolites
                                     => 14583, metabolized
                                     => 21613,
                            metacritic
                                     => 6555, metadata => 9992,
                            metairie => 28850, metal    => 956, metalcore
                                     => 16637,
                            metallic => 5711, metallica
                                     => 10965,
                            metallurg
                                     => 26646, metallurgical
                                     => 15630,
                            metallurgy
                                     => 12863, metals   => 4593,
                            metalwork
                                     => 19593, metalworking
                                     => 22199,
                            metamorphic
                                     => 15311, metamorphism
                                     => 26405,
                            metamorphosed
                                     => 24113, metamorphoses
                                     => 23088,
                            metanotum
                                     => 19724, metaphorical
                                     => 16922,
                            metaphysical
                                     => 10960, metaphysics
                                     => 11419,
                            metastasis
                                     => 20684, metastatic
                                     => 20769,
                            metatarsal
                                     => 28094, metathorax
                                     => 19337,
                            meteoric => 28519, meteorite
                                     => 11771,
                            meteorites
                                     => 16581, meteorological
                                     => 7145,
                            meteorologist
                                     => 13914, meteorologists
                                     => 26097,
                            meteorology
                                     => 11791, meter    => 3190,
                            metered  => 29284, metering => 15938, meters   => 1999, methamphetamine
                                     => 17217,
                            methane  => 9007, methanol => 14636, methionine
                                     => 21803,
                            method   => 1029, methodism
                                     => 18838,
                            methodist
                                     => 3166, methodists
                                     => 13988,
                            methodius
                                     => 21742, methodological
                                     => 14038,
                            methodologies
                                     => 12385, methodology
                                     => 5786,
                            methods  => 1335, methuen  => 21281, methyl   => 10204, methylated
                                     => 27867,
                            methylation
                                     => 14549, methylene
                                     => 27129,
                            methyltransferase
                                     => 17751,
                            meticulously
                                     => 17867, metis    => 11634,
                            metra    => 16800, metre    => 2835, metres   => 1377, metric   => 4981,
                            metrical => 18860, metrics  => 11675, metro    => 1835, metrobus => 25006,
                            metroid  => 23317, metrolink
                                     => 15010,
                            metrology
                                     => 25923, metronome
                                     => 28273,
                            metroplex
                                     => 23138, metropole
                                     => 21703,
                            metropolis
                                     => 7465, metropolitan
                                     => 1465,
                            metropolitana
                                     => 25003, metropolitans
                                     => 21737,
                            metrorail
                                     => 23680, metros   => 25372,
                            mets     => 5825, metternich
                                     => 22094,
                            meurthe  => 21166, meuse    => 11536, mewar    => 26296, mexicali => 25945,
                            mexican  => 1461, mexicana => 13362, mexicano => 20216, mexico   => 672,
                            meyerbeer
                                     => 26077, meyrick  => 12411,
                            mezzanine
                                     => 13957, mezzo    => 14655,
                            "mg/kg"  => 17182, "mi'kmaq"
                                     => 14190,
                            miami    => 1875, miasto   => 26862, mice     => 5148, michaelmas
                                     => 27902,
                            michelangelo
                                     => 10672, michelin => 11501,
                            michiel  => 24826, michigan => 963, michoacan
                                     => 15128,
                            mickiewicz
                                     => 24933, micky    => 17198,
                            micro    => 5005, microbes => 15464, microbial
                                     => 11225,
                            microbiologist
                                     => 29161,
                            microbiology
                                     => 12012, microcomputer
                                     => 24243,
                            microcontroller
                                     => 25745,
                            microcosm
                                     => 27176, microelectronics
                                     => 26395,
                            microfinance
                                     => 18933, microgravity
                                     => 24859,
                            micrometers
                                     => 25354, micrometres
                                     => 27511,
                            micromollusk
                                     => 23718, micronesia
                                     => 14299,
                            microorganisms
                                     => 12470,
                            microphones
                                     => 12484, micropolitan
                                     => 12501,
                            microprocessor
                                     => 12556,
                            microprocessors
                                     => 18507,
                            microregion
                                     => 27965, microrna => 22336,
                            microscopes
                                     => 22837, microscopic
                                     => 9703,
                            microscopy
                                     => 10352, microsoft
                                     => 2586,
                            microsystems
                                     => 16337, microtubule
                                     => 25146,
                            microtubules
                                     => 23669, mid      => 541,
                            midas    => 19065, midday   => 11186, middelburg
                                     => 25312,
                            middens  => 28167, middle   => 463, middlebury
                                     => 16390,
                            middlesbrough
                                     => 7568, middlesex
                                     => 5142,
                            middletown
                                     => 10552, middleware
                                     => 19798,
                            middleweight
                                     => 7332, midfield => 7970,
                            midfielder
                                     => 3283, midfielders
                                     => 20377,
                            midland  => 4507, midlands => 5099, midline  => 19090, midlothian
                                     => 13748,
                            midori   => 22158, midpoint => 11493, midrash  => 13692, midrib   => 28971,
                            midseason
                                     => 18749, midsection
                                     => 29829,
                            midshipman
                                     => 12198, midshipmen
                                     => 14128,
                            midsomer => 28921, midsummer
                                     => 11272,
                            midtown  => 9987, midway   => 4782, midweek  => 22845, midwest  => 5203,
                            midwestern
                                     => 10345, midwifery
                                     => 18410,
                            midwinter
                                     => 28399, midwives => 17289,
                            mieczyslaw
                                     => 25045, mieszko  => 19544,
                            migrant  => 8161, migrants => 6575, migrate  => 8285, migrated => 4851,
                            migrates => 25842, migrating
                                     => 9925,
                            migration
                                     => 3352, migrations
                                     => 11668,
                            migratory
                                     => 7868, mihai    => 16544,
                            mihail   => 19543, mihailovic
                                     => 21589,
                            mikado   => 18444, mikael   => 13470, mikawa   => 26927, mikhail  => 5539,
                            mikhailovich
                                     => 19906, mikko    => 23487,
                            miklos   => 15959, mikolaj  => 23092, mikoyan  => 24407, milanese => 17370,
                            mild     => 4475, milder   => 15906, mildura  => 24757, mile     => 1003,
                            milecastle
                                     => 23716, milepost => 25389,
                            milestone
                                     => 7426, milestones
                                     => 11233,
                            miletus  => 25539, milhaud  => 27083, miliband => 20432, milieu   => 14404,
                            militaire
                                     => 20425, militancy
                                     => 22096,
                            militant => 6447, militants
                                     => 7120,
                            militar  => 23497, militaries
                                     => 22326,
                            militarily
                                     => 13387, militarism
                                     => 20178,
                            militaristic
                                     => 23762, military => 259,
                            militia  => 3104, militiamen
                                     => 15941,
                            militias => 9846, mill     => 1470, millais  => 28225, millbrook
                                     => 23927,
                            mille    => 13729, milled   => 21197, millennia
                                     => 12106,
                            millennial
                                     => 22689, millennium
                                     => 3873,
                            millers  => 14617, milli    => 22649, millimeters
                                     => 11977,
                            millimetres
                                     => 14029, milling  => 10079,
                            million  => 253, milliseconds
                                     => 20463,
                            millstone
                                     => 22071, millstones
                                     => 26950,
                            millville
                                     => 24515, millwall => 10073,
                            milosevic
                                     => 12974, milwaukee
                                     => 3335,
                            mimic    => 9274, mimicked => 23626, mimicking
                                     => 16518,
                            mimicry  => 16100, mimics   => 15400, minaj    => 13344, minami   => 15234,
                            minamoto => 18363, minangkabau
                                     => 26915,
                            minaret  => 17547, minarets => 22462, minas    => 8308, minato   => 24591,
                            mindanao => 8958, mindedness
                                     => 27306,
                            minden   => 11825, mindfulness
                                     => 21143,
                            mindoro  => 18665, mined    => 7960, minefields
                                     => 18603,
                            minehead => 29151, mineiro  => 20788, minelayer
                                     => 24883,
                            mineral  => 3611, mineralogical
                                     => 27409,
                            mineralogist
                                     => 28286, mineralogy
                                     => 16340,
                            minerals => 4954, miners   => 4285, mines    => 2499, minesweeper
                                     => 12996,
                            minesweepers
                                     => 17151, minesweeping
                                     => 17790,
                            mingled  => 23964, minho    => 29287, mini     => 2820, miniature
                                     => 5775,
                            miniatures
                                     => 10336, minibus  => 21540,
                            minibuses
                                     => 27946, minigame => 29645,
                            minigames
                                     => 23890, minima   => 19952,
                            minimal  => 3933, minimalism
                                     => 19103,
                            minimalist
                                     => 12407, minimally
                                     => 14887,
                            minimise => 15544, minimization
                                     => 23361,
                            minimize => 7248, minimized
                                     => 15151,
                            minimizes
                                     => 19226, minimizing
                                     => 12986,
                            minimum  => 2210, mining   => 1717, miniseries
                                     => 5845,
                            minister => 400, ministered
                                     => 23714,
                            ministerial
                                     => 6830, ministering
                                     => 29004,
                            ministers
                                     => 2625, ministries
                                     => 5958,
                            ministry => 976, minkowski
                                     => 18156,
                            minneapolis
                                     => 4455, minnelli => 22542,
                            minnesota
                                     => 1428, minnows  => 29501,
                            minoan   => 18072, minogue  => 9654, minolta  => 23571, minorca  => 23500,
                            minorities
                                     => 5489, minority => 2459,
                            minors   => 7381, minoru   => 19453, minos    => 23867, minot    => 16830,
                            minsk    => 8197, minsky   => 26483, minster  => 12761, minstrels
                                     => 20249,
                            minted   => 10732, minting  => 21414, minuet   => 27466, minuscule
                                     => 8967,
                            minuteman
                                     => 19719, miocene  => 10602,
                            mirabeau => 29256, mirabilis
                                     => 23860,
                            mirage   => 9310, miramar  => 18318, miramichi
                                     => 24187,
                            mircea   => 17497, mired    => 24458, mirko    => 19307, miroslav => 13455,
                            mirpur   => 25926, mirren   => 13680, mirrored => 11687, mirroring
                                     => 16236,
                            mirza    => 7150, misadventures
                                     => 21117,
                            misaki   => 25309, misappropriation
                                     => 25558,
                            miscegenation
                                     => 25494, miscellaneous
                                     => 8924,
                            miscellany
                                     => 23358, mischa   => 23786,
                            misconduct
                                     => 8968, miserables
                                     => 16662,
                            mises    => 23678, mishaps  => 22184, mishima  => 20576, mishnah  => 15871,
                            mishra   => 13820, misidentified
                                     => 22626,
                            misiones => 26858, miskolc  => 26672, misleading
                                     => 8463,
                            mismanagement
                                     => 14108, mismatch => 18561,
                            misogyny => 28481, misrepresentation
                                     => 19524,
                            missa    => 19482, missal   => 19615, missile  => 2741, missiles => 4280,
                            mission  => 687, missionaries
                                     => 4265,
                            missionary
                                     => 3199, missions => 2099,
                            mississauga
                                     => 12175, mississippi
                                     => 1854,
                            mississippian
                                     => 15890, missoula => 14896,
                            missouri => 1563, misspelling
                                     => 28940,
                            mistakenly
                                     => 7743, mistico  => 28529,
                            mistral  => 18951, mistreatment
                                     => 15914,
                            mists    => 25632, misuse   => 11177, misused  => 22418, mites    => 14226,
                            mitford  => 22000, mithila  => 29887, mithridates
                                     => 17860,
                            mithun   => 22089, mitigate => 11350, mitigated
                                     => 19589,
                            mitigation
                                     => 11339, mitochondria
                                     => 14158,
                            mitochondrial
                                     => 8733, mitotic  => 23399,
                            mitra    => 12565, mitral   => 24084, mitre    => 14856, mitrovica
                                     => 23078,
                            mitsubishi
                                     => 7601, mitsui   => 22901,
                            mittal   => 27020, mitte    => 21717, mitterrand
                                     => 17877,
                            miwok    => 29642, mixed    => 1123, mixes    => 7901, mixing   => 4617,
                            mixtape  => 7493, mixtapes => 18101, mixtec   => 26935, mixture  => 3259,
                            mixtures => 12044, miyagi   => 16887, miyako   => 26897, miyan    => 27699,
                            miyazaki => 13679, miyuki   => 28583, mizoram  => 15855, mizuki   => 23474,
                            mlada    => 26745, mladen   => 24975, mladost  => 28104, mlawa    => 29989,
                            mmorpg   => 21186, mnemonic => 18780, moana    => 26746, moated   => 28155,
                            mobil    => 17065, mobile   => 1423, mobiles  => 26256, mobilisation
                                     => 19096,
                            mobilise => 29769, mobilised
                                     => 17184,
                            mobility => 5006, mobilization
                                     => 9395,
                            mobilized
                                     => 9774, mobius   => 17720,
                            mobutu   => 20846, mockumentary
                                     => 22208,
                            modal    => 10620, modalities
                                     => 17855,
                            modality => 18944, mode     => 1971, model    => 473, modele   => 28957,
                            modeled  => 5479, modell   => 26104, modelled => 8267, modelling
                                     => 7245,
                            models   => 1093, modems   => 18907, modena   => 10973, moderate => 3150,
                            moderated
                                     => 13837, moderately
                                     => 6880,
                            moderates
                                     => 17922, moderating
                                     => 27182,
                            moderator
                                     => 11019, moderators
                                     => 25637,
                            modern   => 359, moderna  => 23760, moderne  => 13831, modernisation
                                     => 12208,
                            modernise
                                     => 23295, modernised
                                     => 14321,
                            modernism
                                     => 9585, modernist
                                     => 7398,
                            modernists
                                     => 25049, modernity
                                     => 11919,
                            modernization
                                     => 7223, modernize
                                     => 13534,
                            modernized
                                     => 9760, modernizing
                                     => 18980,
                            modes    => 4233, modest   => 4431, modestly => 17377, modification
                                     => 5293,
                            modifications
                                     => 4613, modified => 2115,
                            modifier => 21280, modifiers
                                     => 22634,
                            modifies => 20232, modify   => 7527, modifying
                                     => 10268,
                            modigliani
                                     => 28203, modoc    => 20872,
                            modular  => 7059, modularity
                                     => 28671,
                            modulate => 20916, modulated
                                     => 15228,
                            modulating
                                     => 24380, modulation
                                     => 8880,
                            modulator
                                     => 22014, module   => 4282,
                            modules  => 5210, moduli   => 27103, modulo   => 15598, modulus  => 15174,
                            moesia   => 26715, mogadishu
                                     => 12633,
                            moguls   => 22865, mohamad  => 21180, mohammadabad
                                     => 18074,
                            mohandas => 25527, mohanlal => 18876, mohave   => 21617, mohawk   => 8943,
                            mohawks  => 27983, mohegan  => 24370, mohinder => 26528, mohini   => 27334,
                            mohsen   => 22473, mohun    => 18131, moiety   => 20431, moines   => 8778,
                            moist    => 4487, moisture => 6874, mojave   => 12589, moksha   => 22091,
                            molar    => 12736, moldavia => 12076, moldavian
                                     => 14402,
                            molde    => 17226, molded   => 12345, molding  => 13886, moldova  => 6443,
                            moldovan => 11215, molds    => 14652, molecular
                                     => 3036,
                            molecule => 5208, molecules
                                     => 4061,
                            molesworth
                                     => 25569, moliere  => 17207,
                            molise   => 27571, molla    => 18471, mollusc  => 14460, molluscs => 11518,
                            mollusk  => 4294, mollusks => 9523, molokai  => 24987, molotov  => 12961,
                            molson   => 18456, molten   => 11453, moltke   => 19086, moluccas => 27191,
                            molybdenum
                                     => 15660, mombasa  => 16675,
                            momentum => 4650, mommsen  => 29205, monadnock
                                     => 29582,
                            monarch  => 4351, monarchical
                                     => 24962,
                            monarchies
                                     => 18500, monarchist
                                     => 16582,
                            monarchists
                                     => 26895, monarchs => 6956,
                            monarchy => 4274, monaro   => 27000, monash   => 12898, monasteries
                                     => 5681,
                            monastery
                                     => 2089, monastic => 6202,
                            monasticism
                                     => 22273, monchengladbach
                                     => 16854,
                            monck    => 23163, monckton => 23813, moncton  => 13399, mondale  => 21433,
                            mondays  => 10554, monde    => 11210, mondo    => 14129, mondrian => 29973,
                            monegasque
                                     => 29815, monetary => 4615,
                            mongo    => 29753, mongol   => 6348, mongolia => 5300, mongolian
                                     => 7045,
                            mongols  => 8060, monies   => 16883, moniker  => 7950, monitored
                                     => 7275,
                            monitoring
                                     => 3501, monkees  => 17022,
                            monks    => 3761, monmouth => 7303, monmouthshire
                                     => 12531,
                            monoamine
                                     => 25903, monochromatic
                                     => 21268,
                            monochrome
                                     => 14175, monoclonal
                                     => 19321,
                            monocoque
                                     => 18998, monogatari
                                     => 22812,
                            monogram => 17350, monograph
                                     => 9696,
                            monographs
                                     => 11673, monoid   => 24754,
                            monolingual
                                     => 29251, monolith => 19829,
                            monolithic
                                     => 16058, monologues
                                     => 15769,
                            monomer  => 18879, monomers => 20727, monongahela
                                     => 18210,
                            monooxygenase
                                     => 29032, monophyletic
                                     => 16906,
                            monoplane
                                     => 10418, monopolies
                                     => 15600,
                            monopoly => 5824, monorail => 12748, monotheism
                                     => 24586,
                            monotheistic
                                     => 24541, monotone => 23071,
                            monotype => 29652, monotypic
                                     => 10533,
                            monoxide => 12341, monro    => 20569, monrovia => 17674, monsanto => 16624,
                            monsignor
                                     => 13628, monsoon  => 7111,
                            monsoons => 26768, montage  => 12088, montagu  => 10445, montaigne
                                     => 27160,
                            montalban
                                     => 29919, montana  => 2987,
                            montane  => 7360, montauban
                                     => 25272,
                            montauk  => 18256, montcalm => 26108, montclair
                                     => 14360,
                            montebello
                                     => 22862, montefiore
                                     => 24974,
                            montego  => 26095, montenegrin
                                     => 9346,
                            montenegrins
                                     => 28550, monterey => 7441,
                            monterrey
                                     => 9568, montessori
                                     => 14092,
                            monteverdi
                                     => 19669, montevideo
                                     => 8452,
                            montezuma
                                     => 19347, montferrat
                                     => 25099,
                            montfort => 12489, montgomerie
                                     => 19946,
                            montgomeryshire
                                     => 23695,
                            month    => 733, monthan  => 29883, monthly  => 2465, months   => 457,
                            monticello
                                     => 13115, montmartre
                                     => 19849,
                            montmorency
                                     => 18689, montparnasse
                                     => 23151,
                            montpelier
                                     => 17527, montpellier
                                     => 10894,
                            montreal => 1799, montreux => 15514, montrose => 9962, montserrat
                                     => 13413,
                            montt    => 25560, monument => 2124, monumental
                                     => 6298,
                            monuments
                                     => 3702, monza    => 11999,
                            moonstone
                                     => 25352, moorcock => 26719,
                            moored   => 12375, moorings => 21486, moorish  => 11967, moorland => 17484,
                            mooted   => 21938, moradabad
                                     => 27280,
                            moraes   => 24232, morag    => 29163, moraine  => 13721, moraines => 25979,
                            morale   => 7541, morava   => 21594, moravia  => 10342, moravian => 9561,
                            moray    => 10120, morazan  => 27906, morbidity
                                     => 20013,
                            mordaunt => 24397, mordechai
                                     => 17228,
                            mordella => 16336, mordellidae
                                     => 16764,
                            mordellistena
                                     => 11982, more     => 45,
                            morecambe
                                     => 13436, morelia  => 19749,
                            moreover => 3490, moresby  => 14754, moreton  => 11695, morgana  => 22577,
                            morgantown
                                     => 19808, morgenthau
                                     => 24133,
                            morgoth  => 28464, moribund => 23954, mormon   => 5785, mormonism
                                     => 19140,
                            mormons  => 12246, morningside
                                     => 17387,
                            mornington
                                     => 19148, moroccan => 6745,
                            moroccans
                                     => 29307, morocco  => 3768,
                            moroder  => 27293, morotai  => 28384, morozov  => 26079, morpeth  => 24582,
                            morpheme => 23103, morphemes
                                     => 21859,
                            morphism => 18961, morphisms
                                     => 20850,
                            morphological
                                     => 8676, morphologically
                                     => 18248,
                            morphology
                                     => 6616, morphs   => 22194,
                            morricone
                                     => 23676, morrisons
                                     => 27532,
                            morristown
                                     => 15076, morsi    => 18999,
                            mortality
                                     => 5420, mortally => 9785,
                            mortar   => 6102, mortars  => 10234, morte    => 19811, morten   => 15676,
                            mortgages
                                     => 12283, mosaic   => 6633,
                            mosaics  => 11755, moscow   => 1617, moselle  => 10358, moshav   => 19873,
                            moskva   => 28626, moslem   => 27611, mosque   => 3226, mosques  => 7864,
                            mossad   => 17755, mosses   => 16553, mossy    => 26092, most     => 51,
                            mostafa  => 26648, mostar   => 16572, mostly   => 737, mosul    => 12636,
                            motet    => 24393, motets   => 20633, moth     => 1784, mothballed
                                     => 28013,
                            motherboard
                                     => 17035, motherboards
                                     => 26257,
                            motherland
                                     => 16778, motherwell
                                     => 11203,
                            moths    => 4822, motif    => 6377, motifs   => 6687, motile   => 20828,
                            motion   => 1537, motionless
                                     => 20295,
                            motivating
                                     => 17667, motivational
                                     => 11847,
                            motivations
                                     => 11032, motocross
                                     => 12510,
                            motogp   => 18172, motor    => 1573, motorboat
                                     => 24540,
                            motorcycles
                                     => 7116, motorcycling
                                     => 28125,
                            motorcyclist
                                     => 26456, motorcyclists
                                     => 28546,
                            motorhead
                                     => 18060, motoring => 15829,
                            motorised
                                     => 16480, motorist => 22097,
                            motorists
                                     => 11924, motorized
                                     => 10292,
                            motorola => 9591, motors   => 3551, motorsport
                                     => 7531,
                            motorsports
                                     => 7548, motorway => 4707,
                            motorways
                                     => 13650, motown   => 8112,
                            motte    => 12377, mottled  => 15185, motto    => 4549, mould    => 12024,
                            moulded  => 14476, moulding => 19265, mouldings
                                     => 24533,
                            moulin   => 15794, moult    => 26102, mound    => 5199, mounds   => 7892,
                            mount    => 1027, mountain => 631, mountaineering
                                     => 11797,
                            mountaineers
                                     => 11697, mountainous
                                     => 5566,
                            mountains
                                     => 1117, mountbatten
                                     => 16514,
                            mounted  => 1957, mounting => 6763, mountings
                                     => 22413,
                            mourinho => 22600, mourners => 16888, mouthparts
                                     => 15614,
                            mouvement
                                     => 25127, movable  => 11348,
                            moveable => 20573, moved    => 245, movement => 505, movements
                                     => 2161,
                            movimiento
                                     => 28622, mowat    => 25444,
                            mowgli   => 29181, mowtowr  => 13185, moyne    => 23524, mozambican
                                     => 22744,
                            mozambique
                                     => 6239, mozilla  => 13319,
                            mpumalanga
                                     => 20545, "mrs."   => 2472,
                            msnbc    => 12180, mstislav => 24383, mtdna    => 16404, muammar  => 20124,
                            muang    => 24322, muban    => 23687, mubarak  => 11183, muchmusic
                                     => 17299,
                            mucosa   => 19222, mucosal  => 27084, mudaliar => 27982, mudflats => 24758,
                            mudslides
                                     => 27154, mudstone => 24798,
                            mueang   => 14263, mufti    => 15019, mugabe   => 14851, mughal   => 6403,
                            mughals  => 14776, muhammad => 2486, muhammed => 14461, muhlenberg
                                     => 18103,
                            mujahideen
                                     => 15146, mujer    => 19219,
                            mujeres  => 24502, mukesh   => 21190, mukherjee
                                     => 11691,
                            mukhtar  => 23976, mukti    => 24599, mulatto  => 22023, mules    => 13036,
                            mulhouse => 22244, mulla    => 24394, mullah   => 21457, mullingar
                                     => 27637,
                            multan   => 13737, multi    => 1391, multicast
                                     => 19825,
                            multicellular
                                     => 23582, multichannel
                                     => 27651,
                            multicolored
                                     => 29134, multicultural
                                     => 9865,
                            multiculturalism
                                     => 16542,
                            multidimensional
                                     => 19024,
                            multidisciplinary
                                     => 11161,
                            multifaceted
                                     => 21932, multifunctional
                                     => 29389,
                            multilateral
                                     => 13160, multilingual
                                     => 14839,
                            multimedia
                                     => 5737, multimodal
                                     => 29111,
                            multinational
                                     => 7574, multiparty
                                     => 28107,
                            multiplayer
                                     => 7359, multiple => 934,
                            multiples
                                     => 15431, multiplex
                                     => 12315,
                            multiplexed
                                     => 18402, multiplexes
                                     => 25398,
                            multiplexing
                                     => 22844, multiplication
                                     => 8776,
                            multiplicative
                                     => 18595,
                            multiplicity
                                     => 16780, multiplied
                                     => 10536,
                            multiplier
                                     => 14787, multiplying
                                     => 14643,
                            multipurpose
                                     => 13404, multiracial
                                     => 21351,
                            multitude
                                     => 8830, multivariate
                                     => 19223,
                            multiverse
                                     => 16491, multnomah
                                     => 20892,
                            mumbai   => 3372, mumtaz   => 22770, munchen  => 13481, munda    => 23180,
                            mundi    => 16211, mundial  => 17672, munich   => 2810, municipal
                                     => 1200,
                            municipalities
                                     => 2418, municipality
                                     => 534,
                            municipally
                                     => 24786, munir    => 22827,
                            munition => 24939, munitions
                                     => 8038,
                            munnetra => 19082, munshi   => 28329, munster  => 4501, muppets  => 17496,
                            murad    => 12694, murali   => 20515, muralist => 28495, murals   => 7255,
                            murat    => 12978, murcia   => 13084, mures    => 17353, murex    => 16439,
                            murfreesboro
                                     => 19195, muricidae
                                     => 18584,
                            murmansk => 14892, muromachi
                                     => 27591,
                            murong   => 13351, murrumbidgee
                                     => 27420,
                            murshidabad
                                     => 27018, murugan  => 20855,
                            musashi  => 17021, muscat   => 13148, muscogee => 25300, muscovite
                                     => 23548,
                            muscovy  => 23132, muscular => 8248, musculoskeletal
                                     => 25679,
                            musee    => 8793, museo    => 8994, museu    => 23393, museum   => 408,
                            museums  => 3503, museveni => 25890, musharraf
                                     => 15211,
                            music    => 110, musica   => 9392, musical  => 638, musicale => 22346,
                            musicality
                                     => 28178, musically
                                     => 7815,
                            musicals => 7095, musician => 1763, musicians
                                     => 1704,
                            musicianship
                                     => 18295, musicologist
                                     => 12266,
                            musicology
                                     => 16797, musik    => 12001,
                            musings  => 29152, musique  => 11176, muskegon => 17651, muskets  => 15105,
                            muskingum
                                     => 26675, muskogee => 20842,
                            muskoka  => 25685, muslim   => 1549, muslims  => 2606, mussel   => 16639,
                            musselburgh
                                     => 29773, mussels  => 15612,
                            mussolini
                                     => 8083, mussorgsky
                                     => 25570,
                            mustaine => 25288, mustangs => 11266, mustapha => 22771, mustered => 8652,
                            musume   => 21370, mutagenesis
                                     => 26850,
                            mutation => 6432, mutations
                                     => 5776,
                            mutineers
                                     => 18053, mutinied => 23070,
                            mutiny   => 7414, mutsu    => 29025, mutually => 7796, muzaffar => 25001,
                            muzik    => 23265, muzzle   => 8534, "mv/pi"  => 29810, myanmar  => 5607,
                            mycelium => 27969, mycenaean
                                     => 19168,
                            mycobacterium
                                     => 21560, mycologist
                                     => 17204,
                            mycorrhizal
                                     => 27583, myelin   => 25799,
                            myeloid  => 27076, myeloma  => 25164, myeon    => 26966, mykola   => 20962,
                            mykolaiv => 29036, mymensingh
                                     => 28537,
                            mynetworktv
                                     => 15730, mynydd   => 27928,
                            myocardial
                                     => 16352, myosin   => 24639,
                            myriad   => 10878, myrrh    => 29660, myrtaceae
                                     => 22598,
                            mysims   => 28342, mysore   => 7714, myspace  => 8069, mysql    => 19025,
                            mysterio => 15625, mysticism
                                     => 11245,
                            mystics  => 16773, myth     => 4565, mythical => 7805, mythological
                                     => 7981,
                            mythologies
                                     => 23389, mythology
                                     => 3811,
                            mythos   => 16601, myths    => 7023, "n't"    => 303, naacp    => 9621,
                            nabil    => 23822, nabisco  => 21348, nablus   => 16361, nabokov  => 17993,
                            nacelle  => 28212, nacht    => 25873, nacion   => 26096, nacional => 4411,
                            nacogdoches
                                     => 27693, nadal    => 10893,
                            nadar    => 26348, nadeem   => 27285, nadezhda => 21329, nadir    => 14567,
                            "nadp+"  => 20254, nadph    => 19455, nadu     => 3856, nagaland => 17317,
                            nagano   => 11699, nagar    => 6412, nagara   => 29484, nagarjuna
                                     => 21049,
                            nagas    => 25456, nagasaki => 9779, nagercoil
                                     => 29288,
                            nagorno  => 13210, nagoya   => 9722, nagpur   => 10603, nahal    => 29187,
                            nahuatl  => 13938, nahum    => 28557, nahyan   => 29285, naidu    => 15068,
                            nairn    => 20458, nairobi  => 8307, naismith => 17156, najaf    => 20267,
                            najib    => 19320, nakajima => 14016, nakhchivan
                                     => 21862,
                            nakhon   => 13774, nalanda  => 21230, nalgonda => 25803, nambiar  => 27336,
                            namco    => 12866, name     => 106, named    => 166, namely   => 3021,
                            nameplate
                                     => 18047, names    => 738,
                            namesake => 6470, namesakes
                                     => 27134,
                            namespace
                                     => 29055, namgyal  => 26213,
                            namibia  => 5939, namibian => 14200, naming   => 3572, namor    => 24008,
                            namur    => 14400, nanaimo  => 18664, nanak    => 17891, nanchang => 24031,
                            nanda    => 15084, nanded   => 28796, nandi    => 14987, nandini  => 24692,
                            nanjing  => 8003, nankai   => 27975, nanking  => 16702, nanometers
                                     => 27541,
                            nanoparticles
                                     => 15836, nanoscale
                                     => 23981,
                            nanotechnology
                                     => 12370,
                            nanotubes
                                     => 19249, nansen   => 19377,
                            nantes   => 9852, nantwich => 19614, nanyang  => 19137, naoki    => 24669,
                            naperville
                                     => 27635, naples   => 3947,
                            napoca   => 20834, napoleonic
                                     => 6568,
                            napster  => 25942, narada   => 21993, narain   => 23451, narasimha
                                     => 16020,
                            narayan  => 9488, narayana => 12301, narayani => 29761, narbonne => 19473,
                            narcissus
                                     => 18404, narendra => 14894,
                            naresh   => 27276, narita   => 21178, narmada  => 22554, narragansett
                                     => 16172,
                            narrate  => 24216, narrated => 6857, narrates => 12569, narrating
                                     => 20281,
                            narration
                                     => 8348, narrative
                                     => 3081,
                            narratives
                                     => 8628, narrator => 4838,
                            narrators
                                     => 24416, narrow   => 2025,
                            narrower => 8917, narrowest
                                     => 19166,
                            narrowing
                                     => 14771, narrowly => 4569,
                            narthex  => 25136, naruto   => 19463, narva    => 18417, narvik   => 18540,
                            nasa     => 3595, nascar   => 4452, nascent  => 11110, nasdaq   => 11774,
                            nashik   => 22981, nashua   => 18413, nashville
                                     => 3208,
                            nasional => 18740, nasir    => 11140, nassau   => 5695, natak    => 23951,
                            natchez  => 13684, natchitoches
                                     => 19815,
                            natick   => 26251, nation   => 933, national => 63, nationale
                                     => 7100,
                            nationalisation
                                     => 13131,
                            nationalised
                                     => 14347, nationalism
                                     => 5470,
                            nationalist
                                     => 3165, nationalistic
                                     => 13324,
                            nationalists
                                     => 6453, nationalities
                                     => 8755,
                            nationality
                                     => 5811, nationalization
                                     => 15826,
                            nationalized
                                     => 13138, nationalliga
                                     => 27289,
                            nationally
                                     => 3340, nationals
                                     => 4107,
                            nations  => 852, nationwide
                                     => 3245,
                            native   => 531, natively => 17294, natives  => 4756, nativity => 11535,
                            nato     => 3763, natura   => 21442, natural  => 561, naturalised
                                     => 17971,
                            naturalism
                                     => 15525, naturalist
                                     => 7594,
                            naturalistic
                                     => 13607, naturalists
                                     => 15643,
                            naturalization
                                     => 15704,
                            naturalized
                                     => 9921, nature   => 756,
                            naturelle
                                     => 24828, natures  => 21780,
                            natwest  => 14697, nauru    => 13474, nautical => 6725, nauvoo   => 16991,
                            navajo   => 8531, naval    => 993, navarre  => 8371, navarrese
                                     => 24426,
                            naveen   => 28417, navies   => 12810, navigable
                                     => 9525,
                            navigated
                                     => 23010, navigation
                                     => 3394,
                            navigational
                                     => 11586, navigator
                                     => 8562,
                            navigators
                                     => 17233, navratilova
                                     => 21522,
                            navy     => 605, nawab    => 9376, nawaz    => 15261, naxos    => 16027,
                            nayak    => 17786, nayaka   => 28819, nayanar  => 24048, nayarit  => 28066,
                            nazar    => 23573, nazarene => 13077, nazareth => 10227, nazca    => 29811,
                            nazi     => 2121, nazim    => 22519, nazionale
                                     => 13815,
                            nazir    => 16670, nazis    => 4975, nazism   => 11840, nazrul   => 29927,
                            nbcuniversal
                                     => 25096, ncaa     => 1754,
                            ndebele  => 28767, neamt    => 29317, neapolitan
                                     => 12334,
                            near     => 234, nearby   => 874, neared   => 16527, nearest  => 3341,
                            nearly   => 819, nears    => 28549, neath    => 14943, nebraska => 2713,
                            nebria   => 26783, nebuchadnezzar
                                     => 26202,
                            nebula   => 9980, nebulae  => 23305, necessitate
                                     => 25459,
                            necessitated
                                     => 10247, necessitates
                                     => 27456,
                            necessitating
                                     => 15974, necessities
                                     => 14797,
                            necessity
                                     => 5780, neckar   => 15928,
                            necked   => 11955, necropolis
                                     => 13402,
                            necrotic => 29871, nectar   => 7669, nederland
                                     => 17267,
                            nederlandse
                                     => 21579, needlework
                                     => 27634,
                            negara   => 20866, negated  => 20205, negating => 28788, negation => 14561,
                            negative => 1604, negatively
                                     => 7799,
                            negeri   => 16534, negev    => 14704, neglect  => 7725, neglects => 29926,
                            negligible
                                     => 11175, negotiated
                                     => 5184,
                            negotiates
                                     => 29974, negotiations
                                     => 2718,
                            negotiators
                                     => 20129, negra    => 17915,
                            negro    => 5133, negros   => 13424, nehemiah => 19662, nehru    => 8575,
                            neighborhood
                                     => 1685, neighborhoods
                                     => 4110,
                            neighboring
                                     => 3077, neighbourhood
                                     => 4089,
                            neighbourhoods
                                     => 8980, neighbouring
                                     => 3147,
                            neighbours
                                     => 5609, neisse   => 25951,
                            nellore  => 24641, nemanja  => 22974, nematode => 17767, nematodes
                                     => 18711,
                            nemesis  => 9028, nemours  => 28800, nemzeti  => 23572, nenad    => 19419,
                            neoclassical
                                     => 8401, neoclassicism
                                     => 25111,
                            neocollyris
                                     => 27546, neogene  => 25214,
                            neoliberal
                                     => 24199, neolithic
                                     => 6963,
                            neologism
                                     => 26517, neoregelia
                                     => 26127,
                            neotropical
                                     => 18691, nepal    => 2871,
                            nepalese => 10561, nepali   => 10139, nepean   => 17713, nepenthes
                                     => 14930,
                            nephews  => 11716, nephi    => 26318, nepomuk  => 26947, nepticulidae
                                     => 27722,
                            neptune  => 8303, neptunes => 26188, neretva  => 25977, neruda   => 24660,
                            nest     => 3115, nested   => 13726, nesting  => 7745, nestlings
                                     => 28159,
                            nestorian
                                     => 21809, nests    => 5677,
                            netaji   => 29211, netanya  => 21975, netanyahu
                                     => 14708,
                            netball  => 9001, netflix  => 12833, netherlandish
                                     => 26191,
                            netherlands
                                     => 1324, netscape => 16902,
                            netted   => 10754, netting  => 10861, network  => 430, networked
                                     => 12038,
                            networking
                                     => 5035, networks => 1969,
                            neuburg  => 28346, neuchatel
                                     => 16088,
                            neuilly  => 22312, neuquen  => 28020, neural   => 6206, neurobiology
                                     => 24559,
                            neurodegenerative
                                     => 22699,
                            neuroimaging
                                     => 23661, neurology
                                     => 12458,
                            neuromuscular
                                     => 20680, neuron   => 11039,
                            neuronal => 11800, neurons  => 5955, neuroscience
                                     => 9066,
                            neuroscientist
                                     => 26000,
                            neurotransmitter
                                     => 16308,
                            neurotransmitters
                                     => 19926,
                            neustadt => 13573, neuter   => 13524, neutral  => 3544, neutrality
                                     => 7814,
                            neutralization
                                     => 28997,
                            neutralizing
                                     => 26373, neutrino => 15240,
                            neutrinos
                                     => 18348, neutron  => 7559,
                            neutrons => 10984, neutrophils
                                     => 26507,
                            neuville => 28251, nevertheless
                                     => 2320,
                            nevis    => 12066, nevsky   => 21200, new      => 31, newark   => 5040,
                            newbery  => 18601, newbridge
                                     => 22954,
                            newburgh => 15716, newburyport
                                     => 26410,
                            newcastle
                                     => 2887, newcomers
                                     => 9662,
                            newer    => 4066, newfoundland
                                     => 4116,
                            newgate  => 22166, newham   => 20660, newhaven => 28121, newington
                                     => 13590,
                            newlands => 21024, newly    => 1226, newmarket
                                     => 8416,
                            newnham  => 21654, newport  => 3425, newquay  => 26916, newry    => 16976,
                            "news/talk"
                                     => 19297, newscast => 7206,
                            newscasts
                                     => 8082, newsday  => 17933,
                            newsgroup
                                     => 29257, newsletter
                                     => 6875,
                            newsletters
                                     => 17238, newsmagazine
                                     => 24350,
                            newsnight
                                     => 24183, newspaper
                                     => 919,
                            newspapers
                                     => 2093, newsreader
                                     => 21146,
                            newsreel => 19607, newsreels
                                     => 28824,
                            newsweek => 9289, newtonian
                                     => 16665,
                            newtown  => 9226, newts    => 28443, nexstar  => 29851, nextel   => 19741,
                            nexus    => 10088, ngati    => 13645, nhtsa    => 28337, niagara  => 5907,
                            niall    => 12826, nicaea   => 16357, nicaragua
                                     => 5908,
                            nicaraguan
                                     => 12284, niccolo  => 14024,
                            nicene   => 21028, niche    => 6938, niches   => 11726, nichiren => 21866,
                            nickelback
                                     => 28748, nickelodeon
                                     => 7506,
                            nickname => 2962, nicknamed
                                     => 3556,
                            nicobar  => 17796, nicolae  => 12273, nicolaus => 18824, nicolet  => 29619,
                            nidaros  => 26055, niels    => 12037, nietzsche
                                     => 10183,
                            nieuport => 20385, nieuw    => 26521, nieuwe   => 25420, nigam    => 28409,
                            niger    => 6224, nigeria  => 2766, nigerian => 4764, nigerians
                                     => 24345,
                            nigerien => 25680, nightclubs
                                     => 11466,
                            nightcrawler
                                     => 26455, nighthawks
                                     => 23342,
                            nightjars
                                     => 29745, nightlife
                                     => 13940,
                            nightly  => 9218, nightshade
                                     => 25411,
                            nightwing
                                     => 23435, nightwish
                                     => 29153,
                            nigra    => 18542, nihilism => 25633, nihon    => 14863, niigata  => 14506,
                            nijinsky => 29824, nijmegen => 14941, nikaya   => 27085, nikephoros
                                     => 19422,
                            nikhil   => 20973, nikkatsu => 26877, niklas   => 22187, nikola   => 10047,
                            nikolaevich
                                     => 28423, nikolai  => 6992,
                            nikolaos => 20497, nikolaus => 14456, nikolay  => 10491, nikolayevich
                                     => 21144,
                            nikon    => 12244, nikos    => 14889, niksic   => 28269, nile     => 6096,
                            nilgiri  => 25939, nimbus   => 22880, nimes    => 19450, nimitz   => 18472,
                            nimoy    => 24592, nine     => 689, nineteenth
                                     => 3378,
                            nineveh  => 22195, ningbo   => 19144, ningxia  => 26081, ninian   => 19314,
                            ninja    => 6650, ninjas   => 22093, nintendo => 3795, ninth    => 2278,
                            niobium  => 23795, nipissing
                                     => 22277,
                            nippon   => 8169, nirmal   => 28386, nirmala  => 28604, nirvana  => 10523,
                            nisan    => 28932, nishapur => 22499, nishi    => 15973, nissan   => 6477,
                            nitin    => 25660, nitra    => 18408, nitrate  => 10112, nitrates => 28240,
                            nitric   => 14135, nitride  => 23679, nitrite  => 23820, nitrogen => 5393,
                            nittany  => 16434, nizam    => 11831, nizamabad
                                     => 29649,
                            nizami   => 27820, nizamuddin
                                     => 29028,
                            nizhny   => 14329, njcaa    => 22997, njsiaa   => 22858, nkrumah  => 19928,
                            noailles => 27942, nobel    => 4120, nobility => 4337, nobleman => 7413,
                            noblemen => 13079, noblewoman
                                     => 16909,
                            nobunaga => 16928, noche    => 19836, noctuidae
                                     => 8194,
                            nocturnal
                                     => 8946, nocturne => 22773,
                            noddy    => 28357, node     => 5202, nodes    => 5492, noguchi  => 24466,
                            noida    => 19937, noinclude
                                     => 29336,
                            noire    => 18311, nokia    => 7621, nomadic  => 7817, nomads   => 12197,
                            nomen    => 18932, nomenclature
                                     => 7417,
                            nominal  => 5625, nominally
                                     => 8639,
                            nominate => 8952, nominated
                                     => 1224,
                            nominating
                                     => 13781, nomination
                                     => 2360,
                            nominations
                                     => 3124, nominative
                                     => 15749,
                            nominee  => 4493, nominees => 6272, non      => 267, nonconformist
                                     => 18138,
                            nonetheless
                                     => 4045, nonfiction
                                     => 10340,
                            nongovernmental
                                     => 28924,
                            nonlinear
                                     => 10044, nonpartisan
                                     => 13968,
                            nonprofit
                                     => 5506, nonprofits
                                     => 22456,
                            nonpublic
                                     => 25726, nontrivial
                                     => 26136,
                            nonverbal
                                     => 22247, nonviolence
                                     => 21386,
                            nonviolent
                                     => 14429, nonzero  => 17041,
                            noord    => 26932, nootka   => 21944, "nord-pas-de-calais"
                                     => 22135,
                            nordic   => 5125, nordiques
                                     => 18802,
                            nordisk  => 28043, nordland => 15662, norepinephrine
                                     => 18956,
                            norfolk  => 2685, norge    => 22027, norges   => 26412, norm     => 5458,
                            normale  => 16605, normality
                                     => 24503,
                            normalization
                                     => 16482, normalized
                                     => 11516,
                            normally => 2109, normandie
                                     => 12800,
                            normandy => 5135, normans  => 12103, normanton
                                     => 27521,
                            normative
                                     => 12691, norms    => 6895,
                            norodom  => 28006, norra    => 23466, norristown
                                     => 28189,
                            norrkoping
                                     => 23764, norse    => 5591,
                            norsk    => 14428, norske   => 17436, norte    => 7690, nortel   => 27077,
                            north    => 90, "north/south"
                                     => 24023,
                            northampton
                                     => 5962, northamptonshire
                                     => 7501,
                            northbound
                                     => 7468, northcote
                                     => 18284,
                            northeast
                                     => 1439, northeasterly
                                     => 19877,
                            northeastern
                                     => 3058, northeastward
                                     => 16124,
                            northerly
                                     => 11049, northern => 312,
                            northerners
                                     => 22500, northernmost
                                     => 7876,
                            northfield
                                     => 14948, northgate
                                     => 23033,
                            northland
                                     => 13778, northport
                                     => 28356,
                            northridge
                                     => 17633, northside
                                     => 16978,
                            northumberland
                                     => 6188, northumbria
                                     => 12772,
                            northumbrian
                                     => 17804, northward
                                     => 6200,
                            northwards
                                     => 9551, northwest
                                     => 1292,
                            northwesterly
                                     => 23499, northwestern
                                     => 2678,
                            northwestward
                                     => 15364, northwich
                                     => 17097,
                            northwood
                                     => 16615, norwalk  => 12390,
                            norway   => 1514, norwegian
                                     => 1475,
                            norwegians
                                     => 14745, norwich  => 4640,
                            nossa    => 18915, nostra   => 17673, notability
                                     => 20655,
                            notable  => 639, notables => 12567, notably  => 1615, notaries => 25070,
                            notary   => 13361, notated  => 23584, notation => 5263, notations
                                     => 18497,
                            notaulices
                                     => 19972, notched  => 14223,
                            notching => 26898, noted    => 682, notes    => 1142, noteworthy
                                     => 6710,
                            noticeable
                                     => 7611, noticeably
                                     => 10722,
                            notices  => 6344, noticias => 25889, notification
                                     => 10159,
                            notifications
                                     => 20398, noting   => 3793,
                            notion   => 3979, notional => 22149, notions  => 8604, notodontidae
                                     => 28197,
                            notoriety
                                     => 7993, notorious
                                     => 4911,
                            notoriously
                                     => 12336, notre    => 4072,
                            nottingham
                                     => 4286, nottinghamshire
                                     => 7212,
                            notts    => 11460, noumea   => 20192, noun     => 5854, nouns    => 7129,
                            nouveau  => 10130, nouvelle => 14671, nouvelles
                                     => 28508,
                            novae    => 27620, novara   => 17816, novartis => 25617, novaya   => 26267,
                            novel    => 582, novelette
                                     => 24970,
                            novelisation
                                     => 29872, novelist => 3962,
                            novelists
                                     => 13955, novelization
                                     => 19525,
                            novellas => 18453, novels   => 1878, novelties
                                     => 27829,
                            novelty  => 8210, november => 172, novgorod => 8198, novice   => 9086,
                            novices  => 15776, novikov  => 29417, novitiate
                                     => 18029,
                            novosibirsk
                                     => 15982, nowadays => 5025,
                            nozzle   => 13244, nozzles  => 20852, nsaids   => 28276, nscaa    => 27910,
                            nsdap    => 16819, nswrfl   => 26273, nswrl    => 23285, nuanced  => 18630,
                            nubian   => 18343, nuclear  => 1260, nucleation
                                     => 26688,
                            nuclei   => 8321, nucleic  => 14974, nucleolar
                                     => 22881,
                            nucleophile
                                     => 28639, nucleophilic
                                     => 20052,
                            nucleoside
                                     => 28876, nucleotide
                                     => 11537,
                            nucleotides
                                     => 15474, nucleus  => 4977,
                            nuclides => 29703, nudibranch
                                     => 17023,
                            nuestra  => 11796, nuestro  => 20824, nueva    => 9622, nuevo    => 8520,
                            nuffield => 21485, nuggets  => 12595, nullified
                                     => 18930,
                            nullify  => 27061, numan    => 19883, number   => 112, numbered => 3069,
                            numbering
                                     => 5154, numeral  => 13372,
                            numerals => 10270, numerator
                                     => 28119,
                            numeric  => 13074, numerical
                                     => 5890,
                            numerically
                                     => 13490, numerous => 641,
                            numismatic
                                     => 18785, nunatak  => 12984,
                            nunataks => 20113, nunavut  => 10461, nuncio   => 14627, nuneaton => 17668,
                            nuova    => 20410, nuovo    => 23125, nurburgring
                                     => 15999,
                            nuremberg
                                     => 7075, nurnberg => 15517,
                            nurseries
                                     => 16206, nursing  => 3589,
                            nusra    => 22980, nutrient => 9500, nutrients
                                     => 7717,
                            nutrition
                                     => 5577, nutritional
                                     => 9639,
                            nvidia   => 15053, nyack    => 28564, nyasaland
                                     => 18339,
                            nyingma  => 28317, nylon    => 11446, nymphalidae
                                     => 14739,
                            nyssa    => 26940, "o'brian"
                                     => 20976,
                            "o'brien"
                                     => 3959, "o'byrne"
                                     => 29035,
                            "o'callaghan"
                                     => 20140, "o'connor"
                                     => 5165,
                            "o'day"  => 22295, "o'dea"  => 26925, "o'dell" => 29131, "o'doherty"
                                     => 28268,
                            "o'donnell"
                                     => 7628, "o'donoghue"
                                     => 19938,
                            "o'donovan"
                                     => 20196, "o'dowd" => 29950,
                            "o'driscoll"
                                     => 27630, "o'farrell"
                                     => 21363,
                            "o'gorman"
                                     => 29489, "o'grady"
                                     => 15098,
                            "o'halloran"
                                     => 26699, "o'hanlon"
                                     => 27090,
                            "o'keefe"
                                     => 12820, "o'keeffe"
                                     => 19998,
                            "o'kelly"
                                     => 25771, "o'loughlin"
                                     => 29500,
                            "o'meara"
                                     => 24852, "o'neal" => 10613,
                            "o'rourke"
                                     => 14101, "o'shaughnessy"
                                     => 24197,
                            "o'shea" => 15050, "o'sullivan"
                                     => 9325,
                            oakland  => 3358, oakleigh => 26651, oakville => 17417, oases    => 26371,
                            oaths    => 14794, oaxaca   => 9809, obadiah  => 27948, obama    => 2886,
                            obasanjo => 24227, obedience
                                     => 9895,
                            obelisk  => 12300, oberland => 29019, oberleutnant
                                     => 20062,
                            oberliga => 11053, oberoi   => 28319, oberon   => 16985, oberst   => 19407,
                            obesity  => 8887, obispo   => 14602, obituary => 8345, object   => 1733,
                            objected => 6820, objective
                                     => 2828,
                            objectives
                                     => 3907, objector => 22999,
                            objectors
                                     => 24002, objects  => 1701,
                            oblast   => 3068, oblasts  => 25375, oblate   => 29212, obligate => 22414,
                            obligations
                                     => 5832, obligatory
                                     => 9431,
                            oblique  => 8350, obliquely
                                     => 16849,
                            oblong   => 12391, oboes    => 17411, obrenovic
                                     => 29433,
                            obscenity
                                     => 15372, obscura  => 21103,
                            obscure  => 6031, obscured => 12042, obscuring
                                     => 20885,
                            obscurity
                                     => 11660, observable
                                     => 12240,
                            observance
                                     => 10389, observances
                                     => 21109,
                            observation
                                     => 3400, observational
                                     => 13488,
                            observations
                                     => 3670, observatories
                                     => 17705,
                            observatory
                                     => 3854, observed => 1793,
                            observer => 3842, observers
                                     => 5122,
                            observes => 9212, observing
                                     => 6338,
                            obsidian => 15970, obsolescence
                                     => 24899,
                            obsolete => 5976, obstetric
                                     => 27856,
                            obstetrics
                                     => 14785, obstructions
                                     => 20439,
                            obstructive
                                     => 22162, obtain   => 2383,
                            obtainable
                                     => 24877, obtained => 1344,
                            obtaining
                                     => 4237, obtains  => 11773,
                            obverse  => 11813, ocala    => 21339, occasional
                                     => 3449,
                            occasionally
                                     => 1986, occasioned
                                     => 20714,
                            occasions
                                     => 2297, occidental
                                     => 11337,
                            occidentalis
                                     => 19874, occipital
                                     => 18423,
                            occitan  => 15131, occlusion
                                     => 21590,
                            occultist
                                     => 29428, occupancy
                                     => 10958,
                            occupant => 14153, occupants
                                     => 8150,
                            occupation
                                     => 1984, occupational
                                     => 6547,
                            occupations
                                     => 8327, occupied => 1334,
                            occupiers
                                     => 14564, occupies => 5205,
                            occupy   => 4363, occupying
                                     => 5461,
                            occur    => 1516, occurred => 1197, occurrence
                                     => 5390,
                            occurrences
                                     => 9445, occurring
                                     => 3733,
                            occurs   => 1572, ocean    => 1296, oceana   => 26249, oceania  => 8075,
                            oceanic  => 7194, oceanographic
                                     => 15141,
                            oceanography
                                     => 15480, oceans   => 7031,
                            oceanside
                                     => 22556, ochre    => 16181,
                            ochreous => 10228, oconee   => 29175, octagon  => 13385, octagonal
                                     => 8279,
                            octahedral
                                     => 20393, octave   => 8703,
                            octaves  => 15616, octavian => 13751, octet    => 22252, october  => 159,
                            oculus   => 28744, oddities => 27458, oddity   => 25024, odense   => 16132,
                            odeon    => 15152, odisha   => 8208, odors    => 23155, odostomia
                                     => 21196,
                            odysseus => 15213, oecophoridae
                                     => 22293,
                            oerlikon => 21218, oeste    => 23910, oeuvre   => 15536, of       => 2,
                            ofcom    => 15881, offaly   => 11476, offenbach
                                     => 14124,
                            offences => 7127, offenders
                                     => 7420,
                            offenses => 9202, offensive
                                     => 1912,
                            offensively
                                     => 21082, offensives
                                     => 15647,
                            offered  => 812, offerings
                                     => 5572,
                            offers   => 1010, office   => 286, officer  => 615, officers => 944,
                            officership
                                     => 21325, offices  => 1435,
                            official => 445, officially
                                     => 1013,
                            officials
                                     => 1289, officiated
                                     => 12200,
                            officiating
                                     => 14918, officio  => 13194,
                            offline  => 11418, offs     => 5209, offseason
                                     => 9584,
                            offset   => 6407, offsets  => 20692, offsetting
                                     => 29522,
                            offshoot => 10857, offshoots
                                     => 26269,
                            offshore => 4626, offside  => 18855, offspring
                                     => 5521,
                            offstage => 26813, ofsted   => 13073, often    => 216, oghuz    => 28631,
                            ogilvy   => 17997, oglala   => 24880, oglethorpe
                                     => 20003,
                            ohio     => 929, ohrid    => 18235, oilers   => 7081, oilfield => 21971,
                            oireachtas
                                     => 19107, ojibwa   => 24625,
                            ojibwe   => 14421, okanagan => 14538, okayama  => 17176, okeechobee
                                     => 25318,
                            okhotsk  => 23720, okinawa  => 5602, okinawan => 18391, oklahoma => 1839,
                            okrug    => 10858, olave    => 29553, olbermann
                                     => 28998,
                            old      => 187, older    => 628, oldest   => 1308, oldies   => 9363,
                            oldsmobile
                                     => 15755, oleksandr
                                     => 17606,
                            olfactory
                                     => 12769, oligarchy
                                     => 22428,
                            oligocene
                                     => 17225, olimpico => 19091,
                            olimpija => 22338, olivet   => 21828, olivine  => 22281, olmec    => 19925,
                            olmert   => 27378, olomouc  => 14448, olsztyn  => 11227, olusegun => 28375,
                            olympiacos
                                     => 12639, olympiad => 9813,
                            olympiads
                                     => 19824, olympiakos
                                     => 22819,
                            olympian => 10526, olympians
                                     => 15565,
                            olympic  => 1193, olympics => 780, olympique
                                     => 12971,
                            olympus  => 11068, omagh    => 24681, omaha    => 4928, omani    => 20273,
                            ombudsman
                                     => 11937, omicron  => 25066,
                            omissions
                                     => 21080, omits    => 17659,
                            omitted  => 6590, omitting => 15960, omnibus  => 10409, omnipresent
                                     => 27678,
                            omniscient
                                     => 28267, omnivorous
                                     => 21702,
                            on       => 9, onassis  => 23775, oncology => 11495, ondrej   => 26914,
                            one      => 27, "one-of-a-kind"
                                     => 28493,
                            onegin   => 27432, oneness  => 19441, oneonta  => 27803, onerous  => 27001,
                            ongoing  => 2694, online   => 978, onlookers
                                     => 19866,
                            only     => 49, onlyinclude
                                     => 6810,
                            onondaga => 14821, onscreen => 13401, onsen    => 23341, onset    => 5551,
                            onshore  => 15639, onside   => 25827, onsite   => 19468, onslaught
                                     => 13897,
                            onslow   => 15768, ontario  => 1213, ontological
                                     => 17795,
                            ontology => 13253, onward   => 7025, onwards  => 3659, opaque   => 12393,
                            open     => 305, openbsd  => 29988, opened   => 370, opengl   => 18142,
                            opening  => 694, openings => 7080, openly   => 4270, openness => 12369,
                            opera    => 975, operable => 29468, operas   => 5034, operate  => 1683,
                            operated => 730, operates => 1748, operatic => 8024, operating
                                     => 1011,
                            operation
                                     => 594, operational
                                     => 2060,
                            operationally
                                     => 14536, operations
                                     => 545,
                            operative
                                     => 4892, operator => 2489,
                            operators
                                     => 3201, operculum
                                     => 15033,
                            operetta => 12749, operettas
                                     => 20126,
                            ophir    => 29037, ophthalmic
                                     => 21383,
                            ophthalmology
                                     => 14734, opined   => 9782,
                            opining  => 28759, opinions => 4210, opioid   => 13916, opioids  => 24367,
                            opole    => 9698, opossum  => 22238, oppland  => 24201, opponent => 2638,
                            opponents
                                     => 2676, opportunistic
                                     => 15109,
                            opportunities
                                     => 2288, oppose   => 5935,
                            opposed  => 1467, opposes  => 10214, opposing => 3796, opposite => 1745,
                            opposition
                                     => 1210, oppositional
                                     => 28147,
                            oppression
                                     => 8215, oppressive
                                     => 12447,
                            opted    => 5128, optic    => 8425, optical  => 3429, optically
                                     => 20721,
                            optics   => 7825, optimal  => 6027, optimally
                                     => 26277,
                            optimised
                                     => 28175, optimization
                                     => 7668,
                            optimizations
                                     => 28138, optimize => 12887,
                            optimized
                                     => 10448, optimizing
                                     => 20537,
                            optimum  => 10926, optimus  => 10989, opting   => 12280, optional => 4726,
                            optionally
                                     => 14266, optioned => 13124,
                            optometry
                                     => 22137, optus    => 28581,
                            opulent  => 21320, or       => 23, oracle   => 6433, oradea   => 24659,
                            oral     => 3320, orally   => 13631, orang    => 21644, orange   => 1664,
                            orangeville
                                     => 28414, orangutans
                                     => 27199,
                            oration  => 18269, orator   => 12079, oratorio => 12879, oratorios
                                     => 25184,
                            orators  => 29696, oratory  => 10841, orbis    => 24613, orbit    => 3480,
                            orbital  => 5260, orbitals => 14788, orbiter  => 12463, orbiting => 9660,
                            orbits   => 8232, orchard  => 6838, orchards => 8127, orchestra
                                     => 1286,
                            orchestral
                                     => 5433, orchestras
                                     => 6790,
                            orchestrated
                                     => 9422, orchestration
                                     => 12362,
                            orchestrations
                                     => 22434,
                            orchestre
                                     => 18833, orchid   => 6892,
                            orchidaceae
                                     => 24339, ordain   => 26060,
                            ordained => 3447, orden    => 26115, order    => 204, ordered  => 1054,
                            ordinal  => 14167, ordinals => 25888, ordinance
                                     => 6438,
                            ordinances
                                     => 10823, ordinated
                                     => 18694,
                            ordinating
                                     => 23528, ordination
                                     => 6658,
                            ordinator
                                     => 20865, ordnance => 5942,
                            ordovician
                                     => 13559, ordre    => 22008,
                            orebro   => 18491, oregon   => 1595, oregonian
                                     => 22156,
                            orenburg => 22548, orestes  => 19559, oresund  => 28465, orfeo    => 28451,
                            orford   => 21640, organ    => 2343, organelles
                                     => 24177,
                            organic  => 2740, organically
                                     => 22929,
                            organisation
                                     => 1686, organisational
                                     => 12413,
                            organisations
                                     => 2986, organise => 8480,
                            organised
                                     => 2565, organiser
                                     => 11962,
                            organisers
                                     => 11030, organises
                                     => 11329,
                            organising
                                     => 7955, organism => 6254,
                            organisms
                                     => 4269, organist => 6504,
                            organists
                                     => 20367, organization
                                     => 486,
                            organizational
                                     => 4815, organizations
                                     => 1097,
                            organize => 4154, organized
                                     => 1075,
                            organizer
                                     => 7415, organizers
                                     => 6957,
                            organizes
                                     => 7883, organizing
                                     => 4117,
                            organometallic
                                     => 26784,
                            orhan    => 27553, oricon   => 8335, oriel    => 16321, orient   => 7042,
                            oriental => 4566, orientale
                                     => 28683,
                            orientales
                                     => 24341, orientalis
                                     => 20908,
                            orientalism
                                     => 29332, orientalist
                                     => 17419,
                            orientated
                                     => 16411, orientation
                                     => 3894,
                            orientations
                                     => 15958, oriente  => 20059,
                            oriented => 2721, orienteering
                                     => 12757,
                            origen   => 17809, origin   => 1192, original => 237, originality
                                     => 10837,
                            originally
                                     => 377, originate
                                     => 7887,
                            originated
                                     => 2701, originates
                                     => 6071,
                            originating
                                     => 5384, origination
                                     => 22232,
                            originator
                                     => 14378, originators
                                     => 26758,
                            origins  => 2045, orinoco  => 19294, oriole   => 19855, orioles  => 6823,
                            orion    => 7802, orissa   => 11414, oriya    => 17624, orkney   => 9707,
                            orland   => 27883, orleans  => 2154, orlov    => 21368, ornamental
                                     => 6893,
                            ornamentation
                                     => 11642, ornamented
                                     => 14134,
                            ornate   => 8948, ornithological
                                     => 20510,
                            ornithologist
                                     => 15144, ornithologists
                                     => 21026,
                            ornithology
                                     => 18288, orogeny  => 17237,
                            oromia   => 24619, oromo    => 16538, orphanages
                                     => 17452,
                            orphaned => 10331, orpheum  => 23924, orquesta => 20954, ortho    => 25795,
                            orthodox => 2000, orthodoxy
                                     => 9072,
                            orthogonal
                                     => 9872, orthographic
                                     => 21040,
                            orthography
                                     => 9791, orthonormal
                                     => 27339,
                            orthopaedic
                                     => 18262, orthopedics
                                     => 29574,
                            ortsgemeinde
                                     => 23191, orwell   => 11640,
                            oryol    => 26878, osage    => 14039, osaka    => 5515, osama    => 12272,
                            osamu    => 21075, osasuna  => 27071, osceola  => 16839, oscillate
                                     => 29410,
                            oscillating
                                     => 18856, oscillation
                                     => 12920,
                            oscillations
                                     => 14491, oscillator
                                     => 12117,
                            oscillators
                                     => 18393, osgoode  => 27718,
                            oshawa   => 15885, oshkosh  => 17765, osijek   => 16517, oskar    => 11064,
                            oslo     => 3741, osmania  => 29528, osmosis  => 24228, osmotic  => 23193,
                            osnabruck
                                     => 17054, osprey   => 14138,
                            ospreys  => 22561, ossetia  => 13660, ossetian => 20112, ossian   => 27534,
                            ossory   => 25405, ostend   => 18163, ostensibly
                                     => 8698,
                            osteoarthritis
                                     => 27855,
                            osteopathic
                                     => 15559, osteoporosis
                                     => 20867,
                            ostergotland
                                     => 29056, ostersund
                                     => 29340,
                            ostfold  => 26070, ostia    => 23463, ostrava  => 18560, ostroda  => 26471,
                            ostroleka
                                     => 25584, ostrovsky
                                     => 26750,
                            oswego   => 13429, oswestry => 22125, oswiecim => 28720, otago    => 8295,
                            otaku    => 28948, otello   => 23536, other    => 38, others   => 367,
                            otley    => 28700, otomi    => 26644, otranto  => 27004, otsego   => 25697,
                            ottawa   => 2834, otter    => 8807, otters   => 14132, ottokar  => 24760,
                            ottoman  => 1989, ottomans => 6708, otway    => 23107, ouachita => 18663,
                            ouagadougou
                                     => 27913, ouest    => 19973,
                            oulton   => 27535, ousted   => 9581, ouster   => 20948, ousting  => 19970,
                            outages  => 16835, outboard => 16072, outbound => 16599, outbreak => 2857,
                            outbreaks
                                     => 11312, outbuildings
                                     => 13041,
                            outclassed
                                     => 25541, outcome  => 3880,
                            outcomes => 5179, outcrop  => 14899, outcrops => 12933, outcry   => 12016,
                            outdated => 9932, outdoor  => 2663, outer    => 2285, outermost
                                     => 17639,
                            outfield => 10789, outfielder
                                     => 7866,
                            outfielders
                                     => 28184, outfitted
                                     => 13484,
                            outfitters
                                     => 27447, outfitting
                                     => 27973,
                            outflow  => 11020, outgoing => 8453, outgrowth
                                     => 18056,
                            outkast  => 26573, outlawed => 10330, outlawing
                                     => 26288,
                            outlaws  => 9304, outlet   => 5228, outlets  => 4358, outliers => 26383,
                            outline  => 5717, outlined => 6302, outlines => 9080, outlining
                                     => 13051,
                            outlived => 16947, outlook  => 6885, outlying => 8869, outpatient
                                     => 12120,
                            outperform
                                     => 29132, outperformed
                                     => 23292,
                            outpost  => 8351, outposts => 12571, output   => 2134, outputs  => 9788,
                            outreach => 5632, outright => 6145, outro    => 22737, outscored
                                     => 15631,
                            outset   => 9562, outskirts
                                     => 5365,
                            outsourced
                                     => 18265, outsourcing
                                     => 12408,
                            outspoken
                                     => 8106, outstanding
                                     => 1820,
                            outstretched
                                     => 21369, outtakes => 17108,
                            outward  => 7996, outwardly
                                     => 16853,
                            outwards => 14381, outweighed
                                     => 24170,
                            ouvrage  => 22269, oval     => 3788, ovals    => 25729, ovarian  => 12875,
                            ovate    => 14495, ovation  => 11842, over     => 48, overall  => 831,
                            overarching
                                     => 14982, overcame => 10899,
                            overcoming
                                     => 10562, overcrowding
                                     => 12658,
                            overdubbed
                                     => 23304, overdubs => 20303,
                            overexpression
                                     => 28843,
                            overfishing
                                     => 22161, overflow => 11846,
                            overflowed
                                     => 24823, overflows
                                     => 28565,
                            overground
                                     => 20540, overgrown
                                     => 14502,
                            overhang => 23117, overhanging
                                     => 19231,
                            overhaul => 6553, overhauled
                                     => 14234,
                            overhead => 5275, overhears
                                     => 14469,
                            overijssel
                                     => 29298, overlaid => 16632,
                            overlain => 23551, overland => 7827, overlap  => 6647, overlapped
                                     => 16219,
                            overlapping
                                     => 8019, overlaps => 12465,
                            overlay  => 14285, overlays => 26767, overloading
                                     => 29998,
                            overlooking
                                     => 5411, overlooks
                                     => 10741,
                            overlord => 12146, overlords
                                     => 23708,
                            overlordship
                                     => 22122, overlying
                                     => 17221,
                            overpass => 14273, overpopulation
                                     => 22970,
                            overprinted
                                     => 23044, overran  => 15797,
                            overridden
                                     => 29651, overriding
                                     => 18696,
                            overruns => 22738, overs    => 5919, oversaw  => 5415, overseas => 2391,
                            oversee  => 6869, overseeing
                                     => 7571,
                            overseen => 8174, overseer => 14795, overseers
                                     => 20297,
                            oversees => 7987, overshadowed
                                     => 10412,
                            oversight
                                     => 6367, overstated
                                     => 27343,
                            overt    => 11742, overtaken
                                     => 12055,
                            overtaking
                                     => 16388, overthrew
                                     => 13261,
                            overthrow
                                     => 6356, overthrowing
                                     => 20151,
                            overthrown
                                     => 10668, overtly  => 13507,
                            overtones
                                     => 14598, overtook => 13435,
                            overture => 11507, overturned
                                     => 7094,
                            overturning
                                     => 20055, overuse  => 22691,
                            overview => 2454, overwhelmingly
                                     => 9101,
                            overwinter
                                     => 28318, overwinters
                                     => 28321,
                            ovoid    => 19809, owain    => 14720, owensboro
                                     => 28560,
                            owing    => 4289, own      => 203, owned    => 554, owner    => 1134,
                            owners   => 1804, ownership
                                     => 1913,
                            oxalate  => 28658, oxbow    => 22602, oxfam    => 18605, oxford   => 1352,
                            oxfordshire
                                     => 7399, oxidant  => 25777,
                            oxidase  => 14468, oxidation
                                     => 7128,
                            oxidative
                                     => 13469, oxide    => 5712,
                            oxides   => 12683, oxidize  => 28769, oxidized => 14313, oxidizer => 25251,
                            oxidizing
                                     => 18805, oxidoreductase
                                     => 17139,
                            oxidoreductases
                                     => 24636,
                            oxnard   => 21120, oxygenated
                                     => 28223,
                            oxyrhynchus
                                     => 18989, ozark    => 14519,
                            ozarks   => 23719, ozawa    => 20911, ozeki    => 27649, "p.m."   => 3749,
                            "pa'in"  => 15887, paced    => 9471, pacers   => 11975, pachuca  => 22360,
                            pacific  => 745, pacifica => 18077, pacification
                                     => 18634,
                            pacifism => 20048, pacifist => 12130, packaged => 8151, packaging
                                     => 5653,
                            packers  => 5800, packet   => 6670, pacquiao => 19035, padang   => 18953,
                            paddy    => 6815, paderborn
                                     => 18381,
                            padma    => 9904, padova   => 21118, padraig  => 24378, padres   => 7986,
                            padua    => 9341, paducah  => 20799, paediatric
                                     => 23603,
                            paganini => 22387, paganism => 14245, pagans   => 16173, pagasa   => 21375,
                            pageant  => 4240, pageantry
                                     => 25957,
                            pageants => 13312, pages    => 2498, paget    => 13169, pagoda   => 9950,
                            pagodas  => 22305, pahang   => 16218, pahlavi  => 14944, painstaking
                                     => 25482,
                            painstakingly
                                     => 28122, painted  => 1842,
                            painterly
                                     => 29171, painters => 4662,
                            painting => 1298, paintings
                                     => 1782,
                            pair     => 1566, paired   => 5294, pairing  => 8655, pairings => 18963,
                            pairs    => 3033, pairwise => 22430, paiute   => 21763, pakeha   => 28422,
                            pakenham => 23875, pakhtunkhwa
                                     => 12019,
                            pakistan => 1199, pakistani
                                     => 3939,
                            pakistanis
                                     => 15867, palace   => 1265,
                            palaces  => 8221, palaeographically
                                     => 23756,
                            palaeolithic
                                     => 22749, palaiologos
                                     => 18023,
                            palais   => 9130, palakkad => 19434, palatal  => 18031, palatial => 22209,
                            palatinate
                                     => 6543, palatine => 7935,
                            palau    => 10478, palawan  => 16926, palazzo  => 7636, palearctic
                                     => 20156,
                            palembang
                                     => 25149, paleo    => 18118,
                            paleocene
                                     => 20980, paleogene
                                     => 19475,
                            paleolithic
                                     => 12821, paleontological
                                     => 23079,
                            paleontologists
                                     => 21850,
                            paleozoic
                                     => 17706, paler    => 11076,
                            palestine
                                     => 3288, palestinian
                                     => 3189,
                            palestinians
                                     => 7410, palestrina
                                     => 26056,
                            palette  => 10143, palgrave => 26106, palin    => 10516, palisade => 19152,
                            palisades
                                     => 13558, palladian
                                     => 17154,
                            palladio => 22445, palladium
                                     => 11037,
                            pallava  => 23527, pallet   => 22101, pallets  => 25643, palliative
                                     => 18748,
                            palliser => 25305, pallium  => 29807, palm     => 3054, palmach  => 29210,
                            palmar   => 27668, palmares => 24314, palmas   => 14368, palme    => 16414,
                            palmeiras
                                     => 19410, palmerston
                                     => 11159,
                            palmetto => 17372, palmyra  => 14691, palps    => 17596, palsy    => 13252,
                            palustris
                                     => 27405, pamir    => 27332,
                            pampa    => 17471, pampanga => 17232, pampas   => 25514, pamphlet => 7787,
                            pamphlets
                                     => 9047, pamplona => 15712,
                            panagiotis
                                     => 27062, panama   => 3218,
                            panamanian
                                     => 12940, panasonic
                                     => 13880,
                            panathinaikos
                                     => 13239, panay    => 20864,
                            panchayat
                                     => 7403, panchayath
                                     => 26337,
                            panchayats
                                     => 12765, pancras  => 14614,
                            pancrase => 23808, pancreatic
                                     => 11933,
                            pancreatitis
                                     => 29341, pandas   => 23237,
                            pandavas => 18609, pandemic => 12650, pandey   => 18024, pandit   => 10706,
                            pandyan  => 25547, panel    => 2244, paneled  => 23136, panelist => 15397,
                            panelists
                                     => 19704, panelled => 22550,
                            panelling
                                     => 21076, panellist
                                     => 27232,
                            panels   => 3739, pangasinan
                                     => 18562,
                            panhandle
                                     => 12049, panhard  => 26020,
                            panhellenic
                                     => 23785, panicles => 26082,
                            panini   => 23935, panionios
                                     => 25177,
                            panipat  => 27995, pankaj   => 27107, pankhurst
                                     => 27192,
                            panned   => 12064, pannonia => 18835, pannonian
                                     => 27514,
                            panorama => 9266, panoramic
                                     => 10793,
                            pantera  => 20061, pantheon => 9675, panthera => 29465, panthers => 4930,
                            pantograph
                                     => 23948, pantomime
                                     => 12247,
                            pantomimes
                                     => 26037, panzer   => 6240,
                            panzergrenadier
                                     => 24141,
                            paolo    => 6641, papacy   => 10444, papal    => 4326, papandreou
                                     => 25350,
                            paperback
                                     => 7282, paperbacks
                                     => 19910,
                            paphos   => 24070, papilio  => 20917, papillae => 25442, papillon => 29141,
                            pappus   => 27933, papua    => 5090, papuan   => 18446, papyri   => 20552,
                            papyrus  => 9502, para     => 5569, parable  => 14683, parables => 24085,
                            parabola => 25960, parabolic
                                     => 14492,
                            parachute
                                     => 5372, parachuted
                                     => 23267,
                            parachutist
                                     => 29694, paraded  => 17774,
                            parades  => 9275, paradigm => 7614, paradigms
                                     => 16228,
                            paradox  => 7780, paradoxes
                                     => 21900,
                            paradoxical
                                     => 19158, paradoxically
                                     => 20870,
                            paraffin => 23478, paraguay => 5482, paraguayan
                                     => 9933,
                            paraiba  => 20625, paraiso  => 22016, parallax => 13350, parallel => 1973,
                            paralleled
                                     => 14834, paralleling
                                     => 14412,
                            parallelism
                                     => 21352, parallels
                                     => 6749,
                            paralympian
                                     => 28644, paralympic
                                     => 7124,
                            paralympics
                                     => 4905, paralysed
                                     => 20904,
                            parameter
                                     => 6229, parameters
                                     => 4414,
                            parametric
                                     => 15593, paramilitaries
                                     => 21925,
                            paramilitary
                                     => 8011, paramount
                                     => 4518,
                            parana   => 9882, paranaense
                                     => 29601,
                            parapet  => 11413, parapets => 26562, paraphrase
                                     => 22918,
                            paraphrased
                                     => 29029, paraphyletic
                                     => 21145,
                            parapsychology
                                     => 29936,
                            parashah => 21003, parasitic
                                     => 9433,
                            parasitism
                                     => 28382, parasol  => 20860,
                            paratroopers
                                     => 12269, paraul   => 17453,
                            parcel   => 8338, parcels  => 10485, parchment
                                     => 10540,
                            pardubice
                                     => 20695, parentage
                                     => 14367,
                            parentheses
                                     => 9563, parenthesis
                                     => 27679,
                            pareto   => 22457, parganas => 24476, paribas  => 18592, parietal => 14399,
                            paris    => 642, parish   => 779, parishad => 16424, parishes => 3969,
                            parishioners
                                     => 10997, parisian => 9117,
                            parisians
                                     => 26649, parity   => 10121,
                            park     => 206, parkdale => 27163, parkersburg
                                     => 24324,
                            parkland => 10314, parklands
                                     => 21095,
                            parkside => 23489, parkway  => 4578, parkways => 29903, parlance => 19538,
                            parle    => 28390, parlement
                                     => 21901,
                            parley   => 27368, parliament
                                     => 612,
                            parliamentarian
                                     => 10994,
                            parliamentarians
                                     => 12478,
                            parliamentary
                                     => 1769, parliaments
                                     => 10761,
                            parlophone
                                     => 22480, parma    => 6967,
                            parnassus
                                     => 29190, parnu    => 21302,
                            parochial
                                     => 9765, parodied => 11417,
                            parodies => 9701, parody   => 4956, parodying
                                     => 21694,
                            parque   => 12545, parramatta
                                     => 9421,
                            parrots  => 13427, parse    => 24374, parser   => 19577, parsi    => 21021,
                            parsifal => 27690, parsing  => 20895, parsonage
                                     => 17188,
                            part     => 72, parte    => 18994, parted   => 8146, partenkirchen
                                     => 24995,
                            parthenon
                                     => 23145, parthia  => 22088,
                            parthian => 13999, parthians
                                     => 23480,
                            parti    => 11448, partial  => 2829, partially
                                     => 2569,
                            participant
                                     => 5192, participants
                                     => 2254,
                            participate
                                     => 1798, participated
                                     => 1100,
                            participates
                                     => 6131, participating
                                     => 2733,
                            participation
                                     => 2158, participatory
                                     => 12642,
                            participle
                                     => 16726, partick  => 16408,
                            particle => 4021, particles
                                     => 3521,
                            particular
                                     => 757, particularly
                                     => 731,
                            particulate
                                     => 17494, partido  => 11282,
                            parties  => 1151, partisan => 5416, partisans
                                     => 7664,
                            partition
                                     => 5177, partitioned
                                     => 12845,
                            partitioning
                                     => 16238, partitions
                                     => 11107,
                            partizan => 11479, partly   => 2437, partnered
                                     => 4964,
                            partnering
                                     => 9884, partners => 1966,
                            partnership
                                     => 1690, partnerships
                                     => 4665,
                            partridges
                                     => 28890, parts    => 562,
                            partway  => 28946, party    => 165, parva    => 18529, parvati  => 14257,
                            pasadena => 7173, pasay    => 26977, pascagoula
                                     => 26792,
                            paseo    => 20395, pasha    => 5452, pashto   => 15623, pashtun  => 14067,
                            pashtuns => 22044, pasig    => 19078, pasir    => 22941, pasok    => 28455,
                            passage  => 2282, passages => 5634, passaic  => 13791, passau   => 21778,
                            passchendaele
                                     => 25524, passed   => 793,
                            passenger
                                     => 1541, passengers
                                     => 1894,
                            passer   => 14253, passeriformesfamily
                                     => 8861,
                            passerine
                                     => 10298, passers  => 21566,
                            passes   => 1666, passing  => 1593, passive  => 5360, passively
                                     => 20570,
                            passo    => 28021, passover => 13807, pastel   => 16249, pasteur  => 15386,
                            pastiche => 18982, pastimes => 27567, pastor   => 3713, pastoral => 5326,
                            pastoralist
                                     => 23492, pastoralists
                                     => 22419,
                            pastorate
                                     => 23846, pastors  => 10769,
                            pasture  => 8809, pastureland
                                     => 27141,
                            pastures => 9079, patagonia
                                     => 14881,
                            patagonian
                                     => 26421, pataki   => 23819,
                            patan    => 25838, patanjali
                                     => 28852,
                            patapsco => 29138, patches  => 6511, patchwork
                                     => 20162,
                            patchy   => 23949, patent   => 2673, patented => 6191, patents  => 5080,
                            paternal => 6035, path     => 1822, pathan   => 21980, pathanamthitta
                                     => 27442,
                            pathe    => 17112, pathet   => 25400, pathfinder
                                     => 14243,
                            pathogen => 9709, pathogenesis
                                     => 18167,
                            pathogenic
                                     => 13755, pathogens
                                     => 10598,
                            pathologies
                                     => 29185, pathologists
                                     => 25424,
                            pathology
                                     => 7362, pathophysiology
                                     => 17982,
                            paths    => 4637, pathway  => 5463, pathways => 6935, patiala  => 18513,
                            patients => 1578, patil    => 14867, patna    => 10660, patras   => 15378,
                            patrese  => 23631, patriarch
                                     => 4778,
                            patriarchal
                                     => 10909, patriarchate
                                     => 11100,
                            patriarchs
                                     => 14911, patriarchy
                                     => 22900,
                            patrician
                                     => 13700, patricians
                                     => 24815,
                            patrik   => 21498, patrilineal
                                     => 22152,
                            patrimony
                                     => 20262, patriot  => 6521,
                            patriotic
                                     => 5767, patriotism
                                     => 10544,
                            patriots => 4554, patrol   => 2334, patrolled
                                     => 10929,
                            patrols  => 5720, patron   => 3465, patronage
                                     => 5689,
                            patroness
                                     => 23090, patronised
                                     => 26260,
                            patrons  => 5791, patronymic
                                     => 17458,
                            pattaya  => 24337, pattern  => 1962, patterned
                                     => 10328,
                            patterning
                                     => 19215, patterns => 2604,
                            pattinson
                                     => 26208, patuxent => 21126,
                            paucity  => 29105, paulet   => 28120, paulinus => 28295, paulista => 14160,
                            paulo    => 3649, pausanias
                                     => 18336,
                            pausini  => 28684, paved    => 4781, pavel    => 8084, pavelic  => 28091,
                            pavements
                                     => 24315, pavia    => 12218,
                            pavilion => 4310, pavilions
                                     => 11401,
                            paving   => 10426, pavle    => 28907, pavlo    => 27667, pavlovic => 27509,
                            pawan    => 26299, pawar    => 27562, pawel    => 18370, pawnee   => 15435,
                            pawtucket
                                     => 16840, payers   => 24328,
                            payload  => 7304, payloads => 16787, paymaster
                                     => 21153,
                            payment  => 3116, payments => 4062, payout   => 17260, paypal   => 20416,
                            pazar    => 24963, peacebuilding
                                     => 29557,
                            peacekeepers
                                     => 17492, peacekeeping
                                     => 9611,
                            peacetime
                                     => 11061, peachtree
                                     => 17811,
                            peacocks => 26034, peak     => 1287, peaked   => 2224, peaking  => 4588,
                            peaks    => 4406, peasant  => 5993, peasantry
                                     => 14902,
                            peasants => 5147, peckinpah
                                     => 26698,
                            pecos    => 18533, pectoral => 12577, peculiarities
                                     => 20546,
                            peculiarity
                                     => 25234, peculiarly
                                     => 29714,
                            pedagogical
                                     => 11528, pedagogue
                                     => 21553,
                            pedagogy => 11775, pedals   => 12594, peder    => 19791, pedestrian
                                     => 5944,
                            pedestrians
                                     => 10539, pedigree => 12456,
                            pediment => 13080, pedimented
                                     => 21798,
                            pediments
                                     => 27058, pedra    => 28832,
                            peduncle => 22081, peer     => 3248, peerage  => 6591, peerages => 23892,
                            peers    => 5215, peeters  => 28218, pegasus  => 10362, pejorative
                                     => 15460,
                            pekin    => 27589, peking   => 10289, pekka    => 20036, pelagic  => 16595,
                            pelecaniformesfamily
                                     => 25071,
                            pelicans => 14566, pelle    => 25913, pellew   => 28704, peloponnese
                                     => 15301,
                            peloponnesian
                                     => 21212, peloton  => 13734,
                            pembina  => 24901, pembroke => 8108, pembrokeshire
                                     => 13347,
                            penal    => 7054, penalised
                                     => 29724,
                            penalized
                                     => 16323, penalties
                                     => 4725,
                            penalty  => 2311, penang   => 9097, penarol  => 23608, penarth  => 25089,
                            penciled => 28873, penda    => 28697, pendants => 29096, pendle   => 26780,
                            pendragon
                                     => 26676, pendulum => 10794,
                            penetrated
                                     => 10942, penetration
                                     => 7750,
                            penguins => 6812, penicillium
                                     => 16286,
                            penile   => 27868, peninsula
                                     => 1898,
                            peninsular
                                     => 8235, peninsulas
                                     => 28200,
                            penitent => 28651, pennant  => 8116, pennants => 24389, penned   => 6635,
                            pennine  => 18006, pennines => 23245, pennsylvania
                                     => 692,
                            pennsylvanian
                                     => 22875, penobscot
                                     => 17573,
                            penrith  => 12133, pensacola
                                     => 9192,
                            pension  => 4395, pensioner
                                     => 24905,
                            pensioners
                                     => 18411, pensions => 8700,
                            penske   => 17510, pentagonal
                                     => 18996,
                            pentateuch
                                     => 23149, pentathlete
                                     => 23888,
                            pentathlon
                                     => 13614, pentatonic
                                     => 28407,
                            pentax   => 20754, pentecostal
                                     => 10026,
                            penticton
                                     => 29445, pentium  => 15307,
                            penultimate
                                     => 9344, penzance => 14855,
                            people   => 93, peoria   => 9946, peppered => 26543, pepsico  => 21292,
                            peptide  => 8987, peptides => 12534, pequeno  => 25143, pequot   => 22932,
                            per      => 302, perak    => 12031, perce    => 16503, perceived
                                     => 3209,
                            perceives
                                     => 17339, perceiving
                                     => 20716,
                            percent  => 1018, percentage
                                     => 2366,
                            percentages
                                     => 12652, perceptible
                                     => 29827,
                            perception
                                     => 4216, perceptions
                                     => 9027,
                            perceptual
                                     => 13593, perceval => 20405,
                            perch    => 10511, perching => 24534, perchlorate
                                     => 27399,
                            percussion
                                     => 4710, percussionist
                                     => 11612,
                            percussionists
                                     => 28977,
                            percussive
                                     => 18945, peregrine
                                     => 14364,
                            perennial
                                     => 5598, perennials
                                     => 29976,
                            perestroika
                                     => 22620, perforated
                                     => 15180,
                            perforation
                                     => 25647, perforations
                                     => 27230,
                            perform  => 1396, performance
                                     => 432,
                            performances
                                     => 1187, performed
                                     => 450,
                            performer
                                     => 3818, performers
                                     => 3410,
                            performing
                                     => 1219, performs => 3812,
                            perfusion
                                     => 25042, pergamon => 24105,
                            perihelion
                                     => 21678, period   => 271,
                            periodic => 5914, periodical
                                     => 7828,
                            periodically
                                     => 7092, periodicals
                                     => 7702,
                            periodicity
                                     => 26093, periodontal
                                     => 24847,
                            periods  => 2349, peripheral
                                     => 6697,
                            peripherals
                                     => 17448, periphery
                                     => 9193,
                            perished => 9169, peristome
                                     => 28877,
                            peritoneal
                                     => 29990, periyar  => 20022,
                            perlis   => 26325, permafrost
                                     => 20810,
                            permanence
                                     => 24268, permanent
                                     => 1378,
                            permanente
                                     => 26917, permanently
                                     => 3424,
                            permeability
                                     => 14262, permeable
                                     => 18887,
                            permeated
                                     => 26561, permian  => 11291,
                            permissible
                                     => 13053, permissions
                                     => 19474,
                            permissive
                                     => 21393, permit   => 3606,
                            permits  => 5469, permitted
                                     => 2914,
                            permitting
                                     => 8925, permittivity
                                     => 28708,
                            permutation
                                     => 13515, permutations
                                     => 14127,
                            pernambuco
                                     => 15518, pernicious
                                     => 27826,
                            peron    => 11864, peronist => 25922, perot    => 21119, perpendicular
                                     => 6779,
                            perpetrators
                                     => 10592, perpetual
                                     => 8188,
                            perpetuated
                                     => 17032, perpetuity
                                     => 18020,
                            perpignan
                                     => 18847, perros   => 29376,
                            perrot   => 26852, perryville
                                     => 23312,
                            persecution
                                     => 5346, persecutions
                                     => 15463,
                            persephone
                                     => 21782, persepolis
                                     => 15326,
                            perseus  => 17620, persevered
                                     => 28995,
                            pershing => 12851, persia   => 6221, persian  => 2417, persians => 9273,
                            persisted
                                     => 8291, persistence
                                     => 11142,
                            persistently
                                     => 19487, persisting
                                     => 26740,
                            persists => 13836, persona  => 6972, personages
                                     => 23307,
                            personal => 452, personalities
                                     => 4667,
                            personas => 24524, personification
                                     => 16715,
                            personnel
                                     => 1468, persons  => 1749,
                            perspectives
                                     => 6760, persuaded
                                     => 4558,
                            persuades
                                     => 12196, persuading
                                     => 13735,
                            pertain  => 21576, pertaining
                                     => 7619,
                            perth    => 3396, perthshire
                                     => 17498,
                            pertuan  => 26945, perturbation
                                     => 17329,
                            perturbations
                                     => 21453, pertwee  => 29534,
                            peru     => 2633, perugia  => 13085, perumal  => 18917, peruvian => 5690,
                            peruvians
                                     => 28853, pervasive
                                     => 12640,
                            pervez   => 19484, pesaro   => 20488, pescara  => 18114, peshawar => 10515,
                            peshwa   => 21366, pesos    => 11574, pessimism
                                     => 23593,
                            pesticide
                                     => 13773, pesticides
                                     => 11066,
                            pests    => 11327, petah    => 21804, petain   => 20331, petaling => 26984,
                            petaluma => 28322, petar    => 12724, peten    => 23691, peterborough
                                     => 6531,
                            peterhead
                                     => 27221, peterhouse
                                     => 28116,
                            petersburg
                                     => 2992, petersham
                                     => 28064,
                            petiole  => 21807, petioles => 20946, petipa   => 27911, petition => 3766,
                            petitioned
                                     => 8144, petitioners
                                     => 20180,
                            petitions
                                     => 9002, petkovic => 28029,
                            petraeus => 28970, petrarch => 20640, petrel   => 16965, petrels  => 16633,
                            petrobras
                                     => 29404, petrochemical
                                     => 15767,
                            petrochemicals
                                     => 28174,
                            petroglyphs
                                     => 19277, petrograd
                                     => 15684,
                            petrol   => 6806, petroleum
                                     => 4228,
                            petronas => 23517, petrov   => 13522, petrova  => 21172, petrovic => 15572,
                            petru    => 28258, petter   => 16705, peugeot  => 9229, pevsner  => 19138,
                            pfalz    => 22119, pfizer   => 16815, pforzheim
                                     => 26499,
                            "ph.d."  => 3402, phaeton  => 28036, phage    => 18323, phalanx  => 15266,
                            phallic  => 26181, phallus  => 26445, phantom  => 5370, phantoms => 14824,
                            pharaoh  => 8431, pharisees
                                     => 28629,
                            pharma   => 19763, pharmaceutical
                                     => 5400,
                            pharmacies
                                     => 16043, pharmacists
                                     => 16783,
                            pharmacokinetics
                                     => 28681,
                            pharmacological
                                     => 15847,
                            pharmacology
                                     => 11204, pharrell => 19706,
                            pharyngeal
                                     => 21918, pharynx  => 26185,
                            phase    => 1360, phased   => 7953, phases   => 4525, phasing  => 18222,
                            phenol   => 20918, phenolic => 23234, phenomena
                                     => 5067,
                            phenomenological
                                     => 22574,
                            phenomenology
                                     => 17737, phenomenon
                                     => 3528,
                            phenotype
                                     => 12922, phenotypes
                                     => 20924,
                            phenotypic
                                     => 17975, phenyl   => 27491,
                            phenylalanine
                                     => 27048, philadelphia
                                     => 1230,
                            philanthropic
                                     => 8870, philanthropist
                                     => 6459,
                            philanthropists
                                     => 20667,
                            philanthropy
                                     => 7544, philatelic
                                     => 12680,
                            philatelist
                                     => 27262, philately
                                     => 24142,
                            philemon => 25493, philharmonia
                                     => 21357,
                            philharmonic
                                     => 4897, philipp  => 8671,
                            philippa => 16742, philippe => 4903, philippine
                                     => 2771,
                            philippines
                                     => 1598, phillies => 5729,
                            philo    => 15577, philological
                                     => 21029,
                            philologist
                                     => 15505, philology
                                     => 10916,
                            philosopher
                                     => 3882, philosophers
                                     => 6561,
                            philosophic
                                     => 23745, philosophical
                                     => 3637,
                            philosophically
                                     => 24764,
                            philosophies
                                     => 11615, philosophy
                                     => 1367,
                            phineas  => 16035, phish    => 18155, phishing => 26542, phnom    => 13238,
                            phobos   => 23614, phoebus  => 25455, phoenicia
                                     => 27736,
                            phoenician
                                     => 13417, phoenicians
                                     => 20945,
                            phoenix  => 2647, phoneme  => 17481, phonemes => 14501, phonemic => 17546,
                            phonetic => 9209, phonetically
                                     => 20875,
                            phonetics
                                     => 21289, phonograph
                                     => 17310,
                            phonographic
                                     => 17775, phonological
                                     => 13108,
                            phonology
                                     => 11127, phonon   => 29020,
                            phosphatase
                                     => 18702, phosphate
                                     => 6628,
                            phosphates
                                     => 23008, phosphor => 26380,
                            phosphorus
                                     => 9064, phosphorylated
                                     => 22840,
                            phosphorylation
                                     => 12309,
                            photographed
                                     => 6152, photographers
                                     => 7019,
                            photographic
                                     => 5024, photographs
                                     => 2764,
                            photography
                                     => 2533, photojournalism
                                     => 25713,
                            photojournalist
                                     => 18553,
                            photometric
                                     => 25875, photon   => 9570,
                            photonic => 26614, photonics
                                     => 26723,
                            photons  => 11250, photoshoot
                                     => 28491,
                            photoshop
                                     => 19555, photosynthesis
                                     => 13976,
                            photosynthetic
                                     => 18559,
                            photovoltaic
                                     => 13168, photovoltaics
                                     => 27714,
                            phrase   => 2840, phrases  => 6299, phrasing => 18247, phraya   => 19045,
                            phrygia  => 27404, phrygian => 22883, phuket   => 22243, phuoc    => 23847,
                            phyla    => 26372, phyllonorycter
                                     => 21515,
                            phylogenetic
                                     => 8849, phylogeny
                                     => 11556,
                            phylum   => 16131, physical => 945, physician
                                     => 2889,
                            physicians
                                     => 4357, physicist
                                     => 5817,
                            physicists
                                     => 11193, physics  => 1956,
                            physiographic
                                     => 29914, physiological
                                     => 7345,
                            physiologist
                                     => 19759, physiology
                                     => 6499,
                            physiotherapist
                                     => 25947,
                            physiotherapy
                                     => 18068, phytoplankton
                                     => 21237,
                            piacenza => 15137, piaget   => 23058, piaggio  => 29063, pianist  => 3541,
                            pianists => 14097, piano    => 1538, pianos   => 11241, piast    => 19247,
                            piaui    => 26035, picardie => 21861, picardy  => 16704, picayune => 27188,
                            piccadilly
                                     => 10963, picea    => 26381,
                            pichilemu
                                     => 26352, pickets  => 22713,
                            pickups  => 12839, pickwick => 24857, picnicking
                                     => 21677,
                            pictish  => 19122, picton   => 18949, pictorial
                                     => 10146,
                            pictou   => 23297, picts    => 21921, picturesque
                                     => 8417,
                            pidgin   => 19762, piecemeal
                                     => 21449,
                            pieces   => 1474, piedmont => 6672, piedmontese
                                     => 21929,
                            piedras  => 18729, piero    => 12855, pierrepont
                                     => 25074,
                            pierrot  => 18593, piers    => 6748, pieta    => 21666, pieter   => 9342,
                            pietermaritzburg
                                     => 27626,
                            pietersen
                                     => 25636, pietro   => 6756,
                            piety    => 11422, pieve    => 29008, piezoelectric
                                     => 22022,
                            pigment  => 10002, pigmentation
                                     => 20467,
                            pigmented
                                     => 23032, pigments => 12050,
                            pilasters
                                     => 10449, pilate   => 19634,
                            pilbara  => 22683, pilgrimage
                                     => 5672,
                            pilgrimages
                                     => 17586, pilgrims => 6836,
                            pilipinas
                                     => 15805, pilipino => 28934,
                            pillaged => 19208, pillaging
                                     => 22989,
                            pillai   => 11526, pillar   => 6739, pillars  => 6060, pillboxes
                                     => 26658,
                            pilot    => 1422, piloted  => 9986, piloting => 15271, pilots   => 3000,
                            pilsen   => 26281, pilsudski
                                     => 15816,
                            pimlico  => 19964, pinar    => 23941, pinchot  => 25326, pindar   => 27762,
                            pinellas => 21926, pines    => 8478, pineville
                                     => 23971,
                            pinewood => 19944, piney    => 20832, pinfall  => 18931, pininfarina
                                     => 29271,
                            pinker   => 27419, pinkish  => 14546, pinnacle => 9893, pinnacles
                                     => 17700,
                            pinnate  => 26233, pinochet => 16293, pinoy    => 18216, pinus    => 12665,
                            pinyin   => 10175, pinyon   => 27707, pioneer  => 2538, pioneered
                                     => 5784,
                            pioneering
                                     => 4959, pioneers => 4916,
                            piotr    => 12924, piotrkow => 21089, pious    => 9343, piped    => 17501,
                            pipeline => 4987, pipelines
                                     => 11309,
                            pipers   => 20565, piping   => 12325, pippa    => 22832, piquet   => 15262,
                            piracy   => 8367, piraeus  => 14201, pirates  => 3290, pirie    => 19675,
                            pirin    => 29227, piscataway
                                     => 28400,
                            pisgah   => 27758, pistoia  => 26808, pistols  => 7946, piston   => 7065,
                            pistons  => 8909, pitcairn => 17574, pitch    => 2484, pitched  => 2955,
                            pitcher  => 3099, pitchers => 5829, pitches  => 7225, pitchfork
                                     => 9170,
                            pitching => 5151, pitesti  => 29752, pits     => 6006, pitted   => 9592,
                            pittsburg
                                     => 15412, pittsburgh
                                     => 2087,
                            pittsfield
                                     => 17900, pituitary
                                     => 15314,
                            pius     => 5288, pivot    => 11605, pivotal  => 7524, pivoting => 28458,
                            pixar    => 14199, pixel    => 8466, pixels   => 10117, placards => 29625,
                            place    => 153, placebo  => 11835, placed   => 576, placeholder
                                     => 27778,
                            placekicker
                                     => 20418, placement
                                     => 4057,
                            placements
                                     => 13511, placename
                                     => 23310,
                            placenames
                                     => 21649, placental
                                     => 22339,
                            placentia
                                     => 29084, placer   => 16039,
                            places   => 625, placid   => 14196, placido  => 18360, placing  => 3006,
                            placings => 17951, plagiarism
                                     => 13349,
                            plagiarized
                                     => 29150, plagued  => 7434,
                            plaine   => 29622, plaines  => 27431, plainfield
                                     => 16435,
                            plains   => 3278, plaintext
                                     => 22407,
                            plaintiffs
                                     => 8766, plainview
                                     => 28248,
                            plana    => 28903, planar   => 10281, planck   => 9753, planes   => 3776,
                            planetary
                                     => 6841, planets  => 4859,
                            planking => 29278, planks   => 15650, planktonic
                                     => 24433,
                            planned  => 1083, planners => 9458, plano    => 16107, plant    => 646,
                            plantagenet
                                     => 21070, plantain => 21624,
                            plantar  => 25090, plantarum
                                     => 27614,
                            plantation
                                     => 3810, plantations
                                     => 5570,
                            planter  => 12427, planters => 11809, planting => 6570, plantings
                                     => 13893,
                            plants   => 1147, plaque   => 4842, plaques  => 10338, plasma   => 4885,
                            plasmas  => 29348, plasmid  => 20921, plasmids => 28245, plasmodium
                                     => 15354,
                            plasticity
                                     => 14522, plastics => 9454,
                            plateau  => 3704, plateaus => 17653, platelet => 17732, platform => 1208,
                            platformer
                                     => 29253, platforms
                                     => 2543,
                            plating  => 14991, platinum => 3293, plato    => 7307, platoon  => 5808,
                            platoons => 15456, platte   => 11984, platted  => 11885, plattsburgh
                                     => 20223,
                            play     => 230, playable => 7137, playback => 7900, playboy  => 6861,
                            played   => 117, player   => 261, players  => 433, playfair => 24006,
                            playfield
                                     => 28446, playfully
                                     => 26882,
                            playgrounds
                                     => 13813, playhouse
                                     => 6988,
                            playing  => 351, playlist => 12383, playlists
                                     => 21134,
                            playmaker
                                     => 21985, playoff  => 2798,
                            playoffs => 2466, plays    => 623, playstation
                                     => 3731,
                            playwright
                                     => 4544, playwrights
                                     => 10744,
                            playwriting
                                     => 20176, plaza    => 3118,
                            plazas   => 16775, pleaded  => 7158, pleads   => 14275, pleas    => 9199,
                            plebiscite
                                     => 12763, pledged  => 6818,
                            pleiades => 27488, plein    => 22945, pleistocene
                                     => 9634,
                            plenary  => 12670, plenipotentiary
                                     => 13974,
                            plentiful
                                     => 11283, plenum   => 21785,
                            plessis  => 20952, plethora => 15678, pleura   => 17938, pleural  => 22365,
                            plexus   => 17837, plical   => 29388, plied    => 26526, plinth   => 15732,
                            pliny    => 10731, pliocene => 15964, plock    => 16498, ploiesti => 21585,
                            plonsk   => 28607, plot     => 833, plotline => 24474, plots    => 5613,
                            plotters => 19896, plough   => 12980, ploughed => 28695, ploughing
                                     => 22054,
                            ploughs  => 25561, plovdiv  => 13013, plover   => 18090, plovers  => 26132,
                            plugin   => 17277, plugins  => 17020, plumage  => 7867, plume    => 11421,
                            plumes   => 19711, plunder  => 13521, plundered
                                     => 11918,
                            plundering
                                     => 18243, plunges  => 27473,
                            plunket  => 27012, plural   => 5342, pluralism
                                     => 15921,
                            pluralistic
                                     => 26484, plurality
                                     => 10254,
                            plush    => 18351, plutarch => 13287, pluto    => 10147, plymouth => 3783,
                            plympton => 25341, plywood  => 11945, plzen    => 15163, pneumatic
                                     => 11489,
                            poaceae  => 29727, poblacion
                                     => 19920,
                            pocahontas
                                     => 15709, pocklington
                                     => 29965,
                            pocono   => 16652, podcast  => 7038, podcasts => 13744, podgorica
                                     => 17665,
                            podium   => 6523, podiums  => 19216, podkarpackie
                                     => 25448,
                            podlaska => 24144, podlaski => 23592, podlaskie
                                     => 9557,
                            poem     => 1992, poems    => 2209, poet     => 1529, poetic   => 5445,
                            poetical => 17540, poetics  => 17308, poetry   => 1398, poets    => 3587,
                            pogrom   => 17865, pogroms  => 18625, pohang   => 28959, poignant => 14453,
                            poincare => 13865, point    => 269, pointe   => 9244, pointed  => 2822,
                            points   => 420, poirot   => 14106, poitiers => 14964, poitou   => 17152,
                            pokal    => 15246, pokemon  => 6846, poland   => 778, polar    => 4498,
                            polaris  => 12260, polarity => 14418, polarization
                                     => 10178,
                            polarized
                                     => 12085, polarizing
                                     => 26901,
                            polder   => 28807, pole     => 2631, polemic  => 18799, polemical
                                     => 20043,
                            polemics => 24894, poles    => 3924, policies => 1987, policing => 7957,
                            policy   => 679, policymakers
                                     => 17079,
                            polio    => 12572, polis    => 19805, polisario
                                     => 22272,
                            polish   => 991, polistes => 27885, politburo
                                     => 10955,
                            political
                                     => 268, politically
                                     => 3759,
                            politician
                                     => 879, politicians
                                     => 3258,
                            politicized
                                     => 26112, politico => 17897,
                            politics => 1038, polities => 26799, politiques
                                     => 26199,
                            polity   => 14483, polje    => 18741, poll     => 3011, polled   => 9888,
                            pollen   => 6645, pollinated
                                     => 18401,
                            pollinates
                                     => 19394, pollination
                                     => 14584,
                            pollinators
                                     => 21067, pollutant
                                     => 22331,
                            pollutants
                                     => 11863, pollution
                                     => 4039,
                            polo     => 4178, polonia  => 16015, polonium => 27716, polotsk  => 28806,
                            polska   => 17485, polski   => 24024, poltava  => 17132, polybius => 23218,
                            polycarbonate
                                     => 29504, polychrome
                                     => 19684,
                            polydor  => 13717, polyethylene
                                     => 16478,
                            polygamous
                                     => 25271, polygamy => 13724,
                            polyglot => 26619, polygon  => 11376, polygonal
                                     => 15339,
                            polygons => 16548, polygram => 17762, polyhedra
                                     => 16929,
                            polyhedral
                                     => 29581, polyhedron
                                     => 16774,
                            polymath => 23484, polymer  => 6808, polymerase
                                     => 11838,
                            polymeric
                                     => 23957, polymerization
                                     => 13479,
                            polymers => 9567, polymorphic
                                     => 25105,
                            polymorphism
                                     => 18300, polymorphisms
                                     => 24930,
                            polynesia
                                     => 12002, polynesian
                                     => 11162,
                            polynomial
                                     => 6418, polynomials
                                     => 9327,
                            polypeptide
                                     => 20766, polyphonic
                                     => 16143,
                            polyphony
                                     => 19217, polypropylene
                                     => 24648,
                            polystyrene
                                     => 23080, polytechnic
                                     => 5600,
                            polytechnique
                                     => 18537, polytope => 17646,
                            polytopes
                                     => 19154, polyurethane
                                     => 20374,
                            polyvinyl
                                     => 29545, pomerania
                                     => 5992,
                            pomeranian
                                     => 4736, pommel   => 25452,
                            pomona   => 12425, pompano  => 29485, pompeii  => 17136, pompeius => 26431,
                            pompeo   => 28009, pompidou => 18327, ponca    => 26509, ponderosa
                                     => 18660,
                            pondicherry
                                     => 15944, ponds    => 6316,
                            poniatowski
                                     => 23209, ponsonby => 18442,
                            ponta    => 17060, pontchartrain
                                     => 24074,
                            pontefract
                                     => 19981, pontevedra
                                     => 27650,
                            pontiac  => 9043, pontic   => 20657, pontifical
                                     => 8128,
                            pontificate
                                     => 21288, ponting  => 18556,
                            pontoon  => 16090, pontoons => 28822, pontus   => 15841, ponty    => 27730,
                            pontypool
                                     => 24294, pontypridd
                                     => 20592,
                            pooja    => 13135, pooled   => 20556, pools    => 5459, poona    => 24722,
                            poorest  => 10683, poorly   => 3928, "pop/rock"
                                     => 18839,
                            popes    => 11330, popmatters
                                     => 14219,
                            popolo   => 27367, popov    => 17994, popstars => 26329, populace => 7130,
                            populaire
                                     => 27462, popular  => 340,
                            popularised
                                     => 15423, popularity
                                     => 1851,
                            popularization
                                     => 20987,
                            popularize
                                     => 16790, popularized
                                     => 7178,
                            popularizing
                                     => 17989, popularly
                                     => 5698,
                            populate => 19230, populated
                                     => 3814,
                            population
                                     => 135, populations
                                     => 2388,
                            populism => 26252, populist => 10580, populous => 7302, populus  => 22233,
                            porcelain
                                     => 8390, porches  => 16570,
                            porgy    => 23970, pornographic
                                     => 8810,
                            pornography
                                     => 7014, porosity => 21626,
                            porous   => 12737, porphyry => 21835, porpoise => 25676, porpoises
                                     => 28580,
                            port     => 735, porta    => 11669, portability
                                     => 17917,
                            portable => 4839, portadown
                                     => 22240,
                            portage  => 8821, porte    => 10387, ported   => 9515, porters  => 17469,
                            portfolio
                                     => 4208, portfolios
                                     => 11134,
                            portico  => 9134, porting  => 22646, portion  => 1357, portions => 3111,
                            portishead
                                     => 24358, portland => 2367,
                            portmanteau
                                     => 14026, porto    => 5477,
                            portobello
                                     => 25175, portola  => 25551,
                            portrait => 2594, portraitist
                                     => 27301,
                            portraits
                                     => 3833, portraiture
                                     => 15402,
                            portray  => 6716, portrayal
                                     => 5052,
                            portrayals
                                     => 12402, portrayed
                                     => 2310,
                            portraying
                                     => 6707, portrays => 6966,
                            ports    => 3162, portsmouth
                                     => 4029,
                            portugal => 2026, portuguesa
                                     => 20224,
                            portuguese
                                     => 1601, posed    => 5816,
                            poseidon => 13816, posht    => 22433, posit    => 27394, posited  => 16125,
                            position => 348, positional
                                     => 16320,
                            positioned
                                     => 5216, positioning
                                     => 8013,
                            positions
                                     => 1228, positive => 1056,
                            positivism
                                     => 21094, positivist
                                     => 27992,
                            positivity
                                     => 28947, positron => 19742,
                            posits   => 15477, posix    => 25219, possess  => 4537, possesses
                                     => 5846,
                            possessing
                                     => 7647, possession
                                     => 2450,
                            possessions
                                     => 5538, possessor
                                     => 20631,
                            post     => 354, postage  => 7676, postal   => 3847, postcode => 14211,
                            postcolonial
                                     => 25507, postdoctoral
                                     => 11216,
                            posted   => 2423, posterior
                                     => 5562,
                            posteriorly
                                     => 17535, postgraduate
                                     => 5853,
                            posthumous
                                     => 7319, posthumously
                                     => 5020,
                            posting  => 5772, postings => 15459, postmaster
                                     => 8009,
                            postmedial
                                     => 23356, postmodern
                                     => 12333,
                            postmodernism
                                     => 20468, posts    => 3263,
                            postscript
                                     => 17953, postseason
                                     => 6413,
                            postsecondary
                                     => 25404, postsynaptic
                                     => 23522,
                            postulate
                                     => 19323, postulated
                                     => 12262,
                            postulates
                                     => 18888, postures => 23810,
                            postwar  => 6612, potable  => 16095, potash   => 19529, potassium
                                     => 6752,
                            potawatomi
                                     => 18082, potemkin => 25620,
                            potency  => 14979, potent   => 8014, potential
                                     => 1108,
                            potentially
                                     => 3658, potentials
                                     => 11298,
                            potok    => 22451, potomac  => 6849, potosi   => 12809, potrero  => 29143,
                            potro    => 28411, potsdam  => 8885, potteries
                                     => 21730,
                            potters  => 13945, pottery  => 4302, pottsville
                                     => 23566,
                            pouches  => 21011, poulenc  => 23255, poultry  => 8280, pounder  => 7738,
                            poussin  => 28372, poverty  => 1684, povoa    => 21680, powdery  => 24626,
                            power    => 240, powered  => 2123, powerfully
                                     => 17954,
                            powerhouse
                                     => 8847, powering => 17027,
                            powerlifting
                                     => 16996, powerpc  => 16785,
                            powerplant
                                     => 15527, powerpoint
                                     => 26731,
                            powertrain
                                     => 18460, powhatan => 18377,
                            powys    => 12454, poznan   => 6742, prabang  => 29451, prabhakar
                                     => 25772,
                            prabhu   => 15503, practicable
                                     => 20675,
                            practical
                                     => 2468, practice => 661,
                            practiced
                                     => 3612, practices
                                     => 2009,
                            practise => 11351, practised
                                     => 7482,
                            practises
                                     => 28288, practitioner
                                     => 7346,
                            practitioners
                                     => 5337, pradeep  => 23461,
                            pradesh  => 2832, praetor  => 21563, praetorian
                                     => 18330,
                            praga    => 27557, pragmatic
                                     => 11361,
                            pragmatism
                                     => 21311, prague   => 3296,
                            praha    => 23352, prahran  => 28650, praia    => 18045, prairie  => 4163,
                            prairies => 14311, praise   => 3440, praised  => 2047, praising => 6549,
                            prakash  => 9745, prakrit  => 26578, prasanna => 29512, pratap   => 14933,
                            pratchett
                                     => 23247, pravda   => 18836,
                            prawn    => 22894, prawns   => 26726, praxis   => 19980, preached => 8039,
                            preachers
                                     => 11041, preakness
                                     => 15500,
                            preamble => 14508, prebend  => 26490, prebendary
                                     => 22353,
                            precambrian
                                     => 19348, precast  => 28987,
                            precede  => 16032, preceded => 4451, precedence
                                     => 8756,
                            precedent
                                     => 7560, preceding
                                     => 4085,
                            precept  => 22557, preceptor
                                     => 28204,
                            precepts => 15814, precession
                                     => 19758,
                            precincts
                                     => 14168, precipitate
                                     => 17434,
                            precipitated
                                     => 12471, precipitating
                                     => 23782,
                            precipitation
                                     => 4999, precipitous
                                     => 25217,
                            precise  => 4465, precision
                                     => 4935,
                            preclassic
                                     => 27725, preclude => 18555,
                            precluded
                                     => 17272, precondition
                                     => 27830,
                            precursor
                                     => 5497, precursors
                                     => 11174,
                            predate  => 18419, predated => 16987, predates => 13738, predating
                                     => 18781,
                            predation
                                     => 10566, predator => 7393,
                            predators
                                     => 4931, predatory
                                     => 9601,
                            predeceased
                                     => 14807, predecessor
                                     => 3073,
                            predecessors
                                     => 5980, predefined
                                     => 20776,
                            predestination
                                     => 24737,
                            predetermined
                                     => 13475, predicate
                                     => 13008,
                            predicated
                                     => 24942, predicates
                                     => 22323,
                            predictability
                                     => 27046,
                            predictably
                                     => 23623, predicted
                                     => 4048,
                            predicting
                                     => 10936, prediction
                                     => 6907,
                            predictions
                                     => 7730, predictive
                                     => 12083,
                            predictor
                                     => 17677, predictors
                                     => 27674,
                            predicts => 11935, predominance
                                     => 20144,
                            predominant
                                     => 7371, predominantly
                                     => 3311,
                            predominate
                                     => 18061, predominated
                                     => 25210,
                            predominately
                                     => 12774, predominates
                                     => 27256,
                            predrag  => 27507, preeminent
                                     => 15554,
                            preempted
                                     => 26192, preexisting
                                     => 22486,
                            prefabricated
                                     => 16552, preface  => 7979,
                            prefaced => 28038, prefect  => 7624, prefects => 16798, prefectural
                                     => 11757,
                            prefecture
                                     => 2650, prefectures
                                     => 12728,
                            preference
                                     => 4765, preferences
                                     => 7416,
                            preferential
                                     => 12930, preferentially
                                     => 18576,
                            preferred
                                     => 2785, preferring
                                     => 8289,
                            prefix   => 6430, prefixed => 15744, prefixes => 12112, prefrontal
                                     => 17875,
                            pregame  => 18190, prehistoric
                                     => 5341,
                            prehistory
                                     => 11494, prelate  => 11929,
                            prelates => 20551, prelature
                                     => 29377,
                            preliminaries
                                     => 18508, preliminary
                                     => 3314,
                            prelims  => 29415, prelude  => 7914, preludes => 19821, prema    => 27167,
                            premier  => 1168, premiere => 2441, premiered
                                     => 2057,
                            premieres
                                     => 10323, premiering
                                     => 16946,
                            premiers => 10678, premiership
                                     => 4149,
                            premierships
                                     => 13703, preminger
                                     => 28480,
                            premio   => 11505, premios  => 20991, premise  => 6076, premises => 4033,
                            premium  => 5009, premiums => 14659, prepaid  => 17969, preparation
                                     => 2652,
                            preparations
                                     => 4962, preparatory
                                     => 4857,
                            preparedness
                                     => 12927, prepares => 7785,
                            preponderance
                                     => 24575, prepositions
                                     => 21924,
                            prequel  => 10637, prerequisite
                                     => 14570,
                            prerequisites
                                     => 23569, prerogatives
                                     => 24145,
                            presbyterian
                                     => 3594, presbyterians
                                     => 15872,
                            presbytery
                                     => 11790, prescot  => 28040,
                            prescriptive
                                     => 24221, preseason
                                     => 7140,
                            preselection
                                     => 24954, presence => 1186,
                            present  => 311, presentation
                                     => 3161,
                            presentations
                                     => 6629, presented
                                     => 846,
                            presenter
                                     => 4036, presenters
                                     => 8277,
                            presenting
                                     => 4151, presently
                                     => 4972,
                            preservation
                                     => 2915, preservationists
                                     => 29921,
                            preservative
                                     => 23833, preserve => 2957,
                            preserved
                                     => 2260, preserves
                                     => 6693,
                            preserving
                                     => 5888, preside  => 15654,
                            presided => 5837, presidency
                                     => 3086,
                            president
                                     => 194, presidential
                                     => 1472,
                            presidents
                                     => 3892, presides => 17889,
                            presiding
                                     => 6800, presidio => 14059,
                            presidium
                                     => 13977, presov   => 18492,
                            presque  => 23730, press    => 668, pressburg
                                     => 26776,
                            presse   => 17807, pressings
                                     => 16441,
                            pressures
                                     => 5848, pressurised
                                     => 28358,
                            pressurized
                                     => 13288, prestige => 6010,
                            prestigious
                                     => 3020, prestwick
                                     => 27250,
                            presumably
                                     => 4327, presumed => 5922,
                            presumption
                                     => 14993, presumptive
                                     => 15901,
                            presynaptic
                                     => 28445, pretender
                                     => 13733,
                            pretenders
                                     => 19332, pretensions
                                     => 23250,
                            pretext  => 11481, preto    => 21939, pretoria => 9501, prevailed
                                     => 7452,
                            prevailing
                                     => 7101, prevalence
                                     => 7280,
                            prevalent
                                     => 5308, prevent  => 1443,
                            preventable
                                     => 25529, prevented
                                     => 3316,
                            preventing
                                     => 4256, prevention
                                     => 3657,
                            preventive
                                     => 10869, prevents => 6340,
                            previewed
                                     => 17992, previn   => 29614,
                            previous => 544, previously
                                     => 588,
                            prewar   => 18230, prey     => 3724, priam    => 29584, prices   => 2635,
                            pricewaterhousecoopers
                                     => 29805,
                            pricing  => 7550, priesthood
                                     => 6439,
                            priests  => 3382, prieta   => 29038, prima    => 8577, primacy  => 13633,
                            primaries
                                     => 9777, primarily
                                     => 908,
                            primary  => 553, primate  => 9643, primates => 9974, prime    => 823,
                            primeira => 16597, primer   => 11558, primera  => 6253, primers  => 23471,
                            primes   => 12013, primetime
                                     => 6896,
                            primeval => 20863, priming  => 20302, primitive
                                     => 4442,
                            primitives
                                     => 20365, primogeniture
                                     => 19885,
                            primorsky
                                     => 28078, princely => 8061,
                            princeps => 24059, princes  => 4709, princesa => 24723, princesse
                                     => 29099,
                            princeton
                                     => 3644, principal
                                     => 1129,
                            principalities
                                     => 13423,
                            principality
                                     => 6479, principally
                                     => 5886,
                            principals
                                     => 9098, principia
                                     => 23848,
                            principle
                                     => 2330, principles
                                     => 2155,
                            printed  => 2221, printer  => 6205, printers => 8565, printing => 2917,
                            printings
                                     => 20097, printmaker
                                     => 18984,
                            printmaking
                                     => 15331, prion    => 28152,
                            prior    => 601, priori   => 17637, prioritized
                                     => 24567,
                            priory   => 5101, priscus  => 29961, prism    => 9586, prismatic
                                     => 22709,
                            prisms   => 20532, prisoners
                                     => 2064,
                            prisons  => 6295, pristimantis
                                     => 22841,
                            pristina => 14270, prithvi  => 22735, prithviraj
                                     => 24156,
                            pritzker => 21820, prius    => 19513, private  => 458, privateer
                                     => 9917,
                            privateering
                                     => 28353, privateers
                                     => 13322,
                            privately
                                     => 3427, privatisation
                                     => 12344,
                            privatised
                                     => 19779, privatization
                                     => 8828,
                            privatized
                                     => 17058, privy    => 5724,
                            prix     => 1868, priya    => 13004, priyanka => 24834, prize    => 914,
                            prized   => 10288, prizes   => 4100, prizren  => 20265, pro12    => 29929,
                            probabilistic
                                     => 15403, probabilities
                                     => 11927,
                            probability
                                     => 3647, probable => 6268,
                            probes   => 11258, problematic
                                     => 7058,
                            proboscis
                                     => 24983, procedural
                                     => 8447,
                            procedures
                                     => 3310, proceeded
                                     => 3669,
                            proceedings
                                     => 3871, proceeds => 4056,
                            process  => 443, processed
                                     => 5703,
                            processes
                                     => 2096, processing
                                     => 2188,
                            procession
                                     => 5921, processions
                                     => 13247,
                            processor
                                     => 4996, processors
                                     => 6631,
                            proclaimed
                                     => 3952, proclaiming
                                     => 11810,
                            proclaims
                                     => 16042, proclamation
                                     => 6330,
                            proconsul
                                     => 27088, procopius
                                     => 22294,
                            procurator
                                     => 20806, procured => 11792,
                            procurement
                                     => 8386, procuring
                                     => 19523,
                            prodi    => 26679, prodigious
                                     => 18107,
                            prodigy  => 10558, produce  => 965, produced => 280, producer => 865,
                            producers
                                     => 2225, produces => 2380,
                            producing
                                     => 1513, product  => 1002,
                            production
                                     => 266, productions
                                     => 1682,
                            productivity
                                     => 6002, products => 775,
                            "prof."  => 5835, profane  => 18388, profesional
                                     => 24836,
                            professed
                                     => 11692, professes
                                     => 25172,
                            professing
                                     => 25017, profession
                                     => 3674,
                            professional
                                     => 314, professionally
                                     => 4734,
                            professionals
                                     => 2909, professionnelle
                                     => 27117,
                            professions
                                     => 8297, professor
                                     => 575,
                            professorial
                                     => 21447, professors
                                     => 4882,
                            professorship
                                     => 8427, professorships
                                     => 20143,
                            proficiency
                                     => 9475, proficient
                                     => 9860,
                            profile  => 2246, profiled => 11533, profiles => 6964, profiling
                                     => 12970,
                            profit   => 1772, profitability
                                     => 11596,
                            profitable
                                     => 5866, profitably
                                     => 28623,
                            profited => 19803, profiting
                                     => 27719,
                            profits  => 4344, profusion
                                     => 26085,
                            progenitor
                                     => 13486, progenitors
                                     => 24271,
                            progeny  => 11689, progesterone
                                     => 20379,
                            program  => 282, programing
                                     => 18461,
                            programmable
                                     => 13452, programmatic
                                     => 20975,
                            programme
                                     => 1313, programmer
                                     => 7905,
                            programmers
                                     => 9766, programmes
                                     => 2778,
                            programming
                                     => 1425, programs => 636,
                            progreso => 29857, progress => 1796, progressed
                                     => 4890,
                            progresses
                                     => 8259, progression
                                     => 5555,
                            progressions
                                     => 22025, progressive
                                     => 2138,
                            progressively
                                     => 7620, progressives
                                     => 15981,
                            prohibit => 8468, prohibited
                                     => 4098,
                            prohibiting
                                     => 9426, prohibition
                                     => 5130,
                            prohibitions
                                     => 15701, prohibitive
                                     => 20376,
                            prohibitively
                                     => 29157, prohibits
                                     => 9157,
                            project  => 334, projected
                                     => 4590,
                            projectile
                                     => 9897, projectiles
                                     => 12347,
                            projecting
                                     => 7872, projection
                                     => 5662,
                            projective
                                     => 9527, projectors
                                     => 13936,
                            projects => 893, prokaryotes
                                     => 24618,
                            prokaryotic
                                     => 24813, prokofiev
                                     => 15686,
                            proletarian
                                     => 15443, proletariat
                                     => 17158,
                            proliferate
                                     => 27603, proliferated
                                     => 25013,
                            proliferation
                                     => 7492, prolific => 4481,
                            prolifically
                                     => 26998, proline  => 22072,
                            prolog   => 27393, prologue => 9547, prolonged
                                     => 6186,
                            promenade
                                     => 10400, prometheus
                                     => 12938,
                            prominence
                                     => 4198, prominent
                                     => 992,
                            prominently
                                     => 5426, promiscuity
                                     => 25361,
                            promissory
                                     => 28693, promo    => 8715,
                            promontory
                                     => 12823, promote  => 1652,
                            promoted => 968, promoter => 6005, promoters
                                     => 9280,
                            promotes => 5181, promoting
                                     => 2680,
                            promotion
                                     => 1316, "promotion/relegation"
                                     => 26546,
                            promotional
                                     => 3868, promotions
                                     => 5467,
                            prompted => 3824, prompting
                                     => 6354,
                            promptly => 6284, prompts  => 15361, promulgated
                                     => 9912,
                            promulgation
                                     => 21238, prone    => 5596,
                            prong    => 22177, pronged  => 20166, pronotum => 29014, pronoun  => 11219,
                            pronounced
                                     => 3327, pronouncements
                                     => 25631,
                            pronouns => 8796, pronunciation
                                     => 6050,
                            pronunciations
                                     => 19157,
                            proofs   => 10729, propaganda
                                     => 3941,
                            propagandist
                                     => 26787, propagate
                                     => 12568,
                            propagated
                                     => 12219, propagates
                                     => 26221,
                            propagating
                                     => 15714, propagation
                                     => 7327,
                            propel   => 13094, propellant
                                     => 10700,
                            propellants
                                     => 24012, propelled
                                     => 6878,
                            propeller
                                     => 6238, propellers
                                     => 10443,
                            propelling
                                     => 20597, properties
                                     => 1361,
                            property => 647, prophet  => 5244, prophetic
                                     => 13304,
                            prophets => 9295, propodeum
                                     => 19352,
                            proponent
                                     => 7952, proponents
                                     => 6940,
                            proportion
                                     => 4065, proportional
                                     => 5301,
                            proportionality
                                     => 20762,
                            proportionally
                                     => 18121,
                            proportionate
                                     => 23395, proportionately
                                     => 26167,
                            proportions
                                     => 7893, proposal => 2223,
                            proposals
                                     => 3722, proposed => 911,
                            proposes => 6490, propositional
                                     => 19553,
                            propositions
                                     => 11808, propounded
                                     => 27793,
                            proprietary
                                     => 5915, proprietor
                                     => 8754,
                            proprietors
                                     => 12881, propulsion
                                     => 5987,
                            propylene
                                     => 29627, proscenium
                                     => 22873,
                            proscribed
                                     => 22274, prose    => 4933,
                            prosecutions
                                     => 11408, prosecutor
                                     => 5292,
                            prosecutors
                                     => 7446, proselytizing
                                     => 28453,
                            prosody  => 26231, prospect => 4368, prospecting
                                     => 18385,
                            prospective
                                     => 6796, prospector
                                     => 18179,
                            prospectors
                                     => 17740, prosper  => 11254,
                            prospered
                                     => 10946, prosperity
                                     => 5465,
                            prosperous
                                     => 6915, prostate => 9104,
                            prosthesis
                                     => 24198, prosthetics
                                     => 26197,
                            prostitutes
                                     => 8369, prostitution
                                     => 5872,
                            prostrate
                                     => 22466, protagonist
                                     => 4094,
                            protagonists
                                     => 8155, protease => 16014,
                            proteases
                                     => 22643, proteasome
                                     => 22205,
                            protected
                                     => 1970, protection
                                     => 1110,
                            protectionism
                                     => 25753, protectionist
                                     => 20951,
                            protections
                                     => 10748, protectorate
                                     => 7841,
                            proteges => 27412, protein  => 1680, proteins => 3035, proteolytic
                                     => 26063,
                            proteomics
                                     => 29531, protest  => 2502,
                            protestant
                                     => 2849, protestantism
                                     => 10967,
                            protestants
                                     => 6929, protested
                                     => 6307,
                            protester
                                     => 23115, protesters
                                     => 4944,
                            protests => 2885, proto    => 5852, protocol => 3279, protocols
                                     => 6385,
                            proton   => 7751, protons  => 12583, prototype
                                     => 3300,
                            prototypes
                                     => 7238, prototypical
                                     => 23161,
                            prototyping
                                     => 21062, protour  => 25985,
                            protozoa => 25046, protracted
                                     => 11302,
                            protrude => 23950, protrudes
                                     => 28479,
                            protruding
                                     => 12472, protrusion
                                     => 29121,
                            proudhon => 26589, proved   => 1522, provence => 7819, proverbs => 14000,
                            provide  => 551, provided => 515, providence
                                     => 4401,
                            provident
                                     => 19598, provider => 4012,
                            providers
                                     => 4187, provides => 774,
                            providing
                                     => 1181, province => 386,
                            provinces
                                     => 2266, provincetown
                                     => 19613,
                            provincia
                                     => 26567, provincial
                                     => 1432,
                            provincially
                                     => 22186, provision
                                     => 3479,
                            provisional
                                     => 4261, provisionally
                                     => 16898,
                            provisioning
                                     => 19269, provisions
                                     => 3270,
                            proviso  => 21168, provokes => 25170, prowess  => 10222, proxies  => 23520,
                            proximal => 13656, proximate
                                     => 25628,
                            proximity
                                     => 3936, prudential
                                     => 15368,
                            prunus   => 17038, prussia  => 3755, prussian => 3925, prussians
                                     => 14913,
                            przemysl => 17876, "ps1,000"
                                     => 16430,
                            "ps10,000"
                                     => 14222, ps100    => 13453,
                            "ps100,000"
                                     => 15434, ps1000   => 23973,
                            "ps15,000"
                                     => 25588, "ps150,000"
                                     => 27496,
                            "ps2,000"
                                     => 21216, "ps20,000"
                                     => 18123,
                            ps200    => 17784, "ps200,000"
                                     => 23031,
                            "ps25,000"
                                     => 21905, ps250    => 29044,
                            "ps250,000"
                                     => 22176, "ps3,000"
                                     => 24550,
                            "ps30,000"
                                     => 21087, ps300    => 21824,
                            "ps300,000"
                                     => 25896, "ps40,000"
                                     => 26227,
                            ps400    => 27909, "ps5,000"
                                     => 18464,
                            "ps50,000"
                                     => 17934, ps500    => 15886,
                            "ps500,000"
                                     => 19969, psalm    => 10202,
                            psalms   => 10217, psalter  => 18049, psers    => 23917, pseudo   => 7180,
                            pseudomonas
                                     => 19947, pseudonym
                                     => 5253,
                            pseudonyms
                                     => 13011, pseudoscience
                                     => 24675,
                            psilocybe
                                     => 22810, psilocybin
                                     => 25752,
                            psionic  => 23301, pskov    => 15052, psoriasis
                                     => 24794,
                            pssas    => 18685, psychedelia
                                     => 22984,
                            psychedelic
                                     => 6932, psychical
                                     => 25065,
                            psychoactive
                                     => 20133, psychoanalysis
                                     => 11583,
                            psychoanalyst
                                     => 19278, psychoanalytic
                                     => 14341,
                            psychological
                                     => 3148, psychologists
                                     => 8900,
                            psychology
                                     => 2483, psychopathology
                                     => 25582,
                            psychosocial
                                     => 20782, psychotherapy
                                     => 10883,
                            psychotropic
                                     => 29744, pterophoridae
                                     => 21507,
                            pterosaur
                                     => 28789, pterosaurs
                                     => 28352,
                            pterostichinae
                                     => 24210,
                            ptolemaic
                                     => 17832, ptolemy  => 8481,
                            public   => 146, publica  => 23371, publican => 26137, publication
                                     => 1297,
                            publications
                                     => 1540, publicised
                                     => 15214,
                            publicize
                                     => 18850, publicized
                                     => 8629,
                            publicizing
                                     => 29075, publicly => 2537,
                            publish  => 3771, published
                                     => 209,
                            publisher
                                     => 2401, publishers
                                     => 3567,
                            publishes
                                     => 4408, publishing
                                     => 1494,
                            publius  => 15551, puccini  => 13693, pudong   => 29524, puducherry
                                     => 21061,
                            pudukkottai
                                     => 27151, puebla   => 9738,
                            pueblo   => 7020, pueblos  => 23040, puerto   => 1897, puget    => 9499,
                            pugin    => 23197, pulau    => 18977, pulitzer => 6924, pulleys  => 27712,
                            pulmonary
                                     => 8190, pulmonate
                                     => 13023,
                            pulpit   => 8966, pulsar   => 18919, pulsed   => 18814, pulses   => 9996,
                            pulteney => 29860, pumas    => 18120, pumice   => 27165, punctuated
                                     => 14669,
                            punctuation
                                     => 14192, pundit   => 16860,
                            pundits  => 16160, punic    => 14422, punisher => 15870, punishments
                                     => 11336,
                            punitive => 11382, punjab   => 3588, punjabi  => 6960, punjabis => 23449,
                            punk     => 2493, punta    => 9982, punted   => 23273, punter   => 14177,
                            punting  => 21965, puntland => 18231, punto    => 24937, punts    => 15008,
                            pupae    => 24955, pupation => 19444, pupil    => 4101, pupils   => 2674,
                            puppetry => 20290, purana   => 11383, puranas  => 19831, purbeck  => 25899,
                            purchase => 1776, purchased
                                     => 1102,
                            purchaser
                                     => 15155, purchasers
                                     => 16825,
                            purchases
                                     => 7086, purchasing
                                     => 4989,
                            purdue   => 7383, purebred => 22289, purefoods
                                     => 23013,
                            purge    => 9909, purged   => 15952, purges   => 18317, purification
                                     => 10048,
                            purified => 13300, purify   => 19239, purifying
                                     => 26428,
                            purine   => 29801, purists  => 29299, puritan  => 10820, puritans => 16294,
                            purnima  => 29023, purple   => 3178, purplish => 14474, purported
                                     => 9538,
                            purportedly
                                     => 11820, purporting
                                     => 23984,
                            purports => 22284, purpose  => 1080, purposed => 29572, purposeful
                                     => 21641,
                            purposes => 1847, pursuant => 9729, pursue   => 2654, pursued  => 3625,
                            pursuers => 21116, pursues  => 11960, pursuing => 4752, pursuit  => 3687,
                            pursuits => 8271, pushkin  => 14208, putative => 14953, putin    => 8707,
                            putra    => 22780, putsch   => 20483, pyaar    => 26322, pygmy    => 12551,
                            pylon    => 17533, pylons   => 16747, pynchon  => 25919, pyongyang
                                     => 13970,
                            pyotr    => 13449, pyramid  => 5064, pyramidal
                                     => 13062,
                            pyramidellidae
                                     => 16277,
                            pyrams   => 16663, pyrausta => 26674, pyrenees => 7793, pyridine => 24841,
                            pyrite   => 22522, pyrmont  => 27050, pyroclastic
                                     => 20882,
                            pyrolysis
                                     => 28149, pyrotechnic
                                     => 29413,
                            pyrrhus  => 23903, pyruvate => 18812, pythagoras
                                     => 22903,
                            pythagorean
                                     => 17715, python   => 7485,
                            pythons  => 26276, qadir    => 18703, qadri    => 27008, qaeda    => 6983,
                            qaida    => 28476, qajar    => 16547, "qal'eh" => 16962, qaleh    => 10086,
                            qantas   => 15597, qarah    => 15380, qareh    => 22947, qasim    => 12412,
                            qatar    => 5281, qatari   => 16271, qazvin   => 14499, qeshlaq  => 10945,
                            qiang    => 18687, qianlong => 20041, qigong   => 25058, qing     => 4479,
                            qingdao  => 16455, qinghai  => 16261, qmjhl    => 19256, "qu'appelle"
                                     => 24976,
                            quadra   => 27512, quadrangle
                                     => 11054,
                            quadrangular
                                     => 21972, quadratic
                                     => 10432,
                            quadrature
                                     => 26046, quadrennial
                                     => 28892,
                            quadrilateral
                                     => 18227, quadruple
                                     => 11581,
                            quadrupled
                                     => 26532, quaker   => 6982,
                            quakers  => 9526, quakes   => 29184, qualcomm => 19376, qualification
                                     => 2803,
                            qualifications
                                     => 5663, qualified
                                     => 1669,
                            qualifier
                                     => 6715, qualifiers
                                     => 7353,
                            qualify  => 2819, qualifying
                                     => 2071,
                            qualitative
                                     => 10498, qualitatively
                                     => 27864,
                            quality  => 909, quang    => 11389, quantification
                                     => 19720,
                            quantified
                                     => 17487, quantify => 16017,
                            quantitative
                                     => 7535, quantitatively
                                     => 25933,
                            quantities
                                     => 4576, quantity => 4456,
                            quantization
                                     => 18851, quantized
                                     => 28063,
                            quantum  => 3186, quanzhong
                                     => 29354,
                            quark    => 13492, quarks   => 17489, quarrels => 18808, quarried => 13376,
                            quarries => 9366, quarry   => 5201, quarrying
                                     => 15034,
                            quarter  => 1180, quarterback
                                     => 3138,
                            quarterbacks
                                     => 12124, quarterdeck
                                     => 29396,
                            quarterfinal
                                     => 10469, quarterfinals
                                     => 5320,
                            quarterly
                                     => 5071, quartermaster
                                     => 10464,
                            quartet  => 3756, quartets => 13400, quartier => 26512, quarto   => 17456,
                            quartz   => 8342, quartzite
                                     => 19361,
                            quasar   => 21618, quashed  => 19812, quasi    => 6969, quatermass
                                     => 24629,
                            quaternary
                                     => 13928, quaternion
                                     => 27123,
                            quaternions
                                     => 25367, quatre   => 20880,
                            quatro   => 29471, quattro  => 17641, quays    => 20636, queanbeyan
                                     => 28008,
                            quebec   => 1650, quebecois
                                     => 12189,
                            quechua  => 9941, queen    => 709, queens   => 3345, queensland
                                     => 1814,
                            queensryche
                                     => 29286, queenstown
                                     => 16253,
                            queensway
                                     => 26028, queiroz  => 29236,
                            quell    => 13989, quelled  => 25806, quenching
                                     => 28750,
                            quercus  => 10231, queretaro
                                     => 16843,
                            queried  => 28442, queries  => 11683, query    => 9238, quest    => 3919,
                            questionnaires
                                     => 21432,
                            quests   => 14392, quetta   => 15192, queue    => 10307, queues   => 20360,
                            queuing  => 28068, quezon   => 9812, quickly  => 960, quicksilver
                                     => 17124,
                            quicktime
                                     => 25051, quidditch
                                     => 28810,
                            quilmes  => 27047, quine    => 21379, quinnipiac
                                     => 25199,
                            quinta   => 20053, quintet  => 8498, quintus  => 14767, quipped  => 21091,
                            quisling => 27053, quito    => 11158, qumran   => 26968, quoins   => 29861,
                            quonset  => 29527, quorum   => 11121, quota    => 8172, quotas   => 12228,
                            quotation
                                     => 10758, quotations
                                     => 11156,
                            quoted   => 3337, quotes   => 6074, quotient => 11741, "qur'an" => 8486,
                            "qur'anic"
                                     => 26596, quran    => 8135,
                            quranic  => 23511, quraysh  => 27295, qureshi  => 17747, qwerty   => 26376,
                            qwest    => 29912, "r.e.m"  => 19423, rabat    => 16621, rabaul   => 17191,
                            rabbah   => 28331, rabbi    => 2858, rabbinate
                                     => 25740,
                            rabbinic => 11626, rabbinical
                                     => 11231,
                            rabbis   => 8666, rabbitohs
                                     => 17801,
                            rabindra => 28177, rabindranath
                                     => 18693,
                            race     => 380, racecar  => 23568, racecourse
                                     => 6419,
                            raced    => 5161, racehorse
                                     => 8907,
                            racehorses
                                     => 19344, racemes  => 28486,
                            racer    => 5909, racers   => 9166, races    => 898, racetrack
                                     => 9971,
                            raceway  => 8421, rachid   => 28942, rachmaninoff
                                     => 16870,
                            racial   => 1699, racially => 10707, raciborz => 29689, racing   => 1019,
                            racism   => 5544, radars   => 11465, radek    => 26030, radeon   => 22698,
                            radha    => 11065, radhakrishnan
                                     => 24749,
                            radhika  => 25084, radial   => 6375, radially => 23750, radiate  => 19068,
                            radiated => 14113, radiates => 28254, radiating
                                     => 13933,
                            radiation
                                     => 3060, radiative
                                     => 20450,
                            radiators
                                     => 20790, radical  => 2589,
                            radicalism
                                     => 17936, radically
                                     => 9153,
                            radicals => 8376, radii    => 18431, radio    => 290, radioactivity
                                     => 16071,
                            radiocarbon
                                     => 15791, radiography
                                     => 28111,
                            radiological
                                     => 18569, radiotherapy
                                     => 20238,
                            radium   => 15336, radius   => 4919, radix    => 24762, radnicki => 21996,
                            radnor   => 22853, radom    => 17911, radomsko => 25791, radon    => 17369,
                            radwanska
                                     => 25248, radyo    => 28897,
                            radziwill
                                     => 19094, raeburn  => 29697,
                            raeder   => 20682, rafah    => 28762, raffles  => 13478, rafts    => 15828,
                            ragam    => 20272, ragas    => 21536, raged    => 16174, raghavan => 24442,
                            raghu    => 20481, raglan   => 21251, ragnarok => 23612, ragtime  => 14985,
                            rahul    => 12499, raid     => 3015, raided   => 7358, raiden   => 22890,
                            raider   => 11292, raiders  => 4081, raiding  => 8949, raids    => 4118,
                            raikkonen
                                     => 14957, rail     => 1127,
                            railcar  => 17587, railcars => 14569, railhead => 24912, railings => 16063,
                            railroad => 1066, railroads
                                     => 5641,
                            rails    => 6156, railway  => 338, railways => 2341, raimi    => 22919,
                            rainfall => 3642, rainforest
                                     => 7276,
                            rainforests
                                     => 13229, rainier  => 13630,
                            raion    => 7675, raipur   => 19894, raised   => 841, raith    => 18862,
                            raja     => 4247, rajab    => 29464, rajah    => 15120, rajan    => 15651,
                            rajapaksa
                                     => 22535, rajas    => 25488,
                            rajasthan
                                     => 6309, rajasthani
                                     => 25804,
                            rajeev   => 20539, rajendra => 13137, rajesh   => 14203, rajinikanth
                                     => 20345,
                            rajiv    => 12969, rajkot   => 25004, rajkumar => 16325, rajput   => 11648,
                            rajputana
                                     => 28467, rajputs  => 15532,
                            rajshahi => 20672, rajya    => 13725, rakesh   => 21316, rakhine  => 28610,
                            rakoczi  => 23877, rakyat   => 20486, rallied  => 9103, rallies  => 8167,
                            rally    => 2993, rallycross
                                     => 29700,
                            rallye   => 26239, rallying => 11913, rama     => 5787, ramachandra
                                     => 26390,
                            ramachandran
                                     => 18378, ramadan  => 13508,
                            ramadi   => 28099, ramakrishna
                                     => 11293,
                            ramallah => 20315, raman    => 12467, ramana   => 24064, ramanujan
                                     => 23644,
                            ramapo   => 26609, ramat    => 15849, ramayana => 12533, rambler  => 18636,
                            ramblers => 16882, ramen    => 24803, ramesh   => 13532, ramesses => 16452,
                            ramjet   => 29252, ramla    => 28862, ramones  => 15445, rampal   => 28320,
                            rampant  => 10520, rampart  => 14559, ramparts => 14581, ramps    => 9076,
                            rampur   => 22917, rams     => 5098, ramsar   => 16281, ramsgate => 19977,
                            rancheria
                                     => 26874, ranches  => 14180,
                            ranchi   => 18405, ranching => 13346, rancho   => 6164, randers  => 24509,
                            random   => 2989, randomized
                                     => 13225,
                            randomly => 7931, randomness
                                     => 20819,
                            randwick => 21616, ranga    => 16859, range    => 423, ranged   => 6178,
                            rangefinder
                                     => 22007, ranger   => 4880,
                            rangers  => 2428, ranges   => 2879, rangi    => 29249, ranging  => 2508,
                            rangoon  => 14582, rangpur  => 27119, ranjan   => 25837, ranji    => 17142,
                            ranjit   => 15169, rank     => 1389, ranked   => 1221, rankine  => 25950,
                            ranking  => 2016, rankings => 3772, ranks    => 2333, ransacked
                                     => 20361,
                            ransomed => 29067, ranulf   => 25476, raphaelite
                                     => 25598,
                            rapid    => 2063, rapides  => 23675, rapidity => 29661, rapidly  => 2227,
                            rapids   => 5066, rappahannock
                                     => 20920,
                            rapped   => 29821, rapper   => 4164, rappers  => 9694, rapperswil
                                     => 22191,
                            rapping  => 12296, rapporteur
                                     => 19752,
                            rapprochement
                                     => 23094, raptors  => 11819,
                            rare     => 1533, rarely   => 2574, rarer    => 14446, raritan  => 17805,
                            rarities => 14777, rarity   => 11261, rashi    => 19141, rasht    => 28230,
                            rashtriya
                                     => 21880, rastafari
                                     => 28160,
                            raster   => 19582, rasul    => 23251, ratan    => 26235, rate     => 768,
                            rated    => 2276, rates    => 2028, rather   => 513, rathore  => 27135,
                            ratification
                                     => 9498, ratified => 6431,
                            ratify   => 15472, ratifying
                                     => 26933,
                            rating   => 2037, ratings  => 2758, ratio    => 2325, rationale
                                     => 10080,
                            rationalisation
                                     => 28179,
                            rationalism
                                     => 19476, rationalist
                                     => 19389,
                            rationality
                                     => 15243, rationing
                                     => 14689,
                            rations  => 12141, ratios   => 7925, ratna    => 18650, ratnam   => 24784,
                            raton    => 15533, rattlers => 19238, ratzinger
                                     => 26153,
                            raucous  => 21855, ravaged  => 11187, ravana   => 17382, ravel    => 14793,
                            ravenna  => 11822, ravens   => 6965, ravenswood
                                     => 27581,
                            ravindra => 29981, ravines  => 18271, rawal    => 28691, rawalpindi
                                     => 13264,
                            rawat    => 25702, rayleigh => 18308, rayon    => 8539, raytheon => 18374,
                            razak    => 18347, razavi   => 10060, razed    => 10693, razorback
                                     => 27189,
                            razorbacks
                                     => 16196, reachable
                                     => 21252,
                            reached  => 564, reaches  => 2753, reaching => 1603, reacquired
                                     => 25179,
                            reactants
                                     => 24856, reaction => 1692,
                            reactionary
                                     => 14146, reactions
                                     => 3460,
                            reactivated
                                     => 9641, reactivation
                                     => 22128,
                            reactive => 8409, reactivity
                                     => 15024,
                            reactor  => 4945, reactors => 7863, readability
                                     => 25275,
                            readable => 13095, reader   => 3303, readers  => 3025, readership
                                     => 10586,
                            readied  => 27043, readily  => 4864, readiness
                                     => 8026,
                            readings => 6245, readmitted
                                     => 25666,
                            reaffirm => 29270, reaffirmed
                                     => 12040,
                            reaffirming
                                     => 21713, reagent  => 13702,
                            reagents => 15637, reales   => 29218, realigned
                                     => 13762,
                            realignment
                                     => 10803, realisation
                                     => 15705,
                            realises => 8732, realising
                                     => 11202,
                            realism  => 5850, realists => 28990, realization
                                     => 7832,
                            realms   => 7473, reals    => 27223, realtime => 23441, realty   => 14075,
                            reappearance
                                     => 22061, reappeared
                                     => 11224,
                            reappears
                                     => 13147, reappointed
                                     => 14308,
                            reapportionment
                                     => 25501,
                            rear     => 1479, reared   => 12848, rearguard
                                     => 17351,
                            rearing  => 14063, rearmament
                                     => 27198,
                            rearrangement
                                     => 14342, rearrangements
                                     => 29321,
                            rearward => 25460, reasonably
                                     => 7325,
                            reasoned => 12539, reasoning
                                     => 5858,
                            reassembled
                                     => 18538, reassert => 28600,
                            reassigned
                                     => 6700, reassures
                                     => 25282,
                            rebadged => 23320, rebates  => 27407, rebbe    => 11940, rebel    => 3487,
                            rebelled => 9418, rebellion
                                     => 2618,
                            rebellions
                                     => 10943, rebels   => 3163,
                            rebirth  => 9385, reboot   => 13231, rebounded
                                     => 12699,
                            rebounding
                                     => 16879, rebounds => 4669,
                            rebrand  => 21779, rebranded
                                     => 7293,
                            rebranding
                                     => 13822, rebroadcast
                                     => 16660,
                            rebuffed => 15641, rebuilding
                                     => 5438,
                            rebuilt  => 2479, rebuke   => 23022, rebuked  => 20115, reburied => 21162,
                            rebus    => 24776, recalled => 3181, recalling
                                     => 10142,
                            recalls  => 6636, recapitulation
                                     => 25794,
                            recaptured
                                     => 8803, recapturing
                                     => 26873,
                            recast   => 13958, receded  => 20329, receive  => 1257, received => 195,
                            receiver => 3428, receivers
                                     => 7013,
                            receivership
                                     => 14352, receives => 2903,
                            receiving
                                     => 1532, recent   => 690,
                            recently => 849, recep    => 25344, reception
                                     => 1082,
                            receptions
                                     => 6675, receptor => 4084,
                            receptors
                                     => 5424, recessed => 12923,
                            recesses => 25764, recession
                                     => 6944,
                            recessive
                                     => 13266, rechargeable
                                     => 20809,
                            recharged
                                     => 29552, recherche
                                     => 17981,
                            rechristened
                                     => 22968, recife   => 16407,
                            recipient
                                     => 3023, recipients
                                     => 5418,
                            reciprocal
                                     => 9829, reciprocating
                                     => 18788,
                            reciprocity
                                     => 14382, recitals => 11598,
                            recitative
                                     => 22354, recited  => 10671,
                            recites  => 21860, reclaimed
                                     => 8682,
                            reclamation
                                     => 9607, reclassified
                                     => 10384,
                            recognisable
                                     => 14071, recognise
                                     => 6509,
                            recognised
                                     => 2811, recognises
                                     => 12105,
                            recognising
                                     => 12603, recognition
                                     => 1453,
                            recognitions
                                     => 13489, recognizable
                                     => 8015,
                            recognized
                                     => 1130, recognizes
                                     => 5661,
                            recognizing
                                     => 6410, recoil   => 11077,
                            recoilless
                                     => 29216, recollections
                                     => 14631,
                            recombinant
                                     => 17109, recombination
                                     => 13163,
                            recommenced
                                     => 26618, recommendations
                                     => 4300,
                            recommended
                                     => 2354, recommends
                                     => 9277,
                            recommissioned
                                     => 11811,
                            reconciles
                                     => 25008, reconciliation
                                     => 6248,
                            reconfiguration
                                     => 26584,
                            reconfigured
                                     => 16877, reconnaissance
                                     => 3574,
                            reconquered
                                     => 25291, reconquest
                                     => 20558,
                            reconquista
                                     => 20401, reconsideration
                                     => 28110,
                            reconstituted
                                     => 11367, reconstruct
                                     => 11320,
                            reconstructed
                                     => 5682, reconstructing
                                     => 18482,
                            reconstruction
                                     => 3187, reconstructionist
                                     => 27564,
                            reconstructions
                                     => 14349,
                            reconvened
                                     => 25422, record   => 252,
                            recorded => 352, recorders
                                     => 11541,
                            recording
                                     => 726, recordings
                                     => 1734,
                            records  => 357, recounted
                                     => 9000,
                            recounting
                                     => 15764, recounts => 8541,
                            recoverable
                                     => 21655, recovered
                                     => 2517,
                            recoveries
                                     => 19004, recreated
                                     => 10262,
                            recreates
                                     => 28242, recreation
                                     => 2791,
                            recreational
                                     => 3830, recreations
                                     => 24404,
                            recruit  => 5291, recruited
                                     => 3145,
                            recruiters
                                     => 21974, recruiting
                                     => 5446,
                            recruitment
                                     => 5936, recruits => 6187,
                            rectangle
                                     => 13103, rectangular
                                     => 4523,
                            rectification
                                     => 26049, rectified
                                     => 17529,
                            rectifier
                                     => 23712, rectilinear
                                     => 27174,
                            rectors  => 21462, rectory  => 9148, recumbent
                                     => 25423,
                            recuperation
                                     => 25061, recur    => 23832,
                            recurrence
                                     => 12155, recurrent
                                     => 9290,
                            recurring
                                     => 3918, recursion
                                     => 18451,
                            recursive
                                     => 12647, recursively
                                     => 21791,
                            recurve  => 19863, recurved => 28860, recyclable
                                     => 28157,
                            recycled => 8435, recycling
                                     => 6852,
                            red      => 353, redacted => 28010, redbridge
                                     => 17298,
                            redcar   => 26180, redcliffe
                                     => 20093,
                            reddish  => 6275, reddit   => 24001, redditch => 23349, rededicated
                                     => 21783,
                            redeemer => 15738, redefined
                                     => 13941,
                            redefining
                                     => 26469, redeployed
                                     => 18158,
                            redeployment
                                     => 28418, redesign => 8914,
                            redesignated
                                     => 5995, redesigned
                                     => 6458,
                            redesigning
                                     => 29585, redevelop
                                     => 17155,
                            redeveloped
                                     => 9555, redevelopment
                                     => 5484,
                            redgrave => 16777, redhawks => 21848, redhill  => 24471, rediff   => 27479,
                            redirected
                                     => 15175, redirects
                                     => 28516,
                            rediscovered
                                     => 9606, rediscovery
                                     => 16472,
                            redistribute
                                     => 29873, redistributed
                                     => 15387,
                            redistribution
                                     => 8978, redistricting
                                     => 11122,
                            redknapp => 25032, redland  => 29133, redlands => 20531, redoubt  => 13421,
                            redoubts => 26910, redox    => 17763, redrawn  => 18506, redress  => 15671,
                            reds     => 4844, redshift => 20340, redshirt => 16668, redshirted
                                     => 22942,
                            redskins => 6252, redstone => 18133, reduce   => 1802, reduced  => 1220,
                            reduces  => 5062, reducing => 2916, reductase
                                     => 13112,
                            reduction
                                     => 2572, reductions
                                     => 8761,
                            reductive
                                     => 21023, redundancy
                                     => 13032,
                            redundant
                                     => 8110, reduplication
                                     => 26201,
                            redwood  => 10179, redwoods => 23578, reeds    => 12894, reef     => 4870,
                            reefs    => 7812, reelected
                                     => 7453,
                            reelection
                                     => 6480, reentered
                                     => 23387,
                            reentry  => 18539, reestablish
                                     => 18613,
                            reestablished
                                     => 12770, refectory
                                     => 21327,
                            refer    => 434, referee  => 4160, refereed => 14131, refereeing
                                     => 19510,
                            referees => 10090, reference
                                     => 1291,
                            referenced
                                     => 5803, references
                                     => 854,
                            referencing
                                     => 10859, referendum
                                     => 3517,
                            referendums
                                     => 14181, referent => 25716,
                            referential
                                     => 21883, referral => 12243,
                            referred => 770, refers   => 1410, refine   => 14552, refined  => 6241,
                            refinement
                                     => 11873, refinements
                                     => 20353,
                            refineries
                                     => 13014, refinery => 7583,
                            refining => 9837, refit    => 9160, refitted => 13719, refitting
                                     => 23147,
                            reflect  => 3085, reflectance
                                     => 28884,
                            reflected
                                     => 3287, reflecting
                                     => 4526,
                            reflections
                                     => 7813, reflective
                                     => 8744,
                            reflectivity
                                     => 28270, reflector
                                     => 14142,
                            reflectors
                                     => 22839, reflects => 4188,
                            reflexive
                                     => 16754, refloated
                                     => 24200,
                            reflux   => 24161, reforestation
                                     => 22011,
                            reform   => 1568, reforma  => 26500, reformation
                                     => 4797,
                            reformatory
                                     => 22991, reformed => 3179,
                            reformer => 9147, reformers
                                     => 10468,
                            reforming
                                     => 10237, reformist
                                     => 11818,
                            reformists
                                     => 25020, reforms  => 3082,
                            refounded
                                     => 22223, refraction
                                     => 16509,
                            refractive
                                     => 13110, refractory
                                     => 16743,
                            refrained
                                     => 19587, refrigerant
                                     => 27865,
                            refrigeration
                                     => 13569, refueling
                                     => 8615,
                            refuelling
                                     => 19851, refuge   => 3488,
                            refugee  => 5408, refugees => 3377, refuges  => 20812, refurbish
                                     => 23284,
                            refurbished
                                     => 7001, refurbishing
                                     => 22931,
                            refurbishment
                                     => 8705, refusal  => 5751,
                            refused  => 1375, refuses  => 3897, refutation
                                     => 23302,
                            refuted  => 13942, refuting => 29933, regain   => 5643, regained => 5010,
                            regaining
                                     => 11895, regal    => 9430,
                            regalia  => 14988, regard   => 2983, regarded => 1631, regarding
                                     => 1585,
                            regardless
                                     => 3254, regatta  => 9762,
                            regattas => 23417, regency  => 5718, regenerating
                                     => 26810,
                            regeneration
                                     => 7495, regenerative
                                     => 14596,
                            regensburg
                                     => 12789, regent   => 4432,
                            regents  => 7934, reggae   => 5978, reggaeton
                                     => 16230,
                            reggina  => 28510, reggio   => 13099, regia    => 14145, regierungsbezirk
                                     => 29888,
                            regime   => 2309, regimens => 28002, regiment => 928, regimental
                                     => 6971,
                            regiments
                                     => 3888, regimes  => 9044,
                            regio    => 16719, region   => 263, regional => 577, regionalbahn
                                     => 28238,
                            regionalism
                                     => 28237, regionalist
                                     => 27039,
                            regionalliga
                                     => 12323, regionally
                                     => 11525,
                            regionals
                                     => 18087, regions  => 1275,
                            register => 1103, registered
                                     => 1633,
                            registering
                                     => 10663, registers
                                     => 7257,
                            registrar
                                     => 9405, registrars
                                     => 25623,
                            registration
                                     => 3376, registrations
                                     => 15461,
                            registries
                                     => 18525, registry => 5948,
                            regius   => 17931, regnal   => 22889, regression
                                     => 9770,
                            regressive
                                     => 29515, regrouped
                                     => 14983,
                            regular  => 602, regularity
                                     => 15943,
                            regularly
                                     => 1773, regulars => 9615,
                            regulate => 5876, regulated
                                     => 4562,
                            regulates
                                     => 9514, regulating
                                     => 8154,
                            regulation
                                     => 2783, regulations
                                     => 2457,
                            regulator
                                     => 8269, regulators
                                     => 9477,
                            regulatory
                                     => 4004, regulus  => 24566,
                            rehabilitate
                                     => 16376, rehabilitating
                                     => 27729,
                            rehabilitation
                                     => 4291, rehearsals
                                     => 9253,
                            rehired  => 28637, rehnquist
                                     => 21308,
                            rehoboth => 22951, reichsbahn
                                     => 19074,
                            reichstag
                                     => 12921, reichswehr
                                     => 23616,
                            reigate  => 23529, reign    => 1815, reigned  => 8149, reigning => 6029,
                            reigns   => 9009, reimbursement
                                     => 15846,
                            reims    => 11720, reincorporated
                                     => 29130,
                            reine    => 20465, reinforce
                                     => 7528,
                            reinforced
                                     => 4352, reinforcement
                                     => 8818,
                            reinforcements
                                     => 5571, reinforces
                                     => 19830,
                            reinforcing
                                     => 11994, reinstated
                                     => 6986,
                            reinstatement
                                     => 15172, reinsurance
                                     => 24806,
                            reintegration
                                     => 24517, reinterpretation
                                     => 26755,
                            reinterpreted
                                     => 25080, reintroduce
                                     => 23206,
                            reintroduced
                                     => 9835, reintroduction
                                     => 15781,
                            reinvestment
                                     => 21250, reissue  => 8115,
                            reissued => 6147, reissues => 15633, reiterated
                                     => 11502,
                            rejected => 1939, rejects  => 7372, rejoin   => 9750, rejoined => 5660,
                            rejoining
                                     => 13673, rejoins  => 21057,
                            rejuvenation
                                     => 23293, rekha    => 20830,
                            related  => 560, relatedness
                                     => 23915,
                            relates  => 5410, relating => 3256, relation => 2471, relational
                                     => 9900,
                            relations
                                     => 1042, relative => 1961,
                            relatively
                                     => 1307, relatives
                                     => 3550,
                            relativism
                                     => 24112, relativistic
                                     => 12500,
                            relativity
                                     => 7490, relaunch => 12982,
                            relaunched
                                     => 9313, relay    => 3164,
                            relayed  => 13383, relaying => 23601, relays   => 10952, release  => 365,
                            released => 118, releases => 2213, releasing
                                     => 3398,
                            relegated
                                     => 2872, relegating
                                     => 29690,
                            relegation
                                     => 3835, relented => 16315,
                            relents  => 26365, relevance
                                     => 7903,
                            relevant => 2933, reliability
                                     => 5648,
                            reliably => 11772, reliance => 6731, reliant  => 11194, relic    => 10376,
                            relics   => 6592, relict   => 28158, relied   => 5355, relief   => 1873,
                            reliefs  => 10302, relies   => 6198, reliever => 14685, relieving
                                     => 13899,
                            religion => 1301, religions
                                     => 4461,
                            religiosity
                                     => 24918, religious
                                     => 686,
                            religiously
                                     => 14185, relinquished
                                     => 10106,
                            reliquary
                                     => 23222, reloaded => 18214,
                            reloading
                                     => 24108, relocate => 7759,
                            relocated
                                     => 2637, relocating
                                     => 9715,
                            relocation
                                     => 6664, reluctance
                                     => 10486,
                            reluctant
                                     => 5552, reluctantly
                                     => 7499,
                            relying  => 7422, remade   => 10276, remain   => 1160, remainder
                                     => 2387,
                            remained => 477, remaining
                                     => 873,
                            remains  => 750, remake   => 4830, remakes  => 16210, remand   => 21102,
                            remarked => 5196, remarking
                                     => 13648,
                            remarriage
                                     => 24354, remaster => 27767,
                            remastered
                                     => 7641, rematch  => 6946,
                            rembrandt
                                     => 12703, remediation
                                     => 12767,
                            remedies => 10924, remembrance
                                     => 8018,
                            reminiscence
                                     => 28136, reminiscences
                                     => 17942,
                            reminiscent
                                     => 5604, remit    => 14713,
                            remittances
                                     => 21362, remix    => 3794,
                            remixed  => 6952, remixes  => 5941, remixing => 25145, remnant  => 7856,
                            remnants => 4773, remodeled
                                     => 9799,
                            remodelled
                                     => 14193, remote   => 2617,
                            remoteness
                                     => 21407, removable
                                     => 11696,
                            removal  => 2984, removed  => 1091, removes  => 8559, removing => 4055,
                            remuneration
                                     => 17257, renaissance
                                     => 2900,
                            renal    => 8905, rename   => 12450, renamed  => 1033, renaming => 8470,
                            renan    => 27744, renault  => 5430, rendered => 4022, rendering
                                     => 5644,
                            renderings
                                     => 22625, renders  => 12134,
                            rendezvoused
                                     => 24812, rendition
                                     => 7445,
                            renditions
                                     => 15080, renegade => 11988,
                            renegades
                                     => 15997, renewable
                                     => 5327,
                            renewables
                                     => 23437, renewal  => 5485,
                            renewed  => 3598, renfrewshire
                                     => 17726,
                            rennes   => 12475, renomination
                                     => 13856,
                            renounced
                                     => 10560, renouncing
                                     => 23734,
                            renovate => 12358, renovated
                                     => 3989,
                            renovation
                                     => 3902, renovations
                                     => 5823,
                            renown   => 11848, renowned => 2692, rensselaer
                                     => 12483,
                            rentals  => 13275, renters  => 14751, renumbered
                                     => 9728,
                            renumbering
                                     => 12453, renunciation
                                     => 17995,
                            reoccupied
                                     => 24482, reopened => 4672,
                            reopening
                                     => 10611, reorganisation
                                     => 9493,
                            reorganised
                                     => 11860, reorganization
                                     => 6123,
                            reorganized
                                     => 5425, repackaged
                                     => 19420,
                            repainted
                                     => 12849, repair   => 2754,
                            repaired => 5510, repairing
                                     => 10306,
                            repairs  => 3937, reparation
                                     => 21714,
                            repatriated
                                     => 14126, repatriation
                                     => 12361,
                            repayment
                                     => 14766, repeal   => 8113,
                            repealed => 7665, repealing
                                     => 25683,
                            repeated => 2616, repeatedly
                                     => 3435,
                            repeater => 14981, repeaters
                                     => 20696,
                            repeats  => 8413, repechage
                                     => 15556,
                            repelled => 11478, repelling
                                     => 21725,
                            repentance
                                     => 15092, repertoire
                                     => 4886,
                            repertory
                                     => 7607, repetition
                                     => 9052,
                            repetitions
                                     => 21300, repetitive
                                     => 9276,
                            replace  => 1906, replaced => 533, replacement
                                     => 2046,
                            replacements
                                     => 9055, replaces => 8035,
                            replacing
                                     => 2261, replay   => 6362,
                            replayed => 18906, replays  => 14440, replenished
                                     => 21157,
                            replenishment
                                     => 16587, replete  => 21042,
                            replica  => 6108, replicas => 11628, replicate
                                     => 10687,
                            replicated
                                     => 12239, replicates
                                     => 27574,
                            replication
                                     => 7879, replied  => 4572,
                            replies  => 8349, reply    => 6195, replying => 25479, report   => 697,
                            reportage
                                     => 22750, reported => 498,
                            reportedly
                                     => 2529, reporting
                                     => 2699,
                            reports  => 1215, repose   => 23200, repositioned
                                     => 27300,
                            repositories
                                     => 17477, repository
                                     => 8511,
                            represent
                                     => 1519, representation
                                     => 2211,
                            representational
                                     => 17375,
                            representations
                                     => 5633,
                            representative
                                     => 1285, representatives
                                     => 1188,
                            represented
                                     => 691, representing
                                     => 1560,
                            represents
                                     => 1855, repression
                                     => 8103,
                            repressions
                                     => 27742, repressive
                                     => 14731,
                            reprint  => 12649, reprinted
                                     => 5952,
                            reprinting
                                     => 24943, reprints => 12783,
                            reprisal => 16453, reprisals
                                     => 15206,
                            reprise  => 8659, reprised => 8471, reprises => 22982, reprising
                                     => 14730,
                            reprocessing
                                     => 23753, reproduce
                                     => 8145,
                            reproduced
                                     => 9046, reproduces
                                     => 18586,
                            reproducing
                                     => 14814, reproduction
                                     => 5015,
                            reproductions
                                     => 14521, reproductive
                                     => 5929,
                            reptiles => 7599, repton   => 21189, repubblica
                                     => 26362,
                            republic => 549, republica
                                     => 17465,
                            republican
                                     => 997, republicanism
                                     => 17405,
                            republicans
                                     => 3940, republics
                                     => 8497,
                            republika
                                     => 12298, republique
                                     => 22537,
                            republished
                                     => 9704, repudiated
                                     => 16461,
                            repudiation
                                     => 25881, repulsed => 9878,
                            repulsion
                                     => 21747, repurposed
                                     => 25154,
                            reputed  => 7699, reputedly
                                     => 11957,
                            request  => 1886, requested
                                     => 2792,
                            requests => 4494, requiem  => 9522, require  => 1849, required => 655,
                            requirement
                                     => 3392, requirements
                                     => 1907,
                            requires => 1985, requiring
                                     => 3373,
                            requisitioned
                                     => 13898, rerecorded
                                     => 27866,
                            reredos  => 21875, rereleased
                                     => 22216,
                            rerouted => 12842, rerum    => 26989, rescinded
                                     => 12957,
                            rescuers => 17141, rescues  => 9441, research => 254, researched
                                     => 7520,
                            researcher
                                     => 4342, researchers
                                     => 2386,
                            researches
                                     => 10300, resection
                                     => 25894,
                            resemble => 4717, resembled
                                     => 7898,
                            resembles
                                     => 4826, resembling
                                     => 6280,
                            reserve  => 1036, reserved => 4006, reserves => 2949, reservist
                                     => 26865,
                            reservists
                                     => 15590, reservoir
                                     => 2776,
                            reservoirs
                                     => 7885, resettle => 24770,
                            resettled
                                     => 12868, resettlement
                                     => 11821,
                            reshape  => 29208, reshaped => 23314, reshaping
                                     => 25614,
                            reshuffle
                                     => 14348, reside   => 5220,
                            resided  => 4932, residence
                                     => 1659,
                            residences
                                     => 5197, residencies
                                     => 16752,
                            residency
                                     => 5723, resident => 2177,
                            residential
                                     => 1779, residents
                                     => 888,
                            resides  => 4030, residing => 2172, residual => 8953, residues => 8504,
                            resign   => 4866, resignation
                                     => 3016,
                            resignations
                                     => 18523, resigned => 1755,
                            resigns  => 18430, resilience
                                     => 12901,
                            resin    => 8170, resins   => 17127, resistance
                                     => 1602,
                            resistant
                                     => 5126, resisted => 6771,
                            resistive
                                     => 22988, resistivity
                                     => 25163,
                            resistor => 17052, resistors
                                     => 20155,
                            resold   => 19951, resolutely
                                     => 27912,
                            resolution
                                     => 1808, resolutions
                                     => 6814,
                            resolved => 4229, resolves => 12903, resolving
                                     => 10740,
                            resonance
                                     => 6854, resonances
                                     => 23940,
                            resonant => 12723, resonate => 22826, resonated
                                     => 28771,
                            resonator
                                     => 18356, resonators
                                     => 27925,
                            resort   => 2541, resorted => 12597, resorts  => 6044, resource => 2779,
                            resources
                                     => 1155, respective
                                     => 2851,
                            respectively
                                     => 1205, respiratory
                                     => 6372,
                            responded
                                     => 2642, respondent
                                     => 15161,
                            respondents
                                     => 9365, responder
                                     => 22377,
                            responders
                                     => 17457, responds => 7677,
                            responsa => 25401, response => 871, responses
                                     => 4301,
                            responsible
                                     => 894, responsiveness
                                     => 20803,
                            restart  => 9135, restarted
                                     => 9647,
                            restarting
                                     => 24604, restated => 25572,
                            restatement
                                     => 27871, restaurants
                                     => 2770,
                            restitution
                                     => 12915, restoration
                                     => 2122,
                            restorations
                                     => 15328, restore  => 3555,
                            restored => 1963, restorer => 24961, restoring
                                     => 6436,
                            restrained
                                     => 10278, restrict => 8028,
                            restricted
                                     => 2725, restricting
                                     => 9913,
                            restriction
                                     => 6450, restrictions
                                     => 3333,
                            restrictive
                                     => 9324, restricts
                                     => 15469,
                            restructure
                                     => 15667, restructured
                                     => 10757,
                            restructuring
                                     => 6656, restyled => 22761,
                            result   => 390, resultant
                                     => 9800,
                            resulted => 1203, resulting
                                     => 1247,
                            results  => 611, resumed  => 3050, resuming => 13215, resumption
                                     => 13572,
                            resupply => 12966, resurfaced
                                     => 12786,
                            resurfacing
                                     => 25491, resurgence
                                     => 8921,
                            resurgent
                                     => 23157, resurrected
                                     => 8685,
                            resurrecting
                                     => 27771, resurrection
                                     => 6426,
                            resuscitation
                                     => 21496, retail   => 2331,
                            retailed => 28687, retailer => 7500, retailers
                                     => 5982,
                            retailing
                                     => 15302, retain   => 3475,
                            retained => 1968, retainers
                                     => 18145,
                            retaining
                                     => 4874, retains  => 5525,
                            retake   => 11856, retaken  => 20068, retaking => 25597, retaliated
                                     => 15280,
                            retaliation
                                     => 7509, retardant
                                     => 29491,
                            retardation
                                     => 17608, retelling
                                     => 15171,
                            retention
                                     => 7515, reticulum
                                     => 19000,
                            retina   => 12171, retinue  => 17584, retired  => 765, retirees => 18768,
                            retirement
                                     => 1440, retirements
                                     => 23345,
                            retiring => 3319, retiro   => 27390, retitled => 11631, retold   => 22200,
                            retook   => 14947, retorted => 27739, retractable
                                     => 11359,
                            retracted
                                     => 11387, retraining
                                     => 29418,
                            retreat  => 3136, retreated
                                     => 5647,
                            retreating
                                     => 8437, retreats => 11412,
                            retrieved
                                     => 7430, retrieves
                                     => 19341,
                            retroactive
                                     => 19354, retroactively
                                     => 15429,
                            retrofitted
                                     => 20149, retroflex
                                     => 27291,
                            retrospective
                                     => 6452, retrospectively
                                     => 18332,
                            retrospectives
                                     => 29750,
                            return   => 444, returned => 316, returner => 18184, returning
                                     => 1290,
                            returns  => 1937, reunification
                                     => 9529,
                            reunited => 4330, reunites => 16163, reuniting
                                     => 12827,
                            reuptake => 21183, reusable => 15642, reuse    => 10736, reused   => 9409,
                            reuters  => 10043, revamped => 10833, revealed => 1084, revealing
                                     => 4792,
                            reveals  => 2681, revelation
                                     => 5318,
                            revelations
                                     => 9340, revenue  => 2250,
                            revenues => 4538, reverb   => 17735, revered  => 9261, reverence
                                     => 13357,
                            reversal => 8613, reversals
                                     => 25782,
                            reversed => 4730, reverses => 15931, reversible
                                     => 10918,
                            reversing
                                     => 11274, reversion
                                     => 23041,
                            reverted => 6381, reverting
                                     => 16002,
                            review   => 767, reviewed => 3105, reviewer => 4732, reviewers
                                     => 6201,
                            reviewing
                                     => 6427, reviews  => 1237,
                            revised  => 3078, revising => 16723, revision => 5214, revisionism
                                     => 25863,
                            revisionist
                                     => 16283, revisions
                                     => 8586,
                            revisited
                                     => 10324, revista  => 19007,
                            revitalization
                                     => 11826,
                            revitalize
                                     => 15511, revitalized
                                     => 18705,
                            revitalizing
                                     => 26426, revival  => 2094,
                            revivalist
                                     => 26141, revivals => 13430,
                            revive   => 6973, revived  => 3855, revives  => 23166, reviving => 12005,
                            revocation
                                     => 17172, revolt   => 3641,
                            revolted => 12555, revolts  => 12051, revolucion
                                     => 26425,
                            revolution
                                     => 1165, revolutionaries
                                     => 8665,
                            revolutionary
                                     => 1990, revolutionized
                                     => 15863,
                            revolutions
                                     => 9131, revolved => 12886,
                            revolver => 8099, revolvers
                                     => 15258,
                            revolves => 7186, revolving
                                     => 9880,
                            revue    => 7507, revues   => 21793, rewarded => 6267, rewards  => 7753,
                            rewari   => 28781, rework   => 25956, reworked => 9850, reworking
                                     => 15267,
                            rewritten
                                     => 10863, reznor   => 19846,
                            rhaetian => 28944, rhapsody => 12811, rheims   => 24526, rhenish  => 16661,
                            rhesus   => 26280, rhetoric => 7005, rheumatic
                                     => 25359,
                            rheumatism
                                     => 24231, rheumatoid
                                     => 19054,
                            rhine    => 4013, rhineland
                                     => 7612,
                            rhinoceros
                                     => 13200, rhinos   => 12194,
                            rhizome  => 19356, rhizomes => 18059, rhode    => 3580, rhodesia => 7658,
                            rhodesian
                                     => 11881, rhododendron
                                     => 16341,
                            rhondda  => 16305, rhyolite => 27737, rhythm   => 3313, rhythmic => 6311,
                            rhythmically
                                     => 25253, rhythms  => 6976,
                            ribbed   => 16122, ribbentrop
                                     => 15845,
                            ribeira  => 23376, ribose   => 29848, ribosomal
                                     => 17364,
                            ribosome => 21142, rica     => 4685, rican    => 5021, ricans   => 14915,
                            riccardo => 13557, richelieu
                                     => 13027,
                            richfield
                                     => 21653, richland => 11768,
                            richly   => 10334, richness => 12339, richthofen
                                     => 21343,
                            rickshaws
                                     => 23060, ricoh    => 27313,
                            ridden   => 7200, rideau   => 15221, riders   => 3192, ridership
                                     => 12376,
                            ridgefield
                                     => 22756, ridgeline
                                     => 29487,
                            ridges   => 5828, ridgewood
                                     => 21645,
                            riemann  => 11529, riemannian
                                     => 17459,
                            riesling => 23992, riffs    => 11987, rifle    => 2706, rifled   => 17157,
                            rifleman => 20106, riflemen => 17439, rifles   => 4026, rifting  => 28898,
                            rifts    => 26572, rigging  => 11591, rightist => 24265, rights   => 472,
                            rigid    => 6090, rigidity => 15350, rigidly  => 21529, rigor    => 15996,
                            rigorous => 7219, rigorously
                                     => 18644,
                            rigveda  => 24655, rihanna  => 9256, rijeka   => 13107, riksdag  => 16499,
                            rilke    => 26111, rimini   => 16138, rimmed   => 24504, rimouski => 29313,
                            rimsky   => 18667, ringed   => 15401, ringling => 21226, rinpoche => 12400,
                            rioters  => 14651, rioting  => 12492, riots    => 4718, riparian => 12549,
                            ripen    => 25984, ripening => 19495, ripken   => 27158, ripon    => 13577,
                            rise     => 1356, risen    => 6615, rises    => 3905, rishi    => 14082,
                            rishon   => 26583, rising   => 2146, risque   => 20400, rite     => 5838,
                            rites    => 6720, ritually => 24124, rituals  => 5456, rivadavia
                                     => 22098,
                            rival    => 2189, rivaled  => 23372, rivaling => 29878, rivalries
                                     => 9806,
                            rivalry  => 3678, rivals   => 3355, "rivals.com"
                                     => 16103,
                            river    => 150, riverbanks
                                     => 28520,
                            riverbed => 20518, riverboat
                                     => 19611,
                            riverdale
                                     => 15365, riverfront
                                     => 13667,
                            riverina => 22112, riverine => 16170, riverside
                                     => 4820,
                            riverton => 23436, riverview
                                     => 16771,
                            rivets   => 25280, riviere  => 11415, rivieres => 15912, rivington
                                     => 29159,
                            rivoli   => 27365, riyadh   => 13434, rizal    => 11332, rnzaf    => 23796,
                            road     => 210, roadmap  => 20226, roadrunner
                                     => 17443,
                            roadrunners
                                     => 22319, roads    => 1473,
                            roadside => 10436, roadsides
                                     => 27259,
                            roadster => 15289, roadway  => 7263, roadways => 11072, roald    => 19775,
                            roamed   => 20548, roanoke  => 9352, robespierre
                                     => 20617,
                            robocop  => 23926, robotic  => 8464, robotics => 8381, robots   => 6063,
                            robust   => 5860, robusta  => 23467, robustness
                                     => 19569,
                            rochdale => 8881, rochester
                                     => 3917,
                            rock     => 364, "rock'n'roll"
                                     => 22458,
                            rockabilly
                                     => 14450, rockaway => 15308,
                            rockdale => 27694, rockefeller
                                     => 6671,
                            rockers  => 11884, rocket   => 2876, rocketry => 26145, rockets  => 4786,
                            rockford => 10350, rockhampton
                                     => 16918,
                            rockies  => 8224, rockingham
                                     => 12364,
                            rockland => 13305, rockne   => 27171, rocko    => 28133, rockport => 23045,
                            rockstar => 16023, rockville
                                     => 15696,
                            rococo   => 14040, rocroi   => 28124, roddick  => 18639, rodents  => 9559,
                            rodeo    => 8261, rodeos   => 26829, rodham   => 21847, roethlisberger
                                     => 22246,
                            rogaland => 22687, rohit    => 18730, role     => 279, roleplaying
                                     => 15976,
                            roles    => 1178, rollout  => 24640, rollover => 28415, romagna  => 14387,
                            romanesque
                                     => 6783, romani   => 8961,
                            romania  => 2084, romanian => 2509, romanians
                                     => 11056,
                            romanization
                                     => 15902, romanized
                                     => 2226,
                            romanos  => 24657, romans   => 4136, romansh  => 17326, romanticism
                                     => 11560,
                            romanticized
                                     => 29796, rome     => 1244,
                            romford  => 21469, romney   => 7027, romsdal  => 20000, romulo   => 25428,
                            romulus  => 15370, ronaldo  => 13862, ronde    => 19955, rondo    => 17605,
                            ronin    => 18969, ronne    => 22688, ronson   => 17595, ronstadt => 19075,
                            roofed   => 10015, roofing  => 14241, roofline => 21873, roofs    => 6706,
                            rookie   => 3268, rookies  => 14755, rooms    => 1811, roosters => 12291,
                            roosting => 24879, roosts   => 29960, rooted   => 6903, rootes   => 29234,
                            roots    => 2202, rorschach
                                     => 27950,
                            rosamund => 29560, rosberg  => 15665, roscommon
                                     => 14791,
                            rosebery => 23906, rosedale => 19087, rosemont => 20963, rosenborg
                                     => 17167,
                            rosenheim
                                     => 28085, rosettes => 22526,
                            roseville
                                     => 20726, rosewood => 15737,
                            roshan   => 17201, roskilde => 16298, rossellini
                                     => 27465,
                            rossendale
                                     => 28341, rossini  => 12788,
                            rostam   => 20320, roster   => 3342, rosters  => 13091, rostock  => 12918,
                            rostral  => 25473, rostrum  => 19403, rosyth   => 26757, rotary   => 6610,
                            rotate   => 9317, rotated  => 8753, rotates  => 13065, rotating => 5348,
                            rotation => 3798, rotational
                                     => 10063,
                            rotations
                                     => 12548, rotator  => 26320,
                            rotax    => 18349, rothbard => 28437, rotherham
                                     => 9437,
                            rothesay => 24785, rothko   => 24711, rothmans => 26956, rotor    => 7557,
                            rotors   => 17070, rotorua  => 20495, rotterdam
                                     => 6214,
                            rotunda  => 12068, roubaix  => 18686, rouen    => 10149, rouge    => 5105,
                            roughly  => 1862, roughness
                                     => 20826,
                            roughriders
                                     => 13221, round    => 330,
                            roundabout
                                     => 8724, roundabouts
                                     => 28747,
                            rounded  => 4011, roundel  => 28439, rounder  => 12803, rounders => 27228,
                            roundhouse
                                     => 14649, roundly  => 29716,
                            roundtable
                                     => 16359, roused   => 28236,
                            roussillon
                                     => 18674, route    => 373,
                            routed   => 7198, router   => 14121, routers  => 16081, routes   => 1725,
                            routinely
                                     => 7511, routines => 9125,
                            routing  => 6043, routledge
                                     => 15722,
                            rouvas   => 27872, rover    => 6204, rovere   => 27026, rovers   => 3585,
                            rowdies  => 24005, rowed    => 14051, rower    => 8934, rowers   => 17895,
                            rowing   => 4887, rowling  => 15793, rowntree => 24391, rows     => 5305,
                            roxburgh => 22342, royal    => 310, royale   => 9759, royalist => 7314,
                            royalists
                                     => 11655, royals   => 5965,
                            royalties
                                     => 8832, royle    => 23509,
                            rsfsr    => 22571, rubble   => 9014, rubens   => 11342, rubiaceae
                                     => 21257,
                            rubicon  => 23351, rubik    => 25322, rubles   => 15154, rubra    => 27294,
                            rubric   => 27700, rubus    => 17386, rudbar   => 20334, rudders  => 25492,
                            rudimentary
                                     => 12543, rudra    => 20215,
                            rudyard  => 18355, rufous   => 12998, rugby    => 927, rugen    => 18285,
                            rugged   => 7626, ruinous  => 23175, ruins    => 3502, ruislip  => 27578,
                            rule     => 884, ruled    => 1741, ruler    => 2924, rulers   => 3839,
                            ruling   => 2411, rulings  => 11341, rumford  => 27929, rumored  => 8731,
                            rumoured => 11455, rumours  => 7258, rumped   => 28478, rumsfeld => 19862,
                            runciman => 29730, runcorn  => 19059, rundfunk => 22627, rundgren => 22333,
                            runestone
                                     => 17622, runestones
                                     => 23028,
                            runic    => 15866, runner   => 2305, runners  => 3380, runoff   => 7269,
                            runs     => 600, runtime  => 12229, runway   => 3679, runways  => 8255,
                            rupaul   => 23201, rupee    => 19718, rupees   => 12581, rupture  => 11641,
                            rural    => 659, rushden  => 20459, rushes   => 8661, ruskin   => 12690,
                            ruslan   => 18598, russellville
                                     => 29125,
                            russia   => 860, russian  => 529, rustam   => 22426, rustic   => 11126,
                            rusticated
                                     => 23392, rutgers  => 7064,
                            ruthenia => 26184, ruthenian
                                     => 19382,
                            ruthenium
                                     => 28102, rutherglen
                                     => 28713,
                            rwanda   => 6791, rwandan  => 12773, ryanair  => 24553, ryazan   => 20015,
                            ryoko    => 29191, ryszard  => 27717, ryukyu   => 14186, rzeszow  => 14369,
                            "s.h.i.e.l.d"
                                     => 14363, "s.league"
                                     => 24539,
                            "s.p.a." => 24678, "sa'id"  => 21762, saakashvili
                                     => 25407,
                            saale    => 19971, saalfeld => 29882, saarbrucken
                                     => 14684,
                            saarc    => 28724, saare    => 24981, saarinen => 23335, saarland => 16896,
                            saatchi  => 17753, sabadell => 27045, sabah    => 9017, sabbath  => 7603,
                            sabercats
                                     => 26819, sabha    => 3744,
                            sable    => 9483, saboteurs
                                     => 28243,
                            sabre    => 8505, sabres   => 9306, sabretooth
                                     => 28793,
                            sabri    => 27363, saccharomyces
                                     => 26735,
                            sachem   => 29295, sachin   => 18164, sachsen  => 27328, sachsenhausen
                                     => 26843,
                            sacked   => 5248, sacking  => 12718, sacks    => 6126, sackville
                                     => 13621,
                            sacra    => 22595, sacral   => 20289, sacrament
                                     => 10311,
                            sacramental
                                     => 21272, sacramento
                                     => 4616,
                            sacraments
                                     => 13451, sacred   => 2605,
                            sacrificial
                                     => 13603, sacristy => 17335,
                            sacrum   => 28518, sadar    => 19551, sadat    => 14210, saddleback
                                     => 29379,
                            saddles  => 18379, sadhana  => 24673, sadhu    => 24561, sadiq    => 17347,
                            saeed    => 12363, saens    => 21220, safar    => 28916, safavid  => 14591,
                            safed    => 21790, safeguard
                                     => 11022,
                            safeguarding
                                     => 17787, safeguards
                                     => 15751,
                            safety   => 1122, safeway  => 20054, saffir   => 23144, saffron  => 12614,
                            safina   => 29742, saga     => 5085, sagaing  => 20778, sagami   => 29402,
                            sagan    => 14290, sagar    => 12331, sagas    => 17078, sagebrush
                                     => 18698,
                            sages    => 13998, saginaw  => 12177, sagrada  => 26965, saguenay => 24103,
                            sahara   => 7634, saharan  => 8763, saheb    => 22703, sahel    => 18362,
                            sahib    => 8857, sahih    => 28361, sahitya  => 12801, sahrawi  => 21484,
                            saigon   => 8630, sailed   => 2698, sailing  => 3123, sailors  => 4644,
                            sailplane
                                     => 28284, sails    => 7920,
                            sainsbury
                                     => 14605, saint    => 604,
                            sainte   => 7545, saintes  => 24860, saints   => 2256, saipan   => 10849,
                            saitama  => 13410, sajid    => 29027, sakha    => 17575, sakhalin => 15774,
                            sakura   => 12678, sakya    => 25215, salado   => 29623, salafi   => 28483,
                            salah    => 15074, salam    => 13431, salamander
                                     => 10503,
                            salamanders
                                     => 18755, salamis  => 20496,
                            salar    => 20936, salaried => 20735, salaries => 7660, saldanha => 26298,
                            sale     => 1627, sales    => 1148, salesian => 22666, salford  => 8205,
                            salient  => 11379, salih    => 18203, salim    => 11050, salinity => 11787,
                            salivary => 22411, salix    => 17648, salle    => 7216, salman   => 10762,
                            salmond  => 25027, salon    => 5212, "salon.com"
                                     => 27753,
                            salonika => 23980, salons   => 14527, saloon   => 7177, saloons  => 15795,
                            salt     => 1979, salta    => 18302, salted   => 15739, saltillo => 26536,
                            saltire  => 20915, salto    => 22401, salts    => 8725, saltwater
                                     => 13341,
                            salutes  => 27016, salvadoran
                                     => 12731,
                            salvaged => 11645, salvation
                                     => 5441,
                            salvator => 27689, salve    => 25110, salyut   => 24366, salzburg => 7119,
                            samad    => 24403, samadhi  => 17750, samaj    => 14841, saman    => 29429,
                            samar    => 13520, samaria  => 22029, samaritans
                                     => 24036,
                            samarkand
                                     => 18498, samarra  => 27249,
                            samba    => 11229, sambalpur
                                     => 26067,
                            sambo    => 21943, sambre   => 29394, same     => 127, sameer   => 22114,
                            samhita  => 27844, samiti   => 17708, sammarinese
                                     => 29047,
                            samoa    => 5870, samoan   => 10657, samos    => 20150, sampdoria
                                     => 17731,
                            sampled  => 7686, sampler  => 14058, samplers => 27266, sampling => 6395,
                            sampras  => 24759, samsung  => 7287, samurai  => 6824, san      => 333,
                            "san'a"  => 27177, "sana'a" => 19698, sanam    => 29720, sanatorium
                                     => 13204,
                            sancti   => 22140, sanctification
                                     => 26461,
                            sanctified
                                     => 26508, sanction => 11016,
                            sanctioned
                                     => 6107, sanctioning
                                     => 16566,
                            sanctions
                                     => 6669, sanctorum
                                     => 23599,
                            sanctuaries
                                     => 15389, sanctuary
                                     => 3623,
                            sanctus  => 24287, sandeep  => 26976, sandefjord
                                     => 23306,
                            sandgate => 29599, sandhills
                                     => 29740,
                            sandhurst
                                     => 13552, sandhya  => 23020,
                            sandia   => 20780, sandinista
                                     => 20859,
                            sandomierz
                                     => 19134, sandown  => 15750,
                            sandpiper
                                     => 27383, sandpipers
                                     => 26769,
                            sandringham
                                     => 20359, sandro   => 16416,
                            sandstone
                                     => 4511, sandstones
                                     => 16114,
                            sandwiched
                                     => 19131, sandys   => 24010,
                            sanfl    => 13973, sanga    => 26721, sangam   => 15414, sangamon => 29747,
                            sangeet  => 16245, sangguniang
                                     => 28572,
                            sangh    => 17066, sangha   => 15219, sangre   => 19411, sanhedrin
                                     => 23153,
                            sanitary => 9450, sanitation
                                     => 7012,
                            sanjak   => 15292, sanjay   => 12017, sanjeev  => 26016, sank     => 4751,
                            sankt    => 12838, sanremo  => 16759, sanskrit => 4354, "sant'angelo"
                                     => 25050,
                            santander
                                     => 11288, sante    => 22651,
                            santorum => 21198, santosh  => 21500, santurce => 27647, sanya    => 28032,
                            sanyo    => 25054, saone    => 13068, sapir    => 27168, saplings => 29951,
                            sapper   => 28590, sappers  => 21952, sappho   => 25796, sapporo  => 12752,
                            sarab    => 21155, saracen  => 21845, saracens => 14480, sarada   => 29511,
                            sarajevo => 7060, saranac  => 28653, sarandon => 28161, sarasota => 11947,
                            sarasvati
                                     => 29814, saraswati
                                     => 14012,
                            sarath   => 26728, saratoga => 8679, saratov  => 19597, sarawak  => 8621,
                            sarcastically
                                     => 22628, sarcoma  => 24090,
                            sarcophagi
                                     => 28027, sardar   => 10840,
                            sardasht => 24436, sardinia => 7926, sardinian
                                     => 16030,
                            sardis   => 27561, sardonic => 27731, sargodha => 27833, sargon   => 25677,
                            sargsyan => 27089, sarin    => 26101, sarkar   => 16364, sarkozy  => 15100,
                            sarma    => 28575, saros    => 26856, sarpsborg
                                     => 25846,
                            sarsfield
                                     => 19516, sarthe   => 22310,
                            sartre   => 16248, sarum    => 26954, sasanian => 19789, sascha   => 25441,
                            sasebo   => 15628, sashes   => 29196, saskatchewan
                                     => 3412,
                            saskatoon
                                     => 8923, saskia   => 28436,
                            sassafras
                                     => 29657, sassanid => 13471,
                            sassari  => 26633, sassoon  => 18920, sastri   => 26160, sasuke   => 23843,
                            satanism => 27505, satara   => 24676, satellite
                                     => 1958,
                            satellites
                                     => 5558, sathya   => 24230,
                            satie    => 22308, satire   => 6753, satires  => 21167, satiric  => 25362,
                            satirical
                                     => 6388, satirist => 19657,
                            satirized
                                     => 24318, satisfactorily
                                     => 20462,
                            satisfactory
                                     => 9061, satisfies
                                     => 10819,
                            satish   => 21371, sativa   => 25661, satoru   => 27813, satoshi  => 21215,
                            satrap   => 27130, satsuma  => 17273, saturated
                                     => 9710,
                            saturation
                                     => 12235, saturdays
                                     => 7273,
                            saturn   => 5813, satya    => 17866, satyagraha
                                     => 23181,
                            satyajit => 24708, sauber   => 18185, saudi    => 3149, sault    => 13388,
                            saurashtra
                                     => 23366, sauron   => 17552,
                            sauropod => 24086, sauropods
                                     => 26753,
                            sausalito
                                     => 28859, saussure => 26048,
                            sauvignon
                                     => 14909, savannas => 24966,
                            savile   => 16111, savings  => 4419, savinja  => 24127, savio    => 25958,
                            saviour  => 11816, savitri  => 26867, savoia   => 26071, savona   => 23359,
                            sawai    => 26556, sawmill  => 9022, sawmills => 16345, sawtooth => 17794,
                            saxons   => 9803, saxony   => 4589, saxophone
                                     => 6342,
                            saxophones
                                     => 20585, saxophonist
                                     => 7772,
                            sayed    => 17939, sayid    => 23647, sayings  => 14603, sayyid   => 13473,
                            scaffold => 16422, scalability
                                     => 22732,
                            scalable => 16814, scalar   => 10414, scale    => 1111, scaled   => 7821,
                            scaling  => 9664, scandal  => 3461, scandals => 9999, scandinavia
                                     => 7227,
                            scandinavian
                                     => 6494, scania   => 15140,
                            scanning => 8433, scant    => 16598, scanty   => 26292, scapa    => 19201,
                            scape    => 25567, scapula  => 26581, scapular => 24839, scarab   => 19133,
                            scarcity => 11475, scaritinae
                                     => 29361,
                            scarlets => 26255, scarp    => 22944, scathing => 15670, scattered
                                     => 3891,
                            scattering
                                     => 7786, scavengers
                                     => 23688,
                            scenarios
                                     => 7237, scene    => 937,
                            scenes   => 1613, scenic   => 4699, sceptical
                                     => 17835,
                            scepticism
                                     => 20967, sceptre  => 19705,
                            schaffhausen
                                     => 25711, schalke  => 16153,
                            scharnhorst
                                     => 23851, scheduled
                                     => 1607,
                            scheduler
                                     => 23883, scheduling
                                     => 7207,
                            scheldt  => 22315, schema   => 10993, schemas  => 25718, schematic
                                     => 19246,
                            schembechler
                                     => 29643, scheme   => 1856,
                            schemes  => 4394, schenectady
                                     => 13358,
                            schengen => 18715, scherzinger
                                     => 21139,
                            scherzo  => 23169, schism   => 10182, schist   => 24018, schizophrenia
                                     => 8794,
                            schleswig
                                     => 7956, schneerson
                                     => 28883,
                            schoharie
                                     => 27247, schola   => 25505,
                            scholar  => 2291, scholarly
                                     => 4651,
                            scholars => 1838, scholarship
                                     => 2315,
                            scholarships
                                     => 5733, scholastic
                                     => 8985,
                            school   => 44, schoolboys
                                     => 18903,
                            schoolchildren
                                     => 14901,
                            schoolhouse
                                     => 9508, schooling
                                     => 5359,
                            schoolmaster
                                     => 14018, schoolmate
                                     => 29892,
                            schoolmates
                                     => 28257, schools  => 376,
                            schoolteacher
                                     => 11989, schooner => 7837,
                            schooners
                                     => 19600, schopenhauer
                                     => 20186,
                            schrodinger
                                     => 15315, schule   => 20614,
                            schuylkill
                                     => 13263, schwa    => 29502,
                            schwarzburg
                                     => 29828, schwarzenberg
                                     => 25333,
                            schwarzenegger
                                     => 12532,
                            schwarzkopf
                                     => 27875, schwarzschild
                                     => 27417,
                            schweinfurt
                                     => 27907, schwerin => 15720,
                            schwyz   => 27292, science  => 397, sciences => 1270, scientific
                                     => 1067,
                            scientifically
                                     => 10616,
                            scientist
                                     => 2918, scientists
                                     => 2299,
                            scientologists
                                     => 26279,
                            scientology
                                     => 8022, scilly   => 19535,
                            scimitar => 24003, scindia  => 28217, scion    => 14969, scioto   => 23887,
                            sclerosis
                                     => 11454, scolaire => 29369,
                            scolds   => 27310, scooters => 20679, scoparia => 28524, scope    => 3583,
                            scopula  => 15062, scopus   => 19225, score    => 820, scoreboard
                                     => 12437,
                            scorecards
                                     => 23663, scored   => 632,
                            scoreless
                                     => 9697, scoreline
                                     => 15819,
                            scorer   => 4303, scorers  => 9521, scores   => 2659, scoring  => 1184,
                            scorpions
                                     => 12452, scorsese => 14322,
                            scotia   => 3121, scotiabank
                                     => 29799,
                            scotland => 939, scotrail => 29128, scots    => 4595, scotsman => 13771,
                            scotties => 22189, scottish => 1043, scotts   => 20889, scottsdale
                                     => 14820,
                            "scout.com"
                                     => 29808, scouted  => 15142,
                            scouting => 5335, scouts   => 3993, scrapers => 29982, scrapped => 5449,
                            scrapping
                                     => 11931, screen   => 1409,
                            screened => 4802, screening
                                     => 4281,
                            screenings
                                     => 9162, screenplay
                                     => 3762,
                            screenplays
                                     => 12136, screens  => 5509,
                            screenshots
                                     => 27785, screenwriter
                                     => 4913,
                            screenwriters
                                     => 19056, screenwriting
                                     => 14312,
                            scriabin => 27082, scribe   => 11739, scribes  => 16580, scrimmage
                                     => 15182,
                            scripps  => 11972, script   => 2082, scripted => 8576, scripting
                                     => 12209,
                            scripts  => 5434, scriptural
                                     => 16119,
                            scripture
                                     => 7510, scriptures
                                     => 8274,
                            scriptwriter
                                     => 16695, scrivener
                                     => 16986,
                            scrobipalpa
                                     => 28349, scrolling
                                     => 12097,
                            scrolls  => 10322, scrope   => 25266, scrum    => 13922, scrutiny => 7623,
                            scuderia => 22395, sculls   => 14486, sculpted => 9143, sculpting
                                     => 17617,
                            sculptor => 3995, sculptors
                                     => 10018,
                            sculptural
                                     => 11677, sculpture
                                     => 2501,
                            sculptured
                                     => 20136, sculptures
                                     => 4186,
                            scunthorpe
                                     => 12418, scuola   => 21464,
                            scutari  => 29565, scutellum
                                     => 18334,
                            scuttled => 13612, scylla   => 27749, scythe   => 24071, scythian => 19993,
                            scythians
                                     => 21247, sea      => 416,
                            seabed   => 14014, seabird  => 20034, seabirds => 13009, seaborne => 26206,
                            seacoast => 27874, seacrest => 24164, seafarers
                                     => 20284,
                            seafaring
                                     => 20030, seafloor => 22115,
                            seaford  => 20648, seaforth => 22424, seafront => 22638, seagoing => 21949,
                            seagram  => 29567, seagrass => 26124, seahawks => 7835, seahorse => 24643,
                            sealers  => 28799, sealift  => 25206, sealing  => 9480, seamanship
                                     => 29168,
                            seamen   => 10783, seamless => 14849, seamlessly
                                     => 17449,
                            seamount => 19834, seanad   => 13818, seaplane => 10475, seaplanes
                                     => 19143,
                            seaport  => 11672, seaports => 22884, searchable
                                     => 20250,
                            searchers
                                     => 23673, searches => 7063,
                            searchlight
                                     => 15376, searchlights
                                     => 25525,
                            seas     => 4912, seashore => 15756, seaside  => 7910, season   => 73,
                            seasonal => 4603, seasonally
                                     => 10058,
                            seasoning
                                     => 23258, seasons  => 824,
                            seat     => 660, seater   => 8642, seaters  => 26693, seating  => 4254,
                            seats    => 1332, seaview  => 29156, seawall  => 26836, seaward  => 18844,
                            seawater => 12094, seaway   => 18160, seawolves
                                     => 28794,
                            seaworld => 25037, sebastiao
                                     => 25786,
                            sebastien
                                     => 11324, sebastopol
                                     => 28941,
                            secede   => 19784, seceded  => 17968, secession
                                     => 8125,
                            secessionist
                                     => 19080, second   => 79,
                            seconda  => 23035, secondarily
                                     => 27572,
                            secondary
                                     => 925, seconded => 13426,
                            secretariat
                                     => 5721, secretary
                                     => 695,
                            secrete  => 17567, secreted => 13803, secretion
                                     => 11749,
                            secretory
                                     => 24101, sectarian
                                     => 10299,
                            sectarianism
                                     => 29675, section  => 493,
                            sectional
                                     => 10396, sections => 1689,
                            sector   => 1359, sectoral => 25578, sectors  => 4093, sects    => 10842,
                            secular  => 3841, secularism
                                     => 17307,
                            secularization
                                     => 22168,
                            secularized
                                     => 26902, secunda  => 27272,
                            secunderabad
                                     => 19192, secured  => 2704,
                            secures  => 22908, securing => 5109, securitate
                                     => 27108,
                            securities
                                     => 4457, security => 652,
                            sedaka   => 27959, sedan    => 7052, sedans   => 16185, sedentary
                                     => 15634,
                            sedge    => 15488, sedges   => 28879, sediment => 7385, sedimentary
                                     => 9168,
                            sedimentation
                                     => 16823, sediments
                                     => 7777,
                            sedis    => 19058, sedition => 14886, seditious
                                     => 21418,
                            seed     => 2455, seeded   => 5895, seeding  => 12186, seedling => 23168,
                            seedlings
                                     => 14624, seeds    => 2815,
                            seek     => 2385, seekers  => 9693, seeking  => 2400, seeks    => 4130,
                            seemingly
                                     => 4402, seepage  => 26888,
                            sefer    => 18967, sefid    => 19515, sega     => 6182, segment  => 2461,
                            segmental
                                     => 21459, segmentation
                                     => 16871,
                            segmented
                                     => 14457, segments => 3230,
                            segregated
                                     => 9020, segregation
                                     => 7109,
                            segregationist
                                     => 28699,
                            segunda  => 8171, seibu    => 18653, seigneur => 17718, seiji    => 25225,
                            seiko    => 27784, seine    => 6759, seismic  => 8322, seismology
                                     => 28202,
                            seized   => 3548, sejong   => 28046, sekolah  => 20147, selangor => 11511,
                            selassie => 15703, seldom   => 7297, select   => 2727, selectable
                                     => 24126,
                            selected => 740, selecting
                                     => 7039,
                            selection
                                     => 1584, selections
                                     => 6534,
                            selective
                                     => 5026, selectively
                                     => 12000,
                            selectivity
                                     => 14952, selectmen
                                     => 25756,
                            selector => 12910, selectors
                                     => 12611,
                            selects  => 9968, selenium => 16516, seleucia => 29193, seleucid => 17143,
                            seleucus => 22814, self     => 630, selim    => 14136, seljuk   => 17203,
                            seljuq   => 24362, selkirk  => 14282, seller   => 5918, selling  => 1466,
                            selva    => 21628, selwyn   => 14665, semantic => 7758, semantically
                                     => 24375,
                            semaphore
                                     => 21133, semarang => 23858,
                            sembilan => 20490, semesters
                                     => 13480,
                            semi     => 1133, semicircle
                                     => 25540,
                            semicircular
                                     => 15275, semiconductor
                                     => 7367,
                            semiconductors
                                     => 15097,
                            semifinal
                                     => 6293, semifinalist
                                     => 20808,
                            semifinalists
                                     => 22227, semifinals
                                     => 3825,
                            semigroup
                                     => 22236, seminaire
                                     => 28812,
                            seminal  => 7286, seminarians
                                     => 21497,
                            seminaries
                                     => 14853, seminars => 6176,
                            seminary => 3070, seminole => 9705, seminoles
                                     => 13201,
                            semiotics
                                     => 21688, semisimple
                                     => 28654,
                            semitic  => 7424, semitism => 10650, semitone => 26942, semnan   => 20606,
                            semyon   => 23346, senate   => 988, senator  => 1865, senatorial
                                     => 10646,
                            senators => 3640, sendai   => 14592, sender   => 12858, seneca   => 7915,
                            senecio  => 26389, senegal  => 6448, senegalese
                                     => 13760,
                            seneschal
                                     => 28909, sengoku  => 16046,
                            senhora  => 18651, senior   => 567, seniority
                                     => 9868,
                            seniors  => 6075, senna    => 10240, sensibilities
                                     => 16796,
                            sensibility
                                     => 12730, sensitivities
                                     => 28448,
                            sensor   => 5626, sensors  => 5901, sensory  => 6574, sensu    => 21946,
                            sent     => 512, sentai   => 13848, sentenced
                                     => 2611,
                            sentences
                                     => 4783, sentient => 12715,
                            senussi  => 29192, seong    => 23220, seoul    => 4287, sepahan  => 28056,
                            sepals   => 14264, separable
                                     => 18695,
                            separate => 842, separated
                                     => 1940,
                            separately
                                     => 3901, separates
                                     => 7084,
                            separating
                                     => 6435, separation
                                     => 3344,
                            separations
                                     => 24996, separatism
                                     => 21634,
                            separatist
                                     => 10312, separatists
                                     => 14922,
                            separator
                                     => 18846, sephardi => 19905,
                            sephardic
                                     => 13276, sepia    => 22504,
                            sepinwall
                                     => 26165, sepoys   => 27685,
                            "sept."  => 10057, septa    => 12182, septal   => 28332, september
                                     => 143,
                            septimius
                                     => 25228, septimus => 25749,
                            septuagint
                                     => 17806, sepulchre
                                     => 16419,
                            sepultura
                                     => 27216, sequel   => 3092,
                            sequels  => 8302, sequence => 1825, sequenced
                                     => 14560,
                            sequencer
                                     => 22972, sequences
                                     => 3808,
                            sequencing
                                     => 9268, sequential
                                     => 9084,
                            sequentially
                                     => 16334, sequestration
                                     => 19392,
                            sequoia  => 15782, sequoyah => 27172, seraphim => 23330, serbia   => 2590,
                            serbian  => 2480, serbo    => 14523, serbs    => 6369, serer    => 18820,
                            serfdom  => 19546, serfs    => 16799, serge    => 9608, sergeants
                                     => 14857,
                            sergei   => 6286, sergey   => 9410, sergeyevich
                                     => 22528,
                            sergius  => 18054, serhiy   => 21882, seria    => 25701, serial   => 2931,
                            serialised
                                     => 21373, serialization
                                     => 17080,
                            serialized
                                     => 9460, serials  => 9461,
                            serie    => 3260, series   => 100, serif    => 18044, serine   => 15934,
                            serjeant => 18619, serling  => 25835, sermons  => 8139, serotonin
                                     => 12401,
                            serpent  => 7650, serpentine
                                     => 12919,
                            serpents => 20049, serrated => 17724, serre    => 23453, servant  => 3797,
                            serve    => 931, served   => 193, server   => 3098, servers  => 5770,
                            serves   => 1070, service  => 174, serviced => 8199, serviceman
                                     => 25855,
                            servicemen
                                     => 9482, services => 299,
                            servicing
                                     => 9583, serving  => 789,
                            servo    => 18988, sesame   => 9033, sesquicentennial
                                     => 28425,
                            sessile  => 20777, session  => 1767, sessions => 2295, set      => 201,
                            setae    => 23754, setanta  => 21032, setlist  => 14590, seton    => 10186,
                            sets     => 1433, setter   => 18631, setting  => 1416, settings => 4108,
                            settled  => 1346, settlement
                                     => 994,
                            settlements
                                     => 2547, settler  => 7251,
                            settlers => 2427, setubal  => 22729, setups   => 24467, seung    => 14231,
                            sevastopol
                                     => 13642, seven    => 411,
                            sevenoaks
                                     => 21629, sevens   => 7683,
                            seventeenth
                                     => 6084, seventh  => 1600,
                            several  => 114, severe   => 1927, severely => 3351, severing => 18473,
                            severity => 7600, severn   => 8855, severus  => 14711, seville  => 7460,
                            sevres   => 17808, sewage   => 7657, sewanee  => 21517, sewerage => 15113,
                            sexes    => 7803, sexism   => 15813, sextet   => 17284, sextus   => 21549,
                            sexual   => 1476, sexuality
                                     => 5669,
                            seychelles
                                     => 10168, seyyed   => 15555,
                            shaanxi  => 11396, shabaab  => 19362, shabab   => 24744, shabbat  => 13240,
                            shackleton
                                     => 13454, shacks   => 26335,
                            shaded   => 11287, shading  => 14925, shadowed => 22460, shafi    => 27069,
                            shaftesbury
                                     => 14783, shafts   => 8238,
                            shahar   => 29850, shaheed  => 17045, shahi    => 16410, shahin   => 21810,
                            shahr    => 14905, shahrak  => 16515, shahrukh => 28041, shaka    => 19880,
                            shakespeare
                                     => 3159, shakespearean
                                     => 14594,
                            shakhtar => 18929, shakti   => 12302, shakur   => 16627, shale    => 6696,
                            shales   => 17772, shalit   => 29046, shallower
                                     => 17399,
                            shalom   => 13176, shamanic => 26541, shamanism
                                     => 19527,
                            shamans  => 19046, shamil   => 26854, shamir   => 23697, shamokin => 26291,
                            shamrock => 10191, shamrocks
                                     => 20442,
                            shandong => 9205, shang    => 8008, shanghai => 3146, shankar  => 7284,
                            shankara => 21853, shankill => 23232, shankly  => 29739, shanty   => 20559,
                            shanxi   => 11426, shaolin  => 15209, shape    => 1579, shaped   => 1830,
                            shapes   => 4621, shapur   => 21358, sharad   => 29446, sharapova
                                     => 17649,
                            shard    => 21643, shared   => 1491, shareholder
                                     => 7197,
                            shareholders
                                     => 5833, shareholding
                                     => 15506,
                            shares   => 2294, shareware
                                     => 23552,
                            sharia   => 10817, sharif   => 8062, sharjah  => 16327, sharply  => 6400,
                            sharpness
                                     => 23124, sharpshooter
                                     => 25437,
                            sharqi   => 12947, shashi   => 24914, shastri  => 16848, shaukat  => 29503,
                            shaykh   => 15023, shazam   => 21273, she      => 36, sheaf    => 16847,
                            sheamus  => 26627, shear    => 6797, shearing => 16234, shearwater
                                     => 21812,
                            sheath   => 13265, sheathed => 20529, sheaths  => 25108, sheaves  => 24134,
                            sheboygan
                                     => 19678, shedding => 14533,
                            sheds    => 10061, sheela   => 26054, sheep    => 3403, sheerness
                                     => 22297,
                            sheeting => 23802, sheik    => 15203, sheikh   => 5242, shekhar  => 18282,
                            shelbourne
                                     => 18147, shelling => 11736,
                            shells   => 4403, sheltered
                                     => 8396,
                            sheltering
                                     => 17727, shelters => 6761,
                            shelved  => 10570, shenandoah
                                     => 10763,
                            sheng    => 7260, shenhua  => 27570, shenyang => 16400, shenzhen => 10394,
                            shepparton
                                     => 26844, shepperton
                                     => 28776,
                            sherbrooke
                                     => 14401, sheriffs => 15085,
                            sheringham
                                     => 23944, shetland => 9120,
                            shetty   => 16052, sheung   => 28531, sheva    => 22155, shevchenko
                                     => 17378,
                            shewa    => 27960, sheykh   => 18350, "shi'a"  => 15078, "shi'ar" => 28899,
                            "shi'ite"
                                     => 26941, shias    => 26990,
                            shibuya  => 18840, shield   => 2808, shielded => 16229, shifted  => 3543,
                            shifting => 5863, shiga    => 20253, shigeru  => 21054, shiite   => 17563,
                            shijiazhuang
                                     => 23446, shiki    => 28866,
                            shikoku  => 18089, shillong => 21795, shilpa   => 29403, shimane  => 28444,
                            shimazu  => 27582, shimbun  => 20717, shimin   => 24571, shimla   => 21323,
                            shimon   => 16760, shinawatra
                                     => 26868,
                            shinde   => 27209, shing    => 19783, shingle  => 13251, shingled => 26903,
                            shingles => 15077, shingo   => 26053, shinji   => 18425, shinjuku => 18004,
                            shinkansen
                                     => 15844, shinto   => 12126,
                            shinty   => 22084, ship     => 552, shipboard
                                     => 22052,
                            shipbuilder
                                     => 20883, shipbuilders
                                     => 18512,
                            shipbuilding
                                     => 5953, shipments
                                     => 9071,
                            shipowner
                                     => 27877, shippers => 28577,
                            shipping => 2805, ships    => 876, shipwreck
                                     => 11756,
                            shipwrecks
                                     => 12944, shipyard => 5149,
                            shipyards
                                     => 10395, shiraz   => 13172,
                            shirazi  => 24774, shire    => 4907, shirin   => 18519, shirvan  => 24020,
                            shiva    => 4695, shivaji  => 13143, shizuoka => 15042, shkoder  => 19632,
                            shlomo   => 15337, shmuel   => 18478, shoal    => 14206, shoals   => 11681,
                            shockwave
                                     => 16078, shogakukan
                                     => 22203,
                            shoghi   => 28117, shogi    => 22381, shogun   => 11964, shogunate
                                     => 11199,
                            shoji    => 24616, shojo    => 17159, shomali  => 16225, shonen   => 11767,
                            shootings
                                     => 11411, shooto   => 20008,
                            shootout => 6955, shops    => 2689, shore    => 1930, shorea   => 29595,
                            shorebirds
                                     => 23758, shoreditch
                                     => 22321,
                            shoreham => 19355, shoreline
                                     => 7308,
                            shorelines
                                     => 25723, short    => 307,
                            shortage => 6137, shortages
                                     => 8207,
                            shorten  => 14482, shortened
                                     => 4744,
                            shortening
                                     => 13035, shortest => 7776,
                            shortfall
                                     => 18434, shortfalls
                                     => 29541,
                            shortland
                                     => 20402, shortlist
                                     => 13767,
                            shortlisted
                                     => 9271, shortly  => 986,
                            shortstop
                                     => 8884, shortwave
                                     => 15504,
                            shoshone => 16324, shostakovich
                                     => 15066,
                            shoten   => 23208, shotokan => 29305, shouldered
                                     => 20665,
                            show     => 170, showa    => 17935, showcase => 5207, showcased
                                     => 8314,
                            showcases
                                     => 9625, showcasing
                                     => 10078,
                            showdown => 9545, showground
                                     => 26972,
                            showgrounds
                                     => 28833, showings => 16810,
                            shown    => 773, showrooms
                                     => 22734,
                            showrunner
                                     => 20225, shows    => 530,
                            shrank   => 20142, shree    => 13971, shreveport
                                     => 8979,
                            shrews   => 20337, shrewsbury
                                     => 6709,
                            shri     => 6098, shrike   => 19472, shrikes  => 26286, shrimps  => 27924,
                            shrine   => 3682, shrines  => 8177, shrub    => 6773, shrubby  => 27097,
                            shrubland
                                     => 12981, shrublands
                                     => 27798,
                            shrubs   => 7792, shruti   => 26948, shuang   => 22799, shueisha => 22755,
                            shuja    => 27112, shunting => 15920, shura    => 20025, shusha   => 24890,
                            shutdown => 10636, shutout  => 9883, shutouts => 12187, shutter  => 11514,
                            shuttered
                                     => 22397, shuttle  => 4388,
                            shyam    => 15869, sialkot  => 19429, siauliai => 26175, sibelius => 16300,
                            sibenik  => 24009, siberia  => 6583, siberian => 8209, sibiu    => 19895,
                            siblings => 4060, sichuan  => 8040, sicilia  => 27095, sicilian => 8312,
                            sicilies => 19030, sicily   => 4470, sickle   => 12861, siddeley => 16994,
                            siddha   => 26109, siddharth
                                     => 20669,
                            siddhartha
                                     => 24740, side     => 231,
                            sided    => 4580, sideline => 12354, sidelined
                                     => 10750,
                            sideman  => 15858, sides    => 1304, sidings  => 11043, sidon    => 19009,
                            siecle   => 22367, siedlce  => 22366, siege    => 2265, siegen   => 21493,
                            sieges   => 18264, siena    => 8745, sieradz  => 22965, sieur    => 23203,
                            sighted  => 7763, sigint   => 25373, sigismund
                                     => 9602,
                            sigma    => 5504, sigmaringen
                                     => 29052,
                            signage  => 10174, signal   => 1552, signaled => 13044, signaling
                                     => 6449,
                            signalled
                                     => 14554, signalling
                                     => 8222,
                            signalman
                                     => 26777, signals  => 2999,
                            signatories
                                     => 10844, signatory
                                     => 13093,
                            signatures
                                     => 6679, signed   => 412,
                            signer   => 20968, signers  => 21685, signet   => 24441, significance
                                     => 2512,
                            significant
                                     => 627, significantly
                                     => 1955,
                            signified
                                     => 14880, signifies
                                     => 11789,
                            signify  => 11358, signifying
                                     => 12158,
                            signing  => 2300, signings => 11934, sigurd   => 13560, sihanouk => 18622,
                            sikandar => 28589, sikh     => 6209, sikhism  => 16628, sikhs    => 8815,
                            sikkim   => 10703, sikorsky => 15398, silat    => 27941, silencing
                                     => 18750,
                            silesia  => 7610, silesian => 6069, silhouette
                                     => 11861,
                            silhouettes
                                     => 23244, silica   => 11397,
                            silicate => 17599, silicon  => 5225, silicone => 17209, siliguri => 28364,
                            silla    => 12381, siltstone
                                     => 28986,
                            silurian => 15629, silver   => 863, silverbacks
                                     => 25337,
                            silverstone
                                     => 13440, silverton
                                     => 22937,
                            silvery  => 12979, silvio   => 11682, simca    => 24869, simcoe   => 13992,
                            simeon   => 9171, simferopol
                                     => 26173,
                            similar  => 371, similarities
                                     => 4658,
                            similarity
                                     => 5488, similarly
                                     => 2279,
                            simla    => 26739, simplex  => 12195, simplicial
                                     => 26994,
                            simplicity
                                     => 7205, simplification
                                     => 15575,
                            simplified
                                     => 5765, simplifies
                                     => 19018,
                            simplify => 11738, simplifying
                                     => 18495,
                            simply   => 1146, simpsons => 6741, simran   => 29066, simulate => 9403,
                            simulated
                                     => 8690, simulating
                                     => 16208,
                            simulation
                                     => 5045, simulations
                                     => 9315,
                            simulators
                                     => 16571, simulcast
                                     => 7861,
                            simulcasting
                                     => 16522, simulcasts
                                     => 21260,
                            simultaneous
                                     => 6736, simultaneously
                                     => 2864,
                            sinai    => 7640, sinaloa  => 13978, sinan    => 19579, sinbad   => 20972,
                            since    => 103, sindh    => 7239, sindhi   => 12860, sindhu   => 26629,
                            sinead   => 17120, sinensis => 22950, sinestro => 20800, sinfonia => 17166,
                            sinfonietta
                                     => 24076, singapore
                                     => 1658,
                            singaporean
                                     => 10116, singaporeans
                                     => 21698,
                            singer   => 716, "singer/guitarist"
                                     => 26008,
                            "singer/songwriter"
                                     => 10752,
                            singers  => 3102, singha   => 19924, single   => 183, singled  => 9576,
                            singles  => 769, singlet  => 29347, singly   => 14752, sings    => 4502,
                            singular => 5356, singularities
                                     => 23248,
                            singularity
                                     => 14497, sinhala  => 13527,
                            sinhalese
                                     => 13564, sinkhole => 26779,
                            sinuous  => 23001, sinusoidal
                                     => 24750,
                            siochana => 29758, sioux    => 6455, siouxsie => 23633, sired    => 10727,
                            sirius   => 8354, sirjan   => 28176, sirte    => 29711, siskiyou => 25209,
                            sistan   => 12213, sistema  => 22144, sitar    => 17129, sitcom   => 4720,
                            sitcoms  => 13316, site     => 304, sited    => 9772, sites    => 1176,
                            siting   => 23343, sitio    => 26751, sitka    => 18051, sittings => 25202,
                            situated => 1092, situational
                                     => 15790,
                            situations
                                     => 3156, sivaji   => 21137,
                            sivan    => 23226, six      => 247, sixers   => 24284, sixteenth
                                     => 5930,
                            sixth    => 1235, sixtus   => 19067, siyuan   => 23567, size     => 491,
                            sizeable => 11600, sized    => 2921, sizes    => 4238, skagen   => 24456,
                            skagit   => 25739, skanderbeg
                                     => 17265,
                            skane    => 19371, skateboarder
                                     => 22461,
                            skateboarding
                                     => 12430, skatepark
                                     => 29358,
                            skater   => 7164, skaters  => 8492, skating  => 3362, skeletal => 8782,
                            skeleton => 5793, skene    => 23999, skepticism
                                     => 11172,
                            skeptics => 17189, skien    => 25860, skier    => 8141, skiers   => 12648,
                            skilful  => 19900, skill    => 3498, skilled  => 4410, skillful => 13503,
                            skills   => 1612, skinhead => 29562, skink    => 16029, skippers => 21692,
                            skipton  => 21476, skirmish => 10207, skirmishers
                                     => 29033,
                            skirmishes
                                     => 11575, skirmishing
                                     => 25731,
                            skirting => 25581, skits    => 15357, skoda    => 13504, skopje   => 11026,
                            skrull   => 21248, skunks   => 28296, skyhawks => 28395, skylab   => 25022,
                            skylark  => 22878, skylights
                                     => 27029,
                            skyline  => 8797, skynyrd  => 23831, skype    => 16134, skyrocketed
                                     => 26387,
                            skyscraper
                                     => 8831, skyscrapers
                                     => 12176,
                            skytrain => 21275, skyway   => 20628, slabs    => 11890, slain    => 8591,
                            slalom   => 6868, slang    => 7833, slapstick
                                     => 15962,
                            slated   => 6894, slatina  => 27851, slats    => 24264, slava    => 27067,
                            slave    => 2790, slaveholders
                                     => 28344,
                            slavery  => 3363, slaves   => 2806, slavia   => 17287, slavic   => 4934,
                            slavonia => 14882, slavonic => 13567, slavs    => 10500, sleaford => 23634,
                            sleeved  => 24135, slender  => 6046, sliders  => 24518, slightly => 1515,
                            sligo    => 10454, slims    => 24622, slipknot => 20601, slipstream
                                     => 28293,
                            slipway  => 27207, slits    => 16288, sloboda  => 23794, slobodan => 16159,
                            slogan   => 5333, slogans  => 11012, sloop    => 9224, sloops   => 20642,
                            slope    => 4350, sloped   => 17345, slopes   => 3910, sloping  => 10398,
                            slot     => 4135, sloths   => 29836, slotted  => 18547, slovak   => 4961,
                            slovakia => 4168, slovakian
                                     => 20309,
                            slovaks  => 18710, slovan   => 19262, slovene  => 7852, slovenes => 14520,
                            slovenia => 3754, slovenian
                                     => 6175,
                            slowdown => 22611, slowed   => 7283, slower   => 5612, slugging => 13274,
                            sluice   => 18400, slums    => 12911, slupsk   => 20461, slurry   => 19748,
                            slurs    => 28033, smackdown
                                     => 8645,
                            smaland  => 28502, small    => 186, smaller  => 982, smallest => 4226,
                            smallholders
                                     => 27284, smallmouth
                                     => 27386,
                            smallpox => 9320, smalltalk
                                     => 27421,
                            smallville
                                     => 16333, smartphone
                                     => 10927,
                            smartphones
                                     => 12321, smeaton  => 27273,
                            smederevo
                                     => 28801, smelter  => 15811,
                            smelting => 12631, smethwick
                                     => 28867,
                            smirnov  => 20516, smithfield
                                     => 14077,
                            smiths   => 11824, smithsonian
                                     => 6614,
                            smokehouse
                                     => 23414, smokeless
                                     => 21954,
                            smoky    => 10992, smolensk => 13624, smoothbore
                                     => 27415,
                            smoothness
                                     => 24432, smurf    => 21334,
                            smurfs   => 22064, smuts    => 19960, smyrna   => 12495, snail    => 3805,
                            snails   => 4512, snares   => 27219, snippet  => 23685, snippets => 19788,
                            snohomish
                                     => 24035, snooker  => 9265,
                            snoqualmie
                                     => 29986, snorna   => 27850,
                            snorri   => 19318, snout    => 7208, snowboard
                                     => 16355,
                            snowboarder
                                     => 25622, snowboarding
                                     => 13211,
                            snowdon  => 23654, snowdonia
                                     => 27705,
                            snowfall => 9960, snowshoe => 29496, snowy    => 9988, soane    => 28062,
                            soared   => 16993, sobre    => 26553, sobriquet
                                     => 22623,
                            soccer   => 1365, sochaux  => 28779, sochi    => 11723, social   => 323,
                            socialism
                                     => 5500, socialist
                                     => 1953,
                            socialists
                                     => 7778, socialite
                                     => 13121,
                            socialization
                                     => 18236, socially => 5666,
                            sociedad => 13293, sociedade
                                     => 28330,
                            societa  => 19317, societal => 8784, societe  => 7992, societies
                                     => 2922,
                            society  => 308, socio    => 6703, sociocultural
                                     => 29438,
                            socioeconomic
                                     => 10375, sociological
                                     => 9305,
                            sociologist
                                     => 9442, sociologists
                                     => 16653,
                            sociology
                                     => 4546, sociopolitical
                                     => 27056,
                            sockers  => 29380, socon    => 28943, socrates => 9763, socratic => 24688,
                            soderbergh
                                     => 27436, sodermanland
                                     => 28673,
                            sodium   => 4993, sodom    => 21085, sodomy   => 15454, sodor    => 26694,
                            sodra    => 21319, sofer    => 26397, sofie    => 27849, sofla    => 6839,
                            softball => 5027, software => 916, sohrab   => 27453, soil     => 2010,
                            soils    => 5164, soissons => 22578, sojourn  => 17625, sokolka  => 24195,
                            sokolov  => 21984, sokolow  => 25306, sokoto   => 22394, solanum  => 23378,
                            solapur  => 26830, solar    => 2055, sold     => 436, solder   => 19612,
                            soldering
                                     => 24166, soldier  => 2269,
                            soldiers => 977, sole     => 2598, soleil   => 14213, solely   => 3667,
                            solent   => 20122, soleyman => 26907, solicited
                                     => 14932,
                            solicitor
                                     => 6144, solicitors
                                     => 14357,
                            solidarity
                                     => 5851, solidified
                                     => 13529,
                            solidifying
                                     => 28777, solidly  => 16971,
                            solids   => 9695, solihull => 17435, solo     => 1095, soloist  => 6702,
                            soloists => 10941, solomons => 15900, solon    => 17239, solos    => 9286,
                            solothurn
                                     => 22076, solstice => 13601,
                            solubility
                                     => 14970, soluble  => 8548,
                            solute   => 20792, solution => 1911, solutions
                                     => 2477,
                            solvable => 23642, solvay   => 27675, solvent  => 8423, solvents => 12558,
                            solver   => 24710, solvers  => 28163, solving  => 5522, solway   => 23014,
                            solzhenitsyn
                                     => 27734, somali   => 6683,
                            somalia  => 5526, somaliland
                                     => 14172,
                            somalis  => 23545, somatic  => 15238, sombra   => 23228, sombre   => 25320,
                            some     => 55, somerset => 3261, somerton => 29789, somewhat => 1954,
                            somme    => 9026, somoza   => 22909, sonata   => 7364, sonatas  => 12716,
                            sondheim => 16034, song     => 160, songbird => 22543, songbirds
                                     => 25754,
                            songbook => 16240, songs    => 389, songwriter
                                     => 2416,
                            songwriters
                                     => 7889, songwriting
                                     => 5744,
                            songz    => 28642, sonic    => 5103, sonically
                                     => 29900,
                            sonoma   => 10649, sonora   => 9842, sonoran  => 20616, sons     => 1166,
                            sony     => 3252, sooners  => 13059, soong    => 25468, sooty    => 19204,
                            sophocles
                                     => 21361, sophomores
                                     => 18875,
                            sopot    => 24819, sopra    => 28703, soprano  => 5483, sopron   => 28019,
                            sopwith  => 16654, sorbonne => 10654, sorceress
                                     => 18032,
                            sorcery  => 13535, soren    => 14625, sorghum  => 15933, sorin    => 26661,
                            sorkh    => 25388, sorrento => 20961, sortable => 27477, sortie   => 15244,
                            sortied  => 22679, sorties  => 10804, sotheby  => 15932, sotho    => 29658,
                            sought   => 1577, soulful  => 13643, soult    => 22904, soundcloud
                                     => 20484,
                            sounders => 14034, soundgarden
                                     => 21822,
                            soundness
                                     => 29594, soundscan
                                     => 17973,
                            soundscape
                                     => 27283, soundscapes
                                     => 25310,
                            soundtrack
                                     => 1841, soundtracks
                                     => 7908,
                            soundwave
                                     => 22427, souness  => 29566,
                            source   => 721, sourced  => 8757, sources  => 1004, sourcing => 16037,
                            souris   => 27892, south    => 81, southampton
                                     => 4232,
                            southbank
                                     => 24556, southbound
                                     => 7406,
                            southeast
                                     => 1353, southeasterly
                                     => 24910,
                            southeastern
                                     => 2793, southeastward
                                     => 24999,
                            southend => 9006, southerly
                                     => 12657,
                            southern => 336, southerners
                                     => 15603,
                            southernmost
                                     => 7927, southfield
                                     => 25000,
                            southgate
                                     => 16643, southland
                                     => 10501,
                            southport
                                     => 9642, souths   => 25994,
                            southside
                                     => 13892, southward
                                     => 8066,
                            southwards
                                     => 10635, southwark
                                     => 10921,
                            southwest
                                     => 1502, southwesterly
                                     => 27517,
                            southwestern
                                     => 3014, southwestward
                                     => 26293,
                            sovereign
                                     => 4103, sovereigns
                                     => 18863,
                            sovereignty
                                     => 4647, soviet   => 664,
                            soviets  => 5490, sowerby  => 27439, soweto   => 20413, soybean  => 16706,
                            soybeans => 17514, soyuz    => 9558, space    => 455, spacecraft
                                     => 4369,
                            spaced   => 8475, spaceflight
                                     => 12878,
                            spaceport
                                     => 26005, spacer   => 27702,
                            spaces   => 2750, spaceships
                                     => 25792,
                            spacetime
                                     => 12681, spacewalk
                                     => 23701,
                            spacex   => 17925, spacing  => 10537, spacious => 10241, spadina  => 23966,
                            spain    => 836, span     => 3284, spandau  => 21554, spaniards
                                     => 7534,
                            spanish  => 546, spanned  => 7133, spanning => 5256, spans    => 5535,
                            sparc    => 25299, spares   => 17224, sparingly
                                     => 16495,
                            sparked  => 6234, sparking => 13906, sparrows => 12756, spars    => 19387,
                            sparse   => 8589, sparsely => 9362, sparta   => 7766, spartak  => 10684,
                            spartan  => 8561, spartanburg
                                     => 17990,
                            spartans => 8458, spassky  => 28477, spatial  => 5261, spatially
                                     => 19291,
                            spawned  => 6486, spawning => 9609, speaker  => 2137, speakers => 2777,
                            spearhead
                                     => 15758, spearheaded
                                     => 9436,
                            spearheading
                                     => 26377, special  => 358,
                            specialisation
                                     => 22785,
                            specialised
                                     => 6409, specialises
                                     => 11083,
                            specialising
                                     => 8555, specialist
                                     => 3088,
                            specialists
                                     => 6001, specialities
                                     => 21808,
                            specialization
                                     => 9817, specializations
                                     => 20300,
                            specialized
                                     => 2666, specializes
                                     => 6085,
                            specializing
                                     => 5204, specially
                                     => 4405,
                            specialties
                                     => 10244, speciation
                                     => 19200,
                            specie   => 25599, species  => 205, specific => 827, specifically
                                     => 1489,
                            specification
                                     => 4627, specifications
                                     => 5072,
                            specificity
                                     => 11152, specified
                                     => 3629,
                            specifies
                                     => 9519, specify  => 7646,
                            specifying
                                     => 12032, specimen => 4747,
                            specimens
                                     => 3630, speckled => 15986,
                            spectators
                                     => 4775, spectral => 6858,
                            spectre  => 14563, spectrometer
                                     => 16048,
                            spectrometry
                                     => 15253, spectroscopic
                                     => 18010,
                            spectroscopy
                                     => 9184, spectrum => 3240,
                            speculated
                                     => 5875, speculates
                                     => 16395,
                            speculation
                                     => 4654, speculations
                                     => 15106,
                            speculative
                                     => 9137, speculator
                                     => 24704,
                            speculators
                                     => 19744, speechwriter
                                     => 28222,
                            speed    => 776, speeds   => 4146, speedway => 3816, speke    => 26861,
                            spelled  => 4236, spelling => 3954, spellings
                                     => 10538,
                            spelt    => 10689, spent    => 666, speyer   => 14500, spezia   => 19566,
                            sphere   => 4263, spheres  => 8088, spherical
                                     => 6977,
                            sphingidae
                                     => 18046, spikelets
                                     => 29818,
                            spillway => 14939, spindle  => 10866, spindles => 22806, spines   => 7954,
                            spinners => 15908, spinoff  => 14004, spinola  => 24531, spinose  => 19177,
                            spinoza  => 18055, spiny    => 12512, spiral   => 5568, spirally => 28612,
                            spire    => 8016, spiritual
                                     => 2167,
                            spiritualism
                                     => 20230, spiritualist
                                     => 22459,
                            spirituality
                                     => 7937, spirituals
                                     => 25014,
                            spirou   => 23459, spitfire => 10688, spitfires
                                     => 14427,
                            spitsbergen
                                     => 18912, splendour
                                     => 18937,
                            split    => 1190, splits   => 7418, splitter => 22783, spoiler  => 15317,
                            spoilers => 24408, spokane  => 8076, spokesman
                                     => 5312,
                            spokesperson
                                     => 6317, spokeswoman
                                     => 16417,
                            spoleto  => 18293, spongebob
                                     => 15037,
                            sponheim => 26341, sponsor  => 3972, sponsored
                                     => 2095,
                            sponsors => 4535, sponsorship
                                     => 4196,
                            sponsorships
                                     => 16826, spoof    => 11594,
                            spoofed  => 25982, spoofing => 25857, spoofs   => 29966, spoonbills
                                     => 24969,
                            sporadic => 9132, sporadically
                                     => 10690,
                            spore    => 11837, spores   => 8836, sport    => 1179, sported  => 16314,
                            sportif  => 27483, sporting => 2634, sportiva => 29034, sportive => 17777,
                            sportivo => 27275, sports   => 490, sportscar
                                     => 16937,
                            sportscaster
                                     => 15497, sportscenter
                                     => 23637,
                            sportsman
                                     => 9653, sportsmen
                                     => 16525,
                            sportsnet
                                     => 15862, sportsperson
                                     => 19757,
                            sportswriter
                                     => 17429, sportswriters
                                     => 23185,
                            spotify  => 21919, spots    => 3194, spotsylvania
                                     => 23102,
                            sprang   => 12165, sprawling
                                     => 13284,
                            spread   => 1114, spreads  => 9674, spring   => 856, "spring/summer"
                                     => 26552,
                            springboard
                                     => 12867, springbok
                                     => 20709,
                            springboks
                                     => 18640, springdale
                                     => 22479,
                            springs  => 2098, springsteen
                                     => 9394,
                            springville
                                     => 28841, sprint   => 3570,
                            sprinter => 8863, sprinters
                                     => 20543,
                            sprinting
                                     => 22490, sprints  => 15980,
                            sprites  => 17413, sprocket => 24802, spruce   => 7846, spur     => 5137,
                            spurious => 16402, spurned  => 27666, spurred  => 9112, spurring => 28670,
                            spurs    => 7082, sputnik  => 16648, sputnikmusic
                                     => 28389,
                            spvgg    => 22013, spyder   => 23801, spyware  => 24602, squad    => 1427,
                            squadron => 1016, squadrons
                                     => 4076,
                            squads   => 6834, squamish => 25849, squamous => 22825, square   => 535,
                            squarepants
                                     => 22020, squares  => 5910,
                            srebrenica
                                     => 20242, sridevi  => 27687,
                            sridhar  => 29905, srinagar => 15815, srinivas => 22746, srinivasa
                                     => 19948,
                            srivijaya
                                     => 27214, sroda    => 25996,
                            srpska   => 11905, "st."    => 328, staatsoper
                                     => 29015,
                            stabaek  => 27240, stabilisation
                                     => 24610,
                            stabilise
                                     => 23931, stabilised
                                     => 21534,
                            stability
                                     => 3486, stabilization
                                     => 10163,
                            stabilizer
                                     => 16068, stabilizers
                                     => 24528,
                            stabilizes
                                     => 29229, stable   => 2448,
                            staccato => 24406, stade    => 7355, stadia   => 19950, stadio   => 16346,
                            stadion  => 10014, stadium  => 727, stadiums => 8597, stadt    => 15873,
                            stadtbahn
                                     => 20437, stadtholder
                                     => 23766,
                            staff    => 619, staffed  => 7972, staffel  => 26152, staffing => 12676,
                            staffordshire
                                     => 6269, staffs   => 13248,
                            stage    => 448, stagecoach
                                     => 9175,
                            staged   => 3635, stages   => 1874, staggered
                                     => 11973,
                            staging  => 5940, stagnant => 16793, stagnated
                                     => 27573,
                            stagnation
                                     => 15711, stags    => 18624,
                            stained  => 5387, staines  => 18407, staining => 15063, stainless
                                     => 8306,
                            staircase
                                     => 6533, staircases
                                     => 15360,
                            stairways
                                     => 22860, stakeholder
                                     => 17280,
                            stakeholders
                                     => 8717, stakes   => 3063,
                            stalag   => 21473, stalemate
                                     => 13139,
                            stalin   => 5007, stalingrad
                                     => 13720,
                            stalinism
                                     => 23809, stalinist
                                     => 14455,
                            stallions
                                     => 13217, stalls   => 8920,
                            stalwarts
                                     => 23174, stalybridge
                                     => 23476,
                            stamens  => 12641, stamford => 8064, stampeders
                                     => 13730,
                            stamping => 17658, stance   => 4984, stances  => 16725, standalone
                                     => 10105,
                            standard => 573, standardisation
                                     => 21969,
                            standardised
                                     => 14339, standardization
                                     => 9828,
                            standardize
                                     => 19765, standardized
                                     => 5968,
                            standards
                                     => 1364, standings
                                     => 4467,
                            standout => 10095, stands   => 1746, standstill
                                     => 18095,
                            stanislas
                                     => 19978, stanislaus
                                     => 14278,
                            stanislav
                                     => 15552, stanislaw
                                     => 8871,
                            stankovic
                                     => 28915, stanmore => 28324,
                            stansted => 22612, stanwyck => 28088, stanza   => 10585, stanzas  => 13530,
                            staphylococcus
                                     => 21531,
                            staple   => 6931, star     => 460, stara    => 12943, starch   => 11372,
                            starcraft
                                     => 22568, stardom  => 11966,
                            stardust => 13866, starfire => 22438, starfish => 16303, starfleet
                                     => 23337,
                            stargard => 24747, stari    => 24611, starlings
                                     => 24818,
                            starred  => 1743, starrer  => 27639, starring => 1379, stars    => 802,
                            starscream
                                     => 17769, starship => 12059,
                            starstruck
                                     => 28609, started  => 274,
                            starter  => 4605, startup  => 8867, startups => 15218, starvation
                                     => 9254,
                            stary    => 16209, starz    => 18837, stasi    => 19496, state    => 60,
                            "state-of-the-art"
                                     => 8218,
                            stated   => 590, statehood
                                     => 9309,
                            stateless
                                     => 19212, stately  => 13872,
                            statements
                                     => 3188, states   => 83,
                            statesman
                                     => 6780, statesmen
                                     => 16258,
                            statewide
                                     => 5144, static   => 4858,
                            stating  => 1805, station  => 130, stationary
                                     => 6862,
                            stationed
                                     => 3401, stationers
                                     => 26258,
                            stations => 792, statistic
                                     => 12170,
                            statistical
                                     => 2553, statistically
                                     => 10317,
                            statistician
                                     => 16166, statisticians
                                     => 26133,
                            statistics
                                     => 1891, statny   => 25131,
                            stato    => 24605, statoil  => 28103, stator   => 25563, statue   => 2445,
                            statues  => 4848, statuette
                                     => 22531,
                            statuettes
                                     => 29154, stature  => 8625,
                            status   => 742, statute  => 4223, statutes => 6666, statutory
                                     => 5518,
                            staunch  => 9546, staunchly
                                     => 19567,
                            staunton => 13393, stavanger
                                     => 12181,
                            stave    => 14509, staves   => 25053, stavropol
                                     => 25347,
                            steadfastly
                                     => 28193, steadily => 5322,
                            steam    => 1922, steamboat
                                     => 8646,
                            steamboats
                                     => 16682, steamer  => 7022,
                            steamers => 11781, steampunk
                                     => 21721,
                            steamship
                                     => 8246, steamships
                                     => 17694,
                            steaua   => 15421, steel    => 1284, steelers => 5878, steelhead
                                     => 20979,
                            steels   => 18154, steelworks
                                     => 20784,
                            steep    => 4096, steeped  => 19248, steeper  => 18936, steepest => 23450,
                            steeple  => 13465, steeplechase
                                     => 11425,
                            steeply  => 11702, steering => 4729, steinitz => 25819, steinway => 18724,
                            stela    => 16471, stelae   => 22429, stele    => 14626, stellar  => 7134,
                            stellenbosch
                                     => 20598, stem     => 2971,
                            stemmed  => 10898, stemming => 10135, stems    => 4370, stena    => 21466,
                            stencil  => 24214, stenosis => 20649, stent    => 25377, stepan   => 18189,
                            steppenwolf
                                     => 24097, steppes  => 17053,
                            stereoscopic
                                     => 19621, stereotyped
                                     => 21769,
                            stereotypes
                                     => 8660, stereotypical
                                     => 11941,
                            steric   => 25891, sterilization
                                     => 14640,
                            sterne   => 25283, sternites
                                     => 13442,
                            stettin  => 15573, steuben  => 19343, steubenville
                                     => 25687,
                            stevan   => 27987, stevenage
                                     => 11649,
                            stewards => 14115, stewardship
                                     => 10743,
                            stews    => 29823, steyn    => 24658, steyr    => 21201, stichting
                                     => 29656,
                            stiffened
                                     => 28211, stiffness
                                     => 13927,
                            stifled  => 29068, stiftung => 22719, stigma   => 10553, stigmella
                                     => 22357,
                            stillborn
                                     => 20314, stilt    => 25478,
                            stimulants
                                     => 26382, stimulate
                                     => 8556,
                            stimulated
                                     => 9085, stimulates
                                     => 15833,
                            stimulation
                                     => 7967, stimuli  => 8121,
                            stimulus => 6775, stingers => 24254, stinging => 15788, stingray => 15048,
                            stingrays
                                     => 20505, stint    => 4277,
                            stints   => 10269, stipend  => 15332, stipulated
                                     => 9243,
                            stipulates
                                     => 17635, stipulating
                                     => 29408,
                            stipulations
                                     => 23539, stirling => 6053,
                            stirlingshire
                                     => 22037, stirner  => 24769,
                            stjepan  => 22781, stobart  => 26444, stochastic
                                     => 11130,
                            stock    => 1331, stockade => 16214, stockhausen
                                     => 16296,
                            stockholm
                                     => 3423, stockpiles
                                     => 28079,
                            stockport
                                     => 8840, stockyards
                                     => 27320,
                            stoichiometric
                                     => 29110,
                            stoke    => 4545, stokowski
                                     => 27125,
                            stolberg => 24447, stonehenge
                                     => 17168,
                            stonemason
                                     => 21895, stones   => 2715,
                            stoneware
                                     => 29414, stonework
                                     => 16349,
                            stoning  => 25186, stonington
                                     => 28311,
                            stony    => 7755, stopover => 19645, stoppage => 12654, stoppard => 26569,
                            stora    => 23694, storage  => 1944, stored   => 3221, storefronts
                                     => 23182,
                            storehouse
                                     => 20011, storekeeper
                                     => 28958,
                            stores   => 1641, storeyed => 19221, storeys  => 10768, storia   => 27747,
                            storied  => 13861, stories  => 905, storing  => 9250, storks   => 17894,
                            storm    => 1317, stormont => 22570, stormwater
                                     => 19365,
                            stornoway
                                     => 28592, stortford
                                     => 26592,
                            story    => 318, storyboard
                                     => 19816,
                            storyboards
                                     => 29081, storyline
                                     => 3512,
                            storylines
                                     => 6782, storyteller
                                     => 14562,
                            storytellers
                                     => 22959, storytelling
                                     => 8395,
                            stosur   => 22716, stour    => 20746, stourbridge
                                     => 19665,
                            stoves   => 16758, strabane => 28709, strabo   => 13556, strachey => 24123,
                            strada   => 24751, straddled
                                     => 29547,
                            straddles
                                     => 15875, stradivarius
                                     => 29089,
                            strafed  => 27669, strafford
                                     => 22443,
                            strafing => 20429, strains  => 7484, straits  => 7107, stralsund
                                     => 21140,
                            stranding
                                     => 29952, strands  => 9612,
                            stranraer
                                     => 21661, strasberg
                                     => 25409,
                            strasbourg
                                     => 7097, strasse  => 12697,
                            strata   => 8727, strategic
                                     => 2038,
                            strategically
                                     => 9297, strategies
                                     => 3785,
                            strategist
                                     => 12837, strategists
                                     => 27653,
                            strategy => 1951, stratford
                                     => 6887,
                            strathclyde
                                     => 14799, strathcona
                                     => 19147,
                            strathmore
                                     => 22069, stratification
                                     => 16578,
                            stratified
                                     => 17561, stratigraphic
                                     => 16684,
                            stratigraphy
                                     => 19713, stratocaster
                                     => 24032,
                            stratosphere
                                     => 21382, stratovolcano
                                     => 24136,
                            stratum  => 18027, stratus  => 21294, stravinsky
                                     => 11812,
                            strayed  => 23580, streak   => 3784, streaked => 19793, streaks  => 12060,
                            stream   => 2228, streamed => 11794, streamer => 27344, streaming
                                     => 6219,
                            streamline
                                     => 14870, streamlined
                                     => 10083,
                            streamlining
                                     => 21663, streams  => 3638,
                            streatham
                                     => 21689, street   => 258,
                            streetcar
                                     => 7748, streetcars
                                     => 13870,
                            streets  => 1667, streetscape
                                     => 27349,
                            strengthen
                                     => 5104, strengthened
                                     => 5339,
                            strengthening
                                     => 6371, strengths
                                     => 8104,
                            strenuous
                                     => 15911, streptococcus
                                     => 22869,
                            stresses => 8493, stressors
                                     => 28153,
                            stretched
                                     => 6337, stretches
                                     => 5928,
                            stretching
                                     => 6350, stretford
                                     => 28664,
                            stretton => 22774, striae   => 28190, striated => 25959, strict   => 3664,
                            stricter => 13623, strident => 25072, strife   => 10385, strikeforce
                                     => 17862,
                            strikeout
                                     => 17738, strikeouts
                                     => 5679,
                            striker  => 4190, strikers => 9110, striking => 3663, strikingly
                                     => 15766,
                            strindberg
                                     => 23650, string   => 2203,
                            stringed => 15850, stringent
                                     => 11322,
                            strip    => 2340, stripe   => 7427, stripes  => 5664, stripped => 5186,
                            strips   => 5331, strived  => 29686, strives  => 11970, striving => 12825,
                            stronghold
                                     => 6718, strongholds
                                     => 12885,
                            strongly => 2116, strongman
                                     => 15792,
                            strontium
                                     => 20856, stroudsburg
                                     => 26805,
                            strove   => 16650, struck   => 2157, structural
                                     => 2969,
                            structuralism
                                     => 24168, structuralist
                                     => 29856,
                            structurally
                                     => 10253, structure
                                     => 598,
                            structured
                                     => 5371, structures
                                     => 1524,
                            structuring
                                     => 17940, struggle => 2352,
                            struggled
                                     => 3920, struggles
                                     => 4849,
                            struts   => 11930, strutt   => 28886, strzelce => 26182, stubbornly
                                     => 26825,
                            stubby   => 24081, stucco   => 10982, stuccoed => 23479, studded  => 14761,
                            student  => 548, students => 242, studi    => 29103, studied  => 754,
                            studies  => 488, studio   => 536, studios  => 1490, study    => 462,
                            stuka    => 27034, stumps   => 12637, stunting => 25451, stupa    => 14818,
                            stupas   => 26582, sturt    => 15772, stuttgart
                                     => 5675,
                            stuyvesant
                                     => 16363, style    => 406,
                            styled   => 5382, styles   => 2187, styling  => 7673, stylised => 16476,
                            stylistic
                                     => 8730, stylistically
                                     => 14025,
                            stylized => 7990, stylus   => 14435, styrene  => 28874, styria   => 10796,
                            subalpine
                                     => 21564, subarctic
                                     => 23458,
                            subaru   => 12635, subcarpathian
                                     => 16532,
                            subchannel
                                     => 12150, subchannels
                                     => 25769,
                            subclass => 15269, subclasses
                                     => 29254,
                            subcommittee
                                     => 8102, subcommittees
                                     => 22926,
                            subcontinent
                                     => 9419, subcontractors
                                     => 28906,
                            subculture
                                     => 12908, subcultures
                                     => 24417,
                            subcutaneous
                                     => 20159, subdistrict
                                     => 9355,
                            subdistricts
                                     => 14076, subdivided
                                     => 5262,
                            subdivision
                                     => 4807, subdivisions
                                     => 6884,
                            subduction
                                     => 15775, subdue   => 13832,
                            subdued  => 10326, subduing => 26346, subfamilies
                                     => 14692,
                            subfamily
                                     => 4429, subgenera
                                     => 25030,
                            subgenre => 13727, subgenres
                                     => 21424,
                            subgenus => 10818, subgraph => 27037, subgroup => 7980, subgroups
                                     => 11253,
                            subhas   => 26162, subhash  => 20145, subiaco  => 19660, subic    => 11510,
                            subject  => 822, subjected
                                     => 5377,
                            subjection
                                     => 29825, subjective
                                     => 7667,
                            subjectivity
                                     => 20561, subjects => 1861,
                            subjugated
                                     => 19207, subjunctive
                                     => 20691,
                            sublimation
                                     => 28692, submachine
                                     => 15484,
                            submarginal
                                     => 15005, submarine
                                     => 2314,
                            submarines
                                     => 4564, submerged
                                     => 5460,
                            submission
                                     => 5180, submissions
                                     => 9073,
                            submit   => 4979, submits  => 21733, submitted
                                     => 2761,
                            submitting
                                     => 10896, suborder => 16097,
                            subordinate
                                     => 5762, subordinated
                                     => 12255,
                            subordinates
                                     => 10805, subordination
                                     => 19117,
                            subotica => 22059, subplot  => 16105, subplots => 26875, subprefecture
                                     => 26937,
                            subprime => 19852, subramaniam
                                     => 27128,
                            subregion
                                     => 18786, subroutine
                                     => 25656,
                            subscribed
                                     => 13213, subscriber
                                     => 11602,
                            subscribers
                                     => 6210, subscribes
                                     => 29638,
                            subscribing
                                     => 27757, subscript
                                     => 29725,
                            subscription
                                     => 5849, subscriptions
                                     => 10987,
                            subsea   => 27070, subsection
                                     => 17293,
                            subsections
                                     => 26883, subsequent
                                     => 1299,
                            subsequently
                                     => 744, subset   => 6397,
                            subsets  => 11496, subsidence
                                     => 16140,
                            subsidiaries
                                     => 6794, subsidiary
                                     => 2575,
                            subsidies
                                     => 7921, subsidised
                                     => 20519,
                            subsidized
                                     => 11424, subsidy  => 10374,
                            subsistence
                                     => 9578, subsonic => 21205,
                            subsp    => 15467, subspace => 14738, subspaces
                                     => 28181,
                            subspecies
                                     => 4104, substance
                                     => 3879,
                            substances
                                     => 5401, substandard
                                     => 20699,
                            substantial
                                     => 2316, substantially
                                     => 4527,
                            substantive
                                     => 9600, substation
                                     => 14343,
                            substations
                                     => 24360, substituent
                                     => 27411,
                            substituents
                                     => 23160, substitute
                                     => 2854,
                            substituted
                                     => 6473, substitutes
                                     => 11276,
                            substituting
                                     => 11710, substitution
                                     => 7606,
                            substitutions
                                     => 18111, substrate
                                     => 6094,
                            substrates
                                     => 8187, substratum
                                     => 28005,
                            substructure
                                     => 29673, subsumed => 15483,
                            subsurface
                                     => 15717, subsystem
                                     => 15236,
                            subsystems
                                     => 16977, subterminal
                                     => 18266,
                            subterranean
                                     => 11599, subtitle => 13298,
                            subtitled
                                     => 11550, subtract => 25612,
                            subtracted
                                     => 19479, subtracting
                                     => 22163,
                            subtraction
                                     => 19583, subtribe => 25900,
                            subtropical
                                     => 3822, subtype  => 14733,
                            subtypes => 16205, subunit  => 9011, subunits => 10800, suburb   => 2470,
                            suburban => 3419, suburbs  => 3317, subversion
                                     => 16813,
                            subversive
                                     => 12628, succeeded
                                     => 1310,
                            succeeding
                                     => 5011, succeeds => 8862,
                            success  => 520, successes
                                     => 4948,
                            successful
                                     => 540, successfully
                                     => 1553,
                            succession
                                     => 2898, successive
                                     => 4000,
                            successively
                                     => 8569, successor
                                     => 2058,
                            successors
                                     => 6548, succumbed
                                     => 10760,
                            succumbing
                                     => 18858, succumbs => 24185,
                            suceava  => 25861, such     => 61, suchet   => 29521, suckling => 26339,
                            sucre    => 16911, sucrose  => 19983, sudamericana
                                     => 15589,
                            sudan    => 3929, sudanese => 8993, sudbury  => 9111, sudetenland
                                     => 25081,
                            sudhir   => 28441, sudwest  => 27755, sued     => 4910, suetonius
                                     => 22615,
                            suffered => 1198, sufferer => 27195, sufferers
                                     => 17472,
                            sufferings
                                     => 18213, sufficiency
                                     => 15284,
                            sufficient
                                     => 2624, sufficiently
                                     => 5230,
                            suffield => 27590, suffix   => 6325, suffixed => 25688, suffixes => 11610,
                            suffolk  => 4561, suffragan
                                     => 11430,
                            suffrage => 6100, suffragette
                                     => 25840,
                            suffragist
                                     => 26391, suffused => 15061,
                            suffusion
                                     => 23706, sufis    => 24726,
                            sufism   => 15765, sugababes
                                     => 23485,
                            sugarcane
                                     => 10447, sugarloaf
                                     => 22403,
                            suggested
                                     => 1309, suggestive
                                     => 12065,
                            suggests => 2002, suharto  => 14547, suisse   => 13990, suisun   => 29784,
                            suitability
                                     => 14632, suitable => 2643,
                            suitably => 16272, suited   => 4831, suites   => 7851, suiza    => 24607,
                            sukarno  => 15191, sukhoi   => 22030, sukhothai
                                     => 25733,
                            sukhumi  => 27759, sukumaran
                                     => 25552,
                            sulaiman => 18149, sulawesi => 11181, sulayman => 24885, sulcus   => 23454,
                            suleiman => 12958, suleyman => 18861, sulfate  => 9470, sulfide  => 11205,
                            sulfides => 29011, sulfur   => 7036, sulfuric => 15208, sulla    => 15476,
                            sulphur  => 10564, sulpice  => 26756, sultan   => 2797, sultana  => 24387,
                            sultanate
                                     => 8089, sultanates
                                     => 28904,
                            sultans  => 15028, sumatra  => 7533, sumatran => 21437, sumer    => 27035,
                            sumerian => 13458, sumitomo => 26680, summaries
                                     => 11436,
                            summarised
                                     => 15190, summarises
                                     => 28751,
                            summarized
                                     => 8317, summarizes
                                     => 14735,
                            summarizing
                                     => 20690, summary  => 2481,
                            summed   => 10862, summer   => 337, summerslam
                                     => 18467,
                            summing  => 18632, summit   => 2204, summits  => 9844, sunaina  => 28261,
                            sunbeam  => 17205, sunbird  => 24850, sunburst => 25495, sunbury  => 17013,
                            sunda    => 15835, sundance => 8077, sundanese
                                     => 22039,
                            sundar   => 23127, sundaram => 24461, sunday   => 1430, sundays  => 5815,
                            sundial  => 18380, sundry   => 25155, sundsvall
                                     => 27652,
                            sunfish  => 20187, sunflower
                                     => 11098,
                            sungai   => 16998, sunil    => 13256, sunita   => 25360, sunk     => 4571,
                            sunken   => 11405, sunnah   => 22702, sunnis   => 19843, sunnyside
                                     => 17057,
                            sunnyvale
                                     => 24162, sunspot  => 27638,
                            suomen   => 27937, super    => 953, superannuation
                                     => 24808,
                            superbike
                                     => 13571, superbly => 24716,
                            superboy => 13812, supercar => 16199, supercars
                                     => 21776,
                            supercell
                                     => 27915, supercharged
                                     => 15582,
                            supercharger
                                     => 19630, supercomputer
                                     => 16431,
                            supercomputers
                                     => 24645,
                            supercomputing
                                     => 29000,
                            superconducting
                                     => 18905,
                            superconductivity
                                     => 24872,
                            superconductors
                                     => 27063,
                            supercontinent
                                     => 27979,
                            supercopa
                                     => 27555, supercritical
                                     => 27848,
                            supercup => 15734, superdome
                                     => 23656,
                            superdraft
                                     => 20652, superfamily
                                     => 9802,
                            superfast
                                     => 20092, superficially
                                     => 14535,
                            superfortress
                                     => 20499, superfund
                                     => 19848,
                            supergiant
                                     => 29094, supergirl
                                     => 19722,
                            supergroup
                                     => 12882, superheated
                                     => 26707,
                            superhuman
                                     => 10030, superieur
                                     => 24260,
                            superieure
                                     => 12964, superimposed
                                     => 13326,
                            superintendent
                                     => 3746, superintendents
                                     => 18197,
                            superior => 2149, superiore
                                     => 28773,
                            superiority
                                     => 7724, superlative
                                     => 24481,
                            superleague
                                     => 14027, superliga
                                     => 9549,
                            supermarine
                                     => 17051, supermarkets
                                     => 8933,
                            supernova
                                     => 11484, supernovae
                                     => 22085,
                            superposition
                                     => 21509, supersede
                                     => 26894,
                            superseded
                                     => 7218, supersonic
                                     => 10974,
                            supersonics
                                     => 18757, superspeedway
                                     => 26080,
                            supersport
                                     => 18073, superstar
                                     => 7298,
                            superstars
                                     => 11378, superstructure
                                     => 10369,
                            supersymmetry
                                     => 29732, supervillain
                                     => 16555,
                            supervised
                                     => 5314, supervises
                                     => 19282,
                            supervising
                                     => 8813, supervision
                                     => 4047,
                            supervisors
                                     => 8362, supervisory
                                     => 10457,
                            supplant => 27901, supplanted
                                     => 12459,
                            supplement
                                     => 4960, supplemental
                                     => 9496,
                            supplementary
                                     => 9347, supplementation
                                     => 20630,
                            supplemented
                                     => 7295, supplementing
                                     => 21090,
                            supplements
                                     => 8971, supplied => 2994,
                            supplier => 6613, suppliers
                                     => 7402,
                            supplies => 2306, supply   => 1320, supplying
                                     => 6713,
                            support  => 264, supported
                                     => 794,
                            supporter
                                     => 3643, supporters
                                     => 2197,
                            supporting
                                     => 1421, supports => 2322,
                            suppress => 7380, suppressed
                                     => 6322,
                            suppresses
                                     => 26802, suppression
                                     => 6048,
                            suppressor
                                     => 16282, supra    => 18927,
                            supranational
                                     => 23869, supremacist
                                     => 22549,
                            supremacy
                                     => 8162, supreme  => 1144,
                            supremes => 16905, surabaya => 15516, surah    => 27673, suraj    => 20287,
                            surakarta
                                     => 26219, surat    => 12166,
                            surbiton => 28717, surcharge
                                     => 21623,
                            surendra => 29518, suresh   => 12629, surety   => 24870, surface  => 817,
                            surfaced => 6785, surfaces => 3787, surfacing
                                     => 20984,
                            surfactant
                                     => 24520, surfactants
                                     => 27841,
                            surfers  => 12080, surge    => 6677, surged   => 18697, surgeries
                                     => 11727,
                            surigao  => 22322, surinam  => 21398, suriname => 9648, surinamese
                                     => 22868,
                            surmised => 20501, surmounted
                                     => 11132,
                            surmounting
                                     => 29462, surname  => 1517,
                            surnamed => 27968, surnames => 8304, surpass  => 13459, surpassed
                                     => 6185,
                            surpasses
                                     => 25691, surpassing
                                     => 10025,
                            surplus  => 5961, surpluses
                                     => 24871,
                            surrealism
                                     => 14362, surrealist
                                     => 12275,
                            surrealistic
                                     => 26786, surrender
                                     => 3135,
                            surrendered
                                     => 4131, surrenders
                                     => 22193,
                            surreptitiously
                                     => 24915,
                            surrey   => 3650, surrogacy
                                     => 29140,
                            surrounded
                                     => 2153, surrounding
                                     => 1217,
                            surroundings
                                     => 6022, surrounds
                                     => 8186,
                            surry    => 21843, surtees  => 24684, survey   => 1662, surveyed => 6136,
                            surveying
                                     => 8535, surveyor => 6563,
                            surveyors
                                     => 13787, surveys  => 4628,
                            survivability
                                     => 24437, survived => 1783,
                            survives => 5282, surviving
                                     => 2238,
                            survivors
                                     => 3379, surya    => 12524,
                            susceptibility
                                     => 12462,
                            susceptible
                                     => 7168, suspended
                                     => 2532,
                            suspension
                                     => 3127, suspensions
                                     => 15468,
                            susquehanna
                                     => 8976, sussex   => 3421,
                            sustainability
                                     => 5801, sustainable
                                     => 3505,
                            sustained
                                     => 3330, sustaining
                                     => 8670,
                            sustainment
                                     => 22745, sustains => 22051,
                            sutra    => 10066, sutras   => 15874, sutta    => 22359, suvorov  => 23089,
                            suwalki  => 22907, suwon    => 21053, suzerainty
                                     => 14923,
                            suzhou   => 14763, suzuka   => 22379, svalbard => 13793, svend    => 27484,
                            svenska  => 14375, svensson => 20263, sverdlovsk
                                     => 21305,
                            sverdrup => 24682, sveriges => 20886, sverre   => 20557, sveti    => 22182,
                            swabia   => 16413, swabian  => 16524, swahili  => 14062, swale    => 26527,
                            swallowtail
                                     => 24489, swami    => 7231,
                            swamiji  => 27010, swaminarayan
                                     => 19424,
                            swamps   => 8202, swampy   => 13664, swamy    => 14531, swansea  => 6012,
                            swapo    => 19460, swapped  => 11503, swaps    => 16912, swaraj   => 28768,
                            swarms   => 22138, swarthmore
                                     => 19135,
                            swastika => 16193, swath    => 22560, swazi    => 27059, swaziland
                                     => 11252,
                            sweden   => 1342, swedenborg
                                     => 29077,
                            swedes   => 10249, swedish  => 1241, sweetened
                                     => 20381,
                            sweetwater
                                     => 19179, sweyn    => 27506,
                            swietokrzyskie
                                     => 11678,
                            swiftly  => 9931, swifts   => 13875, swimmer  => 5428, swimmers => 7456,
                            swimming => 1866, swimwear => 24730, swinburne
                                     => 20065,
                            swindon  => 7847, swiss    => 1637, switches => 6544, switchover
                                     => 29682,
                            switzerland
                                     => 1681, sword    => 2945,
                            swords   => 6235, swordsman
                                     => 18205,
                            sybra    => 21389, sydenham => 15118, sylar    => 18818, sylhet   => 17248,
                            syllabic => 19085, syllable => 6997, syllables
                                     => 8443,
                            sylvan   => 17442, sylvania => 23692, symantec => 21852, symbian  => 23397,
                            symbiosis
                                     => 19778, symbiotic
                                     => 15599,
                            symbol   => 2344, symbolic => 4806, symbolically
                                     => 13598,
                            symbolise
                                     => 23394, symbolised
                                     => 28427,
                            symbolises
                                     => 24263, symbolising
                                     => 24365,
                            symbolism
                                     => 7721, symbolist
                                     => 19076,
                            symbolize
                                     => 11393, symbolized
                                     => 14046,
                            symbolizes
                                     => 11248, symbolizing
                                     => 13380,
                            symbols  => 3582, symington
                                     => 27832,
                            symmetric
                                     => 7053, symmetrical
                                     => 9088,
                            symmetrically
                                     => 21259, symmetries
                                     => 18585,
                            symmetry => 5627, sympathisers
                                     => 29783,
                            sympathized
                                     => 27348, sympathizer
                                     => 25474,
                            sympathizers
                                     => 15212, symphonic
                                     => 7305,
                            symphonies
                                     => 10162, symphony => 2262,
                            symplectic
                                     => 20423, symposia => 16698,
                            symposium
                                     => 7944, synagogue
                                     => 4671,
                            synagogues
                                     => 11347, synapse  => 17783,
                            synaptic => 12414, synchronised
                                     => 19199,
                            synchronization
                                     => 11652,
                            synchronized
                                     => 8824, synchronous
                                     => 12429,
                            synchrotron
                                     => 20100, syncopated
                                     => 24578,
                            syncretic
                                     => 26738, syncretism
                                     => 28556,
                            syndicalism
                                     => 26475, syndicalist
                                     => 20528,
                            syndicate
                                     => 6594, syndicated
                                     => 4922,
                            syndicates
                                     => 22582, syndication
                                     => 8622,
                            syndrome => 3143, syndromes
                                     => 17444,
                            synergistic
                                     => 28979, synesthesia
                                     => 29349,
                            synod    => 5615, synods   => 19541, synonym  => 8052, synonymous
                                     => 8031,
                            synonyms => 9902, synonymy => 26253, synopsis => 4137, synoptic => 22529,
                            syntactic
                                     => 12953, syntax   => 7093,
                            synth    => 11522, synthase => 10873, synthesis
                                     => 3802,
                            synthesised
                                     => 26021, synthesize
                                     => 15422,
                            synthesized
                                     => 8488, synthesizer
                                     => 8623,
                            synthesizers
                                     => 10255, synthesizing
                                     => 24766,
                            synthetase
                                     => 22775, synthetic
                                     => 4900,
                            synthpop => 15119, synths   => 16685, syracuse => 4298, syria    => 2906,
                            syriac   => 9731, syrian   => 3451, syrians  => 16932, syrmia   => 26350,
                            system   => 152, systematic
                                     => 4472,
                            systematically
                                     => 8677, systematics
                                     => 14072,
                            systemic => 8549, systems  => 500, szczecin => 10286, szczecinek
                                     => 29841,
                            szeged   => 21399, szlachta => 21455, tabari   => 26238, tabernacle
                                     => 11262,
                            tabla    => 17592, tableau  => 17219, tableaux => 23932, tabled   => 18649,
                            tablelands
                                     => 24016, tablet   => 6290,
                            tabletop => 19915, tablets  => 6951, tableware
                                     => 26234,
                            taboo    => 10675, taboos   => 20906, tabriz   => 14220, tabular  => 26696,
                            tabulated
                                     => 21219, tachinidae
                                     => 25973,
                            tacitus  => 14647, tackle   => 4454, tackles  => 4246, tackling => 12604,
                            tacoma   => 8456, taconic  => 27397, tactical => 3483, tactically
                                     => 24244,
                            tactician
                                     => 28314, tactics  => 3804,
                            tactile  => 15438, tadeusz  => 14261, taekwondo
                                     => 9361,
                            tafsir   => 27904, tagalog  => 12267, taganrog => 22741, tagline  => 12975,
                            tagore   => 11664, taguig   => 29571, tagus    => 23711, tahir    => 16280,
                            tahrir   => 21185, taichung => 19159, taifa    => 29442, taiga    => 19560,
                            taiji    => 21451, taiko    => 19338, tailback => 26228, tailed   => 5802,
                            tailings => 20338, taillights
                                     => 26766,
                            tailored => 9989, tailoring
                                     => 19057,
                            tailplane
                                     => 18237, tailwheel
                                     => 24804,
                            tainan   => 19456, taino    => 20276, taipei   => 5970, taiping  => 15854,
                            taisho   => 23126, taito    => 20845, taiwan   => 2312, taiwanese
                                     => 6481,
                            taiyuan  => 18706, taizong  => 13932, taizu    => 28113, tajik    => 14907,
                            tajikistan
                                     => 8806, tajiri   => 26997,
                            takao    => 24151, takeaway => 26812, takeda   => 15831, taken    => 439,
                            takeo    => 22714, takeover => 5805, takeshi  => 15345, takht    => 21232,
                            takings  => 26220, takumi   => 28291, talal    => 26342, tales    => 3084,
                            talib    => 16979, taliban  => 6212, taliesin => 26678, talladega
                                     => 15202,
                            tallaght => 26988, tallahassee
                                     => 11335,
                            tallest  => 4701, talleyrand
                                     => 28754,
                            tallied  => 14705, tallinn  => 8441, tallulah => 26105, tallying => 22877,
                            talmud   => 8355, talmudic => 14917, talon    => 16312, taluk    => 7719,
                            taluka   => 10777, talus    => 27676, tamaki   => 22614, taman    => 17600,
                            tamarind => 23759, tamaulipas
                                     => 13756,
                            tambo    => 24903, tambon   => 9487, tambov   => 25807, tamil    => 1988,
                            tamils   => 14660, taming   => 19988, tammany  => 16590, tampa    => 3626,
                            tampere  => 14633, tampico  => 20042, tampines => 28101, tamworth => 11855,
                            tanager  => 22481, tanah    => 27253, tanakh   => 24511, tanana   => 27935,
                            tancred  => 24290, tandem   => 7316, tandon   => 28548, tanganyika
                                     => 14773,
                            tangent  => 9998, tangential
                                     => 21606,
                            tangerine
                                     => 17466, tangier  => 15864,
                            tanglewood
                                     => 19996, tanjong  => 29444,
                            tanjore  => 26710, tanjung  => 19501, tank     => 1810, tanka    => 28072,
                            tankers  => 11153, tankobon => 16927, tanks    => 2613, tannery  => 19183,
                            tannhauser
                                     => 29333, tannins  => 22766,
                            tantalum => 22809, tantra   => 17559, tantric  => 16251, tanzania => 4724,
                            tanzanian
                                     => 14496, taoiseach
                                     => 14842,
                            taoism   => 16829, taoist   => 14553, taoyuan  => 24617, taper    => 16154,
                            tapered  => 12207, tapering => 15627, tapers   => 25668, tapestries
                                     => 16273,
                            tapestry => 12144, tapings  => 21282, tappeh   => 16351, taproot  => 27597,
                            taran    => 20763, taranaki => 13796, taras    => 17880, tarawa   => 21610,
                            tardis   => 11643, tarek    => 29467, targa    => 25975, target   => 1536,
                            targeted => 3620, targeting
                                     => 5814,
                            targets  => 2979, targu    => 22590, tariff   => 8494, tariffs  => 9314,
                            tarim    => 21122, tariq    => 15241, tarlac   => 23728, tarnovo  => 22769,
                            tarnow   => 20503, tarquini => 29188, tarragona
                                     => 16433,
                            tarrytown
                                     => 29579, tarsi    => 17368,
                            tarski   => 28950, tarsus   => 14831, tartan   => 15683, tartu    => 12203,
                            tashkent => 12625, task     => 1634, tasked   => 5493, taskforce
                                     => 22722,
                            tasks    => 3366, tasman   => 11711, tasmania => 4574, tasmanian
                                     => 7580,
                            tatar    => 10792, tatars   => 12236, tatarstan
                                     => 21055,
                            tatra    => 17742, tatsuya  => 28552, tattooing
                                     => 25390,
                            taught   => 1191, taunton  => 9554, taunts   => 17568, taunus   => 21099,
                            taupo    => 24357, tauranga => 21286, tavern   => 5994, taverns  => 17824,
                            tavistock
                                     => 17923, taxable  => 14819,
                            taxation => 5579, taxed    => 12956, taxes    => 2756, taxis    => 9574,
                            taxiway  => 24303, taxiways => 25421, taxon    => 9855, taxonomic
                                     => 8894,
                            taxonomists
                                     => 28447, taxonomy => 4678,
                            taxpayer => 9369, taylors  => 19345, tayyip   => 27711, tbilisi  => 8503,
                            tchaikovsky
                                     => 9673, "tcp/ip" => 19021,
                            teacher  => 1112, teachers => 1596, teaches  => 4393, teaching => 1161,
                            teachings
                                     => 4435, teachta  => 22082,
                            team     => 74, teamed   => 4504, teaming  => 9283, teammate => 4660,
                            teammates
                                     => 5597, teams    => 396,
                            teamsters
                                     => 16462, teaneck  => 25519,
                            teardrop => 22141, tearfully
                                     => 25385,
                            teaser   => 10764, teatro   => 6751, tebow    => 28315, tech     => 2424,
                            techcrunch
                                     => 29362, technical
                                     => 1096,
                            technician
                                     => 8055, technicians
                                     => 8057,
                            technicolor
                                     => 13030, technion => 24405,
                            technique
                                     => 1931, techniques
                                     => 1651,
                            technische
                                     => 20700, techno   => 8119,
                            technological
                                     => 4010, technologies
                                     => 2283,
                            technologist
                                     => 22914, technologists
                                     => 21716,
                            technology
                                     => 506, tecnico  => 24017,
                            tectonic => 11173, tectonics
                                     => 19286,
                            tecumseh => 14052, teddington
                                     => 25790,
                            teens    => 5728, teesside => 22425, tegucigalpa
                                     => 24055,
                            tehran   => 5306, tehsil   => 7709, tehsils  => 22169, tehuantepec
                                     => 29176,
                            tejano   => 21908, tejas    => 28891, tekken   => 15242, telangana
                                     => 8975,
                            telecast => 9661, telecaster
                                     => 25963,
                            telecasts
                                     => 14277, telecom  => 6723,
                            telecommunication
                                     => 9364,
                            telecommunications
                                     => 4309,
                            telecoms => 23196, telefilm => 28901, telefonica
                                     => 24746,
                            telegraph
                                     => 3831, telegraphic
                                     => 28526,
                            telegraphs
                                     => 27616, telegraphy
                                     => 20266,
                            telekom  => 17509, telemark => 18587, telemundo
                                     => 15045,
                            telenor  => 26827, telenovela
                                     => 8739,
                            telenovelas
                                     => 17904, telepathic
                                     => 16573,
                            telephony
                                     => 13303, teleplay => 22447,
                            teleported
                                     => 27309, teleports
                                     => 28910,
                            telescope
                                     => 4991, telescopes
                                     => 9550,
                            telescopic
                                     => 16970, teletext => 27041,
                            teletoon => 29104, televisa => 14586, televised
                                     => 5063,
                            television
                                     => 260, televisions
                                     => 12679,
                            televoting
                                     => 23281, telluride
                                     => 19116,
                            tellurium
                                     => 29363, telstar  => 23863,
                            telstra  => 16744, telugu   => 4895, telus    => 23140, temecula => 29762,
                            tempe    => 14741, tempera  => 24919, temperament
                                     => 9670,
                            temperance
                                     => 9497, temperate
                                     => 5945,
                            temperature
                                     => 1539, temperatures
                                     => 2702,
                            tempest  => 10367, templar  => 11486, templars => 18246, template => 9145,
                            templates
                                     => 14420, temple   => 784,
                            temples  => 3389, tempo    => 5705, temporal => 6184, temporally
                                     => 28274,
                            temporarily
                                     => 3173, temporary
                                     => 2073,
                            tempore  => 14454, tempos   => 21765, temur    => 23477, tenancy  => 17146,
                            tenant   => 6609, tenants  => 5630, tenchi   => 24493, tended   => 5084,
                            tendencies
                                     => 7909, tendency => 4639,
                            tendered => 14464, tenders  => 12596, tendon   => 10971, tends    => 4663,
                            tendulkar
                                     => 19690, tenements
                                     => 20477,
                            tenerife => 11969, tenet    => 17414, tenets   => 13018, tengku   => 22849,
                            "tenn."  => 20191, tennessee
                                     => 1555,
                            tennis   => 1605, tenochtitlan
                                     => 20705,
                            tenor    => 5280, tenryu   => 29615, tens     => 5926, tenses   => 21491,
                            tensile  => 15502, tensions => 4901, tensor   => 8227, tensors  => 27994,
                            tentacles
                                     => 11333, tentative
                                     => 10938,
                            tentatively
                                     => 11532, tenth    => 2901,
                            tenure   => 2487, tenured  => 15260, tenures  => 23413, tenzin   => 29124,
                            teochew  => 27857, teodor   => 25469, teotihuacan
                                     => 22948,
                            tepals   => 22995, tepco    => 26970, tephritid
                                     => 24765,
                            tephritidae
                                     => 21751, terai    => 25273,
                            teramo   => 28428, terceira => 26467, tercera  => 15522, terek    => 25244,
                            terengganu
                                     => 16469, tergum   => 19017,
                            terje    => 26002, term     => 369, terme    => 23727, termed   => 4362,
                            termen   => 17031, terminal => 1863, terminals
                                     => 6584,
                            terminated
                                     => 5037, terminates
                                     => 9624,
                            terminating
                                     => 8801, termination
                                     => 7047,
                            termini  => 15693, terminology
                                     => 5871,
                            terminus => 2435, terms    => 712, ternary  => 20318, ternopil => 24827,
                            terns    => 15957, terraced => 12942, terraces => 9396, terracing
                                     => 26194,
                            terracotta
                                     => 13017, terrain  => 3645,
                            terrains => 26860, terran   => 25710, terrane  => 29087, terrapins
                                     => 19439,
                            terre    => 10064, terrestrial
                                     => 4492,
                            terrier  => 11900, terriers => 14331, territorial
                                     => 2817,
                            territories
                                     => 2156, territory
                                     => 896,
                            terrorism
                                     => 3974, terrorist
                                     => 3890,
                            tertiary => 4746, tertullian
                                     => 25536,
                            teruel   => 24312, teschen  => 27494, tesco    => 12138, tesla    => 10907,
                            testament
                                     => 3468, testaments
                                     => 25457,
                            testator => 29806, testbed  => 27715, testers  => 22276, testes   => 21995,
                            testified
                                     => 5637, testimonial
                                     => 14589,
                            testimonials
                                     => 25775, testimonies
                                     => 14629,
                            testing  => 1917, testis   => 25087, tethys   => 25298, teton    => 15812,
                            tetra    => 19136, tetrahedra
                                     => 29182,
                            tetrahedral
                                     => 18521, tetrahedron
                                     => 22245,
                            tetrapods
                                     => 23141, tetris   => 23440,
                            tetsuya  => 21425, teutonic => 10601, tewkesbury
                                     => 23298,
                            texaco   => 18435, texan    => 13980, texans   => 8512, texarkana
                                     => 20404,
                            texas    => 559, texian   => 29884, text     => 1065, textbooks
                                     => 7313,
                            textile  => 4705, textiles => 7021, texting  => 27891, texts    => 2620,
                            textual  => 8588, texture  => 6353, textured => 16135, textures => 11021,
                            tezuka   => 22432, thabo    => 25586, thai     => 3200, thailand => 2412,
                            thais    => 20116, thaksin  => 16536, thakur   => 13538, thalamus => 21149,
                            thalberg => 27839, thales   => 17604, thallium => 29088, thameslink
                                     => 23731,
                            thampi   => 29497, than     => 77, thana    => 23081, thane    => 14966,
                            thanet   => 21480, thanhouser
                                     => 26027,
                            thani    => 14656, thanjavur
                                     => 14032,
                            thanos   => 22415, thapa    => 22905, thatched => 14828, the      => 1,
                            theater  => 1229, theaters => 4596, theatre  => 547, theatres => 4793,
                            theatrical
                                     => 3233, theatrically
                                     => 12423,
                            theban   => 20520, thebes   => 12299, their    => 28, theistic => 24977,
                            thelonious
                                     => 22521, them     => 99,
                            thematic => 8560, thematically
                                     => 18368,
                            theme    => 1242, themed   => 4516, themes   => 2178, themselves
                                     => 783,
                            then     => 62, thence   => 8992, thenceforth
                                     => 27454,
                            theodor  => 8203, theodoric
                                     => 21923,
                            theodoros
                                     => 27296, theodorus
                                     => 28905,
                            theodosius
                                     => 13969, theologian
                                     => 6981,
                            theologians
                                     => 10107, theological
                                     => 3374,
                            theologically
                                     => 25159, theology => 2850,
                            theophile
                                     => 24147, theophilus
                                     => 15424,
                            theorem  => 3228, theorems => 13366, theoretic
                                     => 17064,
                            theoretical
                                     => 3420, theoretician
                                     => 27087,
                            theories => 2809, theorist => 8989, theorists
                                     => 9453,
                            theorized
                                     => 12220, theorizes
                                     => 29224,
                            theory   => 702, theosophical
                                     => 17357,
                            theosophy
                                     => 23327, theotokos
                                     => 22266,
                            thera    => 26039, therapeutic
                                     => 6646,
                            therapeutics
                                     => 17338, therapies
                                     => 10591,
                            theravada
                                     => 15334, there    => 42,
                            thereafter
                                     => 2284, thereby  => 3097,
                            therefore
                                     => 818, theremin => 27427,
                            thereon  => 26169, thereto  => 27596, thereupon
                                     => 18558,
                            thermal  => 3694, thermally
                                     => 22723,
                            thermo   => 26207, thermodynamic
                                     => 11622,
                            thermodynamics
                                     => 12212,
                            thermoelectric
                                     => 29612,
                            thermopylae
                                     => 27836, theropod => 18986,
                            theropods
                                     => 25345, thesaban => 23396,
                            these    => 75, theses   => 13313, theseus  => 18012, thesis   => 3705,
                            thessalonica
                                     => 20840, thessaloniki
                                     => 8571,
                            thessaly => 16094, theta    => 9195, thetis   => 24439, they     => 33,
                            thiago   => 21722, thiamine => 27878, thickened
                                     => 17598,
                            thickets => 20567, thickly  => 21013, thickness
                                     => 6089,
                            thicknesses
                                     => 27179, thien    => 20296,
                            thiers   => 27774, thieu    => 24205, thinkers => 8816, thinly   => 13109,
                            thinned  => 28246, third    => 200, thirdly  => 18551, thirds   => 4698,
                            thirsk   => 26662, thirteenth
                                     => 5843,
                            thirunal => 23726, thiruvananthapuram
                                     => 12535,
                            thistle  => 9042, thomasville
                                     => 27351,
                            thomond  => 25591, thoracic => 12853, thorax   => 10835, thorium  => 16497,
                            thorny   => 20873, thornycroft
                                     => 26748,
                            thoroughbred
                                     => 6487, thoroughbreds
                                     => 21955,
                            thoroughfare
                                     => 11523, thoroughfares
                                     => 19334,
                            thoth    => 29575, though   => 301, thousands
                                     => 1800,
                            thrace   => 10813, thracian => 14784, thrashed => 26964, thrashers
                                     => 18106,
                            threaded => 14877, threading
                                     => 23761,
                            threads  => 8114, threatens
                                     => 6865,
                            three    => 59, "three-and-a-half"
                                     => 20107,
                            threefold
                                     => 19676, threonine
                                     => 28402,
                            threshing
                                     => 23313, threshold
                                     => 5580,
                            thresholds
                                     => 17556, thrice   => 13619,
                            thriller => 4377, thrillers
                                     => 15899,
                            thrissur => 12673, thrived  => 12831, thriving => 7558, throated => 13663,
                            thrombosis
                                     => 18015, throne   => 2379,
                            thrones  => 14507, through  => 85, throughout
                                     => 404,
                            throughput
                                     => 11540, thrushes => 25224,
                            thrust   => 5240, thruway  => 17071, thuan    => 26482, thucydides
                                     => 21931,
                            thule    => 18522, thunderbird
                                     => 12870,
                            thunderbirds
                                     => 13779, thunderbolt
                                     => 12941,
                            thunderbolts
                                     => 16319, thunderstorms
                                     => 11440,
                            thurgau  => 29788, thuringia
                                     => 10392,
                            thuringian
                                     => 22198, thurles  => 25238,
                            thurrock => 24788, thus     => 453, thutmose => 23827, thwart   => 15299,
                            thwarted => 10745, thymus   => 24781, tiago    => 21672, tiananmen
                                     => 16862,
                            tianjin  => 9742, tiber    => 20599, tiberias => 19975, tiberius => 12010,
                            tibet    => 5008, tibetan  => 4547, tibetans => 15278, tibor    => 19767,
                            tiburon  => 28186, ticino   => 14725, ticketing
                                     => 14173,
                            ticonderoga
                                     => 19864, tidal    => 6111,
                            tide     => 4341, tides    => 9056, tidewater
                                     => 18488,
                            tiebreak => 26621, tiebreaker
                                     => 17007,
                            tiebreakers
                                     => 29606, tiempo   => 21350,
                            tientsin => 29529, tier     => 2939, tiered   => 13632, tiers    => 11301,
                            ties     => 2651, tiesto   => 23854, tiflis   => 21903, tigers   => 2576,
                            tightly  => 7740, tigray   => 26538, tigre    => 17282, tigres   => 19942,
                            tigris   => 15016, tikal    => 23190, tikva    => 20409, tilak    => 18673,
                            tilapia  => 25871, tilburg  => 20117, tiled    => 14294, tiles    => 5988,
                            tiling   => 12751, tilings  => 23911, tillamook
                                     => 25568,
                            tillandsia
                                     => 16807, tilted   => 13950,
                            tilting  => 15640, timaru   => 27270, timbaland
                                     => 15783,
                            timber   => 2974, timbered => 19489, timbers  => 10050, timberwolves
                                     => 17565,
                            timbre   => 17344, time     => 40, timeform => 22678, timeframe
                                     => 18510,
                            timeline => 4829, timelines
                                     => 20328,
                            timely   => 8970, times    => 233, timescale
                                     => 26384,
                            timeslot => 11069, timestamp
                                     => 25852,
                            timings  => 23123, timisoara
                                     => 15810,
                            timor    => 7421, timorese => 22760, timur    => 13154, tincture => 28496,
                            tinge    => 19005, tinged   => 11993, tinian   => 21526, tintin   => 12461,
                            tinto    => 18088, tioga    => 18038, tippecanoe
                                     => 27017,
                            tippeligaen
                                     => 22206, tipperary
                                     => 6859,
                            tirana   => 9616, tiraspol => 28090, tirelessly
                                     => 19206,
                            tirol    => 27236, tirpitz  => 21314, tiruchirappalli
                                     => 21701,
                            tirumala => 29874, tirunelveli
                                     => 18810,
                            tirupati => 22242, tissue   => 3307, tissues  => 6016, tisza    => 24527,
                            titania  => 23418, titans   => 5512, tithe    => 16201, tithes   => 17220,
                            titian   => 18183, title    => 273, titled   => 1118, titleholder
                                     => 14179,
                            titleholders
                                     => 26168, titles   => 1156,
                            titular  => 5975, titusville
                                     => 27426,
                            tiverton => 20237, tivoli   => 14829, tiwari   => 23772, tlaxcala => 24261,
                            tlingit  => 20291, "to/from"
                                     => 18832,
                            toadie   => 24390, tobacco  => 3531, tobago   => 6701, tobruk   => 16018,
                            tocantins
                                     => 24875, tochigi  => 23177,
                            todos    => 23379, toggle   => 28285, togolese => 25190, tohoku   => 12420,
                            tokai    => 24633, tokaido  => 21811, tokelau  => 25802, tokens   => 11805,
                            tokio    => 29241, tokugawa => 8578, tokusatsu
                                     => 28259,
                            tokushima
                                     => 23563, tokyo    => 2011,
                            tokyopop => 21354, tokyu    => 29477, tolerance
                                     => 5605,
                            tolerances
                                     => 21863, tolerant => 9003,
                            tolerates
                                     => 28727, toleration
                                     => 17531,
                            tolkien  => 8330, toll     => 3631, tolled   => 26608, tolling  => 28142,
                            tolls    => 10353, tollway  => 23184, tollywood
                                     => 28706,
                            tolombeh => 11679, tolstoy  => 11751, toluca   => 16700, toluene  => 28836,
                            tomar    => 27740, tomasz   => 15971, tomaszow => 18669, tomatoes => 5581,
                            tomb     => 3214, tomboy   => 24739, tombs    => 6476, tombstones
                                     => 20493,
                            tomic    => 27263, tomislav => 23030, tommaso  => 15624, tomography
                                     => 15168,
                            tomorrowland
                                     => 29160, tonal    => 11062,
                            tonality => 20610, tonawanda
                                     => 23227,
                            tonbridge
                                     => 17770, tondo    => 24414,
                            tones    => 6472, tonga    => 7806, tongan   => 15027, tonnage  => 12372,
                            tonne    => 13740, tonnes   => 4955, tonopah  => 26793, tonsberg => 24415,
                            took     => 173, tooling  => 17725, toolkit  => 14929, tools    => 2092,
                            toothed  => 11584, tooting  => 25064, toowong  => 29435, toowoomba
                                     => 12022,
                            top      => 223, topeka   => 10986, topical  => 8988, topics   => 2711,
                            topmost  => 27972, topographic
                                     => 12100,
                            topographical
                                     => 13348, topography
                                     => 7521,
                            topological
                                     => 8514, topologically
                                     => 27096,
                            topologies
                                     => 26612, topology => 7089,
                            toponym  => 18954, toponyms => 22406, toponymy => 17864, topped   => 3765,
                            toppers  => 29283, toppled  => 16176, toppling => 28308, topsoil  => 27641,
                            torah    => 5977, torbay   => 22830, torchwood
                                     => 16064,
                            tories   => 13342, torii    => 27489, torino   => 9727, torme    => 27623,
                            tornado  => 4304, tornadoes
                                     => 7757,
                            torneo   => 10685, tornus   => 22505, toronto  => 1231, toros    => 16968,
                            torpedo  => 3680, torpedoed
                                     => 11829,
                            torpedoes
                                     => 6974, torquay  => 9723,
                            torque   => 6199, torrent  => 15922, torrential
                                     => 15995,
                            torrington
                                     => 18756, torshavn => 28283,
                            torsion  => 13885, torsten  => 26187, tortoises
                                     => 18791,
                            tortricidae
                                     => 8465, torts    => 26263,
                            torun    => 12473, torus    => 15735, tosca    => 17851, toshiba  => 15985,
                            toshio   => 25920, total    => 285, totaled  => 8529, totaling => 7791,
                            totalitarian
                                     => 14159, totalitarianism
                                     => 23254,
                            totality => 16838, totalled => 14462, totalling
                                     => 10519,
                            totals   => 7463, totnes   => 22358, tottenham
                                     => 6501,
                            tottori  => 25911, touchdown
                                     => 2378,
                            touchdowns
                                     => 3608, touchscreen
                                     => 17681,
                            toughness
                                     => 18034, toulon   => 10092,
                            toulouse => 6958, toungoo  => 21199, tour     => 419, toure    => 17147,
                            toured   => 2373, tourer   => 25538, tourette => 23744, touring  => 2196,
                            tourism  => 2173, tourist  => 2648, touristic
                                     => 21520,
                            tourists => 3578, tournai  => 22511, tournament
                                     => 556,
                            tournaments
                                     => 2997, tours    => 2518,
                            touted   => 11944, toward   => 1543, towards  => 643, towed    => 7394,
                            tower    => 900, towers   => 2940, towing   => 10490, town     => 133,
                            townhouses
                                     => 19633, townland => 10807,
                            townlands
                                     => 16866, towns    => 1276,
                            townshend
                                     => 10756, township => 681,
                            townships
                                     => 4477, townsite => 14765,
                            townsville
                                     => 11665, towpath  => 23901,
                            towson   => 16647, toxicity => 7625, toyama   => 17758, toyline  => 29879,
                            toynbee  => 27459, toyota   => 4680, toyotomi => 19886, trabzon  => 22303,
                            trabzonspor
                                     => 23885, tracery  => 17998,
                            traces   => 4268, track    => 394, trackage => 15101, trackbed => 19899,
                            tracklist
                                     => 15884, tracklisting
                                     => 18275,
                            tracks   => 803, tract    => 4798, tractate => 27331, traction => 6260,
                            tractive => 29320, tractors => 10001, tracts   => 7940, trade    => 597,
                            traded   => 2660, trademark
                                     => 4179,
                            trademarked
                                     => 16247, trademarks
                                     => 12154,
                            traders  => 4958, trades   => 5655, tradesmen
                                     => 19648,
                            trading  => 2040, tradition
                                     => 1240,
                            traditional
                                     => 596, traditionalist
                                     => 13777,
                            traditionalists
                                     => 21435,
                            traditionally
                                     => 2208, traditions
                                     => 2444,
                            trafalgar
                                     => 11023, traffic  => 1138,
                            trafficked
                                     => 15923, traffickers
                                     => 15796,
                            trafficking
                                     => 4416, trafford => 8996,
                            traian   => 27940, trail    => 1599, trailblazer
                                     => 29613,
                            trailed  => 11438, trailers => 8270, trailhead
                                     => 18806,
                            trailing => 6803, trails   => 3863, train    => 809, trained  => 1611,
                            trainees => 12734, trainer  => 4214, trainers => 8759, training => 405,
                            trainings
                                     => 18991, trains   => 1246,
                            trainsets
                                     => 21570, traits   => 5163,
                            trajan   => 14473, trajectories
                                     => 17817,
                            tralee   => 21115, tram     => 4708, trams    => 6747, tramway  => 6207,
                            tramways => 11024, tranmere => 12759, trans    => 3800, transaction
                                     => 5059,
                            transactional
                                     => 20231, transactions
                                     => 4655,
                            transatlantic
                                     => 9513, transceiver
                                     => 25948,
                            transcend
                                     => 18898, transcended
                                     => 28559,
                            transcendence
                                     => 19339, transcendental
                                     => 12448,
                            transcontinental
                                     => 11527,
                            transcribe
                                     => 26217, transcribed
                                     => 9665,
                            transcription
                                     => 5475, transcriptional
                                     => 16113,
                            transcriptions
                                     => 15679,
                            transdev => 28271, transducer
                                     => 22520,
                            transducers
                                     => 27607, transduction
                                     => 16930,
                            transept => 11644, transepts
                                     => 20264,
                            transfer => 1347, transferable
                                     => 16007,
                            transferase
                                     => 25207, transferases
                                     => 25921,
                            transferred
                                     => 1030, transferring
                                     => 5606,
                            transfers
                                     => 4914, transfiguration
                                     => 20066,
                            transform
                                     => 4262, transformation
                                     => 3481,
                            transformational
                                     => 22068,
                            transformations
                                     => 8263,
                            transformative
                                     => 18890,
                            transformed
                                     => 3439, transformer
                                     => 10791,
                            transformers
                                     => 7183, transforming
                                     => 7437,
                            transforms
                                     => 8265, transgender
                                     => 7635,
                            transient
                                     => 9598, transistor
                                     => 10407,
                            transistors
                                     => 13045, transit  => 2207,
                            transited
                                     => 18566, transiting
                                     => 20925,
                            transition
                                     => 2317, transitional
                                     => 6478,
                            transitioned
                                     => 9178, transitioning
                                     => 13706,
                            transitions
                                     => 8311, transitive
                                     => 13589,
                            transits => 26588, transjordan
                                     => 22847,
                            translated
                                     => 1920, translates
                                     => 6196,
                            translating
                                     => 8864, translation
                                     => 1934,
                            translational
                                     => 14137, translations
                                     => 4251,
                            translator
                                     => 4869, translators
                                     => 9588,
                            translink
                                     => 25848, translit => 24761,
                            transliterated
                                     => 12271,
                            transliteration
                                     => 12511,
                            translocation
                                     => 20489, translucent
                                     => 11299,
                            transmembrane
                                     => 13982, transmission
                                     => 2270,
                            transmissions
                                     => 7998, transmit => 7613,
                            transmits
                                     => 13930, transmitted
                                     => 4556,
                            transmitter
                                     => 4235, transmitters
                                     => 9082,
                            transmitting
                                     => 8640, transmutation
                                     => 28753,
                            transnational
                                     => 12222, transnistria
                                     => 17084,
                            transom  => 21069, transparency
                                     => 6864,
                            transplantation
                                     => 11700,
                            transplanted
                                     => 15853, transponders
                                     => 23052,
                            transport
                                     => 891, transportable
                                     => 29838,
                            transportation
                                     => 1358, transported
                                     => 3716,
                            transporter
                                     => 11889, transporters
                                     => 19465,
                            transporting
                                     => 7083, transports
                                     => 7182,
                            transpose
                                     => 25033, transposed
                                     => 21165,
                            transposition
                                     => 19646, transshipment
                                     => 29787,
                            transvaal
                                     => 10160, transversal
                                     => 29400,
                            transverse
                                     => 7070, transversely
                                     => 25279,
                            transylvania
                                     => 7774, transylvanian
                                     => 16659,
                            traore   => 22956, trapdoor => 29012, trapezoid
                                     => 29605,
                            trapezoidal
                                     => 23428, trapping => 9972,
                            travail  => 29630, travancore
                                     => 10421,
                            travel   => 1116, traveled => 2350, travelers
                                     => 6404,
                            travelled
                                     => 2786, traveller
                                     => 8752,
                            travellers
                                     => 7865, travelling
                                     => 3513,
                            travelogue
                                     => 20678, travels  => 3018,
                            traverse => 8138, traversed
                                     => 10679,
                            traverses
                                     => 12099, traversing
                                     => 14055,
                            travertine
                                     => 29050, trawler  => 16284,
                            trawlers => 19098, trawling => 28582, treason  => 5946, treasurer
                                     => 4007,
                            treasury => 3828, treaties => 5898, treatise => 6055, treatises
                                     => 11492,
                            treatment
                                     => 1000, treatments
                                     => 5190,
                            treaty   => 1417, trebizond
                                     => 20362,
                            treble   => 10944, treblinka
                                     => 23982,
                            trechus  => 22055, tredegar => 26953, trees    => 1406, trefoil  => 23806,
                            trek     => 5730, trekking => 15821, trelawny => 27659, treme    => 27713,
                            tremolo  => 20888, trench   => 6391, trenchard
                                     => 21353,
                            trenches => 7891, trencin  => 24448, trend    => 3534, trending => 15117,
                            trends   => 4777, trentino => 16083, trento   => 18242, trestle  => 17593,
                            trevelyan
                                     => 23504, treviso  => 14800,
                            trialled => 23574, trials   => 2407, triangle => 3751, triangles
                                     => 10051,
                            triangular
                                     => 5629, triangulation
                                     => 18925,
                            trianon  => 19700, triassic => 9939, triathlete
                                     => 24453,
                            triathlon
                                     => 10129, tribal   => 3297,
                            tribals  => 25935, tribe    => 2070, tribeca  => 15707, tribes   => 2324,
                            tribesmen
                                     => 14664, tribulation
                                     => 28726,
                            tribunal => 4762, tribunals
                                     => 12612,
                            tribune  => 4283, tribunes => 26494, tributaries
                                     => 5474,
                            tributary
                                     => 3110, tribute  => 2622,
                            tributes => 11085, trichy   => 24288, tricolor => 20325, tricolour
                                     => 24674,
                            tricycle => 13328, trident  => 10628, tridentine
                                     => 27362,
                            triennial
                                     => 18950, trier    => 9452,
                            tries    => 1893, trieste  => 9353, trigeminal
                                     => 29674,
                            triggered
                                     => 5799, triggering
                                     => 11471,
                            trigonometric
                                     => 19276, trill    => 21556,
                            trillium => 22779, trilobite
                                     => 26275,
                            trilobites
                                     => 20339, trilogy  => 4409,
                            trim     => 5471, trimmed  => 11650, trims    => 22174, trinamool
                                     => 24951,
                            trincomalee
                                     => 20208, tring    => 28494,
                            trinidadian
                                     => 20163, trinitarian
                                     => 22855,
                            trio     => 2848, triomphe => 16886, trios    => 13629, tripartite
                                     => 13546,
                            tripathi => 28994, triphosphate
                                     => 26892,
                            triple   => 2216, tripled  => 14975, triplemania
                                     => 23410,
                            triples  => 10524, triplet  => 19028, tripoli  => 7989, tripos   => 26147,
                            trips    => 3660, triptych => 16596, tripura  => 13446, tristar  => 22952,
                            tristram => 21229, tritium  => 20627, triton   => 12003, triumph  => 4816,
                            triumphal
                                     => 16226, triumphantly
                                     => 29346,
                            triumvirate
                                     => 17717, trivandrum
                                     => 15569,
                            trivia   => 9269, trnava   => 21108, trobe    => 22507, trofeo   => 23011,
                            troika   => 27463, troilus  => 25649, trois    => 11611, trojans  => 9329,
                            trolley  => 8136, trolleybus
                                     => 14289,
                            trolleybuses
                                     => 15540, trolleys => 19989,
                            trollope => 21856, trombone => 9935, trombones
                                     => 18680,
                            trombonist
                                     => 17504, trompe   => 29304,
                            troms    => 23767, tromso   => 13295, trondelag
                                     => 14202,
                            trondheim
                                     => 9158, troon    => 25573,
                            troop    => 4159, troops   => 834, troopship
                                     => 23733,
                            trope    => 25845, tropes   => 21913, trophee  => 25325, trophic  => 22371,
                            trophy   => 1848, tropical => 1363, tropics  => 11138, troposphere
                                     => 29937,
                            trotsky  => 12714, trotskyist
                                     => 17534,
                            troubadours
                                     => 25990, troublesome
                                     => 12671,
                            trough   => 8965, troughs  => 22782, troupes  => 16591, trovatore
                                     => 28749,
                            troyes   => 17383, truckee  => 25575, trucks   => 3987, trulli   => 22652,
                            trumpet  => 5834, trumpeter
                                     => 10273,
                            truncated
                                     => 9005, truncation
                                     => 25356,
                            trung    => 23113, trunkline
                                     => 26142,
                            truro    => 12688, trusses  => 17623, trustee  => 5123, trustees => 3356,
                            trusteeship
                                     => 26716, tryptophan
                                     => 21098,
                            tsarist  => 15969, tsing    => 20720, tsinghua => 20605, tsingtao => 25918,
                            tsonga   => 21101, tsubasa  => 26657, tsuen    => 22815, tsugaru  => 28141,
                            tsunami  => 7144, tsunamis => 25741, tsung    => 28185, tsushima => 20533,
                            tsvangirai
                                     => 29120, tualatin => 28657,
                            tuanku   => 26400, tuareg   => 18399, tube     => 2970, tuber    => 25261,
                            tubercle => 26122, tubercles
                                     => 13029,
                            tuberculosis
                                     => 6066, tubes    => 4491,
                            tubing   => 11637, tubingen => 12656, tubular  => 9257, tubules  => 27486,
                            tucson   => 7169, tucuman  => 15604, tudman   => 24651, tufted   => 21504,
                            tuileries
                                     => 23747, tuition  => 5768,
                            tulagi   => 27031, tulane   => 9990, tulare   => 22842, tulip    => 13057,
                            tulsi    => 24379, tumblr   => 24728, tumors   => 8196, tumour   => 13394,
                            tumours  => 22313, tumultuous
                                     => 14187,
                            tumulus  => 26023, tunbridge
                                     => 15188,
                            tuners   => 22263, tunes    => 5317, tungsten => 12338, tunica   => 24477,
                            tuning   => 6733, tunings  => 21277, tunis    => 10033, tunisia  => 5529,
                            tunisian => 9019, tunku    => 19188, tunnel   => 2068, tunneling
                                     => 16792,
                            tunnelling
                                     => 15672, tunnels  => 4921,
                            tuoba    => 26677, tuolumne => 29401, tupac    => 17212, tupelo   => 19850,
                            tuple    => 24895, tupolev  => 18003, tupou    => 29174, turan    => 19533,
                            turandot => 25812, turbidity
                                     => 26301,
                            turbine  => 5338, turbines => 6463, turbo    => 6092, turbocharged
                                     => 12434,
                            turbocharger
                                     => 20793, turbofan => 23084,
                            turbojet => 20638, turbonilla
                                     => 15026,
                            turboprop
                                     => 15440, turboprops
                                     => 29959,
                            turbulent
                                     => 8868, turin    => 5347,
                            turing   => 10089, turismo  => 19002, turkestan
                                     => 16458,
                            turkey   => 1609, turki    => 22665, turkic   => 8020, turkish  => 1649,
                            turkmen  => 13697, turkmenistan
                                     => 9427,
                            turks    => 4759, turku    => 11806, turmeric => 22923, turnout  => 5557,
                            turnover => 7576, turnovers
                                     => 14667,
                            turnpike => 6150, turnstile
                                     => 29962,
                            turnstiles
                                     => 23783, turntable
                                     => 14093,
                            turntables
                                     => 21547, turret   => 5818,
                            turrets  => 7886, turtles  => 6596, tuscaloosa
                                     => 14332,
                            tuscan   => 12516, tuskegee => 14912, tuskers  => 29392, tusks    => 22221,
                            tussock  => 28811, tutankhamun
                                     => 26752,
                            tutelage => 10809, tutored  => 16036, tutorials
                                     => 18884,
                            tutors   => 13025, tutsi    => 18738, tutte    => 22265, tuvalu   => 11754,
                            tuzla    => 22320, tweeted  => 15338, tweets   => 18485, twelfth  => 4335,
                            twelver  => 27783, twente   => 17977, twentieth
                                     => 3343,
                            twenty20 => 8257, twickenham
                                     => 13092,
                            twigs    => 11006, twin     => 2022, twinned  => 8375, twinning => 17397,
                            twitter  => 4390, two      => 34, "two-and-a-half"
                                     => 17537,
                            twofold  => 20213, tycho    => 21276, tycoon   => 11904, tydfil   => 21337,
                            tyldesley
                                     => 25744, tymoshenko
                                     => 19156,
                            tympanum => 21501, tyndale  => 22261, tyneside => 16040, type     => 479,
                            typecast => 29177, typeface => 12249, typefaces
                                     => 18283,
                            types    => 974, typesetting
                                     => 22583,
                            typhoon  => 5255, typhoons => 19578, typhus   => 17133, typical  => 1616,
                            typically
                                     => 983, typified => 14875,
                            typographic
                                     => 26841, typographical
                                     => 23865,
                            typography
                                     => 15967, typology => 19393,
                            tyrannical
                                     => 18834, tyrannosaurus
                                     => 18708,
                            tyres    => 9815, tyrol    => 9233, tyrolean => 22423, tyrosine => 13186,
                            tyrrhenian
                                     => 27545, tyumen   => 25611,
                            "u.s."   => 251, "u.s.."  => 24316, "u.s.a"  => 17116, "u.s.a." => 10151,
                            "u.s.c"  => 14926, "u.s.s"  => 22375, ubiquitin
                                     => 19663,
                            ubiquitous
                                     => 10360, ubiquity => 27827,
                            ubisoft  => 17241, ubuntu   => 14176, ucla     => 4539, uconn    => 15057,
                            udaipur  => 19209, udine    => 19625, udinese  => 17642, udupi    => 20694,
                            uefa     => 2564, uematsu  => 28568, uesugi   => 29473, uganda   => 3976,
                            ugandan  => 10933, uhuru    => 28849, ujjain   => 24929, ujpest   => 29481,
                            ukiyo    => 25296, ukraine  => 2051, ukrainian
                                     => 2184,
                            ukrainians
                                     => 10772, ukulele  => 17833,
                            ulaanbaatar
                                     => 25160, ulama    => 21973,
                            ulema    => 24842, ulithi   => 13696, ulmus    => 16506, ulnar    => 25247,
                            uloom    => 28634, ulrik    => 29186, ulrika   => 26949, ulsan    => 22361,
                            ulster   => 4080, ultima   => 17507, ultimate => 2897, ultimately
                                     => 1456,
                            ultimo   => 16474, ultra    => 4716, ultralight
                                     => 13828,
                            ultraman => 21315, ultras   => 23501, ultrasonic
                                     => 16332,
                            ultraviolet
                                     => 9617, ultron   => 28086,
                            umass    => 16687, umatilla => 29306, umayyad  => 13237, umayyads => 29948,
                            umberto  => 13617, umbilicus
                                     => 19842,
                            umbria   => 18218, umpire   => 7461, umpired  => 19342, umpires  => 11744,
                            umpiring => 19167, umpqua   => 28662, unabated => 29069, unable   => 1373,
                            unaccompanied
                                     => 19745, unadorned
                                     => 28563,
                            unaffected
                                     => 11214, unaffiliated
                                     => 16082,
                            unaided  => 25955, unaired  => 24171, unaltered
                                     => 17271,
                            unambiguous
                                     => 18901, unambiguously
                                     => 23431,
                            unanimous
                                     => 5357, unanimously
                                     => 5897,
                            unassisted
                                     => 29372, unassuming
                                     => 24062,
                            unauthorised
                                     => 18069, unavailability
                                     => 28785,
                            unaware  => 5351, unbeaten => 7174, unbeknownst
                                     => 13331,
                            unbound  => 21170, unbounded
                                     => 21707,
                            unbroken => 12015, unbuilt  => 29999, uncaf    => 27612, uncensored
                                     => 16504,
                            uncertain
                                     => 4333, uncertainties
                                     => 17001,
                            uncertainty
                                     => 5943, unchained
                                     => 28412,
                            unchanged
                                     => 6070, unchanging
                                     => 25915,
                            uncial   => 16900, unclassified
                                     => 17798,
                            unclear  => 3978, uncommon => 5285, uncompleted
                                     => 25393,
                            uncompromising
                                     => 16038,
                            unconnected
                                     => 18486, unconstitutional
                                     => 7586,
                            uncontested
                                     => 18882, uncontrolled
                                     => 13566,
                            unconventional
                                     => 8908, unconvinced
                                     => 28145,
                            unconvincing
                                     => 25864, uncovered
                                     => 6331,
                            uncovers => 20737, uncredited
                                     => 9149,
                            undamaged
                                     => 18373, undated  => 21605,
                            undaunted
                                     => 22497, undeclared
                                     => 26967,
                            undefeated
                                     => 5454, undefended
                                     => 29078,
                            undefined
                                     => 16734, undemocratic
                                     => 26978,
                            under    => 67, underboss
                                     => 26464,
                            undercard
                                     => 20502, undercarriage
                                     => 11592,
                            underdeveloped
                                     => 16013,
                            underdogs
                                     => 21909, undergo  => 5200,
                            undergoes
                                     => 10156, undergoing
                                     => 5635,
                            undergone
                                     => 6469, undergraduate
                                     => 2816,
                            undergraduates
                                     => 10497,
                            underground
                                     => 1795, undergrowth
                                     => 21898,
                            underlie => 21941, underlies
                                     => 21187,
                            underlying
                                     => 3949, undermined
                                     => 10920,
                            underparts
                                     => 13180, underpass
                                     => 17211,
                            underpinned
                                     => 26667, underpinning
                                     => 23960,
                            underpinnings
                                     => 23546, underpowered
                                     => 25031,
                            underrepresented
                                     => 26519,
                            underscore
                                     => 24368, underscored
                                     => 25258,
                            undersea => 14645, undersecretary
                                     => 17140,
                            underserved
                                     => 20632, underside
                                     => 7644,
                            undersides
                                     => 23065, understandings
                                     => 19574,
                            understory
                                     => 19511, undertake
                                     => 6454,
                            undertaken
                                     => 3869, undertaker
                                     => 10013,
                            undertakes
                                     => 15546, undertaking
                                     => 7210,
                            undertakings
                                     => 18062, undertones
                                     => 21519,
                            undertook
                                     => 4656, underwater
                                     => 4827,
                            underway => 5113, underwent
                                     => 3476,
                            underwing
                                     => 25415, underwriters
                                     => 29180,
                            underwriting
                                     => 19020, undescribed
                                     => 23870,
                            undesignated
                                     => 19936, undesirable
                                     => 10600,
                            undesired
                                     => 26831, undetermined
                                     => 17175,
                            undeterred
                                     => 23579, undeveloped
                                     => 10022,
                            undifferentiated
                                     => 25662,
                            undirected
                                     => 27563, undisclosed
                                     => 7349,
                            undisputed
                                     => 11450, undistinguished
                                     => 25100,
                            undisturbed
                                     => 14215, undocumented
                                     => 14505,
                            undrafted
                                     => 7842, undulating
                                     => 14405,
                            unearthed
                                     => 10134, unease   => 28292,
                            unedited => 21933, unemployment
                                     => 4412,
                            unequal  => 10821, unesco   => 4918, uneven   => 8419, unexpectedly
                                     => 6774,
                            unexpired
                                     => 26295, unexploded
                                     => 23043,
                            unfavorable
                                     => 11654, unfavorably
                                     => 29479,
                            unfavourable
                                     => 17185, unfolded => 16486,
                            unforgiven
                                     => 28306, ungulates
                                     => 19293,
                            unhcr    => 18306, unhindered
                                     => 29941,
                            uniao    => 20306, unicameral
                                     => 16635,
                            unicef   => 10265, unicode  => 9029, unicron  => 19099, unidirectional
                                     => 29368,
                            unido    => 26146, unification
                                     => 6193,
                            unified  => 3782, uniformity
                                     => 13075,
                            uniformly
                                     => 9952, unify    => 12950,
                            unifying => 12586, unilateral
                                     => 12360,
                            unilaterally
                                     => 15268, unilever => 16671,
                            unimproved
                                     => 26408, unincorporated
                                     => 2610,
                            uninhabitable
                                     => 26140, uninhabited
                                     => 8957,
                            uninjured
                                     => 26981, unintended
                                     => 14397,
                            uninterested
                                     => 19512, union    => 291,
                            unionism => 16738, unionist => 6329, unionists
                                     => 11316,
                            unionized
                                     => 25425, unions   => 3229,
                            uniontown
                                     => 27460, unionville
                                     => 26284,
                            unique   => 1143, uniquely => 7630, uniqueness
                                     => 12771,
                            unison   => 13583, unit     => 614, unita    => 17047, unitarian
                                     => 8865,
                            unitarians
                                     => 26811, unitary  => 7707,
                            unitas   => 24330, unite    => 6541, united   => 70, unites   => 16507,
                            uniting  => 9503, units    => 566, unity    => 3119, univac   => 29100,
                            universal
                                     => 1829, universalism
                                     => 26473,
                            universalist
                                     => 15789, universality
                                     => 18554,
                            universally
                                     => 7502, universals
                                     => 29058,
                            universelle
                                     => 21935, universes
                                     => 14111,
                            universiade
                                     => 8699, universidad
                                     => 7037,
                            universidade
                                     => 19368, universita
                                     => 27252,
                            universitario
                                     => 17313, universitat
                                     => 13519,
                            universite
                                     => 9235, universiteit
                                     => 23164,
                            universiti
                                     => 25778, universities
                                     => 1610,
                            university
                                     => 69, universo => 27752,
                            univision
                                     => 12570, unjustified
                                     => 23122,
                            unknowingly
                                     => 15133, unknown  => 1336,
                            unlawful => 8638, unlawfully
                                     => 21443,
                            unleashes
                                     => 29352, unlicensed
                                     => 15030,
                            unlike   => 1354, unlimited
                                     => 6124,
                            unlockable
                                     => 23015, unmanned => 8436,
                            unmarried
                                     => 7105, unmasked => 19132,
                            unmatched
                                     => 20798, unmodified
                                     => 22113,
                            unnamed  => 5402, unnumbered
                                     => 24690,
                            unobstructed
                                     => 28215, unoccupied
                                     => 14858,
                            unofficial
                                     => 4288, unofficially
                                     => 10093,
                            unopposed
                                     => 7389, unorganized
                                     => 12659,
                            unpaid   => 9024, unpaved  => 15905, unplaced => 19426, unpopular
                                     => 7115,
                            unpopularity
                                     => 21524, unpopulated
                                     => 29577,
                            unpowered
                                     => 27120, unprecedented
                                     => 6019,
                            unproductive
                                     => 13190, unprofitable
                                     => 17548,
                            unproven => 20120, unpublished
                                     => 7700,
                            unquestionably
                                     => 23131,
                            unranked => 21652, unrecognized
                                     => 18518,
                            unrecorded
                                     => 22111, unregistered
                                     => 18438,
                            unregulated
                                     => 18857, unrelated
                                     => 5494,
                            unreleased
                                     => 5486, unrelenting
                                     => 26013,
                            unreliability
                                     => 27773, unreported
                                     => 25188,
                            unreserved
                                     => 19233, unrest   => 6277,
                            unrestrained
                                     => 29917, unrestricted
                                     => 10725,
                            unrwa    => 25548, unsafe   => 9930, unsatisfactory
                                     => 13722,
                            unsaturated
                                     => 19430, unseated => 16513,
                            unseeded => 23494, unser    => 15685, unsigned => 9533, unskilled
                                     => 17340,
                            unsold   => 20843, unsound  => 24072, unspecified
                                     => 9632,
                            unstaffed
                                     => 26975, unstressed
                                     => 20568,
                            unstructured
                                     => 22803, unsuccessful
                                     => 2599,
                            unsuccessfully
                                     => 4264, unsuitable
                                     => 9206,
                            unsuited => 24056, unsupported
                                     => 18291,
                            unsurpassed
                                     => 27721, unsurprisingly
                                     => 23391,
                            unsustainable
                                     => 17302, untenable
                                     => 17550,
                            unter    => 22764, unterberger
                                     => 29646,
                            until    => 102, untitled => 11897, untreated
                                     => 14254,
                            unusable => 15619, unused   => 6925, unusually
                                     => 5270,
                            unveiled => 4464, unwell   => 27210, unwilling
                                     => 7419,
                            unwillingly
                                     => 28756, unwillingness
                                     => 16195,
                            unwin    => 19845, upanishad
                                     => 15724,
                            upanishads
                                     => 20426, upazila  => 12067,
                            upcoming => 3426, updated  => 3312, updates  => 5740, updating => 11740,
                            upendra  => 25593, upgrade  => 4643, upgraded => 3636, upgrades => 6949,
                            upgrading
                                     => 9146, upheaval => 13790,
                            upheavals
                                     => 21065, upheld   => 6399,
                            upholding
                                     => 15064, upjohn   => 29813,
                            upkeep   => 11646, upland   => 9037, uplands  => 13142, uplift   => 12505,
                            uplifted => 21735, upload   => 12738, uploaded => 8592, upmarket => 20689,
                            upon     => 385, upper    => 751, uppercase
                                     => 26470,
                            uppermost
                                     => 17696, upperparts
                                     => 18627,
                            upperside
                                     => 15013, uppland  => 27311,
                            uppsala  => 9413, upright  => 6569, uprising => 3618, uprisings
                                     => 11477,
                            upriver  => 14861, upsilon  => 20851, upstream => 5334, upsurge  => 25010,
                            uptake   => 12779, uptempo  => 17286, upturned => 26960, upward   => 7588,
                            upwards  => 7069, upwelling
                                     => 26595,
                            uralic   => 22790, urals    => 20255, urania   => 29680, uranium  => 5224,
                            uranus   => 14727, urban    => 966, urbana   => 10180, urbanisation
                                     => 21202,
                            urbanism => 17269, urbanization
                                     => 12093,
                            urbanized
                                     => 14971, urbino   => 19658,
                            urchins  => 20953, urdu     => 5688, urged    => 4559, urging   => 6722,
                            uriah    => 21555, uriel    => 27903, urinary  => 12574, urmia    => 19330,
                            urology  => 20978, urquiza  => 29588, urraca   => 27208, ursuline => 24729,
                            ursus    => 24248, uruguay  => 4446, uruguayan
                                     => 8206,
                            urumqi   => 25168, usaaf    => 11564, usability
                                     => 16060,
                            usable   => 8835, usafe    => 24096, usage    => 2434, usages   => 17814,
                            usaid    => 14304, uscgc    => 17582, use      => 129, used     => 64,
                            useful   => 2327, usefulness
                                     => 11878,
                            usenet   => 19034, user     => 1638, username => 21695, users    => 1528,
                            uses     => 734, ushered  => 15089, using    => 277, usisl    => 21356,
                            usman    => 20033, uspto    => 28535, ussr     => 3963, ustad    => 16623,
                            ustase   => 18568, ustinov  => 25532, usually  => 438, usurpation
                                     => 25118,
                            usurped  => 17222, usurper  => 18779, usury    => 27533, utada    => 23223,
                            utah     => 2257, uterine  => 16016, uthman   => 17476, utica    => 11632,
                            utilisation
                                     => 24138, utilise  => 16128,
                            utilised => 10726, utilises => 22370, utilising
                                     => 15094,
                            utilitarian
                                     => 14518, utilitarianism
                                     => 26158,
                            utilities
                                     => 6093, utility  => 3668,
                            utilization
                                     => 9867, utilize  => 6171,
                            utilized => 4573, utilizes => 7771, utilizing
                                     => 6335,
                            utopia   => 10661, utopian  => 12873, utrecht  => 6996, utricularia
                                     => 21936,
                            uttar    => 5792, uttara   => 25222, uttarakhand
                                     => 13236,
                            utterance
                                     => 19651, utterances
                                     => 22463,
                            uttering => 26061, uxbridge => 13191, uyezd    => 17355, uyghur   => 12256,
                            uyghurs  => 18110, uzbek    => 11240, uzbekistan
                                     => 7028,
                            uzbeks   => 27248, "v/line" => 29412, vaasa    => 28354, vacancies
                                     => 11004,
                            vacancy  => 5599, vacant   => 4529, vacated  => 6244, vaccination
                                     => 11230,
                            vaccinations
                                     => 25343, vaccines => 10209,
                            vaccinium
                                     => 27536, vaclav   => 14718,
                            vacuum   => 4770, vadim    => 16392, vadodara => 22228, vagrant  => 17721,
                            vagrants => 28655, vaikundar
                                     => 29748,
                            vaillant => 28541, vaishnava
                                     => 19386,
                            vaishnavism
                                     => 26502, vajpayee => 26531,
                            vajrayana
                                     => 24040, vakhtang => 27858,
                            valais   => 16560, valdemar => 16393, valdosta => 23354, vale     => 4053,
                            valea    => 9457, valence  => 11587, valencian
                                     => 12312,
                            valenciennes
                                     => 20227, valens   => 21805,
                            valentinian
                                     => 23425, valerenga
                                     => 24080,
                            valerian => 17493, valhalla => 19109, valid    => 3607, validated
                                     => 11515,
                            validating
                                     => 26823, validation
                                     => 10150,
                            validity => 6174, validly  => 28045, valjean  => 25018, valkyrie => 16129,
                            valladolid
                                     => 11942, valley   => 519,
                            valleys  => 4738, valli    => 18171, valmiki  => 29949, valour   => 15248,
                            valparaiso
                                     => 11257, valuation
                                     => 9473,
                            valuations
                                     => 27953, value    => 877,
                            valued   => 4324, values   => 1628, valuing  => 24601, valve    => 4067,
                            valves   => 6602, vanadium => 20448, vanbrugh => 28739, vancouver
                                     => 2336,
                            vandalised
                                     => 28188, vandals  => 11953,
                            vander   => 22663, vanderbilt
                                     => 6257,
                            vandross => 27746, vangelis => 23972, vanguard => 7471, vantage  => 14325,
                            vanuatu  => 10131, vapor    => 8118, vapour   => 17050, varanasi => 12796,
                            varazdin => 27200, vardar   => 19739, varese   => 13908, variability
                                     => 10074,
                            variable => 2814, variables
                                     => 4008,
                            variably => 29499, variance => 8245, variances
                                     => 24945,
                            variant  => 3125, variants => 3384, variation
                                     => 3049,
                            variational
                                     => 28792, variations
                                     => 2807,
                            varied   => 3357, variegated
                                     => 23553,
                            varies   => 3436, varietal => 24738, varieties
                                     => 3485,
                            variety  => 747, various  => 275, variously
                                     => 6287,
                            varma    => 11189, varna    => 12251, varro    => 27794, varsity  => 4399,
                            varun    => 27111, varuna   => 27566, vary     => 2726, varying  => 3553,
                            varzim   => 22222, vasant   => 28326, vasari   => 20470, vasco    => 10838,
                            vasconcelos
                                     => 24038, vascular => 8098,
                            vases    => 13986, vashem   => 23651, vasile   => 18207, vasili   => 22925,
                            vasily   => 12034, vaslui   => 25235, vassal   => 8651, vassals  => 12588,
                            vast     => 2559, vasteras => 25331, vastly   => 9531, vastra   => 19693,
                            vasyl    => 27173, vatican  => 4609, vauban   => 27186, vaucluse => 23617,
                            vaudeville
                                     => 8399, vaudreuil
                                     => 28281,
                            vaulted  => 11570, vaulter  => 29277, vaulting => 19388, vaults   => 11057,
                            vauxhall => 11559, vector   => 3292, vectors  => 6899, vedanta  => 13871,
                            vedas    => 14393, vedic    => 8930, veena    => 20656, veera    => 23448,
                            veers    => 22495, vegan    => 14116, vegetarianism
                                     => 21503,
                            vegetated
                                     => 23900, vegetation
                                     => 3876,
                            vegetative
                                     => 15507, vehement => 23743,
                            vehemently
                                     => 14209, vehicle  => 1392,
                            vehicles => 1402, vehicular
                                     => 11985,
                            veikkausliiga
                                     => 26446, vein     => 5887,
                            veined   => 28058, vejle    => 26851, velar    => 18948, velde    => 24519,
                            veldenz  => 27064, velika   => 20704, veliki   => 23400, veliko   => 27245,
                            vellore  => 19557, vellum   => 24307, velocities
                                     => 12725,
                            velocity => 3838, velodrome
                                     => 16182,
                            veloso   => 27342, velvety  => 28309, venables => 22671, vendee   => 19120,
                            vendome  => 20184, vendors  => 6468, venerable
                                     => 10184,
                            venerated
                                     => 11410, veneration
                                     => 11180,
                            veneta   => 27926, venetia  => 23350, venetian => 6067, venetians
                                     => 14722,
                            veneto   => 10814, venezuela
                                     => 3211,
                            venezuelan
                                     => 5874, venezuelans
                                     => 29938,
                            venizelos
                                     => 21630, venkat   => 29867,
                            venkata  => 21505, venkatesh
                                     => 20983,
                            venkateswara
                                     => 24157, venlo    => 24091,
                            venom    => 7457, venomous => 11623, venous   => 14634, venter   => 21912,
                            ventilation
                                     => 7942, ventral  => 8747,
                            ventrally
                                     => 22618, ventricles
                                     => 25694,
                            ventricular
                                     => 13783, ventrites
                                     => 19893,
                            ventspils
                                     => 24832, venture  => 2492,
                            ventured => 10781, ventures => 4739, venturing
                                     => 18280,
                            venue    => 2404, venues   => 3134, veolia   => 25158, veracruz => 8620,
                            verandah => 13785, verandahs
                                     => 23274,
                            verano   => 22344, verb     => 4598, verbally => 12494, verband  => 29373,
                            verbandsgemeinde
                                     => 12163,
                            verbandsliga
                                     => 22961, verbs    => 6116,
                            vercelli => 21436, verde    => 6729, verdean  => 23382, verden   => 23841,
                            verdes   => 20363, verdicts => 20118, verein   => 22237, veria    => 28355,
                            verifiable
                                     => 20021, verification
                                     => 8616,
                            verified => 7788, verite   => 25686, verity   => 18815, verizon  => 10867,
                            verkhovna
                                     => 20211, verlag   => 13373,
                            verlaine => 28608, vermilion
                                     => 14338,
                            vermont  => 3255, vernacular
                                     => 6904,
                            vernal   => 19414, vernet   => 27646, verney   => 23503, veronese => 23469,
                            versailles
                                     => 7104, versatile
                                     => 8268,
                            versatility
                                     => 11729, verse    => 3032,
                            verses   => 4415, version  => 309, versions => 1162, verso    => 27523,
                            versus   => 1993, vertebra => 19240, vertebrae
                                     => 9811,
                            vertebral
                                     => 16729, vertebrate
                                     => 11308,
                            vertebrates
                                     => 10365, vertex   => 7264,
                            vertical => 2734, vertically
                                     => 7703,
                            vertices => 6998, vertigo  => 11752, verve    => 14471, verwaltungsgemeinschaft
                                     => 27187,
                            vesicle  => 21885, vesicles => 15825, vespasian
                                     => 19962,
                            vessel   => 2247, vessels  => 2192, vestfold => 23491, vestibular
                                     => 21266,
                            vestiges => 16644, vestments
                                     => 19528,
                            vestry   => 12455, veszprem => 29005, veteran  => 2877, veterans => 2981,
                            veterinarians
                                     => 22835, veterinary
                                     => 6351,
                            vetoed   => 12895, vettel   => 13867, vexillum => 23737, "vfl/afl"
                                     => 26737,
                            via      => 586, viability
                                     => 10737,
                            viable   => 5796, viacom   => 13563, viaduct  => 7447, viaducts => 22080,
                            viareggio
                                     => 23849, viborg   => 22210,
                            vibrant  => 8087, vibraphone
                                     => 27312,
                            vibration
                                     => 8510, vibrational
                                     => 19858,
                            vibrato  => 20153, vicar    => 5017, vicarage => 14503, vicariate
                                     => 13544,
                            vice     => 918, vicenza  => 14099, viceroy  => 6991, viceroyalty
                                     => 15139,
                            vichy    => 9985, vicinity => 3885, vicomte  => 28805, victimization
                                     => 24410,
                            victims  => 2118, victoire => 25057, victorian
                                     => 2318,
                            victorians
                                     => 28252, victories
                                     => 3120,
                            victorious
                                     => 5399, victors  => 16025,
                            victory  => 703, vidarbha => 27106, video    => 346, videogame
                                     => 18469,
                            videography
                                     => 27728, videos   => 2273,
                            vidhan   => 7939, vidin    => 26814, vidya    => 13698, vidyalaya
                                     => 13939,
                            vidyasagar
                                     => 27175, vieja    => 29603,
                            viejo    => 15327, vienna   => 2097, vienne   => 15282, viennese => 12074,
                            vientiane
                                     => 18037, vieques  => 28256,
                            vietnam  => 1570, vietnamese
                                     => 3250,
                            vieux    => 18517, view     => 795, viewable => 21720, viewed   => 2420,
                            viewer   => 5374, viewers  => 2452, viewership
                                     => 11234,
                            viewfinder
                                     => 23162, viewing  => 4211,
                            viewpoint
                                     => 8058, viewpoints
                                     => 12274,
                            views    => 1614, viggo    => 28070, vignette => 25414, vignettes
                                     => 16490,
                            vigor    => 16307, vigorous => 8296, vigorously
                                     => 10655,
                            vigour   => 20688, vihar    => 20298, vihara   => 25062, viii     => 3942,
                            vijay    => 7691, vijaya   => 14078, vijayan  => 28690, vijayanagar
                                     => 25381,
                            vijayanagara
                                     => 20077, vijayawada
                                     => 18267,
                            vikas    => 21982, viking   => 5427, vikings  => 5241, vikram   => 12159,
                            vikramaditya
                                     => 27428, viktoria => 17902,
                            vilaine  => 26887, vilas    => 23039, vilayet  => 17988, vilhelm  => 23873,
                            village  => 168, villager => 20768, villagers
                                     => 4845,
                            villages => 1272, villain  => 5349, villainous
                                     => 13396,
                            villains => 6345, villars  => 25601, villas   => 9679, ville    => 8653,
                            villers  => 19689, villiers => 10717, vilna    => 19477, vilnius  => 7984,
                            vinay    => 26193, vinaya   => 28302, vineland => 29869, vineyards
                                     => 7365,
                            vinod    => 16549, vinyl    => 3673, violas   => 29985, violations
                                     => 5118,
                            violators
                                     => 26309, violence => 1660,
                            violently
                                     => 9360, violetta => 24282,
                            violin   => 3633, violinist
                                     => 6649,
                            violinists
                                     => 22933, violins  => 11894,
                            violist  => 23268, viral    => 5536, virginian
                                     => 17104,
                            virginians
                                     => 27627, virginie => 25706,
                            viridis  => 26980, virology => 23667, virtua   => 26265, virtual  => 2691,
                            virtualization
                                     => 15329,
                            virtually
                                     => 3294, virtues  => 8483,
                            virtuosic
                                     => 29893, virtuosity
                                     => 19570,
                            virtuoso => 11597, virtus   => 23390, virulence
                                     => 21734,
                            viruses  => 6910, visa     => 5222, visakhapatnam
                                     => 17194,
                            visalia  => 24469, visas    => 11474, visayan  => 24065, visayas  => 16003,
                            visby    => 29944, viscosity
                                     => 11961,
                            viscount => 4879, viscountess
                                     => 27054,
                            viscounts
                                     => 25369, viscous  => 15277,
                            visegrad => 26564, viseu    => 29967, vishal   => 18574, vishnu   => 6621,
                            visibility
                                     => 6606, visible  => 2179,
                            visibly  => 12185, visigothic
                                     => 19498,
                            visigoths
                                     => 20168, visionary
                                     => 10318,
                            visited  => 1471, visiting => 2135, visitors => 1941, visits   => 2980,
                            vista    => 5114, vistas   => 20522, vistula  => 13611, visual   => 1674,
                            visualization
                                     => 10831, visualized
                                     => 20260,
                            visually => 6994, visuals  => 10988, viswanathan
                                     => 20838,
                            vitae    => 20134, vital    => 3563, vitali   => 19301, vitality => 12963,
                            vitaly   => 20858, vitebsk  => 20349, viterbo  => 21646, vitesse  => 21245,
                            viticultural
                                     => 24820, viticulture
                                     => 16769,
                            vitis    => 20536, vitor    => 24805, vitoria  => 11178, vitreous => 23252,
                            vitro    => 9291, vitruvius
                                     => 26931,
                            vittoria => 19982, vittorio => 10913, vitus    => 24120, vivaldi  => 19089,
                            vivek    => 20206, vivekananda
                                     => 12735,
                            vivendi  => 23483, viviparous
                                     => 27782,
                            vizcaya  => 25134, vizier   => 10985, vlachs   => 22850, vladikavkaz
                                     => 28635,
                            vladimir => 3518, vladimirovich
                                     => 17759,
                            vladislav
                                     => 15288, vladivostok
                                     => 15099,
                            vliet    => 29466, vlore    => 25185, vmware   => 22899, vocal    => 2169,
                            vocalist => 2956, vocalists
                                     => 9556,
                            vocalization
                                     => 26840, vocalizations
                                     => 23019,
                            vocally  => 19220, vocals   => 1730, vocational
                                     => 4965,
                            vocations
                                     => 23905, vodacom  => 16145,
                            vodafone => 12086, vodou    => 27748, vogue    => 7078, voiced   => 3334,
                            voiceless
                                     => 13463, voiceover
                                     => 17128,
                            voicing  => 12109, voided   => 22513, voids    => 22075, voivode  => 17048,
                            voivodeship
                                     => 1588, vojvodina
                                     => 10534,
                            volador  => 25412, volatility
                                     => 14169,
                            volcanic => 4183, volcanics
                                     => 29795,
                            volcanism
                                     => 17756, volcano  => 5239,
                            volcanoes
                                     => 8678, voles    => 24434,
                            volga    => 9359, volgograd
                                     => 20876,
                            volhynia => 18726, volkov   => 22786, volkswagen
                                     => 7322,
                            volley   => 12224, volleyball
                                     => 3029,
                            volleys  => 28680, volodymyr
                                     => 17346,
                            vologda  => 17018, "vols."  => 19298, volta    => 11346, voltage  => 3651,
                            voltages => 13517, voltaire => 11748, volterra => 29688, volume   => 1174,
                            volumes  => 2402, volumetric
                                     => 20897,
                            voluminous
                                     => 19055, voluntary
                                     => 4113,
                            volunteer
                                     => 2426, volunteerism
                                     => 28798,
                            volunteers
                                     => 2497, vonnegut => 20368,
                            voracious
                                     => 26422, vorarlberg
                                     => 26198,
                            voronezh => 17406, vorpommern
                                     => 14098,
                            vortices => 24488, vosges   => 15542, vosta    => 25391, vostok   => 19451,
                            vote     => 958, voted    => 1738, voter    => 5407, voters   => 2516,
                            votes    => 1315, voting   => 2362, votive   => 18704, vowel    => 5166,
                            vowels   => 5864, voyage   => 3509, voyager  => 10529, voyages  => 8275,
                            voyageurs
                                     => 25132, vries    => 16585,
                            vriesea  => 25285, vsevolod => 21413, vuelta   => 12762, vuitton  => 20060,
                            vukovar  => 22253, vulcan   => 9869, vulgaris => 18177, vulgate  => 18063,
                            vulnerabilities
                                     => 16246,
                            vyacheslav
                                     => 17009, vyborg   => 26402,
                            vysocina => 28504, vytautas => 19113, waals    => 24245, wabash   => 11500,
                            wachovia => 25173, waders   => 20913, wadham   => 19908, wadia    => 27251,
                            wafers   => 22946, waffen   => 12320, waged    => 11815, wagga    => 14320,
                            wagons   => 6215, wahab    => 27396, waheed   => 28475, wahid    => 21492,
                            waikato  => 11201, waikiki  => 27021, wailers  => 25351, wairarapa
                                     => 19285,
                            waitakere
                                     => 28547, waitangi => 21544,
                            waived   => 7176, waiver   => 13714, waivers  => 10932, wakayama => 21537,
                            waldegrave
                                     => 27194, waldemar => 18395,
                            wales    => 791, walesa   => 28224, walid    => 14891, walkers  => 9916,
                            walkover => 29260, walkway  => 10651, walkways => 15007, wallabies
                                     => 15857,
                            wallachia
                                     => 14011, wallachian
                                     => 24430,
                            walled   => 7320, wallenberg
                                     => 23178,
                            walleye  => 20283, wallonia => 15537, walloon  => 13851, wallsend => 26928,
                            walmart  => 13130, walsall  => 9736, walsingham
                                     => 17601,
                            walt     => 4192, waltham  => 11956, walthamstow
                                     => 21228,
                            wampanoag
                                     => 27429, wanderers
                                     => 5319,
                            wanderings
                                     => 29456, wandsworth
                                     => 17125,
                            waned    => 12988, wanganui => 18092, war      => 84, warangal => 22249,
                            waratah  => 28100, waratahs => 25039, warbler  => 11101, warblers => 15170,
                            warburg  => 16447, warcraft => 18751, wardens  => 18752, wards    => 4694,
                            warehouses
                                     => 9124, warehousing
                                     => 18960,
                            wares    => 13810, warfare  => 3024, wargame  => 25757, wargames => 22648,
                            wargaming
                                     => 29469, warhammer
                                     => 19145,
                            warhol   => 10770, warlike  => 19499, warlord  => 9918, warlords => 13644,
                            warmian  => 9201, warminster
                                     => 29123,
                            warmly   => 14639, warners  => 26107, warnings => 6920, warns    => 7810,
                            warping  => 22422, warrenton
                                     => 26632,
                            warring  => 11607, warringah
                                     => 18767,
                            warriors => 2894, warrnambool
                                     => 25699,
                            wars     => 1710, warsaw   => 2908, warship  => 8173, warships => 6181,
                            warszawa => 21152, warta    => 29051, wartime  => 4483, warwickshire
                                     => 6582,
                            was      => 5, wasatch  => 22005, waseda   => 22539, washers  => 28961,
                            washoe   => 24396, wasps    => 9164, wastes   => 12727, wastewater
                                     => 9945,
                            watauga  => 27599, watchmaker
                                     => 22110,
                            watchmen => 20102, watchtower
                                     => 17254,
                            water    => 229, waterbirds
                                     => 28031,
                            watercolor
                                     => 13132, watercolors
                                     => 16427,
                            watercolour
                                     => 15035, watercolours
                                     => 18195,
                            watercourse
                                     => 21825, watercourses
                                     => 22134,
                            watercraft
                                     => 21456, waterfall
                                     => 6674,
                            waterfalls
                                     => 9034, waterford
                                     => 6860,
                            waterfowl
                                     => 12708, waterfront
                                     => 6502,
                            waterline
                                     => 13439, waterlogged
                                     => 26599,
                            waterloo => 5373, watermark
                                     => 25384,
                            watermill
                                     => 20449, waterpark
                                     => 26837,
                            watershed
                                     => 4387, watersheds
                                     => 17367,
                            waterside
                                     => 20384, watertight
                                     => 19670,
                            watertown
                                     => 13381, waterville
                                     => 21482,
                            waterway => 8429, waterways
                                     => 7818,
                            waterwheel
                                     => 25658, watling  => 21347,
                            wattle   => 16925, waukesha => 23110, wausau   => 24459, wave     => 1752,
                            waveform => 16616, waveforms
                                     => 24952,
                            wavefunction
                                     => 26602, waveguide
                                     => 21027,
                            wavelength
                                     => 7340, wavelengths
                                     => 9975,
                            wavelet  => 23564, wavell   => 29746, waverley => 12403, waves    => 3107,
                            wayans   => 28057, waynesboro
                                     => 26682,
                            wazir    => 23336, waziristan
                                     => 22378,
                            weakened => 4878, weakening
                                     => 8805,
                            weakens  => 26179, weakly   => 12115, weald    => 17491, wealth   => 2748,
                            wealthier
                                     => 15310, wealthiest
                                     => 9979,
                            wealthy  => 2717, weaned   => 28498, weaponry => 9025, weapons  => 1482,
                            wearable => 22787, wearer   => 12624, weather  => 1562, weatherboard
                                     => 25274,
                            weathering
                                     => 14148, weavers  => 11639,
                            weaves   => 21546, weaving  => 7299, "web.com"
                                     => 27932,
                            webbed   => 17619, webby    => 23547, webcam   => 20175, webcast  => 21527,
                            webcomic => 19581, weblog   => 28827, webpage  => 16186, website  => 1026,
                            websites => 4128, wedgwood => 17005, wednesbury
                                     => 29640,
                            weekday  => 6398, weekdays => 7585, weeklies => 26306, weekly   => 1446,
                            weeknight
                                     => 19760, weeknights
                                     => 19725,
                            weezer   => 20154, wehrmacht
                                     => 7711,
                            weibo    => 23176, weierstrass
                                     => 29792,
                            weighed  => 6169, weight   => 1451, weighted => 8081, weighting
                                     => 17295,
                            weightlifter
                                     => 17137, weightlifting
                                     => 9015,
                            weights  => 6784, weill    => 15255, weimar   => 7760, weirs    => 24047,
                            weizmann => 20773, wejherowo
                                     => 29844,
                            welby    => 25704, welcomed => 4968, welcomes => 13212, welded   => 10619,
                            welding  => 8850, welfare  => 2942, welland  => 16804, wellbeing
                                     => 17562,
                            wellcome => 18573, wellesley
                                     => 9786,
                            wellingborough
                                     => 28816,
                            wellington
                                     => 3176, wellness => 9191,
                            welshman => 26357, welterweight
                                     => 8078,
                            welwyn   => 24429, wembley  => 6422, wemyss   => 21417, wenatchee
                                     => 22864,
                            wenceslaus
                                     => 17331, wendover => 24666,
                            wenlock  => 25102, wenzhou  => 29774, wenzong  => 24473, werder   => 16881,
                            were     => 17, werft    => 27550, werke    => 20938, werribee => 25604,
                            weser    => 15430, wesleyan => 7408, wessex   => 9758, westbound
                                     => 9059,
                            westbourne
                                     => 28741, westchester
                                     => 9241,
                            westerly => 11070, western  => 265, westerners
                                     => 14852,
                            westernmost
                                     => 11267, westerns => 12782,
                            westfalen
                                     => 28746, westinghouse
                                     => 10871,
                            westland => 12889, westlife => 25114, westmeath
                                     => 15254,
                            westminster
                                     => 3450, westmorland
                                     => 14715,
                            westmount
                                     => 28587, westpac  => 18845,
                            westphalia
                                     => 8033, westphalian
                                     => 23670,
                            westport => 12578, wests    => 17391, westward => 5670, westwards
                                     => 11976,
                            westwood => 8687, wetland  => 8059, wetlands => 6086, wettest  => 16318,
                            wettin   => 29450, wexford  => 8379, wftda    => 29049, whaler   => 22373,
                            whalers  => 11567, whales   => 7029, whaling  => 8595, whampoa  => 27434,
                            whangarei
                                     => 26550, wharf    => 6781,
                            wheatbelt
                                     => 28830, wheatland
                                     => 26465,
                            whedon   => 15531, wheelbase
                                     => 10200,
                            wheeled  => 9449, wheelers => 22056, wheldon  => 28960, whelks   => 27355,
                            when     => 39, where    => 56, whereas  => 2034, whereby  => 4983,
                            wherein  => 6577, whereupon
                                     => 9391,
                            which    => 19, whidbey  => 26457, whigs    => 13021, while    => 71,
                            whilst   => 1880, whisperer
                                     => 27279,
                            whistleblower
                                     => 17374, whistleblowers
                                     => 28715,
                            whitecaps
                                     => 14809, whitechapel
                                     => 14644,
                            whitefish
                                     => 17776, whitehall
                                     => 10593,
                            whitehaven
                                     => 20130, whitehorse
                                     => 19263,
                            whites   => 5278, whitewashed
                                     => 23596,
                            whitewater
                                     => 12264, whitish  => 7213,
                            whitlam  => 16505, who      => 32, wholesale
                                     => 6537,
                            wholesalers
                                     => 21176, wholly   => 5134,
                            whom     => 650, whorl    => 12626, whorls   => 10251, whose    => 570,
                            wichita  => 7088, wicket   => 4389, wicketkeeper
                                     => 20970,
                            wickets  => 3458, wicklow  => 13133, wide     => 637, widely   => 1039,
                            widened  => 8525, widening => 9227, widens   => 17896, wider    => 2941,
                            wideroe  => 25589, widescreen
                                     => 13102,
                            widespread
                                     => 2296, widest   => 11108,
                            widget   => 21851, widgets  => 21419, widnes   => 13687, widow    => 3093,
                            widowed  => 8982, widowers => 16634, widows   => 9348, width    => 3799,
                            widths   => 20990, wielded  => 15824, wields   => 18720, wielka   => 21914,
                            wielki   => 24137, wielkie  => 17017, wielkopolska
                                     => 28298,
                            wielkopolski
                                     => 16050, wielun   => 29843,
                            wiesbaden
                                     => 12666, wiesenthal
                                     => 26367,
                            wigan    => 5505, wigmore  => 19721, wigner   => 24763, wikileaks
                                     => 14530,
                            wikimedia
                                     => 20637, wikipedia
                                     => 5671,
                            wilberforce
                                     => 16561, wilbraham
                                     => 26271,
                            wildcard => 11764, wildcards
                                     => 12906,
                            wildcat  => 11404, wildcats => 6383, wilderness
                                     => 3906,
                            wilders  => 29987, wildfire => 14323, wildfires
                                     => 17743,
                            wildflower
                                     => 21801, wildlife => 2255,
                            wildstorm
                                     => 24327, wildwood => 18112,
                            wilfrid  => 11362, wilfried => 22086, wilhelmine
                                     => 24900,
                            wilhelmshaven
                                     => 20626, "will.i.am"
                                     => 19777,
                            willamette
                                     => 10230, willem   => 8010,
                            willesden
                                     => 23597, willi    => 16494,
                            williamsburg
                                     => 9316, williamsport
                                     => 16187,
                            williamstown
                                     => 14102, willingness
                                     => 8234,
                            willys   => 26278, wilmington
                                     => 6619,
                            wilno    => 24246, wilts    => 29684, wiltshire
                                     => 6378,
                            wimax    => 26515, wimbledon
                                     => 4854,
                            wimborne => 29062, win      => 392, windhoek => 19750, winding  => 6933,
                            windings => 23619, windmill => 8844, windows  => 1218, winds    => 2762,
                            windscreen
                                     => 18361, winehouse
                                     => 20012,
                            winemaker
                                     => 23405, winemakers
                                     => 23686,
                            winemaking
                                     => 16589, wineries => 14091,
                            winery   => 8743, wing     => 785, winged   => 6560, wingers  => 24257,
                            wings    => 1872, wingspan => 4165, winless  => 16963, winner   => 1025,
                            winners  => 1632, winning  => 523, winningest
                                     => 20304,
                            winnipeg => 4079, wins     => 1512, winslet  => 29024, winterbottom
                                     => 25281,
                            wintered => 28114, wintering
                                     => 14854,
                            winterthur
                                     => 18196, winwood  => 24731,
                            wipeout  => 23439, wireless => 3691, wirral   => 14992, wisbech  => 27401,
                            wisconsin
                                     => 1493, wisden   => 12488,
                            wisla    => 20182, wisteria => 27274, with     => 10, withdraw => 4204,
                            withdrawal
                                     => 3934, withdrawing
                                     => 9023,
                            withdrawn
                                     => 3699, withdrew => 2838,
                            within   => 179, withstand
                                     => 8242,
                            withstood
                                     => 18457, witnessed
                                     => 4347,
                            witney   => 26820, witold   => 24694, wittelsbach
                                     => 22940,
                            wittgenstein
                                     => 13294, witton   => 25962,
                            witwatersrand
                                     => 19374, wizardry => 28303,
                            wizards  => 7860, wladyslaw
                                     => 9651,
                            wloclawek
                                     => 22160, woburn   => 21073,
                            wodehouse
                                     => 17542, wojciech => 17749,
                            woking   => 14447, wolds    => 27780, wolfenbuttel
                                     => 21096,
                            wolfpack => 17073, wolfpacks
                                     => 27271,
                            wolfsburg
                                     => 16142, wolka    => 20600,
                            wollaston
                                     => 19608, wollongong
                                     => 13509,
                            wollstonecraft
                                     => 23506,
                            wolseley => 17365, wolverhampton
                                     => 7244,
                            wolverine
                                     => 8814, wolverines
                                     => 8532,
                            wolves   => 5074, women    => 214, won      => 128, wonsan   => 29833,
                            woodbine => 18828, woodblock
                                     => 24026,
                            woodbridge
                                     => 12664, woodcut  => 21084,
                            woodcuts => 20014, wooded   => 6911, wooden   => 2059, woodlands
                                     => 7090,
                            woodlawn => 14442, woodpeckers
                                     => 17321,
                            woodstock
                                     => 7963, woodville
                                     => 15029,
                            woodwind => 17686, woodwinds
                                     => 25395,
                            woodworking
                                     => 17741, wool     => 5587,
                            woolen   => 16331, woollen  => 17105, woolly   => 14090, woolwich => 10832,
                            woolworths
                                     => 19235, worcester
                                     => 4700,
                            worcestershire
                                     => 7122, wording  => 11325,
                            wordless => 27497, wordplay => 21827, woreda   => 10788, woredas  => 25187,
                            work     => 107, workbench
                                     => 28586,
                            worked   => 313, workers  => 878, workflow => 15673, workforce
                                     => 5545,
                            workhouse
                                     => 15283, workings => 9755,
                            workington
                                     => 16961, workmen  => 13553,
                            workouts => 24736, workpiece
                                     => 21468,
                            workplace
                                     => 6517, workplaces
                                     => 17215,
                            works    => 283, workshop => 3385, workshops
                                     => 3523,
                            worksop  => 22708, workspace
                                     => 24193,
                            workstation
                                     => 16028, workstations
                                     => 16354,
                            world    => 53, worldview
                                     => 14371,
                            worldwide
                                     => 1326, worn     => 2911,
                            worsen   => 18531, worsened => 10164, worsening
                                     => 13723,
                            worsens  => 28571, worship  => 2655, worshiped
                                     => 13627,
                            worshipers
                                     => 20135, worshipful
                                     => 16919,
                            worshippers
                                     => 14238, worthing => 14779,
                            would    => 52, wounded  => 1901, wounding => 10128, woven    => 8153,
                            wozniacki
                                     => 24564, wrangel  => 26336,
                            wranglers
                                     => 19668, wraparound
                                     => 24321,
                            wrasse   => 25992, wreath   => 11304, wreckage => 10173, wreckers => 28705,
                            wrens    => 25147, wrest    => 25446, wrestled => 8611, wrestlemania
                                     => 9851,
                            wrestler => 4088, wrestlers
                                     => 5466,
                            wrestling
                                     => 1481, wrexham  => 9123,
                            wrights  => 29558, writer   => 704, "writer/director"
                                     => 24590,
                            writers  => 1424, writes   => 2351, writing  => 555, writings => 2623,
                            writs    => 19435, written  => 288, wroclaw  => 8397, wrongly  => 10641,
                            wrote    => 332, wrought  => 9032, wuhan    => 12742, wuppertal
                                     => 19943,
                            wurlitzer
                                     => 23009, wurttemberg
                                     => 6125,
                            wurzburg => 11112, wushu    => 21966, wuxia    => 29542, wyandot  => 29766,
                            wyandotte
                                     => 23787, wyclef   => 28613,
                            wycliffe => 19340, wycombe  => 10872, wyeth    => 18979, wylde    => 23241,
                            wynton   => 28367, wynyard  => 27359, wyoming  => 3931, wysokie  => 28024,
                            wyvern   => 27881, xanthi   => 28419, xaver    => 26427, xbox     => 4906,
                            xenon    => 15945, xenophobia
                                     => 24253,
                            xenophobic
                                     => 27287, xenophon => 17848,
                            xerxes   => 21050, xfinity  => 24381, xhosa    => 18436, xhtml    => 29570,
                            "xi'an"  => 15682, xiahou   => 27880, xiamen   => 19672, xianbei  => 25719,
                            xiang    => 7451, xianzong => 23912, xiaoping => 21179, xinhua   => 21759,
                            xinjiang => 9068, xiongnu  => 15889, xizong   => 25487, xperia   => 26312,
                            xpress   => 29899, xtreme   => 16583, xuanwu   => 26713, xuanzang => 27503,
                            xuanzong => 14646, xuzhou   => 28927, xviii    => 12328, xxiii    => 13038,
                            xylophone
                                     => 27169, yaakov   => 17870,
                            yachting => 16350, yachts   => 11124, yadav    => 12285, yadkin   => 29707,
                            yahoo    => 7374, yahweh   => 19255, yahya    => 12795, yakima   => 15296,
                            yakov    => 20749, yakovlev => 19300, yale     => 2996, yamagata => 16721,
                            yamaha   => 8777, yamanashi
                                     => 25483,
                            yamato   => 12343, yamuna   => 16717, "yan'an" => 29608, yangon   => 13230,
                            yangtze  => 10718, yangzhou => 23386, yankees  => 4155, yankovic => 14768,
                            yannick  => 23943, yanow    => 17821, yanukovych
                                     => 17972,
                            yaounde  => 22290, yaqub    => 28216, yaqui    => 25596, yard     => 1183,
                            yardage  => 17819, yardbirds
                                     => 24721,
                            yarder   => 26708, yards    => 1283, yarmouth => 10067, yarns    => 20603,
                            yaroslav => 19124, yaroslavl
                                     => 16387,
                            yarra    => 12785, yarrow   => 17937, yasser   => 20039, yassin   => 28553,
                            yatra    => 19756, yavapai  => 26817, yazid    => 20988, yazoo    => 19887,
                            year     => 50, yearly   => 4365, years    => 47, yeast    => 8200,
                            yeasts   => 28499, yehuda   => 14007, yehudi   => 26870, yekaterinburg
                                     => 22541,
                            yellow   => 1253, yellowhead
                                     => 29351,
                            yellowish
                                     => 7268, yellowknife
                                     => 22468,
                            yellowstone
                                     => 9864, yeltsin  => 15702,
                            yemen    => 5395, yemeni   => 11925, yemenite => 24218, yeomanry => 9977,
                            yeomen   => 24714, yeong    => 26010, yeovil   => 11190, yerba    => 22450,
                            yerevan  => 9954, yeshiva  => 7598, yeshivas => 24475, yevgeni  => 22498,
                            yiddish  => 7698, yield    => 4175, yielded  => 6901, yielding => 8095,
                            yields   => 5973, yildirim => 27763, yilmaz   => 27149, yishuv   => 29743,
                            yisrael  => 15333, yitzchak => 29862, yitzhak  => 15270, yogyakarta
                                     => 15201,
                            yokai    => 28544, yokohama => 8097, yokosuka => 11119, yokozuna => 17100,
                            yomiuri  => 21715, yonge    => 14198, yonne    => 23488, york     => 157,
                            yorker   => 7731, yorkshire
                                     => 2335,
                            yorktown => 12071, yorkville
                                     => 27817,
                            yoruba   => 12563, yosef    => 13468, yosemite => 12087, yoshihiro
                                     => 29021,
                            yossi    => 28026, younger  => 1225, youngest => 2410, youngster
                                     => 12739,
                            youngstown
                                     => 11521, yousuf   => 26640,
                            youth    => 700, youths   => 7578, youtube  => 3368, ypres    => 12485,
                            ypsilanti
                                     => 22656, ysgol    => 23625,
                            yuan     => 3586, yucatan  => 9814, yucca    => 18124, yugoslav => 4629,
                            yugoslavia
                                     => 3247, yugoslavian
                                     => 15726,
                            yukio    => 23286, yukon    => 7497, yulia    => 19150, yunnan   => 8601,
                            yunus    => 19327, "yup'ik" => 26496, yuriy    => 20341, yusef    => 22538,
                            yushchenko
                                     => 22669, yusuf    => 8938,
                            yusuke   => 26359, yutaka   => 27938, yuvan    => 27385, yuwen    => 17249,
                            yvelines => 26580, zacatecas
                                     => 19312,
                            zadar    => 16178, zafar    => 19112, zagora   => 25630, zagreb   => 5221,
                            zagros   => 27528, zahir    => 17555, zahra    => 18384, zaidi    => 21264,
                            zainab   => 24858, zaire    => 14070, zakaria  => 24609, zakat    => 28665,
                            zakir    => 27288, zalgiris => 25854, zalman   => 25126, zamalek  => 23063,
                            zambales => 29709, zambezi  => 19280, zambia   => 6265, zambian  => 16232,
                            zamboanga
                                     => 13672, zamindar => 22608,
                            zamorin  => 25783, zamosc   => 20007, zamoyski => 29261, zanesville
                                     => 28048,
                            zanjan   => 15778, zanzibar => 11395, zaporizhia
                                     => 29519,
                            zapotec  => 21832, zappa    => 10634, zardari  => 27831, zarzuela => 28992,
                            zawahiri => 28902, zayed    => 19421, zbigniew => 17392, zdroj    => 21961,
                            zealand  => 678, zealander
                                     => 18666,
                            zealanders
                                     => 13994, zealous  => 17521,
                            zechariah
                                     => 26700, zedong   => 13709,
                            zeeland  => 17757, zeiss    => 17791, zeitschrift
                                     => 23377,
                            zeitung  => 12949, zeljko   => 22146, zemun    => 24311, zenit    => 14994,
                            zenith   => 10583, zeppelin => 7932, zetas    => 23288, zetian   => 19766,
                            zgierz   => 29301, zhaozong => 20884, zhejiang => 9836, zheng    => 7261,
                            zhengzhou
                                     => 26576, zhong    => 6564,
                            zhongshan
                                     => 21475, zhongshu => 21078,
                            zhongzong
                                     => 24148, zhou     => 4305,
                            zhuan    => 22335, zhuang   => 13975, zhuge    => 16268, zhuhai   => 24093,
                            zhukov   => 22334, zidane   => 25780, ziegfeld => 19832, zielona  => 18223,
                            ziggler  => 23664, zigzag   => 19043, zilina   => 21917, zilla    => 26832,
                            zimbabwe => 4297, zimbabwean
                                     => 12281,
                            zinc     => 5924, zindagi  => 27838, zionism  => 11554, zionist  => 7543,
                            zionists => 18793, zirconium
                                     => 21627,
                            zodiac   => 10670, zohar    => 20167, zomba    => 28923, zonal    => 15083,
                            zone     => 1182, zoned    => 12419, zones    => 3681, zoological
                                     => 9401,
                            zoologist
                                     => 12634, zoology  => 8912,
                            zooplankton
                                     => 22306, zoran    => 14694,
                            zoroastrian
                                     => 15876, zoroastrianism
                                     => 21458,
                            zoroastrians
                                     => 28594, zuckerberg
                                     => 29272,
                            zulfikar => 28953, zulfiqar => 29423, zurich   => 4162, zvezda   => 18922,
                            zweibrucken
                                     => 16722, zwickau  => 25883,
                            zwingli  => 26548, zwolle   => 21800, zygmunt  => 20683
                          },
  us_tv_and_film       => {
                            a       => 4, "a'ight"
                                    => 19894,
                            "a'right"
                                    => 21463, aaaaa   => 8641,
                            aaaaaa  => 14425, aaaaaaa => 15752, aaaaaaaa
                                    => 15751,
                            aaaaaaaaaa
                                    => 21462, aaaaaaaaaaaaa
                                    => 19893,
                            aaaaaaaaah
                                    => 21461, aaaaaaah
                                    => 15090,
                            aaaaaah => 10606, aaaaah  => 6721, aaaaahh => 16569, aaaaargh
                                    => 19892,
                            aaaaarrrrrrggghhh
                                    => 14424,
                            aaaah   => 3995, aaaahh  => 18575, aaaahhh => 15750, aaaahhhh
                                    => 13407,
                            aaagh   => 10605, aaah    => 3400, aaahh   => 11787, aaahhh  => 10158,
                            aaahhhh => 17501, aaand   => 12139, aaargh  => 12138, aahhh   => 11786,
                            aardvark
                                    => 15089, aargh   => 18574,
                            aawwww  => 14423, ababwa  => 17500, aback   => 17499, abacus  => 13406,
                            abandon => 2716, abandoning
                                    => 6201,
                            abbotts => 7027, abdomenizer
                                    => 21460,
                            abdominal
                                    => 6445, abduct  => 9325,
                            abducted
                                    => 4088, abducting
                                    => 17498,
                            abduction
                                    => 6248, abductions
                                    => 17497,
                            abductor
                                    => 15749, aberrant
                                    => 19891,
                            aberration
                                    => 16568, abetted => 18573,
                            abetting
                                    => 6579, abide   => 6200,
                            abiding => 6325, abject  => 11165, able    => 352, abnormal
                                    => 6518,
                            abnormality
                                    => 13405, abnormally
                                    => 16567,
                            aboard  => 2468, abominable
                                    => 15088,
                            abomination
                                    => 8494, aboot   => 17496,
                            abort   => 4970, aborted => 10604, abortion
                                    => 3539,
                            abound  => 15087, about   => 28, abouts  => 14422, aboveboard
                                    => 18572,
                            abracadabra
                                    => 11164, abrasions
                                    => 15748,
                            abraxas => 12137, abreast => 17495, abrupt  => 7114, abrusso => 17494,
                            absconded
                                    => 18571, absences
                                    => 21459,
                            absentee
                                    => 13922, absolut => 16566,
                            absolute
                                    => 2152, absolutely
                                    => 431,
                            absolutes
                                    => 21458, absolution
                                    => 8819,
                            absolve => 10603, absolved
                                    => 17493,
                            absolvo => 21457, absorb  => 5780, absorbent
                                    => 21456,
                            abstain => 16565, abstinence
                                    => 8364,
                            absurd  => 2621, absurdity
                                    => 17492,
                            absurdly
                                    => 21455, abuela  => 6324,
                            abundantly
                                    => 8363, abused  => 4791,
                            abuser  => 16564, abusing => 7292, abusive => 6247, abydos  => 12937,
                            abysmal => 13921, acapulco
                                    => 10157,
                            acathla => 10156, accelerant
                                    => 8362,
                            accent  => 2975, accents => 9696, accentuate
                                    => 15747,
                            accept  => 714, acceptable
                                    => 4032,
                            accepting
                                    => 2826, accessorizing
                                    => 15746,
                            accessory
                                    => 4323, accident
                                    => 599,
                            accidental
                                    => 5230, accidentally
                                    => 2373,
                            accidently
                                    => 16563, accidents
                                    => 2990,
                            acclimate
                                    => 21454, acclimated
                                    => 21453,
                            accommodating
                                    => 9916, accommodations
                                    => 6786,
                            accompli
                                    => 17491, accomplice
                                    => 3633,
                            accomplices
                                    => 12518, accomplish
                                    => 2582,
                            accomplished
                                    => 2395, accomplishes
                                    => 19890,
                            accomplishing
                                    => 16562, accomplishment
                                    => 5823,
                            accosted
                                    => 10602, accountable
                                    => 6578,
                            accountant
                                    => 3651, accountants
                                    => 8221,
                            accoutrements
                                    => 18570, accursed
                                    => 18569,
                            accusation
                                    => 4087, accusations
                                    => 2947,
                            accuse  => 2552, accuser => 17490, accusers
                                    => 21452,
                            accuses => 8361, accusing
                                    => 2104,
                            accustomed
                                    => 6444, ached   => 18568,
                            aches   => 7413, achilles
                                    => 6864,
                            aching  => 6390, achingly
                                    => 21451,
                            achmed  => 21450, achoo   => 15745, acidosis
                                    => 15744,
                            acing   => 16561, acknowledge
                                    => 3422,
                            acquaint
                                    => 15086, acquaintance
                                    => 4665,
                            acquaintances
                                    => 9915, acquainted
                                    => 4205,
                            acquittal
                                    => 10887, acrobat => 14421,
                            acrost  => 18567, acted   => 1860, actin   => 8360, acting  => 713,
                            actionable
                                    => 21449, activate
                                    => 5388,
                            activator
                                    => 19889, activators
                                    => 21448,
                            actuality
                                    => 13920, actualization
                                    => 18566,
                            actually
                                    => 166, actuarial
                                    => 21447,
                            acula   => 21446, acupuncture
                                    => 13404,
                            acupuncturist
                                    => 21445, adage   => 12517,
                            adama   => 12936, adamant => 5729, adamantium
                                    => 19888,
                            addendum
                                    => 17489, addict  => 3735,
                            addicted
                                    => 3915, addiction
                                    => 3904,
                            addictions
                                    => 19887, addictive
                                    => 8088,
                            addicts => 8087, addled  => 17488, address => 1070, adebisi => 4517,
                            adenoids
                                    => 21444, adhesive
                                    => 11459,
                            adieu   => 10886, adios   => 4615, adirondacks
                                    => 21443,
                            adjourn => 8640, adjourned
                                    => 4230,
                            adjust  => 3202, adjuster
                                    => 19886,
                            adjusting
                                    => 5020, adjustment
                                    => 4371,
                            adjustments
                                    => 6246, adlai   => 13403,
                            admin   => 21442, administer
                                    => 7199,
                            admirable
                                    => 5387, admirably
                                    => 15085,
                            admiration
                                    => 7026, admire  => 1888,
                            admired => 4370, admirer => 5386, admirers
                                    => 13402,
                            admires => 11458, admiring
                                    => 5926,
                            admissible
                                    => 10885, admit   => 566,
                            admittance
                                    => 12935, admittedly
                                    => 8818,
                            admitting
                                    => 3082, admonish
                                    => 17487,
                            admonished
                                    => 17486, admonition
                                    => 21441,
                            adolescence
                                    => 9142, adolescent
                                    => 4969,
                            adopt   => 3045, adoption
                                    => 2670,
                            adoptions
                                    => 19885, adoptive
                                    => 8086,
                            adorable
                                    => 2168, adoration
                                    => 12934,
                            adore   => 3044, adored  => 5779, adores  => 3949, adoring => 9324,
                            adrenal => 15743, adrenalin
                                    => 11457,
                            adrenaline
                                    => 5728, adrenals
                                    => 18565,
                            adrift  => 10884, adstream
                                    => 15084,
                            adultery
                                    => 7412, advantage
                                    => 1170,
                            adventure
                                    => 2035, adventurous
                                    => 8085,
                            adversaries
                                    => 13401, adversary
                                    => 8359,
                            adversity
                                    => 10155, advertise
                                    => 7411,
                            advertises
                                    => 21440, advice  => 763,
                            advil   => 18564, advisable
                                    => 11785,
                            advise  => 2766, advisement
                                    => 10386,
                            advising
                                    => 7410, aerobics
                                    => 6863,
                            aerosol => 16560, affair  => 1274, affect  => 1879, affection
                                    => 3026,
                            affectionate
                                    => 7593, affections
                                    => 7025,
                            affects => 3334, affidavit
                                    => 7828,
                            affidavits
                                    => 17485, affirm  => 13919,
                            affirmative
                                    => 5727, affleck => 11163,
                            affliction
                                    => 10883, afford  => 1105,
                            affront => 13918, affronte
                                    => 18563,
                            afloat  => 9695, afoot   => 9914, aforethought
                                    => 21439,
                            afraid  => 310, afterglow
                                    => 18562,
                            afterlife
                                    => 7827, afternoon
                                    => 780,
                            afternoons
                                    => 6577, aftershave
                                    => 10882,
                            aftertaste
                                    => 19884, afterthought
                                    => 13917,
                            again   => 112, agamemnon
                                    => 8220,
                            ageless => 14420, agenda  => 1906, agendas => 8817, agent   => 833,
                            aggravate
                                    => 12516, aggravated
                                    => 6517,
                            aggravating
                                    => 16559, aggravation
                                    => 9913,
                            aggressive
                                    => 3112, aggressor
                                    => 10154,
                            aggrhh  => 19883, agides  => 19882, agitate => 16558, agitated
                                    => 5082,
                            agitator
                                    => 15742, agitators
                                    => 21438,
                            ago     => 303, agonized
                                    => 16557,
                            agonizing
                                    => 8639, agony   => 3948,
                            agoraphobia
                                    => 19881, agrabah => 17484,
                            agree   => 645, agreeable
                                    => 9323,
                            agreed  => 950, agreeing
                                    => 3928,
                            ahaha   => 21437, ahead   => 393, ahem    => 1054, ahhh    => 2499,
                            ahhhh   => 4832, ahhhhh  => 8219, ahhhhhh => 9694, ahhhhhhh
                                    => 15741,
                            ahhhhhhhh
                                    => 15740, ahhhhhhhhh
                                    => 15739,
                            ahold   => 3447, aidan   => 1487, aides   => 5873, aiding  => 6389,
                            aids    => 2394, aiight  => 15083, aikman  => 12933, ailment => 18561,
                            aimin   => 18560, aimless => 16556, aimlessly
                                    => 12136,
                            "ain't" => 441, ainsley => 5680, airbag  => 16555, airbags => 15738,
                            airfare => 15737, airforce
                                    => 21436,
                            airhead => 8816, airlifted
                                    => 17483,
                            airlock => 16554, airman  => 15082, airplane
                                    => 2909,
                            airplanes
                                    => 7490, airspace
                                    => 8358,
                            airstrip
                                    => 8638, airtight
                                    => 7409,
                            airwaves
                                    => 12135, airway  => 11456,
                            aisle   => 2025, aitoro  => 2308, akashic => 14419, akimbo  => 19880,
                            alabam  => 19879, alabaster
                                    => 17482,
                            aladdin => 9912, alaikum => 19878, alameida
                                    => 12515,
                            alannis => 15736, alarm   => 1499, alarmed => 6145, alarming
                                    => 9001,
                            alarmist
                                    => 15081, alarms  => 5155,
                            alas    => 5426, alastor => 21435, albacore
                                    => 17481,
                            albatross
                                    => 9322, albie   => 15080,
                            alcante => 11784, alcatraz
                                    => 8493,
                            alcazar => 1115, alcerro => 21434, alcohol => 1840, alcoholic
                                    => 3382,
                            alcoholics
                                    => 8815, alcove  => 17480,
                            aleck   => 14418, aleikuum
                                    => 10385,
                            alert   => 2208, alerted => 6955, alerting
                                    => 13916,
                            alexandros
                                    => 19877, alexi   => 6388,
                            alfalfa => 13400, algerians
                                    => 21433,
                            alias   => 5343, aliases => 9141, alibi   => 3226, alibis  => 11455,
                            alien   => 1737, alienate
                                    => 6387,
                            alienated
                                    => 8218, alienating
                                    => 9140,
                            aliens  => 2024, alight  => 18559, alike   => 2174, alimony => 6443,
                            alistair
                                    => 2423, alive   => 435,
                            all     => 25, allah   => 5270, allahu  => 18558, allegiances
                                    => 21432,
                            alleluia
                                    => 16553, allenby => 10601,
                            allenwood
                                    => 21431, allergic
                                    => 2522,
                            allergies
                                    => 4869, allergist
                                    => 19876,
                            allergy => 5385, alleys  => 9495, alleyway
                                    => 11162,
                            alligator
                                    => 7408, alligators
                                    => 12932,
                            alliteration
                                    => 21430, allora  => 21429,
                            allowance
                                    => 4229, allowances
                                    => 11161,
                            allright
                                    => 3421, allspice
                                    => 15735,
                            allure  => 12514, alluring
                                    => 13399,
                            allus   => 19875, ally    => 2620, almighty
                                    => 3748,
                            almonds => 7957, almost  => 363, aloha   => 7489, alone   => 231,
                            alonna  => 14417, aloof   => 11160, alotta  => 13915, aloud   => 7407,
                            alouette
                                    => 21428, alpaca  => 19874,
                            alpena  => 21427, alphabetize
                                    => 19873,
                            alphabetized
                                    => 21426, already => 209,
                            alright => 349, alrighty
                                    => 6645,
                            alriiight
                                    => 21425, altar   => 2753,
                            altercation
                                    => 10153, altering
                                    => 6576,
                            alternapalooza
                                    => 19872, alternator
                                    => 17479,
                            alters  => 9321, altogether
                                    => 3662,
                            altoid  => 21424, altruism
                                    => 19871,
                            altruistic
                                    => 13914, alvah   => 19870,
                            alway   => 19869, always  => 138, amalio  => 21423, amara   => 19868,
                            amaretto
                                    => 18557, amateurs
                                    => 5925,
                            amaze   => 5546, amazed  => 3370, amazement
                                    => 15734,
                            amazes  => 8492, amazing => 547, amazingly
                                    => 5425,
                            amberg  => 13398, ambiance
                                    => 12931,
                            ambience
                                    => 14416, ambition
                                    => 3968,
                            ambitious
                                    => 4194, ambivalence
                                    => 21422,
                            ambrosia
                                    => 4755, ambulance
                                    => 1620,
                            ambulances
                                    => 11454, ambush  => 4968,
                            ambushed
                                    => 6954, amen    => 2027,
                            amenable
                                    => 15733, amends  => 4436,
                            americano
                                    => 19867, amiable => 18556,
                            amicable
                                    => 13397, amigo   => 5019,
                            amigos  => 9000, amish   => 8491, amiss   => 11453, ammo    => 4644,
                            amnesia => 2825, amnesiac
                                    => 19866,
                            amnio   => 9139, amniocentesis
                                    => 19865,
                            amniotic
                                    => 14415, amoral  => 9911,
                            amorous => 12930, amour   => 15732, ampata  => 10600, amped   => 13396,
                            amphetamines
                                    => 17478, ampicillin
                                    => 17477,
                            ample   => 7024, amply   => 17476, ampule  => 12513, amputate
                                    => 13913,
                            amputation
                                    => 16552, amscray => 21421,
                            amuck   => 19864, amulet  => 3903, amulets => 15079, amuse   => 6575,
                            amused  => 6386, amusement
                                    => 5342,
                            amuses  => 13395, amusing => 2752, amway   => 19863, anachronism
                                    => 18555,
                            anacott => 14414, anaesthetic
                                    => 12929,
                            anago   => 12134, anagram => 16551, analogy => 7956, analyze => 4228,
                            analyzing
                                    => 6785, anaphylactic
                                    => 21420,
                            anarchy => 9138, anatomically
                                    => 18554,
                            anchorman
                                    => 15731, anchovies
                                    => 12512,
                            andale  => 19862, andersons
                                    => 16550,
                            andie   => 1859, andolini
                                    => 19861,
                            androscoggin
                                    => 19860, anecdote
                                    => 9910,
                            anemia  => 6323, anemic  => 12133, anesthesia
                                    => 6574,
                            anesthesiologist
                                    => 15078,
                            anesthesiology
                                    => 18553, anesthetic
                                    => 10152,
                            anesthetics
                                    => 21419, anesthetist
                                    => 19859,
                            aneurysm
                                    => 7826, angels  => 2080,
                            angelus => 4695, anger   => 1399, angina  => 11452, angio   => 17475,
                            angiogram
                                    => 12928, angioplasty
                                    => 17474,
                            angleman
                                    => 19858, angling => 10151,
                            anglos  => 19857, angora  => 14413, angrier => 7592, angry   => 621,
                            angst   => 7198, anguish => 7291, anguished
                                    => 17473,
                            anima   => 19856, animosity
                                    => 7711,
                            anini   => 16549, anise   => 12927, ankle   => 2824, ankles  => 5301,
                            annihilate
                                    => 12926, anniversaries
                                    => 10881,
                            announce
                                    => 2629, announcement
                                    => 2444,
                            annoy   => 5467, annoyance
                                    => 12132,
                            annoyances
                                    => 18552, annoyed => 5384,
                            annoying
                                    => 1941, annoyingly
                                    => 13912,
                            annoys  => 12511, annul   => 13394, annulled
                                    => 4868,
                            annulment
                                    => 2033, annyong => 15730,
                            anoint  => 17472, anointed
                                    => 7955,
                            anomaly => 8637, anonymity
                                    => 9320,
                            anonymous
                                    => 2658, anonymously
                                    => 10880,
                            anorexia
                                    => 16548, anorexic
                                    => 17471,
                            ansel   => 13393, anspaugh
                                    => 21418,
                            answer  => 366, answered
                                    => 1702,
                            answering
                                    => 1751, answers => 1010,
                            antacid => 13392, antagonistic
                                    => 14412,
                            antagonize
                                    => 10150, antagonizing
                                    => 16547,
                            antar   => 19855, antares => 17470, anthea  => 21417, anthrax => 7825,
                            antibiotic
                                    => 7824, antibiotics
                                    => 4086,
                            antibodies
                                    => 7710, antichrist
                                    => 17469,
                            anticipate
                                    => 5466, anticipating
                                    => 8814,
                            anticipation
                                    => 6030, anticlimactic
                                    => 19854,
                            antics  => 7954, antidepressants
                                    => 13911,
                            antidote
                                    => 4227, antihistamine
                                    => 15077,
                            antihistamines
                                    => 18551, antin   => 21416,
                            antiquated
                                    => 11783, antique => 3679,
                            antiques
                                    => 5679, antiquing
                                    => 13910,
                            antiseptic
                                    => 10384, antisocial
                                    => 16546,
                            antivenin
                                    => 17468, antler  => 21415,
                            antlers => 11159, ants    => 4489, antsy   => 9137, anubis  => 10879,
                            anvil   => 13909, anwar   => 6784, anxieties
                                    => 19853,
                            anxiety => 3650, anxious => 1769, anxiously
                                    => 14411,
                            any     => 97, anyanka => 12131, anybody => 348, "anybody'd"
                                    => 19852,
                            anyhoo  => 11782, anyhow  => 2571, anymore => 294, anyone  => 271,
                            anyplace
                                    => 4322, anythin => 10878,
                            anything
                                    => 94, anythng => 17467,
                            anytime => 1291, anyway  => 279, anyways => 2657, anywhere
                                    => 495,
                            aorta   => 10599, apart   => 699, apartment
                                    => 593,
                            apathetic
                                    => 19851, apathy  => 13391,
                            aphrodisiac
                                    => 9494, apiece  => 6245,
                            aplastic
                                    => 7591, apocalypse
                                    => 5972,
                            apologetic
                                    => 15076, apologies
                                    => 2959,
                            apologise
                                    => 4694, apologising
                                    => 15729,
                            apologize
                                    => 782, apologized
                                    => 3033,
                            apologizes
                                    => 11781, apologizing
                                    => 3201,
                            apology => 1398, apophis => 4279, apostrophe
                                    => 13390,
                            apothecary
                                    => 10383, appalled
                                    => 6644,
                            appalling
                                    => 6081, apparently
                                    => 801,
                            apparition
                                    => 14410, appealing
                                    => 4516,
                            appease => 9493, appeased
                                    => 21414,
                            appendage
                                    => 13389, appendectomy
                                    => 15075,
                            appendicitis
                                    => 14409, appendix
                                    => 7953,
                            apperantly
                                    => 9693, appetit => 15074,
                            appetite
                                    => 2565, appetites
                                    => 11451,
                            appetizer
                                    => 6953, appetizers
                                    => 7952,
                            appetizing
                                    => 16545, applaud => 6080,
                            applauding
                                    => 13908, applause
                                    => 4664,
                            apple   => 1778, applejack
                                    => 12510,
                            apples  => 3333, applesauce
                                    => 16544,
                            appliance
                                    => 9136, appointment
                                    => 1197,
                            appointments
                                    => 3747, appraise
                                    => 21413,
                            appraised
                                    => 11158, appraiser
                                    => 19850,
                            appreciate
                                    => 539, appreciated
                                    => 3251,
                            appreciates
                                    => 3883, appreciating
                                    => 11157,
                            appreciation
                                    => 3632, appreciative
                                    => 7823,
                            apprehend
                                    => 9909, apprehended
                                    => 7290,
                            apprehension
                                    => 13907, apprehensive
                                    => 17466,
                            apprised
                                    => 17465, approaching
                                    => 3799,
                            appropriate
                                    => 1865, approve => 2132,
                            approves
                                    => 10382, apricot => 17464,
                            apricots
                                    => 15728, apron   => 5018,
                            aprons  => 17463, apropos => 17462, aptitude
                                    => 8490,
                            aptly   => 16543, aquaman => 17461, aquarius
                                    => 8813,
                            arachnid
                                    => 17460, arachnids
                                    => 16542,
                            arachtoids
                                    => 17459, aramis  => 10149,
                            arbitrator
                                    => 10148, arcane  => 15727,
                            archenemy
                                    => 21412, archway => 15726,
                            "aren't"
                                    => 296, argh    => 4831,
                            argon   => 6144, argue   => 1491, arguillo
                                    => 15725,
                            arguing => 1936, argument
                                    => 1541,
                            argumentative
                                    => 14408, arigato => 18550,
                            aright  => 21411, arintero
                                    => 19849,
                            arlyn   => 10381, armadillo
                                    => 11156,
                            armageddon
                                    => 12130, armani  => 6143,
                            armbrust
                                    => 12129, armchair
                                    => 16541,
                            arming  => 12925, armoire => 10877, armpit  => 10876, armpits => 12924,
                            arms    => 838, arnie   => 5726, arnon   => 13906, aroma   => 9135,
                            aromatherapy
                                    => 10875, aroun   => 12923,
                            around  => 132, arouse  => 12509, aroused => 7709, arousing
                                    => 10147,
                            arquillians
                                    => 21410, arraigned
                                    => 9319,
                            arraignment
                                    => 4867, arrange => 2032,
                            arrangements
                                    => 1905, arranging
                                    => 6573,
                            arrest  => 876, arrested
                                    => 1030,
                            arresting
                                    => 3798, arrhythmia
                                    => 10146,
                            arrive  => 2272, arrivederci
                                    => 15073,
                            arrogance
                                    => 5678, arrogant
                                    => 2834,
                            arroway => 8084, arrowhead
                                    => 13388,
                            arroz   => 18549, arsehole
                                    => 21409,
                            arsenic => 9692, arses   => 19848, arson   => 2918, arsonist
                                    => 5778,
                            artemus => 19847, arteries
                                    => 8636,
                            artery  => 4592, artful  => 12922, artichoke
                                    => 13387,
                            artichokes
                                    => 21408, articulate
                                    => 8217,
                            artifact
                                    => 8357, artoo   => 6079,
                            artsy   => 12921, aruba   => 7951, arugula => 18548, arvin   => 5513,
                            aryan   => 7197, aryans  => 13905, asalaam => 12508, asap    => 3813,
                            asbestos
                                    => 7488, ascenscion
                                    => 14407,
                            ascension
                                    => 6720, ascertain
                                    => 10598,
                            aschen  => 9318, asgard  => 17458, ashamed => 1441, ashes   => 2588,
                            ashtray => 5971, ashtrays
                                    => 13904,
                            aside   => 1265, asinine => 12507, ask     => 188, asked   => 331,
                            askin   => 4643, asking  => 423, asks    => 1938, aslan   => 9492,
                            asleep  => 983, asparagus
                                    => 9908,
                            aspen   => 4321, asphyxiation
                                    => 13903,
                            aspire  => 10145, aspirin => 2856, aspirins
                                    => 13902,
                            ass     => 481, assailant
                                    => 9491,
                            assassin
                                    => 4226, assassins
                                    => 8356,
                            assaulted
                                    => 4967, assaulting
                                    => 9134,
                            assed   => 6385, assemble
                                    => 6862,
                            assembler
                                    => 18547, assertive
                                    => 12128,
                            assertiveness
                                    => 21407, asses   => 2954,
                            asshole => 1397, assholes
                                    => 3413,
                            assign  => 5677, assigning
                                    => 9907,
                            assignment
                                    => 1648, assignments
                                    => 4488,
                            assman  => 12127, assoc   => 16540, associating
                                    => 13386,
                            assorted
                                    => 11450, assume  => 982,
                            assuming
                                    => 1692, assumptions
                                    => 5383,
                            assurance
                                    => 6322, assurances
                                    => 9317,
                            assure  => 1626, assured => 2884, assuredly
                                    => 15072,
                            assures => 9906, assuring
                                    => 13901,
                            asswipe => 16539, astaire => 15071, asthma  => 5924, asthmatic
                                    => 16538,
                            astonish
                                    => 19846, astonished
                                    => 11449,
                            astonishing
                                    => 7822, astonishment
                                    => 18546,
                            astound => 13900, astounded
                                    => 19845,
                            astounding
                                    => 9133, astral  => 6572,
                            astray  => 9490, astronaut
                                    => 6321,
                            astronauts
                                    => 6442, astroturf
                                    => 21406,
                            astute  => 8083, asunder => 13899, asystole
                                    => 21405,
                            atcha   => 18545, atchoo  => 16537, athame  => 13898, atheists
                                    => 15070,
                            athos   => 9691, ativan  => 13897, atley   => 16536, atone   => 10380,
                            atreus  => 19844, atrocious
                                    => 13896,
                            atrocity
                                    => 16535, atrophied
                                    => 21404,
                            atrophy => 16534, atropine
                                    => 12126,
                            attaboy => 7821, attach  => 6643, attachments
                                    => 11780,
                            attacker
                                    => 7590, attagirl
                                    => 21403,
                            atten   => 18544, attendant
                                    => 5545,
                            attendants
                                    => 7820, attention
                                    => 681,
                            attentions
                                    => 13895, attentive
                                    => 7708,
                            attest  => 11779, attic   => 1844, attica  => 12920, attics  => 19843,
                            attired => 21402, attitude
                                    => 1169,
                            attorney
                                    => 846, attorneys
                                    => 3718,
                            attracted
                                    => 1829, attractive
                                    => 1490,
                            attuned => 15069, aubyn   => 21401, auction => 2560, auctioneer
                                    => 18543,
                            auctioning
                                    => 17457, audacity
                                    => 8812,
                            audiotape
                                    => 18542, audited => 12506,
                            audition
                                    => 2185, auditioning
                                    => 6384,
                            auditions
                                    => 5081, auggie  => 6441,
                            aught   => 21400, augie   => 15724, augustino
                                    => 16533,
                            aunt    => 697, auntie  => 4614, aunties => 13385, aunts   => 3123,
                            aunty   => 19842, auras   => 15068, aurelius
                                    => 13894,
                            aussie  => 10874, auster  => 9316, austero => 19841, authentic
                                    => 4866,
                            authenticate
                                    => 21399, authoritah
                                    => 17456,
                            authorization
                                    => 5080, authorize
                                    => 6861,
                            authorizes
                                    => 19840, autograph
                                    => 3332,
                            autographed
                                    => 7819, autographs
                                    => 8999,
                            automatics
                                    => 21398, autopilot
                                    => 10597,
                            autopsies
                                    => 13384, autopsy => 3273,
                            avanya  => 4591, avatar  => 2702, avenge  => 7289, avenged => 13383,
                            avenger => 9132, avenging
                                    => 10873,
                            averse  => 18541, aversion
                                    => 11448,
                            avert   => 10379, averted => 11155, aviary  => 19839, aviva   => 8635,
                            avocado => 15067, avoid   => 1334, avoiding
                                    => 2127,
                            await   => 7707, awaiting
                                    => 5676,
                            awaits  => 4966, awake   => 1309, awaken  => 9489, awakened
                                    => 7487,
                            awakes  => 21397, aware   => 1023, away    => 122, aways   => 21396,
                            awesome => 1471, awful   => 794, awfully => 1680, awhile  => 1579,
                            awkward => 1726, awkwardly
                                    => 15066,
                            awkwardness
                                    => 11778, awning  => 15723,
                            awoke   => 12919, awright => 4204, awww    => 3830, awwwk   => 21395,
                            awwww   => 9905, awwwww  => 19838, azkaban => 19837, aztreonam
                                    => 17455,
                            "b'fore"
                                    => 21394, baaad   => 21393,
                            baako   => 17454, babak   => 11777, babble  => 7706, babbling
                                    => 3690,
                            babe    => 1277, babes   => 4693, babies  => 1141, babish  => 12125,
                            baboon  => 9690, baboons => 18540, baby    => 168, "baby'd"
                                    => 21392,
                            babyface
                                    => 21391, babying => 19836,
                            babysat => 18539, babysit => 6719, babysitter
                                    => 3296,
                            babysitters
                                    => 11447, babysitting
                                    => 4348,
                            bacarra => 13382, baccarat
                                    => 15722,
                            bachelorette
                                    => 6952, bachelors
                                    => 9904,
                            back    => 57, backbone
                                    => 6951,
                            backdoor
                                    => 15065, backdraft
                                    => 16532,
                            backers => 10872, backfire
                                    => 5017,
                            backfired
                                    => 5016, backfires
                                    => 11776,
                            backfiring
                                    => 13381, backgammon
                                    => 17453,
                            backhand
                                    => 14406, backin  => 19835,
                            backlog => 19834, backpack
                                    => 3927,
                            backpacking
                                    => 10144, backpacks
                                    => 13893,
                            backroom
                                    => 18538, backs   => 2908,
                            backseat
                                    => 5822, backside
                                    => 7288,
                            backslide
                                    => 21390, backstabber
                                    => 15721,
                            backstabbing
                                    => 8355, backstage
                                    => 3947,
                            backstreet
                                    => 15064, backtrack
                                    => 16531,
                            backup  => 1918, backups => 12505, backwards
                                    => 2320,
                            backwater
                                    => 16530, backyard
                                    => 3561,
                            bactine => 17452, bad     => 155, badass  => 10596, badda   => 17451,
                            badder  => 17450, baddest => 15063, badenweiler
                                    => 14405,
                            badge   => 1861, badgered
                                    => 15062,
                            badgering
                                    => 6029, badges  => 7705,
                            badly   => 1242, badmouth
                                    => 10871,
                            badmouthing
                                    => 10595, badness => 12918,
                            baerly  => 19833, baffled => 11775, baffles => 18537, baffling
                                    => 17449,
                            bagel   => 5079, bagels  => 6860, baggage => 3355, bagged  => 7486,
                            bagger  => 19832, baggies => 14404, bagging => 9315, baggoli => 12917,
                            baggy   => 11446, bagman  => 18536, bagpipe => 19831, bagpipes
                                    => 11445,
                            bags    => 1531, bahama  => 17448, bahamas => 5120, bail    => 1401,
                            bailed  => 3354, bailiff => 6383, bailiffs
                                    => 21389,
                            bailing => 4515, bailout => 15720, bails   => 15061, bait    => 2458,
                            baited  => 14403, baiting => 8354, bake    => 3211, baked   => 3032,
                            bakery  => 4830, bakes   => 13892, baking  => 4464, baklava => 11774,
                            bakshi  => 15060, balance => 1988, balboa  => 9488, balcony => 2613,
                            bald    => 2715, balding => 11773, baldness
                                    => 11444,
                            baldy   => 16529, balled  => 14402, baller  => 21388, ballerina
                                    => 8634,
                            ballgame
                                    => 8353, ballistic
                                    => 4225,
                            ballistics
                                    => 8082, ballon  => 11772,
                            balloon => 3099, balloons
                                    => 3678,
                            ballpark
                                    => 6783, ballplayer
                                    => 9314,
                            ballplayers
                                    => 18535, ballpoint
                                    => 17447,
                            ballroom
                                    => 5382, balls   => 1537,
                            ballsy  => 17446, balmoral
                                    => 15059,
                            balmy   => 10870, baloney => 5970, balraj  => 8811, balsom  => 3522,
                            baltar  => 18534, balthazar
                                    => 15058,
                            baltus  => 15719, bamba   => 19830, bambang => 18533, bambino => 13891,
                            bamboozled
                                    => 11771, banal   => 13890,
                            banality
                                    => 18532, banana  => 2855,
                            bananas => 5078, bandage => 5675, bandaged
                                    => 19829,
                            bandages
                                    => 5154, bandanna
                                    => 16528,
                            banderas
                                    => 10869, bandwagon
                                    => 13380,
                            banek   => 17445, bang    => 1982, banged  => 5632, bangers => 12916,
                            bangin  => 15718, banging => 3812, bangler => 18531, bangles => 18530,
                            bania   => 9689, banish  => 7704, banished
                                    => 6142,
                            bankbooks
                                    => 12124, bankroll
                                    => 9688,
                            bankrolled
                                    => 17444, bankrolling
                                    => 19828,
                            bankrupt
                                    => 4900, bankrupted
                                    => 21387,
                            banky   => 11443, bannish => 17443, banquet => 5465, banshee => 7950,
                            banter  => 7113, banya   => 15057, banzai  => 7406, baptism => 5592,
                            baptize => 15056, baptized
                                    => 6320,
                            bar     => 685, baracus => 13889, barbarians
                                    => 10143,
                            barbaric
                                    => 8810, barbas  => 10142,
                            barbatus
                                    => 21386, barbecue
                                    => 2942,
                            barbecued
                                    => 13379, barbecues
                                    => 13378,
                            barbecuing
                                    => 16527, barbella
                                    => 19827,
                            barbeque
                                    => 15717, barbers => 21385,
                            barbershop
                                    => 7196, barbi   => 17442,
                            barboni => 15716, barbrady
                                    => 5341,
                            barbs   => 21384, barch   => 16526, barcode => 7703, barcodes
                                    => 16525,
                            bare    => 2628, bared   => 13888, barely  => 1049, baretta => 18529,
                            barfed  => 12504, barfing => 17441, bargain => 2140, bargained
                                    => 6571,
                            bargaining
                                    => 5199, bargains
                                    => 11154,
                            barge   => 3499, barged  => 6199, barging => 4790, bark    => 3994,
                            barked  => 18528, barkeep => 9487, barkin  => 18527, barking => 4663,
                            barmaid => 13887, barn    => 1893, barnacle
                                    => 18526,
                            barneys => 21383, barnyard
                                    => 12503,
                            barometer
                                    => 14401, barracuda
                                    => 8081,
                            barrel  => 3053, barreled
                                    => 15715,
                            barreling
                                    => 15055, barren  => 8489,
                            barrenger
                                    => 9903, barricade
                                    => 12915,
                            barricaded
                                    => 14400, barricades
                                    => 13377,
                            barring => 7485, barrington
                                    => 3593,
                            barringtons
                                    => 21382, barroom => 18525,
                            barrytown
                                    => 21381, bars    => 1518,
                            barstool
                                    => 13376, bartender
                                    => 2359,
                            bartenders
                                    => 11153, bartending
                                    => 12123,
                            bartlet => 2953, barto   => 5198, barts   => 12122, barty   => 15714,
                            barzini => 12502, baseballs
                                    => 19826,
                            baseless
                                    => 17440, basement
                                    => 1450,
                            basements
                                    => 18524, baser   => 19825,
                            bashed  => 11770, basher  => 19824, bashful => 12914, bashing => 8633,
                            basically
                                    => 1317, basics  => 5512,
                            basing  => 10378, basket  => 1972, basketballs
                                    => 18523,
                            baskets => 7589, basking => 12501, basquiat
                                    => 14399,
                            bassinet
                                    => 12500, bastard => 1021,
                            bastards
                                    => 2215, baste   => 14398,
                            bastille
                                    => 13375, batak   => 19823,
                            batch   => 3746, bath    => 1557, bathe   => 7702, bathed  => 7701,
                            bathes  => 19822, bathing => 3631, bathrobe
                                    => 6859,
                            bathrobes
                                    => 18522, bathroom
                                    => 916,
                            bathrooms
                                    => 5674, baths   => 6319,
                            bathtub => 4590, batman  => 3031, batmobile
                                    => 16524,
                            batter  => 6516, battered
                                    => 8216,
                            batteries
                                    => 3412, battering
                                    => 14397,
                            battleground
                                    => 18521, battling
                                    => 6028,
                            bauble  => 18520, baubles => 18519, baudelaire
                                    => 11152,
                            baudelaires
                                    => 15713, baudouin
                                    => 21380,
                            bauers  => 8215, bawdy   => 15054, bawling => 12121, baxworth
                                    => 17439,
                            bayberry
                                    => 11769, baywatch
                                    => 13886,
                            bazillion
                                    => 21379, bazooka => 13885,
                            be      => 19, beached => 16523, beachfront
                                    => 19821,
                            beacon  => 2751, beaded  => 18518, beads   => 6027, beady   => 11151,
                            beaker  => 16522, beakers => 21378, beamed  => 13374, beaming => 12913,
                            beanbag => 15053, beanie  => 12499, beans   => 2289, beanstalk
                                    => 11150,
                            bear    => 1092, bearable
                                    => 8998,
                            bearded => 9902, beards  => 10141, bearer  => 6078, bearings
                                    => 8488,
                            beast   => 2200, beastie => 18517, beastly => 19820, beasts  => 7287,
                            beat    => 671, beater  => 13884, beatin  => 10140, beating => 1677,
                            beatings
                                    => 11768, beatnik => 12912,
                            beats   => 1960, beattle => 17438, beaucoup
                                    => 9486,
                            beaudine
                                    => 19819, beaujolais
                                    => 17437,
                            beaut   => 11149, beaute  => 19818, beauties
                                    => 8214,
                            beautiful
                                    => 305, beautifully
                                    => 3797,
                            beauty  => 1218, beaverhausen
                                    => 21377,
                            beavis  => 7949, becau   => 21376, because => 68, becca   => 9485,
                            beckoning
                                    => 19817, beckons => 18516,
                            becks   => 13883, beckworth
                                    => 11442,
                            becuase => 13882, bed     => 382, bedbug  => 21375, bedbugs => 13881,
                            bedded  => 15712, bedding => 10868, beddy   => 17436, bedevere
                                    => 18515,
                            bedlam  => 14396, bedpan  => 9901, bedpans => 12498, bedpost => 15711,
                            bedridden
                                    => 18514, bedroom => 986,
                            bedrooms
                                    => 4642, beds    => 3661,
                            bedsheets
                                    => 19816, bedside => 4347,
                            bedspread
                                    => 15052, bedtime => 3381,
                            beechwood
                                    => 21374, beef    => 2062,
                            beefcake
                                    => 12911, beefed  => 18513,
                            beefs   => 21373, beefy   => 12497, beeline => 19815, beelzebub
                                    => 18512,
                            beemer  => 15710, beenie  => 21372, beens   => 15051, beep    => 3308,
                            beeped  => 8997, beeper  => 5591, beepers => 18511, beeping => 11148,
                            beeps   => 12120, beer    => 855, bees    => 4435, beeswax => 12910,
                            beethoven
                                    => 5544, befall  => 12909,
                            befitting
                                    => 18510, beforehand
                                    => 7700,
                            befriend
                                    => 15709, begat   => 14395,
                            begbie  => 13373, begets  => 18509, beggar  => 13372, beggars => 9687,
                            begged  => 2151, beggin  => 12908, begging => 1560, begin   => 893,
                            begining
                                    => 21371, beginnin
                                    => 21370,
                            begone  => 19814, begrudge
                                    => 11441,
                            behave  => 2195, behaved => 4692, behaves => 10867, behaving
                                    => 4320,
                            behavior
                                    => 1247, beheading
                                    => 13371,
                            behemoth
                                    => 19813, behind  => 391,
                            behinds => 19812, behold  => 3764, beholden
                                    => 16521,
                            behoove => 15708, behooves
                                    => 17435,
                            behrani => 10866, behrle  => 21369, beige   => 7818, beikoku => 15050,
                            bein    => 3380, beings  => 3081, bela    => 4319, belabor => 17434,
                            belated => 15049, belching
                                    => 16520,
                            beleaguered
                                    => 21368, belie   => 21367,
                            believable
                                    => 5015, believe => 123,
                            believer
                                    => 5424, believes
                                    => 1657,
                            believing
                                    => 1814, belittle
                                    => 12119,
                            belittling
                                    => 19811, belive  => 15048,
                            belkin  => 19810, bellboy => 9484, bellboys
                                    => 19809,
                            bellerophon
                                    => 12496, bellhop => 11147,
                            bellhops
                                    => 21366, bellied => 10865,
                            bellies => 11440, belligerent
                                    => 12907,
                            belloq  => 18508, bellowing
                                    => 16519,
                            bells   => 2793, belly   => 2578, bellyaching
                                    => 21365,
                            bellybutton
                                    => 17433, belong  => 961,
                            belongings
                                    => 5340, belongs => 1353,
                            beloved => 2521, belt    => 1824, belted  => 12906, belthazor
                                    => 3717,
                            belts   => 5077, beluga  => 10864, belus   => 18507, belushi => 19808,
                            belvedere
                                    => 11439, bembe   => 21364,
                            benatar => 17432, bench   => 2339, benched => 17431, benching
                                    => 21363,
                            benchley
                                    => 21362, bend    => 2494,
                            bended  => 14394, bendiga => 19807, bending => 5777, bends   => 8487,
                            bendy   => 15047, beneath => 2539, benefactor
                                    => 8352,
                            beneficiary
                                    => 10377, benefit => 1602,
                            benegas => 19806, benes   => 5725, benet   => 11438, benevolence
                                    => 17430,
                            benevolent
                                    => 8486, benign  => 6244,
                            benjamins
                                    => 17429, benji   => 5872,
                            benjie  => 21361, bennetts
                                    => 7588,
                            bent    => 2529, bentonville
                                    => 21360,
                            bequeath
                                    => 15707, berate  => 15046,
                            berating
                                    => 15045, bereaved
                                    => 16518,
                            bereavement
                                    => 21359, bereft  => 15044,
                            berenson
                                    => 18506, beret   => 9686,
                            beretta => 19805, berkshires
                                    => 17428,
                            berlini => 10139, berluti => 9685, bermuda => 1949, bernece => 21358,
                            bernheim
                                    => 19804, berries => 5381,
                            berrisford
                                    => 15043, berserk => 7587,
                            berserker
                                    => 17427, beryllium
                                    => 13370,
                            beseech => 8809, beside  => 2150, besides => 542, besmirch
                                    => 21357,
                            besotted
                                    => 19803, bested  => 13369,
                            bestest => 12905, bestow  => 12495, bet     => 439, betadine
                                    => 18505,
                            betas   => 15706, betaseron
                                    => 21356,
                            betcha  => 4562, bethie  => 7817, bethy   => 7484, betray  => 2253,
                            betrayal
                                    => 3200, betrayals
                                    => 12494,
                            betrayed
                                    => 1632, betrayer
                                    => 12118,
                            betraying
                                    => 4514, betrays => 13368,
                            bets    => 3630, better  => 119, "better'n"
                                    => 10863,
                            betterton
                                    => 12117, bettin  => 17426,
                            betting => 3379, beususe => 21355, beverage
                                    => 5511,
                            beware  => 4050, bewildered
                                    => 15705,
                            bewitched
                                    => 8485, beyond  => 1039,
                            bfast   => 17425, bfmid   => 17424, bhamra  => 14393, bialy   => 14392,
                            bialystock
                                    => 8632, bianchinni
                                    => 18504,
                            biased  => 8808, bibles  => 8807, bicentennial
                                    => 10138,
                            bicep   => 16517, biceps  => 10594, bicker  => 15042, bickering
                                    => 7286,
                            bicuspids
                                    => 21354, bidder  => 6077,
                            bidding => 3783, bidet   => 19802, biding  => 12493, biebe   => 12492,
                            big     => 144, "big'uns"
                                    => 19801,
                            bigamist
                                    => 12491, bigamy  => 8996,
                            bigboote
                                    => 15704, bigfoot => 11437,
                            bigger  => 993, biggest => 1065, biggie  => 5380, bigglesworth
                                    => 21353,
                            biggly  => 18503, biggy   => 14391, bigmouth
                                    => 21352,
                            bigot   => 12904, bigoted => 16516, bigotry => 14390, bijan   => 16515,
                            bijou   => 8484, bike    => 1380, biker   => 7195, bikers  => 9483,
                            bikes   => 5269, bikini  => 4487, bikinis => 9131, bilge   => 21351,
                            bilked  => 19800, billable
                                    => 15703,
                            billboards
                                    => 11767, billiard
                                    => 15041,
                            billing => 6642, billionaire
                                    => 7023,
                            billionaires
                                    => 15040, billions
                                    => 4899,
                            biloxi  => 18502, biltmore
                                    => 19799,
                            bimbo   => 4411, bimbos  => 12490, bimmel  => 18501, bind    => 4724,
                            bing    => 3152, binge   => 8080, bingo   => 2792, bings   => 17423,
                            binks   => 10862, binky   => 12489, binoculars
                                    => 6950,
                            binturong
                                    => 15702, biocyte => 13367,
                            biodegradable
                                    => 19798, bioethics
                                    => 16514,
                            biogenetics
                                    => 21350, biohazard
                                    => 21349,
                            biological
                                    => 1922, biologically
                                    => 8806,
                            biometric
                                    => 16513, biopsy  => 4931,
                            biotech => 12903, bipartisan
                                    => 12488,
                            bipartisanship
                                    => 19797, bippy   => 21348,
                            birdbrain
                                    => 19796, birdcage
                                    => 18500,
                            birdies => 14389, birdseed
                                    => 18499,
                            birdson => 17422, birdy   => 13880, birkhead
                                    => 11436,
                            birthday
                                    => 646, birthdays
                                    => 5464,
                            birthing
                                    => 9130, birthmark
                                    => 12902,
                            birthright
                                    => 7022, biscayne
                                    => 18498,
                            biscotti
                                    => 9313, biscuit => 7699,
                            biscuits
                                    => 5923, bisque  => 11766,
                            bistro  => 8483, bit     => 322, bitch   => 695, bitches => 3621,
                            bitchin => 7112, bitching
                                    => 8482,
                            bitchy  => 9312, bite    => 1093, biter   => 16512, bites   => 3677,
                            biting  => 4085, bits    => 3064, bitsy   => 10137, bitte   => 21347,
                            bitten  => 4898, bitter  => 2167, bitterness
                                    => 5969,
                            bittersweet
                                    => 11146, bitty   => 6026,
                            bizarre => 2205, bizarro => 9482, blabbed => 10376, blabbering
                                    => 19795,
                            blabbermouth
                                    => 18497, blabbing
                                    => 8631,
                            blabs   => 19794, blackballed
                                    => 19793,
                            blackbeard
                                    => 21346, blackbird
                                    => 14388,
                            blackboard
                                    => 14387, blacked => 6515,
                            blacken => 19792, blackened
                                    => 19791,
                            blackest
                                    => 19790, blackface
                                    => 19789,
                            blackie => 19788, blacking
                                    => 17421,
                            blackjack
                                    => 6858, blackmail
                                    => 2115,
                            blackmailed
                                    => 4252, blackmailer
                                    => 7698,
                            blackmailing
                                    => 3250, blackness
                                    => 12487,
                            blackout
                                    => 5014, blackouts
                                    => 11765,
                            bladder => 5590, bladders
                                    => 21345,
                            blade   => 2650, blading => 18496, blah    => 1286, blainetologists
                                    => 18495,
                            blame   => 590, blamed  => 2935, blameless
                                    => 9481,
                            blames  => 3538, blaming => 1797, blanked => 15701, blanket => 2086,
                            blankets
                                    => 3914, blankie => 13879,
                            blankly => 21344, blanky  => 15700, blaring => 12486, blarney => 15039,
                            blase   => 15038, blasphemous
                                    => 17420,
                            blasphemy
                                    => 10136, blast   => 1944,
                            blasted => 5968, blasters
                                    => 21343,
                            blasting
                                    => 7405, blatant => 7483,
                            blatantly
                                    => 13878, blather => 21342,
                            blathering
                                    => 17419, blayne  => 13877,
                            blaze   => 5724, blazed  => 19787, blazes  => 9480, blazing => 8805,
                            bleach  => 5821, bleached
                                    => 9900,
                            bleachers
                                    => 9899, bleaching
                                    => 18494,
                            bleak   => 6514, blech   => 16511, bleed   => 2903, bleeder => 11764,
                            bleedin => 10375, bleeding
                                    => 1416,
                            bleeds  => 7285, bleep   => 11763, bleeth  => 19786, blemish => 18493,
                            blend   => 3913, blender => 6025, bless   => 1704, blessed => 2214,
                            blessing
                                    => 2422, blessings
                                    => 4049,
                            blew    => 1114, blight  => 12116, blimey  => 12485, blimp   => 11762,
                            blind   => 1147, blinded => 5463, blinders
                                    => 7111,
                            blindfold
                                    => 6641, blindfolded
                                    => 9311,
                            blinding
                                    => 6024, blindly => 7284,
                            blindness
                                    => 8804, blinds  => 7283,
                            blindsided
                                    => 8630, bling   => 8213,
                            blink   => 4048, blinked => 8212, blinker => 16510, blinking
                                    => 5922,
                            blinks  => 17418, blinky  => 17417, blintzes
                                    => 15699,
                            blips   => 18492, blissful
                                    => 12901,
                            blissfully
                                    => 15037, blister => 11145,
                            blisters
                                    => 14386, blithely
                                    => 21341,
                            blithering
                                    => 17416, blitzen => 16509,
                            bloat   => 19785, bloated => 7697, blockage
                                    => 13366,
                            blockbusters
                                    => 21340, blocked => 3218,
                            blockhead
                                    => 21339, blocking
                                    => 3912,
                            bloke   => 5589, blokes  => 9684, blond   => 2902, blonde  => 1714,
                            blondes => 6513, blondie => 4829, blonds  => 17415, blood   => 440,
                            bloodbath
                                    => 11144, blooded => 4047,
                            bloodhound
                                    => 12900, bloodhounds
                                    => 16508,
                            bloodied
                                    => 17414, bloodless
                                    => 13876,
                            bloodline
                                    => 15036, bloods  => 10135,
                            bloodshed
                                    => 8629, bloodshot
                                    => 21338,
                            bloodstained
                                    => 19784, bloodstains
                                    => 16507,
                            bloodstream
                                    => 8995, bloodsucker
                                    => 12115,
                            bloodsuckers
                                    => 19783, bloodsucking
                                    => 9898,
                            bloodthirsty
                                    => 15698, bloodwork
                                    => 17413,
                            bloody  => 1200, bloomers
                                    => 16506,
                            blooming
                                    => 12114, bloopers
                                    => 16505,
                            blossomed
                                    => 17412, blossoming
                                    => 16504,
                            blossoms
                                    => 12113, blotchy => 17411,
                            blotter => 18491, blotto  => 17410, blouse  => 4224, blouses => 19782,
                            blow    => 715, blowback
                                    => 19781,
                            blowed  => 17409, blower  => 8803, blowfish
                                    => 11761,
                            blowhard
                                    => 14385, blowin  => 9310,
                            blowing => 1790, blowjob => 18490, blowjobs
                                    => 21337,
                            blown   => 1768, blowout => 8802, blows   => 2165, blowtorch
                                    => 18489,
                            blowup  => 12899, blubber => 11760, blubbering
                                    => 8994,
                            bludgeoned
                                    => 18488, bluebell
                                    => 16503,
                            bluebells
                                    => 21336, blueberries
                                    => 8993,
                            blueberry
                                    => 5013, bluenote
                                    => 13875,
                            bluepoint
                                    => 7948, blueprint
                                    => 10374,
                            blueprints
                                    => 6640, bluer   => 17408,
                            bluest  => 21335, bluestar
                                    => 7696,
                            bluey   => 19780, bluff   => 3411, bluffing
                                    => 3378,
                            blunder => 13365, blundering
                                    => 17407,
                            blunders
                                    => 13364, bluntly => 16502,
                            bluntman
                                    => 9479, blurb   => 12898,
                            blurred => 11435, blurry  => 6718, blurt   => 7695, blurted => 9129,
                            blurting
                                    => 12897, blush   => 5423,
                            blushing
                                    => 4789, bluster => 15035,
                            bluth   => 7586, bluuch  => 17406, boarded => 6857, boarder => 18487,
                            boarding
                                    => 2131, boardinghouse
                                    => 17405,
                            boardroom
                                    => 8801, boardwalk
                                    => 7282,
                            boast   => 11759, boat    => 786, boathouse
                                    => 5229,
                            boatload
                                    => 12484, bobbin  => 21334,
                            bobbing => 11434, bobbo   => 21333, bobcat  => 17404, bobka   => 11758,
                            bobunk  => 16501, bodega  => 10134, bodes   => 16500, bodhi   => 13363,
                            bodily  => 6440, bodyguard
                                    => 3649,
                            bodyguards
                                    => 5967, bogas   => 17403,
                            bogey   => 10861, bogeyman
                                    => 12896,
                            bogged  => 15697, boggle  => 8481, boggles => 18486, boggling
                                    => 11433,
                            bogus   => 3331, bogyman => 15696, boil    => 4130, boiled  => 6717,
                            boilerplate
                                    => 19779, boiling => 5673,
                            boils   => 6949, boing   => 10593, boink   => 21332, boinked => 21331,
                            bolder  => 18485, bolie   => 6782, bollo   => 21330, bollocks
                                    => 8211,
                            bolted  => 8079, bolting => 19778, bolts   => 6318, bomb    => 1187,
                            bombarding
                                    => 21329, bombed  => 6317,
                            bombosity
                                    => 19777, bombshell
                                    => 7021,
                            bonbon  => 12483, bonbons => 16499, bondage => 12895, bonded  => 5119,
                            bonding => 3285, bondsman
                                    => 18484,
                            bone    => 1392, boned   => 9897, bonehead
                                    => 7947,
                            boneless
                                    => 21328, boners  => 18483,
                            bones   => 1647, boneyard
                                    => 19776,
                            bonfire => 7694, bongo   => 13362, bongos  => 21327, boning  => 14384,
                            bonjour => 6512, bonkers => 9309, bonnet  => 9683, bonsoir => 11757,
                            bontecou
                                    => 9478, boobies => 8992,
                            boobs   => 3629, booby   => 5871, booga   => 15695, booger  => 7194,
                            boogers => 15694, boogety => 12112, boogey  => 17402, boogeyman
                                    => 17401,
                            boogida => 18482, boogie  => 6023, booing  => 19775, bookcase
                                    => 9896,
                            booked  => 1999, bookends
                                    => 21326,
                            bookie  => 6316, bookies => 16498, booking => 5820, bookish => 17400,
                            bookkeeper
                                    => 15034, bookkeeping
                                    => 15693,
                            booklets
                                    => 17399, bookmark
                                    => 21325,
                            bookshelf
                                    => 18481, bookshelves
                                    => 21324,
                            bookstore
                                    => 4129, bookstores
                                    => 11143,
                            bookworm
                                    => 15692, boom    => 1782,
                            boombox => 21323, boomerang
                                    => 10133,
                            boomhauer
                                    => 9308, booming => 11142,
                            boonies => 17398, boooo   => 17397, boorish => 13874, boosh   => 16497,
                            boost   => 4014, booster => 6781, boosters
                                    => 13361,
                            boosts  => 21322, boot    => 2812, booted  => 7193, booths  => 8800,
                            booties => 9895, bootlegs
                                    => 19774,
                            boots   => 1991, bootsy  => 11756, booty   => 4754, booze   => 2474,
                            boozing => 13360, bopping => 19773, boragora
                                    => 5076,
                            borans  => 21321, bordello
                                    => 18480,
                            borderline
                                    => 8210, bore    => 3295,
                            borealis
                                    => 11755, bored   => 1634,
                            boredom => 5153, bores   => 10592, borgnine
                                    => 19772,
                            boring  => 1235, borrow  => 1387, borrowed
                                    => 2294,
                            borrowing
                                    => 5631, bosom   => 6948,
                            bosoms  => 19771, bosomy  => 21320, boss    => 770, bossa   => 18479,
                            bossed  => 21319, bosses  => 4434, bossing => 11754, bossy   => 5870,
                            botch   => 16496, botched => 7110, bother  => 758, bothered
                                    => 2109,
                            botherin
                                    => 15691, bothering
                                    => 1428,
                            bothers => 2405, botox   => 13359, botrelle
                                    => 12482,
                            botticelli
                                    => 15690, bottle  => 1038,
                            bottled => 5118, bottles => 2743, bottom  => 913, bottomed
                                    => 18478,
                            bottomless
                                    => 9682, botulism
                                    => 13873,
                            boudoir => 10860, bought  => 730, bounce  => 2934, bounced => 5966,
                            bouncer => 8078, bouncers
                                    => 15689,
                            bounces => 10859, bouncin => 19770, bouncing
                                    => 4410,
                            bouncy  => 8991, bound   => 1776, bounder => 19769, boundless
                                    => 16495,
                            bountiful
                                    => 19768, bounty  => 4031,
                            bouquet => 3902, bouquets
                                    => 13358,
                            bourbon => 4295, bout    => 1188, boutique
                                    => 3592,
                            boutonniere
                                    => 21318, boutros => 12894,
                            bovary  => 15033, bowel   => 6198, bowels  => 7946, bowing  => 9894,
                            bowline => 17396, bowtie  => 17395, box     => 706, boxcar  => 13872,
                            boxed   => 8990, boxers  => 6570, boxes   => 2064, boy     => 228,
                            boycotting
                                    => 15688, boyfriend
                                    => 643,
                            boyfriends
                                    => 3353, boyish  => 16494,
                            boys    => 488, "boys'd"
                                    => 21317,
                            "boys'll"
                                    => 21316, "boys're"
                                    => 21315,
                            boysenberry
                                    => 17394, bozo    => 4788,
                            bozos   => 9477, "bra'tac"
                                    => 10373,
                            bracebridge
                                    => 14383, bracelet
                                    => 2266,
                            bracelets
                                    => 7945, braces  => 5776,
                            bracing => 13871, brackley
                                    => 13357,
                            bradlee => 21314, bradys  => 9893, bradywood
                                    => 18477,
                            brag    => 4723, braggart
                                    => 21313,
                            bragged => 12893, braggin => 18476, bragging
                                    => 4965,
                            brags   => 18475, braid   => 8989, braided => 15032, braiding
                                    => 18474,
                            braids  => 15687, brained => 9476, brainer => 6780, brainiac
                                    => 12481,
                            brainiest
                                    => 21312, brainless
                                    => 10591,
                            brains  => 1715, brainstorm
                                    => 8077,
                            brainstorming
                                    => 11753, brainwash
                                    => 12480,
                            brainwashed
                                    => 5723, brainwashing
                                    => 9892,
                            brainwaves
                                    => 21311, brainy  => 11141,
                            braised => 16493, brakes  => 3847, brana   => 12110, brandies
                                    => 21310,
                            brando  => 10858, brania  => 18473, brash   => 7404, brasi   => 16492,
                            braslow => 13870, brass   => 3005, brassiere
                                    => 12479,
                            brassieres
                                    => 17393, brat    => 2693,
                            brats   => 6639, bratty  => 16491, bratwurst
                                    => 18472,
                            brava   => 7944, bravado => 12111, brave   => 1280, braved  => 21309,
                            braveheart
                                    => 15031, bravely => 13356,
                            bravenet
                                    => 21308, braver  => 11432,
                            bravest => 6947, brawl   => 7192, brawling
                                    => 16490,
                            brays   => 17392, brazen  => 9891, breach  => 3993, breached
                                    => 9128,
                            bread   => 1750, breadstick
                                    => 21307,
                            breadwinner
                                    => 19767, break   => 332,
                            breakable
                                    => 21306, breakdown
                                    => 2714,
                            breakdowns
                                    => 14382, breaker => 4828,
                            breakfast
                                    => 792, breakfasts
                                    => 10372,
                            breakin => 7403, breaking
                                    => 976,
                            breaks  => 1723, breakthroughs
                                    => 12109,
                            breakup => 4084, breakups
                                    => 18471,
                            brean   => 19766, breast  => 2713, breasted
                                    => 11752,
                            breasts => 2765, breath  => 995, breathable
                                    => 17391,
                            breathalyzer
                                    => 18470, breathe => 877,
                            breathed
                                    => 8799, breather
                                    => 5775,
                            breathes
                                    => 8628, breathin
                                    => 13869,
                            breathing
                                    => 1271, breathless
                                    => 11751,
                            breaths => 4753, breathtaking
                                    => 6511,
                            brecher => 14381, breeher => 21305, breeze  => 3570, breezes => 10857,
                            breezing
                                    => 21304, breezy  => 12108,
                            brendell
                                    => 16489, brewed  => 11750,
                            brewin  => 19765, brews   => 13868, brewski => 19764, brewskies
                                    => 18469,
                            brewskis
                                    => 19763, briar   => 17390,
                            briault => 9681, bribe   => 2782, bribed  => 5672, bribery => 8076,
                            bribes  => 7281, bribing => 7943, bricked => 21303, bricks  => 4787,
                            bridal  => 4346, bride   => 1154, bridegroom
                                    => 15030,
                            brides  => 7816, bridesmaid
                                    => 4662,
                            bridesmaids
                                    => 5671, briefcase
                                    => 2733,
                            briefcases
                                    => 21302, briefed => 6946,
                            briefing
                                    => 3410, briefings
                                    => 18468,
                            briefs  => 7109, brighten
                                    => 8209,
                            brighter
                                    => 5462, brightest
                                    => 5543,
                            brilliance
                                    => 7402, brilliant
                                    => 1158,
                            brilliantly
                                    => 8798, brimming
                                    => 15686,
                            brimstone
                                    => 10590, bring   => 285,
                            bringer => 16488, bringin => 9307, bringing
                                    => 912,
                            brings  => 1228, brioche => 17389, brisk   => 10856, brisket => 15029,
                            briskly => 21301, briss   => 17388, brit    => 4752, britches
                                    => 7815,
                            brits   => 10855, brittle => 9127, broached
                                    => 19762,
                            broaden => 10589, broads  => 8627, brobich => 16487, broccoli
                                    => 6638,
                            brochure
                                    => 5197, brochures
                                    => 7108,
                            brockovich
                                    => 12107, broda   => 17387,
                            brodski => 12478, broflovski
                                    => 8208,
                            brogna  => 12892, broiled => 17386, broiler => 21300, broke   => 575,
                            broken  => 762, brokenhearted
                                    => 14380,
                            broker  => 4083, brokers => 10588, brolin  => 18467, brolly  => 19761,
                            bromden => 19760, bromly  => 18466, bronchial
                                    => 21299,
                            bronchitis
                                    => 19759, bronck  => 15028,
                            bronco  => 12891, bronzed => 17385, bronzing
                                    => 21298,
                            brooch  => 8480, brood   => 7482, brooding
                                    => 7693,
                            broody  => 18465, brookline
                                    => 17384,
                            brookside
                                    => 12477, brooms  => 13867,
                            broomstick
                                    => 9475, broomsticks
                                    => 18464,
                            broth   => 11431, brotha  => 15027, brothel => 10132, brother => 301,
                            brotherly
                                    => 7814, brought => 414,
                            brouhaha
                                    => 21297, browbeat
                                    => 14379,
                            browbeating
                                    => 18463, brownie => 6779,
                            brownies
                                    => 5510, brownout
                                    => 21296,
                            brownstone
                                    => 13355, browse  => 12106,
                            browsing
                                    => 11430, brrrrr  => 21295,
                            bruenell
                                    => 9474, bruise  => 4513,
                            bruised => 4722, bruiser => 19758, bruises => 3846, bruising
                                    => 8075,
                            brulee  => 10854, brumby  => 15026, brummel => 13866, brunch  => 4661,
                            brundle => 8207, brunettes
                                    => 15025,
                            brung   => 14378, bruschetta
                                    => 18462,
                            brush   => 2259, brushed => 6141, brushes => 8074, brushing
                                    => 6315,
                            brusque => 19757, brussel => 15024, brutal  => 3151, brutality
                                    => 6856,
                            brutally
                                    => 6855, brute   => 7107,
                            brutish => 19756, bubba   => 7942, bubbe   => 13354, bubbies => 21294,
                            bubble  => 2505, bubbles => 4537, bubbling
                                    => 10587,
                            bubbly  => 5588, bubut   => 21293, buchanans
                                    => 15685,
                            buckaroo
                                    => 4641, bucket  => 2833,
                            buckets => 8797, bucking => 10853, bucklands
                                    => 7941,
                            buckle  => 4369, buckled => 13353, buckling
                                    => 18461,
                            bucko   => 11429, bucks   => 835, buckshot
                                    => 21292,
                            bucky   => 10852, bucyk   => 18460, budda   => 21291, buddies => 2471,
                            budge   => 5300, budged  => 16486, budging => 14377, budington
                                    => 15684,
                            budweiser
                                    => 13352, bueller => 11140,
                            buenas  => 17383, buff    => 3267, buffay  => 8479, buffed  => 19755,
                            buffet  => 5152, buffets => 19754, buffoon => 12890, buffoons
                                    => 17382,
                            buffs   => 18459, buffy   => 737, buffybot
                                    => 21290,
                            bugged  => 4409, bugger  => 5268, buggered
                                    => 15023,
                            buggers => 11139, buggin  => 12476, bugging => 2917, buggy   => 8206,
                            bugler  => 19753, bugs    => 2149, buick   => 7813, buildin => 16485,
                            bukatari
                                    => 16484, bulb    => 4964,
                            bulbs   => 7940, bulging => 9306, bulimia => 16483, bulimic => 14376,
                            buljanoff
                                    => 10586, bulky   => 15022,
                            bull    => 1601, bullcrap
                                    => 12475,
                            bulldog => 2483, bulldoze
                                    => 21289,
                            bulldozer
                                    => 11138, bulldozers
                                    => 12105,
                            bullet  => 1328, bulletin
                                    => 4408,
                            bulletproof
                                    => 7401, bullets => 2288,
                            bullheaded
                                    => 18458, bullied => 8796,
                            bullies => 8988, bullshit
                                    => 1288,
                            bullshitting
                                    => 11749, bullwinkle
                                    => 13865,
                            bully   => 3446, bumble  => 11748, bumbling
                                    => 15021,
                            bummed  => 4110, bummer  => 4193, bummers => 21288, bumming => 13864,
                            bump    => 2397, bumped  => 3318, bumper  => 4930, bumping => 7280,
                            bumpkins
                                    => 21287, bumps   => 5012,
                            bumpy   => 5722, bumstead
                                    => 11428,
                            buncha  => 12104, bunches => 18457, bundle  => 4536, bundt   => 10585,
                            bundys  => 11137, bungchow
                                    => 19752,
                            bungee  => 9305, bunghole
                                    => 11136,
                            bungled => 21286, bunion  => 14375, bunions => 18456, bunk    => 4897,
                            bunkhouse
                                    => 19751, bunking => 13863,
                            bunks   => 12103, bunnies => 5819, buns    => 4109, bunsen  => 16482,
                            buona   => 18455, burbs   => 18454, burdened
                                    => 9473,
                            burdens => 12102, burdon  => 11747, bureaucrat
                                    => 17381,
                            bureaucrats
                                    => 13351, burgel  => 12889,
                            burgers => 3352, burglar => 5379, burglaries
                                    => 18453,
                            burglars
                                    => 10371, burglary
                                    => 5721,
                            burgomeister
                                    => 19750, buries  => 12888,
                            burlap  => 17380, burly   => 12101, burn    => 1069, burned  => 1363,
                            burner  => 7692, burners => 15683, burnin  => 13862, burning => 1215,
                            burnout => 12887, burnt   => 3181, burping => 12100, burps   => 19749,
                            burrito => 6778, burritos
                                    => 8205,
                            burro   => 13861, burst   => 2464, bursting
                                    => 5774,
                            bury    => 2005, burying => 5267, busboy  => 7585, busboys => 13350,
                            bushed  => 16481, bushel  => 12099, bushes  => 4108, bushy   => 15682,
                            busier  => 12474, businesswoman
                                    => 7481,
                            businesswomen
                                    => 21285, busload => 18452,
                            busmalis
                                    => 12098, busses  => 19748,
                            bussing => 14374, bust    => 1497, busted  => 1640, bustier => 17379,
                            bustin  => 9304, busting => 3266, busts   => 12473, busty   => 21284,
                            busy    => 551, busybody
                                    => 14373,
                            busywork
                                    => 19747, but     => 24,
                            butabi  => 12097, butai   => 21283, butch   => 4535, butchered
                                    => 13349,
                            butchers
                                    => 13348, butlers => 14372,
                            buts    => 4223, butt    => 944, butted  => 12886, butter  => 1827,
                            butterball
                                    => 17378, buttercup
                                    => 7691,
                            buttered
                                    => 10584, butterfingers
                                    => 16480,
                            butterflies
                                    => 5339, buttering
                                    => 12885,
                            buttermilk
                                    => 16479, butters => 2432,
                            butterscotch
                                    => 12472, butthead
                                    => 6382,
                            butthole
                                    => 9890, buttholes
                                    => 19746,
                            butting => 6716, buttle  => 9472, buttocks
                                    => 8987,
                            button  => 1574, buttoned
                                    => 12884,
                            buttoning
                                    => 18451, buttons => 2669,
                            buxley  => 15020, buy     => 453, buyer   => 4640, buyers  => 5509,
                            buyin   => 8986, buying  => 1164, buys    => 3265, buzz    => 1839,
                            buzzards
                                    => 21282, buzzed  => 11427,
                            buzzer  => 7279, buzzers => 19745, buzzes  => 18450, buzzing => 5266,
                            buzzkill
                                    => 21281, buzzsaw => 15681,
                            buzzy   => 16478, bwana   => 18449, bye     => 273, bygones => 5265,
                            bylaws  => 8351, byline  => 17377, bystander
                                    => 8073,
                            bystanders
                                    => 12883, "c'est" => 6945,
                            "c'mere"
                                    => 4082, "c'mon" => 807,
                            cabbage => 7020, cabbie  => 10851, cabdriver
                                    => 21280,
                            cabernet
                                    => 8985, cabeza  => 21279,
                            cabin   => 1454, cabinets
                                    => 7690,
                            caboose => 13860, cabot   => 3052, cabron  => 21278, cachet  => 21277,
                            cackle  => 18448, cackling
                                    => 12882,
                            cacophony
                                    => 18447, cactus  => 8204,
                            cadaver => 11135, cadavers
                                    => 18446,
                            caddie  => 15019, caddies => 19744, caddy   => 6569, cadillac
                                    => 3926,
                            cadillacs
                                    => 21276, cadmium => 11426,
                            cafe    => 2668, cafeteria
                                    => 2604,
                            caffeinated
                                    => 18445, caffeine
                                    => 3706,
                            cage    => 2223, caged   => 9303, cages   => 6944, cagey   => 15018,
                            cahoots => 7812, "cain't"
                                    => 13859,
                            cajun   => 10370, cake    => 957, cakes   => 3537, cakewalk
                                    => 15017,
                            calamari
                                    => 10850, calamine
                                    => 16477,
                            calamitous
                                    => 21275, calamity
                                    => 14371,
                            calculating
                                    => 7278, calculator
                                    => 9126,
                            caldecott
                                    => 21274, caldy   => 17376,
                            calfskin
                                    => 19743, caliber => 5461,
                            calibrated
                                    => 16476, calisthenics
                                    => 15680,
                            calitri => 17375, call    => 116, callar  => 18444, callate => 18443,
                            callback
                                    => 16475, caller  => 2933,
                            callers => 8626, callin  => 4786, calling => 509, callous => 7811,
                            callously
                                    => 19742, calls   => 683,
                            calluses
                                    => 15679, calm    => 586,
                            calmed  => 5299, calmer  => 9889, calming => 8203, calmly  => 5422,
                            calms   => 8350, calorie => 12881, calories
                                    => 6510,
                            calrissian
                                    => 14370, calves  => 9302,
                            calzone => 10131, calzones
                                    => 17374,
                            camaraderie
                                    => 19741, camaro  => 13347,
                            cambias => 4589, camcorder
                                    => 12880,
                            came    => 182, camel   => 6314, camelot => 7939, camembert
                                    => 13346,
                            camera  => 989, cameraman
                                    => 7938,
                            cameras => 2114, camogli => 13345, camped  => 7584, campers => 8984,
                            campfire
                                    => 8202, campin  => 18442,
                            camping => 3025, campsite
                                    => 10369,
                            camry   => 17373, can     => 38, "can't" => 58, canape  => 21273,
                            canaries
                                    => 17372, canasta => 13858,
                            cancel  => 1546, canceled
                                    => 2482,
                            canceling
                                    => 5338, cancellations
                                    => 18441,
                            cancelling
                                    => 10368, cancels => 11425,
                            cancun  => 12471, candaules
                                    => 21272,
                            candid  => 5773, candidly
                                    => 19740,
                            candied => 15678, candies => 13857, candle  => 1967, candlelight
                                    => 6854,
                            candlelit
                                    => 17371, candles => 1775,
                            candlestick
                                    => 17370, candlesticks
                                    => 13856,
                            candlewell
                                    => 15016, candor  => 12470,
                            cane    => 3946, canes   => 11134, canin   => 11133, canine  => 8795,
                            canines => 21271, canister
                                    => 10583,
                            canisters
                                    => 17369, canned  => 4588,
                            cannery => 8072, cannibal
                                    => 15015,
                            cannibals
                                    => 12469, cannoli => 13344,
                            cannolis
                                    => 13343, cannot  => 524,
                            cans    => 3469, cantaloupe
                                    => 10367,
                            canvass => 17368, canvassing
                                    => 16474,
                            "cap'n" => 8983, capable => 1192, capades => 12096, caped   => 16473,
                            capelli => 13342, caper   => 9301, capeside
                                    => 2689,
                            capiche => 15014, capillaries
                                    => 19739,
                            capisce => 10366, capitalistic
                                    => 19738,
                            capitalize
                                    => 11746, capitan => 11132,
                            cappuccino
                                    => 3901, cappuccinos
                                    => 15677,
                            cappucino
                                    => 15013, cappy   => 16472,
                            capri   => 9300, caprica => 13341, capricious
                                    => 19737,
                            capricorn
                                    => 5869, capsize => 15012,
                            capsules
                                    => 11745, "capt'n"
                                    => 18440,
                            captioning
                                    => 15011, captivated
                                    => 18439,
                            captivating
                                    => 14369, captive => 4691,
                            capulet => 18438, capulets
                                    => 21270,
                            car     => 238, caramba => 21269, caramel => 8201, caramels
                                    => 16471,
                            carano  => 11744, carasco => 10365, carat   => 9888, carats  => 14368,
                            caravaggio
                                    => 14367, carbs   => 12095,
                            carbuncle
                                    => 21268, carburetor
                                    => 8625,
                            carcass => 8071, carcinogens
                                    => 18437,
                            card    => 742, cardboard
                                    => 5818,
                            carded  => 16470, cardiac => 4063, cardigan
                                    => 12879,
                            cardio  => 12094, cardiogram
                                    => 21267,
                            cardiologist
                                    => 7191, cardiology
                                    => 13855,
                            cards   => 1098, care    => 154, cared   => 1352, careening
                                    => 19736,
                            carefree
                                    => 7810, careful => 612,
                            carefully
                                    => 1816, caregiver
                                    => 13854,
                            careless
                                    => 4107, carelessly
                                    => 19735,
                            carelessness
                                    => 12093, cares   => 859,
                            caress  => 12878, caressing
                                    => 19734,
                            caribou => 7190, caring  => 1774, caritas => 13853, carjack => 17367,
                            carjacking
                                    => 13852, carly   => 412,
                            carnage => 10582, carnal  => 11131, carnations
                                    => 15676,
                            carnie  => 21266, carnival
                                    => 4013,
                            carnivore
                                    => 18436, carny   => 16469,
                            carob   => 19733, carolers
                                    => 21265,
                            caroling
                                    => 13851, carolling
                                    => 21264,
                            carols  => 10581, carotid => 12468, carousel
                                    => 8349,
                            carpal  => 15675, carpe   => 8982, carpenters
                                    => 11130,
                            carpentry
                                    => 13850, carpet  => 2577,
                            carpeted
                                    => 19732, carpeting
                                    => 12467,
                            carples => 16468, carpool => 12092, carrear => 21263, carrey  => 15674,
                            carriage
                                    => 3498, carrot  => 3560,
                            carrots => 5298, carry   => 972, carryin => 12466, carrying
                                    => 1145,
                            cart    => 3142, carted  => 12465, cartel  => 7189, carting => 21262,
                            cartman => 1375, cartmanland
                                    => 16467,
                            carton  => 5670, cartons => 9299, cartouche
                                    => 18435,
                            cartwheel
                                    => 19731, cartwheels
                                    => 10580,
                            carve   => 5117, carvel  => 21261, carvers => 12091, carves  => 19730,
                            carving => 6715, carwash => 18434, casablanca
                                    => 8478,
                            casbah  => 7809, cascade => 2688, case    => 286, cased   => 21260,
                            caseload
                                    => 17366, cashed  => 6637,
                            cashews => 18433, cashier => 7188, cashing => 9887, cashmere
                                    => 5421,
                            casing  => 9125, casings => 13340, casino  => 2676, casinos => 7583,
                            casitas => 21259, casket  => 4081, caskets => 10130, caspar  => 7400,
                            cassadine
                                    => 2065, cassadines
                                    => 4963,
                            casserole
                                    => 6076, cassio  => 18432,
                            cassiopeia
                                    => 19729, cassius => 10364,
                            castell => 13849, castrated
                                    => 18431,
                            casual  => 2750, casually
                                    => 6777,
                            cataclysmic
                                    => 21258, catacombs
                                    => 10849,
                            cataloging
                                    => 18430, catalogs
                                    => 11129,
                            catalogues
                                    => 10579, cataloguing
                                    => 16466,
                            catapult
                                    => 14366, cataracts
                                    => 11743,
                            catastrophe
                                    => 7019, catatonic
                                    => 8794,
                            catch   => 555, catches => 3559, catchin => 12877, catching
                                    => 2139,
                            catchy  => 7187, categorically
                                    => 11742,
                            catered => 10848, caterer => 5297, caterers
                                    => 7106,
                            caterine
                                    => 19728, catering
                                    => 4278,
                            caterwauling
                                    => 21257, catfight
                                    => 12090,
                            catharsis
                                    => 12876, cathartic
                                    => 17365,
                            catheter
                                    => 13339, catnip  => 11128,
                            cats    => 2238, catskills
                                    => 12089,
                            catsup  => 15010, catting => 19727, catty   => 18429, catwalk => 17364,
                            catwoman
                                    => 16465, caucasian
                                    => 6776,
                            caught  => 589, cauldron
                                    => 8793,
                            cauldwell
                                    => 19726, cauliflower
                                    => 12875,
                            cause   => 261, cauterized
                                    => 19725,
                            caution => 3925, cautionary
                                    => 13848,
                            cautious
                                    => 4149, cautiously
                                    => 13847,
                            cavalcade
                                    => 18428, cave    => 1770,
                            caveat  => 16464, caved   => 7399, caveman => 7186, cavemen => 19724,
                            cavern  => 6714, caviar  => 4012, caving  => 10847, cavorting
                                    => 19723,
                            cayenne => 15673, cayman  => 9471, caymans => 13338, ccedil  => 19722,
                            cease   => 3967, ceases  => 10363, cedars  => 5460, ceecee  => 19721,
                            ceiling => 2894, celeb   => 19720, celebrate
                                    => 1157,
                            celebrating
                                    => 2038, celebration
                                    => 2046,
                            celebratory
                                    => 11127, celery  => 8200,
                            celibacy
                                    => 12464, celibate
                                    => 13846,
                            cell    => 760, cellar  => 3581, cellblock
                                    => 10846,
                            celled  => 18427, cellmate
                                    => 11424,
                            cellmates
                                    => 17363, cellophane
                                    => 16463,
                            cellphone
                                    => 17362, cellulite
                                    => 18426,
                            cemetary
                                    => 21256, censure => 14365,
                            censured
                                    => 21255, centerfold
                                    => 19719,
                            centerpieces
                                    => 19718, centimeter
                                    => 13337,
                            cents   => 2031, cereal  => 3399, cerebellum
                                    => 19717,
                            cerebro => 21254, cerebrum
                                    => 21253,
                            ceremony
                                    => 1374, cerreno => 21252,
                            certainaly
                                    => 11423, certainly
                                    => 486,
                            certainties
                                    => 21251, certainty
                                    => 6943,
                            certifiable
                                    => 7105, certifiably
                                    => 18425,
                            certs   => 21250, cerulean
                                    => 18424,
                            cerveza => 18423, cervix  => 15672, cesspool
                                    => 10129,
                            cetera  => 6381, chachi  => 15671, chadway => 18422, chaff   => 21249,
                            chafing => 12463, chagrined
                                    => 21248,
                            chained => 4751, chainsaw
                                    => 10128,
                            chainsaws
                                    => 14364, chair   => 1012,
                            chairs  => 2643, chaise  => 15670, chaka   => 17361, chakras => 16462,
                            chalet  => 17360, chalk   => 3900, chalkboard
                                    => 13336,
                            chalked => 18421, chalupa => 21247, chambermaid
                                    => 16461,
                            chamdo  => 21246, chamois => 16460, chamomile
                                    => 9124,
                            champ   => 3689, champagne
                                    => 1116,
                            chance  => 268, chances => 1231, chandelier
                                    => 8624,
                            chandeliers
                                    => 21245, chandlers
                                    => 16459,
                            change  => 293, changed => 483, changin => 15009, changing
                                    => 1330,
                            channeled
                                    => 17359, channeling
                                    => 10362,
                            channing
                                    => 8348, channukah
                                    => 19716,
                            chant   => 7277, chanteuse
                                    => 21244,
                            chanting
                                    => 7104, chanukah
                                    => 11422,
                            chaos   => 2467, chaperon
                                    => 7937,
                            chaperone
                                    => 6022, chaperoned
                                    => 19715,
                            chaperones
                                    => 11741, chaperoning
                                    => 9298,
                            chapil  => 18420, chapped => 13335, chaps   => 9886, charade => 3899,
                            charades
                                    => 7103, chardonnay
                                    => 8199,
                            charge  => 784, charger => 13845, charges => 921, chargin => 21243,
                            charging
                                    => 3369, chariot => 8792,
                            charisma
                                    => 10845, charlatan
                                    => 11740,
                            charlies
                                    => 19714, charm   => 1777,
                            charmed => 2576, charmer => 8791, charming
                                    => 1489,
                            charmingly
                                    => 15008, charms  => 4106,
                            charnier
                                    => 18419, charo   => 18418,
                            charred => 12462, chartreuse
                                    => 18417,
                            chased  => 3098, chaser  => 9297, chases  => 9296, chasin  => 13334,
                            chasing => 1654, chasm   => 18416, chaste  => 10844, chat    => 1539,
                            chats   => 10361, chatted => 12874, chatter => 7185, chatterbox
                                    => 19713,
                            chattering
                                    => 15669, chatting
                                    => 4639,
                            chatty  => 9123, chauffeur
                                    => 4407,
                            chauvinist
                                    => 16458, chauvinistic
                                    => 18415,
                            cheap   => 1320, cheapen => 14363, cheaper => 4785, cheapest
                                    => 12873,
                            cheat   => 2126, cheated => 2231, cheater => 5772, cheaters
                                    => 13844,
                            cheatin => 10843, cheating
                                    => 1722,
                            cheats  => 6380, check   => 292, checkbook
                                    => 5420,
                            checked => 891, checker => 12088, checkered
                                    => 11739,
                            checkers
                                    => 8070, checkin => 10127,
                            checking
                                    => 1110, checklist
                                    => 16457,
                            checkmate
                                    => 8347, checkout
                                    => 8981,
                            checkpoint
                                    => 10360, checks  => 2160,
                            checkup => 5151, checkups
                                    => 13843,
                            cheddar => 8980, cheeba  => 17358, cheech  => 15668, cheeco  => 16456,
                            cheekbones
                                    => 9470, cheeky  => 10578,
                            cheep   => 13842, cheer   => 1668, cheered => 9469, cheerful
                                    => 5508,
                            cheering
                                    => 4534, cheerio => 12461,
                            cheerios
                                    => 16455, cheerleader
                                    => 3521,
                            cheerleaders
                                    => 4784, cheerleading
                                    => 5419,
                            cheers  => 2101, cheery  => 6243, cheese  => 1175, cheeseburger
                                    => 5378,
                            cheeseburgers
                                    => 8198, cheesecake
                                    => 6942,
                            cheesed => 19712, cheesie => 18414, cheesy  => 3620, cheetah => 12460,
                            cheetos => 19711, chef    => 1469, chefs   => 9885, chem    => 5418,
                            chemo   => 5587, chenille
                                    => 9122,
                            chenowith
                                    => 15007, cheque  => 4203,
                            cheques => 10359, cherished
                                    => 7018,
                            cherries
                                    => 6713, cherub  => 21242,
                            chessboard
                                    => 21241, chessler
                                    => 12872,
                            chest   => 1360, chested => 16454, chesterton
                                    => 11738,
                            chestnuts
                                    => 9680, chests  => 14362,
                            chesty  => 17357, cheswick
                                    => 12871,
                            cheval  => 13841, chevron => 6021, chevy   => 7689, chewbacca
                                    => 8979,
                            chewed  => 6075, chewie  => 6313, chewin  => 21240, chewing => 4030,
                            chews   => 10842, chewy   => 9121, chianti => 13840, chicano => 15006,
                            chick   => 1523, chicka  => 15667, chickadee
                                    => 21239,
                            chicken => 1029, chickened
                                    => 8978,
                            chickening
                                    => 15005, chickenpox
                                    => 21238,
                            chickens
                                    => 3217, chickenshit
                                    => 10126,
                            chickie => 9295, chicklet
                                    => 21237,
                            chicks  => 2252, chicky  => 19710, chiffon => 17356, chigger => 21236,
                            chigliak
                                    => 18413, chigorin
                                    => 13839,
                            child   => 370, childbirth
                                    => 7480,
                            childhoods
                                    => 15004, childish
                                    => 4062,
                            childlike
                                    => 15003, chili   => 2764,
                            chill   => 1713, chilled => 8346, chilli  => 10577, chillin => 12087,
                            chilling
                                    => 7936, chills  => 7017,
                            chillun => 19709, chilly  => 4277, chime   => 12870, chimera => 6242,
                            chimes  => 10841, chimney => 5921, chimp   => 6568, chimpanzee
                                    => 14361,
                            chimps  => 13838, chinaman
                                    => 15002,
                            chinatown
                                    => 4865, chingachgook
                                    => 21235,
                            chink   => 12086, chinks  => 21234, chinnery
                                    => 11126,
                            chino   => 11737, chinpoko
                                    => 12459,
                            chinpokomon
                                    => 6439, chins   => 12869,
                            chip    => 1706, chipmunk
                                    => 14360,
                            chipped => 6312, chipper => 6636, chippie => 16453, chipping
                                    => 14359,
                            chippy  => 16452, chips   => 2061, chiropractor
                                    => 8790,
                            chirp   => 21233, chirping
                                    => 13333,
                            chirpy  => 21232, chisel  => 11421, chiseled
                                    => 15666,
                            chiseling
                                    => 21231, chitchat
                                    => 7479,
                            chivalrous
                                    => 12458, chivalry
                                    => 10576,
                            chlamydia
                                    => 18412, chloe   => 739,
                            chloroform
                                    => 16451, chloroformed
                                    => 19708,
                            chock   => 10575, choco   => 21230, chocolate
                                    => 1224,
                            chocolates
                                    => 4690, chocolatey
                                    => 18411,
                            choice  => 494, choices => 1590, choirboy
                                    => 18410,
                            choke   => 3249, choked  => 5417, choker  => 17355, chokes  => 15001,
                            choking => 4105, choksondik
                                    => 9679,
                            cholesterol
                                    => 6635, cholinesterase
                                    => 18409,
                            chomp   => 12868, chompers
                                    => 21229,
                            chomping
                                    => 13837, chongo  => 19707,
                            choo    => 4486, choos   => 19706, choose  => 941, choosers
                                    => 17354,
                            chooses => 5150, choosing
                                    => 3190,
                            choosy  => 13836, chop    => 2249, chopec  => 12867, chopped => 4345,
                            chopper => 3141, choppers
                                    => 6853,
                            chopping
                                    => 7688, choppy  => 19705,
                            chops   => 3882, chopsticks
                                    => 9884,
                            choque  => 21228, chore   => 9678, chores  => 4783, chose   => 1410,
                            chowder => 6941, chrissake
                                    => 7687,
                            chrissakes
                                    => 7686, christ  => 1013,
                            christening
                                    => 4080, christmas
                                    => 459,
                            christmases
                                    => 9468, christmassy
                                    => 16450,
                            christmastime
                                    => 8197, christmasy
                                    => 16449,
                            christof
                                    => 18408, christsakes
                                    => 21227,
                            chromic => 19704, chromium
                                    => 10840,
                            chronically
                                    => 21226, chronisters
                                    => 19703,
                            chubby  => 6634, chucked => 15000, chucker => 15665, chuckie => 12457,
                            chucking
                                    => 15664, chuckle => 8196,
                            chuckles
                                    => 8977, chucks  => 18407,
                            chucky  => 10839, chugga  => 13332, chugging
                                    => 21225,
                            chulak  => 6775, chumash => 12456, chummy  => 7478, chump   => 5377,
                            chumps  => 18406, chums   => 12455, chunk   => 3829, chunks  => 9294,
                            chunky  => 7477, chunnel => 18405, chuppah => 9677, churn   => 13331,
                            churning
                                    => 10574, chute   => 6438,
                            chutes  => 14999, chutney => 15663, chutzpah
                                    => 15662,
                            ciao    => 3716, cider   => 5196, cienega => 16448, cigar   => 2776,
                            cigarette
                                    => 2120, cigarettes
                                    => 2421,
                            cigars  => 3294, cilantro
                                    => 15661,
                            cimmeria
                                    => 15660, cinch   => 11125,
                            cinco   => 18404, cinnabar
                                    => 18403,
                            cinnamon
                                    => 4222, circled => 8623,
                            circles => 2941, circling
                                    => 5337,
                            circuited
                                    => 19702, circulate
                                    => 11736,
                            circulatory
                                    => 19701, circumcised
                                    => 15659,
                            circumcision
                                    => 11420, circumference
                                    => 9676,
                            circumstance
                                    => 6074, circumstances
                                    => 1299,
                            circumstantial
                                    => 5920, circus  => 2184,
                            cirque  => 10573, cirrhosis
                                    => 12085,
                            cissy   => 17353, citywide
                                    => 19700,
                            civics  => 13330, civilised
                                    => 15658,
                            civility
                                    => 12084, civilization
                                    => 3569,
                            civilized
                                    => 4011, civvies => 19699,
                            clader  => 10358, clairvoyant
                                    => 11735,
                            clam    => 5195, clambake
                                    => 14358,
                            clammed => 21224, clammy  => 12083, clamoring
                                    => 13329,
                            clamp   => 4587, clamped => 13835, clamping
                                    => 19698,
                            clamps  => 11124, clams   => 5630, clang   => 17352, clanging
                                    => 19697,
                            clanking
                                    => 19696, clapped => 18402,
                            clapping
                                    => 9675, clarification
                                    => 9293,
                            clarify => 4782, clarifying
                                    => 18401,
                            clarisse
                                    => 21223, clarithromycin
                                    => 16447,
                            clarity => 6140, clashing
                                    => 19695,
                            clasp   => 9883, classier
                                    => 12454,
                            classifieds
                                    => 12082, classless
                                    => 19694,
                            classmates
                                    => 6852, classy  => 3368,
                            claus   => 2755, claustrophobia
                                    => 13328,
                            claustrophobic
                                    => 7582, clavicle
                                    => 19693,
                            claw    => 4586, clawed  => 13834, clawing => 10838, claws   => 4344,
                            claymore
                                    => 21222, claymores
                                    => 21221,
                            clean   => 595, cleaned => 1848, cleaner => 3520, cleaners
                                    => 3898,
                            cleanest
                                    => 14357, cleanin => 15657,
                            cleaning
                                    => 1481, cleanliness
                                    => 12866,
                            cleans  => 6633, cleanse => 9467, cleansed
                                    => 12865,
                            cleanser
                                    => 11419, cleanses
                                    => 21220,
                            cleansing
                                    => 6940, cleanup => 8789,
                            clear   => 425, clearance
                                    => 3648,
                            cleared => 1772, clearer => 4721, clearing
                                    => 3591,
                            clearly => 1156, clears  => 5586, cleats  => 18400, cleavage
                                    => 8069,
                            clein   => 21219, clemency
                                    => 11734,
                            clemenza
                                    => 11418, clemonds
                                    => 16446,
                            clench  => 21218, clenched
                                    => 15656,
                            clerk   => 2802, clerks  => 6139, cleve   => 18399, clever  => 1688,
                            cleverly
                                    => 12864, cleverness
                                    => 21217,
                            cliche  => 6138, cliches => 15655, clicked => 6632, clicker => 18398,
                            clicking
                                    => 9882, clicks  => 8622,
                            client  => 1006, clientele
                                    => 6567,
                            clients => 1877, cliffhanger
                                    => 17351,
                            cliffside
                                    => 14998, climb   => 2079,
                            climbed => 4276, climber => 10357, climbing
                                    => 3284,
                            clincher
                                    => 21216, clinches
                                    => 21215,
                            cling   => 6020, clinging
                                    => 5416,
                            clings  => 19692, clingy  => 9466, clinic  => 1631, clinically
                                    => 10125,
                            clip    => 3283, clipboard
                                    => 11417,
                            clipped => 6851, clipper => 6137, clippers
                                    => 10124,
                            clipping
                                    => 11416, clippings
                                    => 7102,
                            clitoris
                                    => 17350, cloak   => 6073,
                            cloaked => 15654, clobber => 16445, clobbered
                                    => 11415,
                            clock   => 1323, clocked => 7101, clocking
                                    => 19691,
                            clocks  => 5771, clockwork
                                    => 7685,
                            clods   => 19690, clogged => 7935, clogging
                                    => 9881,
                            clogs   => 9120, cloistered
                                    => 18397,
                            clone   => 5459, cloned  => 13327, cloning => 10572, clooney => 12081,
                            close   => 335, closeness
                                    => 8345,
                            closer  => 895, closes  => 4433, closest => 2712, closet  => 1248,
                            closeted
                                    => 18396, closets => 6566,
                            closing => 1739, clothe  => 19689, clothed => 10123, clothes => 674,
                            clothesline
                                    => 21214, cloths  => 19688,
                            clots   => 9292, clotted => 21213, clotting
                                    => 14356,
                            clouded => 9880, clouding
                                    => 11123,
                            clouds  => 3210, cloudy  => 9465, clout   => 12080, cloven  => 19687,
                            cloves  => 19686, clown   => 1946, clownfish
                                    => 15653,
                            clowning
                                    => 17349, clowns  => 3647,
                            clubbed => 17348, clubbing
                                    => 10837,
                            clubhouse
                                    => 5770, clucking
                                    => 19685,
                            clue    => 1195, clued   => 10356, clueless
                                    => 3782,
                            clues   => 3134, cluett  => 12863, clump   => 17347, clumsily
                                    => 19684,
                            clumsiness
                                    => 21212, clumsy  => 4689,
                            clung   => 14355, clunk   => 21211, clunker => 21210, clunkers
                                    => 19683,
                            clunky  => 15652, clutched
                                    => 18395,
                            clutches
                                    => 7808, clutching
                                    => 10355,
                            cluttered
                                    => 15651, cluttering
                                    => 21209,
                            clydesdale
                                    => 21208, coals   => 8195,
                            coaster => 4533, coasters
                                    => 11414,
                            coastguard
                                    => 10571, coasting
                                    => 21207,
                            coat    => 1155, coattails
                                    => 13326,
                            coaxing => 14997, cobblepot
                                    => 8976,
                            cobbler => 8344, cobweb  => 19682, cobwebs => 9879, cocaine => 3398,
                            cock    => 3264, cockamamie
                                    => 11413,
                            cocked  => 8621, cockeyed
                                    => 16444,
                            cockfight
                                    => 15650, cockles => 18394,
                            cockney => 18393, cockroach
                                    => 6311,
                            cockroaches
                                    => 7934, cocks   => 10836,
                            cocksucker
                                    => 5011, cocksuckers
                                    => 13325,
                            cocksucking
                                    => 18392, cocktail
                                    => 2411,
                            cocktails
                                    => 5010, cocky   => 4720,
                            cocoa   => 4029, coconut => 4368, coconuts
                                    => 7933,
                            cocoon  => 8068, coddle  => 13324, coddled => 15649, coddling
                                    => 17346,
                            coded   => 8194, codependent
                                    => 18391,
                            codicil => 21206, coeds   => 18390, coerce  => 12453, coerced => 9291,
                            coercion
                                    => 11733, coexist => 14996,
                            cofell  => 9464, coffee  => 446, coffeehouse
                                    => 3199,
                            coffees => 6310, coffers => 18389, coffins => 6939, cognac  => 7100,
                            cognizant
                                    => 19681, cohaagen
                                    => 10354,
                            coiffure
                                    => 18388, coincidence
                                    => 1545,
                            coincidences
                                    => 5965, coincidental
                                    => 9878,
                            coitus  => 21205, cojones => 21204, coke    => 2587, cokes   => 8477,
                            cokey   => 19680, cola    => 5009, colada  => 12079, coladas => 12078,
                            colchicine
                                    => 17345, cold    => 513,
                            colder  => 7099, coldly  => 18387, coldness
                                    => 21203,
                            colds   => 13833, coleslaw
                                    => 10122,
                            colic   => 13323, colitis => 18386, collage => 7276, collapsed
                                    => 3172,
                            collapsing
                                    => 8620, collar  => 2719,
                            collarbone
                                    => 18385, collared
                                    => 16443,
                            collars => 9119, collateral
                                    => 7275,
                            colleague
                                    => 3715, collect => 2066,
                            collide => 12077, colling => 14995, collingswood
                                    => 21202,
                            collusion
                                    => 16442, colonel => 934,
                            colonnade
                                    => 6379, colonoscopy
                                    => 17344,
                            colorful
                                    => 5194, coloring
                                    => 7098,
                            colossal
                                    => 6136, colosseum
                                    => 14994,
                            columbo => 21201, columnists
                                    => 17343,
                            "com'on"
                                    => 18384, coma    => 1595,
                            comanche
                                    => 10570, comanches
                                    => 14993,
                            comas   => 13832, comatose
                                    => 9674,
                            comb    => 4318, combative
                                    => 14992,
                            combed  => 11122, combing => 9463, combo   => 6378, combust => 13831,
                            combusted
                                    => 21200, combustible
                                    => 21199,
                            come    => 51, comebacks
                                    => 18383,
                            comely  => 15648, comers  => 21198, comes   => 357, cometh  => 16441,
                            comeuppance
                                    => 14991, comfort => 1412,
                            comfortable
                                    => 889, comfortably
                                    => 7476,
                            comforted
                                    => 7581, comforter
                                    => 14990,
                            comforting
                                    => 2893, comforts
                                    => 9290,
                            comfy   => 3992, comin   => 1701, coming  => 190, comings => 16440,
                            comm    => 5149, comma   => 10121, commandeered
                                    => 15647,
                            commandment
                                    => 8193, commandments
                                    => 9877,
                            comme   => 14989, commence
                                    => 6774,
                            commend => 10569, commendable
                                    => 12076,
                            commendatore
                                    => 18382, commensurate
                                    => 17342,
                            comment => 1956, commercialism
                                    => 19679,
                            commie  => 8788, commies => 13830, comming => 17341, commiserate
                                    => 14988,
                            commish => 11732, commit  => 1646, commited
                                    => 14987,
                            commitment
                                    => 1618, committed
                                    => 1369,
                            committing
                                    => 3811, committment
                                    => 15646,
                            commode => 17340, commodus
                                    => 16439,
                            commoner
                                    => 13829, commotion
                                    => 6773,
                            communicate
                                    => 2916, communicating
                                    => 4613,
                            communicator
                                    => 12075, communing
                                    => 17339,
                            communique
                                    => 11412, commute => 9673,
                            compactor
                                    => 19678, compadre
                                    => 12452,
                            companionship
                                    => 7398, compare => 2404,
                            comparing
                                    => 4719, compartment
                                    => 6437,
                            compartments
                                    => 9462, compass => 6135,
                            compassion
                                    => 2603, compassionate
                                    => 3945,
                            compel  => 13322, compelled
                                    => 5148,
                            compelling
                                    => 5669, compels => 17338,
                            compensated
                                    => 8343, compensating
                                    => 15645,
                            competent
                                    => 4827, compiegne
                                    => 16438,
                            complacency
                                    => 18381, complacent
                                    => 17337,
                            complain
                                    => 2443, complainin
                                    => 17336,
                            complaining
                                    => 2243, complains
                                    => 12074,
                            complaint
                                    => 3216, completely
                                    => 484,
                            complexion
                                    => 8342, complicate
                                    => 6134,
                            complicated
                                    => 1062, complicates
                                    => 11411,
                            complicating
                                    => 12451, complication
                                    => 6772,
                            complications
                                    => 3014, complicit
                                    => 16437,
                            compliment
                                    => 2213, complimentary
                                    => 7184,
                            complimented
                                    => 10353, complimenting
                                    => 10835,
                            compliments
                                    => 3763, compost => 12862,
                            composure
                                    => 13321, comprehend
                                    => 6850,
                            comprehending
                                    => 18380, comprehension
                                    => 8787,
                            comprende
                                    => 10120, comprendo
                                    => 21197,
                            compress
                                    => 11121, compressions
                                    => 12450,
                            compromise
                                    => 2410, compromised
                                    => 3468,
                            compromises
                                    => 10119, compromising
                                    => 5720,
                            compulsion
                                    => 11731, compulsive
                                    => 5719,
                            compulsively
                                    => 17335, comrade => 4962,
                            comrades
                                    => 7183, conceal => 7684,
                            concealed
                                    => 6436, concealer
                                    => 19677,
                            concealing
                                    => 11410, concealment
                                    => 17334,
                            concede => 6771, conceited
                                    => 9672,
                            conceivable
                                    => 8975, conceivably
                                    => 17333,
                            conceive
                                    => 5458, conceiving
                                    => 17332,
                            concentrate
                                    => 1436, concentrating
                                    => 5193,
                            concern => 1113, concerned
                                    => 669,
                            conch   => 15644, concierge
                                    => 7807,
                            conclusions
                                    => 2728, conclusive
                                    => 6631,
                            conclusively
                                    => 14354, concoct => 15643,
                            concocted
                                    => 10118, concocting
                                    => 18379,
                            concoction
                                    => 11730, concorde
                                    => 12073,
                            concur  => 8974, concussion
                                    => 3845,
                            concussions
                                    => 21196, condemn => 6133,
                            condemning
                                    => 9671, condescend
                                    => 15642,
                            condescending
                                    => 6630, condiment
                                    => 18378,
                            condiments
                                    => 16436, condition
                                    => 953,
                            conditioner
                                    => 5585, conditioners
                                    => 21195,
                            conditioning
                                    => 4463, condo   => 3080,
                            condolence
                                    => 16435, condolences
                                    => 4961,
                            condom  => 4317, condoms => 3734, condone => 6938, condoned
                                    => 21194,
                            condoning
                                    => 13828, condos  => 11729,
                            conduit => 11120, cones   => 8192, confab  => 16434, confess => 1698,
                            confessed
                                    => 2244, confessing
                                    => 4512,
                            confession
                                    => 1529, confessional
                                    => 8191,
                            confetti
                                    => 13320, confidant
                                    => 9670,
                            confidante
                                    => 12449, confide => 4148,
                            confided
                                    => 5718, confidence
                                    => 1580,
                            confidences
                                    => 17331, confident
                                    => 2077,
                            confidential
                                    => 3122, confidentiality
                                    => 4294,
                            confidentially
                                    => 14986, confides
                                    => 14985,
                            confiding
                                    => 9461, confine => 11409,
                            confines
                                    => 11119, confining
                                    => 17330,
                            confirm => 2291, confirmation
                                    => 3881,
                            confirming
                                    => 6937, confirms
                                    => 5228,
                            confiscate
                                    => 11118, confiscating
                                    => 21193,
                            confit  => 21192, conflicted
                                    => 8786,
                            confound
                                    => 21191, confounded
                                    => 15641,
                            confront
                                    => 2829, confrontational
                                    => 16433,
                            confronted
                                    => 4221, confronting
                                    => 8619,
                            confuse => 3897, confused
                                    => 1032,
                            confuses
                                    => 11117, confusing
                                    => 2199,
                            conga   => 16432, congenial
                                    => 19676,
                            congeniality
                                    => 12072, congrats
                                    => 7397,
                            congratulate
                                    => 2926, congratulated
                                    => 12448,
                            congratulating
                                    => 8476, congratulations
                                    => 804,
                            congressman
                                    => 3619, congressmen
                                    => 10834,
                            congresswoman
                                    => 10117, conjoined
                                    => 15640,
                            conjugal
                                    => 8190, conjure => 5817,
                            conjured
                                    => 9118, conjures
                                    => 19675,
                            conjuring
                                    => 8475, conked  => 11408,
                            connect => 2345, connection
                                    => 1117,
                            conned  => 5964, conning => 6712, conniption
                                    => 18377,
                            conniving
                                    => 5584, connoisseur
                                    => 13319,
                            conquer => 4781, conquering
                                    => 9460,
                            conquers
                                    => 12071, consarn => 14984,
                            conscience
                                    => 1749, conscientious
                                    => 9117,
                            conscious
                                    => 2619, consciously
                                    => 8474,
                            consciousness
                                    => 3106, consensual
                                    => 12861,
                            consented
                                    => 12070, consenting
                                    => 12069,
                            consequences
                                    => 1823, conserve
                                    => 9116,
                            consider
                                    => 841, considerate
                                    => 4275,
                            consideration
                                    => 3105, considering
                                    => 1214,
                            consigliere
                                    => 13827, consolation
                                    => 3688,
                            consoled
                                    => 14983, consoling
                                    => 13318,
                            consorting
                                    => 14982, conspiracies
                                    => 13826,
                            conspiracy
                                    => 2512, conspirator
                                    => 13317,
                            conspire
                                    => 12068, conspired
                                    => 6711,
                            conspiring
                                    => 6241, constable
                                    => 2183,
                            constantly
                                    => 2358, constellations
                                    => 10833,
                            constipated
                                    => 15639, constipation
                                    => 17329,
                            constrictor
                                    => 21190, constructive
                                    => 6435,
                            construed
                                    => 11728, consulate
                                    => 4432,
                            consult => 3351, consults
                                    => 19674,
                            consumed
                                    => 4293, consumes
                                    => 12067,
                            consummate
                                    => 7396, consummated
                                    => 11727,
                            contact => 930, contacted
                                    => 3013,
                            contacting
                                    => 6565, contacts
                                    => 2861,
                            contagious
                                    => 4532, containment
                                    => 7182,
                            contaminate
                                    => 11726, contaminated
                                    => 6710,
                            contaminating
                                    => 18376, contemplate
                                    => 8973,
                            contemplating
                                    => 7932, contempt
                                    => 3467,
                            contemptible
                                    => 15638, contented
                                    => 21189,
                            contentment
                                    => 12860, contesting
                                    => 9115,
                            contingencies
                                    => 18375, contingency
                                    => 6936,
                            continuance
                                    => 9459, contortionist
                                    => 19673,
                            contraband
                                    => 8618, contraceptives
                                    => 18374,
                            contraction
                                    => 6935, contractions
                                    => 5116,
                            contradict
                                    => 9669, contradicting
                                    => 17328,
                            contraire
                                    => 8473, contraption
                                    => 12066,
                            contrary
                                    => 2520, contrite
                                    => 21188,
                            contrition
                                    => 15637, controlling
                                    => 2983,
                            contusion
                                    => 13316, contusions
                                    => 13315,
                            conundrum
                                    => 10352, convene => 10116,
                            convenes
                                    => 18373, convenience
                                    => 3944,
                            convenient
                                    => 2302, conveniently
                                    => 5049,
                            conversation
                                    => 718, conversational
                                    => 14353,
                            conversationalist
                                    => 14981,
                            conversations
                                    => 3104, conversing
                                    => 16431,
                            convertible
                                    => 4585, convertibles
                                    => 14980,
                            conveyor
                                    => 13314, convict => 3434,
                            convicted
                                    => 2098, conviction
                                    => 3317,
                            convictions
                                    => 5717, convince
                                    => 1005,
                            convinced
                                    => 1135, convincing
                                    => 2392,
                            convoluted
                                    => 16430, convulsing
                                    => 19672,
                            convulsions
                                    => 16429, cooing  => 13825,
                            cookbook
                                    => 9876, cookbooks
                                    => 21187,
                            cooked  => 2535, cooker  => 17327, cookie  => 2004, cookies => 1672,
                            cookin  => 7395, cooking => 1573, cool    => 367, cooler  => 3342,
                            coolers => 11725, coolest => 3745, coolin  => 21186, coolly  => 21185,
                            coolness
                                    => 17326, cools   => 11407,
                            coop    => 4718, cooped  => 5507, cooperate
                                    => 2581,
                            cooperating
                                    => 5919, coopers => 12065,
                            coordsize
                                    => 19671, cooties => 12064,
                            copacetic
                                    => 19670, copernicus
                                    => 15636,
                            copied  => 5542, copier  => 13824, copilot => 13823, coping  => 7016,
                            copiously
                                    => 18372, copped  => 10568,
                            copperfield
                                    => 12063, copperhead
                                    => 19669,
                            copperpot
                                    => 19668, coppers => 13822,
                            copping => 13313, cops    => 734, "cops'll"
                                    => 16428,
                            copter  => 13312, copy    => 1052, copycat => 9668, cord    => 3660,
                            corday  => 15635, cordesh => 14352, cordial => 8785, cordially
                                    => 16427,
                            cordless
                                    => 11406, cordoned
                                    => 21184,
                            cords   => 8972, corduroy
                                    => 12447,
                            cordy   => 3604, coriander
                                    => 18371,
                            corinthos
                                    => 1226, corkmaster
                                    => 12062,
                            corks   => 21183, corkscrew
                                    => 9875,
                            corky   => 2427, corleone
                                    => 4389,
                            corn    => 2282, cornball
                                    => 12859,
                            cornbread
                                    => 15634, cornea  => 15633,
                            corned  => 8971, corner  => 1081, cornered
                                    => 5541,
                            cornering
                                    => 21182, corners => 3511,
                            cornfield
                                    => 13821, cornflakes
                                    => 19667,
                            cornholio
                                    => 14979, cornucopia
                                    => 21181,
                            cornwallis
                                    => 9874, corny   => 4896,
                            coronary
                                    => 7394, coroner => 4511,
                            coroners
                                    => 19666, coronet => 15632,
                            corporal
                                    => 3171, corporeal
                                    => 21180,
                            corpse  => 3133, corpses => 5963, corpsman
                                    => 16426,
                            correct => 1194, corrected
                                    => 5583,
                            correcting
                                    => 12061, correction
                                    => 5506,
                            correctly
                                    => 3215, corroborate
                                    => 8341,
                            corroboration
                                    => 19665, corrosive
                                    => 16425,
                            corrupt => 4660, corrupted
                                    => 8067,
                            corrupting
                                    => 13311, corry   => 6849,
                            corsage => 8189, corset  => 18370, cortland
                                    => 12446,
                            cortlandt
                                    => 3097, corvis  => 10567,
                            corwins => 18369, cosign  => 19664, coslaw  => 21179, cosmetic
                                    => 6709,
                            cosmetics
                                    => 2989, cosmically
                                    => 19663,
                            cosmo   => 4780, costanza
                                    => 3316,
                            costing => 5769, costume => 1869, costumes
                                    => 3377,
                            cotillion
                                    => 8188, cotswolds
                                    => 14978,
                            cottage => 2237, couches => 15631, cough   => 2946, coughed => 10351,
                            coughing
                                    => 7393, coughs  => 21178,
                            could   => 64, "could'a"
                                    => 11405,
                            "could've"
                                    => 806, coulda  => 3180,
                            couldn  => 12060, "couldn't"
                                    => 221,
                            "couldn't've"
                                    => 18368, councilman
                                    => 10350,
                            councilor
                                    => 11116, counsel => 2100,
                            counseled
                                    => 15630, counseling
                                    => 3239,
                            counselling
                                    => 12858, counsellor
                                    => 8472,
                            counselor
                                    => 1858, counselors
                                    => 7806,
                            count   => 642, countdown
                                    => 5376,
                            countenance
                                    => 19662, counterfeit
                                    => 6629,
                            counterfeiting
                                    => 13310, counterintelligence
                                    => 16424,
                            countermission
                                    => 14977, counteroffer
                                    => 13309,
                            counterproductive
                                    => 8970,
                            countin => 12857, counting
                                    => 1477,
                            countless
                                    => 5816, countrymen
                                    => 13820,
                            coupla  => 6132, couple  => 323, "couple'a"
                                    => 21177,
                            coupon  => 5815, coupons => 7580, courage => 1826, courageous
                                    => 4431,
                            couric  => 14351, courier => 6309, couriers
                                    => 14976,
                            course  => 175, coursing
                                    => 11724,
                            courted => 12856, courteous
                                    => 9289,
                            courtesy
                                    => 2932, courthouse
                                    => 3024,
                            courting
                                    => 8784, courtroom
                                    => 2198,
                            courtrooms
                                    => 19661, courtship
                                    => 10115,
                            courtside
                                    => 13308, cousin  => 1053,
                            cousteau
                                    => 19660, coven   => 7805,
                            coveralls
                                    => 21176, coverin => 19659,
                            covertly
                                    => 16423, coverup => 12855,
                            covet   => 9873, coveting
                                    => 14975,
                            cowardice
                                    => 9872, cowardly
                                    => 6934,
                            cowards => 7475, cowboy  => 2113, cowed   => 17325, cower   => 14974,
                            cowering
                                    => 14350, cowgirl => 14973,
                            coworker
                                    => 18367, coworkers
                                    => 11115,
                            cows    => 2791, coyote  => 7474, cozy    => 2701, cozying => 12445,
                            crab    => 3828, crabby  => 8187, crabgrass
                                    => 21175,
                            crabs   => 6933, crack   => 1427, cracked => 2618, cracker => 4274,
                            crackerjack
                                    => 14972, crackers
                                    => 4170,
                            crackhead
                                    => 13819, crackheads
                                    => 18366,
                            crackin => 16422, cracking
                                    => 3762,
                            crackle => 16421, crackling
                                    => 13307,
                            crackpot
                                    => 8783, cracks  => 4273,
                            cradle  => 5814, craftsmanship
                                    => 11404,
                            crafty  => 8782, crammed => 9667, cramming
                                    => 14349,
                            cramp   => 4895, cramped => 6564, cramping
                                    => 7683,
                            cramps  => 6628, cranberries
                                    => 10566,
                            cranberry
                                    => 5264, crane   => 504,
                            cranes  => 2781, cranium => 14348, crank   => 3646, cranked => 11114,
                            cranking
                                    => 12854, cranks  => 21174,
                            cranky  => 3645, cranny  => 17324, cranwell
                                    => 19658,
                            crap    => 959, crapola => 19657, crapped => 11723, crapper => 14971,
                            crapping
                                    => 17323, crappy  => 3827,
                            craps   => 8066, crash   => 1230, crashdown
                                    => 6308,
                            crashed => 2551, crasher => 18365, crashers
                                    => 19656,
                            crashes => 6377, crashing
                                    => 3012,
                            crate   => 4826, crated  => 18364, crates  => 7473, crave   => 6434,
                            craves  => 12444, craving => 5582, cravings
                                    => 11113,
                            crawl   => 2097, crawled => 4750, crawlers
                                    => 18363,
                            crawlin => 18362, crawling
                                    => 2732,
                            crawls  => 12059, crawly  => 18361, crayon  => 10349, crayons => 10114,
                            craze   => 12058, crazed  => 4531, crazier => 5375, crazies => 10348,
                            craziest
                                    => 5962, craziness
                                    => 5918,
                            crazy   => 308, creak   => 18360, creaky  => 21173, cream   => 1001,
                            creamed => 7682, creaming
                                    => 17322,
                            creams  => 16420, creamy  => 9288, crease  => 12443, creased => 21172,
                            creases => 21171, creations
                                    => 3051,
                            creatively
                                    => 17321, creature
                                    => 1948,
                            creatures
                                    => 2868, credence
                                    => 12853,
                            credentials
                                    => 4343, credenza
                                    => 18359,
                            credibility
                                    => 4342, credible
                                    => 7015,
                            credit  => 945, credo   => 13306, creeds  => 18358, creep   => 1925,
                            creeped => 10113, creeper => 15629, creepers
                                    => 19655,
                            creepiest
                                    => 16419, creepin => 18357,
                            creeping
                                    => 5961, creepo  => 21170,
                            creeps  => 3023, creepy  => 2008, cregg   => 6932, cremate => 15628,
                            cremated
                                    => 5917, cremation
                                    => 12852,
                            crematorium
                                    => 11403, creme   => 8340,
                            crepe   => 9666, crepes  => 13818, crept   => 12057, crescendo
                                    => 15627,
                            crescentis
                                    => 19654, creswood
                                    => 21169,
                            cretin  => 10565, cretins => 14970, crevasse
                                    => 21168,
                            crewman => 18356, crib    => 3497, cribbage
                                    => 21167,
                            cribs   => 18355, crickets
                                    => 10347,
                            cried   => 2386, crier   => 12056, cries   => 3796, crikey  => 13817,
                            crilly  => 18354, crime   => 743, crimes  => 2103, criminal
                                    => 1211,
                            criminalistics
                                    => 17320, criminally
                                    => 7181,
                            criminals
                                    => 2649, criminy => 19653,
                            crimp   => 13305, cringe  => 13304, crinkle => 15626, cripes  => 14969,
                            cripple => 5716, crippled
                                    => 5581,
                            cripples
                                    => 18353, crippling
                                    => 10564,
                            crips   => 10832, cris    => 2026, crisper => 16418, crispina
                                    => 8781,
                            crisps  => 18352, crispy  => 6708, crissake
                                    => 21166,
                            cristian
                                    => 632, cristobel
                                    => 3519,
                            criticise
                                    => 16417, criticize
                                    => 5457,
                            critter => 14347, critters
                                    => 12442,
                            croak   => 11722, croaked => 16416, croaker => 19652, croaks  => 16415,
                            crock   => 4584, crocodile
                                    => 7097,
                            croissant
                                    => 11112, croissants
                                    => 11402,
                            cronies => 12441, cronkite
                                    => 12851,
                            cronus  => 9458, cronyn  => 17319, crooked => 5048, croon   => 21165,
                            cropped => 19651, croquet => 13303, crossbow
                                    => 6931,
                            crosscheck
                                    => 21164, crossed => 1519,
                            crossfire
                                    => 7180, crosshairs
                                    => 17318,
                            crosswalk
                                    => 15625, crossword
                                    => 6848,
                            crotch  => 7392, crouched
                                    => 18351,
                            crouching
                                    => 14346, croupier
                                    => 11721,
                            croutons
                                    => 19650, crowbar => 8780,
                            crowd   => 1543, crowded => 3282, crowding
                                    => 9665,
                            crowed  => 19649, crowing => 19648, crowning
                                    => 12055,
                            crows   => 7579, cruces  => 15624, crucified
                                    => 10112,
                            crucifix
                                    => 12054, crucify => 8617,
                            cruddy  => 13302, crudely => 21163, cruel   => 1591, cruelest
                                    => 10563,
                            cruella => 16414, cruelly => 14345, cruelty => 5336, cruise  => 2236,
                            cruisin => 17317, cruising
                                    => 5456,
                            cruller => 15623, crumble => 7681, crumbled
                                    => 12440,
                            crumblers
                                    => 21162, crumbles
                                    => 11401,
                            crumbling
                                    => 9871, crumbs  => 6307,
                            crummy  => 5115, crumpets
                                    => 14344,
                            crumpled
                                    => 12439, crunch  => 4894,
                            crunched
                                    => 21161, crunches
                                    => 18350,
                            crunching
                                    => 10346, crunchy => 8969,
                            crush   => 1619, crushed => 2982, crusher => 12438, crushes => 8616,
                            crushing
                                    => 5415, crust   => 6072,
                            crusts  => 12053, crusty  => 9664, crutch  => 8065, crutches
                                    => 7472,
                            crybaby => 10562, cryin   => 7096, crying  => 960, cryogenically
                                    => 16413,
                            crypt   => 5540, cryptic => 6131, cryptid => 21160, crypto  => 14343,
                            crypts  => 21159, cryss   => 14968, cryto   => 12437, cubans  => 5192,
                            cubbies => 13816, cubby   => 19647, cubed   => 13815, cubes   => 7014,
                            cubicle => 5147, cucamonga
                                    => 15622,
                            cucaracha
                                    => 16412, cuckoo  => 5916,
                            cucumber
                                    => 6847, cucumbers
                                    => 16411,
                            cuddle  => 6376, cuddled => 14342, cuddles => 21158, cuddling
                                    => 10345,
                            cuddly  => 8339, cuddy   => 6071, cuervo  => 7804, cuff    => 3568,
                            cuffed  => 11720, cuffing => 21157, cufflink
                                    => 7578,
                            cufflinks
                                    => 8064, cuffs   => 3705,
                            cuisinart
                                    => 21156, culottes
                                    => 17316,
                            culpa   => 10111, culpability
                                    => 21155,
                            culpable
                                    => 14341, culprit => 10561,
                            cultivating
                                    => 12436, cumin   => 12850,
                            cummerbund
                                    => 18349, cunning => 5715,
                            cunt    => 5008, cunts   => 17315, cupboard
                                    => 6627,
                            cupboards
                                    => 17314, cupcake => 6197,
                            cupcakes
                                    => 11719, cupid   => 4960,
                            cuppa   => 12849, cups    => 3225, curb    => 3676, curdle  => 21154,
                            curdled => 15621, cure    => 1719, cured   => 3445, cures   => 9663,
                            curfew  => 4251, curfews => 18348, curie   => 13814, curing  => 8779,
                            curiosity
                                    => 2940, curious => 1244,
                            curiouser
                                    => 15620, curiousity
                                    => 19646,
                            curled  => 7274, curlers => 13813, curls   => 10560, curly   => 4959,
                            curmudgeon
                                    => 21153, curse   => 1731,
                            cursed  => 3150, curses  => 7803, cursing => 7577, cursory => 12848,
                            curtain => 3238, curtains
                                    => 4010,
                            curtsy  => 12847, curvaceous
                                    => 19645,
                            curveball
                                    => 18347, cushion => 6196,
                            cushions
                                    => 8338, cushy   => 11718,
                            cussing => 14967, custodial
                                    => 8968,
                            custodian
                                    => 12052, custody => 1162,
                            customer
                                    => 2204, cut     => 398,
                            cutaway => 21152, cutbacks
                                    => 14340,
                            cute    => 663, cuteness
                                    => 17313,
                            cuter   => 5868, cutest  => 4316, cutesy  => 21151, cuticle => 19644,
                            cuticles
                                    => 17312, cutie   => 4220,
                            cutlass => 19643, cutlery => 18346, cutoffs => 19642, cutout  => 18345,
                            cuts    => 2548, cutter  => 3214, cutters => 9457, cutthroat
                                    => 11400,
                            cuttin  => 9662, cutting => 1597, cuvee   => 10110, cyanide => 9456,
                            cyberdyne
                                    => 19641, cyberspace
                                    => 14339,
                            cyborg  => 11717, cyclops => 7095, cyclotron
                                    => 14338,
                            cylon   => 7471, cylons  => 8471, cymbal  => 19640, cynic   => 9870,
                            cynical => 4388, cynicism
                                    => 9455,
                            cynics  => 21150, cyrano  => 11111, cytoxan => 18344, czechoslovakian
                                    => 19639,
                            czechoslovakians
                                    => 17311,
                            "d'agnasti"
                                    => 19638, "d'agosta"
                                    => 14966,
                            "d'alene"
                                    => 19637, "d'algout"
                                    => 12435,
                            "d'amour"
                                    => 9114, "d'angelo"
                                    => 3149,
                            "d'arcy"
                                    => 7391, "d'argent"
                                    => 19636,
                            "d'artagnan"
                                    => 6563, "d'astier"
                                    => 21149,
                            "d'etre"
                                    => 19635, "d'hoffryn"
                                    => 21148,
                            "d'oeuvre"
                                    => 13812, "d'oeuvres"
                                    => 6707,
                            "d'peshu"
                                    => 21147, "d'ya"  => 3376,
                            "d'you" => 2003, dabble  => 11716, dabbled => 19634, dabbling
                                    => 19633,
                            dachau  => 15619, dad     => 161, "dad'll"
                                    => 13811,
                            daddies => 11715, daddy   => 433, "daddy'll"
                                    => 19632,
                            dads    => 5335, daffodils
                                    => 12846,
                            daffy   => 9113, dagger  => 5334, daggers => 15618, dagobah => 21146,
                            dagon   => 17310, dailies => 12051, dainty  => 10109, daiquiri
                                    => 14965,
                            daiquiris
                                    => 15617, daisies => 8615,
                            dalai   => 7576, dalliance
                                    => 14964,
                            dallying
                                    => 17309, dalrimple
                                    => 21145,
                            damaging
                                    => 5146, damaskinos
                                    => 21144,
                            damme   => 19631, dammit  => 2044, damn    => 282, damnable
                                    => 14963,
                            damnation
                                    => 10344, damndest
                                    => 16410,
                            damned  => 1509, damnedest
                                    => 8614,
                            damning => 13810, damnit  => 2182, damone  => 10108, dampen  => 16409,
                            dampened
                                    => 21143, dampener
                                    => 19630,
                            damper  => 8778, damsel  => 7273, damsels => 13809, "dan'l" => 8613,
                            dance   => 537, danced  => 3121, dancer  => 2534, dancin  => 7680,
                            dancing => 1050, dandelion
                                    => 21142,
                            dandelions
                                    => 21141, dandruff
                                    => 13301,
                            dandy   => 5580, danes   => 8470, danger  => 871, dangerous
                                    => 736,
                            dangerously
                                    => 5414, dangers => 6195,
                            dangle  => 8186, dangled => 18343, dangles => 16408, dangling
                                    => 7679,
                            danieljackson
                                    => 18342, danke   => 18341,
                            dankova => 14337, danson  => 11399, danvers => 7013, daph    => 5075,
                            dapper  => 13808, dappy   => 17308, dardis  => 19629, dare    => 925,
                            dared   => 7272, daredevil
                                    => 12050,
                            dares   => 11714, daresay => 16407, darien  => 10343, daring  => 5668,
                            dark    => 691, darken  => 12049, darkened
                                    => 17307,
                            darkest => 5074, darklighter
                                    => 9454,
                            darklighters
                                    => 21140, darkness
                                    => 2041,
                            darkroom
                                    => 11713, darks   => 18340,
                            darlin  => 3810, darling => 561, darlings
                                    => 8469,
                            darn    => 2030, darndest
                                    => 14962,
                            darned  => 5629, darnit  => 18339, darsh   => 13807, darth   => 10107,
                            darwinian
                                    => 21139, darwinism
                                    => 18338,
                            daryll  => 13300, dash    => 3991, dashboard
                                    => 10342,
                            dashed  => 11712, dashing => 6306, dashwood
                                    => 5047,
                            dastardly
                                    => 15616, date    => 383,
                            dateless
                                    => 12434, dateline
                                    => 14961,
                            dater   => 17306, datin   => 21138, dating  => 885, daughter
                                    => 328,
                            daunting
                                    => 14336, dauphine
                                    => 16406,
                            dauthuille
                                    => 15615, davic   => 18337,
                            davola  => 21137, dawdle  => 16405, dawdling
                                    => 18336,
                            dawned  => 12048, dawnie  => 7271, dawning => 17305, daybreak
                                    => 10341,
                            daycare => 9869, daydream
                                    => 7470,
                            daydreaming
                                    => 8337, daydreams
                                    => 10559,
                            daylight
                                    => 3120, daylights
                                    => 10340,
                            dazed   => 16404, dazzle  => 8777, dazzled => 9661, dazzling
                                    => 8612,
                            deacon  => 1035, deactivate
                                    => 10558,
                            deactivated
                                    => 10831, dead    => 229,
                            deadbeat
                                    => 7802, deadbeats
                                    => 14960,
                            deadbolt
                                    => 15614, deader  => 11711,
                            deadlier
                                    => 18335, deadline
                                    => 3170,
                            deadlines
                                    => 7575, deadly  => 2892,
                            deaf    => 2543, deafening
                                    => 17304,
                            deal    => 247, dealer  => 2580, dealers => 5073, dealership
                                    => 7801,
                            dealey  => 13806, dealin  => 11710, dealing => 1024, dealings
                                    => 6194,
                            dealio  => 11398, deals   => 2727, dealt   => 2416, deaqon  => 21136,
                            dear    => 445, dearest => 2925, dearie  => 14335, dearly  => 3966,
                            dears   => 12433, deathbed
                                    => 9660,
                            deathly => 14334, deathwok
                                    => 12845,
                            debacle => 10106, debatable
                                    => 13805,
                            debating
                                    => 5915, debauchery
                                    => 11110,
                            debilitating
                                    => 12844, debonair
                                    => 18334,
                            debrief => 8611, debriefed
                                    => 14959,
                            debriefing
                                    => 8776, debt    => 2040,
                            debts   => 4749, debutante
                                    => 10105,
                            debutantes
                                    => 18333, decadence
                                    => 17303,
                            decadent
                                    => 12432, decaf   => 4929,
                            decanter
                                    => 19628, decapitate
                                    => 19627,
                            decapitated
                                    => 11709, decapitation
                                    => 18332,
                            decaying
                                    => 12431, deceit  => 7800,
                            deceitful
                                    => 6706, deceive => 5714,
                            deceived
                                    => 5960, deceiving
                                    => 5296,
                            decency => 3659, decent  => 1333, deception
                                    => 3618,
                            deceptions
                                    => 18331, deceptive
                                    => 12843,
                            deceptively
                                    => 18330, decibel => 17302,
                            decibels
                                    => 18329, decide  => 809,
                            decidedly
                                    => 10557, deciding
                                    => 3990,
                            decimate
                                    => 15613, decipher
                                    => 7012,
                            deciphered
                                    => 16403, deciphering
                                    => 18328,
                            decision
                                    => 654, decisions
                                    => 1465,
                            deck    => 1921, decked  => 10339, declare => 3272, decode  => 11109,
                            decoded => 13804, decoder => 11397, decompose
                                    => 18327,
                            decomposed
                                    => 14333, decomposing
                                    => 12047,
                            decompress
                                    => 17301, deconstruction
                                    => 18326,
                            decontamination
                                    => 19626,
                            decor   => 7678, decorate
                                    => 5114,
                            decorating
                                    => 5007, decorator
                                    => 7179,
                            decorators
                                    => 21135, decorum => 10338,
                            decoupage
                                    => 17300, decoy   => 6130,
                            decoys  => 17299, decrepit
                                    => 16402,
                            decruz  => 10556, decrypted
                                    => 19625,
                            decryption
                                    => 17298, dedicate
                                    => 5813,
                            deduce  => 14958, deduct  => 14332, deductible
                                    => 10337,
                            deduction
                                    => 8468, deductions
                                    => 14957,
                            deductive
                                    => 15612, deed    => 2981,
                            deeds   => 3293, deejay  => 13803, deemesa => 14956, deep    => 735,
                            deepcore
                                    => 15611, deeper  => 2271,
                            deepest => 4315, deeply  => 1894, deevak  => 14955, defaced => 21134,
                            defacing
                                    => 18325, defcon  => 10830,
                            defective
                                    => 7677, defector
                                    => 19624,
                            defenceless
                                    => 18324, defend  => 1565,
                            defendant
                                    => 2627, defending
                                    => 1834,
                            defenseless
                                    => 5812, defer   => 10829,
                            deference
                                    => 16401, defiant => 11708,
                            defiantly
                                    => 18323, defib   => 21133,
                            defibrillator
                                    => 18322, defied  => 12046,
                            defies  => 11396, defile  => 16400, defiled => 15610, definatly
                                    => 19623,
                            definite
                                    => 3307, definitely
                                    => 571,
                            deflate => 19622, deflated
                                    => 21132,
                            deflect => 10828, deflecting
                                    => 17297,
                            deflector
                                    => 16399, deflower
                                    => 18321,
                            deformed
                                    => 10827, deformity
                                    => 19621,
                            defraud => 18320, defrost => 10104, deftly  => 19620, defuse  => 9112,
                            defused => 17296, defying => 10336, degas   => 16398, degaulle
                                    => 19619,
                            degenerate
                                    => 8336, degenerates
                                    => 16397,
                            degenerative
                                    => 14331, degrade => 14954,
                            degrading
                                    => 8467, degrassi
                                    => 6193,
                            dehydrated
                                    => 7931, dehydration
                                    => 12045,
                            deigned => 18319, delacour
                                    => 21131,
                            delacroix
                                    => 8335, delaford
                                    => 19618,
                            delay   => 2707, delaying
                                    => 8466,
                            delbruck
                                    => 19617, delectable
                                    => 12430,
                            delete  => 7178, deliberate
                                    => 6129,
                            deliberately
                                    => 2511, delicacies
                                    => 16396,
                            delicacy
                                    => 9453, delicate
                                    => 2664,
                            delicately
                                    => 10103, delicates
                                    => 18318,
                            delicious
                                    => 1738, deliciously
                                    => 16395,
                            delight => 4314, delighted
                                    => 3119,
                            delightful
                                    => 3198, delightfully
                                    => 13299,
                            delights
                                    => 11395, delinquent
                                    => 7011,
                            delinquents
                                    => 15609, delirious
                                    => 5145,
                            deliriously
                                    => 11108, delirium
                                    => 14953,
                            delish  => 19616, deliver => 1514, deliverance
                                    => 16394,
                            deliveries
                                    => 7177, delivering
                                    => 3733,
                            delivery
                                    => 1759, dellarte
                                    => 21130,
                            delly   => 13298, deltas  => 19615, delts   => 21129, delude  => 14952,
                            deluded => 5113, deluding
                                    => 8185,
                            delusion
                                    => 5667, delusional
                                    => 3179,
                            delusions
                                    => 4825, delve   => 14330,
                            delving => 18317, demanding
                                    => 3315,
                            demean  => 19614, demeaning
                                    => 7574,
                            demeanor
                                    => 11107, demented
                                    => 5505,
                            dementia
                                    => 9868, demerits
                                    => 14951,
                            demerol => 12429, demolitions
                                    => 19613,
                            demon   => 839, demonic => 3590, demonology
                                    => 21128,
                            demons  => 1423, demony  => 18316, demur   => 21127, demure  => 19612,
                            deniability
                                    => 15608, denial  => 2319,
                            denials => 16393, deniece => 18315, denies  => 6930, denim   => 10555,
                            deniro  => 21126, dennings
                                    => 16392,
                            denominator
                                    => 11106, denominators
                                    => 21125,
                            dental  => 3409, dented  => 10554, dentist => 2656, dentists
                                    => 8334,
                            dents   => 17295, dentures
                                    => 21124,
                            deny    => 1322, denying => 2823, denzel  => 18314, deodorant
                                    => 7094,
                            depend  => 2617, dependable
                                    => 6770,
                            dependant
                                    => 21123, depended
                                    => 5504,
                            depends => 1276, deplete => 19611, deplorable
                                    => 14329,
                            deplore => 19610, deport  => 17294, depose  => 17293, deposing
                                    => 18313,
                            deposit => 2742, deposition
                                    => 4128,
                            depositions
                                    => 9452, depository
                                    => 9659,
                            depraved
                                    => 7573, depravity
                                    => 15607,
                            deprecating
                                    => 14328, depress => 13802,
                            depressants
                                    => 15606, depressed
                                    => 2023,
                            depressing
                                    => 3164, depressive
                                    => 10553,
                            depressor
                                    => 17292, depressors
                                    => 21122,
                            deprive => 7093, deprived
                                    => 6070,
                            depriving
                                    => 10335, depths  => 5227,
                            deputized
                                    => 21121, derail  => 9867,
                            derailed
                                    => 10826, derailing
                                    => 21120,
                            deranged
                                    => 5914, derevko => 7092,
                            derision
                                    => 21119, dermatologist
                                    => 10102,
                            derogatory
                                    => 11394, deron   => 12842,
                            derriere
                                    => 12841, derris  => 19609,
                            describe
                                    => 1876, desdemona
                                    => 8775,
                            desecrate
                                    => 18312, desecrated
                                    => 19608,
                            desecration
                                    => 21118, deserted
                                    => 3306,
                            deserter
                                    => 12840, deserting
                                    => 10334,
                            desertion
                                    => 15605, deserve => 661,
                            deserved
                                    => 1885, deserves
                                    => 1198,
                            deserving
                                    => 7676, desi    => 5295,
                            desires => 4147, desist  => 12839, desk    => 1004, desks   => 8333,
                            desolate
                                    => 14950, desolation
                                    => 16391,
                            despair => 4169, desperado
                                    => 14949,
                            desperate
                                    => 1099, desperately
                                    => 2379,
                            desperation
                                    => 5072, despicable
                                    => 3989,
                            despise => 3408, despised
                                    => 9111,
                            despises
                                    => 6069, despising
                                    => 17291,
                            despondent
                                    => 21117, dessaline
                                    => 14327,
                            dessert => 1734, desserts
                                    => 6509,
                            destabilize
                                    => 18311, destined
                                    => 3628,
                            destinies
                                    => 10552, destroy => 834,
                            destroying
                                    => 2510, destroys
                                    => 6068,
                            destruct
                                    => 5374, destructing
                                    => 14948,
                            destructive
                                    => 3043, destructs
                                    => 19607,
                            detach  => 14947, detail  => 1736, details => 1078, detain  => 9451,
                            detaining
                                    => 21116, detective
                                    => 789,
                            detectives
                                    => 2883, detector
                                    => 3744,
                            detectors
                                    => 7675, detente => 19606,
                            detention
                                    => 3197, detergent
                                    => 8774,
                            deteriorate
                                    => 10551, deterrent
                                    => 12044,
                            detest  => 8184, detestable
                                    => 21115,
                            detests => 21114, detonate
                                    => 7572,
                            detonates
                                    => 21113, detonating
                                    => 17290,
                            detonation
                                    => 8610, detonator
                                    => 6769,
                            detonators
                                    => 12838, detour  => 6375,
                            detours => 19605, detox   => 11105, detoxing
                                    => 19604,
                            detract => 19603, detriment
                                    => 15604,
                            deuce   => 7674, deuces  => 9287, devane  => 2828, devastate
                                    => 9450,
                            devastated
                                    => 2286, devastating
                                    => 4779,
                            devastatingly
                                    => 18310, devastation
                                    => 10101,
                            deveraux
                                    => 4292, deviant => 10825,
                            deviants
                                    => 21112, deviate => 15603,
                            deviated
                                    => 12428, devil   => 1394,
                            deviled => 12427, devilishly
                                    => 19602,
                            devious => 5373, devise  => 12837, devising
                                    => 15602,
                            devola  => 16390, devote  => 6705, devoting
                                    => 14326,
                            devotion
                                    => 3988, devour  => 9866,
                            devoured
                                    => 12836, devouring
                                    => 14946,
                            devours => 19601, dewars  => 21111, diabetic
                                    => 7176,
                            diabetics
                                    => 21110, diablo  => 10100,
                            diablos => 17289, diabolical
                                    => 6846,
                            diagnose
                                    => 9110, diagnosing
                                    => 16389,
                            diagnosis
                                    => 3444, diagnostician
                                    => 19600,
                            dialed  => 6704, dialing => 8063, dialysis
                                    => 13297,
                            diamonds
                                    => 2559, diaper  => 4104,
                            diapers => 3553, diaphragm
                                    => 9286,
                            diaphragms
                                    => 18309, diarrhea
                                    => 9109,
                            diary   => 2242, diathesis
                                    => 21109,
                            diatribe
                                    => 15601, diatribes
                                    => 21108,
                            diazepam
                                    => 11393, dibbs   => 9658,
                            dicaprio
                                    => 13801, dice    => 3924,
                            diced   => 14945, dicey   => 8967, dicing  => 16388, dickensian
                                    => 18308,
                            dickhead
                                    => 8183, dickie  => 2931,
                            dicking => 17288, dickless
                                    => 14944,
                            dickwad => 21107, dickweed
                                    => 21106,
                            dicky   => 18307, dictate => 5006, dictates
                                    => 11392,
                            dictating
                                    => 12835, dictation
                                    => 13296,
                            dictators
                                    => 19599, dictatorships
                                    => 19598,
                            did     => 48, diddling
                                    => 19597,
                            diddly  => 11391, diddy   => 14943, didja   => 14942, didn    => 4510,
                            "didn't"
                                    => 65, didnt   => 12426,
                            didya   => 21105, die     => 353, dief    => 5294, diefenbaker
                                    => 4367,
                            diello  => 19596, dies    => 1422, diet    => 2281, dieting => 12834,
                            difference
                                    => 727, differently
                                    => 1919,
                            difficult
                                    => 751, digest  => 5263,
                            digested
                                    => 17287, digesting
                                    => 19595,
                            digestion
                                    => 12425, digger  => 4168,
                            diggers => 18306, diggin  => 10333, digging => 2007, diggity => 18305,
                            diggory => 16387, digitalis
                                    => 16386,
                            dignan  => 5768, dignified
                                    => 7799,
                            dignify => 8609, dignity => 2415, digress => 12833, digs    => 5333,
                            dilate  => 16385, dilated => 8773, dilation
                                    => 18304,
                            dildo   => 11707, dilemma => 4530, dilettante
                                    => 18303,
                            diligence
                                    => 14941, diligent
                                    => 13800,
                            diligently
                                    => 18302, dilly   => 13295,
                            dilucca => 4272, dime    => 2285, dimension
                                    => 3281,
                            dimera  => 1789, dimeras => 4387, dimes   => 9449, diminish
                                    => 9285,
                            dimitri => 8332, dimly   => 19594, dimmed  => 16384, dimming => 18301,
                            dimmy   => 15600, dimoxinil
                                    => 15599,
                            dimpled => 21104, dimples => 10824, dimwit  => 14940, dimwitted
                                    => 15598,
                            dined   => 13799, diner   => 1940, dinero  => 14939, diners  => 11390,
                            ding    => 2907, dingbat => 16383, dinged  => 17286, dinghy  => 15597,
                            dingo   => 14325, dings   => 13294, dingy   => 12832, dining  => 2493,
                            dinka   => 19593, dinks   => 21103, dinky   => 9284, dinner  => 360,
                            dinners => 3714, dinnertime
                                    => 10099,
                            dinning => 18300, dinosaur
                                    => 4612,
                            dinosaurs
                                    => 5046, diorama => 16382,
                            diperna => 13798, diphtheria
                                    => 21102,
                            dipped  => 7798, dipper  => 11104, dipping => 5913, dippy   => 16381,
                            dipshit => 10098, dipstick
                                    => 14324,
                            dire    => 5293, directions
                                    => 2626,
                            dirt    => 1505, dirtbag => 10550, dirtball
                                    => 19592,
                            dirtier => 15596, dirtiest
                                    => 21101,
                            dirty   => 940, disable => 7930, disagree
                                    => 2350,
                            disagreeable
                                    => 15595, disagreeing
                                    => 12424,
                            disagreement
                                    => 5539, disagrees
                                    => 9448,
                            disappear
                                    => 1338, disappearance
                                    => 3163,
                            disappearances
                                    => 9283, disappeared
                                    => 1264,
                            disappearing
                                    => 3603, disappears
                                    => 3844,
                            disappoint
                                    => 2096, disappointed
                                    => 1300,
                            disappointing
                                    => 4583, disappointment
                                    => 3079,
                            disappointments
                                    => 7797, disappoints
                                    => 17285,
                            disapprove
                                    => 7175, disapproves
                                    => 13797,
                            disapproving
                                    => 14938, disarm  => 8182,
                            disarmed
                                    => 13796, disarming
                                    => 14323,
                            disarray
                                    => 10097, disaster
                                    => 1517,
                            disastrous
                                    => 5503, disavowed
                                    => 16380,
                            disbarred
                                    => 8966, disbelief
                                    => 12423,
                            discerning
                                    => 17284, discharging
                                    => 15594,
                            disciplined
                                    => 9657, disciplining
                                    => 17283,
                            disclosure
                                    => 6626, disco   => 3943,
                            discoloration
                                    => 11389, discolored
                                    => 21100,
                            discomfort
                                    => 6768, disconcerting
                                    => 10549,
                            disconnect
                                    => 8331, disconnected
                                    => 5045,
                            discontinue
                                    => 13293, discord => 14937,
                            discotheque
                                    => 21099, discount
                                    => 3644,
                            discounting
                                    => 19591, discourage
                                    => 7174,
                            discouraged
                                    => 7010, discouraging
                                    => 10823,
                            discourteous
                                    => 21098, discover
                                    => 2338,
                            discredit
                                    => 8062, discreet
                                    => 4271,
                            discreetly
                                    => 11706, discrepancies
                                    => 12422,
                            discrepancy
                                    => 9865, discretion
                                    => 4824,
                            discriminating
                                    => 13292, discuss => 828,
                            discussed
                                    => 2016, discussing
                                    => 1884,
                            discussion
                                    => 1630, disdain => 12043,
                            diseased
                                    => 9108, disengage
                                    => 10822,
                            disengaged
                                    => 16379, disfigured
                                    => 9656,
                            disfiguring
                                    => 18299, disgrace
                                    => 4127,
                            disgraced
                                    => 12421, disgraceful
                                    => 10548,
                            disgruntled
                                    => 7009, disguise
                                    => 3675,
                            disguised
                                    => 6433, disguises
                                    => 10332,
                            disgust => 5372, disgusted
                                    => 5628,
                            disgusting
                                    => 1512, disgustingly
                                    => 14936,
                            disgusts
                                    => 11103, dish    => 2307,
                            disheartening
                                    => 21097, dishes  => 2731,
                            disheveled
                                    => 18298, dishing => 16378,
                            dishonest
                                    => 5332, dishonesty
                                    => 10821,
                            dishonor
                                    => 8965, dishonorable
                                    => 13291,
                            dishonored
                                    => 16377, dishwalla
                                    => 16376,
                            dishwasher
                                    => 5713, dishwashing
                                    => 17282,
                            disillusioned
                                    => 8964, disillusionment
                                    => 21096,
                            disinfect
                                    => 21095, disinfectant
                                    => 12831,
                            disinformation
                                    => 19590, disingenuous
                                    => 18297,
                            disinherit
                                    => 19589, disinherited
                                    => 13795,
                            disintegrate
                                    => 11705, disintegrated
                                    => 14322,
                            disintegrating
                                    => 16375, disinterested
                                    => 15593,
                            disks   => 7270, dislike => 5112, dislikes
                                    => 10820,
                            disliking
                                    => 16374, dislocated
                                    => 9864,
                            dislodge
                                    => 19588, dislodged
                                    => 19587,
                            disloyal
                                    => 8330, disloyalty
                                    => 15592,
                            dismal  => 10096, dismantle
                                    => 7673,
                            dismember
                                    => 21094, dismemberment
                                    => 21093,
                            dismiss => 4079, dismissing
                                    => 12420,
                            dismissive
                                    => 18296, dismount
                                    => 13794,
                            disneyland
                                    => 7929, disneyworld
                                    => 18295,
                            disobey => 9282, disobeyed
                                    => 7928,
                            disobeying
                                    => 12830, disorderly
                                    => 11102,
                            disorganized
                                    => 14935, disorientation
                                    => 14321,
                            disoriented
                                    => 6305, disorienting
                                    => 18294,
                            disown  => 13793, disowned
                                    => 17281,
                            disparage
                                    => 16373, disparaging
                                    => 14320,
                            dispatch
                                    => 4958, dispatcher
                                    => 11388,
                            dispense
                                    => 8329, dispenser
                                    => 8772,
                            dispensers
                                    => 18293, dispensing
                                    => 11387,
                            displace
                                    => 14934, displeased
                                    => 13792,
                            displeasure
                                    => 12042, disposable
                                    => 7796,
                            disposal
                                    => 3704, dispose => 5331,
                            disposing
                                    => 14319, disposition
                                    => 7795,
                            disprove
                                    => 12829, disputing
                                    => 12041,
                            disqualify
                                    => 17280, disraeli
                                    => 17279,
                            disregard
                                    => 6019, disrespect
                                    => 3862,
                            disrespected
                                    => 12828, disrespectful
                                    => 6929,
                            disrespecting
                                    => 14933, disrupt => 5912,
                            disrupting
                                    => 9447, disrupts
                                    => 21092,
                            dissect => 8771, dissected
                                    => 14318,
                            dissecting
                                    => 16372, dissection
                                    => 14317,
                            dissed  => 10095, disservice
                                    => 19586,
                            dissimilar
                                    => 16371, dissing => 8770,
                            dissipate
                                    => 17278, dissociative
                                    => 10547,
                            dissolve
                                    => 7173, dissuade
                                    => 14932,
                            distancing
                                    => 18292, distaste
                                    => 19585,
                            distasteful
                                    => 12040, distended
                                    => 17277,
                            distinctly
                                    => 6928, distort => 13791,
                            distract
                                    => 2726, distracted
                                    => 2176,
                            distracting
                                    => 4167, distraction
                                    => 3140,
                            distractions
                                    => 5044, distracts
                                    => 15591,
                            distraught
                                    => 5330, distress
                                    => 3213,
                            distressed
                                    => 9281, distressing
                                    => 11704,
                            distrust
                                    => 11703, distrustful
                                    => 21091,
                            disturb => 2725, disturbance
                                    => 5502,
                            disturbed
                                    => 2700, disturbing
                                    => 2724,
                            disturbs
                                    => 11101, ditch   => 2481,
                            ditched => 4893, ditching
                                    => 6562,
                            ditsy   => 19584, ditto   => 5455, ditty   => 13290, ditzy   => 16370,
                            diuretic
                                    => 21090, diuretics
                                    => 21089,
                            dive    => 2466, divers  => 6192, diversify
                                    => 15590,
                            diversion
                                    => 4313, diversionary
                                    => 18291,
                            diversions
                                    => 17276, divert  => 8061,
                            diverting
                                    => 14931, dives   => 9863,
                            divest  => 21088, divining
                                    => 21087,
                            divola  => 19583, divorce => 892, divorced
                                    => 1695,
                            divorcee
                                    => 12827, divorces
                                    => 7571,
                            divorcing
                                    => 5767, divulge => 10546,
                            divulged
                                    => 18290, divvy   => 14930,
                            dizziness
                                    => 7672, dizzy   => 2763,
                            dizzying
                                    => 19582, dmitri  => 8060,
                            do      => 18, doable  => 10819, doberman
                                    => 13790,
                            dobermans
                                    => 19581, dobisch => 12826,
                            dobler  => 18289, docile  => 15589, dock    => 2958, dockers => 16369,
                            docket  => 15588, docking => 8963, docks   => 2867, doctor  => 339,
                            doctored
                                    => 7927, doctoring
                                    => 16368,
                            doctors => 996, dodgeball
                                    => 9862,
                            dodged  => 7926, dodger  => 8059, dodging => 6432, dodgy   => 13289,
                            doers   => 15587, does    => 130, doesn   => 7794, "doesn't"
                                    => 115,
                            doesnt  => 18288, dog     => 562, dogcatcher
                                    => 16367,
                            dogged  => 13288, doggie  => 4529, doggies => 17275, dogging => 10818,
                            doggone => 13789, doggy   => 6508, doghouse
                                    => 7390,
                            dogs    => 1355, dogshit => 18287, dogwood => 12825, doily   => 14929,
                            doin    => 1015, doing   => 101, doings  => 16366, dokey   => 5413,
                            dokie   => 13788, dokos   => 19580, doling  => 11386, dolittle
                                    => 14928,
                            doll    => 1368, dollar  => 1191, dollars => 578, dolled  => 12039,
                            dollface
                                    => 14316, dollhouse
                                    => 12419,
                            dollop  => 18286, dolls   => 3433, domesticity
                                    => 18285,
                            domicile
                                    => 19579, dominatrix
                                    => 15586,
                            domineering
                                    => 16365, dominoes
                                    => 17274,
                            "don't" => 15, "don'tcha"
                                    => 16364,
                            "don'ts"
                                    => 12824, donate  => 4166,
                            donating
                                    => 7469, donation
                                    => 3674,
                            doncha  => 19578, donde   => 11702, done    => 173, doneghy => 21086,
                            dongs   => 13287, donkey  => 4509, donkeys => 11701, donnatella
                                    => 19577,
                            donor   => 2311, donot   => 13286, donovon => 10331, donowitz
                                    => 17273,
                            dont    => 5412, dontcha => 21085, donut   => 5005, donuts  => 4659,
                            doobie  => 17272, doodie  => 18284, doodle  => 6191, doodles => 13787,
                            doodling
                                    => 16363, doofer  => 17271,
                            doofus  => 6374, doofy   => 11100, doogie  => 11700, doohickey
                                    => 19576,
                            doohicky
                                    => 21084, dookie  => 14927,
                            doom    => 3795, doomed  => 2667, doomsday
                                    => 12038,
                            door    => 334, doorbell
                                    => 4864,
                            doork   => 6373, doorknob
                                    => 7172,
                            doorknobs
                                    => 19575, doorman => 4270,
                            doormat => 9655, doornail
                                    => 13285,
                            doors   => 1389, doorstep
                                    => 3880,
                            doorway => 4638, doorways
                                    => 10545,
                            doose   => 11099, doozy   => 11699, dope    => 3271, doped   => 10817,
                            dopes   => 21083, dopey   => 7793, doppelganger
                                    => 21082,
                            doree   => 10330, doren   => 4748, doritos => 15585, dork    => 3896,
                            dorkface
                                    => 19574, dorks   => 10544,
                            dorky   => 8058, dorleen => 13786, dorm    => 2492, dorma   => 14926,
                            dorms   => 8465, dorsia  => 13284, dory    => 5004, dosage  => 5911,
                            dosages => 21081, dose    => 3443, dosed   => 13785, dossier => 9107,
                            dostoyevsky
                                    => 16362, dotes   => 19573,
                            doting  => 11098, dots    => 4747, dotted  => 9280, doublemeat
                                    => 11385,
                            doubly  => 11698, doubt   => 731, doubted => 3617, doubtful
                                    => 7671,
                            doubting
                                    => 4928, doubts  => 2102,
                            douche  => 7269, douchebag
                                    => 16361,
                            douggie => 16360, dough   => 3050, doughnut
                                    => 4688,
                            doughnuts
                                    => 4312, dougie  => 5666,
                            doused  => 13784, doves   => 7171, dovey   => 11697, down    => 89,
                            downers => 15584, downhill
                                    => 6845,
                            downloaded
                                    => 7925, downloading
                                    => 10543,
                            downplay
                                    => 15583, downpour
                                    => 21080,
                            downright
                                    => 5262, downriver
                                    => 18283,
                            downside
                                    => 7170, downsize
                                    => 21079,
                            downsizing
                                    => 17270, downstairs
                                    => 1128,
                            downtime
                                    => 10542, downtrodden
                                    => 13783,
                            downy   => 21078, dowser  => 9654, dozed   => 8057, dozen   => 1730,
                            dozens  => 3895, dozer   => 7091, dozing  => 19572, dracula => 5191,
                            drafty  => 12418, drag    => 1241, dragged => 1892, draggin => 17269,
                            dragging
                                    => 2533, dragline
                                    => 15582,
                            dragnet => 15581, dragonfly
                                    => 8464,
                            drags   => 8328, drainpipe
                                    => 19571,
                            dramamine
                                    => 16359, dramatics
                                    => 15580,
                            drang   => 19570, drank   => 2519, drape   => 13782, draped  => 9446,
                            drapes  => 6128, drastic => 4717, drawback
                                    => 12823,
                            drawbacks
                                    => 11097, drawbridge
                                    => 16358,
                            drawer  => 2136, drawers => 4778, drawstring
                                    => 19569,
                            drazen  => 5043, drazens => 21077, drazi   => 10816, dread   => 6190,
                            dreaded => 7389, dreadful
                                    => 3879,
                            dreadfully
                                    => 15579, dreading
                                    => 8056,
                            dream   => 525, dreamboat
                                    => 17268,
                            dreamed => 1718, dreamer => 7268, dreamers
                                    => 18282,
                            dreamin => 11096, dreaming
                                    => 1705,
                            dreamless
                                    => 19568, dreams  => 781,
                            dreamt  => 3923, dreamy  => 7924, dreary  => 7923, dreck   => 17267,
                            dredge  => 9106, dredged => 13283, dredging
                                    => 12822,
                            dregs   => 17266, dreidel => 5003, drell   => 8962, drenched
                                    => 10815,
                            dress   => 664, dressed => 965, dresser => 4406, dresses => 2365,
                            dressing
                                    => 2420, dressy  => 14925,
                            drexl   => 12821, "drey'auc"
                                    => 18281,
                            dreyfuss
                                    => 11696, dribble => 10094,
                            dribbles
                                    => 21076, dribbling
                                    => 13781,
                            dried   => 3420, drier   => 9105, dries   => 12417, drift   => 3878,
                            drifted => 7468, drifter => 9104, drifting
                                    => 5144,
                            drifts  => 16357, driftwood
                                    => 17265,
                            drill   => 2442, drills  => 10541, drink   => 430, drinker => 7090,
                            drinkers
                                    => 14924, drinkin => 6372,
                            drinking
                                    => 974, drinks  => 1367,
                            drinky  => 16356, drip    => 4611, dripped => 21075, dripping
                                    => 5454,
                            drippy  => 19567, drips   => 21074, drive   => 518, drivel  => 10093,
                            drives  => 2326, driveway
                                    => 3305,
                            driveways
                                    => 19566, drivin  => 5811,
                            driving => 796, droid   => 16355, droids  => 21073, drokken => 9103,
                            droll   => 11695, drones  => 10329, drool   => 5453, drooled => 19565,
                            drooling
                                    => 4561, drools  => 18280,
                            droop   => 21072, droopy  => 13282, drop    => 523, dropout => 13281,
                            dropped => 943, dropper => 17264, droppin => 18279, dropping
                                    => 1667,
                            droppings
                                    => 12037, drops   => 2762,
                            drossos => 19564, drove   => 1351, droves  => 18278, drown   => 2952,
                            drowned => 3004, drowning
                                    => 2860,
                            drowns  => 16354, drowsy  => 10328, drudge  => 21071, drue    => 5292,
                            drug    => 857, drugged => 2790, druggie => 15578, drugging
                                    => 7089,
                            druggist
                                    => 19563, drugs   => 888,
                            drugstore
                                    => 5910, drumlin => 16353,
                            drummed => 14923, drumstick
                                    => 17263,
                            drumsticks
                                    => 14315, drunk   => 845,
                            drunkard
                                    => 21070, drunken => 3314,
                            drunkenness
                                    => 16352, drunker => 15577,
                            drunks  => 6561, druthers
                                    => 19562,
                            dryer   => 4028, dryers  => 12820, drying  => 6844, drywall => 11384,
                            dubious => 8961, duchaisne
                                    => 21069,
                            duchamp => 16351, duchess => 3367, duck    => 1788, ducked  => 9861,
                            duckie  => 15576, ducking => 7467, duckling
                                    => 18277,
                            ducks   => 4485, ducky   => 13280, duct    => 4777, ducts   => 10327,
                            duddy   => 16350, dude    => 614, dudes   => 3673, dudleys => 19561,
                            dueling => 13780, duesouth
                                    => 15575,
                            duffel  => 9279, duffle  => 14314, dufus   => 16349, dugout  => 11383,
                            dugray  => 21068, duisberg
                                    => 14922,
                            dulcet  => 18276, dulcinea
                                    => 11095,
                            dull    => 2538, dullard => 19560, dulled  => 17262, dulles  => 8769,
                            dullest => 13279, dulli   => 17261, dullness
                                    => 17260,
                            duloc   => 14921, dumb    => 1083, dumbass => 5190, dumbasses
                                    => 14920,
                            dumber  => 6843, dumbest => 5712, dumbledore
                                    => 16348,
                            dumbo   => 5143, dumbshit
                                    => 14919,
                            dumdum  => 19559, dummies => 10326, dummkopf
                                    => 21067,
                            dummy   => 3407, dump    => 1255, dumped  => 1424, dumper  => 8960,
                            dumping => 3224, dumpling
                                    => 12036,
                            dumplings
                                    => 12416, dumps   => 4582,
                            dumpster
                                    => 4484, dumpsters
                                    => 14918,
                            dumpty  => 16347, duncans => 18275, dungeon => 5371, dunked  => 19558,
                            dunking => 19557, dunks   => 17259, dunno   => 1868, dunois  => 19556,
                            dunville
                                    => 11382, dunwitty
                                    => 13278,
                            duped   => 8768, duper   => 15574, duplex  => 12819, duplicate
                                    => 6127,
                            duplicitous
                                    => 16346, dupres  => 9653,
                            duress  => 9652, durned  => 19555, durslar => 19554, dussander
                                    => 13277,
                            dust    => 1748, dusted  => 8608, duster  => 15573, dusting => 7466,
                            dutiful => 12415, duty    => 1134, duvet   => 18274, duwayne => 11694,
                            dweeb   => 12414, dwell   => 4483, dweller => 19553, dwells  => 18273,
                            dyeing  => 18272, dying   => 802, dynamite
                                    => 4269,
                            dysfunctional
                                    => 5452, dyslexia
                                    => 16345,
                            dyslexic
                                    => 15572, eager   => 2666,
                            eagerly => 11381, eally   => 18271, eardrum => 16344, earful  => 8767,
                            earlobe => 14917, earlobes
                                    => 18270,
                            earmarks
                                    => 19552, earmuffs
                                    => 15571,
                            earn    => 2409, earphones
                                    => 19551,
                            earpiece
                                    => 14916, earplugs
                                    => 9445,
                            earring => 5002, earrings
                                    => 3169,
                            ears    => 1327, earshot => 17258, earthlings
                                    => 11380,
                            earthly => 8607, earthy  => 18269, earwig  => 21066, ease    => 1924,
                            easel   => 14313, easely  => 19550, eases   => 14915, easier  => 882,
                            easiest => 3942, easing  => 11693, easterland
                                    => 13779,
                            eastside
                                    => 13778, easy    => 337,
                            easygoing
                                    => 17257, eat     => 403,
                            eaten   => 1954, eater   => 5451, eaters  => 9444, eatin   => 5189,
                            eating  => 873, eats    => 2503, eavesdrop
                                    => 6507,
                            eavesdropped
                                    => 21065, eavesdropping
                                    => 4311,
                            ebola   => 11094, eccentric
                                    => 6431,
                            eccentricities
                                    => 17256, echelon => 7267,
                            echinacea
                                    => 14914, ecirc   => 19549,
                            ecklie  => 10814, ecstacy => 14312, ecstasy => 5766, ecstatic
                                    => 5765,
                            ectopic => 19548, ectoplasm
                                    => 21064,
                            eczema  => 18268, edema   => 12035, edgewise
                                    => 13276,
                            edgy    => 4508, eecom   => 18267, eerie   => 8766, eerily  => 18266,
                            effacing
                                    => 21063, effecting
                                    => 18265,
                            effeminate
                                    => 17255, effortless
                                    => 19547,
                            egghead => 11692, egging  => 21062, eggnog  => 7388, eggplant
                                    => 9651,
                            eggroll => 15570, eggs    => 1522, eggshell
                                    => 14913,
                            eggshells
                                    => 11691, egocentric
                                    => 13275,
                            egomaniac
                                    => 10325, egomaniacal
                                    => 21061,
                            egotistical
                                    => 8606, egotitis
                                    => 18264,
                            egregious
                                    => 11690, ehrlichman
                                    => 13777,
                            eiffel  => 8765, eighteen
                                    => 2002,
                            eighths => 16343, eighties
                                    => 6240,
                            eights  => 11379, eighty  => 1915, eigth   => 14912, einstein
                                    => 4637,
                            eirie   => 18263, either  => 325, ejaculate
                                    => 17254,
                            eject   => 12034, eking   => 21060, eladio  => 13776, elated  => 18262,
                            elbow   => 4341, elbows  => 6126, elders  => 2817, electra => 3580,
                            electrician
                                    => 8605, electricians
                                    => 21059,
                            electrocute
                                    => 14911, electrocuted
                                    => 7465,
                            electrolytes
                                    => 12818, electroshock
                                    => 14311,
                            elegance
                                    => 9102, elegant => 4340,
                            elephant
                                    => 3090, elephants
                                    => 5111,
                            elevate => 10092, elevates
                                    => 17253,
                            elevator
                                    => 1370, elevators
                                    => 5226,
                            eleven  => 1623, eliminate
                                    => 3397,
                            eling   => 18261, elitist => 9101, elixir  => 12817, ellenor => 4046,
                            ellsberg
                                    => 11093, elope   => 4405,
                            eloped  => 6304, elopement
                                    => 10540,
                            eloping => 5764, eloquent
                                    => 10324,
                            eloquently
                                    => 12033, else    => 171,
                            elsinore
                                    => 10813, elspeth => 14910,
                            elster  => 12816, elude   => 14909, eluded  => 12032, eludes  => 18260,
                            elusive => 8181, elves   => 5501, elway   => 13775, emailed => 15569,
                            emanates
                                    => 21058, emancipated
                                    => 17252,
                            emasculating
                                    => 16342, embalmed
                                    => 18259,
                            embalming
                                    => 14908, embarass
                                    => 14907,
                            embarassed
                                    => 14906, embarassing
                                    => 12413,
                            embark  => 8959, embarrass
                                    => 2749,
                            embarrassed
                                    => 1494, embarrasses
                                    => 14310,
                            embarrassing
                                    => 1530, embarrassingly
                                    => 18258,
                            embarrassment
                                    => 3843, embarressed
                                    => 18257,
                            ember   => 17251, embers  => 16341, embezzle
                                    => 21057,
                            embezzled
                                    => 10323, embezzlement
                                    => 9278,
                            embezzler
                                    => 18256, embezzling
                                    => 12815,
                            embittered
                                    => 19546, embodiment
                                    => 11092,
                            embolism
                                    => 10812, embrace => 3510,
                            embracing
                                    => 9650, embryos => 11091,
                            emdash  => 9649, emeralds
                                    => 17250,
                            emergencies
                                    => 5959, emergency
                                    => 942,
                            eminence
                                    => 11378, eminently
                                    => 18255,
                            emissary
                                    => 10811, emmys   => 18254,
                            emotion => 3011, emotional
                                    => 1463,
                            emotionally
                                    => 2435, emotions
                                    => 2051,
                            empath  => 12031, empathetic
                                    => 15568,
                            empathic
                                    => 21056, empathize
                                    => 11090,
                            empathy => 7570, emphatic
                                    => 17249,
                            emphatically
                                    => 14309, emphysema
                                    => 16340,
                            employee
                                    => 2265, emporium
                                    => 11689,
                            emptied => 7922, emptiness
                                    => 7088,
                            emptive => 18253, empty   => 1018, emptying
                                    => 12412,
                            emulating
                                    => 19545, enamored
                                    => 13274,
                            encephalitis
                                    => 12814, enchant => 13273,
                            enchante
                                    => 14905, enchanted
                                    => 5665,
                            enchanting
                                    => 7670, enchantment
                                    => 2431,
                            enchantress
                                    => 10539, enchilada
                                    => 10810,
                            encino  => 21055, enclose => 16339, encore  => 6625, encouragement
                                    => 5001,
                            encouraging
                                    => 3350, encrusted
                                    => 21054,
                            encrypted
                                    => 9648, encyclopedias
                                    => 19544,
                            endanger
                                    => 6842, endangering
                                    => 9860,
                            endangerment
                                    => 8055, endear  => 21053,
                            endearing
                                    => 9443, endearment
                                    => 15567,
                            endeavor
                                    => 7387, endings => 6067,
                            endive  => 19543, endless => 3432, endlessly
                                    => 8180,
                            endor   => 14308, endorphins
                                    => 18252,
                            endorse => 7921, ends    => 1254, endure  => 4746, enema   => 12030,
                            enemies => 1852, energized
                                    => 12813,
                            enfants => 19542, enforcer
                                    => 8958,
                            engaged => 1237, engagement
                                    => 1461,
                            englishman
                                    => 7464, engrossed
                                    => 17248,
                            engrossing
                                    => 18251, enhancer
                                    => 21052,
                            enigma  => 7569, enjoy   => 667, enjoyable
                                    => 6841,
                            enjoyed => 1828, enjoying
                                    => 1562,
                            enjoyment
                                    => 8957, enjoys  => 5071,
                            enlighten
                                    => 4658, enlightened
                                    => 6703,
                            enlightening
                                    => 10809, enlist  => 8327,
                            ennui   => 12812, enormity
                                    => 19541,
                            enormous
                                    => 2723, enormously
                                    => 9647,
                            enough  => 179, enquire => 15566, enquirer
                                    => 8179,
                            enquiries
                                    => 19540, enrage  => 21051,
                            enriching
                                    => 21050, ensconced
                                    => 13774,
                            ensenada
                                    => 21049, enslave => 17247,
                            ensue   => 12029, entail  => 14307, entails => 10322, entanglements
                                    => 17246,
                            entendre
                                    => 18250, enterprises
                                    => 3078,
                            enterprising
                                    => 14306, entertain
                                    => 3877,
                            entertained
                                    => 6239, entertaining
                                    => 3496,
                            enthralled
                                    => 21048, enthused
                                    => 18249,
                            enthusiasm
                                    => 3552, enthusiastic
                                    => 4776,
                            entice  => 11377, enticed => 18248, enticing
                                    => 10538,
                            entire  => 582, entitle => 19539, entitles
                                    => 11376,
                            entourage
                                    => 9100, entrails
                                    => 11688,
                            entrap  => 16338, entrapment
                                    => 6767,
                            entree  => 12028, entrees => 15565, entrust => 12811, entwined
                                    => 13773,
                            envelope
                                    => 2675, envelopes
                                    => 7169,
                            envied  => 13272, envious => 7792, envision
                                    => 14305,
                            envy    => 2951, enzo    => 2915, epcot   => 21047, ephram  => 1937,
                            ephrum  => 17245, epidural
                                    => 14904,
                            epileptic
                                    => 11687, epinephrine
                                    => 11375,
                            epiphany
                                    => 7008, epithelials
                                    => 17244,
                            epitome => 16337, epizootics
                                    => 17243,
                            epoxy   => 18247, equalizer
                                    => 15564,
                            equals  => 4078, equate  => 15563, equinox => 13772, equivalency
                                    => 15562,
                            erase   => 2822, erased  => 3941, eraser  => 8463, erasers => 12411,
                            erases  => 17242, erasing => 8764, erlich  => 16336, ernswiler
                                    => 21046,
                            eroding => 21045, erogenous
                                    => 14903,
                            erotic  => 6506, errand  => 3536, errands => 3495, errant  => 13271,
                            erratic => 6560, erratically
                                    => 21044,
                            erred   => 19538, errrr   => 21043, erupt   => 11686, escalate
                                    => 10537,
                            escalating
                                    => 11374, escalator
                                    => 10091,
                            escapade
                                    => 12410, escapades
                                    => 18246,
                            escape  => 1064, escaped => 1663, escapee => 17241, escaping
                                    => 4892,
                            escargot
                                    => 17240, escort  => 2181,
                            escorts => 9442, escrow  => 11089, eskimo  => 7920, eskimos => 10808,
                            esmail  => 21042, esmerelda
                                    => 18245,
                            esophageal
                                    => 15561, esophagus
                                    => 14304,
                            especially
                                    => 540, espresso
                                    => 4775,
                            espressos
                                    => 21041, esquire => 11088,
                            essay   => 3030, essence => 3442, essentials
                                    => 10807,
                            estamos => 19537, estas   => 12409, esteem  => 3189, esteemed
                                    => 8326,
                            estoy   => 18244, estranged
                                    => 7791,
                            estrangement
                                    => 16335, estrogen
                                    => 10321,
                            etcetera
                                    => 9441, etched  => 9859,
                            eternal => 3029, eternally
                                    => 7007,
                            eternity
                                    => 2318, ether   => 8604,
                            ethic   => 9277, ethically
                                    => 12027,
                            ethics  => 3022, ethros  => 12810, etins   => 15560, etiquette
                                    => 6066,
                            eubie   => 16334, eulogy  => 6927, eunuch  => 12408, euphemism
                                    => 9099,
                            euphemisms
                                    => 19536, euphoria
                                    => 16333,
                            euphoric
                                    => 19535, eurotrash
                                    => 16332,
                            evacuate
                                    => 5958, evacuating
                                    => 13270,
                            evading => 11087, evander => 19534, evaporate
                                    => 11685,
                            evaporated
                                    => 17239, evasion => 10536,
                            evasions
                                    => 21040, evasive => 7919,
                            even    => 98, evenin  => 12026, evening => 580, eventful
                                    => 14303,
                            eventuality
                                    => 19533, ever    => 120,
                            "ever'body"
                                    => 10806, "ever'thing"
                                    => 16331,
                            everbody
                                    => 17238, everest => 7006,
                            everglades
                                    => 12407, everlasting
                                    => 6702,
                            everthing
                                    => 19532, everwood
                                    => 4404,
                            every   => 178, everybody
                                    => 321,
                            "everybody'd"
                                    => 21039, everyday
                                    => 2006,
                            everyone
                                    => 318, everything
                                    => 125,
                            "everything'll"
                                    => 12025,
                            "everything's"
                                    => 705, everytime
                                    => 6018,
                            everywhere
                                    => 1073, evian   => 15559,
                            evict   => 9646, evicted => 6189, evidence
                                    => 662,
                            evidentiary
                                    => 16330, evidently
                                    => 3466,
                            evil    => 570, evils   => 7386, eviscerate
                                    => 18243,
                            eviscerated
                                    => 14902, ewwww   => 14901,
                            exacerbate
                                    => 19531, exact   => 1340,
                            exacting
                                    => 21038, exactly => 222,
                            exaggerate
                                    => 6701, exaggerating
                                    => 4310,
                            exaggeration
                                    => 8325, exalted => 14302,
                            exam    => 2301, examine => 2780, examiner
                                    => 6303,
                            examining
                                    => 5711, exasperated
                                    => 18242,
                            exasperating
                                    => 21037, exceedingly
                                    => 11684,
                            excellency
                                    => 6624, excellent
                                    => 911,
                            excels  => 21036, except  => 534, excepted
                                    => 13771,
                            excercise
                                    => 17237, excercises
                                    => 15558,
                            exchanging
                                    => 8324, excite  => 10320,
                            excited => 904, excitement
                                    => 2570,
                            excites => 12024, exciting
                                    => 1185,
                            exclamation
                                    => 8763, excrement
                                    => 15557,
                            excruciating
                                    => 6840, excruciatingly
                                    => 16329,
                            exculpatory
                                    => 19530, excuse  => 232,
                            excused => 5142, excuses => 1969, excusez => 15556, excusing
                                    => 13770,
                            execs   => 19529, execute => 4430, executioner
                                    => 9440,
                            executor
                                    => 14900, exemplary
                                    => 9439,
                            exercise
                                    => 1997, exercising
                                    => 6623,
                            exert   => 10535, exerting
                                    => 17236,
                            exertion
                                    => 17235, exfoliate
                                    => 21035,
                            exhale  => 12809, exhausted
                                    => 1813,
                            exhausting
                                    => 6017, exhaustion
                                    => 7385,
                            exhausts
                                    => 21034, exhilarated
                                    => 17234,
                            exhilarating
                                    => 8956, exhilaration
                                    => 21033,
                            exhumation
                                    => 21032, exhume  => 18241,
                            exigent => 17233, existential
                                    => 8462,
                            existentialist
                                    => 19528, exit    => 2235,
                            exits   => 5042, exonerate
                                    => 9645,
                            exonerated
                                    => 8603, exorbitant
                                    => 17232,
                            exorcise
                                    => 19527, exorcism
                                    => 7918,
                            exorcist
                                    => 12808, exotic  => 3589,
                            expect  => 548, expectant
                                    => 15555,
                            expectations
                                    => 2775, expectin
                                    => 16328,
                            expecting
                                    => 1034, expects => 3627,
                            expedient
                                    => 14899, expedite
                                    => 11373,
                            expedited
                                    => 19526, expel   => 9858,
                            expelling
                                    => 17231, expendable
                                    => 8461,
                            expense => 2789, expenses
                                    => 3713,
                            expensive
                                    => 1476, experiencing
                                    => 3826,
                            experimenting
                                    => 7669, expert  => 1600,
                            expiration
                                    => 8762, expire  => 10805,
                            expires => 11683, explain => 485, explaining
                                    => 2663,
                            explains
                                    => 2191, explanation
                                    => 1284,
                            explanations
                                    => 4957, explanatory
                                    => 12406,
                            expletive
                                    => 16327, explode => 2612,
                            exploded
                                    => 4165, explodes
                                    => 6430,
                            exploding
                                    => 6559, exploit => 5810,
                            exploiting
                                    => 7917, exploratory
                                    => 12405,
                            explore => 3010, explosion
                                    => 2122,
                            explosions
                                    => 7668, explosives
                                    => 4219,
                            expose  => 2470, exposer => 11086, exposing
                                    => 5500,
                            expresso
                                    => 16326, expunged
                                    => 17230,
                            exquisite
                                    => 3861, exquisitely
                                    => 19525,
                            extenuating
                                    => 10319, exterminate
                                    => 12023,
                            exterminated
                                    => 18240, exterminating
                                    => 21031,
                            exterminator
                                    => 6429, exterminators
                                    => 15554,
                            extinguish
                                    => 17229, extinguisher
                                    => 9857,
                            extort  => 11372, extorted
                                    => 21030,
                            extorting
                                    => 21029, extortion
                                    => 5261,
                            extortionist
                                    => 19524, extra   => 861,
                            extracurricular
                                    => 7568, extracurriculars
                                    => 17228,
                            extradite
                                    => 17227, extradited
                                    => 11682,
                            extradition
                                    => 7266, extramarital
                                    => 18239,
                            extraordinaire
                                    => 13269, extraordinarily
                                    => 10090,
                            extraordinary
                                    => 2457, extras  => 6700,
                            extraterrestrial
                                    => 10089,
                            extraterrestrials
                                    => 17226,
                            extravagant
                                    => 10088, extravaganza
                                    => 12404,
                            extremely
                                    => 1473, extremists
                                    => 12807,
                            extremities
                                    => 11681, extricate
                                    => 14301,
                            exxon   => 17225, eye     => 574, eyeball => 8323, eyeballin
                                    => 19523,
                            eyeballs
                                    => 4581, eyebrow => 8602,
                            eyebrows
                                    => 5070, eyed    => 2859,
                            eyeful  => 18238, eyeglasses
                                    => 16325,
                            eyeing  => 11371, eyelash => 8178, eyelashes
                                    => 8177,
                            eyelid  => 16324, eyelids => 10087, eyeliner
                                    => 11680,
                            eyepatch
                                    => 17224, eyes    => 368,
                            eyesight
                                    => 7667, eyesore => 14898,
                            eyewitness
                                    => 3551, eyewitnesses
                                    => 8460,
                            eyghon  => 14300, faberge => 21028, fabled  => 19522, fabric  => 3263,
                            fabricate
                                    => 14299, fabricating
                                    => 15553,
                            fabulous
                                    => 1388, fabulously
                                    => 14897,
                            face    => 258, facedown
                                    => 19521,
                            faceless
                                    => 9856, faceman => 13769,
                            faces   => 1603, facetious
                                    => 17223,
                            facial  => 4192, facials => 12022, fact    => 307, factoid => 19520,
                            factored
                                    => 16323, factoring
                                    => 18237,
                            facts   => 1296, fade    => 3940, faded   => 6505, fades   => 8761,
                            fading  => 5710, faggot  => 4429, faggots => 9644, faggy   => 21027,
                            fahrenheit
                                    => 12403, fail    => 1629,
                            failings
                                    => 17222, failsafe
                                    => 12402,
                            faint   => 3209, fainted => 3419, fainter => 17221, faintest
                                    => 10086,
                            fainting
                                    => 8601, fair    => 588,
                            faire   => 12401, fairer  => 17220, fairest => 10085, fairies => 8322,
                            fairly  => 2270, fairness
                                    => 6622,
                            fairservice
                                    => 19519, fairway => 21026,
                            fairwinds
                                    => 4339, fairy   => 1805,
                            fairytale
                                    => 19518, faithful
                                    => 2974,
                            faithfully
                                    => 10534, faithfulness
                                    => 18236,
                            faithless
                                    => 17219, fajita  => 19517,
                            fake    => 1182, faked   => 3579, faker   => 10804, fakes   => 10803,
                            faking  => 2542, falafel => 14896, fall    => 558, fallback
                                    => 12021,
                            fallen  => 1810, fallible
                                    => 18235,
                            falling => 1047, fallopian
                                    => 17218,
                            fallout => 5188, fallow  => 13268, false   => 1676, falsified
                                    => 15552,
                            falsify => 17217, faltered
                                    => 21025,
                            fambly  => 15551, familiar
                                    => 1186,
                            familiarize
                                    => 12400, familiars
                                    => 14895,
                            famished
                                    => 8760, fanatic => 10318,
                            fanatical
                                    => 16322, fanaticism
                                    => 21024,
                            fanatics
                                    => 13768, fancied => 12806,
                            fancier => 16321, fancies => 10802, fanciful
                                    => 12399,
                            fancy   => 1350, fangs   => 5000, fantabulous
                                    => 17216,
                            fantasies
                                    => 3292, fantasize
                                    => 8759,
                            fantasized
                                    => 10084, fantasizing
                                    => 7567,
                            fantastic
                                    => 1270, fantastically
                                    => 14894,
                            fantasy => 1535, fantasyland
                                    => 21023,
                            fanucci => 14893, far     => 341, faraway => 12805, farbman => 14298,
                            farce   => 6558, fare    => 4077, farewell
                                    => 4009,
                            farewells
                                    => 21022, farfel  => 15550,
                            farfetched
                                    => 12398, farkus  => 18234,
                            farmin  => 19516, farquaad
                                    => 12804,
                            farragut
                                    => 12020, farrouhk
                                    => 19515,
                            fart    => 3987, farted  => 9643, farther => 3939, farthest
                                    => 11085,
                            farting => 11084, farts   => 8459, fascinate
                                    => 17215,
                            fascinated
                                    => 5110, fascinates
                                    => 15549,
                            fascinating
                                    => 1903, fascination
                                    => 9438,
                            fashionably
                                    => 12019, fashioned
                                    => 2393,
                            fashions
                                    => 5450, fast    => 514,
                            fastball
                                    => 12018, fasten  => 6557,
                            fastened
                                    => 12397, faster  => 1386,
                            fatal   => 3431, fatale  => 18233, fatass  => 4560, fate    => 1435,
                            fateful => 10801, fates   => 11679, father  => 170, fathered
                                    => 7005,
                            fatherhood
                                    => 10083, fathering
                                    => 19514,
                            fatherless
                                    => 16320, fatherly
                                    => 9276,
                            fathers => 2569, fathom  => 7384, fathoms => 16319, fatigued
                                    => 16318,
                            fatigues
                                    => 14892, fatman  => 12017,
                            fatso   => 10082, fatten  => 13767, fattening
                                    => 13267,
                            fatter  => 10533, fattest => 13266, faucet  => 7790, faucets => 21021,
                            fault   => 449, faults  => 5291, faulty  => 7566, faunia  => 18232,
                            favell  => 13265, favor   => 592, favore  => 19513, favorite
                                    => 755,
                            favorites
                                    => 3938, favoritism
                                    => 13766,
                            favors  => 2761, favourite
                                    => 2502,
                            favours => 11370, fawkes  => 15548, fawning => 12803, faxed   => 5260,
                            faxes   => 9855, faxing  => 16317, "fe'nos"
                                    => 11369,
                            fear    => 901, fearless
                                    => 5041,
                            fears   => 2547, feasting
                                    => 19512,
                            feather => 4164, feathered
                                    => 10800,
                            feathering
                                    => 21020, feathers
                                    => 5069,
                            feces   => 13765, feckless
                                    => 21019,
                            federales
                                    => 15547, fedex   => 8321,
                            fedora  => 19511, fedorchuk
                                    => 21018,
                            feds    => 2403, feeble  => 7666, feed    => 1236, feedin  => 19510,
                            feeding => 2190, feedings
                                    => 12016,
                            feeds   => 4927, feel    => 124, feelers => 17214, feelgood
                                    => 14891,
                            feelin  => 3672, feeling => 327, feelings
                                    => 519,
                            feels   => 572, feeny   => 6766, feet    => 651, feign   => 18231,
                            feigning
                                    => 16316, feisty  => 5957,
                            feldberg
                                    => 18230, felicity
                                    => 4999,
                            feline  => 10081, fell    => 675, fella   => 1851, fellah  => 12802,
                            fellahs => 17213, fellas  => 1900, fellatio
                                    => 21017,
                            felling => 18229, fellini => 15546, felon   => 3937, felonies
                                    => 13764,
                            felonious
                                    => 13763, felons  => 9098,
                            felony  => 3248, felt    => 428, feminine
                                    => 4580,
                            femme   => 10080, femmes  => 11368, femoral => 15545, femur   => 14890,
                            fence   => 2331, fenceline
                                    => 14889,
                            fences  => 5956, fending => 17212, fenelon => 21016, fenmore => 6556,
                            fennyman
                                    => 13762, fentanyl
                                    => 21015,
                            fergie  => 14888, fergus  => 6238, ferment => 17211, ferocious
                                    => 10799,
                            ferragamo
                                    => 7665, ferrars => 7565,
                            ferret  => 8955, ferrets => 14887, ferrie  => 8054, ferrini => 19509,
                            fertility
                                    => 5763, fertilize
                                    => 17210,
                            fertilizer
                                    => 9642, fervor  => 21014,
                            fest    => 4745, fester  => 12015, festering
                                    => 14297,
                            festive => 5068, festivities
                                    => 5955,
                            festivus
                                    => 9641, festus  => 21013,
                            fetal   => 6765, fetch   => 3280, fetched => 6839, fetching
                                    => 10532,
                            fetish  => 7383, fettes  => 6188, fetus   => 6926, fetuses => 11678,
                            fever   => 1685, feverish
                                    => 13264,
                            fevers  => 16315, few     => 264, fezzik  => 12396, fhloston
                                    => 14886,
                            fianc   => 15544, fiance  => 2851, fiancee => 2687, fiasco  => 5187,
                            fibber  => 19508, fibbing => 21012, fickle  => 8758, ficus   => 14296,
                            fiddle  => 6621, fiddling
                                    => 13761,
                            fidelity
                                    => 7168, fiderer => 18228,
                            fidgeting
                                    => 16314, fiefdom => 21011,
                            fieldstone
                                    => 19507, fiend   => 5579,
                            fiendish
                                    => 17209, fiends  => 11367,
                            fiercest
                                    => 21010, fiery   => 6620,
                            fifteen => 1058, fifties => 6065, fiftieth
                                    => 12801,
                            fifty   => 829, figger  => 11677, figgered
                                    => 12395,
                            fight   => 396, fightin => 6371, fighting
                                    => 750,
                            fights  => 2501, figment => 8757, figuratively
                                    => 8053,
                            figure  => 426, figured => 616, figurehead
                                    => 17208,
                            figuring
                                    => 3178, file    => 977,
                            files   => 1379, filet   => 10317, filibuster
                                    => 14885,
                            filing  => 3103, filipov => 18227, filko   => 19506, fill    => 990,
                            filled  => 1336, fillet  => 15543, fillets => 21009, fillin  => 18226,
                            filling => 2234, fillings
                                    => 13760,
                            fills   => 4926, filth   => 4507, filthy  => 2263, finagle => 19505,
                            finald  => 15542, finality
                                    => 21008,
                            finalize
                                    => 9097, finalizing
                                    => 18225,
                            finally => 408, financials
                                    => 21007,
                            finchley
                                    => 8458, finchy  => 17207,
                            find    => 110, finders => 12800, findin  => 21006, finding => 923,
                            finds   => 890, fine    => 127, finelli => 19504, finer   => 5329,
                            finesse => 8052, finessed
                                    => 21005,
                            finest  => 2082, finetti => 19503, finger  => 1119, fingerbang
                                    => 18224,
                            fingered
                                    => 9275, fingering
                                    => 15541,
                            fingernail
                                    => 8954, fingernails
                                    => 4462,
                            fingerpaint
                                    => 14884, fingerpainting
                                    => 21004,
                            fingerprint
                                    => 6016, fingerprinted
                                    => 15540,
                            fingerprinting
                                    => 15539, fingerprints
                                    => 2430,
                            fingers => 1281, fingertips
                                    => 6428,
                            finish  => 656, finito  => 12394, finster => 19502, fire    => 387,
                            fireball
                                    => 6302, fireballs
                                    => 13759,
                            firebug => 21003, firecracker
                                    => 12393,
                            firecrackers
                                    => 11676, fired   => 910,
                            firefight
                                    => 14883, fireflies
                                    => 12014,
                            firehouse
                                    => 12799, firelight
                                    => 18223,
                            fireman => 4823, firemen => 5627, fireplace
                                    => 3842,
                            fireplaces
                                    => 13263, firepower
                                    => 7382,
                            fireproof
                                    => 21002, fires   => 2930,
                            firestarter
                                    => 18222, firestorm
                                    => 17206,
                            firewall
                                    => 14882, firewater
                                    => 18221,
                            firewood
                                    => 9096, fireworks
                                    => 3003,
                            firing  => 2557, firmer  => 21001, firstborn
                                    => 7789,
                            firsthand
                                    => 5578, fish    => 899,
                            fishbowl
                                    => 16313, fished  => 9095,
                            fisherman
                                    => 5109, fishies => 21000,
                            fishin  => 11366, fishnet => 17205, fishsticks
                                    => 19501,
                            fishy   => 5909, fist    => 3341, fisted  => 14881, fistfight
                                    => 13758,
                            fistful => 18220, fists   => 6064, fits    => 2015, fitter  => 19500,
                            fittest => 13757, fitting => 3237, fitty   => 11365, fitzgeralds
                                    => 12798,
                            fitzwallace
                                    => 8600, fitzy   => 19499,
                            fiver   => 19498, fives   => 10316, fix     => 678, fixable => 18219,
                            fixated => 8599, fixating
                                    => 17204,
                            fixation
                                    => 8756, fixed   => 1404,
                            fixer   => 12392, fixes   => 7916, fixin   => 9640, fixing  => 2832,
                            fixings => 18218, fizzle  => 19497, fizzled => 14295, flabby  => 16312,
                            flagged => 10079, flagging
                                    => 19496,
                            flagpole
                                    => 10531, flail   => 19495,
                            flailing
                                    => 12797, flair   => 7004,
                            flaked  => 12013, flakes  => 7003, flaky   => 9274, flame   => 3162,
                            flamer  => 20999, flames  => 3069, flaming => 6187, flamingo
                                    => 10798,
                            flammable
                                    => 9273, flannel => 6504,
                            flapjacks
                                    => 14294, flapped => 20998,
                            flapping
                                    => 7788, flare   => 5411,
                            flared  => 13262, flares  => 8755, flaring => 17203, flash   => 1617,
                            flashbang
                                    => 20997, flashdance
                                    => 19494,
                            flashed => 6925, flashes => 4202, flashing
                                    => 4687,
                            flashlight
                                    => 4045, flashlights
                                    => 10315,
                            flashy  => 6186, flask   => 7167, flatbed => 14880, flatfoot
                                    => 15538,
                            flatline
                                    => 16311, flatlined
                                    => 19493,
                            flatten => 11083, flatter => 4482, flattered
                                    => 2498,
                            flatterer
                                    => 17202, flattering
                                    => 3712,
                            flatters
                                    => 20996, flattery
                                    => 6427,
                            flatulence
                                    => 19492, flatware
                                    => 19491,
                            flaubert
                                    => 19490, flaun   => 13261,
                            flaunt  => 7463, flaunting
                                    => 8598,
                            flavor  => 4291, flavored
                                    => 9272,
                            flavors => 8754, flaw    => 4290, flawed  => 7087, flawless
                                    => 6924,
                            flawlessly
                                    => 20995, flaws   => 6185,
                            flayed  => 20994, flea    => 4481, fleabag => 18217, fleas   => 5954,
                            flecks  => 19489, fledermaus
                                    => 20993,
                            fledged => 8320, fleece  => 14879, fleeting
                                    => 6923,
                            fleischman
                                    => 3236, flemmer => 16310,
                            flenders
                                    => 18216, flesh   => 1670,
                            flew    => 2022, flexing => 17201, flicked => 18215, flicker => 9639,
                            flickering
                                    => 11675, flicking
                                    => 13756,
                            flicks  => 9854, flier   => 7915, fliers  => 8457, flies   => 2811,
                            flighty => 14293, flimsy  => 8597, flinch  => 9638, flinched
                                    => 11082,
                            flinching
                                    => 19488, fling   => 3396,
                            flinging
                                    => 13755, flings  => 15537,
                            flintstone
                                    => 16309, flintstones
                                    => 20992,
                            flip    => 2099, flipped => 3841, flipper => 13754, flippers
                                    => 12012,
                            flipping
                                    => 4480, flips   => 7462,
                            flirt   => 4076, flirtation
                                    => 11081,
                            flirtatious
                                    => 17200, flirted => 8953,
                            flirting
                                    => 2741, flirts  => 15536,
                            flitting
                                    => 16308, float   => 3509,
                            floater => 13753, floatin => 15535, floating
                                    => 2674,
                            floats  => 6619, flock   => 5626, flogged => 18214, flogging
                                    => 13260,
                            floodgates
                                    => 18213, floor   => 703,
                            floorboard
                                    => 19487, floorboards
                                    => 12011,
                            floored => 14292, floorshow
                                    => 19486,
                            floozy  => 9094, flophouse
                                    => 15534,
                            flopped => 19485, flopping
                                    => 18212,
                            flops   => 12391, florin  => 17199, floris  => 10797, florist => 5577,
                            florists
                                    => 19484, floss   => 4891,
                            flossing
                                    => 12796, flotation
                                    => 18211,
                            flounder
                                    => 12390, floundering
                                    => 17198,
                            flower  => 1934, flowery => 15533, fluff   => 6764, fluffed => 20991,
                            fluffing
                                    => 17197, fluffy  => 4403,
                            fluids  => 4890, fluke   => 5953, flung   => 9637, flunk   => 6618,
                            flunked => 7086, flunkies
                                    => 14878,
                            flunking
                                    => 8596, flunky  => 11674,
                            flurries
                                    => 20990, flush   => 3168,
                            flushed => 4889, flushes => 16307, flustered
                                    => 9636,
                            flutie  => 17196, flutter => 10530, fluttering
                                    => 17195,
                            flyboy  => 20989, flyer   => 6125, flyin   => 8952, flying  => 1146,
                            foam    => 4461, foaming => 12795, foamy   => 13259, focker  => 8595,
                            focking => 20988, focussing
                                    => 20987,
                            fodder  => 13258, fogged  => 13257, foggiest
                                    => 11673,
                            foggy   => 11364, foghorn => 16306, foibles => 14877, foiled  => 12794,
                            foisting
                                    => 20986, fold    => 2914,
                            folder  => 6426, folders => 11363, folding => 5449, folks   => 1000,
                            folksy  => 17194, follicle
                                    => 18210,
                            follicles
                                    => 15532, follow  => 620,
                            followin
                                    => 18209, followup
                                    => 11672,
                            folly   => 10314, fomin   => 18208, fond    => 2426, fonder  => 12793,
                            fondest => 18207, fondle  => 17193, fondled => 17192, fondling
                                    => 17191,
                            fondly  => 11080, fondness
                                    => 10796,
                            fondue  => 9635, fonics  => 16305, fonzie  => 9634, food    => 516,
                            fool    => 811, fooled  => 2164, foolhardy
                                    => 18206,
                            foolin  => 9853, fooling => 2774, foolish => 2212, foolishly
                                    => 10795,
                            foolishness
                                    => 10078, foolproof
                                    => 6425,
                            fools   => 2966, foosball
                                    => 9093,
                            foot    => 919, footer  => 12389, foothold
                                    => 13752,
                            footing => 6370, footloose
                                    => 11079,
                            footnote
                                    => 12388, footprints
                                    => 5952,
                            footsie => 15531, footsies
                                    => 19483,
                            footsteps
                                    => 4386, footstool
                                    => 20985,
                            footwear
                                    => 10313, footwork
                                    => 13751,
                            forbid  => 2625, forbidden
                                    => 3781,
                            forbids => 13750, forceful
                                    => 9271,
                            forceps => 13256, fordson => 16304, foreal  => 19482, forearm => 12387,
                            forearms
                                    => 16303, foreclose
                                    => 16302,
                            foreclosed
                                    => 19481, forefathers
                                    => 12792,
                            forego  => 14291, foregone
                                    => 14290,
                            forehead
                                    => 3111, foreigner
                                    => 11362,
                            forensic
                                    => 4774, forensics
                                    => 2788,
                            foreplay
                                    => 6763, foresaw => 17190,
                            foresee => 9437, foreseeable
                                    => 8753,
                            foreseen
                                    => 11078, foresight
                                    => 17189,
                            foreskin
                                    => 20984, forethought
                                    => 20983,
                            foretold
                                    => 12010, forever => 530,
                            forewarned
                                    => 16301, forfeit => 7002,
                            forfeits
                                    => 19480, forgave => 3986,
                            forge   => 5576, forged  => 5290, forger  => 18205, forgery => 6424,
                            forget  => 259, forgetful
                                    => 12791,
                            forgets => 4479, forgettable
                                    => 17188,
                            forgettin
                                    => 15530, forgetting
                                    => 1857,
                            forging => 9633, forgive => 626, forgiven
                                    => 2528,
                            forgiveness
                                    => 2402, forgives
                                    => 8752,
                            forgiving
                                    => 3535, forgo   => 17187,
                            forgot  => 605, forgotten
                                    => 1196,
                            fork    => 2874, forked  => 14876, forklift
                                    => 9852,
                            forks   => 6838, formaldehyde
                                    => 11671,
                            formalities
                                    => 11361, formality
                                    => 5225,
                            fornicating
                                    => 20982, fornication
                                    => 20981,
                            forrester
                                    => 1160, forresters
                                    => 4559,
                            forsake => 19479, forsaken
                                    => 8176,
                            forsaking
                                    => 8751, forsley => 13749,
                            forth   => 1998, forthcoming
                                    => 6063,
                            forthright
                                    => 12386, forthwith
                                    => 17186,
                            forties => 8951, fortieth
                                    => 14875,
                            fortitude
                                    => 12790, fortuitous
                                    => 13255,
                            fortunate
                                    => 3235, fortunately
                                    => 2773,
                            fortune => 1344, fortuneteller
                                    => 11670,
                            forty   => 992, forward => 810, forwarded
                                    => 9270,
                            forwarding
                                    => 7564, fossilized
                                    => 19478,
                            foul    => 2537, fouled  => 12009, fountainhead
                                    => 17185,
                            fours   => 7563, foursome
                                    => 13748,
                            fourteen
                                    => 2037, fourty  => 19477,
                            foxbooks
                                    => 14874, foxhole => 12008,
                            foxholes
                                    => 19476, foxtrot => 16300,
                            foyer   => 6699, fracture
                                    => 5625,
                            fractured
                                    => 6301, fragile => 2787,
                            fragrance
                                    => 8456, fragrances
                                    => 15529,
                            fraid   => 6300, fraidy  => 19475, frail   => 9269, frailty => 18204,
                            fraiser => 11360, fraizh  => 7461, framed  => 3494, framers => 20980,
                            framing => 6503, francs  => 7085, frankenstein
                                    => 4191,
                            frankly => 1319, franky  => 16299, frannie => 6762, franny  => 13747,
                            frantic => 7265, frantically
                                    => 14873,
                            fras    => 4061, frasier => 597, frat    => 4250, fraternity
                                    => 4027,
                            fraternization
                                    => 20979, fraternizing
                                    => 11669,
                            fraud   => 2258, frauds  => 17184, fraught => 14872, fraulein
                                    => 11668,
                            frayed  => 12789, fraziers
                                    => 19474,
                            frazzled
                                    => 11667, freak   => 998,
                            freakazoid
                                    => 20978, freaked => 1559,
                            freakin => 3247, freaking
                                    => 1815,
                            freakish
                                    => 12385, freakishly
                                    => 16298,
                            freaks  => 2636, freakshow
                                    => 16297,
                            freaky  => 3110, freckle => 12384, freckles
                                    => 11359,
                            freckling
                                    => 17183, freddo  => 9436,
                            frederika
                                    => 17182, fredo   => 7381,
                            fredonia
                                    => 20977, fredrica
                                    => 19473,
                            freebie => 12007, freebies
                                    => 16296,
                            freeing => 7562, freelancer
                                    => 9632,
                            freelancing
                                    => 20976, freeloader
                                    => 18203,
                            freeloading
                                    => 20975, frees   => 11666,
                            freewald
                                    => 18202, freeways
                                    => 12788,
                            freeze  => 1371, freezer => 3643, freezers
                                    => 19472,
                            freezes => 7001, freezin => 18201, freezing
                                    => 1763,
                            frenchie
                                    => 18200, frenchies
                                    => 19471,
                            frenchmen
                                    => 13746, frenchy => 14871,
                            frenzy  => 6698, freon   => 14289, frere   => 15528, fresca  => 12787,
                            fresh   => 935, freshen => 3703, freshener
                                    => 13254,
                            freshening
                                    => 14870, fresher => 18199,
                            freshest
                                    => 19470, freshly => 7084,
                            freshman
                                    => 2950, freshmen
                                    => 6555,
                            freshness
                                    => 14869, fretting
                                    => 19469,
                            freud   => 4822, freudian
                                    => 10077,
                            frickin => 7000, fricking
                                    => 17181,
                            friday  => 1109, fridays => 7914, fridge  => 2518, fried   => 2456,
                            friend  => 208, friendless
                                    => 14288,
                            friendlier
                                    => 12383, friendliest
                                    => 20974,
                            friendly
                                    => 1508, friends => 252,
                            friendship
                                    => 1310, friendships
                                    => 7380,
                            fries   => 2090, friggin => 5448, frigging
                                    => 8319,
                            fright  => 6999, frighten
                                    => 3965,
                            frightened
                                    => 1786, frightening
                                    => 3021,
                            frighteningly
                                    => 16295, frightens
                                    => 7787,
                            frightful
                                    => 13253, frightfully
                                    => 20973,
                            frigid  => 9435, frills  => 18198, frilly  => 11077, frisco  => 12786,
                            frisky  => 9092, fritters
                                    => 20972,
                            frivolous
                                    => 7561, frizzies
                                    => 20971,
                            frizzy  => 14868, "fro'tak"
                                    => 15527,
                            frobisher
                                    => 10076, frock   => 11076,
                            frog    => 2692, frogger => 18197, froggy  => 16294, frogs   => 5447,
                            frolic  => 12785, frolicking
                                    => 11075,
                            fromberge
                                    => 20970, fromby  => 13745,
                            fronkonsteen
                                    => 18196, front   => 420,
                            fronting
                                    => 9851, froot   => 20969,
                            frostbite
                                    => 11665, frosted => 10529,
                            frosting
                                    => 9268, frosty  => 6237,
                            frothy  => 15526, froufrou
                                    => 20968,
                            frown   => 6015, frowned => 16293, frowning
                                    => 15525,
                            frowns  => 16292, froze   => 4428, frozen  => 1863, frugal  => 17180,
                            fruit   => 1800, fruitcake
                                    => 6369,
                            fruitful
                                    => 12382, fruitless
                                    => 14287,
                            fruity  => 7560, frumpy  => 15524, frustrated
                                    => 2913,
                            frustrates
                                    => 20967, frustrating
                                    => 3262,
                            frustration
                                    => 4863, frustrations
                                    => 11074,
                            frutt   => 10075, frying  => 7379, fuchsia => 19468, fuck    => 450,
                            "fuck're"
                                    => 19467, fucka   => 18195,
                            fucked  => 1403, fuckeen => 20966, fucker  => 3109, fuckers => 5867,
                            fuckface
                                    => 14286, fuckhead
                                    => 16291,
                            fuckin  => 955, fucking => 491, fucks   => 4126, fuckup  => 20965,
                            fuckwad => 19466, fuddy   => 15523, fudged  => 19465, fudging => 20964,
                            fuente  => 20963, fugimotto
                                    => 20962,
                            fugitive
                                    => 3642, fugitives
                                    => 8750,
                            fugue   => 10312, fuhrer  => 9850, fukes   => 13744, fukienese
                                    => 14867,
                            fulcrum => 20961, fulfill => 4044, fulfilled
                                    => 5538,
                            fulfilling
                                    => 5664, fulfillment
                                    => 8749,
                            fulfills
                                    => 16290, fulla   => 13252,
                            fullest => 8175, fumbling
                                    => 19464,
                            fumes   => 6423, fumigated
                                    => 14285,
                            fumigating
                                    => 19463, fumigation
                                    => 18194,
                            fun     => 313, fundamentals
                                    => 11073,
                            fundraiser
                                    => 4268, funeral => 1213,
                            funerals
                                    => 6837, funhouse
                                    => 9267,
                            funky   => 4249, funkytown
                                    => 20960,
                            funnier => 5866, funnies => 20959, funniest
                                    => 5446,
                            funny   => 361, furies  => 16289, furious => 2125, furiously
                                    => 17179,
                            furnace => 6124, furnish => 16288, furniture
                                    => 2085,
                            furrowed
                                    => 20958, furthest
                                    => 9266,
                            furtive => 18193, furtwangler
                                    => 6922,
                            fury    => 4998, fuse    => 4248, fuses   => 14866, fusilli => 17178,
                            fusion  => 2866, fusionlips
                                    => 17177,
                            fuss    => 3096, fussing => 6921, fussy   => 7664, futile  => 7913,
                            futility
                                    => 14284, futon   => 13251,
                            futterman
                                    => 14283, future  => 497,
                            futures => 6236, fuzzy   => 2786, fyarl   => 16287, "g'day" => 16286,
                            "g'head"
                                    => 19462, "g'night"
                                    => 8594,
                            gaaah   => 18192, gabbing => 13250, gabby   => 3578, gabe    => 5259,
                            gablyczyck
                                    => 19461, gachnar => 17176,
                            gadda   => 20957, gadget  => 9849, gadgets => 11072, gaffe   => 16285,
                            gagged  => 9848, gagging => 12381, gaggle  => 12006, gainful => 14865,
                            gainfully
                                    => 17175, gairwyn => 14282,
                            galactica
                                    => 7912, galahad => 11664,
                            galgenstein
                                    => 16284, gallbladder
                                    => 18191,
                            galley  => 10794, galling => 20956, gallivanting
                                    => 17174,
                            gallon  => 6235, gallons => 5908, galloping
                                    => 14281,
                            gallows => 13249, galls   => 15522, galore  => 12784, galoshes
                                    => 17173,
                            galvanized
                                    => 18190, gambled => 11071,
                            gambler => 6836, gamblers
                                    => 15521,
                            gambling
                                    => 2988, gamesphere
                                    => 10311,
                            gammy   => 10310, gamut   => 17172, gandarium
                                    => 17171,
                            gander  => 7911, gandhiji
                                    => 18189,
                            gandolf => 14864, gang    => 1622, gangbusters
                                    => 15520,
                            ganged  => 13743, ganging => 8593, gangland
                                    => 20955,
                            gangly  => 20954, gangrene
                                    => 12380,
                            gangs   => 6014, gangsta => 13248, gangster
                                    => 4956,
                            gangsters
                                    => 7559, gangway => 17170,
                            gangy   => 20953, ganja   => 19460, gantu   => 20952, ganz    => 4997,
                            ganza   => 6502, gaping  => 11358, garage  => 1421, garas   => 20951,
                            garba   => 19459, garbage => 1324, garbled => 16283, garbo   => 13247,
                            garcon  => 13246, gardener
                                    => 4558,
                            gardeners
                                    => 14863, gardenia
                                    => 15519,
                            gardenias
                                    => 13245, gardening
                                    => 6697,
                            gardino => 12379, gareth  => 8318, garfunkel
                                    => 17169,
                            gargantuan
                                    => 17168, gargle  => 16282,
                            gargling
                                    => 18188, gargoyle
                                    => 13742,
                            gargoyles
                                    => 13244, garish  => 20950,
                            garlic  => 3658, garnish => 14280, garretts
                                    => 19458,
                            garroway
                                    => 15518, garshaw => 17167,
                            garter  => 7558, garters => 20949, gasbag  => 20948, gasket  => 7786,
                            gaslight
                                    => 20947, gaslighting
                                    => 19457,
                            gasoline
                                    => 4366, gasped  => 19456,
                            gasping => 12783, gassed  => 12005, gasses  => 14279, gassy   => 18187,
                            gastro  => 20946, gate    => 1534, gatehouse
                                    => 9091,
                            gatekeeper
                                    => 13243, gather  => 2112,
                            gator   => 8950, gatorade
                                    => 11357,
                            gatsby  => 12378, gaudy   => 14862, gauging => 20945, gauze   => 7557,
                            gave    => 306, gavel   => 12377, gawking => 13741, gaydar  => 15517,
                            gayest  => 20944, gayness => 19455, gazebo  => 5865, gazed   => 18186,
                            gazelle => 13740, gazelles
                                    => 16281,
                            gazillion
                                    => 10309, gazillionth
                                    => 20943,
                            gazing  => 10793, gazpacho
                                    => 18185,
                            gazzo   => 16280, gear    => 2384, gearshift
                                    => 19454,
                            gecko   => 9631, geek    => 3020, geeks   => 5289, geeky   => 9847,
                            geese   => 8174, geez    => 1996, geeze   => 17166, geezer  => 8949,
                            geezers => 17165, geisha  => 16279, geishas => 19453, gekko   => 6299,
                            gelatin => 13739, gelato  => 19452, gelbman => 20942, gellar  => 10074,
                            gellers => 17164, gemini  => 4744, geminon => 14278, gemme   => 18184,
                            gendarme
                                    => 20941, generator
                                    => 4218,
                            generosity
                                    => 4686, generous
                                    => 1554,
                            generously
                                    => 9846, genetically
                                    => 4821,
                            genitals
                                    => 10308, genius  => 1472,
                            geniuses
                                    => 6368, gennero => 18183,
                            genoa   => 2383, gente   => 20940, gentle  => 2219, gentleman
                                    => 1594,
                            gentlemanly
                                    => 13738, gentlemen
                                    => 744,
                            gentler => 9845, gently  => 3485, gents   => 6998, genuine => 2845,
                            genuinely
                                    => 4888, georgio => 20939,
                            georgy  => 16278, geosynchronous
                                    => 20938,
                            geraniums
                                    => 15516, gerbil  => 11663,
                            gerbils => 20937, geriatric
                                    => 13242,
                            geriatrics
                                    => 20936, geritol => 12004,
                            germane => 16277, germs   => 4685, gerome  => 9265, gershwin
                                    => 10528,
                            gestapo => 7663, gestating
                                    => 19451,
                            gesture => 2357, gestures
                                    => 7264,
                            gesundheit
                                    => 10792, get     => 31,
                            "get'em"
                                    => 13241, getaway => 3761,
                            getcha  => 10791, gether  => 20935, gets    => 330, getter  => 12003,
                            gettin  => 1586, getting => 158, getup   => 9264, geyser  => 14861,
                            ghali   => 20934, ghandi  => 20933, ghastly => 9844, ghetto  => 5663,
                            ghettos => 20932, ghora   => 19450, ghost   => 1604, ghostbusters
                                    => 16276,
                            ghosts  => 2760, ghoul   => 6696, ghoulish
                                    => 20931,
                            ghouls  => 10527, giambetti
                                    => 20930,
                            gianelli
                                    => 15515, gianni  => 9434,
                            giant   => 1661, gibarian
                                    => 14277,
                            gibberish
                                    => 9843, giblets => 17163,
                            giddy   => 6367, giddyup => 13737, gift    => 688, gifted  => 4385,
                            gifts   => 1725, gigantic
                                    => 5499,
                            gigantor
                                    => 13240, giggle  => 8173,
                            gigglepuss
                                    => 19449, giggles => 13239,
                            giggling
                                    => 8317, giggly  => 20929,
                            gigolo  => 9433, gilardi => 14276, gilbey  => 19448, gilmores
                                    => 15514,
                            gimbal  => 17162, gimlet  => 20928, gimme   => 1433, gimmee  => 18182,
                            gimmick => 11356, gimmicks
                                    => 20927,
                            gimmie  => 18181, gingerbread
                                    => 8316,
                            gingham => 16275, ginseng => 20926, ginza   => 18180, giorno  => 12002,
                            giraffe => 9432, giraffes
                                    => 19447,
                            girdle  => 10790, girl    => 206, girlfriend
                                    => 702,
                            girlfriends
                                    => 2891, girlie  => 5141,
                            girlish => 10526, girls   => 475, girlscout
                                    => 19446,
                            girly   => 7166, girth   => 17161, gittes  => 5328, give    => 103,
                            giveaway
                                    => 9263, giver   => 7460,
                            givers  => 18179, gives   => 850, giveth  => 16274, givin   => 5108,
                            giving  => 469, gizmo   => 13736, gizmos  => 18178, gizzard => 14275,
                            glad    => 317, glades  => 13238, gladiator
                                    => 9262,
                            gladly  => 3395, glamor  => 20925, glamorama
                                    => 16273,
                            glamorous
                                    => 4820, glamour => 6298,
                            glance  => 5370, glanced => 11662, glances => 9261, glancing
                                    => 15513,
                            glands  => 7459, glare   => 8051, glares  => 18177, glaring => 12376,
                            glasses => 1453, glassware
                                    => 20924,
                            glassy  => 17160, glaucoma
                                    => 19445,
                            glazed  => 6617, gleam   => 13237, gleaming
                                    => 17159,
                            glengarry
                                    => 20923, glenville
                                    => 19444,
                            glimmer => 9842, glimpse => 4427, glimpsed
                                    => 19443,
                            glimpses
                                    => 15512, glint   => 17158,
                            glistening
                                    => 11355, glitch  => 5327,
                            glitches
                                    => 12782, glitter => 6920,
                            glittering
                                    => 17157, glitz   => 15511,
                            gloat   => 4506, gloating
                                    => 6761,
                            globes  => 12001, globetrotters
                                    => 19442,
                            glock   => 13735, gloom   => 7083, gloomy  => 7378, glorificus
                                    => 14274,
                            glorified
                                    => 8592, glorious
                                    => 3063,
                            gloriously
                                    => 20922, gloss   => 6760,
                            glove   => 3077, gloves  => 2093, glow    => 2486, glowed  => 15510,
                            glowing => 4217, glows   => 11354, glowy   => 19441, glscripts
                                    => 14860,
                            glue    => 3148, glued   => 5662, glues   => 20921, gluing  => 18176,
                            glutes  => 19440, glutton => 9841, gluttony
                                    => 12000,
                            glycerin
                                    => 19439, gnarly  => 15509,
                            gnats   => 18175, gnawing => 11661, gnome   => 8948, gnomes  => 10073,
                            go      => 44, "goa'uld"
                                    => 1995,
                            "goa'ulds"
                                    => 6366, goaded  => 16272,
                            goading => 12375, goalie  => 11660, goat    => 3042, goatee  => 10072,
                            gobble  => 9090, gobbledegook
                                    => 20920,
                            gobbledygook
                                    => 20919, gobbles => 8455,
                            goblet  => 11999, goblins => 13236, god     => 107, godammit
                                    => 11659,
                            godamn  => 19438, godawful
                                    => 19437,
                            goddam  => 3441, goddamit
                                    => 9630,
                            goddammit
                                    => 4247, goddamn => 1037,
                            goddamned
                                    => 3964, goddamnit
                                    => 3279,
                            goddaughter
                                    => 18174, goddess => 3062,
                            godfather
                                    => 3484, godforsaken
                                    => 6422,
                            godiva  => 13235, godless => 10525, godlike => 17156, godliness
                                    => 19436,
                            godly   => 20918, godmother
                                    => 5445,
                            godorsky
                                    => 14859, godparents
                                    => 11353,
                            gods    => 2419, godsake => 18173, godsakes
                                    => 16271,
                            godsend => 8454, godson  => 8050, godspeed
                                    => 9840,
                            godzilla
                                    => 10307, goebbels
                                    => 9431,
                            goes    => 405, goeth   => 13734, gofer   => 18172, goggle  => 17155,
                            goggles => 7662, goin    => 884, going   => 34, goingo  => 20917,
                            goiter  => 8315, goldenrod
                                    => 20916,
                            goldfish
                                    => 5661, goldilocks
                                    => 7165,
                            goldmuff
                                    => 20915, golfing => 7661,
                            goliath => 11658, golitsyn
                                    => 18171,
                            gollum  => 16270, golly   => 5140, gondola => 12781, gondorff
                                    => 14858,
                            gone    => 249, goner   => 6695, goners  => 18170, gonna   => 75,
                            gonorrhea
                                    => 6919, gonzo   => 12780,
                            goober  => 14273, goobers => 18169, gooble  => 18168, good    => 52,
                            goodbye => 952, goodbyes
                                    => 8172,
                            gooder  => 11070, gooders => 13733, goodes  => 17154, goodie  => 8314,
                            goodies => 6234, goodly  => 19435, goodness
                                    => 1075,
                            goodnight
                                    => 1694, goodspeed
                                    => 7263,
                            goodwill
                                    => 6554, goody   => 3019,
                            gooey   => 7377, goofball
                                    => 11998,
                            goofed  => 15508, goofing => 8049, goofy   => 4657, googly  => 20914,
                            gooks   => 16269, goona   => 19434, gooney  => 20913, goonie  => 18167,
                            goonies => 19433, goons   => 4716, goood   => 16268, gooood  => 16267,
                            goopy   => 19432, goose   => 2180, goosebumps
                                    => 12779,
                            goosed  => 15507, gopher  => 9430, gorak   => 11657, gordie  => 4925,
                            gordievsky
                                    => 14857, gordo   => 12374,
                            goren   => 11997, gorgeous
                                    => 1250,
                            gorignak
                                    => 15506, gorilla => 4862,
                            gorillas
                                    => 10524, gorky   => 10789,
                            gosh    => 865, gossamer
                                    => 11069,
                            gossip  => 2987, gossiping
                                    => 10071,
                            gossips => 18166, got     => 47, gotcha  => 2325, gotham  => 4426,
                            gotta   => 230, gotten  => 634, gouged  => 13234, gouging => 20912,
                            goulash => 19431, gourmet => 5258, governess
                                    => 9429,
                            gown    => 2642, gowns   => 6233, grab    => 827, grabbed => 1874,
                            grabbin => 17153, grabbing
                                    => 3860,
                            grabby  => 14272, grabs   => 4043, graceful
                                    => 7262,
                            gracefully
                                    => 8453, graceland
                                    => 13732,
                            graces  => 7556, gracias => 4924, gracing => 18165, gracious
                                    => 3534,
                            graciously
                                    => 8748, grad    => 4861,
                            grader  => 7164, graders => 5369, grading => 8452, gradski => 18164,
                            graft   => 11068, grafted => 16266, grafts  => 14856, grail   => 6501,
                            grainy  => 20911, gram    => 3922, gramma  => 18163, grampa  => 4103,
                            gramps  => 6918, grams   => 1812, gran    => 3936, grandad => 19430,
                            grandbaby
                                    => 18162, grandchild
                                    => 4887,
                            grandchildren
                                    => 3483, granddad
                                    => 3732,
                            granddaddy
                                    => 11996, granddaughter
                                    => 2611,
                            granddaughters
                                    => 13233, grander => 14855,
                            grandest
                                    => 16265, grandeur
                                    => 11656,
                            grandfather
                                    => 1171, grandfathers
                                    => 18161,
                            grandiose
                                    => 16264, grandkid
                                    => 20910,
                            grandkids
                                    => 8451, grandma => 1173,
                            grandmama
                                    => 10523, grandmother
                                    => 1181,
                            grandmothers
                                    => 14854, grandpa => 1588,
                            grandparent
                                    => 13232, grandparents
                                    => 3780,
                            grandson
                                    => 2310, grandstanding
                                    => 11352,
                            granilith
                                    => 8450, granma  => 18160,
                            granny  => 5498, granola => 11995, grape   => 4656, grapefruit
                                    => 5864,
                            grapes  => 4996, grapevine
                                    => 8947,
                            grasp   => 3825, grasped => 13231, grasping
                                    => 8591,
                            grasshopper
                                    => 9089, grasshoppers
                                    => 16263,
                            grata   => 15505, grated  => 19429, grateful
                                    => 1067,
                            gratification
                                    => 11655, gratified
                                    => 19428,
                            gratifying
                                    => 9428, grating => 16262,
                            gratitude
                                    => 2973, gratuitous
                                    => 9839,
                            gratuity
                                    => 18159, grave   => 1721,
                            gravedigger
                                    => 16261, gravesite
                                    => 18158,
                            gravest => 19427, graveyard
                                    => 4384,
                            graveyards
                                    => 20909, gravy   => 3921,
                            graynamore
                                    => 17152, grazed  => 11654,
                            grazie  => 6835, graziella
                                    => 7660,
                            grease  => 3550, greaseball
                                    => 18157,
                            greased => 9629, greasing
                                    => 20908,
                            greasy  => 4715, great   => 118, greatness
                                    => 5139,
                            greed   => 4402, greedy  => 3454, greenbacks
                                    => 16260,
                            greener => 12778, greenlee
                                    => 633,
                            greet   => 3920, greeting
                                    => 3919,
                            greetings
                                    => 4338, greets  => 14853,
                            greevey => 20907, greevy  => 11351, gremlin => 12373, grenade => 4819,
                            grendel => 9427, gretch  => 20906, gretel  => 2980, greystone
                                    => 13731,
                            gribbit => 13730, gribbs  => 11350, griddle => 13729, gridlock
                                    => 20905,
                            grief   => 1755, griet   => 8590, grievance
                                    => 13728,
                            grieve  => 4860, grieved => 15504, grieving
                                    => 3394,
                            grievous
                                    => 11067, griff   => 6184,
                            grift   => 14852, grifter => 11349, grifters
                                    => 20904,
                            grigio  => 18156, grill   => 3132, grilled => 5224, grilling
                                    => 6616,
                            grills  => 17151, grime   => 18155, grimlocks
                                    => 14851,
                            grimoir => 13727, grinch  => 11066, grind   => 4714, grinding
                                    => 7261,
                            grinds  => 20903, grindstone
                                    => 13726,
                            gringo  => 18154, grinning
                                    => 8171,
                            grins   => 18153, grip    => 2396, gripe   => 9426, gripes  => 20902,
                            griping => 19426, gripping
                                    => 14271,
                            grips   => 10070, grisly  => 9838, griss   => 15503, gristle => 17150,
                            grits   => 14270, gritty  => 11065, grizzly => 8747, groan   => 16259,
                            groaning
                                    => 17149, grocer  => 14269,
                            groceries
                                    => 4610, grocery => 3702,
                            grodin  => 20901, groggy  => 8313, groin   => 7376, groom   => 2356,
                            groomed => 8746, groomer => 20900, grooming
                                    => 7375,
                            groomsmen
                                    => 19425, groosalug
                                    => 7910,
                            groove  => 5575, groovy  => 4955, grope   => 14268, groped  => 18152,
                            groping => 8048, groppi  => 20899, grosses => 19424, grossie => 18151,
                            grossly => 14267, grotesque
                                    => 7555,
                            grotto  => 10522, grouch  => 18150, groucho => 19423, grouchy => 9837,
                            grounded
                                    => 2711, groundhog
                                    => 8170,
                            grounding
                                    => 10069, groundless
                                    => 17148,
                            groundskeeper
                                    => 13725, groundwork
                                    => 7554,
                            groupie => 7260, groupies
                                    => 8312,
                            grovel  => 7659, groveling
                                    => 7909,
                            grovelling
                                    => 16258, grow    => 956,
                            growed  => 16257, growin  => 13230, growl   => 6615, growling
                                    => 10788,
                            grown   => 1180, grownup => 5660, grownups
                                    => 6183,
                            grrrr   => 11653, grrrrrr => 19422, grubbing
                                    => 11652,
                            grubby  => 11994, grubs   => 18149, grudge  => 3304, grudges => 8449,
                            grudging
                                    => 19421, gruel   => 19420,
                            grueling
                                    => 11348, gruesome
                                    => 8047,
                            gruff   => 15502, grumbling
                                    => 14850,
                            grump   => 16256, grumpy  => 5537, grunemann
                                    => 9260,
                            grunge  => 12372, grungy  => 12371, grunick => 20898, grunt   => 6297,
                            grunther
                                    => 20897, grunting
                                    => 11347,
                            gruntmaster
                                    => 18148, grunts  => 15501,
                            gstaad  => 15500, guacamole
                                    => 7658,
                            guapo   => 11993, guarantee
                                    => 1359,
                            guaranteed
                                    => 3406, guaranteeing
                                    => 13724,
                            guarantees
                                    => 4125, guard   => 954,
                            guarded => 4859, guardianship
                                    => 11992,
                            guarding
                                    => 5257, guardrail
                                    => 20896,
                            guards  => 1760, guava   => 20895, gucci   => 10306, guerillas
                                    => 20894,
                            guess   => 153, guessed => 2850, guesses => 5709, guessing
                                    => 1971,
                            guest   => 1028, guesthouse
                                    => 10068,
                            guests  => 1599, guidebook
                                    => 15499,
                            guilder => 13723, guillotine
                                    => 10067,
                            guilt   => 1445, guilted => 19419, guiltier
                                    => 15498,
                            guilty  => 748, guiness => 20893, guinevere
                                    => 12370,
                            guittierez
                                    => 8169, gulag   => 13722,
                            gullible
                                    => 5444, gulls   => 11064,
                            gumball => 13721, gumbel  => 20892, gumbo   => 11346, gummi   => 17147,
                            gummy   => 15497, gumption
                                    => 18147,
                            gumshoe => 17146, gun     => 535, gundersons
                                    => 18146,
                            gunfire => 6123, gunman  => 7082, gunna   => 8745, gunned  => 7374,
                            gunpoint
                                    => 6500, gunshot => 3894,
                            gunshots
                                    => 8311, gunsights
                                    => 14266,
                            gurgling
                                    => 19418, gusher  => 19417,
                            gushie  => 9628, gushing => 9627, gushy   => 19416, gusta   => 19415,
                            guster  => 19414, gusto   => 11651, guten   => 15496, gutiurrez
                                    => 12777,
                            gutless => 11650, guts    => 1447, gutsy   => 11345, gutted  => 11063,
                            gutter  => 4042, gutters => 8046, guttersnipe
                                    => 16255,
                            gutting => 17145, guy     => 136, "guy'd" => 16254, "guy'll"
                                    => 20891,
                            guys    => 141, "guys'd"
                                    => 16253,
                            "guys'll"
                                    => 11062, "guys're"
                                    => 18145,
                            guzzling
                                    => 12369, gwennie => 12368,
                            gyges   => 18144, gynaecologist
                                    => 13720,
                            gynecologist
                                    => 8168, gypped  => 20890,
                            gypsies => 7657, gypsy   => 4713, gyroscope
                                    => 16252,
                            "h'yah" => 19413, haaaa   => 19412, haaaaa  => 17144, haagen  => 17143,
                            haberdashery
                                    => 20889, habit   => 1947,
                            habits  => 3349, habitual
                                    => 15495,
                            habla   => 16251, hacene  => 18143, hacer   => 14849, hack    => 2890,
                            hacked  => 6296, hackers => 9836, hacking => 9088, hacks   => 7458,
                            hacksaw => 10305, hacky   => 19411, hadda   => 11061, hades   => 6421,
                            "hadn't"
                                    => 689, hafta   => 9087,
                            haggis  => 11991, haggle  => 11344, haggling
                                    => 13719,
                            hagitha => 16250, hagrid  => 18142, haha    => 4995, hahah   => 20888,
                            hahaha  => 6694, hahahaha
                                    => 11060,
                            hahahahaha
                                    => 14848, haiku   => 11343,
                            hail    => 3482, hair    => 492, hairball
                                    => 13718,
                            hairbrush
                                    => 9835, haircut => 3028,
                            haircuts
                                    => 10304, hairdo  => 9086,
                            hairdresser
                                    => 6917, hairdressers
                                    => 19410,
                            haired  => 4267, hairless
                                    => 12367,
                            hairline
                                    => 9425, hairnet => 19409,
                            hairs   => 3760, hairspray
                                    => 12776,
                            hairstyle
                                    => 11059, hairstyles
                                    => 17142,
                            hairy   => 3375, haise   => 14265, haklar  => 14264, hakuna  => 11649,
                            haladki => 11342, halberstam
                                    => 19408,
                            haldeman
                                    => 7081, haldol  => 13717,
                            haleh   => 19407, halfrek => 18141, halfway => 2108, halibut => 9834,
                            halitosis
                                    => 20887, halkein => 19406,
                            hallelujah
                                    => 4026, halliwell
                                    => 2901,
                            halliwells
                                    => 14263, hallo   => 8045,
                            hallor  => 20886, hallowed
                                    => 8448,
                            halloween
                                    => 1608, hallows => 15494,
                            hallucinate
                                    => 13716, hallucinating
                                    => 5067,
                            hallucination
                                    => 8310, hallucinations
                                    => 7163,
                            hallucinogen
                                    => 20885, hallway => 2107,
                            hallways
                                    => 8309, halothane
                                    => 17141,
                            halstrom
                                    => 14847, hamburger
                                    => 3918,
                            hamburgers
                                    => 5951, hammered
                                    => 7080,
                            hammering
                                    => 7553, hamper  => 9085,
                            hamptons
                                    => 6834, hamster => 5659,
                            hamsters
                                    => 9833, hamunaptra
                                    => 11341,
                            hand    => 336, handbag => 9259, handbags
                                    => 18140,
                            handbasket
                                    => 18139, handcuff
                                    => 11058,
                            handcuffed
                                    => 7656, handcuffs
                                    => 3493,
                            handed  => 1675, handedly
                                    => 6295,
                            handful => 3840, handgun => 8308, handguns
                                    => 13715,
                            handi   => 18138, handicapped
                                    => 5326,
                            handing => 3223, handiwork
                                    => 10787,
                            handkerchief
                                    => 8167, handle  => 466,
                            handlebars
                                    => 16249, handled => 1639,
                            handles => 4636, handling
                                    => 1953,
                            handmade
                                    => 10786, handoff => 20884,
                            handout => 9258, handouts
                                    => 12366,
                            handprint
                                    => 12775, handrail
                                    => 20883,
                            hands   => 388, handshake
                                    => 5223,
                            handsome
                                    => 1289, handsomely
                                    => 14262,
                            handsomer
                                    => 15493, handsomest
                                    => 12365,
                            handstand
                                    => 20882, handwriting
                                    => 3418,
                            handyman
                                    => 5950, hanen   => 15492,
                            hang    => 461, hangers => 11648, hangin  => 4684, hanging => 797,
                            hangman => 19405, hangnail
                                    => 20881,
                            hangout => 12364, hangouts
                                    => 19404,
                            hangover
                                    => 5624, hangovers
                                    => 18137,
                            hangs   => 3671, hankering
                                    => 11647,
                            hankey  => 4401, hankie  => 14261, hanky   => 8044, hannibal
                                    => 2986,
                            hansom  => 20880, hanta   => 20879, hanukkah
                                    => 7908,
                            hapless => 15491, happen  => 225, happend => 16248, happened
                                    => 146,
                            happenin
                                    => 8589, happening
                                    => 552,
                            happenings
                                    => 14260, happens => 438,
                            happier => 1642, happiest
                                    => 2324,
                            happily => 1883, happiness
                                    => 1120,
                            happy   => 203, harass  => 4505, harassed
                                    => 7907,
                            harassing
                                    => 3430, harassment
                                    => 3147,
                            harboring
                                    => 9084, harbouring
                                    => 19403,
                            harbucks
                                    => 13714, harcesis
                                    => 19402,
                            hard    => 235, hardass => 20878, hardball
                                    => 6759,
                            hardened
                                    => 9626, hardens => 19401,
                            harder  => 1217, hardest => 2801, hardheaded
                                    => 16247,
                            hardly  => 926, hardon  => 11340, hardship
                                    => 8043,
                            hardwired
                                    => 17140, hardworking
                                    => 10303,
                            harebrained
                                    => 15490, harem   => 12774,
                            harlin  => 6916, harlot  => 17139, harm    => 1343, harmed  => 6553,
                            harming => 8307, harmless
                                    => 2912,
                            harmony => 1189, harmsway
                                    => 8042,
                            harnessed
                                    => 18136, harpies => 14846,
                            harping => 8946, harpo   => 20877, harpoon => 15489, harpoons
                                    => 19400,
                            harpy   => 9083, harrassment
                                    => 14845,
                            harridan
                                    => 19399, harrowing
                                    => 18135,
                            harsh   => 2497, harshly => 9257, hartmans
                                    => 8945,
                            harts   => 10302, "harvey'll"
                                    => 20876,
                            hasenfuss
                                    => 11646, "hasn't"
                                    => 544,
                            hassle  => 3963, hassled => 10301, hassles => 11057, hassling
                                    => 5907,
                            hasta   => 7906, haste   => 8041, hasten  => 19398, hatched => 8944,
                            hatches => 15488, hatchet => 4923, hatching
                                    => 10521,
                            hate    => 302, hated   => 1123, hateful => 4635, hater   => 13713,
                            hates   => 1150, hathor  => 10520, hating  => 2865, hatred  => 3131,
                            hats    => 3041, hatsue  => 17138, haughty => 14259, haul    => 2810,
                            hauled  => 6552, haulin  => 20875, hauling => 6499, hauls   => 19397,
                            haunt   => 3533, haunted => 3330, haunting
                                    => 6013,
                            haunts  => 6758, have    => 13, "haven't"
                                    => 216,
                            haveo   => 19396, havesham
                                    => 11645,
                            havin   => 3348, having  => 223, havoc   => 4309, havta   => 20874,
                            hawkeye => 4557, hawking => 12773, hawkland
                                    => 20873,
                            hayloft => 13712, hayseed => 19395, haystack
                                    => 8447,
                            haywire => 9832, hazelnut
                                    => 19394,
                            hazing  => 12772, hazmat  => 16246, "he'd"  => 569, "he'll" => 400,
                            "he's"  => 63, head    => 253, headache
                                    => 1856,
                            headaches
                                    => 3508, headband
                                    => 14844,
                            headboard
                                    => 12771, headdress
                                    => 15487,
                            headed  => 1238, headfirst
                                    => 17137,
                            headgear
                                    => 12770, headhunter
                                    => 10300,
                            headin  => 8446, heading => 1365, headless
                                    => 8943,
                            headlight
                                    => 16245, headlights
                                    => 6614,
                            headline
                                    => 4954, headlines
                                    => 4994,
                            headlock
                                    => 18134, headlong
                                    => 20872,
                            headmistress
                                    => 16244, headphones
                                    => 7552,
                            headpiece
                                    => 19393, heads   => 1112,
                            headset => 11990, headsets
                                    => 20871,
                            headshot
                                    => 15486, headstart
                                    => 20870,
                            headstone
                                    => 13711, headstrong
                                    => 10785,
                            headway => 8942, heal    => 1833, healed  => 3824, healer  => 7373,
                            healers => 20869, healing => 2686, heals   => 6613, healthier
                                    => 7079,
                            healthiest
                                    => 9831, healthilizer
                                    => 17136,
                            healthy => 1234, heap    => 5368, heaped  => 20868, heaping => 17135,
                            hear    => 167, heard   => 217, hearin  => 14843, hearing => 821,
                            hears   => 2364, hearsay => 9082, hearse  => 9625, hearst  => 6062,
                            heart   => 275, heartache
                                    => 4266,
                            heartbeat
                                    => 2827, heartbeats
                                    => 20867,
                            heartbreak
                                    => 6012, heartbreaker
                                    => 7457,
                            heartbreaking
                                    => 7655, heartbroken
                                    => 5574,
                            heartburn
                                    => 8744, hearted => 4124,
                            heartfelt
                                    => 6915, hearth  => 11056,
                            heartless
                                    => 4060, hearts  => 1572,
                            heartsick
                                    => 15485, heartstrings
                                    => 16243,
                            heartthrob
                                    => 19392, heartwarming
                                    => 8941,
                            hearty  => 6833, heat    => 1223, heathcliff
                                    => 12769,
                            heathen => 14842, heathens
                                    => 19391,
                            heatshield
                                    => 19390, heave   => 5708,
                            heaved  => 18133, heaven  => 1077, heavenly
                                    => 4528,
                            heavens => 2772, heaving => 12768, heavyset
                                    => 19389,
                            hebbing => 18132, hebrews => 18131, hecate  => 13710, heckle  => 17134,
                            heckled => 19388, heckles => 9424, heckling
                                    => 19387,
                            hectic  => 6011, hecuba  => 7372, hedda   => 20866, heddy   => 9423,
                            hedging => 19386, hedriks => 16242, heebie  => 11644, heeey   => 20865,
                            heel    => 3731, heeled  => 15484, heels   => 2541, heeyy   => 14841,
                            hefty   => 7785, heheh   => 9256, hehehe  => 14258, heheheh => 19385,
                            heheheheh
                                    => 20864, heheheheheh
                                    => 19384,
                            hehey   => 16241, heifer  => 18130, heigh   => 10066, heighten
                                    => 19383,
                            heightened
                                    => 7371, heimlich
                                    => 11339,
                            heinie  => 13229, heinous => 8040, heirloom
                                    => 8039,
                            heirlooms
                                    => 15483, heist   => 6997,
                            helicopter
                                    => 2556, helipad => 18129,
                            hell    => 181, "hell'd"
                                    => 13228,
                            "hell're"
                                    => 19382, hella   => 9830,
                            hellbent
                                    => 9422, hellfire
                                    => 10065,
                            hellhole
                                    => 6232, hellhound
                                    => 20863,
                            hellish => 9255, hellmouth
                                    => 6693,
                            hello   => 193, helloo  => 19381, hellooo => 11055, helloooo
                                    => 15482,
                            hellstrom
                                    => 13709, helluva => 4556,
                            helmet  => 3440, helmets => 8038, helmsley
                                    => 20862,
                            helmut  => 7370, help    => 105, helped  => 768, helper  => 5367,
                            helpers => 11989, helpful => 2019, helpin  => 10519, helping => 694,
                            helpless
                                    => 2189, helplessly
                                    => 14840,
                            helplessness
                                    => 20861, helpmann
                                    => 14257,
                            helps   => 1516, hematoma
                                    => 10784,
                            hemery  => 20860, hemline => 20859, hemlines
                                    => 20858,
                            hemlock => 12767, hemoglobin
                                    => 13227,
                            hemolytic
                                    => 18128, hemorrhage
                                    => 10518,
                            hemorrhaging
                                    => 8445, hemorrhoid
                                    => 9829,
                            hemorrhoids
                                    => 10299, henchman
                                    => 15481,
                            hendler => 13708, henhouse
                                    => 18127,
                            hennifer
                                    => 20857, hennigans
                                    => 18126,
                            henny   => 18125, henslowe
                                    => 13707,
                            heparin => 11054, hepatitis
                                    => 5707,
                            heppleman
                                    => 19380, herbal  => 4683,
                            herbalist
                                    => 16240, herbie  => 10783,
                            herbs   => 6010, here    => 32, "here's"
                                    => 470,
                            hereafter
                                    => 14256, hereby  => 3577,
                            herein  => 17133, heretofore
                                    => 16239,
                            hergott => 18124, hermano => 9254, hermaphrodite
                                    => 20856,
                            hermey  => 18123, hermione
                                    => 15480,
                            herndorff
                                    => 14839, hernia  => 8306,
                            hernias => 19379, herniated
                                    => 20855,
                            hero    => 1082, heroic  => 4190, heroics => 10064, heroin  => 3347,
                            herpes  => 7905, herrero => 14838, hers    => 1585, herself => 658,
                            hershe  => 18122, "heru'ur"
                                    => 19378,
                            hesitant
                                    => 12363, hesitate
                                    => 3687,
                            hesitated
                                    => 7551, hesitates
                                    => 14837,
                            hesitating
                                    => 9421, hesitation
                                    => 6009,
                            hessian => 13706, hetero  => 13705, heterosexual
                                    => 7369,
                            hetson  => 13704, heurh   => 20854, hewwo   => 18121, hexavalent
                                    => 18120,
                            hexes   => 19377, hexton  => 17132, hey     => 62, heyyy   => 12362,
                            hibernating
                                    => 15479, hibiscus
                                    => 20853,
                            hiccup  => 19376, hiccups => 9624, hidden  => 1754, hide    => 788,
                            hideaway
                                    => 9420, hideous => 3374,
                            hideously
                                    => 12766, hides   => 6182,
                            hidin   => 14255, hiding  => 906, hieroglyphics
                                    => 16238,
                            hieroglyphs
                                    => 17131, highball
                                    => 20852,
                            highlighters
                                    => 19375, highness
                                    => 2957,
                            hightail
                                    => 13226, hightailed
                                    => 16237,
                            hijack  => 11338, hijacked
                                    => 11053,
                            hijinks => 14836, hike    => 3009, hiked   => 13703, hiker   => 13225,
                            hikes   => 16236, hikita  => 16235, hilarious
                                    => 4146,
                            hilarity
                                    => 20851, hildie  => 17130,
                            hillbillies
                                    => 20850, hillbilly
                                    => 8940,
                            hillnigger
                                    => 18119, him     => 45,
                            hindquarters
                                    => 16234, hindsight
                                    => 11643,
                            hinge   => 11337, hinges  => 7654, hinks   => 6231, hinky   => 19374,
                            hint    => 2084, hinting => 9419, hints   => 5573, hippest => 20849,
                            hippie  => 5222, hippies => 7368, hippity => 17129, hippo   => 12765,
                            hippocratic
                                    => 16233, hippopotamus
                                    => 13702,
                            hippos  => 20848, hippy   => 11052, hips    => 4478, hire    => 1243,
                            hired   => 1111, hires   => 7550, hiring  => 2864, hirohito
                                    => 16232,
                            hiromitsu
                                    => 14254, hirschmuller
                                    => 11988,
                            hissed  => 18118, hisself => 12361, hisses  => 20847, hissing => 14253,
                            hissy   => 11051, histamine
                                    => 16231,
                            histrionics
                                    => 16230, hit     => 358,
                            hitch   => 4075, hitched => 5623, hitchhike
                                    => 15478,
                            hitchhiker
                                    => 12764, hitchhikers
                                    => 18117,
                            hitchhiking
                                    => 10298, hitching
                                    => 13224,
                            hither  => 11050, hitman  => 14835, hittin  => 8444, hitting => 1496,
                            hives   => 6008, hiya    => 3246, hmm     => 202, hmmm    => 2012,
                            hmmmm   => 7784, hmmmmm  => 20846, hmmph   => 15477, hoagie  => 15476,
                            hoarding
                                    => 13223, hoarse  => 19373,
                            hoaxes  => 20845, hobbes  => 15475, hobbies => 6914, hobbits => 20844,
                            hobble  => 19372, hobbling
                                    => 19371,
                            hobby   => 3234, hobnob  => 16229, hobnobbing
                                    => 16228,
                            hoboes  => 19370, hoboken => 8939, hockley => 14252, hocks   => 20843,
                            hocus   => 10297, hoedown => 19369, hoffa   => 11049, hogging => 9081,
                            hogwallop
                                    => 20842, hogwarts
                                    => 19368,
                            hogwash => 14251, hoist   => 13222, hoisting
                                    => 20841,
                            hoity   => 14834, hokey   => 10296, hold    => 243, holdin  => 6420,
                            holding => 682, holdup  => 7549, hole    => 1086, holed   => 5809,
                            holes   => 2330, holiday => 1656, holidays
                                    => 1771,
                            holier  => 8037, holies  => 20840, holiest => 17128, holiness
                                    => 7078,
                            holing  => 20839, hollandaise
                                    => 14833,
                            hollerin
                                    => 19367, hollering
                                    => 11642,
                            hollers => 19366, holling => 5221, hollow  => 2378, hollowed
                                    => 14250,
                            hologram
                                    => 10295, holster => 8743,
                            holy    => 1132, hombre  => 9080, hombres => 19365, homebake
                                    => 20838,
                            homebody
                                    => 20837, homeboy => 9828,
                            homeboys
                                    => 14832, homecoming
                                    => 3261,
                            homegirl
                                    => 17127, homeless
                                    => 2377,
                            homely  => 14831, homemade
                                    => 6294,
                            homemaker
                                    => 11987, homeopathic
                                    => 18116,
                            homeroom
                                    => 8305, homerun => 17126,
                            homesick
                                    => 6007, homework
                                    => 1544,
                            homewrecker
                                    => 19364, homey   => 5572,
                            homicidal
                                    => 5497, homicide
                                    => 2555,
                            homicides
                                    => 9623, homie   => 12360,
                            homies  => 14830, homily  => 18115, homing  => 7456, homo    => 4477,
                            homos   => 12359, homosexual
                                    => 4476,
                            homosexuals
                                    => 8304, honcho  => 11336,
                            hondo   => 9827, honed   => 13221, honest  => 573, honestly
                                    => 917,
                            honesty => 1910, honey   => 218, honeymoon
                                    => 1400,
                            honeymooners
                                    => 18114, honeymooning
                                    => 13220,
                            honeymoons
                                    => 19363, honeys  => 10782,
                            honeysuckle
                                    => 17125, honing  => 16227,
                            honkin  => 19362, honking => 10517, honks   => 18113, honky   => 12763,
                            honor   => 563, honorable
                                    => 2710,
                            honorably
                                    => 17124, honored => 2300,
                            honoring
                                    => 6419, honto   => 19361,
                            hooch   => 11641, hoochie => 11048, hooded  => 13701, hoodlum => 10516,
                            hoodlums
                                    => 12762, hoods   => 11335,
                            hoodwinked
                                    => 17123, hooey   => 11334,
                            hook    => 1204, hooked  => 1855, hookers => 5658, hooking => 4993,
                            hookup  => 15474, hooky   => 7653, hooligan
                                    => 11986,
                            hooligans
                                    => 12358, hoooo   => 14829,
                            hoopla  => 12357, hoops   => 4265, hooray  => 3859, hoosegow
                                    => 18112,
                            hoot    => 5220, hootchie
                                    => 18111,
                            hootenanny
                                    => 18110, hooter  => 17122,
                            hooters => 6692, hootie  => 11333, hooves  => 12356, hope    => 200,
                            hoped   => 1899, hopeful => 4308, hopefully
                                    => 1549,
                            hopeless
                                    => 2546, hopelessly
                                    => 7162,
                            hopelessness
                                    => 17121, hopes   => 1659,
                            hopin   => 9079, hoping  => 635, hopped  => 6006, hopping => 5571,
                            hoppy   => 17120, hopsfield
                                    => 19360,
                            horatio => 8742, hordes  => 12761, horizons
                                    => 9622,
                            hormonal
                                    => 8938, hormone => 6061,
                            hormones
                                    => 3481, horndog => 18109,
                            horns   => 4579, horny   => 3809, horoscope
                                    => 9418,
                            horoscopes
                                    => 17119, horrace => 19359,
                            horrendous
                                    => 6913, horrible
                                    => 793,
                            horribly
                                    => 5066, horrid  => 9078,
                            horrific
                                    => 7259, horrified
                                    => 6293,
                            horrifying
                                    => 6832, horrors => 7652,
                            hors    => 5366, horseback
                                    => 6996,
                            horsehair
                                    => 20836, horseman
                                    => 7161,
                            horseradish
                                    => 14249, horseshit
                                    => 9826,
                            horsies => 14248, horsing => 13700, horsting
                                    => 14828,
                            hose    => 3233, hosed   => 17118, hoser   => 12355, hosers  => 20835,
                            hoses   => 11985, hosing  => 20834, hospitable
                                    => 11984,
                            hospital
                                    => 347, hospitality
                                    => 6060,
                            hostage => 2337, hostages
                                    => 3346,
                            hostess => 4289, hostile => 2748, hostiles
                                    => 12354,
                            hostility
                                    => 4246, hosty   => 18108,
                            hot     => 427, hotbed  => 20833, hotcakes
                                    => 18107,
                            hotdog  => 9253, hotdogs => 13219, hotel   => 666, hothead => 12353,
                            hotheaded
                                    => 19358, hothouse
                                    => 18106,
                            hotline => 6498, hots    => 4992, hotshot => 5570, hotspot => 12760,
                            hotspots
                                    => 19357, hotter  => 4743,
                            hottest => 3532, hottie  => 4425, hotties => 10515, hotwire => 19356,
                            houdini => 6995, houmfort
                                    => 12352,
                            hound   => 4475, hounded => 11640, hounding
                                    => 6691,
                            hounds  => 7783, houngan => 17117, hour    => 454, hourglass
                                    => 3686,
                            hours   => 385, housebroken
                                    => 19355,
                            housecleaning
                                    => 18105, houseguest
                                    => 8303,
                            housekeeper
                                    => 4460, housekeeping
                                    => 7160,
                            housewarming
                                    => 9621, housewife
                                    => 6690,
                            housework
                                    => 11047, hovel   => 15473,
                            hovercraft
                                    => 17116, hoverdrone
                                    => 15472,
                            hovering
                                    => 4742, how     => 46,
                            "how'd" => 787, "how'll"
                                    => 19354,
                            "how'm" => 11332, "how're"
                                    => 2816,
                            "how's" => 432, "how've"
                                    => 6831,
                            howbout => 19353, howdy   => 2889, howlin  => 20832, howling => 7904,
                            howya   => 19352, hoynes  => 5186, hsing   => 12759, hubald  => 19351,
                            hubba   => 11046, hubbub  => 17115, hubby   => 5410, hubcaps => 19350,
                            hubris  => 17114, huckabees
                                    => 8443,
                            huckleberry
                                    => 8741, huckster
                                    => 20831,
                            huddle  => 6912, huddled => 9620, huddling
                                    => 16226,
                            huevos  => 11331, huffed  => 17113, huffing => 18104, huffy   => 14247,
                            huge    => 791, hugest  => 15471, hugged  => 6418, hugger  => 14827,
                            huggers => 20830, huggin  => 18103, hugging => 4609, huggy   => 20829,
                            huh     => 142, huhuh   => 12758, hulking => 19349, hullo   => 14826,
                            humanity
                                    => 3139, humanly => 7077,
                            humbled => 10294, humbling
                                    => 18102,
                            humbly  => 10063, humbug  => 18101, humdinger
                                    => 18100,
                            humidifier
                                    => 20828, humidor => 18099,
                            humiliate
                                    => 3373, humiliated
                                    => 2854,
                            humiliates
                                    => 20827, humiliating
                                    => 2844,
                            humiliation
                                    => 3245, humiliations
                                    => 15470,
                            humility
                                    => 5906, hummed  => 20826,
                            humming => 6757, hummm   => 19348, hummus  => 12351, humongous
                                    => 10514,
                            humons  => 18098, humor   => 1658, humored => 20825, humoring
                                    => 13218,
                            humorless
                                    => 15469, humour  => 4712,
                            hump    => 5185, humpback
                                    => 20824,
                            humped  => 12757, humperdinck
                                    => 11045,
                            humph   => 19347, humping => 8588, humps   => 18097, humpty  => 14246,
                            humus   => 19346, humvee  => 16225, hunch   => 3002, hunchback
                                    => 14825,
                            hunched => 17112, hunches => 12350, hundred => 482, hundredth
                                    => 8166,
                            hunger  => 3917, hungover
                                    => 15468,
                            hungry  => 820, hunh    => 5409, hunhh   => 20823, hunk    => 3876,
                            hunker  => 18096, hunks   => 13699, hunky   => 6830, hunnert => 14245,
                            hunsecker
                                    => 8302, hunted  => 5107,
                            huntin  => 10513, hunting => 1907, hunts   => 10781, hurled  => 10780,
                            hurrah  => 7903, hurray  => 12756, hurried => 14824, hurry   => 650,
                            hurrying
                                    => 9252, hurt    => 227,
                            hurtful => 5365, hurtin  => 10293, hurting => 1027, hurtling
                                    => 14823,
                            hurts   => 1008, husband => 362, husbands
                                    => 3730,
                            huseni  => 16224, hush    => 2785, hushed  => 19345, hushpuppies
                                    => 20822,
                            husks   => 17111, husky   => 12755, hussy   => 8442, hustle  => 4773,
                            hustled => 11330, hustler => 7782, hustling
                                    => 11329,
                            hutch   => 6994, huzzah  => 17110, hydrant => 11328, hydrate => 15467,
                            hydrated
                                    => 17109, hydraulics
                                    => 17108,
                            hydrochloric
                                    => 15466, hydrochloride
                                    => 19344,
                            hydrolase
                                    => 18095, hyeah   => 20821,
                            hyena   => 11044, hyenas  => 9251, hygiene => 5863, hygienic
                                    => 20820,
                            hygienist
                                    => 17107, hymie   => 18094,
                            hyped   => 11983, hyper   => 6292, hyperactive
                                    => 13217,
                            hyperbole
                                    => 12754, hyperdrive
                                    => 9077,
                            hyperspace
                                    => 17106, hyperventilate
                                    => 13216,
                            hyperventilating
                                    => 9250,
                            hyphen  => 14822, hypnosis
                                    => 6911,
                            hypnotic
                                    => 11982, hypnotize
                                    => 8587,
                            hypnotized
                                    => 7159, hypochondriac
                                    => 14821,
                            hypocrisy
                                    => 7367, hypocrite
                                    => 3372,
                            hypocrites
                                    => 10292, hypocritical
                                    => 7076,
                            hypodermic
                                    => 13215, hypoglycemia
                                    => 10512,
                            hypoglycemic
                                    => 16223, hypotensive
                                    => 19343,
                            hypotenuse
                                    => 20819, hypothermia
                                    => 7258,
                            hypothetical
                                    => 6005, hypothetically
                                    => 5256,
                            hypothyroidism
                                    => 16222, hysterectomy
                                    => 11639,
                            hysteria
                                    => 8586, hysteric
                                    => 20818,
                            hysterical
                                    => 3278, hysterically
                                    => 17105,
                            hysterics
                                    => 13214, i       => 2,
                            "i'd"   => 135, "i'd've"
                                    => 14820,
                            "i'i'm" => 18093, "i'll"  => 61, "i'm"   => 11, "i'mma" => 10291,
                            "i've"  => 81, iambic  => 17104, ibuprofen
                                    => 18092,
                            icarus  => 12349, ice     => 693, iceberg => 6122, icebergs
                                    => 19342,
                            icebox  => 14819, iced    => 3291, icehouse
                                    => 10062,
                            iceman  => 13213, icepick => 16221, ichabod => 9619, ichiro  => 13698,
                            icicle  => 19341, icicles => 18091, icing   => 7781, idea    => 187,
                            idealist
                                    => 17103, idealistic
                                    => 10290,
                            ideas   => 1184, idiocy  => 12753, idiosyncrasies
                                    => 19340,
                            idiot   => 831, idiotic => 4655, idiots  => 2821, iditarod
                                    => 18090,
                            idlewild
                                    => 15465, idling  => 19339,
                            "idn't" => 20817, idolized
                                    => 14818,
                            idolizes
                                    => 16220, idyllic => 14817,
                            if      => 37, igloo   => 11638, ignite  => 13212, ignition
                                    => 6551,
                            ignoramus
                                    => 15464, ignorance
                                    => 5949,
                            ignorant
                                    => 4682, ignore  => 1418,
                            ignored => 3465, ignores => 9249, ignoring
                                    => 3001,
                            iguana  => 6291, iguanas => 11981, illegal => 1553, illegally
                                    => 5325,
                            illegals
                                    => 20816, illegible
                                    => 18089,
                            illiterate
                                    => 10779, illogical
                                    => 15463,
                            illuminate
                                    => 11980, illuminating
                                    => 13211,
                            illusion
                                    => 3212, illusions
                                    => 5808,
                            illustrious
                                    => 8301, imaginable
                                    => 9825,
                            imaginary
                                    => 4337, imagination
                                    => 1854,
                            imaginations
                                    => 13210, imaginative
                                    => 8740,
                            imagine => 587, imagined
                                    => 2119,
                            imagines
                                    => 14816, imagining
                                    => 2800,
                            imbalance
                                    => 10778, imbecile
                                    => 9618,
                            imbeciles
                                    => 14815, imbecilic
                                    => 20815,
                            imbedded
                                    => 20814, imhotep => 14244,
                            imipenem
                                    => 19338, imitate => 9248,
                            imitating
                                    => 12348, imitation
                                    => 5905,
                            immaterial
                                    => 14814, immature
                                    => 3729,
                            immaturity
                                    => 18088, immerse => 14813,
                            immobile
                                    => 20813, immobilize
                                    => 17102,
                            immodest
                                    => 20812, immoral => 5255,
                            immortal
                                    => 4634, immortality
                                    => 7651,
                            immune  => 3626, immunity
                                    => 3962,
                            immutable
                                    => 17101, impala  => 17100,
                            impale  => 20811, impaled => 14812, impart  => 11979, impartial
                                    => 7455,
                            impasse => 10777, impassioned
                                    => 19337,
                            impatience
                                    => 17099, impatient
                                    => 4741,
                            impeach => 12752, impeached
                                    => 19336,
                            impeccable
                                    => 5364, impediment
                                    => 11637,
                            impediments
                                    => 18087, impeding
                                    => 18086,
                            impenetrable
                                    => 10289, imperative
                                    => 5363,
                            imperfection
                                    => 17098, imperfections
                                    => 14243,
                            imperious
                                    => 20810, impersonal
                                    => 9617,
                            impersonate
                                    => 9076, impersonated
                                    => 12751,
                            impersonating
                                    => 5948, impersonation
                                    => 11043,
                            impersonator
                                    => 13697, impertinent
                                    => 14242,
                            impervious
                                    => 14241, impetuous
                                    => 14811,
                            implant => 6365, implanted
                                    => 8937,
                            implants
                                    => 7257, implausible
                                    => 17097,
                            implicate
                                    => 7075, implicates
                                    => 17096,
                            implicating
                                    => 13696, implication
                                    => 8739,
                            implode => 11327, imploding
                                    => 18085,
                            implore => 8936, implosion
                                    => 16219,
                            imply   => 4740, implying
                                    => 3130,
                            impolite
                                    => 10061, important
                                    => 311,
                            importante
                                    => 20809, importantly
                                    => 3076,
                            importer
                                    => 13209, impose  => 5443,
                            imposition
                                    => 9616, impossibility
                                    => 11978,
                            impossible
                                    => 867, impossibly
                                    => 12347,
                            imposter
                                    => 6417, impostor
                                    => 7366,
                            impostors
                                    => 20808, impotence
                                    => 17095,
                            impotent
                                    => 7650, impound => 10060,
                            impounded
                                    => 15462, impractical
                                    => 10288,
                            impregnable
                                    => 16218, impregnate
                                    => 16217,
                            impregnated
                                    => 12346, impress => 2344,
                            impressed
                                    => 1484, impresses
                                    => 16216,
                            impressing
                                    => 12750, impression
                                    => 1533,
                            impressionable
                                    => 7548, impressionists
                                    => 19335,
                            impressions
                                    => 5254, impressive
                                    => 1871,
                            impressively
                                    => 20807, imprinted
                                    => 20806,
                            imprison
                                    => 20805, improbable
                                    => 11326,
                            impromptu
                                    => 7780, improprieties
                                    => 20804,
                            impropriety
                                    => 13208, improv  => 11042,
                            improvise
                                    => 6364, improvising
                                    => 15461,
                            imprudent
                                    => 20803, impudence
                                    => 19334,
                            impudent
                                    => 17094, impulse => 3366,
                            impulses
                                    => 5807, impulsive
                                    => 4459,
                            impulsively
                                    => 12749, impunity
                                    => 17093,
                            impure  => 10776, inaccuracies
                                    => 18084,
                            inadequacies
                                    => 20802, inadequacy
                                    => 13207,
                            inadmissible
                                    => 9417, inadvertently
                                    => 8441,
                            inalienable
                                    => 16215, inane   => 10511,
                            inanimate
                                    => 11325, inappropriate
                                    => 2599,
                            inappropriately
                                    => 17092,
                            inarticulate
                                    => 20801, inasmuch
                                    => 18083,
                            inbound => 10287, inbred  => 13695, inbreeding
                                    => 19333,
                            incacha => 16214, incan   => 13694, incantation
                                    => 8585,
                            incantations
                                    => 11636, incapable
                                    => 4245,
                            incapacitate
                                    => 18082, incapacitated
                                    => 6497,
                            incarcerate
                                    => 19332, incarcerated
                                    => 8165,
                            incarceration
                                    => 8738, incarnate
                                    => 10510,
                            incas   => 19331, incase  => 18081, incendiary
                                    => 13693,
                            incense => 10286, incensed
                                    => 18080,
                            incentive
                                    => 5536, incessant
                                    => 11041,
                            incessantly
                                    => 18079, incest  => 13206,
                            incestuous
                                    => 19330, inch    => 2039,
                            incidentally
                                    => 6612, incidentals
                                    => 20800,
                            incinerate
                                    => 13692, incinerated
                                    => 13691,
                            incinerator
                                    => 11977, incision
                                    => 6756,
                            incisors
                                    => 16213, inclement
                                    => 20799,
                            inclined
                                    => 5184, incognito
                                    => 12345,
                            incoherent
                                    => 14240, incoherently
                                    => 20798,
                            incoming
                                    => 4365, incommunicado
                                    => 15460,
                            incomparable
                                    => 15459, incompetence
                                    => 6290,
                            incompetent
                                    => 4608, incompletes
                                    => 20797,
                            incomprehensible
                                    => 13205,
                            inconceivable
                                    => 9615, inconclusive
                                    => 11040,
                            inconsequential
                                    => 20796,
                            inconsiderate
                                    => 7902, inconsolable
                                    => 19329,
                            inconspicuous
                                    => 17091, incontrovertible
                                    => 20795,
                            inconvenience
                                    => 4424, inconvenienced
                                    => 11324,
                            inconveniencing
                                    => 19328,
                            inconvenient
                                    => 6416, incorrigible
                                    => 11635,
                            incredible
                                    => 843, incredibly
                                    => 1503,
                            incriminate
                                    => 5862, incriminating
                                    => 4922,
                            incrimination
                                    => 19327, incubator
                                    => 8300,
                            incubators
                                    => 19326, incur   => 11634,
                            incurable
                                    => 11323, indebted
                                    => 9247,
                            indecent
                                    => 9824, indecision
                                    => 17090,
                            indecisive
                                    => 16212, indeed  => 1329,
                            indeedy => 11633, indefensible
                                    => 15458,
                            indefinable
                                    => 20794, indefinitely
                                    => 4818,
                            indelicate
                                    => 19325, indentation
                                    => 20793,
                            indescribable
                                    => 14239, indescribably
                                    => 20792,
                            indestructible
                                    => 9246, indeterminate
                                    => 13204,
                            indication
                                    => 4041, indict  => 17089,
                            indictment
                                    => 7158, indictments
                                    => 15457,
                            indifference
                                    => 10059, indifferent
                                    => 10058,
                            indigestion
                                    => 8935, indignant
                                    => 15456,
                            indignation
                                    => 9614, indignities
                                    => 17088,
                            indignity
                                    => 16211, indio   => 17087,
                            indiscreet
                                    => 17086, indiscretion
                                    => 7901,
                            indiscretions
                                    => 17085, indispensable
                                    => 12344,
                            indisposed
                                    => 11322, indisputable
                                    => 20791,
                            individuality
                                    => 13203, indoors => 8164,
                            indubitably
                                    => 20790, inducement
                                    => 15455,
                            indulge => 5065, indulged
                                    => 14238,
                            indulgence
                                    => 11976, indulgent
                                    => 7900,
                            indulging
                                    => 9245, industrious
                                    => 11975,
                            indy    => 5106, inebriated
                                    => 16210,
                            inedible
                                    => 15454, ineffectual
                                    => 11321,
                            inept   => 8737, inequities
                                    => 20789,
                            inevitability
                                    => 15453, inevitable
                                    => 2979,
                            inevitably
                                    => 6910, inexcusable
                                    => 8299,
                            inexperience
                                    => 13690, inexperienced
                                    => 7649,
                            inexplicable
                                    => 12343, infact  => 20788,
                            infallible
                                    => 11974, infamy  => 17084,
                            infantery
                                    => 14237, infantile
                                    => 9416,
                            infarction
                                    => 12748, infatuated
                                    => 8934,
                            infatuation
                                    => 7899, infect  => 7779,
                            infected
                                    => 3138, infecting
                                    => 10285,
                            infection
                                    => 2610, infects => 17083,
                            inferiority
                                    => 13689, infernal
                                    => 11632,
                            inferno => 6415, infertile
                                    => 14810,
                            infestation
                                    => 13202, infested
                                    => 6289,
                            infidelities
                                    => 18078, infidelity
                                    => 7256,
                            infierno
                                    => 6755, infiltrate
                                    => 6993,
                            infinitum
                                    => 20787, infirmary
                                    => 6414,
                            inflame => 15452, inflamed
                                    => 13688,
                            inflatable
                                    => 10509, inflate => 17082,
                            inflated
                                    => 10284, inflating
                                    => 18077,
                            inflexible
                                    => 15451, inflict => 7365,
                            infliction
                                    => 19324, info    => 3531,
                            infomercial
                                    => 12342, inform  => 3118,
                            informant
                                    => 5040, informants
                                    => 10775,
                            informative
                                    => 10774, informed
                                    => 2418,
                            informer
                                    => 12747, infra   => 19323,
                            infraction
                                    => 12746, infringe
                                    => 20786,
                            infuriate
                                    => 18076, infuriates
                                    => 19322,
                            infuriating
                                    => 7547, infusing
                                    => 20785,
                            ingenious
                                    => 8036, ingenue => 15450,
                            ingenuity
                                    => 11039, ingest  => 15449,
                            ingested
                                    => 9613, ingesting
                                    => 20784,
                            ingrate => 10508, ingrates
                                    => 13201,
                            ingratitude
                                    => 19321, ingredient
                                    => 5657,
                            ingrown => 20783, inhalation
                                    => 10283,
                            inhale  => 8035, inhaled => 10057, inhaler => 10056, inhaling
                                    => 13200,
                            inherit => 5138, inheritance
                                    => 4163,
                            inherits
                                    => 15448, inhibitions
                                    => 11320,
                            inhuman => 8933, inhumane
                                    => 13199,
                            inigo   => 12341, ining   => 20782, initials
                                    => 4102,
                            inject  => 5861, injected
                                    => 5288,
                            injecting
                                    => 10773, injection
                                    => 4145,
                            injections
                                    => 8440, injector
                                    => 19320,
                            injun   => 11973, injunction
                                    => 7454,
                            injuns  => 16209, injure  => 11631, injustice
                                    => 5496,
                            inkling => 10282, inlaid  => 19319, inlay   => 16208, inmate  => 5535,
                            innards => 19318, innermost
                                    => 11972,
                            innit   => 9823, innkeeper
                                    => 14236,
                            innocence
                                    => 3108, innocencia
                                    => 11319,
                            innocent
                                    => 772, innocently
                                    => 12340,
                            innocents
                                    => 6754, innocuous
                                    => 14235,
                            innuendo
                                    => 9822, innuendoes
                                    => 17081,
                            inopportune
                                    => 17080, inquire => 10772,
                            inquiries
                                    => 9244, inquiring
                                    => 11038,
                            inquisition
                                    => 8034, inquisitive
                                    => 16207,
                            inquisitor
                                    => 18075, inroads => 19317,
                            insane  => 1020, insanely
                                    => 7898,
                            insanity
                                    => 2635, insatiable
                                    => 7778,
                            inscrutable
                                    => 19316, insect  => 4578,
                            insectopia
                                    => 13198, insecure
                                    => 2799,
                            insecurities
                                    => 5806, insecurity
                                    => 6611,
                            inseminated
                                    => 18074, insemination
                                    => 10771,
                            insensitive
                                    => 2896, insensitivity
                                    => 19315,
                            inseparable
                                    => 8439, inside  => 392,
                            insider => 7777, insides => 6059, insidious
                                    => 9821,
                            insight => 3823, insightful
                                    => 8438,
                            insights
                                    => 7074, insignificant
                                    => 5534,
                            insincere
                                    => 13197, insinuate
                                    => 11037,
                            insinuated
                                    => 15447, insinuating
                                    => 6058,
                            insinuations
                                    => 14809, insipid => 13687,
                            insist  => 1666, insisted
                                    => 2305,
                            insistent
                                    => 9820, insisting
                                    => 4216,
                            insists => 4504, insolence
                                    => 13196,
                            insolent
                                    => 8298, insomnia
                                    => 6413,
                            inspect => 7897, inspector
                                    => 1966,
                            inspirational
                                    => 8437, inspire => 3985,
                            inspires
                                    => 8163, inspiring
                                    => 4458,
                            install => 5569, instant => 2349, instantaneously
                                    => 20781,
                            instantly
                                    => 4307, instep  => 17079,
                            instigate
                                    => 20780, instigator
                                    => 17078,
                            instill => 17077, instilled
                                    => 19314,
                            instinct
                                    => 2389, instinctive
                                    => 16206,
                            instinctively
                                    => 8162, instincts
                                    => 1882,
                            instruct
                                    => 8297, instructing
                                    => 12745,
                            instructions
                                    => 2163, instructive
                                    => 16205,
                            instyle => 20779, insubordinate
                                    => 16204,
                            insubordination
                                    => 10507,
                            insufferable
                                    => 6829, insulin => 6288,
                            insult  => 2148, insulted
                                    => 3303,
                            insulting
                                    => 3196, insults => 4633,
                            insurance
                                    => 1349, insure  => 8584,
                            insured => 8033, insuring
                                    => 19313,
                            insurmountable
                                    => 14234, integrity
                                    => 2593,
                            intellect
                                    => 6363, intellectually
                                    => 9243,
                            intelligent
                                    => 2348, intelligently
                                    => 17076,
                            intend  => 1440, intense => 1832, intensely
                                    => 8583,
                            intention
                                    => 1822, intentional
                                    => 6828,
                            intentionally
                                    => 3984, intentioned
                                    => 17075,
                            intentions
                                    => 2592, intently
                                    => 17074,
                            intents => 16203, intercede
                                    => 14808,
                            intercept
                                    => 5656, intercepting
                                    => 14807,
                            intercom
                                    => 7896, intercostal
                                    => 20778,
                            intercourse
                                    => 6362, intercranial
                                    => 18073,
                            interested
                                    => 606, interestin
                                    => 19312,
                            interesting
                                    => 665, interfacing
                                    => 19311,
                            interfere
                                    => 2138, interfered
                                    => 6287,
                            interference
                                    => 3549, interferes
                                    => 11630,
                            interfering
                                    => 3588, interferon
                                    => 16202,
                            intergalactic
                                    => 11036, interject
                                    => 19310,
                            interloper
                                    => 20777, interlude
                                    => 11629,
                            interminable
                                    => 20776, intermission
                                    => 8736,
                            intern  => 3492, interning
                                    => 11971,
                            internist
                                    => 18072, interns => 6689,
                            internship
                                    => 5533, interpol
                                    => 6496,
                            interpret
                                    => 5805, interrogate
                                    => 5362,
                            interrogated
                                    => 7453, interrogating
                                    => 6286,
                            interrogation
                                    => 3188, interrogations
                                    => 19309,
                            interrupt
                                    => 1446, interrupted
                                    => 2900,
                            interrupting
                                    => 1962, interruption
                                    => 5324,
                            interruptions
                                    => 6121, interruptus
                                    => 19308,
                            intertwined
                                    => 11628, interviewing
                                    => 4711,
                            intestine
                                    => 11318, intestines
                                    => 8436,
                            intimacy
                                    => 4162, intimate
                                    => 2414,
                            intimated
                                    => 17073, intimately
                                    => 7648,
                            intimates
                                    => 20775, intimidate
                                    => 4858,
                            intimidated
                                    => 3983, intimidating
                                    => 6412,
                            intolerable
                                    => 8735, intolerant
                                    => 10055,
                            intoxicating
                                    => 8296, intoxication
                                    => 15446,
                            intravenously
                                    => 19307, intrepid
                                    => 16201,
                            intricacies
                                    => 16200, intrigue
                                    => 6827,
                            intrigued
                                    => 5495, intriguing
                                    => 4654,
                            intro   => 6909, introduce
                                    => 1527,
                            introductions
                                    => 8435, intros  => 19306,
                            intrude => 4555, intruded
                                    => 19305,
                            intruder
                                    => 3329, intruders
                                    => 8932,
                            intruding
                                    => 5947, intrusion
                                    => 7776,
                            intrusive
                                    => 10770, intubate
                                    => 10054,
                            intubated
                                    => 20774, intuition
                                    => 5904,
                            intuitions
                                    => 20773, intuitive
                                    => 8582,
                            inuit   => 8295, inuvik  => 20772, invade  => 5323, invading
                                    => 6495,
                            invalid => 6181, invalidate
                                    => 14806,
                            invaluable
                                    => 8294, invent  => 5064,
                            invented
                                    => 2624, inventing
                                    => 11035,
                            inventory
                                    => 3808, invest  => 4008,
                            investigating
                                    => 2598, investigation
                                    => 1207,
                            investigator
                                    => 3260, invigorated
                                    => 19304,
                            invigorating
                                    => 13195, invincible
                                    => 5804,
                            invisibility
                                    => 13686, invisible
                                    => 2401,
                            invitation
                                    => 1753, invitations
                                    => 3328,
                            invite  => 1208, invited => 937, inviting
                                    => 2408,
                            invitro => 17072, invoice => 11627, invoices
                                    => 13194,
                            invoke  => 9415, invoking
                                    => 16199,
                            involuntary
                                    => 10506, involve => 2532,
                            invulnerable
                                    => 10769, ipecac  => 19303,
                            iranoff => 13193, irate   => 10768, irishman
                                    => 11034,
                            irked   => 16198, ironclad
                                    => 11626,
                            ironed  => 15445, ironic  => 2568, ironies => 17071, ironing => 8581,
                            irony   => 3270, irrational
                                    => 3794,
                            irrationally
                                    => 17070, irredeemable
                                    => 20771,
                            irrefutable
                                    => 16197, irregularity
                                    => 20770,
                            irrelevant
                                    => 3935, irreparable
                                    => 12339,
                            irreplaceable
                                    => 10053, irrepressible
                                    => 20769,
                            irresistable
                                    => 18071, irresistible
                                    => 4244,
                            irresponsibility
                                    => 15444,
                            irresponsible
                                    => 3244, irresponsibly
                                    => 20768,
                            irreversible
                                    => 11033, irrevocable
                                    => 16196,
                            irrevocably
                                    => 17069, irrigate
                                    => 17068,
                            irritability
                                    => 16195, irritable
                                    => 8293,
                            irritate
                                    => 7775, irritated
                                    => 7255,
                            irritates
                                    => 16194, irritating
                                    => 5183,
                            isabela => 15443, "isn't" => 137, isolate => 6610, issacs  => 15442,
                            it      => 6, "it'd"  => 1130, "it'll" => 402, "it's"  => 22, itch    => 4817,
                            itches  => 8734, itching => 5903, itchy   => 6057, item    => 2382,
                            itinerary
                                    => 5706, ivories => 14233,
                            ixnay   => 16193, izzat   => 20767, jabba   => 9242, jabber  => 14805,
                            jabbering
                                    => 17067, jabberjaw
                                    => 20766,
                            jabbing => 20765, jabez   => 3839, jabot   => 2413, jackal  => 8161,
                            jackals => 13685, jackass => 3793, jackasses
                                    => 14804,
                            jacked  => 7774, jackers => 14803, jacket  => 1203, jackets => 5655,
                            jackhammer
                                    => 16192, jackin  => 16191,
                            jacking => 8931, jacko   => 9612, jackpot => 5219, jackrabbits
                                    => 20764,
                            jacks   => 2175, jacksons
                                    => 14232,
                            jacqnoud
                                    => 14231, jacuzzi => 5622,
                            jaded   => 8580, jafar   => 8160, jaffa   => 4144, jagielski
                                    => 20763,
                            jagoff  => 20762, jail    => 627, jailbait
                                    => 16190,
                            jailbird
                                    => 12744, jailbreak
                                    => 14802,
                            jailhouse
                                    => 8930, jails   => 16189,
                            jakey   => 11625, jakov   => 9414, jakovasaur
                                    => 15441,
                            jakovasaurs
                                    => 12338, jalapeno
                                    => 16188,
                            jalopy  => 14801, jammed  => 3464, jammer  => 15440, jammies => 10052,
                            jammin  => 14800, jamming => 8929, janeane => 16187, jango   => 14799,
                            janiro  => 19302, janitor => 3779, janitorial
                                    => 19301,
                            janitors
                                    => 14798, jankis  => 14797,
                            jankle  => 20761, janover => 12337, jargon  => 13684, jarmel  => 20760,
                            jarring => 17066, jaundice
                                    => 13683,
                            jaunt   => 17065, jaunty  => 20759, java    => 2597, javna   => 18070,
                            jawbone => 19300, jawed   => 14796, jax     => 701, jaywalking
                                    => 12743,
                            jazzed  => 8032, jealitosis
                                    => 20758,
                            jealous => 856, jealousy
                                    => 2545,
                            jeans   => 3259, jedediah
                                    => 20757,
                            jeebies => 10767, jeebs   => 16186, jeep    => 3518, jeepers => 14230,
                            jeeps   => 18069, jeesus  => 16185, jeeter  => 16184, jeeves  => 14795,
                            jeez    => 1464, jeeze   => 16183, jeffy   => 12742, jellies => 18068,
                            jello   => 5568, jelly   => 3759, jellybean
                                    => 18067,
                            jellyfish
                                    => 6992, jellyman
                                    => 20756,
                            jen     => 457, jenko   => 20755, jenoff  => 19299, jenzen  => 20754,
                            jeopardize
                                    => 3778, jeopardized
                                    => 10281,
                            jeopardizing
                                    => 8031, jeopardy
                                    => 4143,
                            jeric   => 14794, jeriko  => 15439, jerk    => 1045, jerked  => 8030,
                            jerkin  => 19298, jerking => 6908, jerkoff => 19297, jerks   => 4074,
                            jerky   => 5621, jerries => 18066, jesminder
                                    => 11970,
                            jessep  => 8928, jessy   => 20753, jests   => 20752, jetson  => 15438,
                            jetting => 16182, jettison
                                    => 14793,
                            jewbilee
                                    => 14229, jeweler => 9241,
                            jewelers
                                    => 14228, jewelry => 2173,
                            jewels  => 3558, jezebel => 14227, jezzie  => 16181, jiffy   => 9413,
                            jigalong
                                    => 18065, jiggle  => 10280,
                            jiggled => 20751, jiggling
                                    => 14226,
                            jiggly  => 17064, jiggy   => 10766, jigsaw  => 9819, jillefsky
                                    => 7773,
                            jilted  => 14225, jimbo   => 4710, jiminy  => 12741, jimmied => 20750,
                            jimmies => 15437, jimson  => 14792, jingle  => 4816, jingles => 9240,
                            jingling
                                    => 18064, jinx    => 4189,
                            jinxed  => 10505, jinxy   => 8927, jitters => 5322, jittery => 10051,
                            job     => 212, jobless => 17063, jobs    => 1510, jobson  => 18063,
                            jock    => 4953, jockeys => 13192, jocko   => 20749, jocks   => 8029,
                            jockstrap
                                    => 17062, jogger  => 12336,
                            jogging => 6056, join    => 741, jointed => 16180, joints  => 5567,
                            joists  => 20748, joke    => 753, joker   => 5762, jokers  => 11969,
                            jokes   => 1781, jokey   => 20747, jokin   => 11968, joking  => 1728,
                            joliet  => 12335, jolinar => 8292, jolla   => 14791, jollies => 13682,
                            jolson  => 19296, jondy   => 19295, jonesing
                                    => 14224,
                            jonestown
                                    => 20746, jonesy  => 16179,
                            jordie  => 19294, jordy   => 15436, jostled => 20745, jotted  => 18062,
                            joust   => 18061, joyful  => 11624, joyous  => 5803, joyride => 11317,
                            juanito => 17061, judas   => 6609, judge   => 707, judgement
                                    => 4815,
                            judgemental
                                    => 16178, judging => 2372,
                            judgment
                                    => 1693, judgmental
                                    => 5105,
                            judgments
                                    => 8733, juggernaut
                                    => 12740,
                            juggle  => 8926, juggling
                                    => 6907,
                            jughead => 14790, jugular => 9239, juice   => 1362, juiced  => 11623,
                            juicer  => 16177, juices  => 8732, juicy   => 3982, juilliard
                                    => 8291,
                            jujitsu => 18060, jujyfruit
                                    => 20744,
                            jukebox => 6120, julep   => 19293, julliard
                                    => 13681,
                            julyan  => 17060, jumba   => 19292, jumble  => 12739, jumbled => 18059,
                            jumbo   => 4474, jump    => 872, jumped  => 1605, jumpin  => 9238,
                            jumping => 1780, jumps   => 3807, jumpsuit
                                    => 12334,
                            jumpy   => 4681, juncture
                                    => 9412,
                            jungle  => 2531, jungles => 13191, junjun  => 19291, junk    => 1873,
                            junket  => 16176, junkie  => 5253, junkies => 8290, junky   => 15435,
                            junkyard
                                    => 10279, junshi  => 18058,
                            juries  => 11967, juror   => 7772, jurors  => 9237, jury    => 1279,
                            jussy   => 15434, just    => 16, justifiable
                                    => 9818,
                            justified
                                    => 4632, justifies
                                    => 7647,
                            justify => 2911, justifying
                                    => 11032,
                            juvenile
                                    => 3701, juvie   => 8579,
                            kabob   => 19290, kaboom  => 13680, kacl    => 4772, kafelnikov
                                    => 19289,
                            kaffee  => 8028, kafka   => 8434, kaggs   => 20743, kahuna  => 14223,
                            kaitlan => 13679, kakistos
                                    => 17059,
                            kaleidoscope
                                    => 12738, kalen   => 10050,
                            kamal   => 7771, kamerev => 20742, kamikaze
                                    => 10765,
                            kanamits
                                    => 18057, kangaroo
                                    => 6285,
                            kapowski
                                    => 17058, kaput   => 9817,
                            karajan => 20741, karak   => 17057, karaoke => 6753, karat   => 14789,
                            karate  => 5182, karenina
                                    => 18056,
                            kareoke => 19288, karikos => 18055, karinsky
                                    => 6180,
                            karlo   => 12737, karloff => 16175, karmic  => 10764, karnovsky
                                    => 14788,
                            karras  => 13190, kasdan  => 17056, kasnoff => 4215, katan   => 10049,
                            katarangura
                                    => 11622, katarina
                                    => 18054,
                            katmandu
                                    => 20740, katra   => 19287,
                            katya   => 13189, katzenmoyer
                                    => 17055,
                            kavorka => 20739, kawalsky
                                    => 11966,
                            kazootie
                                    => 17054, kazuo   => 14222,
                            keanu   => 14221, keats   => 13678, keaty   => 20738, kebab   => 16174,
                            kechner => 20737, keeled  => 17053, keep    => 129, keeper  => 3232,
                            keepers => 8578, keepin  => 6230, keeping => 687, keeps   => 854,
                            keepsake
                                    => 16173, keepsakes
                                    => 20736,
                            kegger  => 11965, keggers => 20735, kellman => 12736, kembu   => 14220,
                            kemosabe
                                    => 15433, kenaru  => 13677,
                            kendo   => 19286, kenji   => 14219, kenmore => 17052, kennedys
                                    => 12735,
                            kennel  => 11031, kennie  => 17051, kenosha => 15432, kenyons => 20734,
                            kept    => 560, kerosene
                                    => 13188,
                            kerouac => 15431, kesher  => 18053, ketch   => 18052, ketchup => 3602,
                            kettle  => 5802, keveral => 20733, kevie   => 20732, kevlar  => 17050,
                            kevvy   => 7254, kewpie  => 19285, keycard => 8289, keyed   => 10763,
                            keyhole => 11621, keymaster
                                    => 20731,
                            keypad  => 16172, keyworth
                                    => 20730,
                            khakis  => 13676, khasinau
                                    => 4040,
                            kholi   => 9075, kholokov
                                    => 19284,
                            khruschev
                                    => 9236, kibosh  => 12333,
                            kick    => 826, kickass => 19283, kickback
                                    => 19282,
                            kickbacks
                                    => 19281, kickball
                                    => 20729,
                            kicked  => 1342, kicker  => 6229, kickin  => 7546, kicking => 1872,
                            kicks   => 2882, kicky   => 19280, kid     => 314, "kid'll"
                                    => 19279,
                            kiddie  => 9816, kiddies => 6608, kiddin  => 4073, kidding => 442,
                            kiddo   => 2685, kidnap  => 2641, kidnapped
                                    => 1479,
                            kidnapper
                                    => 4577, kidnappers
                                    => 5902,
                            kidnapping
                                    => 1792, kidnappings
                                    => 10762,
                            kidnaps => 13187, kidnet  => 19278, kidney  => 2699, kidneys => 4814,
                            kids    => 290, "kids'll"
                                    => 17049,
                            kill    => 234, killed  => 346, killer  => 883, killers => 3161,
                            killin  => 6179, killing => 769, killington
                                    => 20728,
                            killjoy => 15430, kills   => 1710, kilos   => 6550, kilter  => 19277,
                            kimbrow => 16171, kimmy   => 10504, kimono  => 14218, kimota  => 19276,
                            kind    => 150, "kind'a"
                                    => 18051,
                            "kind've"
                                    => 14217, kinda   => 630,
                            kindergartners
                                    => 19275, kindest => 8027,
                            kindling
                                    => 11964, kindly  => 2309,
                            kindness
                                    => 3068, kinds   => 1434,
                            kinkaid => 18050, kinkle  => 5442, kinks   => 10503, kinky   => 4857,
                            kinross => 18049, kinsa   => 14787, kiosk   => 12734, kiowas  => 20727,
                            kipling => 11316, kippers => 16170, kippie  => 6826, kippur  => 9815,
                            kiriakis
                                    => 3302, kirkeby => 14786,
                            kirsty  => 7895, kismet  => 10048, kiss    => 503, kissable
                                    => 19274,
                            kissed  => 1137, kisser  => 5218, kisses  => 2843, kissin  => 12733,
                            kissing => 1122, kissy   => 8433, kitchen => 822, kitschy => 16169,
                            kitten  => 3961, kittens => 6361, kitties => 19273, kittridge
                                    => 13186,
                            kivar   => 7545, kiwanis => 19272, kleenex => 8288, klendathu
                                    => 18048,
                            kleynach
                                    => 18047, klicks  => 19271,
                            klingon => 13185, klorel  => 10761, klute   => 11030, klutz   => 6284,
                            klutzy  => 18046, kmart   => 19270, knack   => 5441, knackety
                                    => 19269,
                            knacks  => 20726, knapsack
                                    => 11620,
                            knee    => 2222, kneecap => 17048, kneecaps
                                    => 9814,
                            kneed   => 17047, kneel   => 7364, kneeling
                                    => 12332,
                            knees   => 1712, knelt   => 15429, knew    => 196, knickers
                                    => 7157,
                            knickety
                                    => 19268, knickknacks
                                    => 18045,
                            knicks  => 4653, knievel => 20725, knife   => 1240, knifed  => 17046,
                            knitted => 13184, knitting
                                    => 6494,
                            knives  => 4243, knknow  => 19267, knobby  => 18044, knobs   => 13183,
                            knock   => 848, knockdown
                                    => 17045,
                            knocked => 1488, knocker => 15428, knockers
                                    => 14785,
                            knockin => 9235, knocking
                                    => 2371,
                            knockoff
                                    => 12732, knocks  => 5039,
                            knot    => 3601, knots   => 4709, knotted => 14784, know    => 10,
                            knowakowski
                                    => 20724, knowed  => 14783,
                            knowin  => 10278, knowing => 761, knowingly
                                    => 8287,
                            knows   => 263, knuckle => 8731, knucklehead
                                    => 14782,
                            knuckleheads
                                    => 16168, knuckles
                                    => 6360,
                            koala   => 14781, kobol   => 14780, kodak   => 9611, komako  => 11029,
                            konoss  => 19266, kooks   => 18043, kooky   => 10277, kootchy => 19265,
                            kopalski
                                    => 13182, kopek   => 20723,
                            korben  => 10047, korsekov
                                    => 20722,
                            kosher  => 6607, kosygin => 13675, koufax  => 20721, kournikova
                                    => 19264,
                            kovich  => 6283, kovinsky
                                    => 20720,
                            kovitch => 19263, kowolski
                                    => 17044,
                            kowtow  => 20719, kozinski
                                    => 12731,
                            krabappel
                                    => 18042, krakatoa
                                    => 20718,
                            kramerica
                                    => 20717, kraut   => 11315,
                            krauts  => 16167, krazy   => 19262, kreigel => 17043, kremlin => 10276,
                            krendler
                                    => 17042, kreskin => 19261,
                            krevlorneswath
                                    => 13674, kringle => 15427,
                            krinkle => 17041, krispy  => 16166, kroehner
                                    => 8925,
                            kroff   => 16165, kronos  => 13673, kross   => 10502, kruczynski
                                    => 20716,
                            krudski => 8286, krusty  => 12331, krypton => 16164, kryptonite
                                    => 11619,
                            kuato   => 16163, kubelik => 6359, kubla   => 12330, kudos   => 8730,
                            kumbaya => 11618, kumquat => 16162, kundera => 17040, kundun  => 12730,
                            kurten  => 14779, kurtzweil
                                    => 14216,
                            kurzon  => 14215, kuzmich => 20715, kwaini  => 20714, kwang   => 8577,
                            kynaston
                                    => 5440, "l'amour"
                                    => 19260,
                            "l'italien"
                                    => 20713, labatier
                                    => 18041,
                            labored => 19259, laboring
                                    => 16161,
                            lace    => 5408, laced   => 7544, lacerated
                                    => 19258,
                            laceration
                                    => 10046, lacerations
                                    => 13181,
                            laces   => 14214, lachrymose
                                    => 20712,
                            lackeys => 11617, lacquer => 18040, lactic  => 18039, lactose => 15426,
                            ladder  => 2881, laddie  => 11028, laddies => 19257, ladies  => 629,
                            ladle   => 13672, ladman  => 17039, ladonn  => 18038, lads    => 4813,
                            lady    => 456, ladybird
                                    => 11314,
                            ladyship
                                    => 9411, laferette
                                    => 11313,
                            lafortunata
                                    => 20711, lagged  => 10760,
                            lagoda  => 17038, laguardia
                                    => 11963,
                            lahit   => 20710, lainey  => 10759, lakefront
                                    => 20709,
                            laker   => 14213, lakeside
                                    => 8576,
                            lakeview
                                    => 2634, lakhi   => 9074,
                            lalita  => 6906, laloosh => 12729, lamagra => 18037, lamaze  => 12329,
                            lambchop
                                    => 15425, lambda  => 7646,
                            lambeau => 18036, lamborghini
                                    => 12728,
                            lambs   => 6688, lame    => 1752, lameness
                                    => 19256,
                            lamest  => 11312, laminated
                                    => 14778,
                            lamotta => 8924, lamp    => 2655, lamppost
                                    => 11962,
                            lancelot
                                    => 3222, lancer  => 14777,
                            landingham
                                    => 5217, landlady
                                    => 6004,
                            landlord
                                    => 3685, landmines
                                    => 19255,
                            lando   => 7645, landok  => 14776, languishing
                                    => 17037,
                            lanky   => 19254, lanna   => 9073, lansbury
                                    => 10275,
                            lanterns
                                    => 11311, lanyard => 19253,
                            laparotomy
                                    => 16160, lapdog  => 13180,
                            lapel   => 11961, lapels  => 20708, lapping => 13671, lapse   => 6358,
                            lapsed  => 14775, lapses  => 9410, laptop  => 4101, larceny => 9409,
                            larch   => 9408, lardass => 10758, lardner => 18035, larek   => 11616,
                            larraby => 12727, laryngitis
                                    => 14774,
                            larynx  => 10757, lasagna => 8575, lasagne => 10045, lascivious
                                    => 14773,
                            lashed  => 9407, lashes  => 10044, lashing => 6752, lassie  => 8159,
                            lasskopf
                                    => 18034, last    => 128,
                            lasts   => 3641, laszlo  => 10501, latch   => 8158, latched => 13670,
                            lately  => 724, lateness
                                    => 16159,
                            laters  => 20707, latest  => 1662, latex   => 7253, lathe   => 13669,
                            lather  => 11960, latinos => 11310, lations => 20706, latka   => 19252,
                            latrine => 7363, latrines
                                    => 20705,
                            latte   => 3463, lattes  => 7770, laudanum
                                    => 20704,
                            laugh   => 898, laughable
                                    => 10043,
                            laughed => 2575, laugher => 20703, laughin => 7252, laughing
                                    => 1272,
                            laughingstock
                                    => 9610, laughlan
                                    => 14772,
                            laughs  => 2949, laughter
                                    => 4607,
                            launcelot
                                    => 11615, launder => 12328,
                            laundered
                                    => 13179, laundering
                                    => 8157,
                            laundromat
                                    => 7894, laundry => 1625,
                            laurels => 16158, lavatory
                                    => 16157,
                            lavery  => 4201, lavished
                                    => 19251,
                            lawford => 17036, lawful  => 8729, lawfully
                                    => 5654,
                            lawman  => 14771, lawmen  => 18033, lawn    => 2602, lawndale
                                    => 4100,
                            lawnmower
                                    => 8923, lawns   => 9609,
                            lawsuit => 2698, lawsuits
                                    => 6411,
                            lawyer  => 698, lawyered
                                    => 15424,
                            lawyering
                                    => 20702, lawyers => 1660,
                            laxative
                                    => 11959, laxatives
                                    => 19250,
                            layaway => 14770, layin   => 9234, laying  => 2304, laynie  => 7644,
                            layover => 16156, lazare  => 17035, lazarre => 15423, lazarro => 20701,
                            lazars  => 20700, lazerus => 17034, laziness
                                    => 14769,
                            lazy    => 3061, leadeth => 17033, leadin  => 20699, leafy   => 17032,
                            leak    => 2425, leaked  => 5946, leaking => 5321, leaky   => 8156,
                            leaned  => 6687, leanin  => 19249, leaning => 3743, leans   => 8285,
                            leap    => 2633, leaping => 9406, leaps   => 9405, leapt   => 11958,
                            learn   => 596, learned => 774, learner => 10500, learnin => 15422,
                            lease   => 3160, leash   => 4123, least   => 295, leather => 2336,
                            leave   => 162, leavin  => 6178, leaving => 419, lebowski
                                    => 5287,
                            lecter  => 4364, lecture => 1914, lecturing
                                    => 5860,
                            lederhosen
                                    => 18032, ledge   => 4631,
                            ledgers => 12726, leeches => 7362, leeloo  => 10756, leering => 10042,
                            leery   => 2771, leeway  => 11614, leezak  => 12725, lefferts
                                    => 12724,
                            leftenant
                                    => 14768, leftover
                                    => 6228,
                            leftovers
                                    => 5566, lefts   => 14767,
                            lefty   => 11613, legalities
                                    => 13178,
                            legalizing
                                    => 18031, legally => 2363,
                            legged  => 7156, leggo   => 15421, leggy   => 17031, legislate
                                    => 18030,
                            legit   => 4007, legitimate
                                    => 2831,
                            legitimize
                                    => 20698, legs    => 1138,
                            legwork => 9813, leisurely
                                    => 13668,
                            lemec   => 16155, lemkin  => 13667, lemme   => 2335, lemmings
                                    => 19248,
                            lemmiwinks
                                    => 15420, lemonade
                                    => 4527,
                            lemonlyman
                                    => 20697, lemony  => 17030,
                            lence   => 20696, lend    => 3313, leniency
                                    => 10041,
                            lenient => 10499, lennart => 20695, lentils => 18029, leopard => 5216,
                            leotard => 12327, leotards
                                    => 19247,
                            leper   => 9404, lepers  => 14766, lepner  => 17029, leprechaun
                                    => 8432,
                            leprechauns
                                    => 11027, leprosy => 11309,
                            leron   => 14765, lesabre => 14764, lesbian => 2469, lesbianism
                                    => 20694,
                            lesbians
                                    => 5801, lesbo   => 12326,
                            lesbos  => 16154, lesion  => 10498, lessee  => 18028, lesson  => 1210,
                            lessons => 2179, lestat  => 7251, lestercorp
                                    => 18027,
                            let     => 86, "let'em"
                                    => 20693,
                            "let's" => 114, letch   => 16153, letdown => 10755, lethal  => 3290,
                            lets    => 1411, letter  => 808, letterhead
                                    => 14763,
                            letterman
                                    => 7155, lettin  => 7769,
                            letting => 777, lettuce => 4856, leukemia
                                    => 6227,
                            leveled => 10754, levelheaded
                                    => 14762,
                            leverage
                                    => 3777, levitate
                                    => 11612,
                            levitation
                                    => 18026, levity  => 14761,
                            levon   => 9812, lewen   => 18025, lewises => 16152, lexie   => 1168,
                            lexter  => 17028, lhamo   => 19246, lhasa   => 10040, liable  => 5104,
                            liaison => 4991, liaisons
                                    => 20692,
                            liar    => 1096, liars   => 5181, libation
                                    => 19245,
                            libbets => 11611, liberace
                                    => 11308,
                            liberate
                                    => 10753, liberating
                                    => 10039,
                            liberte => 20691, libido  => 8728, librarian
                                    => 5252,
                            libris  => 19244, license => 1303, licious => 19243, lick    => 3060,
                            licked  => 6282, licker  => 19242, lickety => 11026, lickin  => 18024,
                            licking => 5320, licks   => 9811, licorice
                                    => 10274,
                            liddy   => 11025, lidocaine
                                    => 11610,
                            lie     => 443, liebchen
                                    => 19241,
                            liebkind
                                    => 14760, lied    => 722,
                            liesl   => 19240, lifeblood
                                    => 20690,
                            lifeguard
                                    => 9608, lifeguards
                                    => 20689,
                            lifeless
                                    => 9810, lifelike
                                    => 13177,
                            lifeline
                                    => 6991, lifer   => 18023,
                            lifers  => 17027, lifesaver
                                    => 6686,
                            lifesaving
                                    => 20688, lifestyles
                                    => 11024,
                            lifetime
                                    => 1321, lifetimes
                                    => 9072,
                            lift    => 1357, lifted  => 3075, lifting => 4214, liftoff => 15419,
                            lifts   => 6226, ligature
                                    => 15418,
                            lightbulb
                                    => 16151, lighten => 2609,
                            lightened
                                    => 14212, lightening
                                    => 12325,
                            lighter => 2815, lighters
                                    => 14759,
                            lightheaded
                                    => 9607, lighthearted
                                    => 18022,
                            lightly => 4213, lightness
                                    => 19239,
                            lightning
                                    => 2424, lights  => 1019,
                            ligourin
                                    => 20687, likable => 10752,
                            like    => 35, liked   => 771, likeness
                                    => 8026,
                            likes   => 749, likin   => 19238, liking  => 2924, lilac   => 14211,
                            lilacs  => 15417, lilah   => 5494, lilies  => 8727, lilith  => 3102,
                            lillienfield
                                    => 10751, limb    => 3277,
                            limber  => 15416, limbo   => 5180, lime    => 4855, limelight
                                    => 11957,
                            limericks
                                    => 16150, limes   => 14758,
                            limey   => 13666, limitless
                                    => 15415,
                            limo    => 2076, limos   => 10038, limousine
                                    => 4771,
                            limousines
                                    => 14757, limp    => 4921,
                            limping => 8574, limps   => 19237, lindenmeyer
                                    => 11956,
                            linds   => 16149, linea   => 14756, lined   => 3129, linen   => 4708,
                            linens  => 11955, lineswoman
                                    => 17026,
                            linger  => 8726, lingerie
                                    => 4400,
                            lingering
                                    => 7768, lingers => 13665,
                            lingk   => 15414, lining  => 3429, linksynergy
                                    => 5620,
                            linoleum
                                    => 15413, lipnik  => 8431,
                            liposuction
                                    => 11609, lipped  => 13664,
                            lippman => 8025, lippy   => 19236, lips    => 1161, lipstick
                                    => 2601,
                            liquefy => 19235, liqueur => 20686, liquidate
                                    => 15412,
                            liquor  => 2429, liquored
                                    => 13663,
                            liquorice
                                    => 16148, lissen  => 18021,
                            listen  => 139, listened
                                    => 1700,
                            listener
                                    => 5705, listenin
                                    => 9809,
                            listening
                                    => 732, listens => 3517,
                            litany  => 14755, litback => 14754, literally
                                    => 1908,
                            liters  => 10273, lithe   => 16147, litigator
                                    => 16146,
                            litigious
                                    => 15411, litter  => 5901,
                            litterbug
                                    => 16145, littered
                                    => 14210,
                            littering
                                    => 13176, little  => 72,
                            littlest
                                    => 13175, litvack => 9606,
                            live    => 256, livelihood
                                    => 8024,
                            liven   => 10037, liver   => 2011, livered => 20685, lives   => 409,
                            livid   => 10036, livin   => 4264, livvie  => 840, lizard  => 5251,
                            lizardo => 13662, lizzy   => 13661, llama   => 17025, llanfair
                                    => 4122,
                            llantano
                                    => 11307, llanview
                                    => 1653,
                            load    => 1641, loaded  => 1985, loads   => 5704, loaf    => 4680,
                            loafers => 9605, loaner  => 20684, loaning => 12324, loath   => 19234,
                            loathe  => 5761, loathed => 18020, loathes => 13174, loathing
                                    => 9403,
                            loathsome
                                    => 11306, lobbing => 20683,
                            lobby   => 1994, lobotomy
                                    => 8023,
                            lobster => 3074, lobsters
                                    => 8155,
                            locate  => 2978, locating
                                    => 8573,
                            locator => 14753, lock    => 978, lockdown
                                    => 4503,
                            locked  => 947, locker  => 1724, lockers => 7154, locket  => 4739,
                            locking => 4059, locks   => 3405, locksmith
                                    => 10035,
                            lockup  => 5250, locusts => 9071, lodged  => 6990, lodgers => 20682,
                            loft    => 2591, lofts   => 20681, logged  => 7767, logger  => 19233,
                            logical => 2747, logically
                                    => 7361,
                            loincloth
                                    => 20680, loins   => 8922,
                            loitering
                                    => 7766, lojack  => 19232,
                            lollipop
                                    => 7153, lollipops
                                    => 17024,
                            lolly   => 15410, lomez   => 19231, lompoc  => 16144, lone    => 3911,
                            lonelier
                                    => 19230, loneliest
                                    => 19229,
                            loneliness
                                    => 4554, lonely  => 1201,
                            lonelyhearts
                                    => 17023, loner   => 6055,
                            loners  => 18019, lonesome
                                    => 5653,
                            longed  => 11023, longer  => 577, longing => 5249, longs   => 13173,
                            longshot
                                    => 20679, lonigan => 3548,
                            lonnegan
                                    => 11305, loofah  => 17022,
                            loogie  => 18018, look    => 54, looka   => 16143, looked  => 532,
                            lookee  => 14209, looker  => 9808, lookie  => 9070, lookin  => 1720,
                            looking => 191, lookit  => 5493, lookout => 5248, lookouts
                                    => 18017,
                            looks   => 284, looky   => 6357, looming => 13172, loompa  => 13171,
                            loonies => 20678, loons   => 17021, loony   => 4188, looong  => 20677,
                            looove  => 17020, looped  => 15409, loophole
                                    => 7250,
                            loopholes
                                    => 12323, loopy   => 10497,
                            loora   => 20676, loose   => 1131, loosen  => 3530, loosened
                                    => 8921,
                            loosening
                                    => 14208, looser  => 11954,
                            loosing => 13170, lopped  => 19228, lopper  => 19227, lopsided
                                    => 14752,
                            loran   => 13660, lorca   => 18016, lording => 18015, lordy   => 11953,
                            lorelai => 1356, lorne   => 5703, lorre   => 20675, lorry   => 14207,
                            lose    => 386, loser   => 1206, losers  => 2355, loses   => 2608,
                            losin   => 7452, losing  => 766, loski   => 20674, lost    => 283,
                            lot     => 145, lothario
                                    => 11608,
                            lotion  => 4812, lotions => 16142, lots    => 970, lotsa   => 10496,
                            lotta   => 3404, lotte   => 6177, lottery => 4336, lotto   => 13169,
                            loud    => 1139, louder  => 3258, loudest => 13168, loudly  => 7073,
                            loudmouth
                                    => 11022, lounge  => 3073,
                            lounger => 20673, lounging
                                    => 11607,
                            louse   => 8725, loused  => 20672, lousy   => 1298, lovable => 8572,
                            love    => 79, loveable
                                    => 13659,
                            lovebirds
                                    => 5038, loved   => 422,
                            lovelier
                                    => 12723, lovelies
                                    => 14206,
                            loveliest
                                    => 13658, loveliness
                                    => 16141,
                            lovelorn
                                    => 14751, lovely  => 726,
                            lovemaking
                                    => 7360, lover   => 1532,
                            loverboy
                                    => 11952, lovers  => 2178,
                            loves   => 490, loveseat
                                    => 20671,
                            lovesick
                                    => 8154, lovey   => 8724,
                            lovin   => 5945, loving  => 948, lovingly
                                    => 13167,
                            lowdown => 11606, lowers  => 11951, lowlife => 3981, lowlifes
                                    => 10034,
                            lowly   => 7765, loyal   => 1837, loyalties
                                    => 7643,
                            loyalty => 1965, lozenges
                                    => 15408,
                            lubricant
                                    => 17019, lubricants
                                    => 19226,
                            lubricated
                                    => 20670, lucci   => 18014,
                            lucid   => 8920, lucite  => 19225, luck    => 499, lucked  => 6549,
                            luckier => 10272, luckiest
                                    => 4383,
                            luckily => 3101, lucks   => 20669, lucky   => 379, ludicrous
                                    => 5286,
                            luego   => 20668, luggage => 3008, lugging => 11304, lugosi  => 8430,
                            lujack  => 17018, lukewarm
                                    => 13657,
                            lullabies
                                    => 16140, lullaby => 6176,
                            lulled  => 20667, lumbar  => 8153, lumbering
                                    => 18013,
                            lumberjack
                                    => 12322, lumberyard
                                    => 20666,
                            lump    => 4502, lumpectomy
                                    => 18012,
                            lumped  => 20665, lumps   => 8919, lumpy   => 8723, lunacy  => 10271,
                            lunatic => 2441, lunatics
                                    => 8571,
                            lunch   => 631, lunchbox
                                    => 14750,
                            luncheon
                                    => 5619, lunches => 5900,
                            lunching
                                    => 15407, lunchroom
                                    => 15406,
                            lunchtime
                                    => 6685, lundegaard
                                    => 13166,
                            lung    => 3670, lunge   => 12722, lunged  => 14205, lunges  => 20664,
                            lungs   => 2662, lupus   => 8152, lurch   => 9233, lurconis
                                    => 17017,
                            lure    => 3792, lured   => 5532, lureen  => 20663, lurid   => 11303,
                            luring  => 9807, lurking => 4335, lurks   => 14749, luscious
                                    => 8284,
                            lust    => 3684, lusting => 12321, lustrous
                                    => 20662,
                            lusts   => 19224, lusty   => 16139, lutze   => 14204, luxuries
                                    => 11605,
                            luzhin  => 12320, lycra   => 15405, lydecker
                                    => 4920,
                            lydell  => 15404, lydells => 19223, lying   => 493, lymph   => 12721,
                            lymphoma
                                    => 11950, lynched => 17016,
                            lynley  => 17015, lysistrata
                                    => 10750,
                            lysol   => 14748, "m'appelle"
                                    => 20661,
                            "m'boy" => 20660, "m'hidi"
                                    => 16138,
                            "m'honey"
                                    => 12720, "m'kay" => 4553,
                            "m'lady"
                                    => 10495, "m'lord"
                                    => 12719,
                            "m'self"
                                    => 19222, "ma'am" => 823,
                            macadamia
                                    => 14747, macado  => 20659,
                            macanaw => 19221, macarena
                                    => 14746,
                            macaroni
                                    => 5702, macaroons
                                    => 15403,
                            macaws  => 19220, macchiato
                                    => 19219,
                            macdougal
                                    => 19218, macgyver
                                    => 19217,
                            mache   => 15402, machete => 9232, machiavelli
                                    => 17014,
                            machiavellian
                                    => 19216, machida => 16137,
                            machinations
                                    => 14745, machine => 868,
                            machismo
                                    => 18011, macho   => 3700,
                            machu   => 20658, macinerney
                                    => 14744,
                            maciver => 2530, mackerel
                                    => 11302,
                            macking => 19215, maclaine
                                    => 9402,
                            maclaren
                                    => 8283, macnamara
                                    => 14743,
                            macready
                                    => 9069, macreedy
                                    => 8570,
                            mad     => 533, madam   => 2111, madame  => 3059, madcap  => 20657,
                            maddening
                                    => 14203, madder  => 9068,
                            maddie  => 2400, mademoiselle
                                    => 6684,
                            madhouse
                                    => 10494, madly   => 3893,
                            madman  => 4652, madmen  => 15401, madness => 3177, madox   => 16136,
                            madre   => 10033, madrona => 16135, madwoman
                                    => 17013,
                            maeby   => 8429, maelstrom
                                    => 20656,
                            maestro => 4707, magellan
                                    => 11949,
                            magev   => 20655, maggot  => 9231, maggots => 9401, magic   => 754,
                            magical => 2014, magically
                                    => 5037,
                            magician
                                    => 4334, magicians
                                    => 9604,
                            magick  => 18010, magicks => 9400, magics  => 16134, magilla => 11948,
                            magnanimous
                                    => 11021, magnet  => 4952,
                            magnetism
                                    => 12718, magneto => 10749,
                            magnets => 11604, magnificence
                                    => 14202,
                            magnificent
                                    => 3058, magnificently
                                    => 19214,
                            magnified
                                    => 20654, magnifique
                                    => 16133,
                            magnify => 14742, magnifying
                                    => 11301,
                            magnolias
                                    => 20653, magnon  => 19213,
                            magnum  => 6225, magua   => 10270, mahalo  => 20652, mahandra
                                    => 20651,
                            maharajah
                                    => 13656, mahogany
                                    => 10748,
                            maid    => 1556, maids   => 6003, mail    => 905, mailbox => 5036,
                            mailboxes
                                    => 12717, mailed  => 4854,
                            mailer  => 10032, mailing => 6606, mailman => 5800, mailmen => 20650,
                            mailroom
                                    => 9806, mails   => 4951,
                            maimed  => 12716, maiming => 18009, mainframe
                                    => 9399,
                            mainsail
                                    => 20649, maitre  => 8918,
                            majesties
                                    => 20648, majesty => 2385,
                            majorek => 19212, majorly => 11300, make    => 73, makeover
                                    => 5618,
                            makeovers
                                    => 18008, makes   => 298,
                            maketh  => 18007, makin   => 2972, making  => 277, makings => 13165,
                            malahide
                                    => 18006, malaise => 20647,
                            malakai => 12319, malarkey
                                    => 16132,
                            malcontent
                                    => 20646, malevolent
                                    => 15400,
                            malfeasance
                                    => 18005, malfunction
                                    => 7543,
                            malfunctioned
                                    => 11020, malfunctioning
                                    => 14741,
                            malfunctions
                                    => 17012, malibu  => 5899,
                            malice  => 9067, malicious
                                    => 6605,
                            maliciously
                                    => 18004, malign  => 19211,
                            malignant
                                    => 9398, malkovich
                                    => 3365,
                            mall    => 1690, mallomars
                                    => 20645,
                            malnourished
                                    => 19210, malpractice
                                    => 7764,
                            maltin  => 18003, malucci => 11947, mama    => 720, mamacita
                                    => 15399,
                            maman   => 20644, mamas   => 16131, mambo   => 11019, mami    => 3040,
                            mamma   => 5799, mammogram
                                    => 10493,
                            man     => 90, "man'll"
                                    => 18002,
                            manage  => 1444, manageable
                                    => 11018,
                            manana  => 14734, manatee => 17011, manatees
                                    => 18001,
                            mandelbaum
                                    => 11017, manderley
                                    => 9066,
                            mandrake
                                    => 8022, maneuver
                                    => 5760,
                            maneuvered
                                    => 14201, maneuvering
                                    => 9805,
                            manger  => 9603, mangled => 10269, mangoes => 18000, mangos  => 17010,
                            mangy   => 8569, manhandle
                                    => 17009,
                            manhandled
                                    => 17999, manhandling
                                    => 20643,
                            manhole => 17008, manhood => 6548, manhunt => 9602, maniac  => 3364,
                            maniacal
                                    => 14200, maniacs => 8722,
                            manic   => 6905, manicure
                                    => 6002,
                            manicured
                                    => 19209, manicures
                                    => 15398,
                            manicurist
                                    => 11016, manifest
                                    => 5492,
                            manifesting
                                    => 13655, manilow => 10492,
                            manipulate
                                    => 3195, manipulated
                                    => 3491,
                            manipulates
                                    => 12715, manipulating
                                    => 4121,
                            manipulation
                                    => 5531, manipulations
                                    => 9601,
                            manipulative
                                    => 3728, manipulator
                                    => 7542,
                            mankind => 4072, manly   => 3875, mannequin
                                    => 9065,
                            mannequins
                                    => 17007, mannered
                                    => 7893,
                            manners => 2376, mannie  => 13164, manny   => 3340, manolo  => 13654,
                            manpower
                                    => 7359, manray  => 11299,
                            manse   => 20642, manservant
                                    => 20641,
                            mansiere
                                    => 20640, mansion => 1635,
                            manslaughter
                                    => 4853, mantan  => 5701,
                            mantel  => 9804, manticore
                                    => 2798,
                            mantini => 10031, mantis  => 11946, mantra  => 10030, mantumbi
                                    => 16130,
                            manure  => 6493, manya   => 16129, manzelle
                                    => 17006,
                            maplewood
                                    => 17005, mapuhe  => 14740,
                            marah   => 1104, marbles => 6989, marbury => 8282, marce   => 9600,
                            marchin => 19208, mardi   => 13163, margaritas
                                    => 7358,
                            margate => 9599, marginally
                                    => 14739,
                            margueritas
                                    => 13653, mariachi
                                    => 13652,
                            marick  => 17998, marigold
                                    => 10029,
                            marijawana
                                    => 16128, marijuana
                                    => 3874,
                            marika  => 17004, marinara
                                    => 11298,
                            marinate
                                    => 19207, maris   => 1569,
                            marishka
                                    => 19206, marital => 4333,
                            marivellas
                                    => 9064, marketable
                                    => 20639,
                            markinson
                                    => 9063, marklar => 6988,
                            marklars
                                    => 13651, markles => 20638,
                            markovic
                                    => 12318, markovski
                                    => 14199,
                            marksmanship
                                    => 19205, markstrom
                                    => 13650,
                            marky   => 15397, marlboros
                                    => 19204,
                            marlee  => 14198, marliston
                                    => 16127,
                            marmaduke
                                    => 17997, marmalade
                                    => 13162,
                            marone  => 3616, maroon  => 7451, marooned
                                    => 17996,
                            marriage
                                    => 471, marriages
                                    => 3838,
                            marries => 5035, marrow  => 3128, marry   => 521, marrying
                                    => 1178,
                            marseilles
                                    => 7249, marsellus
                                    => 8151,
                            marshack
                                    => 20637, marshals
                                    => 10491,
                            marshmallow
                                    => 8281, marshmallows
                                    => 6356,
                            mart    => 4651, martialed
                                    => 19203,
                            martians
                                    => 11297, martie  => 16126,
                            martimmy
                                    => 8021, martimmys
                                    => 7642,
                            martini => 2640, martinis
                                    => 5179,
                            martouf => 11296, martyr  => 5565, marveling
                                    => 17995,
                            marvellous
                                    => 8721, marvelous
                                    => 3095,
                            marys   => 11945, marzipan
                                    => 17003,
                            masai   => 17002, masbath => 12714, mascara => 6119, mash    => 5063,
                            mashed  => 5137, masher  => 20636, mask    => 2188, masked  => 6604,
                            masking => 11603, masks   => 4099, masochist
                                    => 11295,
                            masochistic
                                    => 16125, masquerade
                                    => 8568,
                            masquerading
                                    => 8720, masry   => 12317,
                            massage => 2248, massaged
                                    => 13161,
                            massager
                                    => 17994, massages
                                    => 7450,
                            massaging
                                    => 11602, masselin
                                    => 19202,
                            masseur => 13649, masseuse
                                    => 10028,
                            massimo => 1765, mastectomy
                                    => 17993,
                            mastercard
                                    => 14738, masterful
                                    => 16124,
                            mastermind
                                    => 7892, masterminded
                                    => 14737,
                            masterpiece
                                    => 5178, masturbate
                                    => 10747,
                            masturbated
                                    => 19201, masturbating
                                    => 12713,
                            masturbation
                                    => 17001, matador => 12316,
                            matata  => 11944, matchbook
                                    => 11943,
                            matching
                                    => 3480, matchmaker
                                    => 8428,
                            matchmaking
                                    => 12315, mate    => 1552,
                            mateo   => 1415, materialistic
                                    => 14736,
                            materialize
                                    => 14735, maternity
                                    => 5759,
                            mates   => 3576, matey   => 15396, mateys  => 20635, math    => 1699,
                            mathesar
                                    => 11942, matick  => 17000,
                            matinee => 9598, mating  => 5700, matriarch
                                    => 19200,
                            matrimonial
                                    => 16999, matrimony
                                    => 4950,
                            matron  => 7152, matted  => 17992, matter  => 219, mattered
                                    => 3547,
                            matters => 864, mattress
                                    => 3072,
                            mattresses
                                    => 11941, matty   => 10268,
                            matuka  => 8917, mature  => 2056, matured => 8719, matzah  => 19199,
                            matzoh  => 17991, maui    => 5407, mauled  => 13160, mauser  => 10746,
                            mausoleum
                                    => 6281, mauve   => 20634,
                            maxed   => 10267, maxim   => 5564, maximillian
                                    => 14197,
                            "may've"
                                    => 20633, mayakovsky
                                    => 14196,
                            mayan   => 10266, maybe   => 88, maybes  => 12314, maybourne
                                    => 8020,
                            mayday  => 4770, mayflower
                                    => 8567,
                            mayflowers
                                    => 16998, mayhem  => 4949,
                            mayol   => 13159, mayonnaise
                                    => 7449,
                            maypole => 20632, maytag  => 19198, mazel   => 10745, mbien   => 19197,
                            mbwun   => 14733, mcarnold
                                    => 17990,
                            mcats   => 19196, mcbeal  => 9597, mccarthyism
                                    => 20631,
                            mcclane => 8916, mccovey => 16123, mcdunnough
                                    => 19195,
                            mcgewan => 19194, mcgillicuddy
                                    => 16997,
                            mcgruff => 17989, mckechnie
                                    => 5944,
                            mckinnons
                                    => 19193, mcmurphy
                                    => 5758,
                            mcnuggets
                                    => 20630, me      => 7,
                            meager  => 12313, meal    => 1396, meals   => 3327, mean    => 59,
                            meaner  => 9803, meanest => 9596, meanie  => 13648, meaningful
                                    => 3960,
                            meaningless
                                    => 3462, meaninglessness
                                    => 20629,
                            meanness
                                    => 17988, means   => 300,
                            meant   => 437, meantime
                                    => 1432,
                            measles => 9802, measly  => 6904, meat    => 1269, meatball
                                    => 7357,
                            meatballs
                                    => 9230, meathead
                                    => 14732,
                            meatloaf
                                    => 6001, meats   => 10265,
                            meaty   => 14731, mebbe   => 12312, mecha   => 9062, mechanic
                                    => 3699,
                            meddle  => 8019, meddled => 19192, meddlesome
                                    => 15395,
                            meddling
                                    => 5491, medevac => 15394,
                            medic   => 6492, medically
                                    => 7072,
                            medicate
                                    => 19191, medicated
                                    => 10490,
                            medicating
                                    => 13647, medication
                                    => 1669,
                            medications
                                    => 7356, medics  => 11940,
                            mediocre
                                    => 6683, mediocrity
                                    => 9229,
                            meditate
                                    => 13158, meditating
                                    => 14195,
                            medivac => 20628, meds    => 4120, medulla => 20627, meecrob => 19190,
                            meeee   => 20626, meems   => 5757, meeny   => 13646, meet    => 278,
                            meetin  => 10027, meeting => 444, megalomaniac
                                    => 20625,
                            megaphone
                                    => 13645, megara  => 20624,
                            megaton => 20623, melancholy
                                    => 9801,
                            melding => 17987, melissande
                                    => 12712,
                            mellow  => 5617, mellowed
                                    => 13157,
                            mellowing
                                    => 15393, melodrama
                                    => 9800,
                            melodramatic
                                    => 6491, melon   => 7891,
                            melons  => 12711, melrose => 6224, melt    => 3176, meltdown
                                    => 4363,
                            melted  => 5136, melting => 4990, melts   => 8427, melvins => 20622,
                            memento => 9799, mementos
                                    => 13156,
                            memma   => 20621, memo    => 3243, memories
                                    => 1087,
                            memorize
                                    => 5319, memorized
                                    => 5652,
                            memorizing
                                    => 11601, memory  => 816,
                            memos   => 9798, "men'll"
                                    => 20620,
                            menace  => 4457, menacing
                                    => 11600,
                            menage  => 15392, menagerie
                                    => 16996,
                            mend    => 4456, mended  => 12710, mending => 13644, mendola => 12709,
                            menelaus
                                    => 10744, mengele => 17986,
                            menial  => 10264, meningitis
                                    => 7151,
                            mennihan
                                    => 7641, menopausal
                                    => 16995,
                            menopause
                                    => 7640, menorah => 17985,
                            mensa   => 14730, menstrual
                                    => 15391,
                            mental  => 1593, mentality
                                    => 8150,
                            mentally
                                    => 3615, mention => 673,
                            mentioning
                                    => 4455, mentor  => 3567,
                            menu    => 2280, menudo  => 20619, menus   => 6175, meow    => 3758,
                            mephesto
                                    => 10489, mercenary
                                    => 8149,
                            merchandise
                                    => 4187, merci   => 5859,
                            merciful
                                    => 6410, merciless
                                    => 10743,
                            mercilessly
                                    => 14194, mercutio
                                    => 15390,
                            merde   => 11294, mere    => 3546, merely  => 2247, meringue
                                    => 14193,
                            merits  => 6490, merlot  => 6603, mermaid => 5563, mermaids
                                    => 14192,
                            merman  => 14729, merrier => 6547, merrily => 8718, mershaw => 19189,
                            mertin  => 9797, mescal  => 20618, mescaline
                                    => 15389,
                            mesdames
                                    => 20617, meself  => 10742,
                            mesmerized
                                    => 14728, mesmerizing
                                    => 19188,
                            mesquite
                                    => 14727, mess    => 660,
                            message => 603, messages
                                    => 1439,
                            messed  => 1335, messengered
                                    => 11293,
                            messes  => 4362, messieur
                                    => 16994,
                            messin  => 9061, messing => 1819, messy   => 2899, met     => 413,
                            metamorphosis
                                    => 11939, metaphor
                                    => 4361,
                            metaphorically
                                    => 9796, metaphors
                                    => 9397,
                            meteor  => 4423, meteors => 17984, methadone
                                    => 16993,
                            methinks
                                    => 11292, methodical
                                    => 12311,
                            methuselah
                                    => 20616, meticulous
                                    => 9228,
                            metricconverter
                                    => 17983,
                            mettle  => 17982, metzenbaum
                                    => 16122,
                            meurice => 8426, mexicans
                                    => 8425,
                            meyerling
                                    => 19187, michalchuk
                                    => 14726,
                            mick    => 3545, microbe => 20615, microchip
                                    => 10741,
                            microchips
                                    => 19186, microfilm
                                    => 12708,
                            microphone
                                    => 4919, microscope
                                    => 5858,
                            microwave
                                    => 4025, microwaves
                                    => 16121,
                            middies => 14191, middleman
                                    => 13155,
                            mideast => 20614, midge   => 6355, midget  => 6223, midgets => 6987,
                            midler  => 11015, midlife => 11599, midnight
                                    => 1443,
                            midriff => 20613, midst   => 5103, midstream
                                    => 20612,
                            midterm => 6489, midterms
                                    => 8280,
                            midwife => 8915, mieke   => 10488, mierzwiak
                                    => 19185,
                            miffed  => 16992, miggs   => 16991, might   => 176, "might've"
                                    => 2465,
                            mighta  => 13154, mightier
                                    => 19184,
                            mightily
                                    => 20611, "mightn't"
                                    => 19183,
                            mighty  => 2050, migraine
                                    => 6222,
                            migraines
                                    => 11014, miguelito
                                    => 20610,
                            mija    => 4852, mijo    => 3000, mikes   => 16990, mikey   => 2648,
                            mikkos  => 12310, milady  => 10487, mildew  => 13153, mildly  => 5102,
                            mileage => 7448, milhouse
                                    => 8018,
                            milk    => 1251, milked  => 19182, milking => 9227, milkman => 13643,
                            milkshake
                                    => 10263, milkshakes
                                    => 11938,
                            milky   => 9060, millander
                                    => 15388,
                            millaney
                                    => 16120, millenium
                                    => 12707,
                            millgate
                                    => 17981, milligram
                                    => 11937,
                            milligrams
                                    => 6354, millimeter
                                    => 6546,
                            millionaire
                                    => 4918, millionaires
                                    => 8566,
                            millions
                                    => 1733, millionth
                                    => 11013,
                            millisecond
                                    => 19181, milltown
                                    => 9226,
                            milos   => 10740, milquetoast
                                    => 20609,
                            mimes   => 19180, mimosa  => 16119, mimosas => 15387, mince   => 13152,
                            minced  => 20608, mincemeat
                                    => 16989,
                            mind    => 177, minded  => 2849, mindee  => 19179, mindful => 15386,
                            minding => 4706, mindless
                                    => 6174,
                            mindlock
                                    => 13642, minds   => 1650,
                            mindset => 14725, mindwarped
                                    => 20607,
                            mine    => 345, minefield
                                    => 9396,
                            mineshaft
                                    => 16118, miney   => 11598,
                            mingle  => 5439, mingling
                                    => 11291,
                            minibar => 12706, minimums
                                    => 13151,
                            minion  => 12705, minions => 6409, miniscule
                                    => 17980,
                            miniskirt
                                    => 20606, minivan => 11936,
                            minnifield
                                    => 12309, minnow  => 15385,
                            minotaur
                                    => 19178, minstrel
                                    => 11935,
                            mint    => 3231, mints   => 5699, minty   => 16988, minus   => 2830,
                            minuses => 19177, minute  => 214, minutemen
                                    => 10739,
                            minutes => 320, miracle => 1144, miracles
                                    => 2517,
                            miraculous
                                    => 5247, miraculously
                                    => 7355,
                            miramax => 11934, mirror  => 1457, mirrors => 4058, mirth   => 15384,
                            misbehave
                                    => 11933, miscalculated
                                    => 13150,
                            miscalculation
                                    => 14190, miscarriage
                                    => 5318,
                            miscarriages
                                    => 20605, miscarried
                                    => 11012,
                            miscarry
                                    => 19176, mischief
                                    => 8017,
                            mischievous
                                    => 16117, miscommunication
                                    => 11597,
                            misconception
                                    => 12308, misconceptions
                                    => 17979,
                            misconstrued
                                    => 13149, miscreant
                                    => 17978,
                            misdeeds
                                    => 16987, misdemeanor
                                    => 11011,
                            misdemeanors
                                    => 14189, misdirected
                                    => 20604,
                            misdirection
                                    => 16116, miserable
                                    => 1225,
                            miserably
                                    => 7354, misery  => 1990,
                            misfit  => 8914, misfits => 8717, misfortune
                                    => 7353,
                            misfortunes
                                    => 16115, misgivings
                                    => 14724,
                            misguided
                                    => 5101, mishandled
                                    => 17977,
                            mishap  => 9225, misheard
                                    => 17976,
                            mishka  => 19175, mishke  => 16114, misinformation
                                    => 20603,
                            misinformed
                                    => 12307, misinterpret
                                    => 12704,
                            misinterpretation
                                    => 19174,
                            misinterpreted
                                    => 8148, misinterpreting
                                    => 13641,
                            misjudge
                                    => 20602, misjudged
                                    => 5317,
                            mislead => 9224, misled  => 9223, mismatched
                                    => 15383,
                            misnomer
                                    => 17975, misogynistic
                                    => 13640,
                            misplace
                                    => 11596, misplaced
                                    => 4186,
                            misprint
                                    => 15382, misread => 7890,
                            misreading
                                    => 11932, misrell => 17974,
                            misrepresented
                                    => 16113, miss    => 276,
                            missed  => 576, misses  => 2527, missin  => 9795, missing => 604,
                            missis  => 16986, misspelled
                                    => 13148,
                            misspent
                                    => 19173, misspoke
                                    => 13147,
                            misstep => 20601, missus  => 6488, mistah  => 16112, mistake => 464,
                            mistaken
                                    => 2203, mistakes
                                    => 1076,
                            mistaking
                                    => 10738, mister  => 971,
                            mistletoe
                                    => 5490, mistook => 8016,
                            mistreated
                                    => 11931, mistreating
                                    => 20600,
                            mistress
                                    => 3127, mistresses
                                    => 19172,
                            mistrial
                                    => 7248, mistrust
                                    => 10026,
                            mistuh  => 16985, misunderstand
                                    => 4769,
                            misunderstanding
                                    => 2135,
                            misunderstandings
                                    => 7541,
                            misunderstood
                                    => 2684, mitigating
                                    => 16111,
                            mitosis => 11010, mittens => 8279, mitzvah => 6353, mitzvahs
                                    => 20599,
                            mixer   => 9595, mixers  => 17973, mixup   => 14723, mmhmm   => 6986,
                            mmkay   => 16984, mmm     => 677, mmmm    => 2965, mmmmm   => 6602,
                            mmmmmm  => 10262, mmmmmmm => 20598, "mo'ss" => 17972, moaning => 6280,
                            moans   => 15381, mobbed  => 16110, mobilize
                                    => 10261,
                            mobilizing
                                    => 20597, mobster => 7071,
                            mobsters
                                    => 11290, mocarbies
                                    => 17971,
                            mocha   => 5698, mocked  => 8278, mockery => 7070, mocking => 4768,
                            mockingbird
                                    => 11289, mockolate
                                    => 14188,
                            mocks   => 19171, mockup  => 20596, mocky   => 16983, modeling
                                    => 3242,
                            modem   => 9059, moderation
                                    => 12306,
                            modesty => 8913, modicum => 14187, modus   => 14186, mofet   => 20595,
                            mogul   => 11009, mohair  => 16982, mohel   => 11930, mohicans
                                    => 19170,
                            mohra   => 14185, moisturiser
                                    => 19169,
                            moisturize
                                    => 16981, moisturizer
                                    => 12305,
                            mojo    => 3791, moland  => 20594, molars  => 15380, molasses
                                    => 11595,
                            mold    => 4606, moldings
                                    => 17970,
                            moldy   => 12703, mole    => 3757, molehill
                                    => 20593,
                            molest  => 14184, molestation
                                    => 15379,
                            molested
                                    => 7889, molester
                                    => 15378,
                            molestered
                                    => 17969, molesting
                                    => 13146,
                            moley   => 16980, mollem  => 19168, moloch  => 14183, molto   => 14722,
                            mom     => 156, "mom'll"
                                    => 14721,
                            moment  => 373, momentarily
                                    => 6221,
                            momentary
                                    => 7540, momento => 12304,
                            momentous
                                    => 10737, moments => 1475,
                            momma   => 3756, mommie  => 9794, mommies => 7888, mommy   => 710,
                            moms    => 3837, moncho  => 19167, monday  => 1584, mondesi => 13639,
                            money   => 195, moneybags
                                    => 14720,
                            moneymaker
                                    => 14719, moneys  => 19166,
                            mongers => 16109, mongi   => 16979, mongolians
                                    => 12702,
                            mongoloid
                                    => 17968, mongoose
                                    => 11929,
                            mongorians
                                    => 14718, mongrel => 9793,
                            monitor => 2317, monitors
                                    => 4917,
                            monkey  => 1348, monkeys => 3094, monocle => 20592, monogamous
                                    => 13638,
                            monogamy
                                    => 15377, monogrammed
                                    => 13145,
                            monologue
                                    => 10025, monopolize
                                    => 20591,
                            monopolizing
                                    => 11928, monotonous
                                    => 20590,
                            monsieur
                                    => 3208, monster => 1151,
                            monsters
                                    => 2709, monstrosity
                                    => 10486,
                            monstrous
                                    => 7763, montega => 3529,
                            montel  => 17967, monumentally
                                    => 13637,
                            mooch   => 14182, moocher => 16978, mooching
                                    => 20589,
                            moochy  => 20588, mood    => 958, moodoo  => 19165, moods   => 5898,
                            mookie  => 7069, moola   => 17966, moonbeams
                                    => 15376,
                            mooning => 10736, moonlight
                                    => 4212,
                            moonlighting
                                    => 10260, moonlit => 9395,
                            moons   => 8147, moonshine
                                    => 16108,
                            moops   => 10259, moors   => 7539, moose   => 3858, mooseport
                                    => 10024,
                            moped   => 13636, mopes   => 11594, mopey   => 12701, moping  => 6279,
                            mopped  => 19164, mopping => 9792, moral   => 2018, moralistic
                                    => 20587,
                            morality
                                    => 5215, morally => 5562,
                            morals  => 4679, moratorium
                                    => 11288,
                            morbid  => 5798, mordred => 16977, "more'n"
                                    => 6985,
                            mores   => 16107, morgendorffer
                                    => 4576,
                            morgendorffers
                                    => 17965, morgue  => 3137,
                            morgues => 15375, morlin  => 14717, morlocks
                                    => 14181,
                            mornin  => 4142, morning => 250, mornings
                                    => 5062,
                            moron   => 2343, moronic => 8912, morons  => 5177, morose  => 11287,
                            morph   => 14180, morphate
                                    => 20586,
                            morphed => 19163, morpheus
                                    => 6408,
                            morphine
                                    => 4811, morphing
                                    => 20585,
                            morrie  => 11927, morsel  => 14179, mortal  => 1902, mortals => 3980,
                            mortem  => 11593, mortgage
                                    => 4200,
                            mortgaged
                                    => 16106, mortician
                                    => 11286,
                            mortified
                                    => 9058, mortifying
                                    => 17964,
                            mortis  => 19162, mortmain
                                    => 16105,
                            mortuary
                                    => 8911, morty   => 5857,
                            morvern => 11592, mosey   => 12700, mosquito
                                    => 6545,
                            mosquitoes
                                    => 9057, mosquitos
                                    => 19161,
                            mostro  => 20584, motaba  => 16976, motel   => 1809, motels  => 9791,
                            mothafucka
                                    => 16104, mothballs
                                    => 13144,
                            mother  => 163, motherf => 20583, motherfuck
                                    => 19160,
                            motherfucker
                                    => 2207, motherfuckers
                                    => 5438,
                            motherfuckin
                                    => 11926, motherfucking
                                    => 6903,
                            motherhood
                                    => 6220, mothering
                                    => 13143,
                            motherless
                                    => 19159, motherly
                                    => 10735,
                            mothers => 2316, mothership
                                    => 13635,
                            motility
                                    => 16103, motions => 5897,
                            motivate
                                    => 8146, motivated
                                    => 4024,
                            motivates
                                    => 16975, motivation
                                    => 4575,
                            motivator
                                    => 16102, motive  => 1975,
                            motives => 3516, motorbike
                                    => 16974,
                            motorcade
                                    => 8716, motorcycle
                                    => 2391,
                            motzah  => 14178, mountaineer
                                    => 11925,
                            mountainside
                                    => 19158, mountaintop
                                    => 14716,
                            mountie => 3515, mounties
                                    => 8145,
                            mourn   => 5135, mourned => 12699, mournful
                                    => 20582,
                            mourning
                                    => 3873, mourns  => 20581,
                            mouse   => 2172, mousetrap
                                    => 20580,
                            mouseville
                                    => 17963, mousey  => 15374,
                            mousie  => 20579, mousse  => 7538, moustache
                                    => 6000,
                            mousy   => 12698, mouth   => 609, mouthed => 7762, mouthful
                                    => 10023,
                            mouthing
                                    => 8015, mouthpiece
                                    => 9790,
                            mouths  => 3790, mouthwash
                                    => 14177,
                            mouthy  => 16973, move    => 270, mover   => 11285, movers  => 6487,
                            moves   => 1470, movie   => 553, movies  => 999, movin   => 4360,
                            moving  => 564, mowed   => 11591, mowing  => 10022, moxica  => 16101,
                            moxie   => 14715, mozart  => 3755, mozzarella
                                    => 16100,
                            mrs     => 326, much    => 96, muchacho
                                    => 14176,
                            muchachos
                                    => 19157, muchas  => 14714,
                            mucho   => 7761, mucking => 11008, muckraker
                                    => 19156,
                            muckraking
                                    => 20578, mucous  => 14713,
                            mucus   => 13142, mudda   => 16099, muddle  => 13634, muddy   => 5856,
                            mudslinging
                                    => 20577, muerte  => 20576,
                            muerto  => 19155, mufasa  => 11284, muffet  => 16972, muffin  => 2730,
                            muffins => 3587, muffled => 15373, muffler => 12697, muffy   => 13633,
                            mugged  => 4705, mugger  => 8715, muggers => 12696, mugging => 7352,
                            muggings
                                    => 16971, muggy   => 19154,
                            mujeeb  => 20575, mukada  => 15372, mulan   => 8014, mulberry
                                    => 11924,
                            mulch   => 14712, mule    => 5134, muley   => 17962, mulled  => 19153,
                            mulling => 15371, mulroney
                                    => 14711,
                            multimillion
                                    => 14710, multiply
                                    => 6118,
                            multitasking
                                    => 20574, mulva   => 15370,
                            mulvehill
                                    => 16970, mulwray => 5530,
                            mumble  => 11590, mumbled => 16969, mumbles => 19152, mumbling
                                    => 10021,
                            mumbo   => 6682, mummies => 11589, mummified
                                    => 16098,
                            mummy   => 3230, mumps   => 13632, mumsy   => 17961, munchies
                                    => 11007,
                            munching
                                    => 17960, munchkin
                                    => 8277,
                            munchkins
                                    => 14709, mundane => 11588,
                            muppet  => 13141, mural   => 5316, murchy  => 20573, murder  => 568,
                            murdered
                                    => 1282, murderer
                                    => 1745,
                            murderers
                                    => 4422, murderess
                                    => 17959,
                            murdering
                                    => 4098, murderous
                                    => 7447,
                            murders => 2906, murky   => 14175, murmur  => 15369, murtaugh
                                    => 17958,
                            muscle  => 2306, muscled => 15368, muscles => 3345, muses   => 12303,
                            mushroom
                                    => 6278, mushrooms
                                    => 5529,
                            mushu   => 13140, mushy   => 6486, musing  => 19151, musket  => 10020,
                            musketeer
                                    => 17957, musketeers
                                    => 8714,
                            muskie  => 17956, muskrat => 19150, "musn't"
                                    => 20572,
                            must    => 189, "must've"
                                    => 1183,
                            musta   => 4767, mustache
                                    => 5406,
                            mustafi => 17955, mustang => 6681, mustard => 3857, muster  => 7150,
                            "mustn't"
                                    => 3159, musty   => 10734,
                            mutant  => 4306, mutants => 7351, mutate  => 20571, mutated => 10019,
                            mutates => 20570, mutating
                                    => 19149,
                            mutator => 17954, muted   => 16097, mutha   => 20569, mutherfucker
                                    => 20568,
                            mutilate
                                    => 15367, mutilated
                                    => 8565,
                            mutilating
                                    => 20567, mutilation
                                    => 11587,
                            muttering
                                    => 11006, mutton  => 10018,
                            mutual  => 2453, muumuu  => 16968, muzak   => 16967, my      => 14,
                            mycenae => 16966, myhnegon
                                    => 19148,
                            mykonos => 20566, mylie   => 12302, myself  => 220, myslexia
                                    => 17953,
                            mysteries
                                    => 4948, mysterious
                                    => 1977,
                            mysteriously
                                    => 6117, mystery => 1314,
                            mystic  => 5855, mystical
                                    => 4947,
                            mystified
                                    => 13631, mystifying
                                    => 19147,
                            mystik  => 13630, mystique
                                    => 11283,
                            mythic  => 14708, "n'est" => 13629, "n'n't" => 16965, "n'sync"
                                    => 17952,
                            "n'yeah"
                                    => 19146, nabbed  => 11282,
                            nabbit  => 14707, naboo   => 17951, nacho   => 19145, nachos  => 7247,
                            nafta   => 20565, nagged  => 17950, nagging => 5176, nail    => 1501,
                            nailed  => 3089, nailing => 7760, nails   => 2516, naive   => 2279,
                            naivete => 17949, nakatomi
                                    => 14174,
                            naked   => 1043, nakedness
                                    => 16096,
                            namath  => 17948, nambla  => 11923, nameless
                                    => 8910,
                            nametag => 16964, namun   => 14173, nando   => 20564, nanite  => 19144,
                            nanites => 6485, nannies => 7537, nanny   => 2278, nanobot => 7887,
                            nanocytes
                                    => 19143, nanook  => 12695,
                            nanosecond
                                    => 14706, nantucket
                                    => 11922,
                            napalm  => 8144, naphthalene
                                    => 19142,
                            napkin  => 4185, napkins => 5133, nappa   => 8909, napped  => 20563,
                            napping => 7536, nappy   => 11921, naquada => 13628, naquadah
                                    => 11920,
                            narcissism
                                    => 14172, narcissist
                                    => 11586,
                            narcissistic
                                    => 12301, narcissists
                                    => 20562,
                            narco   => 16095, narcolepsy
                                    => 15366,
                            narcotic
                                    => 14171, narcotics
                                    => 5489,
                            narim   => 17947, narnia  => 9056, narrowed
                                    => 6407,
                            narrows => 9222, narwhal => 16963, nasal   => 6484, nasedo  => 4886,
                            nastier => 16094, nastiest
                                    => 15365,
                            nasty   => 1474, nate    => 1709, natty   => 7639, naturally
                                    => 1862,
                            natured => 14170, naught  => 10258, naughty => 2554, nauls   => 17946,
                            nausea  => 5132, nauseam => 17945, nauseated
                                    => 15364,
                            nauseating
                                    => 10017, nauseous
                                    => 5100,
                            nautilus
                                    => 11585, navasky => 20561,
                            navel   => 11281, navidad => 16093, navigate
                                    => 6825,
                            navigating
                                    => 12300, navour  => 17944,
                            nbsp    => 608, "ne'er" => 16092, neanderthal
                                    => 9055,
                            neanderthals
                                    => 13139, nearer  => 10485,
                            nearing => 10484, nearsighted
                                    => 16091,
                            neat    => 2075, neatly  => 8908, neatness
                                    => 14169,
                            neato   => 12694, nebbleman
                                    => 16962,
                            necessarily
                                    => 1806, necessary
                                    => 1048,
                            neck    => 967, necking => 17943, necklace
                                    => 2550,
                            necklaces
                                    => 12693, neckline
                                    => 16961,
                            necks   => 5561, necktie => 11005, necromancer
                                    => 19141,
                            necron  => 15363, necronomicon
                                    => 13627,
                            necrosis
                                    => 12299, nedry   => 17942,
                            need    => 74, needed  => 477, neediest
                                    => 20560,
                            needin  => 19140, neediness
                                    => 19139,
                            needing => 2399, needle  => 2347, needlepoint
                                    => 12692,
                            needles => 3742, needless
                                    => 6219,
                            needlessly
                                    => 11919, "needn't"
                                    => 4916,
                            needra  => 17941, needs   => 343, needy   => 3566, neeson  => 12691,
                            nefarious
                                    => 9789, negate  => 14168,
                            negatives
                                    => 8713, negativity
                                    => 8712,
                            neglected
                                    => 4552, neglectful
                                    => 19138,
                            neglecting
                                    => 10016, negligee
                                    => 12298,
                            negligence
                                    => 7759, negligent
                                    => 7758,
                            negotiable
                                    => 6054, negotiate
                                    => 3289,
                            negotiating
                                    => 4915, negotiation
                                    => 5488,
                            negotiator
                                    => 7638, negroes => 7149,
                            neighbor
                                    => 1984, neighborly
                                    => 10257,
                            neighbors
                                    => 2029, neighbour
                                    => 7148,
                            neither => 676, nekhorvich
                                    => 13626,
                            nemo    => 4678, neonatal
                                    => 10256,
                            nephew  => 2074, nepotism
                                    => 13138,
                            nerd    => 4242, nerds   => 5756, nerdy   => 11918, nerve   => 1502,
                            nerves  => 2697, nervosa => 8424, nervous => 783, nervously
                                    => 16960,
                            nervousness
                                    => 11917, nessa   => 6406,
                            nessie  => 16090, nestled => 16089, nether  => 12297, netherworld
                                    => 20559,
                            neuro   => 9594, neurological
                                    => 7068,
                            neurologist
                                    => 7886, neuropathy
                                    => 20558,
                            neuroses
                                    => 14705, neurosis
                                    => 13625,
                            neurosurgeon
                                    => 9221, neurosurgery
                                    => 15362,
                            neurotic
                                    => 4914, neutered
                                    => 12296,
                            neutralize
                                    => 8564, neutralized
                                    => 11916,
                            never   => 76, neverland
                                    => 17940,
                            nevermind
                                    => 7067, nevermore
                                    => 12295,
                            newbie  => 4421, newborn => 5285, newborns
                                    => 15361,
                            newest  => 4097, newfound
                                    => 8276,
                            newlywed
                                    => 11584, newlyweds
                                    => 5099,
                            newmans => 8563, newmeat => 19137, news    => 369, newscaster
                                    => 20557,
                            newsflash
                                    => 12294, newsman => 17939,
                            newspaperman
                                    => 20556, newsprint
                                    => 20555,
                            newsroom
                                    => 12690, newsstand
                                    => 8275,
                            newsstands
                                    => 15360, newsworthy
                                    => 16088,
                            next    => 211, nibble  => 8562, nibbles => 20554, nibblet => 14704,
                            nibbling
                                    => 11583, nice    => 169,
                            nicely  => 2440, nicer   => 2809, nicest  => 3490, niceties
                                    => 17938,
                            nicey   => 12293, nicht   => 16087, nicked  => 9054, nicklaus
                                    => 16959,
                            nicknames
                                    => 9220, nicotine
                                    => 7446,
                            niece   => 2092, nieces  => 10015, nifty   => 8143, nigga   => 9219,
                            niggas  => 17937, nigger  => 3301, niggers => 5487, night   => 121,
                            nightcap
                                    => 6544, nightclub
                                    => 5405,
                            nighter => 6824, nighters
                                    => 15359,
                            nightfall
                                    => 6751, nightgown
                                    => 6680,
                            nighthawk
                                    => 17936, nightie => 11280,
                            nightline
                                    => 17935, nightmare
                                    => 1227,
                            nightmares
                                    => 2999, nightmarish
                                    => 17934,
                            nights  => 1354, nightshift
                                    => 19136,
                            nightstand
                                    => 11915, nightstick
                                    => 14167,
                            nighttime
                                    => 8423, nighty  => 8142,
                            nihilist
                                    => 19135, nikes   => 16086,
                            nikko   => 14166, nikolas => 988, niles   => 584, nilly   => 14165,
                            nimbala => 16958, nimble  => 16085, nimrod  => 14164, niner   => 7757,
                            niners  => 15358, nines   => 12292, nineteen
                                    => 2873,
                            nineties
                                    => 7535, ninety  => 1920,
                            ninny   => 12291, ninotchka
                                    => 6352,
                            nipped  => 16957, nipping => 14163, nipple  => 5404, nipples => 5315,
                            nippy   => 13624, nitro   => 11279, nitroglycerin
                                    => 14703,
                            nitrous => 13623, nitty   => 15357, nitwit  => 9593, nitwits => 20553,
                            nixed   => 19134, no      => 12, nobler  => 20552, noblest => 16084,
                            nobodies
                                    => 13137, nobody  => 404,
                            "nobody'd"
                                    => 11914, "nobody'll"
                                    => 11278,
                            noches  => 15356, nodded  => 10014, nodding => 8711, nodules => 17933,
                            noggin  => 11913, nohoho  => 20551, noinch  => 20550, noing   => 20549,
                            noise   => 1372, noises  => 3479, noisy   => 5098, nomad   => 13622,
                            nomak   => 12290, nomine  => 19133, nomlies => 19132, nonchalant
                                    => 13621,
                            none    => 517, nonexistent
                                    => 10013,
                            nonfat  => 16083, nonissue
                                    => 17932,
                            nonnegotiable
                                    => 12289, nonnie  => 17931,
                            nonny   => 16082, nonono  => 9218, nononono
                                    => 13620,
                            nonsense
                                    => 1785, nonsensical
                                    => 16956,
                            nonspecific
                                    => 20548, nonstop => 6750,
                            nooch   => 16955, noodle  => 5528, noodles => 7756, nookie  => 15355,
                            noon    => 2323, nooo    => 3393, noooo   => 4605, nooooo  => 6902,
                            noooooo => 10012, nooooooo
                                    => 13136,
                            noooooooo
                                    => 13619, noooooooooo
                                    => 14162,
                            noose   => 5999, nope    => 994, norad   => 13618, norbu   => 19131,
                            norcom  => 16954, normal  => 696, normalcy
                                    => 12288,
                            norther => 16953, northstar
                                    => 17930,
                            nose    => 851, nosebleed
                                    => 11004,
                            nosebleeds
                                    => 13617, nosed   => 8141,
                            nosedive
                                    => 19130, noses   => 4382,
                            nosey   => 8907, nosing  => 9053, nostalgia
                                    => 9592,
                            nostalgic
                                    => 8013, nostradamus
                                    => 16952,
                            nostrand
                                    => 16081, nostril => 8906,
                            nostrils
                                    => 7066, nosy    => 5175,
                            not     => 17, notarized
                                    => 11277,
                            notch   => 3856, notches => 11912, note    => 914, notebook
                                    => 5061,
                            notebooks
                                    => 10483, notepad => 14702,
                            nother  => 10482, nothin  => 1304, nothing => 111, nothingness
                                    => 10733,
                            nothings
                                    => 10011, notice  => 803,
                            noticed => 909, noticing
                                    => 3892,
                            notified
                                    => 4885, notify  => 4141,
                            notifying
                                    => 16080, notting => 15354,
                            notwithstanding
                                    => 8561, nougat  => 16951,
                            nough   => 17929, nourish => 14701, nourished
                                    => 20547,
                            nourishing
                                    => 19129, nourishment
                                    => 11582,
                            novocain
                                    => 17928, novocaine
                                    => 14161,
                            now     => 43, nowhere => 1063, noxious => 14700, ntozake => 17927,
                            nuance  => 12287, nuances => 19128, nubbin  => 20546, nubile  => 13135,
                            nucking => 20545, nude    => 3640, nudes   => 15353, nudge   => 7065,
                            nudie   => 10255, nudist  => 13616, nudity  => 6679, nugget  => 11003,
                            nuisance
                                    => 5437, nuked   => 19127,
                            nukes   => 8140, nullification
                                    => 20544,
                            nullifies
                                    => 20543, numb    => 3872,
                            numbing => 8905, numbness
                                    => 13134,
                            numbskull
                                    => 20542, numero  => 9591,
                            nummy   => 19126, numpce  => 19125, nunheim => 14699, nuns    => 4161,
                            nunur   => 16079, nuptial => 14698, nuptials
                                    => 9788,
                            nurection
                                    => 16950, nurhachi
                                    => 20541,
                            nurse   => 968, nursed  => 8710, nursemaid
                                    => 11002,
                            nursery => 3257, nurses  => 1959, nurture => 11001, nurtured
                                    => 12689,
                            nurturing
                                    => 6984, nutball => 20540,
                            nutcase => 8274, nutcracker
                                    => 8273,
                            nuthin  => 7147, nuthouse
                                    => 11581,
                            nutjob  => 16078, nutmeg  => 8904, nutritionist
                                    => 13133,
                            nutritious
                                    => 11580, nuts    => 949,
                            nutsack => 17926, nutshell
                                    => 8012,
                            nutso   => 12286, nutsy   => 20539, nuttier => 14697, nuttin  => 20538,
                            nutty   => 4454, nuwanda => 12688, nyanyanyanyah
                                    => 20537,
                            nyazian => 11276, nygma   => 15352, nylons  => 12285, nymph   => 14160,
                            nympho  => 19124, nymphomaniac
                                    => 17925,
                            nymphs  => 10481, nyong   => 17924, nyquil  => 20536, "o'bannion"
                                    => 19123,
                            "o'bannon"
                                    => 19122, "o'clock"
                                    => 1088,
                            "o'connell"
                                    => 6277, "o'daniel"
                                    => 11911,
                            "o'dwyer"
                                    => 16077, "o'gar" => 16949,
                            "o'hana"
                                    => 19121, "o'hara"
                                    => 9394,
                            "o'hare"
                                    => 11910, "o'henry"
                                    => 20535,
                            "o'higgins"
                                    => 13615, "o'leary"
                                    => 7146,
                            "o'malley"
                                    => 6173, "o'neil"
                                    => 5998,
                            "o'neill"
                                    => 2452, "o'reilly"
                                    => 6901,
                            "o'reily"
                                    => 4810, "o'riley"
                                    => 13614,
                            "o'toole"
                                    => 11000, oakdale => 1293,
                            oakie   => 16948, oakwood => 14159, oasis   => 5486, oath    => 2451,
                            oatmeal => 5097, obeah   => 20534, obedient
                                    => 10732,
                            obese   => 13613, obey    => 4501, obeyed  => 19120, obeying => 13612,
                            obeys   => 20533, obits   => 14158, obituaries
                                    => 10731,
                            objecting
                                    => 11909, objection
                                    => 2194,
                            objectionable
                                    => 15351, objections
                                    => 5527,
                            objectively
                                    => 10730, objectivity
                                    => 8422,
                            obligated
                                    => 4526, obligation
                                    => 2923,
                            oblige  => 6601, obliged => 5485, obliterate
                                    => 15350,
                            obliterated
                                    => 17923, oblivion
                                    => 7064,
                            oblivious
                                    => 8421, obnoxious
                                    => 3575,
                            obscene => 6053, obscenely
                                    => 16076,
                            obscenities
                                    => 16947, observant
                                    => 10010,
                            observe => 3669, obsess  => 8709, obsessed
                                    => 1799,
                            obsessing
                                    => 4140, obsession
                                    => 2607,
                            obsessions
                                    => 13611, obsessive
                                    => 4420,
                            obsessively
                                    => 19119, obstacle
                                    => 5755,
                            obstacles
                                    => 4884, obstetrical
                                    => 20532,
                            obstetrician
                                    => 12284, obstinate
                                    => 13132,
                            obstruct
                                    => 16075, obstructed
                                    => 13610,
                            obstructing
                                    => 10729, obstruction
                                    => 4500,
                            obtuse  => 14157, obvious => 946, obviously
                                    => 506,
                            occasion
                                    => 1783, occult  => 8272,
                            occured => 13131, octane  => 13130, octavius
                                    => 9217,
                            octopus => 7246, ocular  => 16074, oddball => 15349, oddest  => 11908,
                            oddly   => 5361, odds    => 1681, odious  => 12687, odorless
                                    => 17922,
                            odour   => 11275, odyssey => 7534, oedipal => 14696, oedipus => 10009,
                            "of'em" => 16946, off     => 99, offbeat => 19118, offed   => 10999,
                            offence => 5484, offend  => 4241, offended
                                    => 3136,
                            offender
                                    => 8139, offending
                                    => 10254,
                            offends => 9393, offense => 1747, offer   => 649, offering
                                    => 1581,
                            offhand => 11274, officiate
                                    => 14156,
                            offing  => 11579, ofher   => 20531, oftentimes
                                    => 13129,
                            ofthe   => 20530, ogling  => 19117, ogres   => 17921, oh      => 27,
                            ohashi  => 16945, ohhh    => 2147, ohhhh   => 4604, ohhhhh  => 8903,
                            ohhhhhh => 17920, ohhhhhhhh
                                    => 19116,
                            ohhhhhhhhh
                                    => 19115, ohmigod => 9052,
                            ohmygod => 14155, oiled   => 10253, ointment
                                    => 7533,
                            okaaay  => 16944, okama   => 12283, okay    => 56, okayed  => 14695,
                            okey    => 4359, okeydoke
                                    => 20529,
                            okeydokey
                                    => 16943, okies   => 19114,
                            oktoberfest
                                    => 20528, olanov  => 7885,
                            oldie   => 15348, oldman  => 20527, olives  => 5560, omelet  => 5651,
                            omelets => 20526, omelette
                                    => 7245,
                            omelettes
                                    => 14154, omens   => 14694,
                            omigod  => 6749, ominous => 10008, omission
                                    => 11273,
                            omnipotent
                                    => 12686, omnis   => 20525,
                            omoroca => 10998, onboard => 4704, once    => 248, oncologist
                                    => 11272,
                            oncoming
                                    => 11578, "one'll"
                                    => 9216,
                            ones    => 655, oneself => 9590, onesie  => 20524, onion   => 4381,
                            onions  => 4809, onstage => 8560, onto    => 1127, oodles  => 13128,
                            ooh     => 465, oohhh   => 15347, oohhhh  => 17919, oompa   => 11907,
                            oomph   => 15346, oomupwah
                                    => 16942,
                            oooh    => 2130, ooohh   => 11271, ooohhh  => 10997, ooohhhh => 16073,
                            ooooh   => 4851, oooohh  => 16941, oooohhh => 14153, ooooo   => 9215,
                            oooooh  => 7244, oooooo  => 16072, ooooooh => 14152, ooooooo => 19113,
                            oooooooh
                                    => 20523, ooooooooh
                                    => 16071,
                            oooooooooh
                                    => 17918, ooops   => 15345,
                            oops    => 1939, oopsy   => 16070, oozes   => 20522, oozing  => 8902,
                            opener  => 5060, openers => 19112, opens   => 2450, operagirl
                                    => 20521,
                            operandi
                                    => 14693, operatives
                                    => 7637,
                            ophthalmologist
                                    => 20520,
                            opinion => 1042, opinionated
                                    => 13127,
                            opium   => 7063, opportune
                                    => 17917,
                            opportunist
                                    => 7884, opportunity
                                    => 866,
                            opposable
                                    => 16940, opposites
                                    => 8271,
                            oppress => 16939, oppressed
                                    => 10996,
                            oprah   => 4677, optimism
                                    => 6600,
                            optimist
                                    => 8901, optimistic
                                    => 4139,
                            option  => 1624, options => 1616, optometrist
                                    => 14692,
                            "or'derves"
                                    => 20519, oracles => 10252,
                            oranges => 6276, orangutan
                                    => 16069,
                            orbed   => 9392, orbing  => 7883, orchestrate
                                    => 16938,
                            orchestrating
                                    => 19111, orchids => 10728,
                            ordeal  => 4160, ordering
                                    => 2706,
                            orderlies
                                    => 10251, orderly => 4419,
                            orders  => 1061, ordinarily
                                    => 5559,
                            ordinary
                                    => 2118, ordinate
                                    => 14691,
                            ordinates
                                    => 14151, ordover => 14150,
                            oregano => 8138, oreos   => 14149, organs  => 3565, orgasm  => 6678,
                            orgasmic
                                    => 17916, orgasms => 11906,
                            orgies  => 14148, orifice => 16068, origami => 17915, originals
                                    => 7445,
                            ornament
                                    => 7532, ornaments
                                    => 7755,
                            ornery  => 17914, orphan  => 5314, orphanage
                                    => 5483,
                            orphans => 5482, orpheus => 13126, orphey  => 19110, orrin   => 16067,
                            orson   => 5360, orthodontist
                                    => 14147,
                            orthopedic
                                    => 11577, orthopedist
                                    => 20518,
                            ortolani
                                    => 7243, orvelle => 8420,
                            oscars  => 13125, oshun   => 20517, osiris  => 9787, ostentatious
                                    => 20516,
                            ostracized
                                    => 14690, ostrich => 7242,
                            othello => 7882, otherwise
                                    => 903,
                            otherworldly
                                    => 13124, ottos   => 16066,
                            ouch    => 2124, ought   => 1017, oughta  => 2277, "oughtn't"
                                    => 20515,
                            oughtta => 6823, ouija   => 13609, ounce   => 3934, ounces  => 6748,
                            our     => 83, ours    => 1275, ourselves
                                    => 894,
                            out     => 33, "out've"
                                    => 19109,
                            outa    => 3668, outage  => 13608, outback => 12685, outbid  => 15344,
                            outburst
                                    => 7350, outbursts
                                    => 10995,
                            outcast => 6677, outcasts
                                    => 13123,
                            outdid  => 9786, outdo   => 16937, outdone => 7349, outdoors
                                    => 5896,
                            outdoorsy
                                    => 16936, outed   => 11270,
                            outfit  => 1555, outfits => 4263, outfoxed
                                    => 20514,
                            outgrew => 16935, outgrow => 15343, outgrown
                                    => 8708,
                            outhouse
                                    => 13607, outing  => 8707,
                            outings => 16065, outlander
                                    => 19108,
                            outlandish
                                    => 16934, outlast => 19107,
                            outlive => 14146, outmaneuver
                                    => 20513,
                            outnumber
                                    => 19106, outnumbered
                                    => 8137,
                            outpouring
                                    => 13606, outrage => 5895,
                            outraged
                                    => 6275, outrageous
                                    => 3300,
                            outrageously
                                    => 17913, outrank => 13605,
                            outrun  => 9051, outs    => 4499, outside => 460, outsider
                                    => 5131,
                            outsiders
                                    => 7881, outsmart
                                    => 11269,
                            outsmarted
                                    => 11576, outta   => 862,
                            outvoted
                                    => 19105, outweigh
                                    => 12684,
                            outweighs
                                    => 16064, outwit  => 15342,
                            outwitted
                                    => 19104, ovaltine
                                    => 16063,
                            ovaries => 10250, ovary   => 10994, oven    => 2705, ovens   => 11268,
                            overachiever
                                    => 19103, overactive
                                    => 10249,
                            overalls
                                    => 13604, overanxious
                                    => 19102,
                            overbearing
                                    => 9050, overbite
                                    => 15341,
                            overblown
                                    => 17912, overboard
                                    => 3822,
                            overbooked
                                    => 16062, overcharge
                                    => 17911,
                            overcharged
                                    => 20512, overcoat
                                    => 11267,
                            overcome
                                    => 3439, overcomes
                                    => 20511,
                            overcompensate
                                    => 20510, overcompensating
                                    => 14689,
                            overconfident
                                    => 16061, overcooked
                                    => 16933,
                            overcrowded
                                    => 14688, overdid => 14145,
                            overdo  => 8011, overdoing
                                    => 10480,
                            overdone
                                    => 14687, overdose
                                    => 6483,
                            overdosed
                                    => 17910, overdrawn
                                    => 20509,
                            overdressed
                                    => 9785, overdrive
                                    => 10007,
                            overdue => 4574, overestimate
                                    => 16932,
                            overestimated
                                    => 15340, overexcited
                                    => 19101,
                            overflowing
                                    => 11905, overhear
                                    => 5214,
                            overheard
                                    => 2334, overhearing
                                    => 6052,
                            overheated
                                    => 13122, overheating
                                    => 17909,
                            overjoyed
                                    => 9214, overkill
                                    => 10006,
                            overload
                                    => 6172, overloaded
                                    => 10479,
                            overlook
                                    => 5359, overlooked
                                    => 6676,
                            overly  => 4738, overnight
                                    => 2060,
                            overnights
                                    => 19100, overpaid
                                    => 14144,
                            overpaying
                                    => 20508, overpower
                                    => 12683,
                            overpowered
                                    => 16060, overpowering
                                    => 16059,
                            overpriced
                                    => 9049, overprotective
                                    => 4883,
                            overqualified
                                    => 13121, overrated
                                    => 5754,
                            overreact
                                    => 5997, overreacted
                                    => 3698,
                            overreacting
                                    => 2746, overreaction
                                    => 13120,
                            override
                                    => 4850, overrides
                                    => 20507,
                            overrule
                                    => 16931, overruled
                                    => 6543,
                            overrun => 8706, oversensitive
                                    => 19099,
                            oversexed
                                    => 20506, oversized
                                    => 9784,
                            oversleep
                                    => 17908, overslept
                                    => 7754,
                            overstate
                                    => 16058, overstating
                                    => 14143,
                            overstay
                                    => 15339, overstayed
                                    => 16930,
                            overstep
                                    => 12682, overstepped
                                    => 11266,
                            overstepping
                                    => 12282, overstress
                                    => 19098,
                            overtake
                                    => 16057, overthink
                                    => 16929,
                            overthruster
                                    => 11575, overtime
                                    => 4138,
                            overtired
                                    => 19097, overtures
                                    => 16928,
                            overturn
                                    => 11265, overweight
                                    => 8705,
                            overwhelm
                                    => 13603, overwhelmed
                                    => 3363,
                            overwhelming
                                    => 3428, overwhelms
                                    => 14142,
                            overworked
                                    => 7444, overwrought
                                    => 13119,
                            overzealous
                                    => 10727, ovulating
                                    => 8270,
                            ovulation
                                    => 16056, owatta  => 14686,
                            owe     => 692, owed    => 3312, owes    => 2661, owning  => 5358,
                            owns    => 1878, owwwww  => 20505, oxygen  => 2439, oxymoron
                                    => 14685,
                            oyster  => 7348, oysters => 6542, ozone   => 8136, ozzie   => 14141,
                            paaiint => 16927, pacemaker
                                    => 10005,
                            pacer   => 16926, paces   => 8419, pacey   => 908, pachyderm
                                    => 15338,
                            pacified
                                    => 20504, pacifier
                                    => 12281,
                            pacify  => 20503, pacing  => 7443, pacino  => 13118, pack    => 1025,
                            package => 1495, packages
                                    => 4418,
                            packed  => 1717, packets => 8418, packin  => 12280, packing => 1796,
                            packs   => 4551, pact    => 3600, padded  => 7636, padding => 9213,
                            paddington
                                    => 5034, paddle  => 5797,
                            paddles => 7145, paddling
                                    => 17907,
                            padlock => 17906, padre   => 8417, paducci => 14684, paella  => 14683,
                            paged   => 4473, pager   => 4650, pagers  => 15337, paging  => 5650,
                            pagliacci
                                    => 13117, paid    => 765,
                            pain    => 508, pained  => 13602, painful => 1567, painfully
                                    => 5649,
                            painkiller
                                    => 15336, painkillers
                                    => 6351,
                            painless
                                    => 5481, pains   => 3754,
                            paint   => 1245, paintball
                                    => 17905,
                            paintballing
                                    => 19096, paintbrush
                                    => 16925,
                            paints  => 8269, pajama  => 12279, pajamas => 3789, paladin => 16055,
                            palamon => 17904, palantine
                                    => 19095,
                            palatable
                                    => 20502, palate  => 10726,
                            pale    => 2808, paleontologist
                                    => 14140,
                            paleontology
                                    => 11904, pales   => 14682,
                            paley   => 10993, pally   => 16054, palmdale
                                    => 20501,
                            palmed  => 20500, palms   => 5854, paloma  => 3741, palooza => 20499,
                            palpable
                                    => 15335, palpitations
                                    => 19094,
                            pals    => 3544, paltrow => 17903, paltry  => 15334, pamper  => 13601,
                            pampered
                                    => 9212, pampering
                                    => 12681,
                            pampers => 19093, panache => 17902, pancake => 4946, pancakes
                                    => 2496,
                            pancamo => 14139, pancho  => 5357, pancreas
                                    => 10992,
                            panda   => 4676, pandemonium
                                    => 20498,
                            pander  => 20497, pandering
                                    => 15333,
                            paneling
                                    => 20496, panes   => 10478,
                            pangs   => 20495, panic   => 1583, panicked
                                    => 3256,
                            panicking
                                    => 5943, panicky => 11574,
                            panics  => 14138, pankot  => 12680, panky   => 10725, pantaloons
                                    => 19092,
                            panther => 5213, panties => 3683, panting => 8704, pantry  => 7753,
                            pants   => 997, panty   => 10004, pantyhose
                                    => 7635,
                            papa    => 2055, paparazzi
                                    => 12679,
                            papaya  => 11264, papayas => 19091, paper   => 639, paperboy
                                    => 14137,
                            paperclip
                                    => 19090, papered => 20494,
                            paperers
                                    => 20493, papers  => 842,
                            paperweight
                                    => 13600, paperwork
                                    => 2049,
                            papier  => 16924, pappa   => 19089, pappy   => 6822, paprika => 14136,
                            parachutes
                                    => 14681, parachuting
                                    => 19088,
                            parade  => 2293, parading
                                    => 10248,
                            paradise
                                    => 2362, paragon => 8703,
                            paragraph
                                    => 5697, paragraphs
                                    => 12678,
                            parakeet
                                    => 11573, paralegal
                                    => 12677,
                            paralysis
                                    => 5616, paralyze
                                    => 14680,
                            paralyzed
                                    => 3403, paralyzing
                                    => 15332,
                            paramedic
                                    => 9211, paramedics
                                    => 4096,
                            paramour
                                    => 14679, paramus => 16923,
                            paranoia
                                    => 4305, paranoid
                                    => 1952,
                            paranormal
                                    => 6747, paraphernalia
                                    => 15331,
                            paraphrasing
                                    => 20492, paraplegic
                                    => 20491,
                            parasailing
                                    => 16922, parasite
                                    => 5033,
                            parasites
                                    => 6116, paratrooper
                                    => 15330,
                            parched => 10477, parcheesi
                                    => 19087,
                            pardner => 8900, pardon  => 1246, pardoned
                                    => 9048,
                            pardoning
                                    => 20490, pardons => 14135,
                            parent  => 1664, parental
                                    => 4703,
                            parenthood
                                    => 8899, parenting
                                    => 4380,
                            parents => 429, pariah  => 10476, parishioner
                                    => 19086,
                            parka   => 11572, parked  => 2241, parkers => 20489, parking => 1402,
                            parkishoff
                                    => 20488, parlay  => 16053,
                            parlez  => 16052, parlor  => 4262, parlors => 17901, parlour => 13599,
                            parmesan
                                    => 10003, parole  => 2480,
                            paroled => 9391, parrot  => 7752, partake => 10724, parter  => 16051,
                            particulars
                                    => 9047, partied => 9589,
                            parting => 6900, partner => 962, partying
                                    => 4211,
                            pass    => 686, passable
                                    => 16921,
                            passageway
                                    => 9588, passageways
                                    => 14134,
                            passe   => 17899, passin  => 17900, passion => 1107, passionate
                                    => 2696,
                            passionately
                                    => 8135, passions
                                    => 7062,
                            passkey => 15329, passport
                                    => 2848,
                            passports
                                    => 6821, password
                                    => 4737,
                            passwords
                                    => 10475, past    => 397,
                            pasta   => 3740, paste   => 6541, pasted  => 19085, pastels => 13598,
                            pasties => 17898, pastime => 10002, pastrami
                                    => 8134,
                            pastries
                                    => 10723, pastry  => 6051,
                            pasts   => 17897, patch   => 2284, patched => 6171, patching
                                    => 8898,
                            patchouli
                                    => 17896, patently
                                    => 16920,
                            paternity
                                    => 2842, pathetic
                                    => 1101,
                            pathetically
                                    => 11571, pathological
                                    => 6820,
                            pathologically
                                    => 17895, pathologist
                                    => 13116,
                            pathos  => 19084, patient => 785, patiently
                                    => 10247,
                            patio   => 5796, patois  => 19083, patrolling
                                    => 6746,
                            patrolman
                                    => 12676, patrolmen
                                    => 19082,
                            patronize
                                    => 5795, patronized
                                    => 14678,
                            patronizing
                                    => 7241, patted  => 20487,
                            patter  => 10001, patties => 15328, patting => 17894, pattycake
                                    => 19081,
                            paulie  => 5996, paulsson
                                    => 19080,
                            pauper  => 16050, pause   => 4573, paused  => 20486, pauses  => 13115,
                            pausing => 16049, pavarotti
                                    => 12278,
                            pavement
                                    => 7442, pawing  => 9587,
                            pawn    => 4006, pawned  => 16048, pawning => 19079, pawns   => 10722,
                            pawnshop
                                    => 17893, paxcow  => 20485,
                            pay     => 365, payable => 13114, payback => 2683, paycheck
                                    => 3697,
                            paychecks
                                    => 10246, payday  => 6899,
                            payin   => 6898, paying  => 981, payoff  => 4675, payoffs => 11903,
                            payphone
                                    => 11902, payroll => 3871,
                            pays    => 2269, pazzi   => 13597, pcpd    => 4989, peace   => 837,
                            peaceful
                                    => 2770, peacefully
                                    => 6983,
                            peacemaker
                                    => 17892, peach   => 3639,
                            peaches => 4849, peachy  => 6897, peaksville
                                    => 20484,
                            peaky   => 20483, peanut  => 2540, peanuts => 3667, pearls  => 4988,
                            pears   => 10721, peas    => 5174, pebble  => 10000, pebbles => 10720,
                            pecan   => 7751, pecans  => 19078, pecked  => 16919, pecker  => 8559,
                            peckers => 19077, peckin  => 20482, pecking => 12675, peckish => 12277,
                            pecks   => 16918, pectorals
                                    => 20481,
                            peculiar
                                    => 5032, pedal   => 6482,
                            pedaling
                                    => 17891, peddle  => 8702,
                            peddler => 19076, peddling
                                    => 9390,
                            pedestal
                                    => 5853, pediatric
                                    => 7240,
                            pediatrician
                                    => 8416, pediatrics
                                    => 6675,
                            pedicure
                                    => 8133, pedicures
                                    => 19075,
                            pedophile
                                    => 15327, peeing  => 8132,
                            peeked  => 8701, peeking => 6274, peeks   => 17890, peeled  => 8010,
                            peeling => 9999, peels   => 15326, peep    => 4550, peepers => 19074,
                            peephole
                                    => 20480, peeping => 8268,
                            peeps   => 12276, peering => 15325, peerless
                                    => 13113,
                            peeve   => 20479, peeved  => 13112, peewee  => 10991, pegged  => 5648,
                            pegnoir => 20478, peignoir
                                    => 19073,
                            peini   => 13596, pekar   => 9998, pelican => 11263, pellet  => 19072,
                            pellets => 13111, pelting => 19071, pelts   => 14677, pelvic  => 9210,
                            pelvis  => 11262, pembry  => 15324, pemmican
                                    => 17889,
                            penalize
                                    => 19070, penance => 7061,
                            penchant
                                    => 11261, pencil  => 2695,
                            pencils => 5615, pendant => 7880, pending => 4417, penell  => 17888,
                            penetrate
                                    => 7060, penetrates
                                    => 20477,
                            penetrating
                                    => 10245, penetti => 20476,
                            pengin  => 20475, penguin => 5212, penhall => 20474, penicillin
                                    => 6982,
                            penis   => 2740, penises => 13595, penitentiary
                                    => 6350,
                            penmanship
                                    => 11260, pennbrooke
                                    => 20473,
                            penne   => 17887, pennies => 5558, penniless
                                    => 10244,
                            pennybaker
                                    => 20472, pens    => 4882,
                            pensione
                                    => 20471, pensive => 20470,
                            pensky  => 13594, pentacle
                                    => 20469,
                            pentagon
                                    => 3776, pentagram
                                    => 14676,
                            pentameter
                                    => 20468, pentangeli
                                    => 11570,
                            penthouse
                                    => 2144, penticoff
                                    => 14133,
                            pentonville
                                    => 11901, pentothal
                                    => 13593,
                            "people'll"
                                    => 12674, pepperdine
                                    => 15323,
                            pepperjack
                                    => 19069, peppermint
                                    => 8009,
                            pepperoni
                                    => 5284, peppy   => 10474,
                            pepsi   => 6405, pepto   => 17886, pepys   => 15322, "per'sus"
                                    => 19068,
                            perceive
                                    => 8558, percentile
                                    => 13592,
                            perceptive
                                    => 5246, perchance
                                    => 13110,
                            perched => 12275, percocet
                                    => 19067,
                            percodan
                                    => 20467, percolating
                                    => 17885,
                            perdido => 20466, peretti => 12673, perfect => 354, perfected
                                    => 10990,
                            perfecting
                                    => 15321, perfection
                                    => 3753,
                            perfectionist
                                    => 12672, perfectly
                                    => 878,
                            perfecto
                                    => 12274, performa
                                    => 20465,
                            perfume => 2863, perfumed
                                    => 19066,
                            perfumes
                                    => 16917, perfunctory
                                    => 20464,
                            perhaps => 556, pericles
                                    => 15320,
                            perignon
                                    => 16916, peril   => 7059,
                            perilous
                                    => 16047, perils  => 16915,
                            perimeter
                                    => 3543, perimeters
                                    => 19065,
                            periodontist
                                    => 20463, periscope
                                    => 14675,
                            perish  => 8008, perishable
                                    => 19064,
                            perjure => 13591, perjured
                                    => 15319,
                            perjurer
                                    => 20462, perjury => 4702,
                            perkiness
                                    => 20461, perks   => 4848,
                            perky   => 6481, permalash
                                    => 7347,
                            permission
                                    => 1383, permutat
                                    => 19063,
                            peroxide
                                    => 11900, perpetrate
                                    => 17884,
                            perpetrated
                                    => 9997, perpetrating
                                    => 20460,
                            perpetrator
                                    => 7531, perpetually
                                    => 16046,
                            perpetuate
                                    => 16045, perpetuating
                                    => 19062,
                            perplexed
                                    => 20459, perps   => 14132,
                            persecute
                                    => 13590, persecuted
                                    => 7634,
                            persecuting
                                    => 13109, perservere
                                    => 20458,
                            perseverance
                                    => 10719, persist => 9996,
                            persistent
                                    => 5173, persnickety
                                    => 17883,
                            person  => 272, personable
                                    => 11899,
                            personality
                                    => 1802, personalize
                                    => 15318,
                            personalized
                                    => 11898, personally
                                    => 1124,
                            personals
                                    => 12273, personified
                                    => 15317,
                            personify
                                    => 20457, perspective
                                    => 2078,
                            perspiration
                                    => 14131, perspire
                                    => 20456,
                            persuade
                                    => 4119, persuasion
                                    => 7144,
                            persuasive
                                    => 4945, pertains
                                    => 15316,
                            pertinent
                                    => 8267, perturbed
                                    => 19061,
                            peruse  => 15315, perverse
                                    => 7530,
                            perversion
                                    => 12272, pervert => 3836,
                            perverted
                                    => 8131, perverts
                                    => 9783,
                            pervs   => 20455, pesaram => 17882, peshtigo
                                    => 17881,
                            pesky   => 5894, pessimist
                                    => 14130,
                            pessimistic
                                    => 13589, pestering
                                    => 14674,
                            pestilence
                                    => 14129, pesto   => 9586,
                            petal   => 13108, petals  => 7143, petey   => 3599, petite  => 6819,
                            petitioner
                                    => 17880, petitioning
                                    => 19060,
                            petrak  => 13107, petrified
                                    => 6818,
                            petronis
                                    => 19059, pets    => 4288,
                            petticoat
                                    => 19058, petting => 8557,
                            petulant
                                    => 10718, petunia => 16044,
                            petyr   => 17879, pewter  => 19057, pfeffernuesse
                                    => 20454,
                            pffft   => 14128, pharaohs
                                    => 17878,
                            pharmaceuticals
                                    => 7441, pharmacist
                                    => 7529,
                            pharmacy
                                    => 4881, pharoah => 13106,
                            phasers => 20453, pheasant
                                    => 12671,
                            pheasants
                                    => 19056, pheebs  => 1923,
                            phenomenal
                                    => 6745, phenomenally
                                    => 19055,
                            pheromone
                                    => 20452, pheromones
                                    => 9046,
                            phew    => 3933, philanderer
                                    => 20451,
                            philandering
                                    => 19054, philby  => 17877,
                            philipse
                                    => 17876, philistine
                                    => 16043,
                            philistines
                                    => 20450, phillipe
                                    => 17875,
                            phillippe
                                    => 9389, philly  => 5557,
                            phlegm  => 10989, phobia  => 8897, phobias => 16914, phobic  => 19053,
                            phoebe  => 636, phoebes => 20449, phoebs  => 8130, phone   => 280,
                            phoned  => 4287, phones  => 2048, phoney  => 8896, phonies => 14673,
                            phoning => 10473, phonse  => 6480, phony   => 2137, phooey  => 14672,
                            phosphorous
                                    => 14127, photo   => 1409,
                            photocopied
                                    => 16042, photocopies
                                    => 20448,
                            photocopy
                                    => 16913, photogenic
                                    => 14126,
                            photograph
                                    => 2682, photographer
                                    => 2769,
                            photographing
                                    => 13105, photos  => 1928,
                            phrased => 20447, phreak  => 17874, physic  => 19052, physically
                                    => 2162,
                            physicals
                                    => 15314, physiologically
                                    => 19051,
                            physique
                                    => 13588, picasso => 6896,
                            piccata => 16912, picchu  => 19050, pick    => 380, picked  => 798,
                            picker  => 14125, pickers => 16041, picket  => 4472, picketing
                                    => 13104,
                            pickin  => 6115, picking => 1285, pickings
                                    => 12670,
                            pickled => 14124, pickles => 5696, pickpocket
                                    => 15313,
                            pickpockets
                                    => 19049, picks   => 2858,
                            pickup  => 4453, picky   => 5313, picnic  => 2221, picnics => 9585,
                            picon   => 19048, pictionary
                                    => 16911,
                            picture => 479, pictured
                                    => 4572,
                            pictures
                                    => 817, picturing
                                    => 6114,
                            piddle  => 16040, piddles => 14123, piddling
                                    => 19047,
                            piece   => 550, pieced  => 14122, piecing => 17873, pieeee  => 20446,
                            pier    => 2841, pierced => 5614, piercing
                                    => 7346,
                            piercings
                                    => 14671, pies    => 5130,
                            piffle  => 16910, pigeon  => 4913, pigeons => 6050, piggies => 19046,
                            piggly  => 19045, piggy   => 4549, piggyback
                                    => 17872,
                            pigheaded
                                    => 13587, piglet  => 14121,
                            pigmen  => 20445, pigs    => 2739, pigskin => 16909, pigsty  => 10243,
                            pigtails
                                    => 9388, pilates => 20444,
                            pile    => 2290, piled   => 8895, piles   => 8415, pileup  => 20443,
                            piling  => 7633, pill    => 2262, pillage => 13586, pillow  => 2054,
                            pillowcase
                                    => 16039, pillows => 4548,
                            pills   => 1341, pimento => 20442, pimp    => 4399, pimped  => 17871,
                            pimping => 12669, pimple  => 8414, pimples => 19044, pimply  => 17870,
                            pimps   => 11259, pinafore
                                    => 19043,
                            pinata  => 11569, pinback => 13103, pinball => 8894, pincer  => 20441,
                            pinch   => 3711, pinched => 7879, pinches => 13585, pinching
                                    => 8266,
                            pincushion
                                    => 17869, pine    => 1551,
                            pineapple
                                    => 6113, pineapples
                                    => 19042,
                            pinecone
                                    => 15312, pinecrest
                                    => 13584,
                            pinetti => 14670, pinhead => 8007, pinheads
                                    => 17868,
                            pining  => 4736, pink    => 1592, pinkner => 20440, pinks   => 16908,
                            pinkus  => 16907, pinky   => 5613, pinned  => 4261, pinning => 9209,
                            pinocchio
                                    => 8700, pinochle
                                    => 19041,
                            pinot   => 9387, pinpoint
                                    => 6817,
                            pinpointed
                                    => 16906, pinpoints
                                    => 20439,
                            pins    => 5245, pinstripes
                                    => 20438,
                            pint    => 5211, pintauro
                                    => 20437,
                            pints   => 8556, pipe    => 2246, pipes   => 4005, piqued  => 13583,
                            piranha => 11258, piranhas
                                    => 14120,
                            pirate  => 3727, pirated => 19040, pirelli => 9782, pisces  => 16038,
                            piss    => 1987, pissant => 13102, pissed  => 1708, pisser  => 16037,
                            pisses  => 7632, pissin  => 15311, pissing => 5283, pissy   => 10717,
                            pistachio
                                    => 15310, pistachios
                                    => 19039,
                            pistol  => 4118, pitbull => 16036, pitfalls
                                    => 13582,
                            pithy   => 12271, pitied  => 14669, pitiful => 5172, pittance
                                    => 17867,
                            pitting => 14119, pity    => 1577, pitying => 13581, pixie   => 11568,
                            pixies  => 19038, pixilated
                                    => 14118,
                            pizza   => 1177, pizzas  => 5647, pizzazz => 20436, pizzeria
                                    => 11257,
                            placate => 13101, "place'll"
                                    => 19037,
                            placebos
                                    => 19036, placemats
                                    => 20435,
                            placenta
                                    => 10716, plague  => 3194,
                            plagues => 12270, plaguing
                                    => 17866,
                            plaid   => 6112, plaids  => 20434, plain   => 1843, plainclothes
                                    => 16905,
                            plainly => 9584, plaintiff
                                    => 6674,
                            plait   => 13100, plan    => 384, plane   => 719, "plane'arium"
                                    => 19035,
                            planet  => 1133, planetarium
                                    => 6981,
                            planing => 12269, plankton
                                    => 15309,
                            planner => 5753, plannin => 13580, planning
                                    => 790,
                            plans   => 700, plantains
                                    => 16035,
                            planted => 2299, plasmapheresis
                                    => 20433,
                            plaster => 6404, plastered
                                    => 7528,
                            plastering
                                    => 20432, plastic => 1898,
                            plastique
                                    => 16904, plate   => 1483,
                            plateaued
                                    => 17865, plated  => 8699,
                            platelets
                                    => 19034, plates  => 2515,
                            platitude
                                    => 20431, platitudes
                                    => 17864,
                            platonic
                                    => 7345, platonically
                                    => 20430,
                            platter => 4184, platters
                                    => 14668,
                            platypus
                                    => 15308, plausible
                                    => 7239,
                            playa   => 12268, playbook
                                    => 19033,
                            playboys
                                    => 16903, playful => 9208,
                            playground
                                    => 4304, playgroup
                                    => 20429,
                            playin  => 4303, playmate
                                    => 8006,
                            playmates
                                    => 16034, playpen => 10988,
                            playroom
                                    => 13099, plaything
                                    => 14117,
                            playthings
                                    => 16902, playtime
                                    => 19032,
                            plea    => 2681, plead   => 2880, pleading
                                    => 4674,
                            pleadings
                                    => 19031, pleasant
                                    => 1968,
                            pleasantly
                                    => 10242, pleasantries
                                    => 8555,
                            pleasantville
                                    => 10987, please  => 100,
                            pleased => 1582, pleaser => 14667, pleases => 5480, pleasing
                                    => 7631,
                            pleasurable
                                    => 11256, pleasure
                                    => 795,
                            pleasures
                                    => 6599, pleasuring
                                    => 17863,
                            plebeian
                                    => 20428, pledge  => 3255,
                            pledges => 9781, pledging
                                    => 13098,
                            pleeease
                                    => 14666, pleeze  => 19030,
                            plenty  => 860, plesac  => 16033, pliers  => 9207, plight  => 7750,
                            plimpton
                                    => 16901, plissken
                                    => 7344,
                            plotted => 9386, plotting
                                    => 3542,
                            plowed  => 13097, plowing => 15307, pluck   => 8005, plucked => 9045,
                            plucking
                                    => 16900, plucky  => 13096,
                            plug    => 2449, plugged => 6170, plugging
                                    => 14665,
                            plugs   => 6816, pluie   => 16032, plumber => 5282, plumbers
                                    => 13579,
                            plumbing
                                    => 4398, plummet => 13578,
                            plummeted
                                    => 16899, plummeting
                                    => 12267,
                            plums   => 14116, plunge  => 6169, plunged => 10986, plunger => 10985,
                            plunging
                                    => 14664, plus    => 933,
                            pluses  => 17862, plutonium
                                    => 6895,
                            plying  => 16031, pneumonia
                                    => 4847,
                            poach   => 16898, poached => 9780, poacher => 17861, poachers
                                    => 13577,
                            poaching
                                    => 11897, poatia  => 20427,
                            pocket  => 1414, pocketbook
                                    => 9583,
                            pocketed
                                    => 16897, pocketful
                                    => 14663,
                            pocketknife
                                    => 20426, pockets => 3100,
                            poconos => 14662, pocus   => 9995, podiatrist
                                    => 13095,
                            podiatry
                                    => 19029, podunk  => 14115,
                            pointers
                                    => 7058, pointing
                                    => 2536,
                            pointless
                                    => 3221, pointy  => 5403,
                            poise   => 12668, poised  => 8893, poison  => 1596, poisoned
                                    => 3326,
                            poisoning
                                    => 3726, poisonous
                                    => 4701,
                            poisons => 11896, poitier => 19028, poke    => 4452, poked   => 7057,
                            poker   => 2001, pokers  => 20425, pokes   => 14661, pokey   => 8129,
                            pokin   => 19027, poking  => 4525, polack  => 20424, polaroid
                                    => 13094,
                            polaroids
                                    => 14660, polecat => 14659,
                            polenta => 16030, polgara => 12266, police  => 355, policeman
                                    => 3371,
                            policemen
                                    => 6168, policia => 17860,
                            polished
                                    => 6980, polisher
                                    => 20423,
                            polishing
                                    => 9779, polite  => 2159,
                            politely
                                    => 6540, politeness
                                    => 20422,
                            politic => 20421, polka   => 9206, polling => 5852, pollo   => 14114,
                            polloi  => 17859, polls   => 4332, pollute => 14113, polluted
                                    => 10715,
                            polluting
                                    => 15306, pollux  => 9205,
                            pollyanna
                                    => 14658, poltergeist
                                    => 9582,
                            poltergeists
                                    => 16896, polyester
                                    => 7142,
                            polygraph
                                    => 5556, polymerized
                                    => 20420,
                            polyps  => 20419, pomade  => 20418, pomegranate
                                    => 12265,
                            pomegranates
                                    => 16029, pompoms => 12667,
                            pomponi => 19026, pompous => 5526, poncho  => 10241, pondering
                                    => 10984,
                            ponies  => 6273, pony    => 2654, ponytail
                                    => 9385,
                            pooch   => 8128, poodle  => 5171, poodles => 14657, poof    => 4004,
                            poofs   => 8413, poofy   => 17858, pookie  => 3979, pool    => 1041,
                            poolhouse
                                    => 9581, pooling => 17857,
                            poolside
                                    => 16895, poontang
                                    => 16028,
                            poop    => 4451, pooped  => 8892, pooper  => 8698, poopie  => 16894,
                            pooping => 20417, poops   => 20416, poopsie => 19025, poopy   => 14656,
                            poor    => 531, poorer  => 6539, poorhouse
                                    => 13093,
                            popcorn => 2110, popeye  => 9204, poppa   => 9203, popped  => 3187,
                            popper  => 11895, poppers => 19024, poppet  => 19023, poppie  => 8412,
                            poppies => 13092, poppin  => 14112, popping => 3666, poppins => 10714,
                            poppy   => 4603, poppycock
                                    => 19022,
                            pops    => 2564, popsicle
                                    => 7238,
                            popsicles
                                    => 14655, porch   => 2759,
                            porcupine
                                    => 8697, pores   => 8265,
                            poring  => 19021, pork    => 3186, porky   => 15305, porn    => 3117,
                            porno   => 5281, pornographers
                                    => 19020,
                            pornos  => 14654, porque  => 16027, porridge
                                    => 15304,
                            portal  => 3557, portals => 9202, portent => 17856, porterhouse
                                    => 19019,
                            porthole
                                    => 20415, porthos => 11567,
                            portkey => 19018, portofino
                                    => 5356,
                            portokalos
                                    => 16893, portolano
                                    => 16892,
                            pose    => 3528, poser   => 16891, poses   => 7630, poseur  => 20414,
                            posies  => 19017, posing  => 4673, positively
                                    => 3438,
                            positives
                                    => 16890, posse   => 5851,
                            posses  => 19016, possessed
                                    => 3453,
                            possessive
                                    => 6673, possibilities
                                    => 2639,
                            possibility
                                    => 1385, possible
                                    => 462,
                            possibly
                                    => 711, possum  => 7878,
                            postcard
                                    => 4808, postcards
                                    => 8891,
                            poster  => 2956, posterity
                                    => 11255,
                            posters => 4159, postman => 11894, postmark
                                    => 14653,
                            postmortem
                                    => 12666, postop  => 16889,
                            postpartum
                                    => 15303, postpone
                                    => 3362,
                            postponed
                                    => 4602, postponement
                                    => 9201,
                            postponing
                                    => 8004, posttraumatic
                                    => 13091,
                            posture => 7629, posturing
                                    => 11254,
                            potato  => 2623, potatoes
                                    => 2680,
                            pothead => 17855, pothole => 9994, potholes
                                    => 19015,
                            potion  => 2329, potions => 5752, potpie  => 20413, potpourri
                                    => 16026,
                            potshots
                                    => 16025, potsie  => 19014,
                            potted  => 13090, pottersville
                                    => 19013,
                            pottie  => 19012, potties => 20412, potting => 15302, potty   => 8554,
                            potus   => 16888, pouch   => 8890, poughkeepsie
                                    => 10713,
                            pounce  => 8553, pounced => 16024, pound   => 2053, pounded => 10983,
                            pounding
                                    => 4003, pounds  => 1550,
                            pour    => 2230, poured  => 3835, pouring => 3452, pours   => 9580,
                            pouting => 8411, pouty   => 10472, povich  => 15301, powder  => 2438,
                            powdered
                                    => 7056, powders => 16887,
                            powerbar
                                    => 19011, powerful
                                    => 1179,
                            powerless
                                    => 4302, powerpuff
                                    => 20411,
                            powwow  => 10982, practicality
                                    => 16886,
                            practically
                                    => 1193, practicing
                                    => 2779,
                            practising
                                    => 9579, praetorians
                                    => 16885,
                            pragmatist
                                    => 19010, praises => 8889,
                            pralines
                                    => 19009, prancan => 20410,
                            prance  => 9993, prancer => 16884, prancing
                                    => 8696,
                            prank   => 3574, pranks  => 6672, prankster
                                    => 15300,
                            prattle => 16023, prattling
                                    => 15299,
                            pray    => 1263, prayed  => 3193, prayer  => 2251, prayers => 2448,
                            prayin  => 12264, praying => 1974, prays   => 14652, preach  => 6979,
                            preacher
                                    => 4735, preaching
                                    => 5995,
                            preachy => 16883, precarious
                                    => 10981,
                            precaution
                                    => 4987, precautionary
                                    => 14111,
                            precautions
                                    => 5402, precedents
                                    => 11566,
                            precedes
                                    => 10471, precinct
                                    => 4117,
                            precipice
                                    => 19008, precisely
                                    => 2606,
                            precludes
                                    => 15298, precocious
                                    => 15297,
                            precog  => 16022, precogs => 8410, preconceived
                                    => 19007,
                            preconceptions
                                    => 20409, precrime
                                    => 8003,
                            predicament
                                    => 6815, predict => 3682,
                            predictable
                                    => 3891, predisposed
                                    => 14110,
                            predisposition
                                    => 15296, prednisone
                                    => 13089,
                            preeclampsia
                                    => 9200, preemie => 20408,
                            preempt => 20407, preemptive
                                    => 9044,
                            prefer  => 1261, preferable
                                    => 9778,
                            preferably
                                    => 5129, prefers => 6218,
                            prefex  => 19006, pregnancies
                                    => 14109,
                            pregnancy
                                    => 1757, pregnant
                                    => 610,
                            prego   => 16021, prejudice
                                    => 5695,
                            prejudiced
                                    => 8409, prejudices
                                    => 10980,
                            prejudicial
                                    => 19005, prelim  => 11893,
                            premarital
                                    => 14108, premature
                                    => 4199,
                            prematurely
                                    => 8695, premed  => 7877,
                            premeditated
                                    => 8694, premeditation
                                    => 11253,
                            premonition
                                    => 2298, premonitions
                                    => 3806,
                            prenatal
                                    => 7440, prenup  => 8264,
                            prenuptial
                                    => 10470, preoccupation
                                    => 16020,
                            preoccupied
                                    => 3890, preocupe
                                    => 19004,
                            prep    => 2939, prepare => 1563, prepared
                                    => 1126,
                            preparing
                                    => 2998, preposition
                                    => 20406,
                            preposterous
                                    => 6049, prepped => 6671,
                            preppie => 13576, prepping
                                    => 7628,
                            preppy  => 13088, prerogative
                                    => 7876,
                            pres    => 3192, preschool
                                    => 7343,
                            prescribe
                                    => 6670, prescribed
                                    => 5525,
                            prescribes
                                    => 19003, prescribing
                                    => 11892,
                            prescription
                                    => 2784, prescriptions
                                    => 9777,
                            presentable
                                    => 9384, presents
                                    => 1538,
                            preservatives
                                    => 16882, preserver
                                    => 13575,
                            preset  => 20405, presets => 19002, presidente
                                    => 9199,
                            "press'll"
                                    => 19001, pressed => 3392,
                            pressers
                                    => 20404, presses => 6403,
                            pressing
                                    => 3057, pressure
                                    => 964,
                            pressured
                                    => 5401, pressuring
                                    => 3978,
                            presto  => 8888, presume => 3417, presuming
                                    => 13087,
                            presumptuous
                                    => 5694, pretend => 870,
                            pretended
                                    => 2679, pretending
                                    => 1346,
                            pretends
                                    => 5555, pretense
                                    => 8408,
                            pretenses
                                    => 7439, pretentious
                                    => 5751,
                            pretrial
                                    => 17854, prettier
                                    => 4301,
                            prettiest
                                    => 5096, pretty  => 204,
                            pretzel => 6167, pretzels
                                    => 5942,
                            prevail => 5994, prevails
                                    => 16881,
                            preventative
                                    => 16880, preview => 4700,
                            previews
                                    => 10712, prevision
                                    => 20403,
                            prewedding
                                    => 11252, preyed  => 17853,
                            preying => 15295, preys   => 13574, priced  => 6669, priceless
                                    => 4210,
                            pricey  => 9992, prick   => 3276, pricked => 19000, prickly => 11565,
                            pricks  => 11564, pride   => 1547, prided  => 14651, prides  => 16019,
                            pried   => 11251, priestess
                                    => 10469,
                            primal  => 6814, primed  => 9991, primo   => 8552, primordial
                                    => 11563,
                            primping
                                    => 16879, princesses
                                    => 9383,
                            principled
                                    => 16018, pringles
                                    => 18999,
                            print   => 1808, printout
                                    => 10468,
                            printouts
                                    => 20402, prints  => 1933,
                            prinze  => 18998, priorities
                                    => 3158,
                            prioritize
                                    => 15294, prioritizing
                                    => 18997,
                            priority
                                    => 1961, priors  => 7875,
                            prison  => 680, prisoner
                                    => 1758,
                            priss   => 12665, prissy  => 9578, pristine
                                    => 10467,
                            privacy => 1609, privates
                                    => 11250,
                            privilege
                                    => 2694, privileged
                                    => 5355,
                            privileges
                                    => 4649, proactive
                                    => 12664,
                            "prob'ly"
                                    => 10466, probably
                                    => 224,
                            probate => 12263, probation
                                    => 3339,
                            probationary
                                    => 16878, probe   => 5170,
                            probed  => 20401, probie  => 13573, probing => 11249, problem => 213,
                            problema
                                    => 14650, problemo
                                    => 8887,
                            problems
                                    => 567, procedure
                                    => 1645,
                            proceed => 2089, proceeding
                                    => 5941,
                            processional
                                    => 17852, proclaim
                                    => 11248,
                            proclamations
                                    => 16017, proclivities
                                    => 18996,
                            proclivity
                                    => 20400, procrastinate
                                    => 17851,
                            procrastinating
                                    => 12663,
                            procrastination
                                    => 16877,
                            procreate
                                    => 18995, procreation
                                    => 16016,
                            proctologist
                                    => 11562, procure => 13086,
                            prodded => 11561, prodding
                                    => 13085,
                            prodigal
                                    => 8551, productive
                                    => 3959,
                            profanity
                                    => 15293, profess => 13084,
                            professionalism
                                    => 10240,
                            profound
                                    => 4766, profoundly
                                    => 9776,
                            profusely
                                    => 14649, prognosis
                                    => 5169,
                            programmed
                                    => 4471, progressing
                                    => 9198,
                            projections
                                    => 7342, projector
                                    => 6894,
                            prolong => 10239, prolonging
                                    => 16015,
                            prom    => 1438, promiscuous
                                    => 15292,
                            promise => 333, promised
                                    => 757,
                            promises
                                    => 1913, promising
                                    => 3146,
                            promos  => 10465, prompt  => 8693, prompter
                                    => 18994,
                            proms   => 13572, pronounce
                                    => 3834,
                            pronouncing
                                    => 16014, pronto  => 5850,
                            proof   => 874, proofed => 18993, proofing
                                    => 11891,
                            propane => 6048, propensity
                                    => 14648,
                            proper  => 1655, properly
                                    => 2479,
                            prophecies
                                    => 7141, prophecy
                                    => 4630,
                            prophesied
                                    => 14647, prophylactic
                                    => 18992,
                            proportioned
                                    => 18991, propose => 1909,
                            proposing
                                    => 3958, proposition
                                    => 3478,
                            propositioned
                                    => 20399, propositioning
                                    => 16876,
                            propped => 17850, propping
                                    => 18990,
                            propriety
                                    => 17849, props   => 5524,
                            pros    => 5280, prosaic => 20398, prosciutto
                                    => 16875,
                            prosecute
                                    => 4183, prosecuted
                                    => 6111,
                            prosecuting
                                    => 7140, prosecution
                                    => 3451,
                            prosecutorial
                                    => 16874, prosky  => 10711,
                            prospects
                                    => 5849, prospectus
                                    => 16013,
                            prospero
                                    => 17848, prosthetic
                                    => 13571,
                            prostitute
                                    => 3805, protect => 526,
                            protectee
                                    => 20397, protectin
                                    => 18989,
                            protecting
                                    => 1278, protective
                                    => 2218,
                            protector
                                    => 4286, protectors
                                    => 12662,
                            protects
                                    => 5436, protege => 9197,
                            protestations
                                    => 20396, protesting
                                    => 6893,
                            protestors
                                    => 11560, proteus => 1598,
                            proud   => 644, prouder => 11559, proudest
                                    => 12661,
                            proudly => 7438, proust  => 14107, provasik
                                    => 18988,
                            prove   => 601, proven  => 2315, provenance
                                    => 6479,
                            proverb => 15291, proverbial
                                    => 6668,
                            proves  => 2240, proving => 3157, provocation
                                    => 9775,
                            provocations
                                    => 11558, provocative
                                    => 7437,
                            provoke => 4734, provoked
                                    => 6349,
                            provoking
                                    => 7874, provolone
                                    => 17847,
                            prowl   => 8692, prowler => 11890, prowling
                                    => 10979,
                            proximo => 16012, proxy   => 6110, prozac  => 8407, prude   => 8002,
                            prudent => 7055, prudes  => 17846, prudy   => 12660, prue    => 951,
                            prune   => 8001, prunes  => 12262, pruning => 18987, prying  => 6667,
                            psats   => 20395, pssst   => 12659, psst    => 3696, psych   => 2964,
                            psyche  => 5693, psyched => 4023, psychiatric
                                    => 3461,
                            psychiatrist
                                    => 1842, psychiatrists
                                    => 6166,
                            psychiatry
                                    => 6348, psychic => 2367,
                            psychically
                                    => 14106, psychics
                                    => 10464,
                            psycho  => 1674, psychoanalyze
                                    => 18986,
                            psychobabble
                                    => 9774, psychodrama
                                    => 20394,
                            psychologically
                                    => 8550, psychologist
                                    => 5210,
                            psychopath
                                    => 4498, psychopathic
                                    => 12261,
                            psychopaths
                                    => 18985, psychos => 11557,
                            psychosis
                                    => 7627, psychosomatic
                                    => 15290,
                            psychotherapist
                                    => 16873,
                            psychotic
                                    => 2945, psychotics
                                    => 18984,
                            pterodactyl
                                    => 20393, puberty => 5893,
                            pubes   => 8000, pubescent
                                    => 17845,
                            pubic   => 11889, publically
                                    => 18983,
                            publicist
                                    => 7999, publicity
                                    => 2616,
                            pucker  => 10238, puckering
                                    => 20392,
                            puddin  => 10710, pudding => 3269, puddings
                                    => 20391,
                            puddle  => 5244, puddles => 14646, puddy   => 7341, pudge   => 16872,
                            pudgy   => 20390, puede   => 16011, puedo   => 16871, puff    => 4057,
                            puffed  => 8886, puffin  => 16010, puffing => 12260, puffs   => 5612,
                            puffy   => 5400, puke    => 3695, puked   => 10709, pukin   => 20389,
                            puking  => 8885, pull    => 543, pulled  => 880, puller  => 17844,
                            pulling => 1295, pullout => 20388, pulls   => 2820, pulsating
                                    => 15289,
                            pulse   => 1779, pumbaa  => 11247, pummel  => 16870, pummeling
                                    => 16009,
                            pump    => 2807, pumped  => 4547, pumpin  => 17843, pumping => 3977,
                            pumpkin => 2447, pumpkins
                                    => 10708,
                            pumps   => 4912, punch   => 1558, punchbowl
                                    => 18982,
                            punched => 3556, punches => 5435, punching
                                    => 4095,
                            punchline
                                    => 10707, punchy  => 9773,
                            punctual
                                    => 9577, punctuality
                                    => 13570,
                            puncture
                                    => 6978, punctured
                                    => 10237,
                            pungent => 16869, punish  => 2143, punishable
                                    => 10706,
                            punished
                                    => 2647, punishes
                                    => 12658,
                            punishing
                                    => 4137, punishment
                                    => 2081,
                            punitis => 20387, punks   => 6109, punky   => 15288, punters => 14105,
                            punxsutawney
                                    => 12657, pupkin  => 6217,
                            puppet  => 3241, puppeteer
                                    => 8884,
                            puppets => 5848, puppies => 5095, puppy   => 2370, purblind
                                    => 18981,
                            pure    => 1500, puree   => 16868, pureed  => 20386, purely  => 4071,
                            purer   => 16867, purest  => 9196, purgatory
                                    => 9382,
                            purging => 14104, purifier
                                    => 20385,
                            puritanical
                                    => 16866, purity  => 5940,
                            purposefully
                                    => 11888, purposely
                                    => 6108,
                            purring => 16008, purse   => 1452, purses  => 10705, purty   => 18980,
                            purview => 17842, pusan   => 17841, push    => 767, pushed  => 1220,
                            pusher  => 10236, pushers => 17840, pushes  => 5059, pushin  => 13083,
                            pushing => 1222, pushover
                                    => 7527,
                            pushy   => 4601, pussies => 8549, pussy   => 2346, pussycat
                                    => 9772,
                            put     => 131, "put'em"
                                    => 20384,
                            putrid  => 12259, puts    => 1492, puttanesca
                                    => 16865,
                            putter  => 18979, puttin  => 5094, putting => 690, putty   => 8263,
                            putumayo
                                    => 20383, puzzle  => 2929,
                            puzzled => 11887, puzzles => 6107, puzzling
                                    => 13569,
                            pygmalion
                                    => 17839, pygmies => 13568,
                            pyjamas => 11556, pylea   => 12258, pyramids
                                    => 8691,
                            pyromaniac
                                    => 16864, pyrotechnics
                                    => 15287,
                            qfxmjrie
                                    => 5611, quack   => 3598,
                            quacks  => 14645, quadrant
                                    => 9576,
                            quadrants
                                    => 20382, quagmire
                                    => 20381,
                            quahog  => 13567, quaid   => 5939, quail   => 11246, quaint  => 5794,
                            quaintly
                                    => 20380, quake   => 7139,
                            quaking => 14644, qualifies
                                    => 5847,
                            qualities
                                    => 3361, qualms  => 15286,
                            quandary
                                    => 12257, quantico
                                    => 8548,
                            quarantine
                                    => 5479, quarantined
                                    => 14103,
                            quarrel => 6666, quarreled
                                    => 18978,
                            quarreling
                                    => 20379, quart   => 7436,
                            quartered
                                    => 16007, quartermaine
                                    => 1732,
                            quartermaines
                                    => 3527, quarters
                                    => 2653,
                            quasimodo
                                    => 16863, queasy  => 7873,
                            queef   => 15285, queer   => 4379, queers  => 12656, quelle  => 16862,
                            quellek => 16861, queller => 17838, quench  => 20378, queremos
                                    => 16860,
                            question
                                    => 338, questionable
                                    => 5354,
                            questioned
                                    => 3299, questioning
                                    => 1891,
                            questionnaire
                                    => 10235, questions
                                    => 505,
                            questscape
                                    => 17837, quibble => 11886,
                            quiche  => 8883, quiches => 20377, quick   => 723, quicker => 3427,
                            quickest
                                    => 8127, quickie => 6272,
                            quicksand
                                    => 8690, quien   => 18977,
                            quiero  => 15284, quiet   => 668, quieter => 8689, quietly => 2819,
                            quilt   => 6665, quilting
                                    => 18976,
                            quilts  => 18975, quince  => 8882, quinine => 17836, quintessential
                                    => 16859,
                            quints  => 18974, quintuplets
                                    => 13566,
                            quips   => 16006, quirks  => 9575, quirky  => 8547, quit    => 800,
                            quite   => 399, quits   => 5646, quitter => 7054, quitters
                                    => 16858,
                            quittin => 16857, quitting
                                    => 3116,
                            quiver  => 15283, quivering
                                    => 11555,
                            quixote => 7998, quiz    => 2938, quizmaster
                                    => 6216,
                            quizzes => 10234, quizzing
                                    => 16005,
                            qumar   => 10978, qumari  => 18973, quote   => 2390, quoth   => 18972,
                            quoting => 6813, raban   => 18971, rabartu => 20376, rabbit  => 2369,
                            rabbits => 5692, rabble  => 4846, rabid   => 7435, rabies  => 7237,
                            raccoon => 10463, raccoons
                                    => 14102,
                            rach    => 2146, rache   => 12256, racin   => 20375, racist  => 4733,
                            racists => 20374, rack    => 2928, racked  => 13082, racket  => 4571,
                            racketeer
                                    => 16856, racketeering
                                    => 7872,
                            rackets => 11245, racking => 8688, racks   => 9195, racquet => 8881,
                            racquetball
                                    => 8687, radar   => 1429,
                            radials => 20373, radiance
                                    => 18970,
                            radiant => 6892, radiator
                                    => 7526,
                            radioactive
                                    => 5353, radioed => 9574,
                            radiohead
                                    => 11244, radiologist
                                    => 15282,
                            radiology
                                    => 8686, radios  => 7997,
                            radish  => 11554, radishes
                                    => 18969,
                            radisson
                                    => 18968, raditch => 7525,
                            rafe    => 740, rafer   => 14643, raffi   => 13081, raffle  => 9771,
                            raft    => 4546, rafters => 11243, rafting => 12255, rage    => 2504,
                            rages   => 17835, ragged  => 8546, raggedy => 9043, ragging => 8685,
                            raging  => 3976, ragnar  => 16855, raheem  => 18967, rahesh  => 20372,
                            railing => 5892, railly  => 13565, railroaded
                                    => 10462,
                            railroading
                                    => 12655, rain    => 1259,
                            rainbow => 3821, rainbows
                                    => 11242,
                            raincheck
                                    => 13080, raincoat
                                    => 11885,
                            raindrops
                                    => 20371, rained  => 8262,
                            raining => 3739, rainstorm
                                    => 12654,
                            rainy   => 6165, raise   => 969, raiser  => 6215, raisers => 17834,
                            raises  => 5312, raisin  => 7524, raisinettes
                                    => 18966,
                            raising => 1930, raisins => 6402, raison  => 17833, rajeski => 17832,
                            raked   => 13079, raking  => 10704, ralphie => 12254, ramada  => 17831,
                            ramali  => 8880, rambaldi
                                    => 4240,
                            ramble  => 9990, rambling
                                    => 6664,
                            ramblings
                                    => 14101, rambunctious
                                    => 15281,
                            ramelle => 11553, ramifications
                                    => 7340,
                            rammed  => 12653, ramming => 20370, ramone  => 16854, ramoray => 20369,
                            rampage => 9381, rampler => 16004, ramrod  => 18965, ramus   => 11552,
                            ran     => 624, rance   => 11241, ranch   => 2778, rancher => 12652,
                            rancheros
                                    => 16003, ranchers
                                    => 14642,
                            rancid  => 14641, rang    => 4022, ransack => 18964, ranting => 6812,
                            rants   => 16853, raoul   => 6106, rape    => 2574, raped   => 2652,
                            rapes   => 12651, rapido  => 18963, raping  => 12253, rapist  => 7626,
                            rapists => 16852, rappaport
                                    => 1981,
                            rappaports
                                    => 20368, rapport => 10977,
                            raptor  => 13564, rapture => 11884, rapunzel
                                    => 18962,
                            raquetball
                                    => 18961, rarest  => 16851,
                            raring  => 14100, rascal  => 10461, rascals => 13563, rasczak => 16002,
                            rashes  => 17830, rashly  => 18960, rashum  => 16001, raspail => 16850,
                            raspberry
                                    => 7749, rasputin
                                    => 11240,
                            rasta   => 18959, ratatouille
                                    => 16000,
                            ratched => 8879, ratchet => 10460, rath    => 3460, rathole => 16849,
                            ration  => 14099, rational
                                    => 2847,
                            rationalization
                                    => 15999,
                            rationalize
                                    => 9770, rationalizing
                                    => 11551,
                            rationally
                                    => 6478, rats    => 2257,
                            ratso   => 15280, ratted  => 6477, ratting => 12650, rattle  => 4765,
                            rattled => 5846, rattles => 18958, rattlesnake
                                    => 9989,
                            rattlesnakes
                                    => 18957, rattling
                                    => 7625,
                            ratty   => 8684, ravage  => 15279, ravages => 20367, rave    => 4807,
                            raved   => 18956, ravell  => 13078, ravenous
                                    => 12252,
                            ravenwood
                                    => 11550, raves   => 10703,
                            ravine  => 9769, raving  => 4600, ravings => 15278, ravioli => 10702,
                            ravish  => 16848, ravishing
                                    => 8126,
                            rawdon  => 8545, rawdy   => 17829, rawhide => 11883, rawley  => 6401,
                            rawlston
                                    => 20366, rayanne => 16847,
                            rayed   => 13077, rayne   => 15277, rays    => 3614, raysy   => 8406,
                            razgul  => 18955, razinin => 15998, razor   => 4116, razors  => 17828,
                            "re'kali"
                                    => 20365, reach   => 939,
                            reachin => 20364, reacquaint
                                    => 16846,
                            reacquainted
                                    => 13562, react   => 1951,
                            reacted => 3833, reacting
                                    => 4198,
                            reacts  => 9380, read    => 375, reade   => 5168, readin  => 12649,
                            reading => 830, readout => 14098, reads   => 3088, ready   => 239,
                            real    => 198, realer  => 20363, realise => 3185, realised
                                    => 4209,
                            realist => 7138, realistic
                                    => 3681,
                            realistically
                                    => 9573, realities
                                    => 6891,
                            reality => 1167, realize => 472, realized
                                    => 825,
                            realizes
                                    => 2963, realizing
                                    => 3613,
                            really  => 53, realm   => 2069, realmedia
                                    => 10233,
                            realtor => 9768, realtors
                                    => 15997,
                            realy   => 20362, reamed  => 16845, reanimation
                                    => 15996,
                            reapers => 14097, reappear
                                    => 12648,
                            rearrange
                                    => 6164, rearranged
                                    => 10976,
                            rearranging
                                    => 9767, rears   => 16844,
                            rearview
                                    => 15276, reason  => 281,
                            reasonable
                                    => 1729, reasons => 991,
                            reassemble
                                    => 16843, reassess
                                    => 15995,
                            reassessing
                                    => 20361, reassign
                                    => 15275,
                            reassigning
                                    => 18954, reassignment
                                    => 14096,
                            reassurance
                                    => 9988, reassure
                                    => 4944,
                            reassured
                                    => 10975, reassuring
                                    => 4911,
                            reattach
                                    => 18953, rebadow => 9987,
                            rebate  => 13561, rebelling
                                    => 15274,
                            rebellious
                                    => 8261, reborn  => 7523,
                            rebound => 4260, rebuild => 4158, rebuttal
                                    => 10232,
                            recall  => 1561, recant  => 9986, recanted
                                    => 14640,
                            recanting
                                    => 18952, recap   => 7522,
                            recapture
                                    => 8405, receding
                                    => 14095,
                            receipt => 3039, receipts
                                    => 4570,
                            receptacle
                                    => 15994, receptionist
                                    => 7521,
                            receptive
                                    => 7871, recess  => 4259,
                            recharge
                                    => 9572, recheck => 11549,
                            rechecked
                                    => 16842, recieved
                                    => 13560,
                            recipe  => 2840, recipes => 6163, reciprocate
                                    => 10459,
                            reciprocated
                                    => 20360, recital => 3957,
                            recitation
                                    => 13559, recite  => 6811,
                            reciting
                                    => 12647, reckless
                                    => 3459,
                            recklessly
                                    => 14094, recklessness
                                    => 14639,
                            reckon  => 3507, reckoned
                                    => 7339,
                            reckoning
                                    => 9985, reclaim => 6105,
                            reclaiming
                                    => 13558, recliner
                                    => 17827,
                            reclining
                                    => 18951, recluse => 10701,
                            reclusive
                                    => 14638, recognizance
                                    => 13557,
                            recognize
                                    => 1233, recollect
                                    => 15993,
                            recollection
                                    => 7236, recommend
                                    => 2276,
                            recommendation
                                    => 3506, recommending
                                    => 7748,
                            recommitted
                                    => 15992, recon   => 5891,
                            reconcile
                                    => 5993, reconciled
                                    => 7996,
                            reconciling
                                    => 13556, reconnect
                                    => 6162,
                            reconnected
                                    => 15273, reconnecting
                                    => 12251,
                            reconsider
                                    => 3018, reconsidered
                                    => 9571,
                            reconsidering
                                    => 10458, reconstructive
                                    => 15991,
                            reconvene
                                    => 10231, recorder
                                    => 4021,
                            recount => 9379, recoup  => 20359, recourse
                                    => 8878,
                            recover => 2354, recovering
                                    => 3254,
                            recovers
                                    => 8877, recovery
                                    => 1821,
                            recreate
                                    => 10230, recreating
                                    => 15272,
                            recrimination
                                    => 18950, recriminations
                                    => 16841,
                            recruiter
                                    => 17826, rectal  => 14093,
                            rectangles
                                    => 20358, rectify => 8125,
                            rectum  => 11882, recuperate
                                    => 7870,
                            recuperating
                                    => 7434, recuse  => 13555,
                            recycle => 9378, recycles
                                    => 18949,
                            redcoats
                                    => 20357, redder  => 20356,
                            redecorate
                                    => 8876, redecorated
                                    => 15990,
                            redecorating
                                    => 8404, redeem  => 6663,
                            redeemable
                                    => 20355, redeemed
                                    => 10974,
                            redeeming
                                    => 13076, redefine
                                    => 15271,
                            redemption
                                    => 6598, redhead => 4806,
                            redheaded
                                    => 10973, redheads
                                    => 14637,
                            redial  => 12250, redid   => 15270, redirect
                                    => 11548,
                            rediscover
                                    => 15989, redneck => 7995,
                            rednecks
                                    => 13075, redness => 20354,
                            redoing => 10972, redone  => 14092, redundancies
                                    => 14091,
                            reebok  => 12249, reechard
                                    => 13554,
                            reefer  => 11881, reeking => 14636, reeks   => 6810, reeled  => 14090,
                            reeling => 7338, reels   => 12646, reenactment
                                    => 10700,
                            reeno   => 18948, reenter => 17825, reeseman
                                    => 20353,
                            reevaluate
                                    => 15269, reexamine
                                    => 20352,
                            referrals
                                    => 18947, referring
                                    => 2381,
                            refill  => 3870, refilling
                                    => 20351,
                            refills => 14635, reflection
                                    => 3612,
                            reflex  => 6400, reflexes
                                    => 8544,
                            refocus => 18946, refrain => 6890, refresh => 5399, refreshed
                                    => 12248,
                            refresher
                                    => 10971, refreshing
                                    => 4182,
                            refreshingly
                                    => 20350, refreshment
                                    => 10699,
                            refreshments
                                    => 8403, refrigerated
                                    => 14089,
                            refrigerator
                                    => 2997, refrigerators
                                    => 17824,
                            refuel  => 10970, refueled
                                    => 20349,
                            refund  => 6104, refundable
                                    => 11547,
                            refunds => 15988, refuse  => 1587, refusing
                                    => 3975,
                            refute  => 14088, regains => 10969, regards => 4115, regenerate
                                    => 12645,
                            regenerated
                                    => 18945, regimen => 11880,
                            regret  => 1074, regrets => 2651, regrettable
                                    => 12247,
                            regrettably
                                    => 12644, regretted
                                    => 5311,
                            regretting
                                    => 7337, regroup => 7336,
                            regurgitate
                                    => 14634, rehab   => 2768,
                            rehabilitated
                                    => 12246, rehash  => 7235,
                            rehashing
                                    => 12245, rehearsal
                                    => 2333,
                            rehearse
                                    => 4629, rehearsed
                                    => 8683,
                            rehearsing
                                    => 5750, reheat  => 17823,
                            rehydrate
                                    => 20348, reiben  => 10968,
                            reiber  => 4599, reibers => 13553, reimburse
                                    => 11879,
                            reimbursed
                                    => 15268, reincarnated
                                    => 15267,
                            reincarnation
                                    => 11239, reindeer
                                    => 5478,
                            reinmar => 13552, reins   => 11238, reinstate
                                    => 7234,
                            reinstating
                                    => 16840, reinvent
                                    => 13551,
                            reinvented
                                    => 17822, reinventing
                                    => 17821,
                            reiterate
                                    => 13550, reject  => 3505,
                            rejecting
                                    => 6271, rejection
                                    => 3611,
                            rejections
                                    => 18944, rejoice => 9984,
                            rejoicing
                                    => 15266, rejuvenate
                                    => 18943,
                            rejuvenated
                                    => 16839, rejuvenating
                                    => 16838,
                            rekall  => 10698, rekindle
                                    => 12643,
                            rekindled
                                    => 16837, rekindling
                                    => 20347,
                            relapse => 7747, relapsing
                                    => 16836,
                            relate  => 3325, relationship
                                    => 489,
                            relationships
                                    => 1791, relax   => 598,
                            relaxant
                                    => 20346, relaxants
                                    => 18942,
                            relaxation
                                    => 7624, relaxed => 2971,
                            relaxes => 12642, relaxing
                                    => 3910,
                            relearn => 20345, relentless
                                    => 6161,
                            relentlessly
                                    => 14633, reliable
                                    => 3426,
                            relieve => 4569, relieved
                                    => 1836,
                            relinquish
                                    => 9983, relinquishes
                                    => 20344,
                            relinquishing
                                    => 15265, relish  => 8124,
                            relive  => 5093, relived => 20343, reliving
                                    => 5992,
                            reload  => 16835, rely    => 3504, remanded
                                    => 10967,
                            remark  => 4450, remarkable
                                    => 2691,
                            remarkably
                                    => 5398, remarks => 4039,
                            remarried
                                    => 5243, remarry => 7623,
                            remeber => 18941, remedial
                                    => 11546,
                            remedied
                                    => 15264, remedy  => 6597,
                            remem   => 20342, remember
                                    => 157,
                            remembered
                                    => 1257, remembering
                                    => 2106,
                            remembers
                                    => 2455, remind  => 920,
                            reminded
                                    => 2047, reminder
                                    => 3207,
                            reminders
                                    => 9042, reminding
                                    => 3049,
                            reminds => 1611, reminisce
                                    => 11878,
                            reminiscing
                                    => 10966, remiss  => 10965,
                            remission
                                    => 7233, remitting
                                    => 18940,
                            remodel => 11237, remodeling
                                    => 10457,
                            remodelling
                                    => 14632, remoray => 11545,
                            remore  => 18939, remorse => 5128, remotely
                                    => 3657,
                            remove  => 1830, remover => 9194, rendez  => 20341, rendezvous
                                    => 3775,
                            renege  => 16834, reneged => 15987, reneging
                                    => 14631,
                            renegotiate
                                    => 11877, renegotiating
                                    => 20340,
                            renew   => 6103, renewing
                                    => 12641,
                            renfield
                                    => 18938, renoir  => 11544,
                            renounce
                                    => 9570, renovating
                                    => 13549,
                            renquist
                                    => 16833, rent    => 1256,
                            rental  => 3804, rented  => 2738, renting => 5031, renton  => 17820,
                            rents   => 7994, renzo   => 18937, reopen  => 6977, reorganize
                                    => 13548,
                            reorganizing
                                    => 17819, repaid  => 12640,
                            repaint => 16832, repainting
                                    => 20339,
                            repairman
                                    => 8682, reparations
                                    => 11876,
                            repartee
                                    => 18936, repay   => 2888,
                            repaying
                                    => 15986, repays  => 20338,
                            repeat  => 1456, repeating
                                    => 3694,
                            repel   => 10456, repellant
                                    => 20337,
                            repellent
                                    => 10229, repent  => 8875,
                            repentant
                                    => 20336, repercussions
                                    => 5991,
                            repetitious
                                    => 17818, rephrase
                                    => 6662,
                            replaceable
                                    => 15263, replaying
                                    => 16831,
                            replenish
                                    => 17817, replicant
                                    => 20335,
                            replicating
                                    => 12639, replicators
                                    => 15262,
                            reporter
                                    => 1958, reporters
                                    => 3056,
                            repossess
                                    => 18935, reprehensible
                                    => 10455,
                            repress => 13074, repressed
                                    => 6270,
                            repressing
                                    => 15985, reprieve
                                    => 9766,
                            reprimand
                                    => 15261, reprimanded
                                    => 14087,
                            reproach
                                    => 9765, reprobate
                                    => 16830,
                            reprogram
                                    => 17816, reprogrammed
                                    => 20334,
                            reprogramming
                                    => 18934, reptile => 6744,
                            reptilian
                                    => 13547, repugnant
                                    => 12638,
                            repulse => 15984, repulsive
                                    => 6347,
                            reputable
                                    => 11236, reputation
                                    => 1536,
                            reputations
                                    => 10697, repute  => 17815,
                            requesting
                                    => 4880, requisite
                                    => 13073,
                            requisition
                                    => 9982, requisitions
                                    => 17814,
                            reread  => 17813, reroute => 13072, rerun   => 10696, reruns  => 9193,
                            resale  => 20333, reschedule
                                    => 3855,
                            rescheduled
                                    => 9981, rescind => 10454,
                            rescue  => 1528, rescued => 3071, rescuer => 17812, rescuing
                                    => 4805,
                            researching
                                    => 6102, reseda  => 17811,
                            resemblance
                                    => 4197, resent  => 2948,
                            resented
                                    => 9192, resentful
                                    => 10228,
                            resenting
                                    => 12244, resentment
                                    => 5209,
                            resentments
                                    => 18933, resents => 13546,
                            reservation
                                    => 2586, reservations
                                    => 2563,
                            reserving
                                    => 17810, reset   => 5058,
                            resetting
                                    => 18932, reshoot => 17809,
                            reshoots
                                    => 18931, residue => 6809,
                            resigning
                                    => 7869, resilient
                                    => 7232,
                            resist  => 2036, resisting
                                    => 5352,
                            resists => 15983, resolute
                                    => 16829,
                            resolve => 3324, resorting
                                    => 15982,
                            resounding
                                    => 15981, resourceful
                                    => 5397,
                            respect => 679, respectability
                                    => 11875,
                            respectable
                                    => 4038, respected
                                    => 2898,
                            respectful
                                    => 7335, respectfully
                                    => 6346,
                            respecting
                                    => 5691, respects
                                    => 3038,
                            respiration
                                    => 9377, respirations
                                    => 16828,
                            respirator
                                    => 5554, respite => 15980,
                            respond => 2142, responding
                                    => 3477,
                            responsibilities
                                    => 2887,
                            responsibility
                                    => 1079, responsibly
                                    => 11543,
                            responsive
                                    => 9980, rest    => 312,
                            restaurant
                                    => 1066, restaurateur
                                    => 18930,
                            rested  => 5990, restful => 13545, resting => 3093, restless
                                    => 4358,
                            restock => 20332, reston  => 18929, restorative
                                    => 18928,
                            restores
                                    => 15979, restrain
                                    => 7231,
                            restraining
                                    => 2553, restraint
                                    => 4672,
                            restraints
                                    => 6101, restroom
                                    => 5989,
                            restrooms
                                    => 13071, rests   => 5477,
                            resume  => 2996, resumes => 9376, resurface
                                    => 15978,
                            resurrect
                                    => 10964, resuscitate
                                    => 10695,
                            resuscitated
                                    => 20331, retainer
                                    => 5988,
                            retaliate
                                    => 6661, retaliating
                                    => 18927,
                            retaliatory
                                    => 15260, retard  => 6476,
                            retarded
                                    => 5396, retards => 10963,
                            retentive
                                    => 15977, retest  => 18926,
                            rethink => 4114, rethinking
                                    => 9191,
                            rethought
                                    => 17808, retinal => 9190,
                            retinas => 16827, reting  => 20330, retire  => 3638, retires => 10694,
                            retort  => 16826, retrace => 10693, retract => 8543, retraction
                                    => 7868,
                            retractor
                                    => 10962, retrial => 20329,
                            retribution
                                    => 6889, retrieval
                                    => 6269,
                            retrieve
                                    => 4910, retriever
                                    => 11235,
                            retrieving
                                    => 14630, retro   => 5645,
                            retrofit
                                    => 16825, retrograde
                                    => 13544,
                            retrospect
                                    => 10453, reunion => 2463,
                            reunions
                                    => 12637, reunite => 7622,
                            revamp  => 15259, reveal  => 2638, revel   => 10961, reveling
                                    => 18925,
                            revenge => 1260, revere  => 9764, reverend
                                    => 2211,
                            reverently
                                    => 13543, reverse => 2220,
                            revert  => 9979, reverts => 16824, revise  => 12636, revisit => 8402,
                            revisiting
                                    => 15976, revlon  => 7137,
                            revoir  => 6976, revoke  => 8874, revoked => 6808, revoking
                                    => 16823,
                            revolting
                                    => 8401, revolutionize
                                    => 14086,
                            revolve => 6743, revulsion
                                    => 13542,
                            revved  => 11234, reward  => 2158, rewarding
                                    => 6047,
                            rewind  => 5749, rewire  => 11233, rewired => 20328, rewrite => 5310,
                            rewrites
                                    => 16822, rewriting
                                    => 8873,
                            rewrote => 15258, reykjavik
                                    => 9978,
                            rheingold
                                    => 16821, rhetorical
                                    => 7136,
                            rheya   => 12243, rheza   => 15975, rhinestone
                                    => 13070,
                            rhinestones
                                    => 14629, rhino   => 5890,
                            rhubarb => 20327, rhyme   => 4568, rhymed  => 16820, rhyming => 10960,
                            rialto  => 13069, riana   => 8400, rianna  => 2353, ribbon  => 3625,
                            ribbons => 7621, ribcage => 20326, rible   => 15974, ribs    => 3167,
                            richardo
                                    => 17807, richer  => 3974,
                            riches  => 8399, richest => 5610, rickets => 15973, rickety => 18924,
                            rickshaw
                                    => 13068, ricochet
                                    => 15257,
                            riddance
                                    => 5938, ridding => 13067,
                            riddled => 11542, riddler => 14085, riddles => 7746, ride    => 615,
                            rides   => 3206, ridge   => 638, ridicule
                                    => 7993,
                            ridiculed
                                    => 10227, ridiculous
                                    => 779,
                            ridiculously
                                    => 7992, ridin   => 6888,
                            riding  => 1515, riedenschneider
                                    => 10959,
                            rieper  => 12635, riffing => 20325, riffraff
                                    => 11232,
                            rifkin  => 12634, rifling => 13541, rigged  => 4397, right   => 29,
                            righteous
                                    => 3017, righteousness
                                    => 8123,
                            rightful
                                    => 5609, rightfully
                                    => 5845,
                            rightly => 9189, righto  => 14628, righty  => 3597, rigoletto
                                    => 17806,
                            riled   => 6475, rimbaud => 7230, rincess => 18923, rinds   => 10692,
                            ring    => 611, ringers => 14627, ringin  => 18922, ringing => 2491,
                            ringleader
                                    => 20324, rings   => 1932,
                            ringside
                                    => 11874, ringwald
                                    => 16819,
                            rinse   => 6596, rinsing => 18921, rioja   => 12633, riot    => 2745,
                            ripe    => 5242, ripped  => 1929, ripper  => 7135, rippin  => 18920,
                            ripping => 3710, ripples => 17805, rippling
                                    => 17804,
                            risk    => 776, risked  => 3229, risking => 3220, risks   => 2660,
                            risky   => 2708, risotto => 8681, ristle  => 13540, ristorante
                                    => 18919,
                            ritalin => 7620, ritten  => 17803, rittle  => 18918, ritual  => 2862,
                            ritualistic
                                    => 16818, ritzy   => 16817,
                            riverbank
                                    => 10226, riveted => 15256,
                            riveting
                                    => 13539, riviera => 6345,
                            roaches => 10691, roadblock
                                    => 10225,
                            roadblocks
                                    => 8872, roadhouse
                                    => 15255,
                            roadie  => 14084, roadies => 17802, roadshow
                                    => 15972,
                            roaming => 6344, roar    => 5167, roared  => 20323, roaring => 7520,
                            roast   => 2737, roasted => 6343, roasting
                                    => 9188,
                            roasts  => 17801, robbed  => 2632, robber  => 6160, robberies
                                    => 6887,
                            robbers => 5608, robbery => 2193, robbing => 4545, robe    => 2985,
                            robechaux
                                    => 10452, robes   => 5690,
                            robinsons
                                    => 16816, robot   => 3156,
                            rocked  => 6975, rocker  => 6595, rockettes
                                    => 20322,
                            rockin  => 6742, rocking => 5092, rocks   => 1804, rode    => 3240,
                            rodent  => 7867, rogue   => 4544, rogues  => 17800, rohypnol
                                    => 17799,
                            roldy   => 15971, rolex   => 10690, rolfie  => 16815, rolfski => 20321,
                            rolfsky => 11873, roll    => 938, rolled  => 3016, rollerblades
                                    => 17798,
                            rollerblading
                                    => 15970, rollercoaster
                                    => 16814,
                            rollers => 7866, rolling => 1735, rolls   => 2879, rolltop => 20320,
                            rolodex => 18917, romance => 1644, romances
                                    => 9763,
                            romancing
                                    => 12632, romanica
                                    => 20319,
                            romanov => 9187, romanovs
                                    => 16813,
                            romantic
                                    => 887, romantically
                                    => 6974,
                            romanticize
                                    => 18916, romantics
                                    => 15969,
                            romari  => 20318, romper  => 16812, romping => 14083, rondall => 13066,
                            rondell => 15254, ronee   => 7334, roof    => 1176, roofer  => 15253,
                            roofie  => 18915, roofies => 15968, rooftop => 8398, rooftops
                                    => 8542,
                            roofy   => 18914, room    => 194, roomed  => 20317, roomful => 9569,
                            roomie  => 7433, roomies => 10689, rooming => 9762, roommate
                                    => 1901,
                            roommates
                                    => 4239, roomy   => 14082,
                            roost   => 14081, rooster => 6046, rootie  => 18913, rootin  => 16811,
                            rooting => 5844, rope    => 2117, roped   => 9041, ropes   => 4804,
                            rosalita
                                    => 17797, rosary  => 10451,
                            rosasharn
                                    => 15252, rosco   => 5937,
                            rosebud => 6159, rosebuds
                                    => 18912,
                            rosebush
                                    => 15251, roses   => 2283,
                            rosey   => 20316, roshman => 10688, roslin  => 20315, rosomorf
                                    => 11541,
                            rosses  => 14080, rosslyn => 14079, rostle  => 13538, roston  => 13537,
                            rostov  => 12631, roswell => 4020, rotarian
                                    => 20314,
                            rotisserie
                                    => 18911, rotted  => 13065,
                            rotten  => 2010, rotting => 4986, rottweiler
                                    => 15967,
                            rough   => 1014, roughage
                                    => 18910,
                            roughed => 10450, rougher => 14078, roughing
                                    => 13064,
                            roughnecks
                                    => 14077, roulette
                                    => 9375,
                            rounding
                                    => 8680, roundup => 10449,
                            rousing => 11540, roust   => 15250, rousted => 16810, rousting
                                    => 20313,
                            routine => 1671, roving  => 11539, rowboat => 11872, rowdy   => 7865,
                            roxbury => 11231, roxy    => 1795, royally => 8871, royalty => 4331,
                            rsquo   => 4449, "rsvp'd"
                                    => 16809,
                            rubbed  => 5434, rubber  => 2485, rubbers => 18909, rubbery => 20312,
                            rubbing => 3503, rubbish => 6474, rubes   => 17796, rubies  => 12242,
                            ruckus  => 8870, rudabaga
                                    => 15966,
                            rude    => 1426, rudely  => 15249, rudeness
                                    => 12630,
                            rudest  => 20311, rueland => 15965, ruffians
                                    => 17795,
                            ruffle  => 13063, ruffled => 14076, ruffles => 14075, rugrats => 14074,
                            ruijven => 14626, ruin    => 896, ruination
                                    => 15964,
                            ruined  => 1091, ruining => 2233, rulebook
                                    => 18908,
                            rules   => 773, rumba   => 18907, rumbling
                                    => 14625,
                            rumblings
                                    => 14624, rummage => 10687,
                            rummaging
                                    => 9568, rummy   => 9977,
                            rumor   => 2375, rumors  => 2922, rumour  => 5241, rumpled => 18906,
                            rumpus  => 13062, rumson  => 8679, run     => 269, runaround
                                    => 12241,
                            runaway => 5476, runaways
                                    => 12240,
                            rundown => 7745, runes   => 14623, runneth => 17794, runnin  => 4094,
                            running => 424, runny   => 8869, ruptured
                                    => 7519,
                            rushdie => 18905, rushed  => 2995, rushmore
                                    => 8397,
                            rusik   => 9374, russe   => 10686, russells
                                    => 11871,
                            russians
                                    => 4002, rusted  => 11870,
                            rusting => 15963, rustle  => 11538, rustling
                                    => 11230,
                            ruthless
                                    => 3869, ruthlessly
                                    => 17793,
                            ruttheimer
                                    => 20310, rutting => 17792,
                            "rya'c" => 8868, rydell  => 9373, rygalski
                                    => 15962,
                            "s'aright"
                                    => 20309, "s'cuse"
                                    => 17791,
                            "s'more"
                                    => 12629, "s'mores"
                                    => 9040,
                            "s'okay"
                                    => 16808, "s'pose"
                                    => 13536,
                            "s'posed"
                                    => 7333, sabath  => 20308,
                            sabbatical
                                    => 9976, saber   => 11537,
                            saberhagen
                                    => 7991, sabers  => 14622,
                            sabotage
                                    => 3564, sabotaged
                                    => 6268,
                            sabotaging
                                    => 8678, sabrini => 20307,
                            sacamano
                                    => 18904, saccharine
                                    => 18903,
                            sack    => 2526, sacre   => 18902, sacrifice
                                    => 1825,
                            sacrificed
                                    => 3909, sacrifices
                                    => 3932,
                            sacrificing
                                    => 6473, sacrilege
                                    => 13061,
                            sacrilegious
                                    => 20306, saddam  => 4879,
                            saddened
                                    => 12239, saddens => 15961,
                            sadder  => 7229, saddest => 6472, saddle  => 4113, saddled => 9567,
                            sadism  => 20305, sadist  => 9372, sadistic
                                    => 7134,
                            sadly   => 4070, sadness => 4019, safari  => 8122, safe    => 417,
                            safecracker
                                    => 20304, safehouse
                                    => 14621,
                            safekeeping
                                    => 10685, safely  => 2462,
                            safer   => 2558, safes   => 15248, safest  => 5091, saget   => 15960,
                            sagging => 17790, sagittarius
                                    => 18901,
                            sagman  => 16807, sahjhan => 11536, said    => 95, sail    => 2783,
                            sailboat
                                    => 7619, sailboats
                                    => 18900,
                            sailor  => 3037, sainted => 10958, sainthood
                                    => 15959,
                            saintly => 12238, saith   => 18899, sake    => 709, sakes   => 1864,
                            sakulos => 14620, salad   => 1744, salads  => 7744, salami  => 7228,
                            salary  => 2921, salem   => 1031, salesman
                                    => 2631,
                            salesmen
                                    => 9761, salesperson
                                    => 14619,
                            saleswoman
                                    => 17789, salieri => 11229,
                            saline  => 7743, salinger
                                    => 15958,
                            salino  => 20303, salish  => 18898, saliva  => 6158, salivating
                                    => 15957,
                            sallow  => 20302, salma   => 14618, salmonella
                                    => 13060,
                            salsa   => 4909, saltines
                                    => 13535,
                            salty   => 5793, salud   => 14073, salutations
                                    => 16806,
                            salute  => 4208, saluted => 18897, saluting
                                    => 14072,
                            salvage => 3973, salvaging
                                    => 13059,
                            salvy   => 11869, samaritan
                                    => 6538,
                            sami    => 1172, samir   => 9186, samool  => 20301, sancho  => 8121,
                            sanctimonious
                                    => 9185, sanctity
                                    => 6886,
                            sanctum => 11535, sand    => 2043, sandal  => 17788, sandals => 7864,
                            sandalwood
                                    => 16805, sandbag => 13534,
                            sandbar => 18896, sandbox => 9760, sandburg
                                    => 2000,
                            sanded  => 15247, sandeman
                                    => 9975,
                            sanding => 17787, sandman => 8677, sandovals
                                    => 17786,
                            sandpaper
                                    => 14071, sandstorm
                                    => 16804,
                            sandwich
                                    => 1673, sandwiches
                                    => 2514,
                            sane    => 3067, sanest  => 14617, sangria => 11534, sanitarium
                                    => 15246,
                            sanity  => 4416, sankara => 14616, santangel
                                    => 20300,
                            santas  => 17785, santen  => 15956, santino => 11868, santoses
                                    => 10448,
                            santy   => 14615, sapiens => 13058, sapphire
                                    => 9759,
                            sapphires
                                    => 15245, sappy   => 6537,
                            sarcasm => 4415, sarcastic
                                    => 4258,
                            sarcoidosis
                                    => 18895, sarcophagus
                                    => 11867,
                            sardine => 16803, sardines
                                    => 11866,
                            sarge   => 4238, sark    => 4285, sarnia  => 20299, sarong  => 20298,
                            sarris  => 7990, sartorius
                                    => 15955,
                            sashimi => 14614, sasquatch
                                    => 13533,
                            sassy   => 5523, satan   => 3184, satanic => 11865, satch   => 12628,
                            satchel => 9758, satin   => 6157, satine  => 13057, satisfaction
                                    => 3087,
                            satisfied
                                    => 1853, satisfy => 3908,
                            satisfying
                                    => 4878, saturday
                                    => 1140,
                            satyr   => 10224, sauce   => 1912, saucer  => 7053, saucers => 12237,
                            sauces  => 15954, saucy   => 10447, saudis  => 17784, sauerkraut
                                    => 11864,
                            saugus  => 13532, sauna   => 6471, sausage => 3738, sausages
                                    => 7989,
                            saute   => 18894, savagely
                                    => 17783,
                            savagery
                                    => 20297, savages => 8867,
                            save    => 406, saved   => 717, saver   => 8260, saves   => 4112,
                            savin   => 13056, saving  => 1121, savior  => 4543, savoir  => 20296,
                            savor   => 7133, savored => 18893, savoring
                                    => 16802,
                            savour  => 18892, savvy   => 6470, saw     => 205, sawchuk => 13531,
                            sawdust => 11533, sawed   => 16801, sawing  => 13055, say     => 69,
                            saybrooke
                                    => 16800, sayeth  => 16799,
                            sayin   => 2839, saying  => 210, sayonara
                                    => 9566,
                            says    => 304, scabby  => 18891, scabs   => 12236, scaffolding
                                    => 15953,
                            scagnetti
                                    => 13530, scald   => 18890,
                            scalding
                                    => 16798, scallions
                                    => 18889,
                            scallop => 16797, scalloped
                                    => 20295,
                            scallops
                                    => 15244, scalp   => 5748,
                            scalped => 16796, scalpel => 5522, scalper => 14613, scalping
                                    => 16795,
                            scalps  => 15952, scaly   => 15951, scam    => 2256, scammed => 9184,
                            scamming
                                    => 5747, scamp   => 12235,
                            scampered
                                    => 17782, scampi  => 15243,
                            scamps  => 20294, scams   => 6741, scan    => 2797, scandalous
                                    => 10957,
                            scanned => 10223, scanner => 5607, scanners
                                    => 11863,
                            scans   => 8866, scapegoat
                                    => 9565,
                            scar    => 2718, scarce  => 5746, scarcely
                                    => 11532,
                            scare   => 1103, scarecrow
                                    => 4181,
                            scared  => 478, scaredy => 13529, scares  => 2229, scarf   => 2605,
                            scarface
                                    => 15242, scarfing
                                    => 18888,
                            scarier => 7052, scariest
                                    => 9183,
                            scarin  => 18887, scaring => 2206, scarred => 6469, scarring
                                    => 11228,
                            scars   => 4001, scarsdale
                                    => 12234,
                            scarves => 9757, scary   => 1205, scatter => 6594, scavenger
                                    => 12627,
                            scavenging
                                    => 18886, scenario
                                    => 2549,
                            scenery => 4845, scent   => 3526, scented => 7863, scents  => 16794,
                            scepter => 7988, scepters
                                    => 15950,
                            schedule
                                    => 1190, schedules
                                    => 5843,
                            schematics
                                    => 9974, schemed => 14612,
                            schemer => 10956, scheming
                                    => 4803,
                            schenkman
                                    => 13054, schibetta
                                    => 6593,
                            schillinger
                                    => 4943, schizo  => 16793,
                            schizoid
                                    => 17781, schizophrenic
                                    => 8865,
                            schlep  => 16792, schlong => 20293, schlub  => 18885, schmancy
                                    => 20292,
                            schmo   => 17780, schmooze
                                    => 16791,
                            schmoozing
                                    => 15241, schmuck => 6156,
                            schmucks
                                    => 15949, schnapps
                                    => 7332,
                            schnauzer
                                    => 17779, schnitzel
                                    => 14611,
                            schnoz  => 16790, schoolboy
                                    => 9039,
                            schooled
                                    => 9038, schoolers
                                    => 15948,
                            schoolgirl
                                    => 6973, schoolwork
                                    => 7432,
                            schoolyard
                                    => 11227, schotzie
                                    => 16789,
                            schreber
                                    => 20291, scintillating
                                    => 15240,
                            scissor => 18884, scissorhands
                                    => 20290,
                            scissors
                                    => 3476, scoff   => 11862,
                            scold   => 11226, scolded => 18883, scolding
                                    => 14610,
                            scoliosis
                                    => 13528, scone   => 8541,
                            scones  => 7987, scooby  => 8540, scooch  => 14609, scoop   => 3624,
                            scooped => 12626, scooping
                                    => 15239,
                            scoops  => 12625, scoot   => 5606, scooter => 6045, scopes  => 17778,
                            scoping => 14608, scorch  => 16788, scorched
                                    => 10222,
                            scorcher
                                    => 16787, scorching
                                    => 14070,
                            scorecard
                                    => 15947, scorn   => 10684,
                            scorned => 8259, scorpio => 6740, scorpion
                                    => 7331,
                            scotch  => 2490, scotches
                                    => 18882,
                            scoundrel
                                    => 7742, scoundrels
                                    => 12233,
                            scour   => 11225, scoured => 14069, scourge => 8396, scouring
                                    => 15946,
                            scout   => 2268, scowl   => 10683, scowling
                                    => 15945,
                            scrabble
                                    => 7741, scram   => 6342,
                            scramble
                                    => 8539, scrambled
                                    => 4764,
                            scrambler
                                    => 17777, scrambling
                                    => 9973,
                            scrap   => 5395, scrapbook
                                    => 7618,
                            scrape  => 4628, scraped => 7986, scrapes => 9756, scraping
                                    => 6885,
                            scrapings
                                    => 14068, scrappy => 12232,
                            scraps  => 7518, scratch => 1931, scratched
                                    => 4497,
                            scratches
                                    => 6267, scratching
                                    => 4648,
                            scratchy
                                    => 7132, scrawny => 6807,
                            scream  => 1614, screamed
                                    => 4000,
                            screamer
                                    => 12231, screamin
                                    => 10446,
                            screaming
                                    => 1390, screams => 4448,
                            screech => 3086, screeching
                                    => 10221,
                            screw   => 1072, screwball
                                    => 14607,
                            screwdriver
                                    => 5842, screwed => 1163,
                            screwin => 12230, screwing
                                    => 2630,
                            screws  => 4237, screwup => 9755, screwups
                                    => 13053,
                            screwy  => 8395, scribble
                                    => 12229,
                            scribbled
                                    => 18881, scribbling
                                    => 15238,
                            scroll  => 3637, scrooge => 9754, scrote  => 13052, scrotum => 13527,
                            scrounge
                                    => 9564, scrounging
                                    => 15237,
                            scrub   => 4157, scrubbed
                                    => 9753,
                            scrubbing
                                    => 6884, scrubs  => 7517,
                            scruffy => 10955, scrumptious
                                    => 10445,
                            scrunch => 13051, scrunched
                                    => 20289,
                            scrunchie
                                    => 18880, scruples
                                    => 7516,
                            scrutinized
                                    => 18879, scrying => 10444,
                            scuba   => 6100, scudder => 2478, scuff   => 14606, scuffle => 11861,
                            scullery
                                    => 16786, sculpt  => 15944,
                            scum    => 2673, scumbag => 5841, scumbags
                                    => 12228,
                            scummy  => 18878, scurrying
                                    => 13050,
                            scurvy  => 13526, scusa   => 20288, scuse   => 3788, scuttlebutt
                                    => 15943,
                            scuttling
                                    => 20287, scuzzlebutt
                                    => 12227,
                            scuzzy  => 18877, seabea  => 14605, seabeas => 12624, seaboard
                                    => 8258,
                            seaborn => 5279, seafood => 7131, seagrave
                                    => 16785,
                            seagull => 15236, seagulls
                                    => 10443,
                            seahaven
                                    => 16784, sealant => 20286,
                            sealed  => 2361, seams   => 6806, seamstress
                                    => 12623,
                            seamus  => 9752, seance  => 10682, search  => 1100, searched
                                    => 3311,
                            searching
                                    => 2021, seared  => 15235,
                            searing => 15942, seascape
                                    => 14067,
                            seashell
                                    => 16783, seashells
                                    => 17776,
                            seasick => 10954, seasoned
                                    => 9751,
                            seatbelt
                                    => 9182, seatbelts
                                    => 11224,
                            seated  => 3502, seattle => 1480, seaweed => 8864, sebacio => 18876,
                            secaucus
                                    => 20285, secluded
                                    => 7515,
                            seclusion
                                    => 12622, secondhand
                                    => 10681,
                            secondly
                                    => 4985, seconds => 819,
                            secrecy => 4357, secret  => 496, secretarial
                                    => 18875,
                            secretaries
                                    => 7740, secretions
                                    => 15941,
                            secretive
                                    => 5840, secretly
                                    => 3610,
                            secrets => 1046, secure  => 1743, securely
                                    => 13049,
                            sedate  => 7862, sedated => 5689, sedation
                                    => 12226,
                            sedative
                                    => 4470, sedatives
                                    => 10220,
                            sedley  => 11223, seduce  => 2428, seduced => 4378, seduces => 12621,
                            seducing
                                    => 5839, seduction
                                    => 6739,
                            seductive
                                    => 8676, seductress
                                    => 20284,
                            see     => 50, seedy   => 8120, seein   => 5987, seeing  => 447,
                            seeker  => 12620, seem    => 415, seemed  => 814, seeming => 11222,
                            seems   => 407, seen    => 246, seeping => 13048, seeps   => 20283,
                            seers   => 20282, sees    => 1016, seesaw  => 17775, seething
                                    => 15940,
                            seeya   => 7330, sefelt  => 15234, segretti
                                    => 13047,
                            segue   => 12225, seinfeld
                                    => 3115,
                            seinfelds
                                    => 20281, seize   => 4180,
                            seizes  => 17774, seizing => 9563, seizure => 5057, seizures
                                    => 6468,
                            selectman
                                    => 15233, selfish => 1366,
                            selfishly
                                    => 11531, selfishness
                                    => 7617,
                            selfless
                                    => 4356, selflessly
                                    => 20280,
                            selflessness
                                    => 14604, sell    => 799,
                            sellin  => 9750, sellout => 10680, selmak  => 12619, selves  => 7431,
                            selznick
                                    => 18874, semanski
                                    => 20279,
                            semantics
                                    => 8863, semblance
                                    => 12224,
                            semen   => 6467, semester
                                    => 2659,
                            semiautomatic
                                    => 18873, seminar => 4844,
                            semis   => 20278, semite  => 18872, semper  => 13525, semtex  => 10679,
                            send    => 476, sendin  => 20277, sending => 1232, sendoff => 13524,
                            sends   => 2573, senile  => 8257, senility
                                    => 18871,
                            senor   => 3489, senora  => 5644, senores => 20276, senorita
                                    => 7739,
                            sensation
                                    => 5521, sensational
                                    => 5351,
                            sensations
                                    => 10442, sense   => 436,
                            sensed  => 3889, sensei  => 15939, senseless
                                    => 6044,
                            senses  => 2156, sensible
                                    => 4136,
                            sensing => 4671, sensitive
                                    => 1407,
                            sensitivity
                                    => 4627, sensual => 7227,
                            sensuality
                                    => 15938, sensuous
                                    => 16782,
                            sentance
                                    => 15937, sentence
                                    => 1451,
                            sentencing
                                    => 4732, sentiment
                                    => 5936,
                            sentimental
                                    => 3488, sentimentality
                                    => 10953,
                            sentiments
                                    => 8538, sentinel
                                    => 4626,
                            sentinels
                                    => 11530, sentries
                                    => 15936,
                            sentry  => 13046, seppuku => 18870, sepsis  => 20275, septic  => 8119,
                            septum  => 14603, sequestered
                                    => 12618,
                            sequined
                                    => 17773, sequins => 14066,
                            serafine
                                    => 10952, serenade
                                    => 11860,
                            serendipity
                                    => 15935, serene  => 7985,
                            serenity
                                    => 5166, sergeant
                                    => 1943,
                            serious => 389, seriously
                                    => 759,
                            seriousness
                                    => 9037, sermon  => 6738,
                            serpico => 17772, serum   => 3787, servants
                                    => 3416,
                            serviceable
                                    => 20274, servings
                                    => 17771,
                            servitude
                                    => 14065, sesterces
                                    => 16781,
                            setback => 4984, setbacks
                                    => 10219,
                            settin  => 11529, settle  => 1106, settling
                                    => 3854,
                            setup   => 2646, seuss   => 11859, seventeen
                                    => 2264,
                            seventies
                                    => 7861, seventy => 1807,
                            sever   => 8256, severed => 5745, sewed   => 9181, sewer   => 3636,
                            sewers  => 5744, sewing  => 5433, sex     => 474, sexier  => 7616,
                            sexiest => 7226, sexist  => 5309, sexless => 14602, sextant => 20273,
                            sexually
                                    => 3487, sexy    => 1283,
                            "sha'nauc"
                                    => 20272, "sha're"
                                    => 14064,
                            shabbas => 18869, shabbily
                                    => 18868,
                            shabby  => 6805, shack   => 3832, shacked => 8118, shacking
                                    => 6536,
                            shackle => 18867, shackled
                                    => 12617,
                            shackles
                                    => 10218, shaddup => 16780,
                            shades  => 5308, shadoe  => 15232, shadow  => 1890, shadowing
                                    => 15231,
                            shadows => 2197, shadowy => 9562, shady   => 6043, shaft   => 3820,
                            shafted => 14601, shafter => 20271, shagged => 16779, shagging
                                    => 12223,
                            shaggy  => 12222, shake   => 1292, shakedown
                                    => 10441,
                            shaken  => 3555, shaker  => 9972, shakers => 13523, shakes  => 4908,
                            shakin  => 9180, shaking => 2105, shaky   => 4447, shall   => 613,
                            shallots
                                    => 20270, shallow => 2886,
                            shallows
                                    => 18866, shalt   => 5643,
                            sham    => 5394, shaman  => 8255, shambles
                                    => 7984,
                            shame   => 1202, shamed  => 9371, shameful
                                    => 8117,
                            shameless
                                    => 6099, shamelessly
                                    => 10951,
                            shaming => 18865, shampoo => 4699, shampoos
                                    => 20269,
                            shamu   => 14063, shamus  => 10678, "shan't"
                                    => 9971,
                            shanghaied
                                    => 13522, shangri => 11858,
                            shania  => 9561, shannen => 10677, shanshu => 17770, shapely => 14600,
                            shapeshifter
                                    => 15230, shapetype
                                    => 18864,
                            shaping => 7430, shaquille
                                    => 17769,
                            shards  => 12616, share   => 648, shareef => 11857, sharifa => 20268,
                            sharing => 1691, shark   => 2579, sharkbait
                                    => 9970,
                            sharking
                                    => 16778, sharks  => 4093,
                            sharpen => 10676, sharpened
                                    => 15229,
                            sharpener
                                    => 14599, sharpening
                                    => 13521,
                            sharpens
                                    => 17768, sharper => 9370,
                            sharpest
                                    => 9560, sharpshooters
                                    => 16777,
                            shatner => 14598, shatter => 7329, shattered
                                    => 3868,
                            shattering
                                    => 6804, shatters
                                    => 20267,
                            shavadai
                                    => 16776, shave   => 2758,
                            shaved  => 5056, shaven  => 18863, shaves  => 14597, shaving => 4179,
                            shavings
                                    => 20266, shawl   => 9036,
                            shawshank
                                    => 14062, "she'd" => 729,
                            "she'll"
                                    => 500, "she's" => 80,
                            shebang => 13520, shecky  => 20265, shed    => 2275, shedlow => 20264,
                            sheeit  => 12615, sheeny  => 18862, sheepskin
                                    => 17767,
                            sheer   => 4178, sheesh  => 10217, sheet   => 2366, sheetrock
                                    => 14061,
                            shelbyville
                                    => 17766, sheldrake
                                    => 6399,
                            shelf   => 3450, shelled => 11856, shellfish
                                    => 9559,
                            shelter => 2177, shelve  => 17765, shelves => 6266, shelving
                                    => 20263,
                            shenanigans
                                    => 6535, shepherds
                                    => 9035,
                            sheraton
                                    => 13519, sherborne
                                    => 16775,
                            sheridan
                                    => 546, sheriff => 1637,
                            sherpa  => 20262, shhh    => 2134, shhhh   => 5030, shhhhh  => 8675,
                            shhhhhh => 11855, shiatsu => 15934, shielding
                                    => 10950,
                            shift   => 1482, shifter => 15228, shiftless
                                    => 20261,
                            shifts  => 3541, shifty  => 9558, shifu   => 17764, shiller => 10440,
                            shimmer => 9969, shimmering
                                    => 12221,
                            shimmy  => 13518, shimokawa
                                    => 16774,
                            shindig => 5935, shine   => 2509, shined  => 11221, shines  => 6660,
                            shining => 3015, shins   => 14060, shiny   => 3228, shipmates
                                    => 20260,
                            shipment
                                    => 3475, shipped => 3867,
                            shipshape
                                    => 17763, shipwrecked
                                    => 14059,
                            shirking
                                    => 14596, shirt   => 1011,
                            shirtless
                                    => 17762, shirts  => 2704,
                            shish   => 14058, shit    => 390, shitbag => 20259, shite   => 10949,
                            shitfaced
                                    => 20258, shithead
                                    => 7328,
                            shitheads
                                    => 20257, shithole
                                    => 11528,
                            shithouse
                                    => 17761, shitless
                                    => 11527,
                            shitload
                                    => 9557, shits   => 7514,
                            shitstorm
                                    => 18861, shitter => 16773,
                            shittin => 14057, shitting
                                    => 8116,
                            shitty  => 4377, shivering
                                    => 7615,
                            shizzit => 20256, shmancy => 20255, shmoopy => 9968, shmuck  => 20254,
                            shock   => 1221, shocked => 1917, shocker => 8537, shocking
                                    => 4056,
                            shockingly
                                    => 14595, shocks  => 8862,
                            shoddy  => 11854, shoe    => 1449, shoebox => 10216, shoehorn
                                    => 17760,
                            shoelace
                                    => 12614, shoelaces
                                    => 9556,
                            shoes   => 836, "shol'va"
                                    => 15227,
                            shone   => 15226, shoo    => 4877, shoot   => 618, shooter => 2818,
                            shooters
                                    => 6042, shootin => 7327,
                            shooting
                                    => 1209, shoots  => 3774,
                            shop    => 932, shopkeeper
                                    => 17759,
                            shopkeepers
                                    => 20253, shoplift
                                    => 15933,
                            shoplifter
                                    => 16772, shoplifters
                                    => 18860,
                            shoplifting
                                    => 6214, shopped => 12220,
                            shopper => 9749, shoppers
                                    => 10675,
                            shoppin => 16771, shopping
                                    => 1149,
                            shortbread
                                    => 20252, shortcake
                                    => 14594,
                            shortcomings
                                    => 9748, shortcut
                                    => 6341,
                            shortcuts
                                    => 10948, shorted => 12613,
                            shorthand
                                    => 9369, shorthanded
                                    => 14056,
                            shorting
                                    => 20251, shortness
                                    => 9368,
                            shorts  => 3048, shortsighted
                                    => 17758,
                            shorty  => 5688, shot    => 421, shotgun => 3458, shotguns
                                    => 9555,
                            shots   => 1478, should  => 93, "should'a"
                                    => 14593,
                            "should've"
                                    => 824, shoulda => 3070,
                            shoulder
                                    => 1417, shoulders
                                    => 2187,
                            "shouldn't"
                                    => 371, "shouldn't've"
                                    => 15932,
                            "shouldn'ta"
                                    => 18859, shout   => 3323,
                            shouted => 9034, shouting
                                    => 3391,
                            shouts  => 12612, shove   => 2342, shoved  => 3635, shovel  => 4055,
                            shoveled
                                    => 18858, shoveling
                                    => 9967,
                            shovels => 9554, shoves  => 14592, shoving => 5055, showbiz => 12219,
                            showed  => 812, shower  => 987, showered
                                    => 7225,
                            showering
                                    => 8674, showgirl
                                    => 9966,
                            showin  => 10947, showing => 1097, showmanship
                                    => 15931,
                            showoff => 17757, showroom
                                    => 9553,
                            showstopper
                                    => 16770, showtime
                                    => 4942,
                            showy   => 18857, shrapnel
                                    => 8254,
                            shreck  => 9367, shred   => 4111, shredded
                                    => 7130,
                            shredder
                                    => 14591, shredding
                                    => 10946,
                            shreds  => 5743, shrek   => 5889, shrew   => 7429, shrewd  => 8861,
                            shriek  => 14590, shrieking
                                    => 11526,
                            shrieks => 20250, shrill  => 11220, shrimp  => 3390, shrink  => 1762,
                            shrinkage
                                    => 11853, shrinking
                                    => 7738,
                            shrinks => 6340, shrivel => 13045, shriveled
                                    => 14055,
                            shrooms => 20249, shroud  => 5475, shrouded
                                    => 15930,
                            shrouds => 18856, shrubberies
                                    => 15929,
                            shrubbery
                                    => 11525, shrug   => 10215,
                            shrugged
                                    => 14589, shrugging
                                    => 18855,
                            shrugs  => 11524, shrunk  => 6737, shrunken
                                    => 12218,
                            shtick  => 14588, shtud   => 20248, shucks  => 8253, shudder => 10674,
                            shuffle => 7129, shuffleboard
                                    => 15928,
                            shuffled
                                    => 14054, shuffling
                                    => 13044,
                            shugga  => 15225, shunned => 12217, shunning
                                    => 20247,
                            shunt   => 15224, shush   => 5642, shushing
                                    => 15223,
                            shut    => 351, shuteye => 15927, shuts   => 6155, shutters
                                    => 8860,
                            shutting
                                    => 3437, shuttles
                                    => 18854,
                            shutup  => 9747, shuvanis
                                    => 17756,
                            shying  => 20246, shylock => 14587, shyness => 17755, shyster => 20245,
                            siamese => 10673, sibling => 5029, sicced  => 14586, sicilians
                                    => 13043,
                            sick    => 401, sicken  => 16769, sickened
                                    => 14053,
                            sickening
                                    => 9033, sickens => 12216,
                            sicker  => 7326, sickest => 13042, sickie  => 15926, sickly  => 11523,
                            sickness
                                    => 2672, sicko   => 7325,
                            sickos  => 15222, sidarthur
                                    => 13517,
                            siddons => 15925, siddown => 9552, sidearm => 15924, sidearms
                                    => 20244,
                            sidebar => 15221, sideboard
                                    => 18853,
                            sideburns
                                    => 11852, sidecar => 14585,
                            sidekick
                                    => 6213, sidekicks
                                    => 16768,
                            sidelines
                                    => 5888, sideshow
                                    => 12215,
                            sidetracked
                                    => 6883, sidewalk
                                    => 4135,
                            sidewalks
                                    => 11522, sideways
                                    => 6339,
                            sidewinder
                                    => 17754, siding  => 6534,
                            sidle   => 9366, sidra   => 12214, siempre => 17753, sienna  => 20243,
                            siesta  => 17752, sieve   => 20242, sifting => 13041, sigfried
                                    => 15923,
                            sigh    => 4983, sighing => 16767, sighs   => 12213, sight   => 1152,
                            sighting
                                    => 6466, sightings
                                    => 8252,
                            sightless
                                    => 18852, sights  => 4177,
                            sightseeing
                                    => 10672, sigmund => 7860,
                            sign    => 487, signature
                                    => 2095,
                            signor  => 5986, signora => 7859, signore => 8115, signorina
                                    => 20241,
                            signs   => 1566, siguto  => 20240, silence => 1784, silenced
                                    => 11851,
                            silencer
                                    => 15922, silences
                                    => 14584,
                            silent  => 1687, silently
                                    => 10439,
                            silk    => 2806, silken  => 18851, silks   => 18850, silkwood
                                    => 18849,
                            silky   => 9746, silliest
                                    => 13516,
                            silliness
                                    => 14583, silly   => 929,
                            silverlake
                                    => 20239, silverware
                                    => 7513,
                            simba   => 5474, simian  => 10671, simmer  => 7858, simony  => 18848,
                            simpatico
                                    => 10945, simpering
                                    => 15921,
                            simple  => 653, simpler => 4037, simplest
                                    => 7512,
                            simpleton
                                    => 12212, simpletons
                                    => 18847,
                            simplistic
                                    => 12611, simulates
                                    => 17751,
                            simulator
                                    => 8859, sinatra => 5742,
                            sincere => 2994, sincerely
                                    => 4982,
                            sincerest
                                    => 14052, sincerity
                                    => 6533,
                            sindell => 18846, sinewy  => 20238, sinful  => 10214, sing    => 918,
                            singe   => 16766, singed  => 14051, singin  => 9365, singing => 1331,
                            singling
                                    => 17750, singularly
                                    => 20237,
                            sinister
                                    => 6659, sinjin  => 20236,
                            sink    => 1957, sinker  => 9745, sinking => 4396, sinks   => 8114,
                            sinned  => 6736, sinner  => 7737, sinners => 7983, sinning => 20235,
                            sins    => 2838, sinus   => 7982, sinuses => 11850, siphon  => 15920,
                            siphoned
                                    => 15919, siphoning
                                    => 14050,
                            sipowicz
                                    => 17749, sipped  => 18845,
                            sipping => 6882, sir     => 207, sire    => 5208, siree   => 14049,
                            siren   => 5934, sirens  => 6592, sirloin => 16765, sirree  => 12610,
                            sissies => 14582, sissy   => 4802, sista   => 20234, sistah  => 18844,
                            sister  => 319, sisterhood
                                    => 13515,
                            sisterly
                                    => 11219, sisters => 1219,
                            sistine => 15220, sit     => 309, sitarides
                                    => 18843,
                            siteid  => 16764, sits    => 2736, sitter  => 3166, sitters => 12211,
                            sittin  => 4156, sitting => 591, situation
                                    => 541,
                            sivapathasundaram
                                    => 14581,
                            sixed   => 15918, sixes   => 12609, sixpack => 9032, sixpence
                                    => 17748,
                            sixteen => 1870, sixties => 5641, sixty   => 1576, sizable => 8251,
                            sizing  => 15219, sizzle  => 14048, sizzling
                                    => 12608,
                            skaara  => 10944, skagnetti
                                    => 20233,
                            skank   => 5838, skanks  => 15917, skanky  => 9364, skate   => 4698,
                            skateboard
                                    => 6972, skateboards
                                    => 12607,
                            skated  => 14580, skates  => 5687, skedaddle
                                    => 9744,
                            skeet   => 10943, skeeters
                                    => 11521,
                            skeletons
                                    => 7614, skeptic => 18842,
                            skeptical
                                    => 6971, sketch  => 3540,
                            sketchbook
                                    => 20232, sketched
                                    => 15916,
                            sketches
                                    => 4176, sketching
                                    => 12606,
                            sketchy => 6212, skewed  => 17747, skewer  => 15218, skewered
                                    => 15217,
                            skidded => 14579, skids   => 12605, skied   => 17746, skies   => 5127,
                            skiing  => 3596, skillet => 14047, skillfully
                                    => 20231,
                            skilosh => 16763, skimmed => 13514, skimming
                                    => 9551,
                            skimp   => 16762, skimpy  => 11849, skin    => 1057, skinless
                                    => 20230,
                            skinned => 7324, skinny  => 2754, skins   => 6881, skip    => 1628,
                            skipped => 3514, skipping
                                    => 4763,
                            skippy  => 6465, skips   => 10942, skirt   => 2757, skirts  => 5933,
                            skittish
                                    => 13040, skittles
                                    => 14578,
                            skivvies
                                    => 15216, skokie  => 18841,
                            skulk   => 15215, skulking
                                    => 10670,
                            skull   => 2489, skulls  => 8673, skunk   => 6591, skydiving
                                    => 15915,
                            skye    => 852, skylar  => 17745, skyler  => 10669, skylight
                                    => 11848,
                            skynet  => 14577, skyrocket
                                    => 17744,
                            skywalker
                                    => 7613, skywire => 10941,
                            slacker => 8250, slackers
                                    => 14046,
                            slacking
                                    => 10940, slacks  => 12604,
                            slam    => 3114, slammed => 4414, slammer => 7323, slammin => 16761,
                            slamming
                                    => 6211, slams   => 9965,
                            slander => 7857, slanderous
                                    => 16760,
                            slant   => 9964, slanted => 16759, slap    => 2446, slapped => 3866,
                            slapping
                                    => 6532, slappy  => 15214,
                            slaps   => 9363, slash   => 4981, slashed => 7511, slasher => 13039,
                            slashing
                                    => 12210, slaughtered
                                    => 7510,
                            slaughterhouse
                                    => 12603, slaughtering
                                    => 14576,
                            slaved  => 13513, slaving => 10438, slayage => 15914, slayed  => 14575,
                            slayer  => 1347, slayers => 5932, slaying => 5090, slays   => 15913,
                            sleaze  => 5240, sleazebag
                                    => 14574,
                            sleazeball
                                    => 18840, sleazy  => 4446,
                            sledding
                                    => 7856, sledgehammer
                                    => 9963,
                            sleds   => 15912, sleek   => 14045, sleep   => 374, sleepers
                                    => 14573,
                            sleepin => 10213, sleeping
                                    => 738,
                            sleepless
                                    => 6658, sleepover
                                    => 5985,
                            sleepovers
                                    => 14044, sleeps  => 3338,
                            sleepwalk
                                    => 18839, sleepwalker
                                    => 15911,
                            sleepwalking
                                    => 6735, sleepy  => 3298,
                            sleepyhead
                                    => 9962, sleet   => 14043,
                            sleeve  => 3268, sleeveless
                                    => 20229,
                            sleeves => 5640, sleigh  => 4257, sleight => 17743, slept   => 875,
                            sleuth  => 16758, sleuthing
                                    => 20228,
                            slice   => 2878, sliced  => 6590, slicer  => 13512, slicery => 7855,
                            slices  => 6265, slicing => 11218, slick   => 3737, slicker => 13038,
                            slide   => 2232, slides  => 4395, sliding => 6464, slight  => 3055,
                            slighted
                                    => 18838, slightest
                                    => 2837,
                            slim    => 3525, slime   => 4330, slimeball
                                    => 10437,
                            slimmer => 18837, slimming
                                    => 15213,
                            slimy   => 5028, sling   => 5239, slinging
                                    => 7224,
                            slings  => 14042, slingshot
                                    => 13511,
                            slink   => 9179, slinking
                                    => 16757,
                            slinky  => 7981, slip    => 1307, slipped => 1787, slipper => 8536,
                            slippers
                                    => 4980, slippery
                                    => 4376,
                            slippin => 20227, slipping
                                    => 3501,
                            slips   => 4054, slit    => 5165, slither => 8858, slithered
                                    => 11520,
                            slithering
                                    => 14572, slithers
                                    => 20226,
                            sliver  => 11519, sloane  => 2508, slobber => 20225, slobbering
                                    => 11847,
                            slobs   => 15910, sloman  => 12209, sloppy  => 3853, sloshed => 17742,
                            slossum => 18836, sloth   => 10668, slots   => 6657, slouch  => 13510,
                            slow    => 818, slowest => 14571, slowing => 5605, slowly  => 1838,
                            slows   => 11217, sludge  => 13509, slugged => 11846, slugger => 8535,
                            sluggish
                                    => 11518, slugs   => 9743,
                            sluman  => 20224, slumber => 5931, slumlord
                                    => 18835,
                            slumming
                                    => 8113, slump   => 10436,
                            slumped => 14570, slung   => 15212, slurp   => 17741, slurpee => 15909,
                            slurping
                                    => 13508, slurred => 15908,
                            slurring
                                    => 20223, slush   => 12208,
                            slushy  => 20222, slut    => 2020, sluts   => 7428, slutty  => 6589,
                            smack   => 3175, smacked => 8112, smackers
                                    => 18834,
                            smacking
                                    => 10939, smacks  => 12602,
                            smallish
                                    => 20221, smarmy  => 11216,
                            smart   => 602, smartass
                                    => 9362,
                            smarten => 20220, smarter => 2202, smartest
                                    => 3693,
                            smarts  => 6463, smarty  => 8534, smash   => 3803, smashed => 3486,
                            smashes => 17740, smashing
                                    => 4542,
                            smear   => 5207, smeared => 9178, smearing
                                    => 14041,
                            smears  => 14569, smell   => 813, smelled => 2984, smelling
                                    => 4036,
                            smells  => 1485, smelly  => 4092, smelt   => 12601, smidge  => 10667,
                            smidgen => 18833, smila   => 16756, smile   => 897, smiled  => 4035,
                            smiles  => 3389, smilin  => 15907, smiling => 1756, smirk   => 7854,
                            smirking
                                    => 14040, smite   => 11517,
                            smithbauer
                                    => 13037, smithereens
                                    => 12600,
                            smithy  => 20219, smitten => 6098, smitty  => 9031, smoke   => 1094,
                            smoked  => 3595, smoker  => 7322, smokers => 11845, smokes  => 4731,
                            smokescreen
                                    => 15906, smokey  => 7051,
                            smokin  => 7980, smoking => 1610, smoldering
                                    => 13036,
                            smooch  => 11844, smoochies
                                    => 20218,
                            smooching
                                    => 13507, smoochy => 6097,
                            smooter => 18832, smooth  => 1820, smoothed
                                    => 20217,
                            smoother
                                    => 10212, smoothest
                                    => 17739,
                            smoothie
                                    => 7223, smoothing
                                    => 10435,
                            smoothly
                                    => 4670, smorgasbord
                                    => 13506,
                            smother => 7979, smothered
                                    => 9030,
                            smothering
                                    => 12207, smudge  => 9029,
                            smudged => 14039, smug    => 3802, smuggle => 7050, smuggled
                                    => 8672,
                            smuggler
                                    => 13505, smugglers
                                    => 14038,
                            smuggling
                                    => 5792, smugness
                                    => 17738,
                            smush   => 18831, smythe  => 3027, snack   => 2846, snacking
                                    => 14568,
                            snacks  => 5206, snafu   => 15905, snag    => 5238, snagged => 9550,
                            snagging
                                    => 18830, snags   => 14037,
                            snake   => 1526, snakebite
                                    => 13504,
                            snakes  => 3656, snakeskin
                                    => 18829,
                            snaking => 20216, snap    => 1950, snapped => 3174, snapper => 7427,
                            snapping
                                    => 7509, snapple => 9361,
                            snappy  => 5984, snaps   => 6734, snapshot
                                    => 9549,
                            snapshots
                                    => 11516, snare   => 10434,
                            snarky  => 14567, snarl   => 16755, snarling
                                    => 14566,
                            snatch  => 5639, snatched
                                    => 6096,
                            snatcher
                                    => 10211, snatchers
                                    => 14565,
                            snatches
                                    => 17737, snatching
                                    => 12206,
                            snausages
                                    => 20215, snazzy  => 13503,
                            sneak   => 1607, sneaked => 9742, sneaker => 12205, sneakers
                                    => 4843,
                            sneakin => 12599, sneaking
                                    => 2157,
                            sneaks  => 7508, sneaky  => 3852, sneer   => 16754, sneering
                                    => 20214,
                            sneeze  => 5791, sneezed => 9360, sneezing
                                    => 9177,
                            snicker => 14036, snickering
                                    => 16753,
                            snickers
                                    => 6264, snide   => 7736,
                            sniff   => 4907, sniffed => 14035, sniffer => 20213, sniffin => 16752,
                            sniffing
                                    => 4469, sniffles
                                    => 13502,
                            sniffling
                                    => 18828, sniffs  => 15904,
                            snifter => 16751, snipe   => 9548, sniper  => 6803, snipers => 8394,
                            sniping => 16750, snippy  => 10433, snitch  => 4941, snitched
                                    => 20212,
                            snitches
                                    => 16749, snitching
                                    => 20211,
                            sniveling
                                    => 10666, snivelling
                                    => 18827,
                            snobby  => 10210, snobs   => 10432, snookums
                                    => 10665,
                            snoop   => 5126, snooping
                                    => 3773,
                            snoopy  => 7978, snooty  => 7735, snooze  => 7128, snore   => 5790,
                            snores  => 15211, snoring => 6802, snorkel => 18826, snorkeling
                                    => 16748,
                            snort   => 9359, snorted => 16747, snorting
                                    => 13501,
                            snotty  => 7222, snowball
                                    => 7426,
                            snowballed
                                    => 17736, snowballing
                                    => 18825,
                            snowballs
                                    => 15210, snowbank
                                    => 18824,
                            snowcat => 20210, snowcone
                                    => 20209,
                            snowed  => 5983, snowflake
                                    => 9961,
                            snowflakes
                                    => 15209, snowing => 5307,
                            snowman => 6398, snowmen => 18823, snowmobile
                                    => 14034,
                            snowmobiles
                                    => 17735, snows   => 20208,
                            snowstorm
                                    => 7853, snubbed => 13500,
                            snuck   => 3054, snuff   => 7734, snuffed => 15903, snuffy  => 15902,
                            snuggle => 8671, snuggled
                                    => 14033,
                            snuggles
                                    => 16746, snuggling
                                    => 14564,
                            snyders => 17734, so      => 23, soak    => 4669, soaked  => 4762,
                            soaking => 5741, soap    => 2094, soapbox => 13035, soaping => 20207,
                            soaps   => 8533, soapy   => 18822, soaring => 9358, soars   => 16745,
                            sobbing => 8249, sober   => 3135, sobered => 18821, sobering
                                    => 15208,
                            soberly => 18820, sobriety
                                    => 9741,
                            sobriki => 20206, sociable
                                    => 13499,
                            socialize
                                    => 8857, socialized
                                    => 17733,
                            socializing
                                    => 7977, sociopath
                                    => 7612,
                            sociopathic
                                    => 17732, sock    => 2872,
                            socked  => 13498, socket  => 8670, sockets => 12204, socks   => 2155,
                            soda    => 1636, sodas   => 5982, sodding => 13034, sodomized
                                    => 20205,
                            sofa    => 2955, sofas   => 18819, soft    => 1431, soften  => 6397,
                            softened
                                    => 10431, softener
                                    => 13033,
                            softening
                                    => 14563, softer  => 7221,
                            softest => 17731, softie  => 10664, softly  => 8393, softness
                                    => 14562,
                            softy   => 14561, soggy   => 8248, soiled  => 12598, soiree  => 8532,
                            solace  => 9028, solaris => 10430, solarium
                                    => 11843,
                            solemn  => 6801, solemnly
                                    => 10429,
                            solenoid
                                    => 15207, solicit => 14560,
                            solicitation
                                    => 11842, soliciting
                                    => 15206,
                            solid   => 1615, solidify
                                    => 16744,
                            soliloquy
                                    => 20204, solitaire
                                    => 11841,
                            solitary
                                    => 4196, solitude
                                    => 7425,
                            sollozzo
                                    => 9740, solve   => 1548,
                            solved  => 2525, solves  => 7049, somber  => 14032, sombrero
                                    => 10428,
                            "some'in"
                                    => 20203, somebody
                                    => 274,
                            "somebody'd"
                                    => 17730, "somebody'll"
                                    => 15205,
                            someday => 1174, somehow => 764, someone => 183, "someone'll"
                                    => 18818,
                            somepin => 18817, someplace
                                    => 1071,
                            someth  => 18816, somethin
                                    => 1442,
                            something
                                    => 67, "something'll"
                                    => 18815,
                            somethings
                                    => 16743, somethng
                                    => 15901,
                            sometime
                                    => 1267, sometimes
                                    => 381,
                            someway => 9960, somewhere
                                    => 510,
                            somewheres
                                    => 14031, sommes  => 16742,
                            son     => 199, sonar   => 7976, sonics  => 8531, sonnet  => 9027,
                            sonnets => 12203, sonny   => 378, sonofabitch
                                    => 3402,
                            sonogram
                                    => 6656, sonovabitch
                                    => 14559,
                            sonrisa => 11215, sonuvabitch
                                    => 15900,
                            sookie  => 1983, soon    => 262, sooner  => 858, soonest => 18814,
                            sooo    => 5205, soooo   => 12597, sooth   => 20202, soothe  => 9026,
                            soothes => 17729, soothing
                                    => 5930,
                            soothsayer
                                    => 16741, sophisticated
                                    => 3007,
                            sophistication
                                    => 11515, sophomore
                                    => 4355,
                            sopranos
                                    => 13497, sorbet  => 13496,
                            sorcerer
                                    => 10427, sorcerers
                                    => 14030,
                            sordid  => 4284, sore    => 2477, sorel   => 2678, sorely  => 10663,
                            sores   => 8111, sororities
                                    => 14558,
                            sorority
                                    => 4842, sorrel  => 10426,
                            sorrier => 10425, sorrow  => 4445, sorrowful
                                    => 20201,
                            sorrows => 7852, sorry   => 84, sort    => 416, sorta   => 2796,
                            sorted  => 6210, sorter  => 20200, sorting => 7321, sorts   => 2585,
                            soshi   => 20199, souffle => 9025, soul    => 752, soulless
                                    => 12202,
                            soulmate
                                    => 12596, soulmates
                                    => 15204,
                            souls   => 2417, sound   => 448, sounded => 1308, sounder => 10424,
                            sounding
                                    => 3415, soundly => 15203,
                            soundproof
                                    => 16740, sounds  => 377,
                            soundstage
                                    => 17728, soup    => 1466,
                            soups   => 15202, soupy   => 17727, sour    => 3586, soured  => 15899,
                            sourpuss
                                    => 17726, souse   => 16739,
                            soused  => 20198, southey => 15898, southglen
                                    => 16738,
                            southie => 17725, southpaw
                                    => 15897,
                            southtown
                                    => 20197, souvenir
                                    => 4496,
                            souvenirs
                                    => 7611, souvlaki
                                    => 17724,
                            sowing  => 14557, spaceboy
                                    => 20196,
                            spaceman
                                    => 20195, spacerun
                                    => 18813,
                            spaceship
                                    => 5789, spacey  => 15201,
                            spackle => 11514, spade   => 7424, spades  => 5981, spaghetti
                                    => 4300,
                            spandex => 7610, spangled
                                    => 15896,
                            spaniard
                                    => 13032, spaniel => 13495,
                            spank   => 6880, spanked => 11840, spanking
                                    => 7609,
                            spanky  => 15200, spare   => 1262, spared  => 4876, spareribs
                                    => 14556,
                            sparing => 12201, spark   => 3752, sparklers
                                    => 14555,
                            sparkles
                                    => 13031, sparkling
                                    => 5887,
                            sparkly => 10209, sparky  => 4236, sparrin => 17723, sparring
                                    => 9357,
                            spartacus
                                    => 18812, spasm   => 8856,
                            spasms  => 13030, spastic => 17722, spate   => 18811, spatter => 15895,
                            spatula => 7220, spatulas
                                    => 20194,
                            spauldings
                                    => 6588, spawn   => 6338,
                            speak   => 455, speakeasy
                                    => 12595,
                            speakerphone
                                    => 16737, speakin => 10423,
                            speaking
                                    => 778, speaks  => 2484,
                            spearchucker
                                    => 20193, spearmint
                                    => 15894,
                            specialise
                                    => 17721, speciality
                                    => 10938,
                            specialize
                                    => 7423, specials
                                    => 4299,
                            specialty
                                    => 3772, specifics
                                    => 5604,
                            specs   => 7422, spect   => 20192, spectacle
                                    => 5740,
                            spectacles
                                    => 16736, spectacular
                                    => 3344,
                            spectacularly
                                    => 13494, spectator
                                    => 7219,
                            specter => 14029, spectra => 3126, speculate
                                    => 7320,
                            speculating
                                    => 9739, speech  => 1060,
                            speeches
                                    => 4541, speechless
                                    => 5886,
                            speedboat
                                    => 16735, speedily
                                    => 17720,
                            speeding
                                    => 4329, speedo  => 14028,
                            speedometer
                                    => 12594, speedos => 15199,
                            speedy  => 9024, spell   => 815, spells  => 2388, spencers
                                    => 13029,
                            spend   => 467, spender => 9547, spenders
                                    => 15893,
                            spendin => 20191, spending
                                    => 1009,
                            spends  => 3500, sperm   => 3183, spewing => 8855, spews   => 20190,
                            sphincter
                                    => 15892, sphinx  => 9738,
                            spice   => 4567, spiced  => 20189, spices  => 8110, spicoli => 12200,
                            spicy   => 4175, spider  => 2473, spiderman
                                    => 9023,
                            spiders => 4598, spidey  => 12593, spied   => 11513, spiel   => 13028,
                            spielberg
                                    => 6263, spiffy  => 10662,
                            spike   => 1679, spiked  => 7048, spikey  => 14027, spiking => 9546,
                            spiky   => 18810, spill   => 2250, spilled => 2897, spilling
                                    => 5739,
                            spills  => 8392, spilt   => 10937, spin    => 1793, spinach => 6879,
                            spinal  => 4841, spindly => 15198, spine   => 3457, spineless
                                    => 7851,
                            spinner => 4018, spinning
                                    => 2944,
                            spins   => 8530, spinster
                                    => 12592,
                            spiraling
                                    => 12591, spirals => 16734,
                            spirit  => 1059, spirited
                                    => 5432,
                            spirits => 2328, spiritually
                                    => 10936,
                            spiritus
                                    => 14554, spirulina
                                    => 18809,
                            spit    => 1746, spite   => 2274, spiteful
                                    => 7507,
                            spits   => 8529, spitter => 20188, spittin => 18808, spitting
                                    => 4566,
                            spittle => 20187, splash  => 4354, splashed
                                    => 10422,
                            splashing
                                    => 14026, splashmore
                                    => 11839,
                            splashy => 14025, splat   => 11512, splatter
                                    => 14024,
                            splattered
                                    => 10935, spleen  => 5686,
                            splendid
                                    => 3388, splendidly
                                    => 14023,
                            splendido
                                    => 18807, splendor
                                    => 9545,
                            splice  => 11214, spliced => 11511, splicing
                                    => 13027,
                            splint  => 14022, splinter
                                    => 9176,
                            splintered
                                    => 20186, splinters
                                    => 11510,
                            splitsville
                                    => 17719, splittin
                                    => 17718,
                            splitting
                                    => 3851, splurge => 17717,
                            spock   => 9175, spoil   => 2068, spoiled => 2507, spoiling
                                    => 6095,
                            spoils  => 7733, spoilsport
                                    => 13026,
                            spoke   => 1102, spoken  => 1525, spokes  => 14553, spokesmen
                                    => 20185,
                            sponge  => 3297, sponges => 8391, spongy  => 20184, sponsoring
                                    => 9174,
                            spontaneity
                                    => 8528, spontaneous
                                    => 3337,
                            spontaneously
                                    => 9544, spook   => 6041,
                            spooked => 4940, spooking
                                    => 18806,
                            spooks  => 11838, spooky  => 4298, spool   => 15197, spoon   => 3085,
                            spoonful
                                    => 17716, spooning
                                    => 16733,
                            spoons  => 6878, sporto  => 18805, sportsmanship
                                    => 14552,
                            sportswear
                                    => 17715, sporty  => 15196,
                            spot    => 980, spotless
                                    => 9022,
                            spotlight
                                    => 4730, spotlights
                                    => 16732,
                            spotted => 2584, spotter => 12590, spotters
                                    => 18804,
                            spotting
                                    => 7218, spotty  => 18803,
                            spousal => 15891, spouse  => 6655, spouses => 10421, spout   => 11213,
                            spouting
                                    => 9173, sprain  => 9172,
                            sprained
                                    => 6800, spramp  => 18802,
                            sprawl  => 15890, sprawled
                                    => 16731,
                            spray   => 2857, sprayed => 8669, spraying
                                    => 9356,
                            sprays  => 17714, spreader
                                    => 20183,
                            spreading
                                    => 3387, spreadsheet
                                    => 18801,
                            spreadsheets
                                    => 16730, spree   => 5738,
                            sprig   => 15889, sprightly
                                    => 17713,
                            sprimp  => 16729, springfield
                                    => 2083,
                            springing
                                    => 9959, springtime
                                    => 8527,
                            sprinkled
                                    => 14551, sprinkler
                                    => 9543,
                            sprinklers
                                    => 10208, sprinkles
                                    => 7319,
                            sprinkling
                                    => 20182, sprite  => 13493,
                            spritz  => 15888, spritzer
                                    => 17712,
                            sprout  => 11212, sprouted
                                    => 15195,
                            sprouting
                                    => 16728, sprouts => 7850,
                            sprung  => 4729, spuds   => 15887, spungeon
                                    => 17711,
                            spunk   => 8390, spunky  => 10207, spurt   => 17710, spying  => 2615,
                            squab   => 20181, squabble
                                    => 14550,
                            squabbling
                                    => 20180, squalid => 20179,
                            squall  => 15194, squalor => 14549, squander
                                    => 9737,
                            squandered
                                    => 14021, squandering
                                    => 20178,
                            squared => 5306, squarely
                                    => 15193,
                            squaring
                                    => 18800, squash  => 3665,
                            squashed
                                    => 9355, squashing
                                    => 18799,
                            squat   => 4565, squatsie
                                    => 20177,
                            squatter
                                    => 15192, squatters
                                    => 13492,
                            squatting
                                    => 13491, squaw   => 17709,
                            squawk  => 14548, squawking
                                    => 13025,
                            squeak  => 7975, squeaker
                                    => 15886,
                            squeaking
                                    => 11837, squeaks => 13024,
                            squeaky => 6799, squeal  => 9542, squealed
                                    => 16727,
                            squealing
                                    => 10661, squeamish
                                    => 10934,
                            squeegee
                                    => 11509, squeeze => 1993,
                            squeezed
                                    => 5350, squeezes
                                    => 15191,
                            squeezing
                                    => 6798, squid   => 6396,
                            squiggle
                                    => 18798, squiggly
                                    => 18797,
                            squint  => 10420, squinting
                                    => 16726,
                            squirm  => 7127, squirming
                                    => 10660,
                            squirrel
                                    => 5473, squirrels
                                    => 7318,
                            squirt  => 5980, squirted
                                    => 15885,
                            squirts => 7608, squish  => 9354, squished
                                    => 11508,
                            squishing
                                    => 16725, squishy => 11211,
                            sshhh   => 13490, sshhhh  => 16724, ssshhh  => 17708, stab    => 2671,
                            stabbed => 2690, stabbing
                                    => 4979,
                            stabilize
                                    => 7126, stabilized
                                    => 5685,
                            stabilizing
                                    => 12589, stables => 5349,
                            stabs   => 10933, stace   => 10419, stacked => 7506, stacking
                                    => 11210,
                            stacks  => 7732, staedert
                                    => 18796,
                            staffer => 13489, staffers
                                    => 9021,
                            stagger => 14020, staggering
                                    => 7974,
                            staggeringly
                                    => 17707, stain   => 3831,
                            stains  => 5204, stairmaster
                                    => 13488,
                            stairs  => 1498, stairway
                                    => 9171,
                            stairwell
                                    => 5431, stairwells
                                    => 20176,
                            stake   => 1468, staked  => 7317, stakeout
                                    => 6094,
                            stakeouts
                                    => 14547, staking => 7731,
                            stale   => 5278, stalk   => 4875, stalked => 5684, stalker => 2645,
                            stalkers
                                    => 11507, stalking
                                    => 2524,
                            stalks  => 13487, stall   => 2962, stalled => 7730, stalling
                                    => 3623,
                            stallion
                                    => 8247, stalwart
                                    => 15884,
                            stamina => 7729, stammering
                                    => 18795,
                            stamp   => 1506, stamped => 7125, stampede
                                    => 9958,
                            stand   => 356, standby => 8109, standin => 7607, standing
                                    => 625,
                            standoff
                                    => 10206, standoffish
                                    => 15883,
                            standpoint
                                    => 9020, standup => 9541,
                            stang   => 7047, stankylecartmankennymr
                                    => 15882,
                            stannart
                                    => 10659, stans   => 16723,
                            stanzi  => 10932, stapled => 13023, starboard
                                    => 6337,
                            starbucks
                                    => 7728, stare   => 2461,
                            stared  => 6531, stares  => 7046, stargate
                                    => 3036,
                            stargates
                                    => 18794, stargher
                                    => 10931,
                            starin  => 10658, staring => 1378, starlet => 13022, starlets
                                    => 17706,
                            starlight
                                    => 10930, starry  => 9736,
                            starshine
                                    => 20175, starsky => 10657,
                            start   => 233, starters
                                    => 2805,
                            startin => 5979, starting
                                    => 581,
                            startle => 5603, startled
                                    => 4444,
                            startling
                                    => 9735, starts  => 1044,
                            starve  => 4256, starved => 4468, starvin => 7849, starving
                                    => 1881,
                            stash   => 3888, stashed => 3887, stashing
                                    => 20174,
                            stasis  => 14019, stat    => 2961, statement
                                    => 1266,
                            stateroom
                                    => 16722, stateside
                                    => 12199,
                            statesville
                                    => 4069, stathis => 15881,
                            stationery
                                    => 8526, stats   => 5837,
                            statuary
                                    => 17705, stavros => 2434,
                            stay    => 172, stayed  => 1108, stayin  => 6209, staying => 670,
                            stays   => 1627, steadfast
                                    => 16721,
                            steadwell
                                    => 16720, steady  => 2059,
                            steak   => 2297, steakhouse
                                    => 15880,
                            steaks  => 5836, steal   => 928, stealer => 15190, stealin => 14546,
                            stealing
                                    => 1408, steals  => 4495,
                            stealth => 8246, stealthy
                                    => 13486,
                            steamed => 6336, steaming
                                    => 7124,
                            steamroll
                                    => 14018, steamroller
                                    => 16719,
                            steamy  => 6654, steckler
                                    => 9957,
                            steelheads
                                    => 15879, steena  => 17704,
                            steenwyck
                                    => 18793, steer   => 3725,
                            steerage
                                    => 17703, steered => 9540,
                            steers  => 15878, stefano => 2154, steffi  => 18792, steffy  => 9170,
                            steinbrenner
                                    => 6653, stempel => 7217,
                            stenbeck
                                    => 1095, stench  => 6335,
                            steno   => 18791, stenographer
                                    => 14017,
                            stens   => 16718, stensland
                                    => 10656,
                            step    => 557, stepatech
                                    => 12198,
                            stepbrother
                                    => 15877, stepdad => 8854,
                            stepdaughter
                                    => 10418, stepfather
                                    => 4524,
                            stepford
                                    => 17702, steph   => 14545,
                            stephano
                                    => 20173, stepladder
                                    => 15876,
                            stepmom => 11836, stepmommy
                                    => 20172,
                            stepmother
                                    => 5277, stepped => 2073,
                            steppin => 12197, stepping
                                    => 3336,
                            steps   => 1697, stepson => 7606, stereo  => 4494, stereotype
                                    => 8245,
                            stereotyping
                                    => 20171, sterile => 6797,
                            sterilize
                                    => 14544, sterilized
                                    => 14543,
                            sternin => 12588, sternum => 15875, steroid => 9734, steroids
                                    => 4625,
                            stethoscope
                                    => 7505, stetson => 3956,
                            stevesy => 18790, stew    => 4443, stewardess
                                    => 7605,
                            stewardesses
                                    => 14542, stewed  => 12196,
                            stewie  => 8853, stewing => 20170, steyne  => 15874, stick   => 619,
                            sticker => 6093, stickers
                                    => 9353,
                            stickin => 8108, sticking
                                    => 1633,
                            sticks  => 2210, stickup => 16717, sticky  => 3386, stiff   => 2993,
                            stiffed => 15873, stiffer => 16716, stiffs  => 11209, stifle  => 15189,
                            stifler => 13485, stifling
                                    => 17701,
                            stigmata
                                    => 15188, stiletto
                                    => 15187,
                            stilettos
                                    => 18789, still   => 108,
                            stillness
                                    => 18788, stillwater
                                    => 11506,
                            stilts  => 9352, stimulant
                                    => 15872,
                            stimulating
                                    => 6262, sting   => 3145,
                            stings  => 7316, stingy  => 13021, stink   => 2228, stinker => 11208,
                            stinkin => 7315, stinking
                                    => 3655,
                            stinks  => 2352, stinky  => 3972, stipulate
                                    => 14016,
                            stipulation
                                    => 13020, stir    => 2970,
                            stirred => 5237, stirring
                                    => 4840,
                            stirrups
                                    => 20169, stirs   => 10205,
                            stitch  => 4978, stitched
                                    => 9019,
                            stitches
                                    => 4283, stitching
                                    => 9539,
                            stockbroker
                                    => 9538, stockbrokers
                                    => 17700,
                            stocked => 6877, stockholder
                                    => 11505,
                            stockholders
                                    => 6733, stocking
                                    => 5885,
                            stockings
                                    => 5683, stockpile
                                    => 14541,
                            stockpiling
                                    => 15871, stocky  => 15186,
                            stodgy  => 15185, stogie  => 10417, stoic   => 12587, stoked  => 8525,
                            stole   => 907, stolen  => 1406, stoli   => 16715, stomach => 1311,
                            stomachache
                                    => 12195, stomachs
                                    => 8524,
                            stomp   => 6092, stomped => 7314, stomper => 18787, stomping
                                    => 9169,
                            stoned  => 4328, stonewall
                                    => 10416,
                            stonewalled
                                    => 18786, stonewalling
                                    => 11207,
                            stood   => 1273, stooge  => 8389, stooges => 10415, stool   => 5393,
                            stoolie => 15184, stools  => 13484, stoop   => 4394, stooped => 13019,
                            stooping
                                    => 13483, stop    => 133,
                            stoplight
                                    => 20168, stopped => 623,
                            stopper => 15870, stoppin => 14015, stopping
                                    => 1513,
                            stops   => 1904, stopwatch
                                    => 11504,
                            store   => 728, storefront
                                    => 15869,
                            storeroom
                                    => 7504, stormed => 5737,
                            storming
                                    => 8523, storybook
                                    => 8522,
                            stosh   => 12194, stotch  => 17699, stove   => 3999, stowaway
                                    => 12586,
                            stowaways
                                    => 17698, stowed  => 9168,
                            straddle
                                    => 17697, straddling
                                    => 17696,
                            stradling
                                    => 15183, straight
                                    => 512,
                            straightaway
                                    => 16714, straighten
                                    => 2296,
                            straightened
                                    => 4297, straightener
                                    => 20167,
                            straightening
                                    => 7973, straightens
                                    => 15868,
                            straighter
                                    => 20166, straightest
                                    => 15867,
                            straightforward
                                    => 6334, straights
                                    => 18785,
                            strained
                                    => 6530, strainer
                                    => 20165,
                            straining
                                    => 16713, straitjacket
                                    => 9733,
                            stranded
                                    => 3692, strange => 716,
                            strangely
                                    => 3955, strangeness
                                    => 17695,
                            stranger
                                    => 1339, strangers
                                    => 1886,
                            strangest
                                    => 4413, strangle
                                    => 3585,
                            strangled
                                    => 4801, stranglehold
                                    => 17694,
                            strangler
                                    => 9537, strangling
                                    => 8668,
                            strangulation
                                    => 13018, strap   => 4467,
                            strapless
                                    => 13482, strapped
                                    => 4761,
                            strapping
                                    => 9956, straps  => 7313,
                            strassmans
                                    => 17693, strategize
                                    => 13017,
                            strategizing
                                    => 16712, strattman
                                    => 11206,
                            stravanavitch
                                    => 15182, straw   => 3865,
                            strawberries
                                    => 5835, strawberry
                                    => 4939,
                            straws  => 6333, stray   => 5602, straying
                                    => 20164,
                            strays  => 10414, streaking
                                    => 10929,
                            streamers
                                    => 11205, streep  => 11503,
                            streetlight
                                    => 20163, streetlights
                                    => 17692,
                            streetwalker
                                    => 16711, streisand
                                    => 7503,
                            strength
                                    => 1216, strengthens
                                    => 15866,
                            strenuously
                                    => 18784, strep   => 9167,
                            stress  => 1381, stressed
                                    => 2877,
                            stressful
                                    => 3886, stressing
                                    => 7123,
                            stretch => 2072, stretcher
                                    => 8244,
                            strewn  => 12585, stricken
                                    => 6261,
                            strictest
                                    => 10655, strictly
                                    => 2153,
                            stride  => 8667, strides => 13016, strike  => 1345, strikes => 2767,
                            stringing
                                    => 6970, strings => 2292,
                            stringy => 15865, striped => 7727, striper => 10654, striping
                                    => 18783,
                            stripper
                                    => 3864, strippers
                                    => 6796,
                            stripping
                                    => 6154, striptease
                                    => 15181,
                            strive  => 9351, strobe  => 14540, stroganoff
                                    => 20162,
                            stroke  => 2058, stroked => 20161, strokes => 5392, stroking
                                    => 10653,
                            stroll  => 4155, strolled
                                    => 15864,
                            stroller
                                    => 10204, strolling
                                    => 8521,
                            strolls => 14539, strongbox
                                    => 15180,
                            stronger
                                    => 1287, strongest
                                    => 3554,
                            strowman
                                    => 20160, strudel => 10652,
                            struggling
                                    => 3227, strummer
                                    => 13015,
                            strumpet
                                    => 13481, strung  => 4282,
                            strut   => 8852, strutting
                                    => 12584,
                            strychnine
                                    => 17691, stubbed => 16710,
                            stubbins
                                    => 12583, stubble => 16709,
                            stubborn
                                    => 2052, stubbornness
                                    => 11204,
                            stubs   => 8666, stuck   => 725, stud    => 3035, studious
                                    => 18782,
                            studly  => 14538, studs   => 9166, studying
                                    => 1643,
                            stuff   => 254, stuffed => 2433, stuffing
                                    => 4327,
                            stuffs  => 14014, stuffy  => 5553, stumble => 6153, stumbled
                                    => 4697,
                            stumbles
                                    => 14013, stumbling
                                    => 8665,
                            stumped => 8520, stumper => 12193, stung   => 8664, stunk   => 8388,
                            stunned => 4068, stunning
                                    => 3524,
                            stunningly
                                    => 15179, stunt   => 2544,
                            stunted => 16708, stuntman
                                    => 17690,
                            stunts  => 5638, stupendous
                                    => 16707,
                            stupid  => 364, stupider
                                    => 9955,
                            stupidest
                                    => 5520, stupidity
                                    => 5125,
                            stupidly
                                    => 13480, stupor  => 13014,
                            sturdy  => 9536, stutter => 7604, stuttering
                                    => 13013,
                            stylings
                                    => 14537, stylish => 6795,
                            stylist => 10203, stymied => 17689, styrofoam
                                    => 14536,
                            suave   => 8851, subatomic
                                    => 16706,
                            subbasement
                                    => 18781, subbing => 16705,
                            subconscious
                                    => 4235, subconsciously
                                    => 7848,
                            subdural
                                    => 11502, subhuman
                                    => 20159,
                            subid   => 5601, subjecting
                                    => 16704,
                            subjugation
                                    => 17688, sublet  => 12582,
                            subletting
                                    => 15178, sublevel
                                    => 18780,
                            sublimating
                                    => 17687, sublime => 8519,
                            subliminal
                                    => 20158, submersible
                                    => 17686,
                            submissive
                                    => 16703, subpoena
                                    => 4647,
                            subpoenaed
                                    => 6969, subpoenas
                                    => 12192,
                            subscribe
                                    => 10651, subsequentlyne
                                    => 10650,
                            subservient
                                    => 15177, subside => 15863,
                            subsided
                                    => 16702, subsides
                                    => 20157,
                            subsidize
                                    => 14012, substantiate
                                    => 17685,
                            substantiated
                                    => 20156, subterfuge
                                    => 15176,
                            subtext => 8107, subtitles
                                    => 9535,
                            subtle  => 2287, subtleties
                                    => 20155,
                            subtlety
                                    => 8663, subtly  => 11501,
                            suburbia
                                    => 14535, subvert => 17684,
                            subway  => 3401, subways => 15175, subzero => 16701, succeed => 2969,
                            succinct
                                    => 16700, succotash
                                    => 18779,
                            succubus
                                    => 6462, succulent
                                    => 12191,
                            succumb => 14011, suck    => 1253, sucka   => 20154, suckah  => 18778,
                            sucked  => 2192, sucker  => 2255, suckered
                                    => 9534,
                            suckers => 4906, suckin  => 11835, sucking => 2722, suckle  => 20153,
                            sucks   => 1382, sucky   => 7847, suction => 5089, sudden  => 915,
                            suddenly
                                    => 832, suede   => 7216,
                            sueleen => 16699, suerte  => 20152, suffer  => 1540, suffering
                                    => 1511,
                            suffers => 5884, suffice => 5088, sufficed
                                    => 15862,
                            suffocate
                                    => 9954, suffocated
                                    => 7846,
                            suffocating
                                    => 6332, suffocation
                                    => 16698,
                            sugai   => 17683, sugar   => 1268, sugarcoat
                                    => 15174,
                            sugared => 20151, sugarless
                                    => 15861,
                            sugarplum
                                    => 13479, sugars  => 9350,
                            sugary  => 17682, suggest => 1125, suggesting
                                    => 1684,
                            suggestion
                                    => 2171, suggestions
                                    => 3310,
                            suicidal
                                    => 6208, suicide => 1649,
                            suicides
                                    => 9533, suing   => 3474,
                            suit    => 886, suitcase
                                    => 2795,
                            suitcases
                                    => 6091, suite   => 1638,
                            suitor  => 10202, suitors => 15173, suits   => 2063, sulfa   => 15860,
                            sulking => 8387, sullied => 20150, sully   => 10928, sultry  => 14534,
                            sumbitch
                                    => 14533, summarily
                                    => 16697,
                            summarize
                                    => 14532, summation
                                    => 11834,
                            summercliff
                                    => 20149, summertime
                                    => 12190,
                            summon  => 3850, summoned
                                    => 4597,
                            summoning
                                    => 9349, summons => 7312,
                            "sump'n"
                                    => 14010, sumptuous
                                    => 17681,
                            "sun'll"
                                    => 15859, sunbathing
                                    => 16696,
                            sunblock
                                    => 13478, sunburn => 13012,
                            sunburned
                                    => 20148, sundae  => 6152,
                            sundaes => 8850, sundown => 7726, sundress
                                    => 18777,
                            sunflowers
                                    => 12581, sunglasses
                                    => 5164,
                            sunless => 18776, sunlight
                                    => 4977,
                            sunning => 18775, sunnydale
                                    => 2943,
                            sunrise => 3954, sunroom => 13477, sunscreen
                                    => 8243,
                            sunset  => 2600, sunsets => 12189, sunspots
                                    => 18774,
                            sunstroke
                                    => 15172, suntac  => 20147,
                            suntan  => 14009, sunup   => 15858, superb  => 7502, superbowl
                                    => 7603,
                            supercilious
                                    => 20146, supercollider
                                    => 16695,
                            supercop
                                    => 20145, superdad
                                    => 17680,
                            superego
                                    => 18773, superficial
                                    => 4668,
                            superfluous
                                    => 18772, superhero
                                    => 4839,
                            superheroes
                                    => 9165, superhighway
                                    => 15857,
                            superiors
                                    => 6395, superman
                                    => 3771,
                            supermarket
                                    => 4564, supermen
                                    => 20144,
                            supermodel
                                    => 6968, supermodels
                                    => 15856,
                            supernatural
                                    => 4017, superpower
                                    => 14531,
                            superpowers
                                    => 13476, superstition
                                    => 4016,
                            superstitions
                                    => 11203, superstitious
                                    => 6260,
                            superstore
                                    => 20143, supervillains
                                    => 18771,
                            supervise
                                    => 6259, supervisor
                                    => 3931,
                            superwoman
                                    => 12188, supossed
                                    => 17679,
                            supper  => 2836, suppertime
                                    => 18770,
                            supple  => 11833, supportive
                                    => 2121,
                            suppose => 585, supposed
                                    => 251,
                            supposedly
                                    => 2590, supposing
                                    => 10927,
                            supposition
                                    => 18769, suppositories
                                    => 20142,
                            suppressing
                                    => 10413, supremacists
                                    => 20141,
                            supremely
                                    => 14008, suprise => 20140,
                            sure    => 82, surefire
                                    => 20139,
                            surely  => 1696, surf    => 3770, surfboard
                                    => 13475,
                            surfboards
                                    => 20138, surfed  => 18768,
                            surfer  => 7311, surfing => 6258, surgeon => 2071, surgeons
                                    => 5124,
                            surgery => 1033, surges  => 15855, surgical
                                    => 3953,
                            surgically
                                    => 8662, surging => 14007,
                            surly   => 11832, surmise => 20137, surprise
                                    => 528,
                            surprised
                                    => 684, surprises
                                    => 1841,
                            surprising
                                    => 2992, surprisingly
                                    => 5163,
                            surreal => 7421, surrendering
                                    => 9348,
                            surrogate
                                    => 5600, surround
                                    => 5736,
                            surveillance
                                    => 1887, survival
                                    => 2756,
                            survivalists
                                    => 20136, survive => 1252,
                            survivor
                                    => 4034, sushi   => 4523,
                            suslov  => 18767, suspect => 1080, suspected
                                    => 2596,
                            suspecting
                                    => 11202, suspects
                                    => 2360,
                            suspend => 7602, suspenders
                                    => 12187,
                            suspending
                                    => 13011, suspense
                                    => 4596,
                            suspicion
                                    => 3253, suspicions
                                    => 3385,
                            suspicious
                                    => 1571, suspiciously
                                    => 10649,
                            sustain => 5788, sustenance
                                    => 12580,
                            suture  => 10412, sutures => 12579, suvolte => 18766, svengali
                                    => 20135,
                            svenjolly
                                    => 20134, svetkoff
                                    => 17678,
                            swabs   => 12186, swackhammer
                                    => 17677,
                            swaddling
                                    => 17676, swagger => 15854,
                            swallow => 2637, swallowed
                                    => 3998,
                            swallowing
                                    => 9164, swallows
                                    => 8849,
                            swamp   => 3609, swamped => 4976, swana   => 8518, swanky  => 11831,
                            swans   => 7122, swapping
                                    => 10201,
                            swarm   => 9347, swarming
                                    => 9732,
                            swarthy => 15853, swat    => 4624, swatch  => 14006, swatches
                                    => 14005,
                            swatting
                                    => 16694, swayed  => 10200,
                            swaying => 14530, swayzak => 11201, swear   => 549, swearing
                                    => 5348,
                            swears  => 5834, sweat   => 1686, sweated => 15852, sweater => 1689,
                            sweaters
                                    => 5519, sweatin => 11500,
                            sweating
                                    => 3513, sweatpants
                                    => 15171,
                            sweats  => 7845, sweatshirt
                                    => 6652,
                            sweatshirts
                                    => 14004, sweatshop
                                    => 13474,
                            sweatshops
                                    => 17675, sweaty  => 3819,
                            swede   => 13010, sweep   => 2476, sweeper => 18765, sweeping
                                    => 5276,
                            sweeps  => 6967, sweepstakes
                                    => 12185,
                            sweet   => 434, sweetbreads
                                    => 16693,
                            sweeter => 5978, sweetest
                                    => 3360,
                            sweetheart
                                    => 529, sweethearts
                                    => 9018,
                            sweetie => 672, sweetly => 18764, sweetness
                                    => 3971,
                            sweetpea
                                    => 15851, sweets  => 6331,
                            sweety  => 10411, swelco  => 16692, swell   => 2322, swelled => 12578,
                            swelling
                                    => 4623, swells  => 14003,
                            sweltering
                                    => 18763, swept   => 3849,
                            swerve  => 12184, swerved => 10648, swerving
                                    => 17674,
                            swicker => 14002, swifty  => 20133, swill   => 11499, swilling
                                    => 17673,
                            swim    => 1651, swimmin => 11200, swimmingly
                                    => 13473,
                            swimsuit
                                    => 7121, swimsuits
                                    => 18762,
                            swindled
                                    => 17672, swine   => 7120,
                            swing   => 1613, swingers
                                    => 13472,
                            swingin => 13009, swinging
                                    => 3751,
                            swings  => 4053, swipe   => 8661, swiped  => 8848, swiping => 17671,
                            swirl   => 9953, swirling
                                    => 9532,
                            swirly  => 15170, swish   => 10926, switch  => 1318, switchblade
                                    => 14001,
                            switchboard
                                    => 10647, switched
                                    => 1980,
                            switcheroo
                                    => 15169, switching
                                    => 3997,
                            switchman
                                    => 18761, swivel  => 14529,
                            swizzle => 17670, swollen => 5518, swoon   => 10646, swooning
                                    => 18760,
                            swoop   => 6090, swooped => 15168, swooping
                                    => 17669,
                            swoops  => 13008, swordfish
                                    => 9531,
                            swore   => 1986, sworn   => 2460, swung   => 7045, sycamore
                                    => 8660,
                            sycophant
                                    => 13471, syllabus
                                    => 13007,
                            symbiote
                                    => 9952, sympathetic
                                    => 3801,
                            sympathies
                                    => 8847, sympathize
                                    => 5977,
                            sympathy
                                    => 2261, symptom => 6089,
                            symptomatic
                                    => 13470, symptoms
                                    => 2116,
                            synapses
                                    => 18759, synch   => 18758,
                            synchronicity
                                    => 18757, synchronize
                                    => 13469,
                            synergy => 15167, synthedyne
                                    => 20132,
                            syphilis
                                    => 8106, syphon  => 17668,
                            syrah   => 18756, syringe => 4442, syringes
                                    => 15850,
                            syrup   => 4195, systolic
                                    => 12183,
                            szechwan
                                    => 20131, szpilman
                                    => 11830,
                            "t'akaya"
                                    => 16691, tabasco => 11199,
                            tabby   => 2166, tabithia
                                    => 20130,
                            table   => 607, tablecloth
                                    => 17667,
                            tablecloths
                                    => 13468, tables  => 2260,
                            tablespoon
                                    => 18755, tabletops
                                    => 20129,
                            tabloid => 3252, tabloids
                                    => 4728,
                            tabs    => 4353, tabula  => 20128, tachibana
                                    => 15849,
                            tachy   => 18754, tachycardia
                                    => 16690,
                            tacit   => 17666, tack    => 5391, tacked  => 12182, tackled => 9530,
                            tacks   => 14528, tacky   => 5054, taco    => 4938, tacos   => 5430,
                            tactful => 18753, tactic  => 5552, tadpole => 14527, tadpoles
                                    => 15848,
                            taffeta => 12181, taffy   => 9731, tagataya
                                    => 6040,
                            tagged  => 7044, taggert => 1942, tagging => 9163, tagliati
                                    => 11829,
                            tahiti  => 6794, tahitian
                                    => 18752,
                            tahoe   => 9529, tail    => 1742, tailgate
                                    => 15847,
                            tailing => 7844, taillight
                                    => 15846,
                            tailor  => 6088, tailors => 18751, tails   => 4174, tailspin
                                    => 17665,
                            taint   => 11498, tainted => 5735, takagi  => 15166, takashi => 13006,
                            take    => 70, takedown
                                    => 17664,
                            takeoff => 7501, takeout => 5275, takeovers
                                    => 10925,
                            taker   => 8846, takers  => 9951, takes   => 538, taketh  => 15845,
                            takin   => 2905, taking  => 299, talby   => 9528, talcum  => 14526,
                            taldor  => 13005, tale    => 2161, talent  => 1419, talented
                                    => 2201,
                            talentless
                                    => 15165, talents => 3654,
                            talisman
                                    => 9527, talk    => 106,
                            talkative
                                    => 9346, talked  => 480,
                            talker  => 6461, talkie  => 9950, talkies => 10645, talkin  => 1542,
                            talking => 152, talks   => 1521, talky   => 10199, tall    => 1460,
                            taller  => 3930, tallow  => 15844, talons  => 14525, tamale  => 10924,
                            tamales => 18750, tambourine
                                    => 15164,
                            tamed   => 15843, tamer   => 20127, tamper  => 10198, tampered
                                    => 5883,
                            tampering
                                    => 6732, tampon  => 12577,
                            tampons => 9730, tangible
                                    => 9162,
                            tangle  => 9345, tangled => 5236, tangles => 20126, tangling
                                    => 18749,
                            tango   => 4667, tangy   => 20125, tanith  => 14524, tanked  => 7310,
                            tanker  => 6876, tanking => 13467, tanned  => 18748, tanneke => 17663,
                            tanning => 9729, tantamount
                                    => 20124,
                            tantrum => 7309, tantrums
                                    => 10197,
                            tapas   => 18747, tape    => 641, taped   => 3769, tapes   => 2380,
                            tapeworm
                                    => 14523, taping  => 5274,
                            tapioca => 14522, tapped  => 3768, tapping => 7043, tappy   => 14521,
                            "tar'd" => 20123, taraka  => 14520, taransky
                                    => 6460,
                            tarantula
                                    => 10923, tarantulas
                                    => 18746,
                            tardiness
                                    => 14519, tarkin  => 16689,
                            tarmac  => 9526, tarnish => 11828, tarnished
                                    => 12180,
                            tarot   => 8242, tarragon
                                    => 14000,
                            tarred  => 15163, tartabull
                                    => 20122,
                            tartar  => 12576, tartlets
                                    => 20121,
                            tarts   => 7420, tarzan  => 9344, tarzana => 13466, taser   => 15842,
                            tasking => 15841, tassel  => 10644, tassels => 13465, taste   => 966,
                            tastebuds
                                    => 20120, tasted  => 3724,
                            tasteful
                                    => 6875, tastefully
                                    => 15840,
                            tasteless
                                    => 10922, tastes  => 2589,
                            tastic  => 15839, tasting => 5833, tasty   => 3709, tater   => 9343,
                            tatoo   => 18745, tator   => 16688, tattaglia
                                    => 13464,
                            tattaglias
                                    => 17662, tattered
                                    => 17661,
                            tattle  => 14518, tattoo  => 2475, tattooed
                                    => 6587,
                            tattoos => 5027, "tau'ri"
                                    => 12179,
                            taunt   => 9017, taunted => 14517, taunting
                                    => 6459,
                            taurus  => 11198, tavington
                                    => 12575,
                            tawdry  => 8845, taxi    => 2341, taxicab => 17660, taxidermist
                                    => 16687,
                            taxidermy
                                    => 20119, taxing  => 13004,
                            taxpayers
                                    => 6529, teach   => 931,
                            teacup  => 14516, "teal'c"
                                    => 2045,
                            teamwork
                                    => 9728, teapot  => 10196,
                            tear    => 1326, tearful => 13003, tearin  => 15838, tearing => 2572,
                            tears   => 1711, teary   => 13463, tease   => 3608, teased  => 8844,
                            teasing => 3359, teaspoon
                                    => 14515,
                            teaspoons
                                    => 18744, technicalities
                                    => 12178,
                            technicality
                                    => 6151, technically
                                    => 1767,
                            technologically
                                    => 11827,
                            techs   => 13462, tector  => 20118, teddies => 20117, tedious => 6793,
                            teeming => 15162, teen    => 3066, teenage => 2368, teenaged
                                    => 13002,
                            teenager
                                    => 2314, teenagers
                                    => 2876,
                            teensy  => 9016, teeny   => 4154, teenybopper
                                    => 17659,
                            teetering
                                    => 18743, teeth   => 1090,
                            teething
                                    => 10643, teevee  => 15161,
                            teflon  => 11197, teldar  => 11497, telefono
                                    => 20116,
                            telegram
                                    => 4874, telegrams
                                    => 9949,
                            telekinesis
                                    => 15160, telekinetic
                                    => 18742,
                            telemarketer
                                    => 15837, telemarketing
                                    => 15159,
                            telemetry
                                    => 13999, telepathically
                                    => 18741,
                            telepathy
                                    => 15158, telephone
                                    => 1927,
                            telephoned
                                    => 15836, telephones
                                    => 9525,
                            telephoto
                                    => 15835, teleport
                                    => 17658,
                            teleportation
                                    => 18740, teleprompter
                                    => 14514,
                            telesave
                                    => 5976, telethon
                                    => 14513,
                            telex   => 17657, tell    => 60, "tell'em"
                                    => 15157,
                            teller  => 4800, tellers => 13998, tellin  => 2885, telling => 265,
                            tells   => 847, telltale
                                    => 15834,
                            telly   => 6458, temper  => 2313, temperamental
                                    => 9948,
                            tempered
                                    => 8386, tempers => 12574,
                            temping => 20115, temps   => 16686, tempt   => 4352, temptation
                                    => 4412,
                            temptations
                                    => 9727, tempted => 3322,
                            tempting
                                    => 3449, temptress
                                    => 12573,
                            tempus  => 12177, ten     => 451, tenacious
                                    => 11496,
                            tenacity
                                    => 13997, tenboom => 17656,
                            tend    => 1973, tender  => 3182, tenderness
                                    => 7843,
                            tending => 7419, tendonitis
                                    => 17655,
                            tendons => 18739, tenement
                                    => 14512,
                            tenfold => 15833, tengo   => 15832, tenorman
                                    => 9342,
                            tenors  => 13996, tense   => 1897, tension => 2057, tent    => 2321,
                            tentacle
                                    => 20114, tenths  => 14511,
                            tents   => 8385, tenuous => 14510, tepid   => 17654, tepui   => 20113,
                            terdlington
                                    => 20112, tereza  => 11495,
                            teriyaki
                                    => 13995, terminally
                                    => 10642,
                            terminate
                                    => 5787, terminator
                                    => 8241,
                            termite => 10921, termites
                                    => 6457,
                            terrace => 3594, terraforming
                                    => 17653,
                            terrible
                                    => 594, terribly
                                    => 1507,
                            terrif  => 20111, terrific
                                    => 1084,
                            terrifically
                                    => 18738, terrified
                                    => 1847,
                            terrifies
                                    => 9947, terrify => 11826,
                            terrifying
                                    => 3607, terror  => 3288,
                            terrorists
                                    => 3563, terrorize
                                    => 9726,
                            terrorized
                                    => 7842, terrorizing
                                    => 8517,
                            terrors => 11825, tersenadine
                                    => 20110,
                            tess    => 1056, tessio  => 16685, test    => 522, testaburger
                                    => 20109,
                            tested  => 2170, testicle
                                    => 12572,
                            testicles
                                    => 9524, testicular
                                    => 13994,
                            testifies
                                    => 13001, testify => 1589,
                            testifying
                                    => 4441, testikov
                                    => 17652,
                            testimony
                                    => 1831, testosterone
                                    => 6087,
                            tests   => 1051, testy   => 6874, tetanus => 9725, tether  => 12176,
                            tetherball
                                    => 17651, tethered
                                    => 20108,
                            textbook
                                    => 6257, thaddius
                                    => 14509,
                            thang   => 11196, thank   => 102, thanked => 4493, thankful
                                    => 2871,
                            thankfully
                                    => 7119, thanking
                                    => 2870,
                            thankless
                                    => 15156, thanks  => 147,
                            thanksgiving
                                    => 1258, thanksgivings
                                    => 17650,
                            thankyou
                                    => 6330, that    => 5,
                            "that'd"
                                    => 1570, "that'll"
                                    => 927,
                            "that's"
                                    => 42, "that've"
                                    => 17649,
                            thataway
                                    => 18737, thatherton
                                    => 12571,
                            thatos  => 13993, thats   => 8105, thatta  => 16684, thawed  => 12175,
                            thawing => 16683, theatrics
                                    => 12570,
                            thee    => 1935, theft   => 3473, thefts  => 17648, theirs  => 2960,
                            thelwall
                                    => 18736, theoretically
                                    => 7042,
                            therapist
                                    => 1955, therapists
                                    => 7500,
                            therapy => 1462, "there'd"
                                    => 2814,
                            "there'll"
                                    => 1803, "there're"
                                    => 5305,
                            "there's"
                                    => 92, "there've"
                                    => 8240,
                            therein => 9523, thereof => 8239, theres  => 13000, thermometer
                                    => 7041,
                            thermonuclear
                                    => 18735, thermos => 9341,
                            thermostat
                                    => 8659, thesaurus
                                    => 16682,
                            "these'll"
                                    => 13992, thespian
                                    => 14508,
                            thespis => 12569, thesulac
                                    => 20107,
                            thetas  => 20106, "they'd"
                                    => 975,
                            "they'll"
                                    => 520, "they're"
                                    => 134,
                            "they've"
                                    => 647, thick   => 2129,
                            thickening
                                    => 18734, thickens
                                    => 11494,
                            thicker => 7499, thicket => 20105, thief   => 1992, thieves => 3952,
                            thieving
                                    => 11195, thigh   => 5786,
                            thighs  => 5235, thimble => 10920, thin    => 1683, thine   => 9724,
                            thing   => 87, "thing'll"
                                    => 17647,
                            thingie => 10641, thingies
                                    => 7418,
                            things  => 113, "things'll"
                                    => 9723,
                            thingy  => 4540, think   => 41, thinker => 10919, thinkin => 2327,
                            thinking
                                    => 215, thinks  => 458,
                            thinner => 4622, thinners
                                    => 13461,
                            thinnest
                                    => 20104, thinning
                                    => 12174,
                            thins   => 13460, thirst  => 4905, thirsty => 2488, thirteen
                                    => 2267,
                            thirties
                                    => 8658, thirtieth
                                    => 10195,
                            thirty  => 775, this    => 9, "this'd"
                                    => 14507,
                            "this'll"
                                    => 2614, thommo  => 17646,
                            thong   => 7498, thongs  => 12999, thoracotomy
                                    => 16681,
                            thorazine
                                    => 12998, thoreau => 9946,
                            thorkel => 17645, thornhart
                                    => 3863,
                            thornharts
                                    => 20103, thorns  => 8238,
                            thornwood
                                    => 15831, thorough
                                    => 3456,
                            thoroughly
                                    => 4173, thorpey => 14506,
                            those   => 143, thou    => 2145, thought => 104, thoughtful
                                    => 2513,
                            thoughtfully
                                    => 17644, thoughtfulness
                                    => 15830,
                            thoughtless
                                    => 6039, thoughts
                                    => 1166,
                            thousan => 16680, thousand
                                    => 637,
                            thousandth
                                    => 10640, thrashing
                                    => 13991,
                            thread  => 4091, thready => 13459, threat  => 1199, threaten
                                    => 1850,
                            threatened
                                    => 1313, threatening
                                    => 1524,
                            threats => 1970, threepio
                                    => 17643,
                            threes  => 10639, threesome
                                    => 8657,
                            threw   => 1007, thrifty => 20102, thrill  => 3165, thrilled
                                    => 1467,
                            thrilling
                                    => 5785, thrills => 8237,
                            thrive  => 6792, thrives => 12568, throat  => 1437, throats => 4375,
                            throbbing
                                    => 8236, throes  => 20101,
                            thrombus
                                    => 20100, throttle
                                    => 6086,
                            throughway
                                    => 18733, throw   => 511,
                            throwback
                                    => 10918, throwed => 18732,
                            throwers
                                    => 18731, throwin => 8235,
                            throwing
                                    => 1136, thrown  => 1384,
                            throws  => 2875, thruster
                                    => 15829,
                            thrusters
                                    => 13990, thrusting
                                    => 20099,
                            thrusts => 18730, ththe   => 18729, thug    => 4466, thuggee => 20098,
                            thugs   => 5234, thumb   => 2813, thumbing
                                    => 13989,
                            thumbprint
                                    => 15155, thumbs  => 4374,
                            thump   => 7040, thumper => 10917, thumping
                                    => 9522,
                            thunder => 3472, thundering
                                    => 14505,
                            thunderstorm
                                    => 12173, thunk   => 10410,
                            thurgood
                                    => 9722, thursday
                                    => 1727,
                            thursdays
                                    => 9945, thusly  => 18728,
                            thwap   => 18727, thyme   => 17642, thyroid => 8843, thyself => 12172,
                            tiamat  => 11493, tibia   => 13988, tick    => 3092, ticked  => 4067,
                            ticker  => 9015, ticket  => 1129, ticketed
                                    => 17641,
                            tickets => 1118, ticking => 3606, tickle  => 5273, tickled => 10638,
                            tickles => 9014, tickling
                                    => 10194,
                            ticklish
                                    => 8516, ticks   => 9161,
                            tidbit  => 10637, tidbits => 17640, tidings => 10193, tidying => 13987,
                            tied    => 1420, tiger   => 2351, tight   => 1026, tighten => 6651,
                            tightened
                                    => 14504, tightening
                                    => 12997,
                            tightens
                                    => 17639, tighter => 4873,
                            tightest
                                    => 20097, tightness
                                    => 17638,
                            tightrope
                                    => 16679, tights  => 6873,
                            tighty  => 17637, till    => 565, tillinghouse
                                    => 13986,
                            tilney  => 17636, timbuktu
                                    => 10916,
                            timed   => 6456, timeless
                                    => 7039,
                            timeout => 15828, timer   => 3767, timers  => 8515, timetable
                                    => 6528,
                            timetables
                                    => 20096, timey   => 20095,
                            timid   => 8514, timin   => 20094, timing  => 1358, timithious
                                    => 17635,
                            timmay  => 13985, timmi   => 18726, timmih  => 4621, timmiihh
                                    => 9944,
                            timmuh  => 17634, timon   => 14503, timpani => 15154, tinfoil => 16678,
                            tinga   => 8842, tingles => 20093, tingling
                                    => 8384,
                            tingly  => 9943, tiniest => 6394, tinkerbell
                                    => 13984,
                            tinkered
                                    => 16677, tinkering
                                    => 12567,
                            tinsel  => 10192, tinted  => 14502, tiny    => 1332, tions   => 17633,
                            tipped  => 3691, tipper  => 11492, tippers => 18725, tippin  => 6038,
                            tipping => 7308, tippy   => 11824, tips    => 2437, tipsy   => 10191,
                            tiptoe  => 8656, tiptoeing
                                    => 13983,
                            tirade  => 11194, tiramisu
                                    => 18724,
                            tire    => 2703, tired   => 579, tireless
                                    => 13982,
                            tires   => 3885, tiresome
                                    => 7972,
                            tiring  => 7841, titan   => 4090, titanic => 4326, titanium
                                    => 7307,
                            tits    => 2920, titties => 9521, titty   => 12171, tizzy   => 18723,
                            to      => 3, "to've" => 20092, toad    => 4937, toads   => 10915,
                            toadstool
                                    => 20091, toast   => 1165,
                            toasted => 7840, toaster => 5347, toasters
                                    => 15827,
                            toasties
                                    => 20090, toasting
                                    => 8383,
                            toasts  => 11491, toasty  => 11490, today   => 237, toddies => 20089,
                            toddle  => 18722, toddler => 8655, toddlers
                                    => 14501,
                            toddling
                                    => 20088, toddy   => 6586,
                            toenail => 13981, toenails
                                    => 6455,
                            toes    => 2227, toffee  => 16676, tofurkey
                                    => 20087,
                            togas   => 20086, together
                                    => 160,
                            togetherness
                                    => 9013, toidy   => 20085,
                            toilet  => 1606, toilets => 5429, toiling => 18721, toity   => 15153,
                            "tok'ra"
                                    => 4760, token   => 4015,
                            told    => 117, tolerable
                                    => 13980,
                            tolerate
                                    => 3335, tolerated
                                    => 8234,
                            tollan  => 15152, tollans => 20084, tollbooth
                                    => 20083,
                            tomahawk
                                    => 15151, tomarrow
                                    => 15826,
                            tomato  => 3584, tombstone
                                    => 9520,
                            tomcat  => 16675, tomei   => 10190, tomfoolery
                                    => 16674,
                            tommi   => 12996, tommorow
                                    => 15150,
                            tommorrow
                                    => 20082, tomorrow
                                    => 289,
                            tomorrows
                                    => 18720, tomsk   => 18719,
                            tonane  => 8233, tone    => 1979, toned   => 14500, tongaree
                                    => 12995,
                            tongs   => 18718, tongue  => 1448, tongues => 6393, tonic   => 5087,
                            tonics  => 18717, tonight => 197, tonio   => 7839, tonka   => 20081,
                            tons    => 2387, tonsil  => 17632, tonsils => 7215, tonto   => 12170,
                            too     => 78, toodle  => 12566, toodles => 12565, tool    => 1794,
                            toolbox => 8513, toolman => 9519, toons   => 12994, toontown
                                    => 10409,
                            tooth   => 2407, toothache
                                    => 9942,
                            toothbrush
                                    => 3680, toothbrushes
                                    => 14499,
                            toothless
                                    => 15825, toothpaste
                                    => 6037,
                            toothpick
                                    => 11489, toothpicks
                                    => 13979,
                            tootie  => 14498, tootin  => 12564, toots   => 6650, tootsie => 10636,
                            tooty   => 15824, topanga => 7838, topaz   => 14497, topes   => 18716,
                            topic   => 2744, topless => 6392, topnotch
                                    => 17631,
                            topolsky
                                    => 5784, toppings
                                    => 12563,
                            topple  => 17630, tops    => 2937, topshop => 18715, topside => 11823,
                            topsy   => 17629, torch   => 3275, torched => 6454, torches => 8841,
                            torching
                                    => 11488, tore    => 2562,
                            toreador
                                    => 20080, torin   => 15149,
                            torment => 4838, tormented
                                    => 9941,
                            tormenting
                                    => 8104, torn    => 1916,
                            torrance
                                    => 6527, torreon => 20079,
                            torrid  => 13978, torso   => 10189, tortilla
                                    => 20078,
                            tortillas
                                    => 17628, tortious
                                    => 18714,
                            tortoise
                                    => 9940, tortola => 20077,
                            torture => 1801, tortured
                                    => 3219,
                            tortures
                                    => 12993, torturing
                                    => 3358,
                            torturous
                                    => 13977, toscanini
                                    => 20076,
                            toss    => 1989, tossed  => 3125, tosses  => 11487, tossin  => 18713,
                            tossing => 4492, totally => 468, totem   => 13458, toting  => 11822,
                            toto    => 3622, touch   => 502, toucha  => 18712, touche  => 8382,
                            touched => 1337, touches => 3321, touchin => 16673, touching
                                    => 1818,
                            touchy  => 4234, tough   => 640, toughen => 11821, tougher => 3766,
                            toughest
                                    => 5734, toughie => 20075,
                            tought  => 13457, toula   => 7837, tounge  => 17627, toupee  => 8512,
                            tourelles
                                    => 18711, touristy
                                    => 20074,
                            tourniquet
                                    => 15823, towel   => 1945,
                            towelie => 7971, towels  => 2595, towering
                                    => 11193,
                            townhouse
                                    => 12169, townie  => 9721,
                            townies => 18710, townsfolk
                                    => 13976,
                            townspeople
                                    => 10188, toxic   => 3425,
                            toxicology
                                    => 9939, toxin   => 9518,
                            toxins  => 7214, toxoplasmosis
                                    => 17626,
                            toyed   => 12168, toying  => 6872, toys    => 2295, "tp'ed" => 17625,
                            trace   => 1817, traceable
                                    => 20073,
                            traced  => 3818, tracer  => 8511, trach   => 15148, trachea => 20072,
                            tracheotomy
                                    => 15822, tracing => 8103,
                            tracked => 3047, tracker => 8510, trackers
                                    => 18709,
                            tracking
                                    => 2273, tractor => 5551,
                            tradeoff
                                    => 15147, tradin  => 18708,
                            trafficker
                                    => 16672, tragedies
                                    => 9720,
                            tragedy => 2067, tragic  => 2141, tragically
                                    => 6871,
                            trailer => 3113, trainee => 7970, trainin => 20071, trainors
                                    => 18707,
                            traipse => 15146, traipsed
                                    => 20070,
                            traipsing
                                    => 9517, trait   => 6870,
                            traitor => 3800, traitors
                                    => 8840,
                            trajectory
                                    => 7725, tramell => 10914,
                            tramp   => 2412, tramping
                                    => 15821,
                            trample => 16671, trampled
                                    => 10913,
                            trampling
                                    => 17624, trampoline
                                    => 11192,
                            tramps  => 13975, trampy  => 20069, trance  => 7038, trannie => 15820,
                            tranq   => 20068, tranquil
                                    => 17623,
                            tranquility
                                    => 10187, tranquilizer
                                    => 7213,
                            tranquilizers
                                    => 10408, transcendent
                                    => 13974,
                            transcends
                                    => 16670, transcribing
                                    => 20067,
                            transcript
                                    => 7212, transcripts
                                    => 6256,
                            transference
                                    => 9160, transfuse
                                    => 20066,
                            transfusion
                                    => 7969, transfusions
                                    => 14496,
                            transgenic
                                    => 5733, transgenics
                                    => 6791,
                            transgression
                                    => 13456, transgressions
                                    => 17622,
                            transients
                                    => 20065, transitory
                                    => 20064,
                            translate
                                    => 4325, transparent
                                    => 5162,
                            transpired
                                    => 13455, transplant
                                    => 2436,
                            transplants
                                    => 15819, transponder
                                    => 12167,
                            transsexual
                                    => 14495, transvestite
                                    => 8509,
                            transvestites
                                    => 18706, trap    => 1520,
                            trapeze => 15145, trapped => 1486, trapper => 3750, trappers
                                    => 15818,
                            trappings
                                    => 9719, traps   => 4522,
                            trash   => 1305, trashcan
                                    => 13973,
                            trashed => 3736, trashes => 17621, trashing
                                    => 5682,
                            trashy  => 5929, trattoria
                                    => 17620,
                            trauma  => 2123, traumas => 17619, traumatic
                                    => 3817,
                            traumatize
                                    => 20063, traumatized
                                    => 5832,
                            traumatizing
                                    => 18705, traveler
                                    => 7037,
                            traveling
                                    => 2303, travers => 1459,
                            travesty
                                    => 7968, traviata
                                    => 15817,
                            travolta
                                    => 12166, tray    => 3384,
                            traya   => 18704, trays   => 7497, treacherous
                                    => 7306,
                            treachery
                                    => 11486, tread   => 7118,
                            treading
                                    => 10407, treadmill
                                    => 9340,
                            treads  => 13454, treadstone
                                    => 13972,
                            treasure
                                    => 2406, treasured
                                    => 10186,
                            treasures
                                    => 6453, treat   => 900,
                            treatable
                                    => 10185, treated => 1239,
                            treaters
                                    => 13453, treatin => 13971,
                            treating
                                    => 1682, treats  => 2968,
                            tree    => 924, treeger => 15144, treehorn
                                    => 15816,
                            treehouse
                                    => 10635, trekkie => 14494,
                            trellis => 12562, tremble => 8381, trembled
                                    => 20062,
                            trembling
                                    => 6452, tremendous
                                    => 3664,
                            tremendously
                                    => 8839, tremoille
                                    => 16669,
                            tremont => 16668, tremor  => 15143, tremors => 14493, trenchcoat
                                    => 20061,
                            trendy  => 7724, trepkos => 15142, trespass
                                    => 7967,
                            trespassed
                                    => 18703, trespasser
                                    => 17618,
                            trespassers
                                    => 17617, trespasses
                                    => 15815,
                            trespassing
                                    => 4134, triad   => 5928,
                            triads  => 15814, triage  => 10634, trial   => 936, tribbey => 12992,
                            tribbiani
                                    => 5304, tribianni
                                    => 20060,
                            tribulations
                                    => 16667, triceps => 18702,
                            trick   => 963, tricked => 2665, trickery
                                    => 12165,
                            trickier
                                    => 13970, tricking
                                    => 8838,
                            trickle => 16666, tricks  => 1665, trickster
                                    => 17616,
                            tricky  => 2991, tried   => 340, trifecta
                                    => 16665,
                            trifle  => 8102, trifled => 16664, trifles => 20059, trifling
                                    => 17615,
                            trigger => 2088, triggers
                                    => 9516,
                            trigonometry
                                    => 16663, trillion
                                    => 7417,
                            trimester
                                    => 6526, trimmers
                                    => 18701,
                            trimming
                                    => 10406, trimmings
                                    => 13969,
                            tringle => 17614, trini   => 13968, trinium => 13452, trinket => 14492,
                            trinkets
                                    => 11820, trip    => 583,
                            tripe   => 16662, triplets
                                    => 10184,
                            triplette
                                    => 15141, triplicate
                                    => 12991,
                            tripod  => 10912, tripped => 3723, trippin => 8101, tripping
                                    => 4837,
                            trippy  => 17613, triquetra
                                    => 18700,
                            tristin => 7211, trite   => 8508, triumphant
                                    => 10405,
                            triumphed
                                    => 16661, triumphs
                                    => 12990,
                            trivial => 6255, trivialize
                                    => 20058,
                            trixie  => 12561, trojan  => 8507, troll   => 5637, trolling
                                    => 9938,
                            trollop => 14491, trolls  => 7305, trooper => 6207, troopers
                                    => 8837,
                            tropez  => 12560, trophies
                                    => 6869,
                            tropic  => 13451, tropicana
                                    => 18699,
                            trotting
                                    => 13967, troubadour
                                    => 13450,
                            trouble => 344, troubled
                                    => 3357,
                            troublemaker
                                    => 8654, troublemakers
                                    => 14490,
                            troubles
                                    => 2500, troubling
                                    => 4759,
                            trouper => 15140, trouser => 17612, trousers
                                    => 6585,
                            trousseau
                                    => 20057, trove   => 16660,
                            trowel  => 20056, troxa   => 18698, truant  => 16659, trubshaw
                                    => 17611,
                            truce   => 3722, truck   => 1089, truckasaurus
                                    => 17610,
                            trucker => 10633, truckers
                                    => 11485,
                            truckin => 20055, trucking
                                    => 10632,
                            truckload
                                    => 8380, trucoat => 18697,
                            true    => 260, truer   => 16658, truest  => 12989, truffaut
                                    => 16657,
                            truffle => 10183, truffles
                                    => 9515,
                            truly   => 1003, trumped => 10404, trumpets
                                    => 9159,
                            trumps  => 17609, trunk   => 1866, trunks  => 6584, trussed => 14489,
                            trust   => 291, trusted => 1302, trusting
                                    => 2472,
                            trusts  => 3287, trustworthy
                                    => 5123,
                            truth   => 257, truthful
                                    => 6036,
                            truthfully
                                    => 5882, truths  => 5831,
                            try     => 180, tryed   => 20054, tryin   => 2340, trying  => 149,
                            tryout  => 13966, tryouts => 15139, tryst   => 11191, tsavo   => 14488,
                            tsimshian
                                    => 16656, tuatha  => 12559,
                            tubby   => 9937, tuberculoma
                                    => 16655,
                            tubers  => 18696, tucked  => 4233, tucking => 10182, tuesday => 1889,
                            tuesdays
                                    => 9158, tuffy   => 18695,
                            tugboat => 10631, tugger  => 10630, tugging => 15813, tularemia
                                    => 16654,
                            tulips  => 10629, tulle   => 15138, tulsa   => 5550, tumble  => 7304,
                            tumbler => 12988, tumblin => 20053, tumbling
                                    => 8836,
                            tummy   => 5599, tumnus  => 13449, tumor   => 2853, tuna    => 2835,
                            tundra  => 9339, tune    => 2186, tuned   => 4393, tuney   => 17608,
                            tunic   => 14487, tupperware
                                    => 10628,
                            turati  => 14486, turban  => 12164, turbinium
                                    => 18694,
                            turbulence
                                    => 8835, turds   => 13448,
                            turf    => 4052, turghan => 18693, turkeys => 5681, turkle  => 18692,
                            turlock => 15137, turmoil => 6035, turn    => 287, turnabout
                                    => 20052,
                            turnaround
                                    => 9012, turncoat
                                    => 15136,
                            turndown
                                    => 16653, turned  => 501,
                            turners => 20051, turnin  => 12558, turning => 984, turnip  => 11190,
                            turnips => 11819, turnoff => 10911, turns   => 853, turpentine
                                    => 10627,
                            turquoise
                                    => 11484, turtle  => 4255,
                            turtleneck
                                    => 12163, tuscany => 4066,
                            tuscarora
                                    => 18691, tushie  => 13447,
                            tushy   => 18690, tussle  => 14485, tutor   => 3786, tutorial
                                    => 11189,
                            tutoring
                                    => 4646, tutsami => 18689,
                            tutti   => 16652, tuxedo  => 4836, tuxedos => 13446, tuxes   => 14484,
                            tvmegasite
                                    => 10403, twain   => 7601,
                            tweak   => 12557, tweaked => 11818, tweaking
                                    => 11483,
                            tweedle => 12162, tweek   => 3951, tween   => 13965, tweet   => 11482,
                            tweety  => 12987, tweeze  => 18688, tweezers
                                    => 10402,
                            twelve  => 1055, twenties
                                    => 5122,
                            twenty  => 527, twerp   => 7966, twice   => 881, twiddle => 20050,
                            twiddling
                                    => 20049, twilight
                                    => 3996,
                            twinge  => 9514, twinges => 20048, twink   => 20047, twinkie => 6731,
                            twinkies
                                    => 10181, twinkle => 6254,
                            twinkling
                                    => 20046, twins   => 1612,
                            twirl   => 8379, twirling
                                    => 10626,
                            twirly  => 20045, twist   => 2087, twisted => 1867, twister => 6649,
                            twisting
                                    => 3848, twists  => 6966,
                            twisty  => 14483, twit    => 5390, twitch  => 6525, twitched
                                    => 20044,
                            twitches
                                    => 20043, twitching
                                    => 9338,
                            twitchy => 12986, twits   => 16651, twosome => 16650, tybalt  => 16649,
                            tying   => 4975, tykes   => 16648, tylenol => 12556, tynacorp
                                    => 14482,
                            tyndareus
                                    => 15135, typed   => 6965,
                            typewriter
                                    => 6964, typewriters
                                    => 20042,
                            typhoid => 13445, typing  => 5303, typist  => 16647, tyranny => 9157,
                            tyrant  => 8378, tyrants => 16646, udall   => 14481, ughuh   => 20041,
                            uglier  => 10910, uglies  => 17607, ugliest => 8653, ugliness
                                    => 9156,
                            ugly    => 1148, uhhh    => 4051, uhhhh   => 9337, uhhhhh  => 15812,
                            uhhhm   => 18687, uhwhy   => 20040, ulcer   => 7117, ulcers  => 12555,
                            ulterior
                                    => 5233, ultimatum
                                    => 4904,
                            ultimatums
                                    => 8377, ultrasound
                                    => 4903,
                            ululd   => 18686, umbilical
                                    => 11481,
                            umbrella
                                    => 4373, umbrellas
                                    => 10625,
                            umhmm   => 20039, ummm    => 5026, ummmm   => 12554, umpteen => 20038,
                            umpteenth
                                    => 17606, unabomber
                                    => 13444,
                            unacceptable
                                    => 3785, unaccounted
                                    => 10909,
                            unadulterated
                                    => 10908, unadvisedly
                                    => 14480,
                            unafraid
                                    => 20037, unagi   => 15811,
                            unamerican
                                    => 20036, unannounced
                                    => 7965,
                            unanswered
                                    => 8232, unappealing
                                    => 13443,
                            unappreciated
                                    => 12553, unapproved
                                    => 20035,
                            unarmed => 5783, unattached
                                    => 11817,
                            unattainable
                                    => 12552, unattended
                                    => 8506,
                            unattractive
                                    => 6524, unauthorized
                                    => 5636,
                            unavailable
                                    => 5121, unavoidable
                                    => 8505,
                            unbalanced
                                    => 8652, unbearable
                                    => 5086,
                            unbearably
                                    => 13964, unbeatable
                                    => 12985,
                            unbecoming
                                    => 9011, unbelievable
                                    => 1290,
                            unbelievably
                                    => 4033, unbiased
                                    => 15810,
                            unbind  => 15809, unblemished
                                    => 18685,
                            unborn  => 5346, unbreakable
                                    => 14479,
                            unbridled
                                    => 10401, unburden
                                    => 11480,
                            unbutton
                                    => 15808, unbuttoned
                                    => 18684,
                            unbuttoning
                                    => 20034, uncalled
                                    => 9718,
                            uncanny => 6150, uncaring
                                    => 13963,
                            uncas   => 20033, unchallenged
                                    => 20032,
                            uncharacteristic
                                    => 17605,
                            uncharacteristically
                                    => 18683,
                            uncharted
                                    => 10400, unchecked
                                    => 15807,
                            uncircumcised
                                    => 20031, uncivilized
                                    => 17604,
                            unclaimed
                                    => 18682, uncle   => 756,
                            unclean => 10624, unclench
                                    => 18681,
                            uncles  => 7723, unclog  => 20030, uncomfortable
                                    => 1376,
                            uncommonly
                                    => 20029, uncomplicated
                                    => 9336,
                            unconcerned
                                    => 16645, unconditional
                                    => 6963,
                            unconditionally
                                    => 10399,
                            unconfirmed
                                    => 10907, unconscionable
                                    => 9717,
                            unconscious
                                    => 1976, unconsciously
                                    => 15134,
                            unconsciousness
                                    => 15133,
                            uncontrollable
                                    => 8504, uncontrollably
                                    => 12984,
                            uncool  => 7036, uncooperative
                                    => 12983,
                            uncork  => 20028, uncouth => 20027, uncover => 6451, uncovering
                                    => 15132,
                            uncuff  => 13442, uncut   => 10180, undead  => 6034, undecided
                                    => 13962,
                            undeniable
                                    => 10398, undeniably
                                    => 18680,
                            underage
                                    => 5881, underappreciated
                                    => 20026,
                            underbelly
                                    => 11188, undercover
                                    => 2506,
                            undercurrent
                                    => 17603, undercut
                                    => 15131,
                            underdog
                                    => 8231, underestimate
                                    => 2910,
                            underestimated
                                    => 5053, underestimates
                                    => 20025,
                            underestimating
                                    => 8376, underfoot
                                    => 15806,
                            undergarment
                                    => 18679, undergarments
                                    => 16644,
                            undergrad
                                    => 12161, underhanded
                                    => 7035,
                            underline
                                    => 17602, underlined
                                    => 12551,
                            underling
                                    => 20024, underlings
                                    => 17601,
                            underlining
                                    => 20023, undermine
                                    => 4974,
                            undermines
                                    => 16643, undermining
                                    => 9155,
                            underneath
                                    => 1911, underpaid
                                    => 13441,
                            underpants
                                    => 5389, underprivileged
                                    => 11479,
                            underrated
                                    => 15805, undershirt
                                    => 17600,
                            understaffed
                                    => 11187, understan
                                    => 17599,
                            understand
                                    => 164, understandable
                                    => 2967,
                            understandably
                                    => 9335, understanding
                                    => 1306,
                            understands
                                    => 1875, understated
                                    => 10623,
                            understatement
                                    => 4232, understood
                                    => 1316,
                            understudy
                                    => 7210, undertow
                                    => 14478,
                            underwear
                                    => 1811, underworld
                                    => 4351,
                            underwrite
                                    => 20022, undeserving
                                    => 16642,
                            undetectable
                                    => 12550, undetected
                                    => 13961,
                            undies  => 10179, undisciplined
                                    => 17598,
                            undiscovered
                                    => 17597, undivided
                                    => 8375,
                            undo    => 3191, undoing => 9010, undone  => 6085, undoubtedly
                                    => 6523,
                            undress => 8374, undressed
                                    => 5880,
                            undressing
                                    => 11478, undue   => 12982,
                            unduly  => 15130, undying => 7303, unearth => 17596, uneasy  => 6583,
                            uneducated
                                    => 15129, unemployable
                                    => 15128,
                            unemployed
                                    => 4440, unencumbered
                                    => 17595,
                            unending
                                    => 17594, unequivocal
                                    => 15804,
                            unequivocally
                                    => 14477, unethical
                                    => 5517,
                            uneventful
                                    => 11477, unexpected
                                    => 2495,
                            unexplainable
                                    => 11186, unexplained
                                    => 9936,
                            unexplored
                                    => 18678, unexpressed
                                    => 17593,
                            unfair  => 1835, unfairly
                                    => 8834,
                            unfairness
                                    => 17592, unfaithful
                                    => 4799,
                            unfamiliar
                                    => 7302, unfashionable
                                    => 20021,
                            unfathomable
                                    => 14476, unfeeling
                                    => 11185,
                            unfettered
                                    => 11184, unfinished
                                    => 3708,
                            unfit   => 4835, unflattering
                                    => 17591,
                            unfocused
                                    => 11183, unfold  => 8651,
                            unfolding
                                    => 13440, unfolds => 15127,
                            unforeseen
                                    => 9513, unforgettable
                                    => 7600,
                            unforgivable
                                    => 4350, unforgiving
                                    => 10178,
                            unfortunate
                                    => 2445, unfortunately
                                    => 1036,
                            unfounded
                                    => 9512, unfreeze
                                    => 8650,
                            unfreezing
                                    => 17590, unfriendly
                                    => 13439,
                            unfulfilled
                                    => 12549, unfunny => 17589,
                            unglued => 15803, ungodly => 12981, ungrateful
                                    => 3784,
                            unguarded
                                    => 18677, unhand  => 14475,
                            unhappily
                                    => 18676, unhappiness
                                    => 6962,
                            unhappy => 1978, unharmed
                                    => 8100,
                            unhealthy
                                    => 6033, unheard => 8649,
                            unhinged
                                    => 14474, unholy  => 6961,
                            unhook  => 9716, unhooked
                                    => 17588,
                            unicorn => 6149, unicorns
                                    => 10622,
                            unicycle
                                    => 17587, unidentified
                                    => 6253,
                            uniform => 1846, uniformed
                                    => 10906,
                            uniforms
                                    => 3663, unimaginable
                                    => 10397,
                            unimaginative
                                    => 16641, unimpeachable
                                    => 20020,
                            unimportant
                                    => 7599, unimpressed
                                    => 18675,
                            uninformed
                                    => 18674, uninhibited
                                    => 11816,
                            uninspired
                                    => 17586, uninsured
                                    => 17585,
                            unintelligible
                                    => 16640, unintentional
                                    => 15802,
                            unintentionally
                                    => 13960,
                            uninteresting
                                    => 16639, uninterrupted
                                    => 10177,
                            uninvited
                                    => 4798, uninvolved
                                    => 16638,
                            unisex  => 16637, universe
                                    => 1455,
                            unjust  => 10905, unjustly
                                    => 15126,
                            unkind  => 10904, unknowns
                                    => 18673,
                            unleaded
                                    => 17584, unleash => 7496,
                            unleashed
                                    => 6960, unleashing
                                    => 15801,
                            unless  => 473, unlikable
                                    => 17583,
                            unlikely
                                    => 3436, unlisted
                                    => 9511,
                            unload  => 4936, unloaded
                                    => 10621,
                            unloading
                                    => 11815, unlock  => 3907,
                            unlocked
                                    => 5598, unlocking
                                    => 13959,
                            unlocks => 12980, unlovable
                                    => 18672,
                            unloved => 11814, unlucky => 5830, unmade  => 20019, unmarked
                                    => 7964,
                            unmask  => 15800, unmentionable
                                    => 18671,
                            unmentionables
                                    => 15125, unmistakable
                                    => 13438,
                            unmitigated
                                    => 11476, unnatural
                                    => 5829,
                            unnecessarily
                                    => 10620, unnecessary
                                    => 3523,
                            unnerstand
                                    => 20018, unnerve => 17582,
                            unnerved
                                    => 18670, unnerving
                                    => 10903,
                            unnoticed
                                    => 10902, unopened
                                    => 16636,
                            unorthodox
                                    => 7034, unpack  => 4935,
                            unpacked
                                    => 8833, unpacking
                                    => 7301,
                            unparalleled
                                    => 12160, unplanned
                                    => 14473,
                            unpleasant
                                    => 3155, unpleasantness
                                    => 9715,
                            unplug  => 9154, unplugged
                                    => 8832,
                            unpredictability
                                    => 15799,
                            unpredictable
                                    => 4392, unprepared
                                    => 7033,
                            unpretentious
                                    => 20017, unprincipled
                                    => 15124,
                            unprofessional
                                    => 6032, unprotected
                                    => 7495,
                            unprovoked
                                    => 13437, unpunished
                                    => 9935,
                            unqualified
                                    => 12548, unquenchable
                                    => 18669,
                            unquote => 12547, unravel => 7598, unraveled
                                    => 16635,
                            unraveling
                                    => 12546, unreachable
                                    => 13436,
                            unreal  => 5732, unrealistic
                                    => 7597,
                            unreasonable
                                    => 4491, unrecognizable
                                    => 15798,
                            unreliable
                                    => 6648, unremarkable
                                    => 20016,
                            unrequited
                                    => 10901, unresolved
                                    => 6730,
                            unresponsive
                                    => 9934, unreturned
                                    => 20015,
                            unromantic
                                    => 15797, unruly  => 12979,
                            unsaid  => 13958, unsanitary
                                    => 16634,
                            unsatisfied
                                    => 18668, unsatisfying
                                    => 17581,
                            unsavory
                                    => 9933, unscathed
                                    => 10176,
                            unscheduled
                                    => 12159, unscramble
                                    => 20014,
                            unscrupulous
                                    => 12545, unseal  => 17580,
                            unsealed
                                    => 14472, unseasonably
                                    => 17579,
                            unseat  => 17578, unsecured
                                    => 20013,
                            unseemly
                                    => 9153, unseen  => 7032,
                            unselfish
                                    => 7722, unsettled
                                    => 12978,
                            unsettling
                                    => 8099, unshakable
                                    => 12977,
                            unsolicited
                                    => 11182, unsolved
                                    => 6647,
                            unspeakable
                                    => 6252, unspeakably
                                    => 12544,
                            unspoiled
                                    => 17577, unspoken
                                    => 8503,
                            unstable
                                    => 3970, unstoppable
                                    => 7209,
                            unstuck => 15123, unsubstantiated
                                    => 12543,
                            unsubtitled
                                    => 17576, unsung  => 12542,
                            unsupervised
                                    => 9714, unsure  => 8648,
                            unsuspecting
                                    => 7836, unsympathetic
                                    => 15796,
                            untamed => 16633, untangle
                                    => 16632,
                            untangled
                                    => 20012, untapped
                                    => 18667,
                            untested
                                    => 11181, unthinkable
                                    => 7031,
                            untie   => 4207, untied  => 10175, untimely
                                    => 9932,
                            unto    => 4231, untold  => 15795, untouchable
                                    => 8502,
                            untouchables
                                    => 20011, untouched
                                    => 9510,
                            untoward
                                    => 12976, untraceable
                                    => 9713,
                            untrained
                                    => 15122, untrue  => 6450,
                            untrustworthy
                                    => 11475, unturned
                                    => 20010,
                            unusual => 1716, unvarnished
                                    => 20009,
                            unveil  => 11813, unveiling
                                    => 9009,
                            unwanted
                                    => 6391, unwarranted
                                    => 12158,
                            unwashed
                                    => 15121, unwavering
                                    => 15794,
                            unwed   => 10900, unwelcome
                                    => 9152,
                            unwieldy
                                    => 18666, unwind  => 6522,
                            unwise  => 9931, unwitting
                                    => 16631,
                            unwittingly
                                    => 14471, unworthy
                                    => 8230,
                            unwrap  => 12541, unwrapping
                                    => 18665,
                            unwritten
                                    => 12540, unyielding
                                    => 20008,
                            unzip   => 15120, up      => 39, upbeat  => 7416, upbringing
                                    => 7721,
                            upchuck => 9712, update  => 3173, upfront => 6729, uphill  => 9930,
                            uphold  => 5782, upholstered
                                    => 15793,
                            upholstery
                                    => 10174, uplifting
                                    => 11474,
                            uplink  => 11812, uploading
                                    => 18664,
                            upped   => 8098, uppers  => 14470, upping  => 16630, uppity  => 13957,
                            uproar  => 12539, uproot  => 12157, uprooted
                                    => 17575,
                            upscale => 8501, upset   => 411, upsets  => 5516, upsetting
                                    => 2398,
                            upshot  => 15119, upside  => 2239, upstage => 13956, upstaged
                                    => 18663,
                            upstairs
                                    => 708, upstanding
                                    => 6031,
                            upstart => 17574, upstate => 7208, uptight => 3605, uptown  => 5272,
                            urchin  => 16629, urethra => 18662, urge    => 3471, urgency => 9334,
                            urgent  => 2133, urgently
                                    => 12975,
                            urges   => 5828, urinal  => 14469, urinals => 20007, urinate => 12538,
                            urinating
                                    => 16628, urination
                                    => 17573,
                            urine   => 4281, urkel   => 12156, urologist
                                    => 17572,
                            "us'll" => 20006, useless => 2034, usernum => 20005, ushering
                                    => 17571,
                            ushers  => 12974, ussher  => 16627, usted   => 14468, usual   => 1068,
                            usurp   => 20004, utensils
                                    => 11811,
                            utero   => 12973, uterus  => 7207, utmost  => 6959, uttered => 10899,
                            utterly => 4065, uuuuh   => 17570, vacate  => 8229, vacation
                                    => 1377,
                            vacationing
                                    => 14467, vacations
                                    => 6728,
                            vaccinated
                                    => 14466, vaccine => 5827,
                            vacuumed
                                    => 13435, vacuuming
                                    => 11810,
                            vacuums => 20003, vader   => 6206, vadimus => 13955, vagabond
                                    => 17569,
                            vagas   => 18661, vagina  => 5515, vaginal => 10396, vaginas => 18660,
                            vague   => 3884, vaguely => 4973, vaguest => 15118, vailsburg
                                    => 18659,
                            vain    => 4521, valedictorian
                                    => 10898,
                            valentines
                                    => 5879, valet   => 5826,
                            valets  => 15792, valiant => 5781, valiantly
                                    => 20002,
                            validate
                                    => 10173, validates
                                    => 20001,
                            valise  => 15117, valium  => 6449, vallens => 16626, valmont => 20000,
                            valor   => 10172, valosky => 18658, valuable
                                    => 2196,
                            valuables
                                    => 9929, vamanos => 13954,
                            vamoose => 14465, vamos   => 14464, vampira => 12972, vampire => 1153,
                            vampires
                                    => 1740, vamps   => 7206,
                            vancomycin
                                    => 15116, vandaley
                                    => 15115,
                            vandalism
                                    => 7205, vandalized
                                    => 14463,
                            vandelay
                                    => 9008, vanderhof
                                    => 19999,
                            vanilla => 4064, vanish  => 5085, vanished
                                    => 3707,
                            vanishes
                                    => 12155, vanishing
                                    => 8500,
                            vanity  => 4696, vannacutt
                                    => 16625,
                            vanquish
                                    => 2567, vanquished
                                    => 5203,
                            vanquishing
                                    => 4727, vanstock
                                    => 17568,
                            vapid   => 17567, vaporize
                                    => 16624,
                            vaporized
                                    => 17566, vapors  => 19998,
                            varcon  => 14462, varicose
                                    => 14461,
                            varnish => 13434, varnsen => 17565, vasculitis
                                    => 15791,
                            vase    => 4563, vasectomies
                                    => 19997,
                            vasectomy
                                    => 7835, vaseline
                                    => 16623,
                            vasey   => 10171, vaslova => 18657, vastness
                                    => 19996,
                            vater   => 16622, vault   => 2677, vayhue  => 13953, vecchio => 2209,
                            veddy   => 18656, veered  => 18655, veering => 18654, vegas   => 1315,
                            vegetable
                                    => 3383, vegetables
                                    => 3749,
                            vegetarian
                                    => 4872, vegetarians
                                    => 16621,
                            veggie  => 10619, veggies => 12537, veil    => 4133, veiled  => 8373,
                            veils   => 13952, veins   => 3950, velcro  => 11473, velociraptor
                                    => 19995,
                            velour  => 19994, velveteen
                                    => 19993,
                            "ven't" => 19992, vendetta
                                    => 4595,
                            vendettas
                                    => 13951, vending => 5302,
                            vendor  => 7963, veneer  => 12971, venereal
                                    => 18653,
                            vengeance
                                    => 2927, vengeful
                                    => 7300,
                            venison => 17564, vent    => 3816, vented  => 18652, ventilate
                                    => 18651,
                            ventilated
                                    => 14460, ventilator
                                    => 4934,
                            venting => 10170, ventricle
                                    => 13433,
                            ventriloquism
                                    => 17563, ventriloquist
                                    => 13950,
                            ventriss
                                    => 12970, vents   => 8097,
                            venza   => 11809, veracity
                                    => 14459,
                            veranda => 15114, verbal  => 4391, verbatim
                                    => 13432,
                            verdad  => 15113, verdict => 2895, verge   => 3765, verger  => 12969,
                            verguenza
                                    => 19991, verify  => 4871,
                            verifying
                                    => 15790, verily  => 16620,
                            veritable
                                    => 9509, veritas => 17562,
                            vermeer => 15789, vermeil => 12968, vermin  => 6868, vermouth
                                    => 12967,
                            versa   => 6148, versed  => 12154, vertes  => 16619, veruca  => 15788,
                            very    => 91, vespers => 16618, vested  => 5472, vestibule
                                    => 12153,
                            vestigial
                                    => 18650, vests   => 12152,
                            vesuvius
                                    => 19990, veterinarian
                                    => 10169,
                            veto    => 5471, vette   => 12536, vetted  => 17561, viagra  => 8647,
                            vial    => 4153, vials   => 8831, vibe    => 3034, vibes   => 4797,
                            vibrate => 10618, vibrating
                                    => 10168,
                            vibrations
                                    => 7962, vibrator
                                    => 17560,
                            vicarious
                                    => 19989, vicariously
                                    => 11808,
                            vices   => 15787, vichyssoise
                                    => 19988,
                            vicious => 2622, viciously
                                    => 15786,
                            viciousness
                                    => 16617, vicksburg
                                    => 9711,
                            vicodin => 11180, vicrum  => 17559, victim  => 1212, victimized
                                    => 11179,
                            victimless
                                    => 15112, videogames
                                    => 19987,
                            videotape
                                    => 2561, videotaped
                                    => 9508,
                            videotapes
                                    => 8830, videotaping
                                    => 15785,
                            vigeous => 18649, vigilance
                                    => 11807,
                            vigilant
                                    => 7720, vigilante
                                    => 6084,
                            vigilantes
                                    => 15784, viki    => 985,
                            viktor  => 4296, vilandra
                                    => 8372,
                            vile    => 4490, villier => 18648, vincennes
                                    => 9333,
                            vinceres
                                    => 18647, vincey  => 11472,
                            vindaloo
                                    => 19986, vindicated
                                    => 11806,
                            vindication
                                    => 12535, vindictive
                                    => 4152,
                            vindictiveness
                                    => 18646, vinegar => 7030,
                            vinny   => 17558, vintage => 5025, violate => 6205, violated
                                    => 3815,
                            violates
                                    => 9928, violating
                                    => 5597,
                            violation
                                    => 3144, violent => 2042,
                            violets => 11471, viper   => 5161, vipers  => 9710, virgin  => 1964,
                            virginal
                                    => 12966, virginity
                                    => 4796,
                            virgins => 6083, virgo   => 16616, viridiana
                                    => 14458,
                            virile  => 12151, virtucon
                                    => 14457,
                            virtue  => 4172, virtuous
                                    => 8829,
                            virulent
                                    => 18645, virus   => 1761,
                            visage  => 17557, visceral
                                    => 12534,
                            vishnoor
                                    => 18644, vision  => 1391,
                            visions => 2869, visit   => 805, visitation
                                    => 3065,
                            visitin => 17556, visitor => 2794, visor   => 17555, visualize
                                    => 7494,
                            visualizing
                                    => 16615, vitally => 16614,
                            vitals  => 4132, vitamin => 5160, vitamins
                                    => 5024,
                            vitone  => 15783, vittles => 19985, vivacious
                                    => 17554,
                            vivant  => 17553, viveca  => 17552, vivica  => 17551, vivid   => 5878,
                            vividly => 10617, vivre   => 19984, vixen   => 8828, vixens  => 18643,
                            viznick => 13949, vizzini => 14456, vocabulary
                                    => 5549,
                            vocation
                                    => 11805, vodka   => 2729,
                            vogelman
                                    => 11804, voice   => 657,
                            voicemail
                                    => 10897, voices  => 2226,
                            void    => 3583, voila   => 4620, volant  => 12533, volatile
                                    => 5470,
                            voldemort
                                    => 19983, volition
                                    => 11803,
                            volts   => 9927, voluntarily
                                    => 4933,
                            volunteered
                                    => 3653, volunteering
                                    => 5596,
                            voluptuous
                                    => 15782, volvo   => 7204,
                            vomit   => 4539, vomited => 10896, vomiting
                                    => 7299,
                            voodoo  => 5023, vorash  => 14455, vorhees => 19982, vornac  => 18642,
                            vornoff => 19981, vortex  => 7116, votre   => 17550, vouch   => 5022,
                            vouched => 13948, voucher => 19980, vouchers
                                    => 11178,
                            vouching
                                    => 17549, voula   => 16613,
                            voulez  => 15781, vous    => 5021, vowed   => 6082, vowing  => 19979,
                            vows    => 2028, voyeur  => 16612, vroom   => 8096, vrykolaka
                                    => 16611,
                            vulgar  => 6958, vulnerability
                                    => 8095,
                            vulnerable
                                    => 1703, vulture => 9507,
                            vultures
                                    => 6727, vying   => 13431,
                            waaaah  => 18641, waaah   => 13430, waaay   => 13947, wabbit  => 16610,
                            wacked  => 12965, wacko   => 5232, wackos  => 17548, wacky   => 4439,
                            wacquiem
                                    => 16609, waddya  => 18640,
                            wading  => 12964, "wadn't"
                                    => 14454,
                            waffle  => 6867, waffles => 4795, wafting => 15780, wage    => 3969,
                            wager   => 4834, wagging => 13429, waging  => 11470, wagon   => 3154,
                            wahoo   => 13428, wailing => 8499, waist   => 4520, waistband
                                    => 17547,
                            wait    => 109, "wait'll"
                                    => 6204,
                            waitaminute
                                    => 18639, waited  => 1297,
                            waiter  => 2254, waitin  => 3721, waiting => 359, waitress
                                    => 1926,
                            waitressed
                                    => 16608, waitresses
                                    => 5731,
                            waitressing
                                    => 7719, waitwait
                                    => 19978,
                            waive   => 9506, waiving => 19977, wake    => 600, waken   => 16607,
                            wakes   => 2583, wakeup  => 18638, wakey   => 10895, waking  => 2374,
                            walk    => 342, walked  => 747, walkie  => 6726, walkin  => 4254,
                            walking => 733, walkman => 10395, walks   => 1504, wallaby => 9151,
                            wallbanger
                                    => 19976, wallet  => 1621,
                            wallets => 8094, wallop  => 12963, wallow  => 6448, wallowing
                                    => 6790,
                            wallpaper
                                    => 5975, walnut  => 5635,
                            walnuts => 10616, walrus  => 11177, waltons => 19975, waltzed => 10615,
                            waltzes => 15779, waltzing
                                    => 7718,
                            wampum  => 14453, wand    => 4758, wandell => 18637, wander  => 3634,
                            wandered
                                    => 4519, wanderer
                                    => 12962,
                            wandering
                                    => 2977, wanders => 10394,
                            wangler => 7961, wango   => 16606, waning  => 15111, wanker  => 7834,
                            wankers => 12961, wanna   => 244, wannabe => 6203, wannabes
                                    => 10894,
                            want    => 40, wanta   => 4870, wanted  => 140, wantin  => 13427,
                            wanting => 1159, wanto   => 15110, wanton  => 12532, wants   => 242,
                            waponi  => 17546, waponis => 14452, warbucks
                                    => 19974,
                            wardrobe
                                    => 2904, warehouse
                                    => 1963,
                            warfarin
                                    => 14451, warhead => 8646,
                            warheads
                                    => 9332, warlock => 2721,
                            warlocks
                                    => 3153, warm    => 879,
                            warmed  => 4757, warmer  => 4594, warmest => 12531, warming => 3906,
                            warms   => 9007, warmth  => 4372, warn    => 1249, warned  => 1575,
                            warneford
                                    => 19973, warning => 1143,
                            warpath => 9926, warped  => 5052, warrant => 1678, warranted
                                    => 12960,
                            warrants
                                    => 5877, warranty
                                    => 10614,
                            warrior => 3046, warthog => 19972, warton  => 2459, warts   => 8228,
                            wash    => 1405, washboard
                                    => 15778,
                            washcloth
                                    => 13946, washed  => 2523,
                            washes  => 8827, washing => 3124, washout => 15109, washroom
                                    => 9331,
                            washrooms
                                    => 18636, washy   => 18635,
                            waski   => 13945, "wasn't"
                                    => 174,
                            wasnt   => 19971, wassail => 19970, wassup  => 11469, waste   => 869,
                            wastebasket
                                    => 16605, wasted  => 1896,
                            wasteful
                                    => 13944, wasteland
                                    => 10613,
                            wastin  => 11802, wasting => 1373, watch   => 316, watcha  => 13943,
                            watchdog
                                    => 10893, watched => 1364,
                            watcher => 4253, watchers
                                    => 9330,
                            watches => 3356, watchful
                                    => 13426,
                            watchin => 5730, watching
                                    => 559,
                            watchit => 16604, waterbed
                                    => 13425,
                            watered => 9925, watergate
                                    => 5974,
                            watering
                                    => 7029, watermelon
                                    => 7833,
                            watermelons
                                    => 15777, waterproof
                                    => 11801,
                            waterworks
                                    => 13424, watery  => 13942,
                            waturi  => 18634, watusi  => 17545, waunt   => 15108, waved   => 6582,
                            wavered => 16603, waverly => 14450, wavin   => 19969, waving  => 3084,
                            waxed   => 10167, waxes   => 18633, waxing  => 9505, way     => 71,
                            waylander
                                    => 19968, ways    => 849,
                            wayside => 18632, wayward => 8498, wazoo   => 12150, we      => 21,
                            "we'd"  => 554, "we'll" => 159, "we're" => 77, "we've" => 226, weak    => 1301,
                            weaken  => 7596, weaker  => 6329, weakest => 8826, weakling
                                    => 14449,
                            weakness
                                    => 2777, weaknesses
                                    => 5595,
                            weaning => 17544, weapon  => 1312, wear    => 617, wearin  => 6328,
                            wearing => 628, wears   => 2487, weary   => 5271, weasel  => 3320,
                            weasels => 13941, weasly  => 18631, weathered
                                    => 12530,
                            weave   => 6327, webbing => 18630, webmaster
                                    => 11800,
                            wedded  => 4390, weddin  => 12529, wedding => 350, weddings
                                    => 2852,
                            wedge   => 4833, wedged  => 10393, wedges  => 16602, wedgie  => 11468,
                            wedgies => 18629, wedlock => 8093, wednesday
                                    => 2225,
                            wednesdays
                                    => 9709, weeding => 15776,
                            weeds   => 8092, week    => 394, weekend => 863, weekends
                                    => 3470,
                            weenie  => 7203, weenies => 15107, weensy  => 13940, weeny   => 13939,
                            weep    => 4593, weeping => 5927, weeps   => 19967, weepy   => 9504,
                            weevil  => 18628, weigart => 13423, weigh   => 3319, weighing
                                    => 5202,
                            weighs  => 5514, weightless
                                    => 18627,
                            weird   => 498, weirded => 9329, weirder => 5634, weirdest
                                    => 4619,
                            weirdly => 15106, weirdness
                                    => 7960,
                            weirdo  => 4756, weirdoes
                                    => 17543,
                            weirdos => 9708, weiskopf
                                    => 6725,
                            welcome => 452, welcoming
                                    => 5201,
                            well    => 26, welles  => 6251, wellll  => 18626, wellstone
                                    => 16601,
                            welluh  => 19966, welts   => 16600, wematanye
                                    => 8091,
                            wench   => 5594, wendall => 13938, wendigo => 10892, wendle  => 13422,
                            went    => 201, wenus   => 17542, "weren't"
                                    => 418,
                            werewolf
                                    => 4131, werewolves
                                    => 9150,
                            westbridge
                                    => 5231, westerburg
                                    => 15775,
                            westside
                                    => 11176, wetsuit => 19965,
                            wetting => 11799, wewell  => 19964, whack   => 2919, whacked => 3424,
                            whackin => 18625, whacking
                                    => 10392,
                            whacko  => 12149, whacks  => 19963, "whad'ya"
                                    => 14448,
                            whadaya => 8371, whadda  => 8497, whaddaya
                                    => 7832,
                            whaddya => 5159, whadya  => 15105, whale   => 3929, whammo  => 18624,
                            whammy  => 8825, wharves => 17541, wharvey => 16599, whassup => 14447,
                            what    => 8, "what'cha"
                                    => 10166,
                            "what'd"
                                    => 902, "what'dya"
                                    => 19962,
                            "what'll"
                                    => 2804, "what'm"
                                    => 10165,
                            "what're"
                                    => 1395, "what's"
                                    => 85,
                            "what've"
                                    => 5428, "what'ya"
                                    => 12959,
                            whataya => 18623, whatcha => 3435, whatchamacallit
                                    => 14446,
                            whatchya
                                    => 17540, "whatd'ya"
                                    => 18622,
                            whatdya => 19961, whatever
                                    => 241,
                            whatiya => 15104, whatnot => 7028, whato   => 19960, whats   => 7831,
                            whatsa  => 11798, whatsamatter
                                    => 14445,
                            whatsoever
                                    => 2332, whatta  => 3414,
                            whattaya
                                    => 10391, whattya => 14444,
                            whatwhatwhaaat
                                    => 19959, whatya  => 12148,
                            whazzup => 19958, wheaties
                                    => 19957,
                            wheel   => 1564, wheelbarrow
                                    => 15774,
                            wheelchair
                                    => 2217, wheelchairs
                                    => 12958,
                            wheelies
                                    => 19956, wheeling
                                    => 9503,
                            wheelman
                                    => 15773, wheels  => 2312,
                            wheeze  => 18621, wheezer => 15772, wheezing
                                    => 18620,
                            "when'd"
                                    => 7298, "when're"
                                    => 15771,
                            whence  => 8645, whenever
                                    => 1040,
                            "where'd"
                                    => 1142, "where're"
                                    => 4151,
                            "where's"
                                    => 376, "where've"
                                    => 5345,
                            whereabouts
                                    => 3720, wherefore
                                    => 16598,
                            whereof => 18619, wherever
                                    => 1294,
                            whether => 704, whew    => 2128, "which'll"
                                    => 12957,
                            whichever
                                    => 5469, whiff   => 6866,
                            whim    => 5468, whimper => 12956, whimpering
                                    => 12528,
                            whims   => 15103, whimsical
                                    => 12527,
                            whimsy  => 13937, whine   => 4465, whiner  => 17539, whiney  => 15770,
                            whining => 3512, whinny  => 19955, whiny   => 6724, whip    => 1493,
                            whiplash
                                    => 9502, whipped => 3205,
                            whipper => 14443, whipping
                                    => 6250,
                            whips   => 11175, whirl   => 9006, whirling
                                    => 18618,
                            whirlpool
                                    => 10891, whirlwind
                                    => 9005,
                            whisk   => 7717, whisked => 9924, whisker => 15102, whiskers
                                    => 10390,
                            whiskey => 3423, whisking
                                    => 13936,
                            whisky  => 7716, whisper => 3562, whispered
                                    => 8227,
                            whispering
                                    => 3006, whispers
                                    => 8496,
                            whist   => 19954, whistle => 2735, whistled
                                    => 19953,
                            whistler
                                    => 7297, whistles
                                    => 7202,
                            whistling
                                    => 9149, whit    => 4972,
                            whitelighter
                                    => 3582, whitelighters
                                    => 8090,
                            whiteness
                                    => 17538, whiter  => 12147,
                            whitesnake
                                    => 18617, whitest => 19952,
                            whitewash
                                    => 15769, whitey  => 6789,
                            whitter => 10890, whittled
                                    => 16597,
                            whittlesley
                                    => 14442, whittling
                                    => 18616,
                            whiz    => 4932, whizz   => 19951, whizzing
                                    => 19950,
                            "who'd" => 1845, "who'll"
                                    => 3573,
                            "who're"
                                    => 5158, "who's" => 267,
                            "who've"
                                    => 3905, whoa    => 324,
                            whoaa   => 19949, whoaaa  => 18615, whoah   => 6521, whodunit
                                    => 18614,
                            whoever => 973, whole   => 185, wholeheartedly
                                    => 12955,
                            wholesaler
                                    => 17537, wholesome
                                    => 6865,
                            whomever
                                    => 7296, whoo    => 1085,
                            whoomp  => 17536, whooo   => 11174, whoop   => 4726, whoopee => 6723,
                            whoopi  => 17535, whoopie => 12954, whoopin => 16596, whooping
                                    => 12146,
                            whoops  => 3652, whoosh  => 9923, whopper => 10164, whoppers
                                    => 19948,
                            whopping
                                    => 13421, whore   => 2013,
                            whorehouse
                                    => 11173, whores  => 5427,
                            whorfin => 12526, whoring => 15768, whupped => 17534, whwhat  => 18613,
                            why     => 49, "why'd" => 1325, "why're"
                                    => 7493,
                            "whyn't"
                                    => 9707, whyyy   => 19947,
                            wicca   => 11172, wiccan  => 7830, wiccaning
                                    => 17533,
                            wicked  => 2245, wickedness
                                    => 12953,
                            widen   => 12145, widower => 9004, wiedersehen
                                    => 16595,
                            wield   => 9706, wielding
                                    => 10163,
                            wieners => 16594, wierd   => 14441, wife    => 266, wifey   => 9148,
                            wigand  => 6520, wigged  => 9922, wiggen  => 18612, wigging => 10612,
                            wiggle  => 5200, wiggled => 18611, wiggles => 18610, wiggling
                                    => 14440,
                            wiggly  => 14439, wiggum  => 19946, wiggy   => 16593, wilco   => 19945,
                            wild    => 1002, wildebeest
                                    => 19944,
                            wildest => 5633, wildflowers
                                    => 19943,
                            wildly  => 6722, wildness
                                    => 15767,
                            wildwind
                                    => 4171, will    => 55,
                            willed  => 7715, willenholly
                                    => 19942,
                            willful => 8824, willfully
                                    => 12525,
                            willick => 19941, willies => 9921, willin  => 13935, willing => 745,
                            willingly
                                    => 4618, willoby => 17532,
                            willona => 9147, willow  => 1430, willows => 8370, willpower
                                    => 9501,
                            willya  => 9920, wilshire
                                    => 11467,
                            wilted  => 19940, wilting => 19939, wiluna  => 19938, wimp    => 5084,
                            wimps   => 9003, wimpy   => 9500, winch   => 7959, wind    => 1022,
                            windbag => 13934, windbreaker
                                    => 16592,
                            winded  => 12144, windermere
                                    => 18609,
                            windex  => 13933, windfall
                                    => 15101,
                            windjammer
                                    => 15100, windmills
                                    => 13420,
                            window  => 746, windowsill
                                    => 15099,
                            windowtext
                                    => 19937, windpipe
                                    => 13932,
                            windshield
                                    => 5157, windstorm
                                    => 19936,
                            windsurfing
                                    => 18608, windthorne
                                    => 18607,
                            windward
                                    => 12524, wine    => 979,
                            wingding
                                    => 19935, winging => 11797,
                            wingman => 12952, wining  => 17531, wink    => 5051, winked  => 15766,
                            winking => 12143, winks   => 13419, winky   => 16591, winnebago
                                    => 8226,
                            winnin  => 15765, winnings
                                    => 7492,
                            winos   => 18606, winthrop
                                    => 5876,
                            wintry  => 19934, wipe    => 2070, wiped   => 2734, wiper   => 18605,
                            wipers  => 18604, wipes   => 9705, wiping  => 6249, wire    => 1766,
                            wired   => 3143, wires   => 3309, wiretap => 15098, wiretaps
                                    => 17530,
                            wiring  => 5593, wisdom  => 2717, wiseass => 17529, wisecracks
                                    => 14438,
                            wised   => 11466, wiseguy => 16590, wiseguys
                                    => 16589,
                            wisely  => 5825, wiser   => 4617, wisest  => 9704, wish    => 288,
                            wishbone
                                    => 19933, wished  => 2594,
                            wishes  => 1773, wishful => 5083, wishin  => 16588, wishing => 2644,
                            wisht   => 18603, wishy   => 18602, witch   => 844, witchcraft
                                    => 4089,
                            witches => 1425, witching
                                    => 17528,
                            witchy  => 8369, withdrawals
                                    => 12523,
                            withdraws
                                    => 18601, wither  => 10162,
                            withered
                                    => 13418, withering
                                    => 17527,
                            withheld
                                    => 8823, withhold
                                    => 6957,
                            withholding
                                    => 6326, withnail
                                    => 10389,
                            without => 240, withstanding
                                    => 14437,
                            witless => 11796, witness => 922, witnesses
                                    => 1880,
                            witnessing
                                    => 8644, wits    => 4794,
                            witted  => 11171, witter  => 2976, wittle  => 14436, wittlesey
                                    => 8822,
                            witty   => 4349, witwer  => 12522, wives   => 2224, wiwith  => 18600,
                            wizard  => 2936, wladek  => 9919, woah    => 3286, wobble  => 12951,
                            wobbling
                                    => 19932, wobbly  => 10388,
                            woefully
                                    => 19931, wojadubakowski
                                    => 17526,
                            woke    => 1361, woken   => 7115, wolchek => 16587, wolek   => 6581,
                            wolfi   => 9328, wolfie  => 14435, wolfing => 19930, wolfman => 6447,
                            wolfram => 4438, wollsten
                                    => 19929,
                            wolodarsky
                                    => 18599, woman   => 192,
                            womanhood
                                    => 11795, womanizer
                                    => 13931,
                            womanizing
                                    => 18598, womanly => 12950,
                            wombosi => 14434, womens  => 19928, "won't" => 148, wonder  => 507,
                            wondered
                                    => 2009, wonderfalls
                                    => 12949,
                            wonderful
                                    => 395, wonderfully
                                    => 6202,
                            wonderin
                                    => 10161, wondering
                                    => 652,
                            wonderland
                                    => 7714, wonders => 3455,
                            wondrous
                                    => 9499, wonka   => 19927,
                            wonky   => 18597, wont    => 3204, woodchuck
                                    => 17525,
                            woodpecker
                                    => 9498, woodrell
                                    => 15097,
                            woodsboro
                                    => 10611, woodshed
                                    => 17524,
                            woodsman
                                    => 15764, woodsy  => 17523,
                            woodwork
                                    => 8368, wooed   => 15096,
                            woof    => 3572, woogie  => 11794, woogyman
                                    => 13930,
                            woohoo  => 5875, wooing  => 11465, wookiee => 16586, woooo   => 11464,
                            wooooo  => 16585, wooooooo
                                    => 18596,
                            woops   => 12948, woosh   => 19926, woozy   => 6956, word    => 315,
                            worded  => 15095, words   => 515, wordsworth
                                    => 5824,
                            wore    => 1741, workable
                                    => 12142,
                            workaholic
                                    => 8225, workday => 17522,
                            worker  => 2216, workiiing
                                    => 18595,
                            workin  => 3274, working => 297, workload
                                    => 9146,
                            workmanship
                                    => 15763, workout => 4324,
                            workup  => 10160, worldly => 8495, worlds  => 3107, worm    => 3091,
                            wormed  => 17521, wormhole
                                    => 7595,
                            wormholes
                                    => 19925, worming => 17520,
                            worms   => 3814, wormser => 16584, wormtail
                                    => 19924,
                            wormy   => 19923, worried => 410, worrier => 13929, worries => 2091,
                            worrisome
                                    => 18594, worry   => 255,
                            worryin => 16583, worrying
                                    => 1413,
                            worrywart
                                    => 12947, worse   => 463,
                            worshiping
                                    => 19922, worshipped
                                    => 7491,
                            worshipping
                                    => 9918, worships
                                    => 6147,
                            worst   => 712, worth   => 545, worthiness
                                    => 19921,
                            worthless
                                    => 2720, worthwhile
                                    => 4725,
                            "would'a"
                                    => 16582, "would've"
                                    => 659,
                            woulda  => 3719, wouldn  => 11170, "wouldn't"
                                    => 165,
                            "wouldn't've"
                                    => 15762, "wouldn'ta"
                                    => 17519,
                            wouldst => 19920, wound   => 1458, wounds  => 2566, wow     => 329,
                            wowed   => 17518, wracked => 13417, wracking
                                    => 11463,
                            wraith  => 17517, wrangle => 14433, wrangled
                                    => 19919,
                            wrangler
                                    => 14432, wrap    => 1798,
                            wrapped => 1895, wrapper => 8224, wrappers
                                    => 12946,
                            wrapping
                                    => 4206, wraps   => 4616,
                            wrath   => 4518, wreak   => 7201, wreaked => 11462, wreaking
                                    => 10159,
                            wreaks  => 18593, wreaths => 17516, wreck   => 1764, wrecked => 3203,
                            wrecker => 8643, wrecking
                                    => 4793,
                            wrecks  => 9497, wrench  => 4538, wrenched
                                    => 16581,
                            wrenching
                                    => 11169, wrestle => 4645,
                            wretch  => 9002, wretched
                                    => 4666,
                            wriggle => 13928, wring   => 6788, wringer => 12521, wringing
                                    => 11793,
                            wrinkle => 6446, wrinkled
                                    => 7713,
                            wrinkles
                                    => 6580, wrinkly => 13416,
                            wrist   => 2803, wrists  => 4902, wristwatch
                                    => 19918,
                            write   => 622, writhing
                                    => 12141,
                            writin  => 12945, wrong   => 151, wrongdoing
                                    => 10610,
                            wronged => 7415, wrongful
                                    => 8223,
                            wrongfully
                                    => 12944, wrongs  => 9145,
                            wrung   => 17515, wuddya  => 11792, wuss    => 4437, wussies => 16580,
                            wussy   => 15094, wuthering
                                    => 18592,
                            wuzzy   => 13927, wwhat   => 16579, wwooww  => 19917, wynant  => 6646,
                            wyndemere
                                    => 5548, wyndham => 10609,
                            wynette => 17514, xanadu  => 9144, xanax   => 11168, xander  => 1393,
                            xerox   => 9143, xeroxed => 19916, xxxxxx  => 11461, "y'all" => 2169,
                            "y'are" => 18591, "y'ever"
                                    => 12520,
                            "y'got" => 19915, "y'hear"
                                    => 14431,
                            "y'know"
                                    => 536, "y'knowwhati'msayin"
                                    => 16578,
                            "y'mean"
                                    => 18590, "y'see" => 8222,
                            "y'understand"
                                    => 17513, "ya'll" => 7712,
                            yaaah   => 19914, yacht   => 2454, yada    => 4150, yadda   => 8089,
                            yahdah  => 19913, yahtzee => 18589, yakking => 9917, yakushova
                                    => 13926,
                            yakuza  => 11791, yalta   => 18588, yammer  => 17512, yammering
                                    => 7958,
                            yamuri  => 15761, yank    => 4971, yanked  => 6519, yankee  => 3343,
                            yankin  => 19912, yanking => 7295, yanks   => 9327, yapping => 8367,
                            yardstick
                                    => 17511, yawning => 18587,
                            yawns   => 19911, yeah    => 36, yeahh   => 15760, yeahhh  => 13415,
                            yearbook
                                    => 3448, yearbooks
                                    => 11790,
                            yearn   => 10889, yearned => 18586, yearning
                                    => 8642,
                            yearnings
                                    => 18585, yearns  => 18584,
                            yecch   => 19910, yecchh  => 19909, yeesh   => 15759, yeess   => 16577,
                            yelburton
                                    => 16576, yell    => 1652,
                            yella   => 18583, yelled  => 3083, yeller  => 13925, yellin  => 10608,
                            yelling => 1578, yello   => 16575, yellows => 15758, yells   => 7294,
                            yengeese
                                    => 13414, yenta   => 19908,
                            yes     => 66, "yes'm" => 19907, yeska   => 15757, yessir  => 5156,
                            yesss   => 9496, yesterday
                                    => 721,
                            yesterdays
                                    => 18582, yet     => 245,
                            yevgeny => 15756, yikes   => 4901, yippee  => 8821, yippie  => 18581,
                            ylang   => 19906, yodel   => 14430, yoga    => 4792, yoghurt => 12140,
                            yogurt  => 5547, yokel   => 12519, yokels  => 17510, yonder  => 10607,
                            yoohoo  => 13924, yorkers => 9703, yorkin  => 12943, yoshi   => 11789,
                            you     => 1, "you'd" => 236, "you'll"
                                    => 184,
                            "you'n" => 19905, "you're"
                                    => 30,
                            "you've"
                                    => 126, youngsters
                                    => 9702,
                            youore  => 11167, your    => 20, youre   => 8820, yours   => 372,
                            yourself
                                    => 186, yourselves
                                    => 1568,
                            youse   => 6787, youthful
                                    => 7293,
                            youuu   => 17509, youve   => 18580, yoyodyne
                                    => 13413,
                            yoyou   => 11460, yuck    => 3916, yucky   => 10888, yuletide
                                    => 13412,
                            yummy   => 3571, yuppie  => 9701, yuppies => 14429, zach    => 1849,
                            zacks   => 17508, zadir   => 10387, zagat   => 19904, zakamatak
                                    => 18579,
                            zamboni => 14428, zamir   => 9700, zander  => 1229, zandt   => 8366,
                            zantopia
                                    => 16574, zanuck  => 19903,
                            zapped  => 7594, zapruder
                                    => 16573,
                            zatarc  => 11788, zatarcs => 17507, zatunica
                                    => 15093,
                            zebra   => 7414, zebras  => 12942, zeitgeist
                                    => 19902,
                            zekes   => 15092, zeldy   => 15755, zellary => 19901, zellie  => 7200,
                            zelner  => 15754, zende   => 5874, zendi   => 14427, zephyr  => 9326,
                            zephyrs => 17506, zequiel => 19900, zero    => 1707, zeroed  => 13411,
                            zeroes  => 9699, zeroing => 15753, zeros   => 9698, zerzura => 16572,
                            zesty   => 16571, zhivago => 12941, ziggy   => 5050, zilch   => 11166,
                            zillion => 5973, zillions
                                    => 17505,
                            zinfandel
                                    => 17504, zinthar => 17503,
                            ziploc  => 18578, zipped  => 9697, zipper  => 6146, zippers => 19899,
                            zipping => 13410, zippity => 13409, zippo   => 12940, zippy   => 12939,
                            zirconia
                                    => 19898, zissou  => 8365,
                            zlotys  => 16570, zoey    => 4280, zolda   => 18577, zoloft  => 14426,
                            zoltan  => 15091, zombie  => 2017, zombies => 5344, zoning  => 7829,
                            zonked  => 12938, zookeeper
                                    => 19897,
                            zooming => 13408, zorin   => 17502, zorro   => 13923, zucchini
                                    => 19896,
                            zuwicky => 18576, zzzzzzz => 19895
                          }
)
;

1;
